#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2648
#define LARGE_STATE_COUNT 582
#define SYMBOL_COUNT 424
#define ALIAS_COUNT 0
#define TOKEN_COUNT 192
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 216

enum ts_symbol_identifiers {
  sym_name = 1,
  anon_sym_QMARK_GT = 2,
  sym_php_tag = 3,
  aux_sym_text_token1 = 4,
  anon_sym_SEMI = 5,
  anon_sym_AMP = 6,
  aux_sym_function_static_declaration_token1 = 7,
  anon_sym_COMMA = 8,
  anon_sym_EQ = 9,
  aux_sym_global_declaration_token1 = 10,
  aux_sym_namespace_definition_token1 = 11,
  aux_sym_namespace_use_declaration_token1 = 12,
  aux_sym_namespace_use_clause_token1 = 13,
  aux_sym__namespace_use_type_token1 = 14,
  aux_sym__namespace_use_type_token2 = 15,
  anon_sym_BSLASH = 16,
  anon_sym_LBRACE = 17,
  anon_sym_RBRACE = 18,
  aux_sym_trait_declaration_token1 = 19,
  aux_sym_interface_declaration_token1 = 20,
  aux_sym_base_clause_token1 = 21,
  aux_sym_enum_declaration_token1 = 22,
  anon_sym_COLON = 23,
  anon_sym_string = 24,
  anon_sym_int = 25,
  aux_sym_enum_case_token1 = 26,
  aux_sym_class_declaration_token1 = 27,
  aux_sym_final_modifier_token1 = 28,
  aux_sym_abstract_modifier_token1 = 29,
  aux_sym_readonly_modifier_token1 = 30,
  aux_sym_class_interface_clause_token1 = 31,
  anon_sym_EQ_GT = 32,
  sym_var_modifier = 33,
  aux_sym_use_instead_of_clause_token1 = 34,
  aux_sym_visibility_modifier_token1 = 35,
  aux_sym_visibility_modifier_token2 = 36,
  aux_sym_visibility_modifier_token3 = 37,
  anon_sym_LPAREN = 38,
  anon_sym_RPAREN = 39,
  aux_sym__arrow_function_header_token1 = 40,
  anon_sym_DOT_DOT_DOT = 41,
  anon_sym_QMARK = 42,
  sym_bottom_type = 43,
  anon_sym_PIPE = 44,
  anon_sym_array = 45,
  aux_sym_primitive_type_token1 = 46,
  anon_sym_iterable = 47,
  anon_sym_bool = 48,
  anon_sym_float = 49,
  anon_sym_void = 50,
  anon_sym_mixed = 51,
  anon_sym_false = 52,
  anon_sym_null = 53,
  anon_sym_true = 54,
  aux_sym_cast_type_token1 = 55,
  aux_sym_cast_type_token2 = 56,
  aux_sym_cast_type_token3 = 57,
  aux_sym_cast_type_token4 = 58,
  aux_sym_cast_type_token5 = 59,
  aux_sym_cast_type_token6 = 60,
  aux_sym_cast_type_token7 = 61,
  aux_sym_cast_type_token8 = 62,
  aux_sym_cast_type_token9 = 63,
  aux_sym_cast_type_token10 = 64,
  aux_sym_cast_type_token11 = 65,
  aux_sym_cast_type_token12 = 66,
  aux_sym_echo_statement_token1 = 67,
  aux_sym_exit_statement_token1 = 68,
  anon_sym_unset = 69,
  aux_sym_declare_statement_token1 = 70,
  aux_sym_declare_statement_token2 = 71,
  anon_sym_ticks = 72,
  anon_sym_encoding = 73,
  anon_sym_strict_types = 74,
  sym_float = 75,
  aux_sym_try_statement_token1 = 76,
  aux_sym_catch_clause_token1 = 77,
  aux_sym_finally_clause_token1 = 78,
  aux_sym_goto_statement_token1 = 79,
  aux_sym_continue_statement_token1 = 80,
  aux_sym_break_statement_token1 = 81,
  sym_integer = 82,
  aux_sym_return_statement_token1 = 83,
  aux_sym_throw_expression_token1 = 84,
  aux_sym_while_statement_token1 = 85,
  aux_sym_while_statement_token2 = 86,
  aux_sym_do_statement_token1 = 87,
  aux_sym_for_statement_token1 = 88,
  aux_sym_for_statement_token2 = 89,
  aux_sym_foreach_statement_token1 = 90,
  aux_sym_foreach_statement_token2 = 91,
  aux_sym_if_statement_token1 = 92,
  aux_sym_if_statement_token2 = 93,
  aux_sym_else_if_clause_token1 = 94,
  aux_sym_else_clause_token1 = 95,
  aux_sym_match_expression_token1 = 96,
  aux_sym_match_default_expression_token1 = 97,
  aux_sym_switch_statement_token1 = 98,
  aux_sym_switch_block_token1 = 99,
  anon_sym_PLUS = 100,
  anon_sym_DASH = 101,
  anon_sym_TILDE = 102,
  anon_sym_BANG = 103,
  anon_sym_AT = 104,
  aux_sym_clone_expression_token1 = 105,
  anon_sym_COLON_COLON = 106,
  aux_sym_print_intrinsic_token1 = 107,
  aux_sym__new_non_dereferencable_expression_token1 = 108,
  anon_sym_DASH_DASH = 109,
  anon_sym_PLUS_PLUS = 110,
  anon_sym_STAR_STAR_EQ = 111,
  anon_sym_STAR_EQ = 112,
  anon_sym_SLASH_EQ = 113,
  anon_sym_PERCENT_EQ = 114,
  anon_sym_PLUS_EQ = 115,
  anon_sym_DASH_EQ = 116,
  anon_sym_DOT_EQ = 117,
  anon_sym_LT_LT_EQ = 118,
  anon_sym_GT_GT_EQ = 119,
  anon_sym_AMP_EQ = 120,
  anon_sym_CARET_EQ = 121,
  anon_sym_PIPE_EQ = 122,
  anon_sym_QMARK_QMARK_EQ = 123,
  anon_sym_DASH_GT = 124,
  anon_sym_QMARK_DASH_GT = 125,
  aux_sym__list_destructing_token1 = 126,
  anon_sym_LBRACK = 127,
  anon_sym_RBRACK = 128,
  anon_sym_self = 129,
  anon_sym_parent = 130,
  aux_sym__argument_name_token1 = 131,
  aux_sym__argument_name_token2 = 132,
  anon_sym_POUND_LBRACK = 133,
  sym_escape_sequence = 134,
  anon_sym_BSLASHu = 135,
  aux_sym_encapsed_string_token1 = 136,
  anon_sym_DQUOTE = 137,
  aux_sym_string_token1 = 138,
  anon_sym_SQUOTE = 139,
  aux_sym_string_token2 = 140,
  aux_sym_string_content_token1 = 141,
  anon_sym_LT_LT_LT = 142,
  anon_sym_DQUOTE2 = 143,
  sym__new_line = 144,
  anon_sym_SQUOTE2 = 145,
  anon_sym_BQUOTE = 146,
  anon_sym_DOLLAR = 147,
  aux_sym_yield_expression_token1 = 148,
  aux_sym_yield_expression_token2 = 149,
  aux_sym_binary_expression_token1 = 150,
  anon_sym_QMARK_QMARK = 151,
  anon_sym_STAR_STAR = 152,
  aux_sym_binary_expression_token2 = 153,
  aux_sym_binary_expression_token3 = 154,
  aux_sym_binary_expression_token4 = 155,
  anon_sym_PIPE_PIPE = 156,
  anon_sym_AMP_AMP = 157,
  anon_sym_CARET = 158,
  anon_sym_EQ_EQ = 159,
  anon_sym_BANG_EQ = 160,
  anon_sym_LT_GT = 161,
  anon_sym_EQ_EQ_EQ = 162,
  anon_sym_BANG_EQ_EQ = 163,
  anon_sym_LT = 164,
  anon_sym_GT = 165,
  anon_sym_LT_EQ = 166,
  anon_sym_GT_EQ = 167,
  anon_sym_LT_EQ_GT = 168,
  anon_sym_LT_LT = 169,
  anon_sym_GT_GT = 170,
  anon_sym_DOT = 171,
  anon_sym_STAR = 172,
  anon_sym_SLASH = 173,
  anon_sym_PERCENT = 174,
  aux_sym_include_expression_token1 = 175,
  aux_sym_include_once_expression_token1 = 176,
  aux_sym_require_expression_token1 = 177,
  aux_sym_require_once_expression_token1 = 178,
  sym_comment = 179,
  sym__automatic_semicolon = 180,
  sym_encapsed_string_chars = 181,
  sym_encapsed_string_chars_after_variable = 182,
  sym_execution_string_chars = 183,
  sym_execution_string_chars_after_variable = 184,
  sym_encapsed_string_chars_heredoc = 185,
  sym_encapsed_string_chars_after_variable_heredoc = 186,
  sym__eof = 187,
  sym_heredoc_start = 188,
  sym_heredoc_end = 189,
  sym_nowdoc_string = 190,
  sym_sentinel_error = 191,
  sym_program = 192,
  sym_statement = 193,
  sym_empty_statement = 194,
  sym_reference_modifier = 195,
  sym_function_static_declaration = 196,
  sym_static_variable_declaration = 197,
  sym_global_declaration = 198,
  sym_namespace_definition = 199,
  sym_namespace_use_declaration = 200,
  sym_namespace_use_clause = 201,
  sym_qualified_name = 202,
  sym__name = 203,
  sym_namespace_name = 204,
  sym__namespace_use_group = 205,
  sym_namespace_use_group = 206,
  sym_trait_declaration = 207,
  sym_interface_declaration = 208,
  sym_base_clause = 209,
  sym_enum_declaration = 210,
  sym_enum_declaration_list = 211,
  sym__enum_member_declaration = 212,
  sym_enum_case = 213,
  sym_class_declaration = 214,
  sym_declaration_list = 215,
  sym_final_modifier = 216,
  sym_abstract_modifier = 217,
  sym_readonly_modifier = 218,
  sym_class_interface_clause = 219,
  sym__member_declaration = 220,
  sym_const_declaration = 221,
  sym__class_const_declaration = 222,
  sym__const_declaration = 223,
  sym_property_declaration = 224,
  sym__modifier = 225,
  sym_property_element = 226,
  sym_property_hook_list = 227,
  sym_property_hook = 228,
  sym__property_hook_body = 229,
  sym_method_declaration = 230,
  sym_static_modifier = 231,
  sym_use_declaration = 232,
  sym_use_list = 233,
  sym_use_instead_of_clause = 234,
  sym_use_as_clause = 235,
  sym_visibility_modifier = 236,
  sym_function_definition = 237,
  sym__function_definition_header = 238,
  sym_anonymous_function = 239,
  sym_anonymous_function_use_clause = 240,
  sym__anonymous_function_header = 241,
  sym__arrow_function_header = 242,
  sym_arrow_function = 243,
  sym_formal_parameters = 244,
  sym_property_promotion_parameter = 245,
  sym_simple_parameter = 246,
  sym_variadic_parameter = 247,
  sym_type = 248,
  sym__types = 249,
  sym_named_type = 250,
  sym_optional_type = 251,
  sym_union_type = 252,
  sym_intersection_type = 253,
  sym_disjunctive_normal_form_type = 254,
  sym_primitive_type = 255,
  sym_cast_type = 256,
  sym__return_type = 257,
  sym_const_element = 258,
  sym_echo_statement = 259,
  sym_exit_statement = 260,
  sym_unset_statement = 261,
  sym_declare_statement = 262,
  sym_declare_directive = 263,
  sym_literal = 264,
  sym_try_statement = 265,
  sym_catch_clause = 266,
  sym_type_list = 267,
  sym_finally_clause = 268,
  sym_goto_statement = 269,
  sym_continue_statement = 270,
  sym_break_statement = 271,
  sym_return_statement = 272,
  sym_throw_expression = 273,
  sym_while_statement = 274,
  sym_do_statement = 275,
  sym_for_statement = 276,
  sym__expressions = 277,
  sym_sequence_expression = 278,
  sym_foreach_statement = 279,
  sym_foreach_pair = 280,
  sym__foreach_value = 281,
  sym_if_statement = 282,
  sym_colon_block = 283,
  sym_else_if_clause = 284,
  sym_else_clause = 285,
  sym_else_if_clause_2 = 286,
  sym_else_clause_2 = 287,
  sym_match_expression = 288,
  sym_match_block = 289,
  sym_match_condition_list = 290,
  sym_match_conditional_expression = 291,
  sym_match_default_expression = 292,
  sym_switch_statement = 293,
  sym_switch_block = 294,
  sym_case_statement = 295,
  sym_default_statement = 296,
  sym_compound_statement = 297,
  sym_named_label_statement = 298,
  sym_expression_statement = 299,
  sym_expression = 300,
  sym__unary_expression = 301,
  sym_unary_op_expression = 302,
  sym_error_suppression_expression = 303,
  sym_clone_expression = 304,
  sym_primary_expression = 305,
  sym_parenthesized_expression = 306,
  sym_class_constant_access_expression = 307,
  sym_print_intrinsic = 308,
  sym_object_creation_expression = 309,
  sym__new_non_dereferencable_expression = 310,
  sym__new_dereferencable_expression = 311,
  sym__class_name_reference = 312,
  sym_anonymous_class = 313,
  sym_update_expression = 314,
  sym_cast_expression = 315,
  sym_cast_variable = 316,
  sym_assignment_expression = 317,
  sym_reference_assignment_expression = 318,
  sym_conditional_expression = 319,
  sym_augmented_assignment_expression = 320,
  sym__variable_member_access_expression = 321,
  sym_member_access_expression = 322,
  sym__variable_nullsafe_member_access_expression = 323,
  sym_nullsafe_member_access_expression = 324,
  sym__variable_scoped_property_access_expression = 325,
  sym_scoped_property_access_expression = 326,
  sym_list_literal = 327,
  sym__list_destructing = 328,
  sym__array_destructing = 329,
  sym__array_destructing_element = 330,
  sym_function_call_expression = 331,
  sym__callable_expression = 332,
  sym_scoped_call_expression = 333,
  sym__scope_resolution_qualifier = 334,
  sym_relative_scope = 335,
  sym_variadic_placeholder = 336,
  sym_arguments = 337,
  sym_argument = 338,
  sym__argument_name = 339,
  sym_member_call_expression = 340,
  sym_nullsafe_member_call_expression = 341,
  sym_variadic_unpacking = 342,
  sym__member_name = 343,
  sym__variable_subscript_expression = 344,
  sym__dereferencable_subscript_expression = 345,
  sym__dereferencable_expression = 346,
  sym__dereferencable_scalar = 347,
  sym_array_creation_expression = 348,
  sym_attribute_group = 349,
  sym_attribute_list = 350,
  sym_attribute = 351,
  sym__complex_string_part = 352,
  sym__simple_string_member_access_expression = 353,
  sym__simple_string_subscript_unary_expression = 354,
  sym__simple_string_array_access_argument = 355,
  sym__simple_string_subscript_expression = 356,
  sym__simple_string_part = 357,
  aux_sym__interpolated_string_body = 358,
  aux_sym__interpolated_string_body_heredoc = 359,
  sym_encapsed_string = 360,
  sym_string = 361,
  sym_string_content = 362,
  sym_heredoc_body = 363,
  sym_heredoc = 364,
  sym_nowdoc_body = 365,
  sym_nowdoc = 366,
  aux_sym__interpolated_execution_operator_body = 367,
  sym_shell_command_expression = 368,
  sym_boolean = 369,
  sym_null = 370,
  sym__string = 371,
  sym_dynamic_variable_name = 372,
  sym__simple_variable = 373,
  sym__new_variable = 374,
  sym__callable_variable = 375,
  sym_variable_name = 376,
  sym_by_ref = 377,
  sym_yield_expression = 378,
  sym_array_element_initializer = 379,
  sym_binary_expression = 380,
  sym_include_expression = 381,
  sym_include_once_expression = 382,
  sym_require_expression = 383,
  sym_require_once_expression = 384,
  sym__reserved_identifier = 385,
  sym__identifier = 386,
  sym__semicolon = 387,
  aux_sym_program_repeat1 = 388,
  aux_sym_function_static_declaration_repeat1 = 389,
  aux_sym_global_declaration_repeat1 = 390,
  aux_sym_namespace_use_declaration_repeat1 = 391,
  aux_sym_namespace_name_repeat1 = 392,
  aux_sym_base_clause_repeat1 = 393,
  aux_sym_enum_declaration_list_repeat1 = 394,
  aux_sym_class_declaration_repeat1 = 395,
  aux_sym_declaration_list_repeat1 = 396,
  aux_sym__const_declaration_repeat1 = 397,
  aux_sym_property_declaration_repeat1 = 398,
  aux_sym_property_hook_list_repeat1 = 399,
  aux_sym_use_list_repeat1 = 400,
  aux_sym_anonymous_function_use_clause_repeat1 = 401,
  aux_sym_formal_parameters_repeat1 = 402,
  aux_sym_union_type_repeat1 = 403,
  aux_sym_intersection_type_repeat1 = 404,
  aux_sym_disjunctive_normal_form_type_repeat1 = 405,
  aux_sym_unset_statement_repeat1 = 406,
  aux_sym_try_statement_repeat1 = 407,
  aux_sym_type_list_repeat1 = 408,
  aux_sym_if_statement_repeat1 = 409,
  aux_sym_if_statement_repeat2 = 410,
  aux_sym_match_block_repeat1 = 411,
  aux_sym_match_condition_list_repeat1 = 412,
  aux_sym_switch_block_repeat1 = 413,
  aux_sym__list_destructing_repeat1 = 414,
  aux_sym__array_destructing_repeat1 = 415,
  aux_sym_arguments_repeat1 = 416,
  aux_sym_array_creation_expression_repeat1 = 417,
  aux_sym_attribute_group_repeat1 = 418,
  aux_sym_attribute_list_repeat1 = 419,
  aux_sym_string_repeat1 = 420,
  aux_sym_string_content_repeat1 = 421,
  aux_sym_heredoc_body_repeat1 = 422,
  aux_sym_nowdoc_body_repeat1 = 423,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [anon_sym_QMARK_GT] = "\?>",
  [sym_php_tag] = "php_tag",
  [aux_sym_text_token1] = "text_token1",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_clause_token1] = "as",
  [aux_sym__namespace_use_type_token1] = "function",
  [aux_sym__namespace_use_type_token2] = "const",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [anon_sym_EQ_GT] = "=>",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym__new_non_dereferencable_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym__name] = "_name",
  [sym_namespace_name] = "namespace_name",
  [sym__namespace_use_group] = "_namespace_use_group",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_hook_list] = "property_hook_list",
  [sym_property_hook] = "property_hook",
  [sym__property_hook_body] = "_property_hook_body",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym_anonymous_function] = "anonymous_function",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym__anonymous_function_header] = "_anonymous_function_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym__foreach_value] = "_foreach_value",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__new_non_dereferencable_expression] = "_new_non_dereferencable_expression",
  [sym__new_dereferencable_expression] = "_new_dereferencable_expression",
  [sym__class_name_reference] = "_class_name_reference",
  [sym_anonymous_class] = "anonymous_class",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__variable_member_access_expression] = "member_access_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym__variable_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym__variable_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym__callable_expression] = "_callable_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym__member_name] = "_member_name",
  [sym__variable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym__dereferencable_scalar] = "_dereferencable_scalar",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym__simple_variable] = "_simple_variable",
  [sym__new_variable] = "_new_variable",
  [sym__callable_variable] = "_callable_variable",
  [sym_variable_name] = "variable_name",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [sym__identifier] = "_identifier",
  [sym__semicolon] = "_semicolon",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_hook_list_repeat1] = "property_hook_list_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [sym_php_tag] = sym_php_tag,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_clause_token1] = aux_sym_namespace_use_clause_token1,
  [aux_sym__namespace_use_type_token1] = aux_sym__namespace_use_type_token1,
  [aux_sym__namespace_use_type_token2] = aux_sym__namespace_use_type_token2,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym__new_non_dereferencable_expression_token1] = aux_sym__new_non_dereferencable_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym__name] = sym__name,
  [sym_namespace_name] = sym_namespace_name,
  [sym__namespace_use_group] = sym__namespace_use_group,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_hook_list] = sym_property_hook_list,
  [sym_property_hook] = sym_property_hook,
  [sym__property_hook_body] = sym__property_hook_body,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym_anonymous_function] = sym_anonymous_function,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym__anonymous_function_header] = sym__anonymous_function_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym__foreach_value] = sym__foreach_value,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__new_non_dereferencable_expression] = sym__new_non_dereferencable_expression,
  [sym__new_dereferencable_expression] = sym__new_dereferencable_expression,
  [sym__class_name_reference] = sym__class_name_reference,
  [sym_anonymous_class] = sym_anonymous_class,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__variable_member_access_expression] = sym_member_access_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym__variable_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym__variable_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym__callable_expression] = sym__callable_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym__member_name] = sym__member_name,
  [sym__variable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym__dereferencable_scalar] = sym__dereferencable_scalar,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym__variable_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym__simple_variable] = sym__simple_variable,
  [sym__new_variable] = sym__new_variable,
  [sym__callable_variable] = sym__callable_variable,
  [sym_variable_name] = sym_variable_name,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [sym__identifier] = sym__identifier,
  [sym__semicolon] = sym__semicolon,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_hook_list_repeat1] = aux_sym_property_hook_list_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__new_non_dereferencable_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_use_group] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook_list] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook] = {
    .visible = true,
    .named = true,
  },
  [sym__property_hook_body] = {
    .visible = false,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__anonymous_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__foreach_value] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__new_non_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__new_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__class_name_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_class] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__callable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym__member_name] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__dereferencable_scalar] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__new_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__callable_variable] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_hook_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attributes = 5,
  field_body = 6,
  field_condition = 7,
  field_conditional_expressions = 8,
  field_default_value = 9,
  field_end_tag = 10,
  field_final = 11,
  field_function = 12,
  field_identifier = 13,
  field_initialize = 14,
  field_left = 15,
  field_name = 16,
  field_object = 17,
  field_operator = 18,
  field_parameters = 19,
  field_prefix = 20,
  field_readonly = 21,
  field_reference_modifier = 22,
  field_return_expression = 23,
  field_return_type = 24,
  field_right = 25,
  field_scope = 26,
  field_static_modifier = 27,
  field_type = 28,
  field_update = 29,
  field_value = 30,
  field_visibility = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_final] = "final",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_prefix] = "prefix",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 2},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 1},
  [7] = {.index = 7, .length = 1},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 4},
  [13] = {.index = 17, .length = 6},
  [14] = {.index = 23, .length = 2},
  [15] = {.index = 25, .length = 2},
  [16] = {.index = 27, .length = 1},
  [17] = {.index = 28, .length = 1},
  [18] = {.index = 29, .length = 2},
  [19] = {.index = 31, .length = 2},
  [20] = {.index = 33, .length = 2},
  [21] = {.index = 35, .length = 2},
  [23] = {.index = 37, .length = 2},
  [24] = {.index = 39, .length = 2},
  [25] = {.index = 41, .length = 2},
  [26] = {.index = 43, .length = 2},
  [27] = {.index = 45, .length = 2},
  [28] = {.index = 47, .length = 6},
  [29] = {.index = 53, .length = 3},
  [30] = {.index = 56, .length = 2},
  [31] = {.index = 58, .length = 2},
  [32] = {.index = 60, .length = 2},
  [33] = {.index = 62, .length = 5},
  [34] = {.index = 67, .length = 2},
  [35] = {.index = 69, .length = 1},
  [36] = {.index = 70, .length = 1},
  [37] = {.index = 71, .length = 2},
  [38] = {.index = 73, .length = 2},
  [39] = {.index = 75, .length = 2},
  [40] = {.index = 77, .length = 2},
  [41] = {.index = 79, .length = 3},
  [42] = {.index = 82, .length = 2},
  [43] = {.index = 84, .length = 1},
  [44] = {.index = 85, .length = 2},
  [45] = {.index = 87, .length = 3},
  [46] = {.index = 90, .length = 1},
  [47] = {.index = 91, .length = 2},
  [48] = {.index = 93, .length = 2},
  [49] = {.index = 95, .length = 2},
  [50] = {.index = 97, .length = 1},
  [51] = {.index = 98, .length = 3},
  [52] = {.index = 101, .length = 3},
  [53] = {.index = 104, .length = 2},
  [56] = {.index = 106, .length = 2},
  [57] = {.index = 108, .length = 2},
  [58] = {.index = 110, .length = 3},
  [59] = {.index = 113, .length = 2},
  [60] = {.index = 5, .length = 1},
  [61] = {.index = 115, .length = 1},
  [62] = {.index = 116, .length = 1},
  [63] = {.index = 117, .length = 3},
  [64] = {.index = 120, .length = 3},
  [65] = {.index = 123, .length = 2},
  [66] = {.index = 125, .length = 2},
  [67] = {.index = 127, .length = 3},
  [68] = {.index = 130, .length = 3},
  [69] = {.index = 133, .length = 3},
  [70] = {.index = 136, .length = 3},
  [71] = {.index = 139, .length = 3},
  [72] = {.index = 142, .length = 3},
  [73] = {.index = 145, .length = 2},
  [74] = {.index = 147, .length = 2},
  [75] = {.index = 149, .length = 2},
  [76] = {.index = 151, .length = 2},
  [77] = {.index = 153, .length = 3},
  [78] = {.index = 156, .length = 3},
  [79] = {.index = 159, .length = 2},
  [80] = {.index = 161, .length = 3},
  [81] = {.index = 164, .length = 2},
  [82] = {.index = 166, .length = 3},
  [83] = {.index = 169, .length = 3},
  [84] = {.index = 172, .length = 3},
  [85] = {.index = 175, .length = 2},
  [86] = {.index = 177, .length = 3},
  [87] = {.index = 180, .length = 3},
  [88] = {.index = 183, .length = 1},
  [89] = {.index = 184, .length = 3},
  [90] = {.index = 187, .length = 2},
  [91] = {.index = 189, .length = 2},
  [92] = {.index = 189, .length = 2},
  [93] = {.index = 191, .length = 2},
  [94] = {.index = 193, .length = 4},
  [95] = {.index = 197, .length = 2},
  [96] = {.index = 199, .length = 1},
  [97] = {.index = 200, .length = 2},
  [98] = {.index = 202, .length = 3},
  [99] = {.index = 205, .length = 3},
  [100] = {.index = 208, .length = 2},
  [101] = {.index = 210, .length = 3},
  [102] = {.index = 213, .length = 2},
  [103] = {.index = 215, .length = 4},
  [104] = {.index = 219, .length = 3},
  [105] = {.index = 222, .length = 3},
  [107] = {.index = 225, .length = 4},
  [108] = {.index = 229, .length = 3},
  [109] = {.index = 232, .length = 3},
  [110] = {.index = 235, .length = 4},
  [111] = {.index = 239, .length = 4},
  [112] = {.index = 243, .length = 3},
  [113] = {.index = 246, .length = 1},
  [114] = {.index = 247, .length = 2},
  [115] = {.index = 249, .length = 3},
  [116] = {.index = 252, .length = 4},
  [117] = {.index = 256, .length = 3},
  [118] = {.index = 259, .length = 3},
  [119] = {.index = 262, .length = 3},
  [120] = {.index = 265, .length = 3},
  [121] = {.index = 268, .length = 4},
  [122] = {.index = 272, .length = 4},
  [123] = {.index = 276, .length = 3},
  [124] = {.index = 279, .length = 4},
  [125] = {.index = 283, .length = 3},
  [126] = {.index = 286, .length = 2},
  [127] = {.index = 288, .length = 4},
  [128] = {.index = 292, .length = 4},
  [129] = {.index = 296, .length = 3},
  [130] = {.index = 299, .length = 2},
  [131] = {.index = 301, .length = 1},
  [132] = {.index = 302, .length = 1},
  [133] = {.index = 303, .length = 2},
  [134] = {.index = 305, .length = 1},
  [135] = {.index = 306, .length = 1},
  [136] = {.index = 307, .length = 2},
  [139] = {.index = 309, .length = 3},
  [140] = {.index = 312, .length = 3},
  [141] = {.index = 315, .length = 3},
  [142] = {.index = 318, .length = 4},
  [143] = {.index = 322, .length = 4},
  [144] = {.index = 326, .length = 3},
  [145] = {.index = 326, .length = 3},
  [146] = {.index = 329, .length = 5},
  [147] = {.index = 334, .length = 4},
  [148] = {.index = 338, .length = 3},
  [149] = {.index = 341, .length = 2},
  [150] = {.index = 343, .length = 4},
  [151] = {.index = 347, .length = 4},
  [152] = {.index = 351, .length = 1},
  [153] = {.index = 352, .length = 1},
  [154] = {.index = 353, .length = 4},
  [155] = {.index = 357, .length = 4},
  [156] = {.index = 361, .length = 5},
  [157] = {.index = 366, .length = 4},
  [158] = {.index = 370, .length = 4},
  [159] = {.index = 374, .length = 4},
  [160] = {.index = 378, .length = 1},
  [161] = {.index = 379, .length = 5},
  [162] = {.index = 384, .length = 4},
  [163] = {.index = 388, .length = 2},
  [164] = {.index = 390, .length = 2},
  [165] = {.index = 392, .length = 1},
  [166] = {.index = 393, .length = 2},
  [167] = {.index = 395, .length = 1},
  [168] = {.index = 396, .length = 2},
  [169] = {.index = 398, .length = 1},
  [170] = {.index = 399, .length = 1},
  [171] = {.index = 400, .length = 2},
  [172] = {.index = 402, .length = 3},
  [173] = {.index = 405, .length = 3},
  [174] = {.index = 408, .length = 5},
  [175] = {.index = 413, .length = 3},
  [176] = {.index = 416, .length = 5},
  [177] = {.index = 421, .length = 2},
  [178] = {.index = 423, .length = 2},
  [179] = {.index = 425, .length = 2},
  [180] = {.index = 427, .length = 2},
  [181] = {.index = 429, .length = 5},
  [182] = {.index = 434, .length = 5},
  [183] = {.index = 439, .length = 5},
  [184] = {.index = 444, .length = 2},
  [185] = {.index = 446, .length = 2},
  [186] = {.index = 448, .length = 3},
  [187] = {.index = 451, .length = 3},
  [188] = {.index = 454, .length = 2},
  [189] = {.index = 456, .length = 3},
  [190] = {.index = 459, .length = 2},
  [191] = {.index = 461, .length = 3},
  [192] = {.index = 464, .length = 2},
  [193] = {.index = 466, .length = 2},
  [194] = {.index = 468, .length = 3},
  [195] = {.index = 471, .length = 3},
  [196] = {.index = 474, .length = 3},
  [197] = {.index = 477, .length = 3},
  [198] = {.index = 480, .length = 3},
  [199] = {.index = 483, .length = 3},
  [200] = {.index = 486, .length = 6},
  [201] = {.index = 492, .length = 3},
  [202] = {.index = 495, .length = 4},
  [203] = {.index = 499, .length = 3},
  [204] = {.index = 502, .length = 4},
  [205] = {.index = 506, .length = 4},
  [206] = {.index = 510, .length = 4},
  [207] = {.index = 514, .length = 4},
  [208] = {.index = 518, .length = 2},
  [209] = {.index = 520, .length = 2},
  [210] = {.index = 522, .length = 2},
  [211] = {.index = 524, .length = 5},
  [212] = {.index = 529, .length = 3},
  [213] = {.index = 532, .length = 3},
  [214] = {.index = 535, .length = 3},
  [215] = {.index = 538, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [3] =
    {field_name, 0, .inherited = true},
    {field_scope, 0, .inherited = true},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_parameters, 1},
  [8] =
    {field_prefix, 0},
  [9] =
    {field_argument, 1},
    {field_operator, 0},
  [11] =
    {field_arguments, 1},
    {field_function, 0},
  [13] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [17] =
    {field_attributes, 0, .inherited = true},
    {field_body, 1},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [23] =
    {field_argument, 0},
    {field_operator, 1},
  [25] =
    {field_body, 2},
    {field_name, 1},
  [27] =
    {field_name, 1},
  [28] =
    {field_type, 0},
  [29] =
    {field_body, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [31] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [33] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [35] =
    {field_name, 1},
    {field_parameters, 2},
  [37] =
    {field_body, 2},
    {field_condition, 1},
  [39] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [41] =
    {field_name, 2},
    {field_scope, 0},
  [43] =
    {field_prefix, 0},
    {field_prefix, 1},
  [45] =
    {field_parameters, 2},
    {field_static_modifier, 0},
  [47] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [53] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [56] =
    {field_left, 0},
    {field_right, 2},
  [58] =
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [60] =
    {field_attributes, 0},
    {field_parameters, 2},
  [62] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [67] =
    {field_name, 0},
    {field_value, 2},
  [69] =
    {field_alias, 2},
  [70] =
    {field_body, 2},
  [71] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [73] =
    {field_name, 1},
    {field_visibility, 0},
  [75] =
    {field_name, 1},
    {field_type, 0},
  [77] =
    {field_attributes, 0},
    {field_name, 1},
  [79] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [82] =
    {field_name, 2},
    {field_parameters, 3},
  [84] =
    {field_return_type, 1},
  [85] =
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [87] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [90] =
    {field_type, 1},
  [91] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [93] =
    {field_body, 3},
    {field_name, 1},
  [95] =
    {field_type, 1},
    {field_value, 3},
  [97] =
    {field_alternative, 0},
  [98] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [101] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [104] =
    {field_attributes, 0},
    {field_body, 2},
  [106] =
    {field_name, 2},
    {field_object, 0},
  [108] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [110] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [113] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [115] =
    {field_reference_modifier, 0},
  [116] =
    {field_name, 0, .inherited = true},
  [117] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [120] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [123] =
    {field_alternative, 3},
    {field_condition, 0},
  [125] =
    {field_left, 0},
    {field_right, 3},
  [127] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_scope, 0},
  [130] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [136] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [139] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [142] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [145] =
    {field_body, 3},
    {field_name, 2},
  [147] =
    {field_alias, 3},
    {field_type, 0},
  [149] =
    {field_body, 3},
    {field_type, 0},
  [151] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [153] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [156] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [159] =
    {field_name, 2},
    {field_type, 0},
  [161] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [164] =
    {field_attributes, 0},
    {field_name, 2},
  [166] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [169] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [172] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [175] =
    {field_default_value, 2},
    {field_name, 0},
  [177] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [180] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [183] =
    {field_type, 1, .inherited = true},
  [184] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [187] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [189] =
    {field_body, 4},
    {field_name, 1},
  [191] =
    {field_body, 1},
    {field_condition, 3},
  [193] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [197] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [199] =
    {field_body, 3},
  [200] =
    {field_attributes, 0},
    {field_body, 3},
  [202] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [205] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [208] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [210] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [213] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [215] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [219] =
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [222] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [225] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [229] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [235] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [239] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [243] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [246] =
    {field_type, 2},
  [247] =
    {field_body, 4},
    {field_name, 2},
  [249] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [252] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [256] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [259] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [262] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [265] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [268] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [272] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [276] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [279] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [283] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [286] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [288] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [292] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [296] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [299] =
    {field_body, 5},
    {field_name, 1},
  [301] =
    {field_body, 5},
  [302] =
    {field_return_expression, 2},
  [303] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [305] =
    {field_value, 1},
  [306] =
    {field_body, 4},
  [307] =
    {field_attributes, 0},
    {field_body, 4},
  [309] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [312] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [315] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [318] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [322] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [326] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [329] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [334] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [338] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [341] =
    {field_body, 5},
    {field_name, 2},
  [343] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [347] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [351] =
    {field_body, 1, .inherited = true},
  [352] =
    {field_body, 0},
  [353] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [357] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [361] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [366] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [370] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [374] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [378] =
    {field_attributes, 0},
  [379] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [384] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [388] =
    {field_body, 4},
    {field_type, 2},
  [390] =
    {field_body, 6},
    {field_update, 4},
  [392] =
    {field_update, 4},
  [393] =
    {field_body, 6},
    {field_condition, 3},
  [395] =
    {field_condition, 3},
  [396] =
    {field_body, 6},
    {field_initialize, 2},
  [398] =
    {field_initialize, 2},
  [399] =
    {field_body, 6},
  [400] =
    {field_attributes, 0},
    {field_body, 5},
  [402] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [405] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [408] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [413] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [416] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [421] =
    {field_body, 2, .inherited = true},
    {field_parameters, 1},
  [423] =
    {field_body, 2, .inherited = true},
    {field_reference_modifier, 0},
  [425] =
    {field_body, 2, .inherited = true},
    {field_final, 0},
  [427] =
    {field_attributes, 0},
    {field_body, 2, .inherited = true},
  [429] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [434] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [439] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [444] =
    {field_attributes, 0},
    {field_type, 2},
  [446] =
    {field_name, 1},
    {field_value, 3},
  [448] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [451] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [454] =
    {field_condition, 3},
    {field_update, 5},
  [456] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [459] =
    {field_initialize, 2},
    {field_update, 5},
  [461] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [464] =
    {field_condition, 4},
    {field_initialize, 2},
  [466] =
    {field_attributes, 0},
    {field_body, 6},
  [468] =
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
    {field_reference_modifier, 0},
  [471] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_parameters, 2},
  [474] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_reference_modifier, 1},
  [477] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
  [480] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_reference_modifier, 1},
  [483] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_final, 1},
  [486] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [492] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [495] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [499] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [502] =
    {field_body, 4, .inherited = true},
    {field_final, 0},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [506] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [510] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_parameters, 3},
  [514] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_reference_modifier, 2},
  [518] =
    {field_body, 7},
    {field_update, 4},
  [520] =
    {field_body, 7},
    {field_condition, 3},
  [522] =
    {field_body, 7},
    {field_initialize, 2},
  [524] =
    {field_attributes, 0},
    {field_body, 5, .inherited = true},
    {field_final, 1},
    {field_parameters, 4},
    {field_reference_modifier, 2},
  [529] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [532] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [535] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [538] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_object_creation_expression,
  },
  [10] = {
    [0] = sym_list_literal,
  },
  [22] = {
    [0] = anon_sym_array,
  },
  [54] = {
    [1] = sym_list_literal,
  },
  [55] = {
    [2] = sym_list_literal,
  },
  [60] = {
    [0] = sym_name,
  },
  [91] = {
    [3] = sym_primitive_type,
  },
  [106] = {
    [3] = sym_name,
  },
  [130] = {
    [3] = sym_primitive_type,
  },
  [137] = {
    [3] = sym_list_literal,
  },
  [138] = {
    [4] = sym_list_literal,
  },
  [144] = {
    [4] = sym_primitive_type,
  },
  [173] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__new_dereferencable_expression, 2,
    sym__new_dereferencable_expression,
    sym_object_creation_expression,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 2,
  [9] = 9,
  [10] = 10,
  [11] = 10,
  [12] = 7,
  [13] = 7,
  [14] = 9,
  [15] = 7,
  [16] = 16,
  [17] = 17,
  [18] = 17,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 16,
  [27] = 27,
  [28] = 17,
  [29] = 19,
  [30] = 16,
  [31] = 20,
  [32] = 21,
  [33] = 25,
  [34] = 24,
  [35] = 16,
  [36] = 36,
  [37] = 19,
  [38] = 25,
  [39] = 23,
  [40] = 22,
  [41] = 23,
  [42] = 17,
  [43] = 23,
  [44] = 19,
  [45] = 20,
  [46] = 20,
  [47] = 22,
  [48] = 21,
  [49] = 24,
  [50] = 24,
  [51] = 25,
  [52] = 52,
  [53] = 21,
  [54] = 22,
  [55] = 55,
  [56] = 56,
  [57] = 55,
  [58] = 58,
  [59] = 58,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 58,
  [67] = 58,
  [68] = 65,
  [69] = 65,
  [70] = 58,
  [71] = 65,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 55,
  [77] = 75,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 56,
  [86] = 86,
  [87] = 87,
  [88] = 65,
  [89] = 84,
  [90] = 78,
  [91] = 75,
  [92] = 55,
  [93] = 75,
  [94] = 87,
  [95] = 86,
  [96] = 83,
  [97] = 82,
  [98] = 81,
  [99] = 79,
  [100] = 80,
  [101] = 72,
  [102] = 74,
  [103] = 73,
  [104] = 64,
  [105] = 60,
  [106] = 63,
  [107] = 62,
  [108] = 61,
  [109] = 109,
  [110] = 110,
  [111] = 110,
  [112] = 109,
  [113] = 110,
  [114] = 114,
  [115] = 110,
  [116] = 114,
  [117] = 117,
  [118] = 117,
  [119] = 117,
  [120] = 117,
  [121] = 121,
  [122] = 121,
  [123] = 123,
  [124] = 123,
  [125] = 121,
  [126] = 123,
  [127] = 121,
  [128] = 123,
  [129] = 121,
  [130] = 123,
  [131] = 121,
  [132] = 132,
  [133] = 132,
  [134] = 132,
  [135] = 135,
  [136] = 135,
  [137] = 132,
  [138] = 135,
  [139] = 135,
  [140] = 135,
  [141] = 135,
  [142] = 132,
  [143] = 143,
  [144] = 143,
  [145] = 145,
  [146] = 143,
  [147] = 145,
  [148] = 145,
  [149] = 143,
  [150] = 143,
  [151] = 145,
  [152] = 143,
  [153] = 145,
  [154] = 145,
  [155] = 155,
  [156] = 156,
  [157] = 155,
  [158] = 156,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 160,
  [163] = 163,
  [164] = 164,
  [165] = 164,
  [166] = 163,
  [167] = 167,
  [168] = 161,
  [169] = 167,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 170,
  [175] = 173,
  [176] = 176,
  [177] = 177,
  [178] = 177,
  [179] = 172,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 181,
  [184] = 184,
  [185] = 181,
  [186] = 181,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 189,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 195,
  [197] = 197,
  [198] = 198,
  [199] = 190,
  [200] = 197,
  [201] = 194,
  [202] = 192,
  [203] = 198,
  [204] = 198,
  [205] = 197,
  [206] = 187,
  [207] = 188,
  [208] = 190,
  [209] = 193,
  [210] = 188,
  [211] = 198,
  [212] = 190,
  [213] = 197,
  [214] = 189,
  [215] = 193,
  [216] = 193,
  [217] = 217,
  [218] = 189,
  [219] = 188,
  [220] = 195,
  [221] = 195,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 224,
  [227] = 224,
  [228] = 228,
  [229] = 224,
  [230] = 225,
  [231] = 224,
  [232] = 224,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 233,
  [237] = 237,
  [238] = 233,
  [239] = 235,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 240,
  [244] = 235,
  [245] = 245,
  [246] = 237,
  [247] = 233,
  [248] = 242,
  [249] = 240,
  [250] = 241,
  [251] = 235,
  [252] = 233,
  [253] = 237,
  [254] = 233,
  [255] = 242,
  [256] = 256,
  [257] = 257,
  [258] = 242,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 259,
  [279] = 279,
  [280] = 280,
  [281] = 280,
  [282] = 282,
  [283] = 279,
  [284] = 267,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 277,
  [289] = 289,
  [290] = 276,
  [291] = 291,
  [292] = 272,
  [293] = 273,
  [294] = 275,
  [295] = 295,
  [296] = 274,
  [297] = 273,
  [298] = 287,
  [299] = 299,
  [300] = 269,
  [301] = 270,
  [302] = 260,
  [303] = 285,
  [304] = 261,
  [305] = 262,
  [306] = 306,
  [307] = 307,
  [308] = 263,
  [309] = 264,
  [310] = 310,
  [311] = 265,
  [312] = 266,
  [313] = 271,
  [314] = 307,
  [315] = 315,
  [316] = 287,
  [317] = 317,
  [318] = 318,
  [319] = 267,
  [320] = 269,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 272,
  [328] = 328,
  [329] = 280,
  [330] = 279,
  [331] = 259,
  [332] = 332,
  [333] = 277,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 276,
  [339] = 339,
  [340] = 275,
  [341] = 270,
  [342] = 274,
  [343] = 343,
  [344] = 274,
  [345] = 273,
  [346] = 275,
  [347] = 347,
  [348] = 269,
  [349] = 347,
  [350] = 324,
  [351] = 323,
  [352] = 270,
  [353] = 322,
  [354] = 317,
  [355] = 282,
  [356] = 307,
  [357] = 315,
  [358] = 315,
  [359] = 260,
  [360] = 268,
  [361] = 261,
  [362] = 310,
  [363] = 276,
  [364] = 262,
  [365] = 277,
  [366] = 259,
  [367] = 263,
  [368] = 264,
  [369] = 279,
  [370] = 265,
  [371] = 266,
  [372] = 291,
  [373] = 282,
  [374] = 335,
  [375] = 271,
  [376] = 287,
  [377] = 377,
  [378] = 280,
  [379] = 310,
  [380] = 307,
  [381] = 381,
  [382] = 306,
  [383] = 335,
  [384] = 261,
  [385] = 336,
  [386] = 272,
  [387] = 324,
  [388] = 388,
  [389] = 323,
  [390] = 268,
  [391] = 322,
  [392] = 317,
  [393] = 306,
  [394] = 262,
  [395] = 282,
  [396] = 267,
  [397] = 347,
  [398] = 263,
  [399] = 264,
  [400] = 265,
  [401] = 266,
  [402] = 402,
  [403] = 403,
  [404] = 271,
  [405] = 347,
  [406] = 310,
  [407] = 407,
  [408] = 324,
  [409] = 323,
  [410] = 322,
  [411] = 317,
  [412] = 335,
  [413] = 413,
  [414] = 336,
  [415] = 260,
  [416] = 315,
  [417] = 417,
  [418] = 418,
  [419] = 287,
  [420] = 306,
  [421] = 291,
  [422] = 287,
  [423] = 285,
  [424] = 287,
  [425] = 425,
  [426] = 289,
  [427] = 291,
  [428] = 287,
  [429] = 291,
  [430] = 430,
  [431] = 268,
  [432] = 336,
  [433] = 282,
  [434] = 287,
  [435] = 291,
  [436] = 436,
  [437] = 436,
  [438] = 436,
  [439] = 436,
  [440] = 436,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 444,
  [446] = 443,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 449,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 447,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 577,
  [579] = 577,
  [580] = 577,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 587,
  [614] = 586,
  [615] = 615,
  [616] = 616,
  [617] = 608,
  [618] = 590,
  [619] = 591,
  [620] = 620,
  [621] = 592,
  [622] = 585,
  [623] = 615,
  [624] = 624,
  [625] = 601,
  [626] = 626,
  [627] = 607,
  [628] = 583,
  [629] = 615,
  [630] = 630,
  [631] = 631,
  [632] = 609,
  [633] = 606,
  [634] = 582,
  [635] = 584,
  [636] = 594,
  [637] = 610,
  [638] = 598,
  [639] = 588,
  [640] = 593,
  [641] = 605,
  [642] = 599,
  [643] = 643,
  [644] = 644,
  [645] = 601,
  [646] = 615,
  [647] = 589,
  [648] = 600,
  [649] = 602,
  [650] = 603,
  [651] = 651,
  [652] = 612,
  [653] = 611,
  [654] = 595,
  [655] = 604,
  [656] = 597,
  [657] = 596,
  [658] = 643,
  [659] = 624,
  [660] = 624,
  [661] = 643,
  [662] = 662,
  [663] = 643,
  [664] = 664,
  [665] = 662,
  [666] = 624,
  [667] = 667,
  [668] = 668,
  [669] = 611,
  [670] = 612,
  [671] = 671,
  [672] = 672,
  [673] = 671,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 677,
  [679] = 675,
  [680] = 680,
  [681] = 680,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 684,
  [687] = 687,
  [688] = 688,
  [689] = 684,
  [690] = 684,
  [691] = 683,
  [692] = 685,
  [693] = 688,
  [694] = 694,
  [695] = 684,
  [696] = 685,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 586,
  [701] = 701,
  [702] = 489,
  [703] = 703,
  [704] = 571,
  [705] = 705,
  [706] = 587,
  [707] = 598,
  [708] = 585,
  [709] = 699,
  [710] = 610,
  [711] = 711,
  [712] = 607,
  [713] = 605,
  [714] = 582,
  [715] = 715,
  [716] = 588,
  [717] = 591,
  [718] = 718,
  [719] = 584,
  [720] = 610,
  [721] = 583,
  [722] = 593,
  [723] = 594,
  [724] = 590,
  [725] = 608,
  [726] = 599,
  [727] = 609,
  [728] = 592,
  [729] = 606,
  [730] = 730,
  [731] = 731,
  [732] = 597,
  [733] = 595,
  [734] = 734,
  [735] = 596,
  [736] = 589,
  [737] = 603,
  [738] = 587,
  [739] = 586,
  [740] = 740,
  [741] = 602,
  [742] = 604,
  [743] = 600,
  [744] = 744,
  [745] = 745,
  [746] = 585,
  [747] = 747,
  [748] = 609,
  [749] = 608,
  [750] = 750,
  [751] = 751,
  [752] = 583,
  [753] = 603,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 602,
  [758] = 600,
  [759] = 759,
  [760] = 599,
  [761] = 588,
  [762] = 598,
  [763] = 447,
  [764] = 581,
  [765] = 597,
  [766] = 592,
  [767] = 767,
  [768] = 449,
  [769] = 769,
  [770] = 594,
  [771] = 595,
  [772] = 772,
  [773] = 773,
  [774] = 596,
  [775] = 775,
  [776] = 776,
  [777] = 589,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 606,
  [783] = 701,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 591,
  [788] = 788,
  [789] = 789,
  [790] = 593,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 607,
  [799] = 799,
  [800] = 590,
  [801] = 788,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 584,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 605,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 582,
  [825] = 604,
  [826] = 826,
  [827] = 826,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 694,
  [832] = 610,
  [833] = 694,
  [834] = 834,
  [835] = 715,
  [836] = 718,
  [837] = 837,
  [838] = 837,
  [839] = 587,
  [840] = 586,
  [841] = 841,
  [842] = 593,
  [843] = 599,
  [844] = 844,
  [845] = 845,
  [846] = 754,
  [847] = 607,
  [848] = 583,
  [849] = 608,
  [850] = 850,
  [851] = 609,
  [852] = 606,
  [853] = 701,
  [854] = 711,
  [855] = 582,
  [856] = 605,
  [857] = 584,
  [858] = 730,
  [859] = 590,
  [860] = 588,
  [861] = 594,
  [862] = 850,
  [863] = 598,
  [864] = 610,
  [865] = 591,
  [866] = 585,
  [867] = 592,
  [868] = 698,
  [869] = 715,
  [870] = 698,
  [871] = 595,
  [872] = 718,
  [873] = 586,
  [874] = 587,
  [875] = 745,
  [876] = 597,
  [877] = 877,
  [878] = 602,
  [879] = 744,
  [880] = 604,
  [881] = 603,
  [882] = 600,
  [883] = 883,
  [884] = 884,
  [885] = 596,
  [886] = 589,
  [887] = 754,
  [888] = 596,
  [889] = 592,
  [890] = 609,
  [891] = 606,
  [892] = 593,
  [893] = 604,
  [894] = 585,
  [895] = 597,
  [896] = 822,
  [897] = 582,
  [898] = 605,
  [899] = 584,
  [900] = 821,
  [901] = 731,
  [902] = 598,
  [903] = 581,
  [904] = 804,
  [905] = 905,
  [906] = 595,
  [907] = 830,
  [908] = 820,
  [909] = 588,
  [910] = 806,
  [911] = 819,
  [912] = 781,
  [913] = 594,
  [914] = 780,
  [915] = 599,
  [916] = 807,
  [917] = 808,
  [918] = 600,
  [919] = 809,
  [920] = 602,
  [921] = 810,
  [922] = 779,
  [923] = 603,
  [924] = 754,
  [925] = 590,
  [926] = 591,
  [927] = 802,
  [928] = 817,
  [929] = 816,
  [930] = 815,
  [931] = 814,
  [932] = 813,
  [933] = 812,
  [934] = 607,
  [935] = 803,
  [936] = 734,
  [937] = 583,
  [938] = 608,
  [939] = 789,
  [940] = 775,
  [941] = 941,
  [942] = 589,
  [943] = 799,
  [944] = 610,
  [945] = 823,
  [946] = 784,
  [947] = 759,
  [948] = 773,
  [949] = 701,
  [950] = 756,
  [951] = 772,
  [952] = 776,
  [953] = 769,
  [954] = 489,
  [955] = 941,
  [956] = 778,
  [957] = 767,
  [958] = 791,
  [959] = 581,
  [960] = 811,
  [961] = 571,
  [962] = 792,
  [963] = 793,
  [964] = 740,
  [965] = 786,
  [966] = 794,
  [967] = 755,
  [968] = 795,
  [969] = 750,
  [970] = 796,
  [971] = 747,
  [972] = 751,
  [973] = 973,
  [974] = 974,
  [975] = 754,
  [976] = 694,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 834,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 829,
  [986] = 986,
  [987] = 715,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 718,
  [992] = 992,
  [993] = 828,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 785,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 797,
  [1006] = 610,
  [1007] = 884,
  [1008] = 883,
  [1009] = 698,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 581,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 981,
  [1044] = 1040,
  [1045] = 1021,
  [1046] = 1046,
  [1047] = 1010,
  [1048] = 983,
  [1049] = 1028,
  [1050] = 1029,
  [1051] = 992,
  [1052] = 1013,
  [1053] = 982,
  [1054] = 978,
  [1055] = 447,
  [1056] = 449,
  [1057] = 977,
  [1058] = 1038,
  [1059] = 1059,
  [1060] = 997,
  [1061] = 973,
  [1062] = 974,
  [1063] = 1034,
  [1064] = 998,
  [1065] = 1000,
  [1066] = 1030,
  [1067] = 1031,
  [1068] = 1034,
  [1069] = 1031,
  [1070] = 1030,
  [1071] = 1042,
  [1072] = 1029,
  [1073] = 1028,
  [1074] = 1010,
  [1075] = 1021,
  [1076] = 1011,
  [1077] = 1037,
  [1078] = 1012,
  [1079] = 1014,
  [1080] = 1016,
  [1081] = 1018,
  [1082] = 1019,
  [1083] = 1022,
  [1084] = 1023,
  [1085] = 1024,
  [1086] = 1025,
  [1087] = 1026,
  [1088] = 1027,
  [1089] = 1033,
  [1090] = 1037,
  [1091] = 1042,
  [1092] = 1038,
  [1093] = 1033,
  [1094] = 1027,
  [1095] = 1015,
  [1096] = 1041,
  [1097] = 1026,
  [1098] = 1025,
  [1099] = 999,
  [1100] = 1040,
  [1101] = 984,
  [1102] = 995,
  [1103] = 1002,
  [1104] = 1020,
  [1105] = 1024,
  [1106] = 1039,
  [1107] = 1017,
  [1108] = 1023,
  [1109] = 1036,
  [1110] = 1022,
  [1111] = 1032,
  [1112] = 979,
  [1113] = 1020,
  [1114] = 1011,
  [1115] = 1019,
  [1116] = 1004,
  [1117] = 994,
  [1118] = 1003,
  [1119] = 996,
  [1120] = 1018,
  [1121] = 1032,
  [1122] = 990,
  [1123] = 1036,
  [1124] = 1016,
  [1125] = 986,
  [1126] = 1012,
  [1127] = 1014,
  [1128] = 1039,
  [1129] = 1041,
  [1130] = 1015,
  [1131] = 1017,
  [1132] = 989,
  [1133] = 988,
  [1134] = 1013,
  [1135] = 1013,
  [1136] = 1037,
  [1137] = 1030,
  [1138] = 1029,
  [1139] = 1028,
  [1140] = 1019,
  [1141] = 1022,
  [1142] = 1010,
  [1143] = 1021,
  [1144] = 1023,
  [1145] = 1011,
  [1146] = 1024,
  [1147] = 1012,
  [1148] = 1014,
  [1149] = 1016,
  [1150] = 1025,
  [1151] = 1026,
  [1152] = 1017,
  [1153] = 1027,
  [1154] = 1018,
  [1155] = 1031,
  [1156] = 1040,
  [1157] = 1015,
  [1158] = 1033,
  [1159] = 1020,
  [1160] = 1032,
  [1161] = 1036,
  [1162] = 1038,
  [1163] = 1042,
  [1164] = 1039,
  [1165] = 1041,
  [1166] = 1034,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1181,
  [1183] = 1032,
  [1184] = 1184,
  [1185] = 1184,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1186,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1190,
  [1197] = 1188,
  [1198] = 1032,
  [1199] = 1199,
  [1200] = 1193,
  [1201] = 1201,
  [1202] = 1179,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1179,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1206,
  [1217] = 1217,
  [1218] = 1195,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1206,
  [1222] = 1222,
  [1223] = 1204,
  [1224] = 1204,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1195,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1231,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1231,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1231,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1240,
  [1243] = 1229,
  [1244] = 1241,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1229,
  [1248] = 1229,
  [1249] = 1229,
  [1250] = 1237,
  [1251] = 1240,
  [1252] = 1252,
  [1253] = 1246,
  [1254] = 1254,
  [1255] = 1238,
  [1256] = 1229,
  [1257] = 1229,
  [1258] = 1240,
  [1259] = 1230,
  [1260] = 1254,
  [1261] = 1237,
  [1262] = 1254,
  [1263] = 1230,
  [1264] = 1229,
  [1265] = 1241,
  [1266] = 1233,
  [1267] = 1237,
  [1268] = 1268,
  [1269] = 1237,
  [1270] = 1254,
  [1271] = 1230,
  [1272] = 1230,
  [1273] = 1241,
  [1274] = 1238,
  [1275] = 1229,
  [1276] = 1230,
  [1277] = 1254,
  [1278] = 1254,
  [1279] = 1241,
  [1280] = 1280,
  [1281] = 1237,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1282,
  [1288] = 1284,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1292,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1299,
  [1304] = 1302,
  [1305] = 1300,
  [1306] = 1302,
  [1307] = 1300,
  [1308] = 1308,
  [1309] = 1308,
  [1310] = 1310,
  [1311] = 1301,
  [1312] = 1299,
  [1313] = 1310,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1294,
  [1317] = 1314,
  [1318] = 1315,
  [1319] = 1295,
  [1320] = 1315,
  [1321] = 1314,
  [1322] = 1322,
  [1323] = 1322,
  [1324] = 1298,
  [1325] = 1297,
  [1326] = 1326,
  [1327] = 1296,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1329,
  [1331] = 1329,
  [1332] = 1332,
  [1333] = 1332,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1338,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1339,
  [1344] = 1341,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1342,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1354,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1362,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1360,
  [1369] = 1357,
  [1370] = 1366,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 830,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1379,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1404,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1403,
  [1409] = 1409,
  [1410] = 1402,
  [1411] = 1411,
  [1412] = 1406,
  [1413] = 1413,
  [1414] = 1403,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1406,
  [1418] = 1418,
  [1419] = 1415,
  [1420] = 1415,
  [1421] = 1403,
  [1422] = 1406,
  [1423] = 1423,
  [1424] = 1406,
  [1425] = 1413,
  [1426] = 1415,
  [1427] = 1409,
  [1428] = 1415,
  [1429] = 1403,
  [1430] = 1406,
  [1431] = 1411,
  [1432] = 1415,
  [1433] = 1403,
  [1434] = 1409,
  [1435] = 1402,
  [1436] = 1415,
  [1437] = 1416,
  [1438] = 1406,
  [1439] = 1403,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1441,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 590,
  [1468] = 1468,
  [1469] = 1460,
  [1470] = 1455,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 590,
  [1476] = 1476,
  [1477] = 590,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 442,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 441,
  [1502] = 1502,
  [1503] = 1495,
  [1504] = 1500,
  [1505] = 1497,
  [1506] = 1407,
  [1507] = 1494,
  [1508] = 1499,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1407,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1395,
  [1523] = 1510,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1532,
  [1540] = 1540,
  [1541] = 591,
  [1542] = 1542,
  [1543] = 607,
  [1544] = 1510,
  [1545] = 1545,
  [1546] = 590,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 877,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1520,
  [1559] = 1538,
  [1560] = 1550,
  [1561] = 443,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1562,
  [1567] = 1407,
  [1568] = 1568,
  [1569] = 1553,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1572,
  [1575] = 1575,
  [1576] = 1562,
  [1577] = 1542,
  [1578] = 1568,
  [1579] = 1553,
  [1580] = 590,
  [1581] = 1581,
  [1582] = 1564,
  [1583] = 590,
  [1584] = 1563,
  [1585] = 1585,
  [1586] = 1549,
  [1587] = 1548,
  [1588] = 1588,
  [1589] = 1588,
  [1590] = 1590,
  [1591] = 694,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1593,
  [1595] = 1581,
  [1596] = 444,
  [1597] = 607,
  [1598] = 1590,
  [1599] = 1571,
  [1600] = 1600,
  [1601] = 1562,
  [1602] = 1585,
  [1603] = 1562,
  [1604] = 1562,
  [1605] = 1605,
  [1606] = 1570,
  [1607] = 1607,
  [1608] = 1562,
  [1609] = 1609,
  [1610] = 443,
  [1611] = 1562,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1613,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1607,
  [1618] = 1618,
  [1619] = 1612,
  [1620] = 1620,
  [1621] = 1592,
  [1622] = 1568,
  [1623] = 1562,
  [1624] = 444,
  [1625] = 1625,
  [1626] = 591,
  [1627] = 1573,
  [1628] = 1628,
  [1629] = 1616,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1565,
  [1633] = 607,
  [1634] = 1562,
  [1635] = 1568,
  [1636] = 1562,
  [1637] = 1568,
  [1638] = 591,
  [1639] = 1549,
  [1640] = 1548,
  [1641] = 1562,
  [1642] = 1542,
  [1643] = 1568,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 447,
  [1652] = 1445,
  [1653] = 1653,
  [1654] = 1444,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 449,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1661,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 448,
  [1680] = 1680,
  [1681] = 1472,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1453,
  [1685] = 1685,
  [1686] = 1683,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1446,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 452,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1675,
  [1706] = 1653,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1692,
  [1712] = 1710,
  [1713] = 1473,
  [1714] = 1714,
  [1715] = 1715,
  [1716] = 1646,
  [1717] = 1717,
  [1718] = 1453,
  [1719] = 1472,
  [1720] = 1720,
  [1721] = 1465,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 450,
  [1725] = 1664,
  [1726] = 1466,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1464,
  [1730] = 1461,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 755,
  [1734] = 1734,
  [1735] = 1700,
  [1736] = 1473,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1691,
  [1742] = 1728,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1727,
  [1746] = 1697,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1452,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1720,
  [1753] = 1466,
  [1754] = 1747,
  [1755] = 1755,
  [1756] = 1465,
  [1757] = 1660,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1666,
  [1762] = 1762,
  [1763] = 1461,
  [1764] = 1764,
  [1765] = 451,
  [1766] = 1766,
  [1767] = 1693,
  [1768] = 1768,
  [1769] = 1715,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1464,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1772,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1707,
  [1801] = 1784,
  [1802] = 1722,
  [1803] = 1803,
  [1804] = 1780,
  [1805] = 1797,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1668,
  [1809] = 1468,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1457,
  [1814] = 1814,
  [1815] = 1785,
  [1816] = 1456,
  [1817] = 1789,
  [1818] = 1792,
  [1819] = 1789,
  [1820] = 1450,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1799,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1771,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1789,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 698,
  [1836] = 1774,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1665,
  [1840] = 1840,
  [1841] = 1785,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1827,
  [1845] = 1452,
  [1846] = 1807,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1812,
  [1852] = 1852,
  [1853] = 1787,
  [1854] = 1785,
  [1855] = 1789,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1824,
  [1859] = 1859,
  [1860] = 1474,
  [1861] = 1838,
  [1862] = 1789,
  [1863] = 1773,
  [1864] = 1789,
  [1865] = 1695,
  [1866] = 1831,
  [1867] = 1796,
  [1868] = 1868,
  [1869] = 1830,
  [1870] = 1870,
  [1871] = 1871,
  [1872] = 1803,
  [1873] = 1774,
  [1874] = 495,
  [1875] = 525,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 461,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 460,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1859,
  [1897] = 523,
  [1898] = 462,
  [1899] = 1899,
  [1900] = 464,
  [1901] = 465,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 466,
  [1905] = 1905,
  [1906] = 1870,
  [1907] = 1907,
  [1908] = 467,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 468,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 473,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 479,
  [1925] = 483,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 484,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 485,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 514,
  [1950] = 516,
  [1951] = 517,
  [1952] = 1952,
  [1953] = 453,
  [1954] = 521,
  [1955] = 475,
  [1956] = 1956,
  [1957] = 1888,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 550,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1966,
  [1970] = 1708,
  [1971] = 502,
  [1972] = 493,
  [1973] = 1973,
  [1974] = 511,
  [1975] = 1975,
  [1976] = 513,
  [1977] = 1977,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1476,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1821,
  [1985] = 1985,
  [1986] = 471,
  [1987] = 529,
  [1988] = 1988,
  [1989] = 530,
  [1990] = 534,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 535,
  [1995] = 537,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 2000,
  [2001] = 1943,
  [2002] = 2002,
  [2003] = 539,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 1999,
  [2008] = 552,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 526,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 536,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 1979,
  [2020] = 1452,
  [2021] = 2005,
  [2022] = 562,
  [2023] = 565,
  [2024] = 568,
  [2025] = 551,
  [2026] = 508,
  [2027] = 1975,
  [2028] = 546,
  [2029] = 1806,
  [2030] = 497,
  [2031] = 2031,
  [2032] = 476,
  [2033] = 1919,
  [2034] = 1985,
  [2035] = 1914,
  [2036] = 2036,
  [2037] = 1913,
  [2038] = 512,
  [2039] = 1910,
  [2040] = 2040,
  [2041] = 1911,
  [2042] = 1907,
  [2043] = 1905,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 1895,
  [2047] = 566,
  [2048] = 576,
  [2049] = 2049,
  [2050] = 520,
  [2051] = 2051,
  [2052] = 1902,
  [2053] = 540,
  [2054] = 575,
  [2055] = 553,
  [2056] = 574,
  [2057] = 1890,
  [2058] = 570,
  [2059] = 549,
  [2060] = 563,
  [2061] = 561,
  [2062] = 542,
  [2063] = 2063,
  [2064] = 1948,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 560,
  [2068] = 1991,
  [2069] = 1945,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 2072,
  [2073] = 1992,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 548,
  [2077] = 528,
  [2078] = 2078,
  [2079] = 547,
  [2080] = 1977,
  [2081] = 1993,
  [2082] = 2082,
  [2083] = 1996,
  [2084] = 532,
  [2085] = 1947,
  [2086] = 519,
  [2087] = 515,
  [2088] = 509,
  [2089] = 2089,
  [2090] = 2018,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 1893,
  [2095] = 507,
  [2096] = 1891,
  [2097] = 2004,
  [2098] = 1887,
  [2099] = 2099,
  [2100] = 506,
  [2101] = 2101,
  [2102] = 1961,
  [2103] = 2002,
  [2104] = 482,
  [2105] = 496,
  [2106] = 494,
  [2107] = 2074,
  [2108] = 2108,
  [2109] = 2078,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 491,
  [2113] = 567,
  [2114] = 490,
  [2115] = 2115,
  [2116] = 487,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 486,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 1927,
  [2124] = 481,
  [2125] = 480,
  [2126] = 2119,
  [2127] = 556,
  [2128] = 458,
  [2129] = 457,
  [2130] = 456,
  [2131] = 2115,
  [2132] = 463,
  [2133] = 518,
  [2134] = 455,
  [2135] = 2093,
  [2136] = 470,
  [2137] = 477,
  [2138] = 498,
  [2139] = 2139,
  [2140] = 500,
  [2141] = 533,
  [2142] = 2091,
  [2143] = 501,
  [2144] = 2144,
  [2145] = 1887,
  [2146] = 503,
  [2147] = 2147,
  [2148] = 573,
  [2149] = 572,
  [2150] = 2051,
  [2151] = 2151,
  [2152] = 569,
  [2153] = 505,
  [2154] = 510,
  [2155] = 1939,
  [2156] = 564,
  [2157] = 1903,
  [2158] = 559,
  [2159] = 554,
  [2160] = 2160,
  [2161] = 1644,
  [2162] = 545,
  [2163] = 2163,
  [2164] = 527,
  [2165] = 1887,
  [2166] = 544,
  [2167] = 543,
  [2168] = 2168,
  [2169] = 555,
  [2170] = 557,
  [2171] = 2011,
  [2172] = 2051,
  [2173] = 1988,
  [2174] = 538,
  [2175] = 504,
  [2176] = 1923,
  [2177] = 1922,
  [2178] = 2178,
  [2179] = 2051,
  [2180] = 472,
  [2181] = 524,
  [2182] = 454,
  [2183] = 459,
  [2184] = 469,
  [2185] = 2044,
  [2186] = 2099,
  [2187] = 488,
  [2188] = 492,
  [2189] = 499,
  [2190] = 2072,
  [2191] = 2191,
  [2192] = 2192,
  [2193] = 2191,
  [2194] = 558,
  [2195] = 541,
  [2196] = 1887,
  [2197] = 531,
  [2198] = 2198,
  [2199] = 2051,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2051,
  [2203] = 2203,
  [2204] = 2089,
  [2205] = 2082,
  [2206] = 522,
  [2207] = 1290,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 1887,
  [2211] = 2121,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2070,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 1396,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2230,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 1764,
  [2248] = 2248,
  [2249] = 2219,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2219,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2230,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2215,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2237,
  [2270] = 2268,
  [2271] = 2257,
  [2272] = 2219,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2230,
  [2282] = 2282,
  [2283] = 2230,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 1980,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2289,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2291,
  [2302] = 2292,
  [2303] = 2303,
  [2304] = 2294,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2267,
  [2309] = 2257,
  [2310] = 2273,
  [2311] = 2274,
  [2312] = 2312,
  [2313] = 2246,
  [2314] = 2268,
  [2315] = 2257,
  [2316] = 2242,
  [2317] = 2317,
  [2318] = 2277,
  [2319] = 2319,
  [2320] = 1674,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2285,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2219,
  [2327] = 2258,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2284,
  [2332] = 2317,
  [2333] = 2333,
  [2334] = 2319,
  [2335] = 2335,
  [2336] = 1762,
  [2337] = 2219,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2340,
  [2345] = 2345,
  [2346] = 2339,
  [2347] = 2223,
  [2348] = 2348,
  [2349] = 2031,
  [2350] = 2225,
  [2351] = 2228,
  [2352] = 2352,
  [2353] = 2259,
  [2354] = 2354,
  [2355] = 2345,
  [2356] = 2286,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2227,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2268,
  [2366] = 2366,
  [2367] = 2342,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2253,
  [2372] = 2372,
  [2373] = 2224,
  [2374] = 2374,
  [2375] = 2299,
  [2376] = 2376,
  [2377] = 2370,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 883,
  [2390] = 2287,
  [2391] = 2230,
  [2392] = 1399,
  [2393] = 2393,
  [2394] = 2260,
  [2395] = 2296,
  [2396] = 2358,
  [2397] = 1936,
  [2398] = 2341,
  [2399] = 2357,
  [2400] = 1934,
  [2401] = 2401,
  [2402] = 2376,
  [2403] = 2363,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2297,
  [2408] = 2322,
  [2409] = 2278,
  [2410] = 2410,
  [2411] = 2295,
  [2412] = 2280,
  [2413] = 2413,
  [2414] = 2379,
  [2415] = 2415,
  [2416] = 2364,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2439,
  [2458] = 2458,
  [2459] = 2422,
  [2460] = 2422,
  [2461] = 2461,
  [2462] = 2036,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2439,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2478,
  [2482] = 2449,
  [2483] = 2483,
  [2484] = 2464,
  [2485] = 2428,
  [2486] = 2486,
  [2487] = 2454,
  [2488] = 2477,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2456,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2466,
  [2495] = 2455,
  [2496] = 2486,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2454,
  [2503] = 2446,
  [2504] = 2477,
  [2505] = 2448,
  [2506] = 2447,
  [2507] = 2456,
  [2508] = 2431,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2445,
  [2513] = 2455,
  [2514] = 2463,
  [2515] = 2515,
  [2516] = 2466,
  [2517] = 2517,
  [2518] = 2473,
  [2519] = 2519,
  [2520] = 2139,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2473,
  [2524] = 2478,
  [2525] = 2525,
  [2526] = 2458,
  [2527] = 2427,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2465,
  [2532] = 2469,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2468,
  [2536] = 2536,
  [2537] = 2467,
  [2538] = 2444,
  [2539] = 2539,
  [2540] = 2476,
  [2541] = 2541,
  [2542] = 2451,
  [2543] = 2543,
  [2544] = 2464,
  [2545] = 2420,
  [2546] = 2467,
  [2547] = 2455,
  [2548] = 2456,
  [2549] = 2439,
  [2550] = 2468,
  [2551] = 2470,
  [2552] = 2437,
  [2553] = 2473,
  [2554] = 2554,
  [2555] = 2433,
  [2556] = 2429,
  [2557] = 2478,
  [2558] = 2558,
  [2559] = 2501,
  [2560] = 2473,
  [2561] = 2419,
  [2562] = 2562,
  [2563] = 2478,
  [2564] = 2432,
  [2565] = 2500,
  [2566] = 2477,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2470,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2530,
  [2574] = 2499,
  [2575] = 2453,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2498,
  [2579] = 2422,
  [2580] = 2580,
  [2581] = 2489,
  [2582] = 2471,
  [2583] = 2583,
  [2584] = 2534,
  [2585] = 2440,
  [2586] = 2429,
  [2587] = 2572,
  [2588] = 2463,
  [2589] = 2571,
  [2590] = 2570,
  [2591] = 2466,
  [2592] = 2467,
  [2593] = 2468,
  [2594] = 2446,
  [2595] = 2470,
  [2596] = 2528,
  [2597] = 2477,
  [2598] = 2463,
  [2599] = 2599,
  [2600] = 1795,
  [2601] = 2601,
  [2602] = 2477,
  [2603] = 2439,
  [2604] = 2493,
  [2605] = 2534,
  [2606] = 2606,
  [2607] = 2438,
  [2608] = 2571,
  [2609] = 2446,
  [2610] = 2580,
  [2611] = 2443,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2580,
  [2615] = 2418,
  [2616] = 2539,
  [2617] = 2419,
  [2618] = 2429,
  [2619] = 2619,
  [2620] = 2429,
  [2621] = 2517,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2541,
  [2625] = 2543,
  [2626] = 2568,
  [2627] = 2465,
  [2628] = 2534,
  [2629] = 2432,
  [2630] = 2461,
  [2631] = 2446,
  [2632] = 2464,
  [2633] = 2429,
  [2634] = 2634,
  [2635] = 2454,
  [2636] = 2568,
  [2637] = 2637,
  [2638] = 2571,
  [2639] = 2567,
  [2640] = 2640,
  [2641] = 2534,
  [2642] = 2580,
  [2643] = 2477,
  [2644] = 2567,
  [2645] = 2568,
  [2646] = 2646,
  [2647] = 2567,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '!', 120,
        '"', 168,
        '#', 248,
        '$', 172,
        '%', 208,
        '&', 71,
        '\'', 170,
        '(', 81,
        ')', 82,
        '*', 203,
        '+', 112,
        ',', 72,
        '-', 115,
        '.', 201,
        '/', 206,
        '0', 102,
        ':', 79,
        ';', 68,
        '<', 186,
        '=', 73,
        '>', 190,
        '?', 85,
        '@', 121,
        '[', 140,
        '\\', 75,
        ']', 141,
        '^', 180,
        '_', 243,
        '`', 171,
        '{', 76,
        '|', 90,
        '}', 77,
        '~', 118,
        'A', 233,
        'a', 233,
        'B', 209,
        'b', 209,
        'E', 212,
        'e', 212,
        'F', 213,
        'f', 213,
        'I', 227,
        'i', 227,
        'N', 241,
        'n', 241,
        'S', 239,
        's', 239,
        'T', 232,
        't', 232,
        'U', 225,
        'u', 225,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(61);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(246);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(246);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(247);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 169,
        '\r', 169,
        '"', 168,
        '#', 249,
        '$', 172,
        '-', 30,
        '/', 19,
        '[', 140,
        '\\', 34,
        '{', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 169,
        '\r', 169,
        '#', 249,
        '$', 172,
        '-', 30,
        '/', 19,
        '[', 140,
        '\\', 35,
        '{', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 120,
        '"', 154,
        '#', 248,
        '$', 172,
        '%', 207,
        '&', 70,
        '\'', 156,
        '(', 81,
        ')', 82,
        '*', 204,
        '+', 111,
        ',', 72,
        '-', 114,
        '.', 201,
        '/', 205,
        '0', 102,
        ':', 78,
        ';', 68,
        '<', 187,
        '=', 29,
        '>', 191,
        '?', 88,
        '@', 121,
        '[', 140,
        '\\', 74,
        ']', 141,
        '^', 179,
        '_', 243,
        '`', 171,
        '{', 76,
        '|', 91,
        '}', 77,
        '~', 118,
        'A', 233,
        'a', 233,
        'B', 210,
        'b', 210,
        'E', 212,
        'e', 212,
        'F', 214,
        'f', 214,
        'N', 241,
        'n', 241,
        'T', 232,
        't', 232,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 119,
        '"', 154,
        '#', 248,
        '$', 172,
        '&', 69,
        '\'', 156,
        '(', 81,
        ')', 82,
        '+', 111,
        ',', 72,
        '-', 114,
        '.', 98,
        '/', 19,
        '0', 102,
        '<', 25,
        '@', 121,
        '[', 140,
        '\\', 74,
        ']', 141,
        '_', 243,
        '`', 171,
        '~', 118,
        'A', 233,
        'a', 233,
        'B', 210,
        'b', 210,
        'E', 212,
        'e', 212,
        'F', 214,
        'f', 214,
        'N', 241,
        'n', 241,
        'T', 232,
        't', 232,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 119,
        '"', 154,
        '#', 248,
        '$', 172,
        '\'', 156,
        '(', 81,
        '+', 111,
        '-', 114,
        '.', 99,
        '/', 19,
        '0', 102,
        '<', 25,
        '@', 121,
        '[', 140,
        '\\', 74,
        '_', 243,
        '`', 171,
        '~', 118,
        'A', 233,
        'a', 233,
        'B', 209,
        'b', 209,
        'E', 212,
        'e', 212,
        'F', 213,
        'f', 213,
        'I', 227,
        'i', 227,
        'N', 241,
        'n', 241,
        'S', 239,
        's', 239,
        'T', 232,
        't', 232,
        'U', 225,
        'u', 225,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 28,
        '"', 154,
        '#', 249,
        '$', 172,
        '%', 207,
        '&', 70,
        '(', 81,
        ')', 82,
        '*', 204,
        '+', 111,
        ',', 72,
        '-', 116,
        '.', 200,
        '/', 205,
        ':', 79,
        ';', 68,
        '<', 189,
        '=', 73,
        '>', 191,
        '?', 87,
        '[', 140,
        '\\', 34,
        ']', 141,
        '^', 179,
        '`', 171,
        '{', 76,
        '|', 91,
        '}', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 28,
        '"', 154,
        '#', 249,
        '$', 172,
        '%', 207,
        '&', 70,
        '(', 81,
        ')', 82,
        '*', 204,
        '+', 111,
        ',', 72,
        '-', 116,
        '.', 200,
        '/', 205,
        ':', 79,
        ';', 68,
        '<', 189,
        '=', 73,
        '>', 191,
        '?', 87,
        '[', 140,
        '\\', 35,
        ']', 141,
        '^', 179,
        '`', 171,
        '{', 76,
        '|', 91,
        '}', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 28,
        '#', 249,
        '$', 172,
        '%', 207,
        '&', 70,
        '\'', 170,
        '(', 81,
        ')', 82,
        '*', 204,
        '+', 110,
        ',', 72,
        '-', 117,
        '.', 200,
        '/', 205,
        '0', 107,
        ':', 79,
        ';', 68,
        '<', 189,
        '=', 73,
        '>', 191,
        '?', 87,
        '[', 140,
        '\\', 74,
        ']', 141,
        '^', 179,
        '{', 76,
        '|', 91,
        '}', 77,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 28,
        '#', 249,
        '$', 172,
        '%', 207,
        '&', 70,
        '(', 81,
        ')', 82,
        '*', 204,
        '+', 110,
        ',', 72,
        '-', 117,
        '.', 200,
        '/', 205,
        '0', 107,
        ':', 79,
        ';', 68,
        '<', 189,
        '=', 73,
        '>', 191,
        '?', 87,
        '[', 140,
        '\\', 74,
        ']', 141,
        '^', 179,
        '{', 76,
        '|', 91,
        '}', 77,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 28,
        '#', 249,
        '$', 172,
        '%', 207,
        '&', 70,
        '(', 81,
        ')', 82,
        '*', 204,
        '+', 110,
        ',', 72,
        '-', 113,
        '.', 200,
        '/', 205,
        ':', 79,
        ';', 68,
        '<', 189,
        '=', 73,
        '>', 191,
        '?', 88,
        '\\', 74,
        ']', 141,
        '^', 179,
        '{', 76,
        '|', 91,
        '}', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(153);
      if (lookahead == '\'') ADVANCE(155);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 154,
        '#', 249,
        '$', 172,
        '&', 69,
        '\'', 156,
        '(', 81,
        ')', 82,
        '.', 22,
        '/', 19,
        '0', 107,
        '<', 25,
        '[', 140,
        '\\', 74,
        '|', 89,
        '}', 77,
        'A', 233,
        'a', 233,
        'B', 210,
        'b', 210,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 154,
        '#', 249,
        '\'', 156,
        '.', 99,
        '/', 19,
        '0', 102,
        '<', 25,
        '_', 55,
        'B', 13,
        'b', 13,
        'E', 38,
        'e', 38,
        'F', 39,
        'f', 39,
        'N', 49,
        'n', 49,
        'T', 46,
        't', 46,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 248,
        '$', 172,
        '&', 69,
        '(', 81,
        ')', 82,
        ',', 72,
        '.', 22,
        '/', 19,
        '?', 84,
        '\\', 74,
        '}', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 249,
        '$', 172,
        '&', 69,
        '(', 81,
        ')', 82,
        '.', 22,
        '/', 19,
        '=', 31,
        '?', 84,
        '\\', 74,
        '{', 76,
        '|', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(156);
      if (lookahead == '/') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(37);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(160);
      if (lookahead != 0) ADVANCE(166);
      END_STATE();
    case 19:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(247);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead == '/') ADVANCE(246);
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 22:
      if (lookahead == '.') ADVANCE(24);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(99);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(83);
      END_STATE();
    case 25:
      if (lookahead == '<') ADVANCE(27);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(27);
      if (lookahead == '?') ADVANCE(67);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(167);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(182);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(181);
      if (lookahead == '>') ADVANCE(80);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(138);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(80);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(65);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(152);
      if (lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(149);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(147);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 36:
      if (lookahead == '}') ADVANCE(147);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(157);
      if (lookahead != 0) ADVANCE(166);
      END_STATE();
    case 38:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      END_STATE();
    case 39:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(42);
      END_STATE();
    case 40:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 41:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(45);
      END_STATE();
    case 42:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 43:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(142);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(66);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 47:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(40);
      END_STATE();
    case 48:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 49:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(44);
      END_STATE();
    case 50:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(105);
      END_STATE();
    case 51:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(108);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(109);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 61:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '!', 120,
        '"', 154,
        '#', 248,
        '$', 172,
        '%', 208,
        '&', 71,
        '\'', 156,
        '(', 81,
        ')', 82,
        '*', 203,
        '+', 112,
        ',', 72,
        '-', 115,
        '.', 201,
        '/', 206,
        '0', 102,
        ':', 79,
        ';', 68,
        '<', 186,
        '=', 73,
        '>', 190,
        '?', 85,
        '@', 121,
        '[', 140,
        '\\', 75,
        ']', 141,
        '^', 180,
        '_', 243,
        '`', 171,
        '{', 76,
        '|', 90,
        '}', 77,
        '~', 118,
        'A', 233,
        'a', 233,
        'B', 209,
        'b', 209,
        'E', 212,
        'e', 212,
        'F', 213,
        'f', 213,
        'I', 227,
        'i', 227,
        'N', 241,
        'n', 241,
        'S', 239,
        's', 239,
        'T', 232,
        't', 232,
        'U', 225,
        'u', 225,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(61);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 62:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '!', 119,
        '"', 154,
        '#', 248,
        '$', 172,
        '&', 69,
        '\'', 156,
        '(', 81,
        ')', 82,
        '+', 111,
        ',', 72,
        '-', 114,
        '.', 99,
        '/', 19,
        '0', 102,
        ':', 78,
        ';', 68,
        '<', 26,
        '=', 31,
        '?', 32,
        '@', 121,
        '[', 140,
        '\\', 74,
        ']', 141,
        '_', 243,
        '`', 171,
        '{', 76,
        '}', 77,
        '~', 118,
        'A', 233,
        'a', 233,
        'B', 210,
        'b', 210,
        'E', 212,
        'e', 212,
        'F', 214,
        'f', 214,
        'N', 241,
        'n', 241,
        'T', 232,
        't', 232,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 63:
      if (eof) ADVANCE(64);
      ADVANCE_MAP(
        '!', 28,
        '"', 154,
        '#', 249,
        '$', 172,
        '%', 208,
        '&', 71,
        '\'', 156,
        '(', 81,
        ')', 82,
        '*', 203,
        '+', 112,
        ',', 72,
        '-', 115,
        '.', 202,
        '/', 206,
        '0', 107,
        ':', 79,
        ';', 68,
        '<', 188,
        '=', 73,
        '>', 190,
        '?', 86,
        '[', 140,
        '\\', 74,
        ']', 141,
        '^', 180,
        '{', 76,
        '|', 90,
        '}', 77,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(66);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(41);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(178);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(178);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(181);
      if (lookahead == '>') ADVANCE(80);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(157);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(122);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '>') ADVANCE(65);
      if (lookahead == '?') ADVANCE(174);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '?') ADVANCE(174);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '?') ADVANCE(173);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(173);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(136);
      if (lookahead == '|') ADVANCE(177);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(177);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(24);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 99,
        '_', 51,
        'B', 50,
        'b', 50,
        'E', 38,
        'e', 38,
        'O', 108,
        'o', 108,
        'X', 58,
        'x', 58,
        '8', 23,
        '9', 23,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(99);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(99);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(50);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(105);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(50);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(108);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(108);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(108);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(124);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(123);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '>') ADVANCE(138);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '>') ADVANCE(138);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(138);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(182);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(147);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(147);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(60);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(166);
      if (lookahead == '\r') ADVANCE(159);
      if (lookahead == '>') ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(166);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(165);
      if (lookahead == '/') ADVANCE(161);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(166);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(163);
      if (lookahead == '/') ADVANCE(164);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(166);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(162);
      if (lookahead == '/') ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(163);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(162);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(163);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(158);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(166);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(169);
      if (lookahead == '\r') ADVANCE(169);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(184);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(185);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(196);
      if (lookahead == '=') ADVANCE(192);
      if (lookahead == '>') ADVANCE(183);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(197);
      if (lookahead == '=') ADVANCE(192);
      if (lookahead == '>') ADVANCE(183);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(195);
      if (lookahead == '=') ADVANCE(192);
      if (lookahead == '>') ADVANCE(183);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(199);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(198);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(194);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(167);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(24);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(175);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(247);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(247);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(153);
      if (lookahead == '\'') ADVANCE(155);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(229);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(153);
      if (lookahead == '\'') ADVANCE(155);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(99);
      if (lookahead == '_') ADVANCE(243);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(212);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(211);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(245);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(224);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(237);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(145);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(238);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(96);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(226);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(93);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(222);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(234);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(219);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(216);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(215);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(220);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(240);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(217);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(218);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(94);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(95);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(97);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(217);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(223);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(92);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(211);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(245);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(247);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(146);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(247);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(247);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_use_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__new_non_dereferencable_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token2);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token1);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 62},
  [2] = {.lex_state = 62},
  [3] = {.lex_state = 62},
  [4] = {.lex_state = 62},
  [5] = {.lex_state = 62},
  [6] = {.lex_state = 62},
  [7] = {.lex_state = 62, .external_lex_state = 2},
  [8] = {.lex_state = 62},
  [9] = {.lex_state = 62},
  [10] = {.lex_state = 62},
  [11] = {.lex_state = 62},
  [12] = {.lex_state = 62, .external_lex_state = 2},
  [13] = {.lex_state = 62, .external_lex_state = 2},
  [14] = {.lex_state = 62},
  [15] = {.lex_state = 62, .external_lex_state = 2},
  [16] = {.lex_state = 62, .external_lex_state = 2},
  [17] = {.lex_state = 62, .external_lex_state = 2},
  [18] = {.lex_state = 62, .external_lex_state = 2},
  [19] = {.lex_state = 62, .external_lex_state = 2},
  [20] = {.lex_state = 62, .external_lex_state = 2},
  [21] = {.lex_state = 62, .external_lex_state = 2},
  [22] = {.lex_state = 62, .external_lex_state = 2},
  [23] = {.lex_state = 62, .external_lex_state = 2},
  [24] = {.lex_state = 62, .external_lex_state = 2},
  [25] = {.lex_state = 62, .external_lex_state = 2},
  [26] = {.lex_state = 62, .external_lex_state = 2},
  [27] = {.lex_state = 62},
  [28] = {.lex_state = 62, .external_lex_state = 2},
  [29] = {.lex_state = 62, .external_lex_state = 2},
  [30] = {.lex_state = 62, .external_lex_state = 2},
  [31] = {.lex_state = 62, .external_lex_state = 2},
  [32] = {.lex_state = 62, .external_lex_state = 2},
  [33] = {.lex_state = 62, .external_lex_state = 2},
  [34] = {.lex_state = 62, .external_lex_state = 2},
  [35] = {.lex_state = 62, .external_lex_state = 2},
  [36] = {.lex_state = 62},
  [37] = {.lex_state = 62, .external_lex_state = 2},
  [38] = {.lex_state = 62, .external_lex_state = 2},
  [39] = {.lex_state = 62, .external_lex_state = 2},
  [40] = {.lex_state = 62, .external_lex_state = 2},
  [41] = {.lex_state = 62, .external_lex_state = 2},
  [42] = {.lex_state = 62, .external_lex_state = 2},
  [43] = {.lex_state = 62, .external_lex_state = 2},
  [44] = {.lex_state = 62, .external_lex_state = 2},
  [45] = {.lex_state = 62, .external_lex_state = 2},
  [46] = {.lex_state = 62, .external_lex_state = 2},
  [47] = {.lex_state = 62, .external_lex_state = 2},
  [48] = {.lex_state = 62, .external_lex_state = 2},
  [49] = {.lex_state = 62, .external_lex_state = 2},
  [50] = {.lex_state = 62, .external_lex_state = 2},
  [51] = {.lex_state = 62, .external_lex_state = 2},
  [52] = {.lex_state = 62},
  [53] = {.lex_state = 62, .external_lex_state = 2},
  [54] = {.lex_state = 62, .external_lex_state = 2},
  [55] = {.lex_state = 62},
  [56] = {.lex_state = 62},
  [57] = {.lex_state = 62},
  [58] = {.lex_state = 62},
  [59] = {.lex_state = 62},
  [60] = {.lex_state = 62},
  [61] = {.lex_state = 62},
  [62] = {.lex_state = 62},
  [63] = {.lex_state = 62},
  [64] = {.lex_state = 62},
  [65] = {.lex_state = 62},
  [66] = {.lex_state = 62},
  [67] = {.lex_state = 62},
  [68] = {.lex_state = 62},
  [69] = {.lex_state = 62},
  [70] = {.lex_state = 62},
  [71] = {.lex_state = 62},
  [72] = {.lex_state = 62},
  [73] = {.lex_state = 62},
  [74] = {.lex_state = 62},
  [75] = {.lex_state = 62},
  [76] = {.lex_state = 62},
  [77] = {.lex_state = 62},
  [78] = {.lex_state = 62},
  [79] = {.lex_state = 62},
  [80] = {.lex_state = 62},
  [81] = {.lex_state = 62},
  [82] = {.lex_state = 62},
  [83] = {.lex_state = 62},
  [84] = {.lex_state = 62},
  [85] = {.lex_state = 62},
  [86] = {.lex_state = 62},
  [87] = {.lex_state = 62},
  [88] = {.lex_state = 62},
  [89] = {.lex_state = 62},
  [90] = {.lex_state = 62},
  [91] = {.lex_state = 62},
  [92] = {.lex_state = 62},
  [93] = {.lex_state = 62},
  [94] = {.lex_state = 62},
  [95] = {.lex_state = 62},
  [96] = {.lex_state = 62},
  [97] = {.lex_state = 62},
  [98] = {.lex_state = 62},
  [99] = {.lex_state = 62},
  [100] = {.lex_state = 62},
  [101] = {.lex_state = 62},
  [102] = {.lex_state = 62},
  [103] = {.lex_state = 62},
  [104] = {.lex_state = 62},
  [105] = {.lex_state = 62},
  [106] = {.lex_state = 62},
  [107] = {.lex_state = 62},
  [108] = {.lex_state = 62},
  [109] = {.lex_state = 62},
  [110] = {.lex_state = 62},
  [111] = {.lex_state = 62},
  [112] = {.lex_state = 62},
  [113] = {.lex_state = 62},
  [114] = {.lex_state = 62},
  [115] = {.lex_state = 62},
  [116] = {.lex_state = 62},
  [117] = {.lex_state = 5},
  [118] = {.lex_state = 5, .external_lex_state = 2},
  [119] = {.lex_state = 5},
  [120] = {.lex_state = 5},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 6},
  [161] = {.lex_state = 6},
  [162] = {.lex_state = 6},
  [163] = {.lex_state = 62},
  [164] = {.lex_state = 6},
  [165] = {.lex_state = 6},
  [166] = {.lex_state = 62},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 6},
  [170] = {.lex_state = 6},
  [171] = {.lex_state = 62},
  [172] = {.lex_state = 62},
  [173] = {.lex_state = 62},
  [174] = {.lex_state = 6},
  [175] = {.lex_state = 62},
  [176] = {.lex_state = 62},
  [177] = {.lex_state = 62},
  [178] = {.lex_state = 62},
  [179] = {.lex_state = 62},
  [180] = {.lex_state = 6},
  [181] = {.lex_state = 62},
  [182] = {.lex_state = 62},
  [183] = {.lex_state = 62},
  [184] = {.lex_state = 62},
  [185] = {.lex_state = 62},
  [186] = {.lex_state = 62},
  [187] = {.lex_state = 62, .external_lex_state = 2},
  [188] = {.lex_state = 62},
  [189] = {.lex_state = 62},
  [190] = {.lex_state = 62},
  [191] = {.lex_state = 62},
  [192] = {.lex_state = 62, .external_lex_state = 2},
  [193] = {.lex_state = 62},
  [194] = {.lex_state = 62, .external_lex_state = 2},
  [195] = {.lex_state = 62},
  [196] = {.lex_state = 62},
  [197] = {.lex_state = 62},
  [198] = {.lex_state = 62},
  [199] = {.lex_state = 62},
  [200] = {.lex_state = 62},
  [201] = {.lex_state = 62, .external_lex_state = 2},
  [202] = {.lex_state = 62, .external_lex_state = 2},
  [203] = {.lex_state = 62},
  [204] = {.lex_state = 62},
  [205] = {.lex_state = 62},
  [206] = {.lex_state = 62, .external_lex_state = 2},
  [207] = {.lex_state = 62},
  [208] = {.lex_state = 62},
  [209] = {.lex_state = 62},
  [210] = {.lex_state = 62},
  [211] = {.lex_state = 62},
  [212] = {.lex_state = 62},
  [213] = {.lex_state = 62},
  [214] = {.lex_state = 62},
  [215] = {.lex_state = 62},
  [216] = {.lex_state = 62},
  [217] = {.lex_state = 62},
  [218] = {.lex_state = 62},
  [219] = {.lex_state = 62},
  [220] = {.lex_state = 62},
  [221] = {.lex_state = 62},
  [222] = {.lex_state = 6},
  [223] = {.lex_state = 62},
  [224] = {.lex_state = 62},
  [225] = {.lex_state = 62},
  [226] = {.lex_state = 62},
  [227] = {.lex_state = 62},
  [228] = {.lex_state = 6},
  [229] = {.lex_state = 62},
  [230] = {.lex_state = 62},
  [231] = {.lex_state = 62},
  [232] = {.lex_state = 62},
  [233] = {.lex_state = 62},
  [234] = {.lex_state = 62},
  [235] = {.lex_state = 62},
  [236] = {.lex_state = 62},
  [237] = {.lex_state = 62},
  [238] = {.lex_state = 62},
  [239] = {.lex_state = 62},
  [240] = {.lex_state = 62},
  [241] = {.lex_state = 62},
  [242] = {.lex_state = 62},
  [243] = {.lex_state = 62},
  [244] = {.lex_state = 62},
  [245] = {.lex_state = 62},
  [246] = {.lex_state = 62},
  [247] = {.lex_state = 62},
  [248] = {.lex_state = 62},
  [249] = {.lex_state = 62},
  [250] = {.lex_state = 62},
  [251] = {.lex_state = 62},
  [252] = {.lex_state = 62},
  [253] = {.lex_state = 62},
  [254] = {.lex_state = 62},
  [255] = {.lex_state = 62},
  [256] = {.lex_state = 62},
  [257] = {.lex_state = 62},
  [258] = {.lex_state = 62},
  [259] = {.lex_state = 62},
  [260] = {.lex_state = 62},
  [261] = {.lex_state = 62},
  [262] = {.lex_state = 62},
  [263] = {.lex_state = 62},
  [264] = {.lex_state = 62},
  [265] = {.lex_state = 62},
  [266] = {.lex_state = 62},
  [267] = {.lex_state = 62},
  [268] = {.lex_state = 62},
  [269] = {.lex_state = 62},
  [270] = {.lex_state = 62},
  [271] = {.lex_state = 62},
  [272] = {.lex_state = 62},
  [273] = {.lex_state = 62},
  [274] = {.lex_state = 62},
  [275] = {.lex_state = 62},
  [276] = {.lex_state = 62},
  [277] = {.lex_state = 62},
  [278] = {.lex_state = 62},
  [279] = {.lex_state = 62},
  [280] = {.lex_state = 62},
  [281] = {.lex_state = 62},
  [282] = {.lex_state = 62},
  [283] = {.lex_state = 62},
  [284] = {.lex_state = 62},
  [285] = {.lex_state = 62},
  [286] = {.lex_state = 62},
  [287] = {.lex_state = 62},
  [288] = {.lex_state = 62},
  [289] = {.lex_state = 62},
  [290] = {.lex_state = 62},
  [291] = {.lex_state = 62},
  [292] = {.lex_state = 62},
  [293] = {.lex_state = 62},
  [294] = {.lex_state = 62},
  [295] = {.lex_state = 62},
  [296] = {.lex_state = 62},
  [297] = {.lex_state = 62},
  [298] = {.lex_state = 62},
  [299] = {.lex_state = 62},
  [300] = {.lex_state = 62},
  [301] = {.lex_state = 62},
  [302] = {.lex_state = 62},
  [303] = {.lex_state = 62},
  [304] = {.lex_state = 62},
  [305] = {.lex_state = 62},
  [306] = {.lex_state = 62},
  [307] = {.lex_state = 62},
  [308] = {.lex_state = 62},
  [309] = {.lex_state = 62},
  [310] = {.lex_state = 62},
  [311] = {.lex_state = 62},
  [312] = {.lex_state = 62},
  [313] = {.lex_state = 62},
  [314] = {.lex_state = 62},
  [315] = {.lex_state = 62},
  [316] = {.lex_state = 62},
  [317] = {.lex_state = 62},
  [318] = {.lex_state = 62},
  [319] = {.lex_state = 62},
  [320] = {.lex_state = 62},
  [321] = {.lex_state = 62},
  [322] = {.lex_state = 62},
  [323] = {.lex_state = 62},
  [324] = {.lex_state = 62},
  [325] = {.lex_state = 62},
  [326] = {.lex_state = 62},
  [327] = {.lex_state = 62},
  [328] = {.lex_state = 62},
  [329] = {.lex_state = 62},
  [330] = {.lex_state = 62},
  [331] = {.lex_state = 62},
  [332] = {.lex_state = 62},
  [333] = {.lex_state = 62},
  [334] = {.lex_state = 62},
  [335] = {.lex_state = 62},
  [336] = {.lex_state = 62},
  [337] = {.lex_state = 62},
  [338] = {.lex_state = 62},
  [339] = {.lex_state = 62},
  [340] = {.lex_state = 62},
  [341] = {.lex_state = 62},
  [342] = {.lex_state = 62},
  [343] = {.lex_state = 62},
  [344] = {.lex_state = 62},
  [345] = {.lex_state = 62},
  [346] = {.lex_state = 62},
  [347] = {.lex_state = 62},
  [348] = {.lex_state = 62},
  [349] = {.lex_state = 62},
  [350] = {.lex_state = 62},
  [351] = {.lex_state = 62},
  [352] = {.lex_state = 62},
  [353] = {.lex_state = 62},
  [354] = {.lex_state = 62},
  [355] = {.lex_state = 62},
  [356] = {.lex_state = 62},
  [357] = {.lex_state = 62},
  [358] = {.lex_state = 62},
  [359] = {.lex_state = 62},
  [360] = {.lex_state = 62},
  [361] = {.lex_state = 62},
  [362] = {.lex_state = 62},
  [363] = {.lex_state = 62},
  [364] = {.lex_state = 62},
  [365] = {.lex_state = 62},
  [366] = {.lex_state = 62},
  [367] = {.lex_state = 62},
  [368] = {.lex_state = 62},
  [369] = {.lex_state = 62},
  [370] = {.lex_state = 62},
  [371] = {.lex_state = 62},
  [372] = {.lex_state = 62},
  [373] = {.lex_state = 62},
  [374] = {.lex_state = 62},
  [375] = {.lex_state = 62},
  [376] = {.lex_state = 62},
  [377] = {.lex_state = 62},
  [378] = {.lex_state = 62},
  [379] = {.lex_state = 62},
  [380] = {.lex_state = 62},
  [381] = {.lex_state = 62},
  [382] = {.lex_state = 62},
  [383] = {.lex_state = 62},
  [384] = {.lex_state = 62},
  [385] = {.lex_state = 62},
  [386] = {.lex_state = 62},
  [387] = {.lex_state = 62},
  [388] = {.lex_state = 62},
  [389] = {.lex_state = 62},
  [390] = {.lex_state = 62},
  [391] = {.lex_state = 62},
  [392] = {.lex_state = 62},
  [393] = {.lex_state = 62},
  [394] = {.lex_state = 62},
  [395] = {.lex_state = 62},
  [396] = {.lex_state = 62},
  [397] = {.lex_state = 62},
  [398] = {.lex_state = 62},
  [399] = {.lex_state = 62},
  [400] = {.lex_state = 62},
  [401] = {.lex_state = 62},
  [402] = {.lex_state = 62},
  [403] = {.lex_state = 62},
  [404] = {.lex_state = 62},
  [405] = {.lex_state = 62},
  [406] = {.lex_state = 62},
  [407] = {.lex_state = 62},
  [408] = {.lex_state = 62},
  [409] = {.lex_state = 62},
  [410] = {.lex_state = 62},
  [411] = {.lex_state = 62},
  [412] = {.lex_state = 62},
  [413] = {.lex_state = 62},
  [414] = {.lex_state = 62},
  [415] = {.lex_state = 62},
  [416] = {.lex_state = 62},
  [417] = {.lex_state = 62},
  [418] = {.lex_state = 62},
  [419] = {.lex_state = 62},
  [420] = {.lex_state = 62},
  [421] = {.lex_state = 62},
  [422] = {.lex_state = 62},
  [423] = {.lex_state = 62},
  [424] = {.lex_state = 62},
  [425] = {.lex_state = 62},
  [426] = {.lex_state = 62},
  [427] = {.lex_state = 62},
  [428] = {.lex_state = 62},
  [429] = {.lex_state = 62},
  [430] = {.lex_state = 62},
  [431] = {.lex_state = 62},
  [432] = {.lex_state = 62},
  [433] = {.lex_state = 62},
  [434] = {.lex_state = 62},
  [435] = {.lex_state = 62},
  [436] = {.lex_state = 62},
  [437] = {.lex_state = 62},
  [438] = {.lex_state = 62},
  [439] = {.lex_state = 62},
  [440] = {.lex_state = 62},
  [441] = {.lex_state = 62},
  [442] = {.lex_state = 62},
  [443] = {.lex_state = 62},
  [444] = {.lex_state = 62},
  [445] = {.lex_state = 62},
  [446] = {.lex_state = 62},
  [447] = {.lex_state = 62},
  [448] = {.lex_state = 62},
  [449] = {.lex_state = 62},
  [450] = {.lex_state = 62},
  [451] = {.lex_state = 62},
  [452] = {.lex_state = 62},
  [453] = {.lex_state = 62},
  [454] = {.lex_state = 62},
  [455] = {.lex_state = 62},
  [456] = {.lex_state = 62},
  [457] = {.lex_state = 62},
  [458] = {.lex_state = 62},
  [459] = {.lex_state = 62},
  [460] = {.lex_state = 62},
  [461] = {.lex_state = 62},
  [462] = {.lex_state = 62},
  [463] = {.lex_state = 62},
  [464] = {.lex_state = 62},
  [465] = {.lex_state = 62},
  [466] = {.lex_state = 62},
  [467] = {.lex_state = 62},
  [468] = {.lex_state = 62},
  [469] = {.lex_state = 62},
  [470] = {.lex_state = 62},
  [471] = {.lex_state = 62},
  [472] = {.lex_state = 62},
  [473] = {.lex_state = 62},
  [474] = {.lex_state = 62},
  [475] = {.lex_state = 62},
  [476] = {.lex_state = 62},
  [477] = {.lex_state = 62},
  [478] = {.lex_state = 62},
  [479] = {.lex_state = 62},
  [480] = {.lex_state = 62},
  [481] = {.lex_state = 62},
  [482] = {.lex_state = 62},
  [483] = {.lex_state = 62},
  [484] = {.lex_state = 62},
  [485] = {.lex_state = 62},
  [486] = {.lex_state = 62},
  [487] = {.lex_state = 62},
  [488] = {.lex_state = 62},
  [489] = {.lex_state = 62},
  [490] = {.lex_state = 62},
  [491] = {.lex_state = 62},
  [492] = {.lex_state = 62},
  [493] = {.lex_state = 62},
  [494] = {.lex_state = 62},
  [495] = {.lex_state = 62},
  [496] = {.lex_state = 62},
  [497] = {.lex_state = 62},
  [498] = {.lex_state = 62},
  [499] = {.lex_state = 62},
  [500] = {.lex_state = 62},
  [501] = {.lex_state = 62},
  [502] = {.lex_state = 62},
  [503] = {.lex_state = 62},
  [504] = {.lex_state = 62},
  [505] = {.lex_state = 62},
  [506] = {.lex_state = 62},
  [507] = {.lex_state = 62},
  [508] = {.lex_state = 62},
  [509] = {.lex_state = 62},
  [510] = {.lex_state = 62},
  [511] = {.lex_state = 62},
  [512] = {.lex_state = 62},
  [513] = {.lex_state = 62},
  [514] = {.lex_state = 62},
  [515] = {.lex_state = 62},
  [516] = {.lex_state = 62},
  [517] = {.lex_state = 62},
  [518] = {.lex_state = 62},
  [519] = {.lex_state = 62},
  [520] = {.lex_state = 62},
  [521] = {.lex_state = 62},
  [522] = {.lex_state = 62},
  [523] = {.lex_state = 62},
  [524] = {.lex_state = 62},
  [525] = {.lex_state = 62},
  [526] = {.lex_state = 62},
  [527] = {.lex_state = 62},
  [528] = {.lex_state = 62},
  [529] = {.lex_state = 62},
  [530] = {.lex_state = 62},
  [531] = {.lex_state = 62},
  [532] = {.lex_state = 62},
  [533] = {.lex_state = 62},
  [534] = {.lex_state = 62},
  [535] = {.lex_state = 62},
  [536] = {.lex_state = 62},
  [537] = {.lex_state = 62},
  [538] = {.lex_state = 62},
  [539] = {.lex_state = 62},
  [540] = {.lex_state = 62},
  [541] = {.lex_state = 62},
  [542] = {.lex_state = 62},
  [543] = {.lex_state = 62},
  [544] = {.lex_state = 62},
  [545] = {.lex_state = 62},
  [546] = {.lex_state = 62},
  [547] = {.lex_state = 62},
  [548] = {.lex_state = 62},
  [549] = {.lex_state = 62},
  [550] = {.lex_state = 62},
  [551] = {.lex_state = 62},
  [552] = {.lex_state = 62},
  [553] = {.lex_state = 62},
  [554] = {.lex_state = 62},
  [555] = {.lex_state = 62},
  [556] = {.lex_state = 62},
  [557] = {.lex_state = 62},
  [558] = {.lex_state = 62},
  [559] = {.lex_state = 62},
  [560] = {.lex_state = 62},
  [561] = {.lex_state = 62},
  [562] = {.lex_state = 62},
  [563] = {.lex_state = 62},
  [564] = {.lex_state = 62},
  [565] = {.lex_state = 62},
  [566] = {.lex_state = 62},
  [567] = {.lex_state = 62},
  [568] = {.lex_state = 62},
  [569] = {.lex_state = 62},
  [570] = {.lex_state = 62},
  [571] = {.lex_state = 62},
  [572] = {.lex_state = 62},
  [573] = {.lex_state = 62},
  [574] = {.lex_state = 62},
  [575] = {.lex_state = 62},
  [576] = {.lex_state = 62},
  [577] = {.lex_state = 62},
  [578] = {.lex_state = 62},
  [579] = {.lex_state = 62},
  [580] = {.lex_state = 62},
  [581] = {.lex_state = 62},
  [582] = {.lex_state = 63},
  [583] = {.lex_state = 63},
  [584] = {.lex_state = 63},
  [585] = {.lex_state = 63},
  [586] = {.lex_state = 63},
  [587] = {.lex_state = 63},
  [588] = {.lex_state = 63},
  [589] = {.lex_state = 63},
  [590] = {.lex_state = 63},
  [591] = {.lex_state = 63},
  [592] = {.lex_state = 63},
  [593] = {.lex_state = 63},
  [594] = {.lex_state = 63},
  [595] = {.lex_state = 63},
  [596] = {.lex_state = 63},
  [597] = {.lex_state = 63},
  [598] = {.lex_state = 63},
  [599] = {.lex_state = 63},
  [600] = {.lex_state = 63},
  [601] = {.lex_state = 63},
  [602] = {.lex_state = 63},
  [603] = {.lex_state = 63},
  [604] = {.lex_state = 63},
  [605] = {.lex_state = 63},
  [606] = {.lex_state = 63},
  [607] = {.lex_state = 63},
  [608] = {.lex_state = 63},
  [609] = {.lex_state = 63},
  [610] = {.lex_state = 63},
  [611] = {.lex_state = 63},
  [612] = {.lex_state = 63},
  [613] = {.lex_state = 63, .external_lex_state = 2},
  [614] = {.lex_state = 63, .external_lex_state = 2},
  [615] = {.lex_state = 63},
  [616] = {.lex_state = 14},
  [617] = {.lex_state = 63, .external_lex_state = 2},
  [618] = {.lex_state = 63, .external_lex_state = 2},
  [619] = {.lex_state = 63, .external_lex_state = 2},
  [620] = {.lex_state = 14},
  [621] = {.lex_state = 63, .external_lex_state = 2},
  [622] = {.lex_state = 63, .external_lex_state = 2},
  [623] = {.lex_state = 63, .external_lex_state = 2},
  [624] = {.lex_state = 63},
  [625] = {.lex_state = 63, .external_lex_state = 2},
  [626] = {.lex_state = 14},
  [627] = {.lex_state = 63, .external_lex_state = 2},
  [628] = {.lex_state = 63, .external_lex_state = 2},
  [629] = {.lex_state = 63},
  [630] = {.lex_state = 14},
  [631] = {.lex_state = 14},
  [632] = {.lex_state = 63, .external_lex_state = 2},
  [633] = {.lex_state = 63, .external_lex_state = 2},
  [634] = {.lex_state = 63, .external_lex_state = 2},
  [635] = {.lex_state = 63, .external_lex_state = 2},
  [636] = {.lex_state = 63, .external_lex_state = 2},
  [637] = {.lex_state = 63, .external_lex_state = 2},
  [638] = {.lex_state = 63, .external_lex_state = 2},
  [639] = {.lex_state = 63, .external_lex_state = 2},
  [640] = {.lex_state = 63, .external_lex_state = 2},
  [641] = {.lex_state = 63, .external_lex_state = 2},
  [642] = {.lex_state = 63, .external_lex_state = 2},
  [643] = {.lex_state = 63},
  [644] = {.lex_state = 14},
  [645] = {.lex_state = 63},
  [646] = {.lex_state = 63},
  [647] = {.lex_state = 63, .external_lex_state = 2},
  [648] = {.lex_state = 63, .external_lex_state = 2},
  [649] = {.lex_state = 63, .external_lex_state = 2},
  [650] = {.lex_state = 63, .external_lex_state = 2},
  [651] = {.lex_state = 63},
  [652] = {.lex_state = 63, .external_lex_state = 2},
  [653] = {.lex_state = 63, .external_lex_state = 2},
  [654] = {.lex_state = 63, .external_lex_state = 2},
  [655] = {.lex_state = 63, .external_lex_state = 2},
  [656] = {.lex_state = 63, .external_lex_state = 2},
  [657] = {.lex_state = 63, .external_lex_state = 2},
  [658] = {.lex_state = 63, .external_lex_state = 2},
  [659] = {.lex_state = 63},
  [660] = {.lex_state = 63, .external_lex_state = 2},
  [661] = {.lex_state = 63},
  [662] = {.lex_state = 63},
  [663] = {.lex_state = 63},
  [664] = {.lex_state = 63},
  [665] = {.lex_state = 63},
  [666] = {.lex_state = 63},
  [667] = {.lex_state = 63},
  [668] = {.lex_state = 63},
  [669] = {.lex_state = 63},
  [670] = {.lex_state = 63},
  [671] = {.lex_state = 14},
  [672] = {.lex_state = 63},
  [673] = {.lex_state = 14},
  [674] = {.lex_state = 63},
  [675] = {.lex_state = 63},
  [676] = {.lex_state = 63},
  [677] = {.lex_state = 63},
  [678] = {.lex_state = 63},
  [679] = {.lex_state = 63},
  [680] = {.lex_state = 14},
  [681] = {.lex_state = 14},
  [682] = {.lex_state = 63},
  [683] = {.lex_state = 14},
  [684] = {.lex_state = 14},
  [685] = {.lex_state = 14},
  [686] = {.lex_state = 14},
  [687] = {.lex_state = 63},
  [688] = {.lex_state = 14},
  [689] = {.lex_state = 14},
  [690] = {.lex_state = 14},
  [691] = {.lex_state = 14},
  [692] = {.lex_state = 14},
  [693] = {.lex_state = 14},
  [694] = {.lex_state = 10},
  [695] = {.lex_state = 14},
  [696] = {.lex_state = 14},
  [697] = {.lex_state = 14},
  [698] = {.lex_state = 10},
  [699] = {.lex_state = 12},
  [700] = {.lex_state = 8},
  [701] = {.lex_state = 8},
  [702] = {.lex_state = 10},
  [703] = {.lex_state = 12},
  [704] = {.lex_state = 10},
  [705] = {.lex_state = 12},
  [706] = {.lex_state = 8},
  [707] = {.lex_state = 8},
  [708] = {.lex_state = 8},
  [709] = {.lex_state = 12, .external_lex_state = 2},
  [710] = {.lex_state = 8},
  [711] = {.lex_state = 8},
  [712] = {.lex_state = 8},
  [713] = {.lex_state = 8},
  [714] = {.lex_state = 8},
  [715] = {.lex_state = 8},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 8},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 10},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 8},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 8},
  [730] = {.lex_state = 10},
  [731] = {.lex_state = 10},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 10},
  [735] = {.lex_state = 8},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 8},
  [738] = {.lex_state = 10},
  [739] = {.lex_state = 10},
  [740] = {.lex_state = 10},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 8},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 8},
  [745] = {.lex_state = 8},
  [746] = {.lex_state = 10},
  [747] = {.lex_state = 10},
  [748] = {.lex_state = 10},
  [749] = {.lex_state = 10},
  [750] = {.lex_state = 10},
  [751] = {.lex_state = 10},
  [752] = {.lex_state = 10},
  [753] = {.lex_state = 10},
  [754] = {.lex_state = 10},
  [755] = {.lex_state = 10},
  [756] = {.lex_state = 10},
  [757] = {.lex_state = 10},
  [758] = {.lex_state = 10},
  [759] = {.lex_state = 10},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 10},
  [762] = {.lex_state = 10},
  [763] = {.lex_state = 12},
  [764] = {.lex_state = 10},
  [765] = {.lex_state = 10},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 12},
  [769] = {.lex_state = 10},
  [770] = {.lex_state = 10},
  [771] = {.lex_state = 10},
  [772] = {.lex_state = 10},
  [773] = {.lex_state = 10},
  [774] = {.lex_state = 10},
  [775] = {.lex_state = 10},
  [776] = {.lex_state = 10},
  [777] = {.lex_state = 10},
  [778] = {.lex_state = 10},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 10},
  [781] = {.lex_state = 10},
  [782] = {.lex_state = 10},
  [783] = {.lex_state = 10},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 10},
  [786] = {.lex_state = 10},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 16},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 10},
  [794] = {.lex_state = 10},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 16},
  [802] = {.lex_state = 10},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 10},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 10},
  [810] = {.lex_state = 10},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 10},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 10},
  [820] = {.lex_state = 10},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 10},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 10},
  [826] = {.lex_state = 16},
  [827] = {.lex_state = 16},
  [828] = {.lex_state = 10},
  [829] = {.lex_state = 10},
  [830] = {.lex_state = 12},
  [831] = {.lex_state = 10, .external_lex_state = 2},
  [832] = {.lex_state = 12},
  [833] = {.lex_state = 12},
  [834] = {.lex_state = 10},
  [835] = {.lex_state = 10},
  [836] = {.lex_state = 10},
  [837] = {.lex_state = 16},
  [838] = {.lex_state = 16},
  [839] = {.lex_state = 8, .external_lex_state = 2},
  [840] = {.lex_state = 8, .external_lex_state = 2},
  [841] = {.lex_state = 16},
  [842] = {.lex_state = 8, .external_lex_state = 2},
  [843] = {.lex_state = 8, .external_lex_state = 2},
  [844] = {.lex_state = 16},
  [845] = {.lex_state = 6},
  [846] = {.lex_state = 10},
  [847] = {.lex_state = 8, .external_lex_state = 2},
  [848] = {.lex_state = 8, .external_lex_state = 2},
  [849] = {.lex_state = 8, .external_lex_state = 2},
  [850] = {.lex_state = 16},
  [851] = {.lex_state = 8, .external_lex_state = 2},
  [852] = {.lex_state = 8, .external_lex_state = 2},
  [853] = {.lex_state = 8, .external_lex_state = 2},
  [854] = {.lex_state = 8, .external_lex_state = 2},
  [855] = {.lex_state = 8, .external_lex_state = 2},
  [856] = {.lex_state = 8, .external_lex_state = 2},
  [857] = {.lex_state = 8, .external_lex_state = 2},
  [858] = {.lex_state = 10, .external_lex_state = 2},
  [859] = {.lex_state = 8, .external_lex_state = 2},
  [860] = {.lex_state = 8, .external_lex_state = 2},
  [861] = {.lex_state = 8, .external_lex_state = 2},
  [862] = {.lex_state = 16},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 8, .external_lex_state = 2},
  [865] = {.lex_state = 8, .external_lex_state = 2},
  [866] = {.lex_state = 8, .external_lex_state = 2},
  [867] = {.lex_state = 8, .external_lex_state = 2},
  [868] = {.lex_state = 12},
  [869] = {.lex_state = 8, .external_lex_state = 2},
  [870] = {.lex_state = 10, .external_lex_state = 2},
  [871] = {.lex_state = 8, .external_lex_state = 2},
  [872] = {.lex_state = 8, .external_lex_state = 2},
  [873] = {.lex_state = 10, .external_lex_state = 2},
  [874] = {.lex_state = 10, .external_lex_state = 2},
  [875] = {.lex_state = 8, .external_lex_state = 2},
  [876] = {.lex_state = 8, .external_lex_state = 2},
  [877] = {.lex_state = 6},
  [878] = {.lex_state = 8, .external_lex_state = 2},
  [879] = {.lex_state = 8, .external_lex_state = 2},
  [880] = {.lex_state = 8, .external_lex_state = 2},
  [881] = {.lex_state = 8, .external_lex_state = 2},
  [882] = {.lex_state = 8, .external_lex_state = 2},
  [883] = {.lex_state = 12},
  [884] = {.lex_state = 12},
  [885] = {.lex_state = 8, .external_lex_state = 2},
  [886] = {.lex_state = 8, .external_lex_state = 2},
  [887] = {.lex_state = 10, .external_lex_state = 2},
  [888] = {.lex_state = 10, .external_lex_state = 2},
  [889] = {.lex_state = 10, .external_lex_state = 2},
  [890] = {.lex_state = 10, .external_lex_state = 2},
  [891] = {.lex_state = 10, .external_lex_state = 2},
  [892] = {.lex_state = 10, .external_lex_state = 2},
  [893] = {.lex_state = 10, .external_lex_state = 2},
  [894] = {.lex_state = 10, .external_lex_state = 2},
  [895] = {.lex_state = 10, .external_lex_state = 2},
  [896] = {.lex_state = 10, .external_lex_state = 2},
  [897] = {.lex_state = 10, .external_lex_state = 2},
  [898] = {.lex_state = 10, .external_lex_state = 2},
  [899] = {.lex_state = 10, .external_lex_state = 2},
  [900] = {.lex_state = 10, .external_lex_state = 2},
  [901] = {.lex_state = 10, .external_lex_state = 2},
  [902] = {.lex_state = 10, .external_lex_state = 2},
  [903] = {.lex_state = 12},
  [904] = {.lex_state = 10, .external_lex_state = 2},
  [905] = {.lex_state = 10},
  [906] = {.lex_state = 10, .external_lex_state = 2},
  [907] = {.lex_state = 12, .external_lex_state = 2},
  [908] = {.lex_state = 10, .external_lex_state = 2},
  [909] = {.lex_state = 10, .external_lex_state = 2},
  [910] = {.lex_state = 10, .external_lex_state = 2},
  [911] = {.lex_state = 10, .external_lex_state = 2},
  [912] = {.lex_state = 10, .external_lex_state = 2},
  [913] = {.lex_state = 10, .external_lex_state = 2},
  [914] = {.lex_state = 10, .external_lex_state = 2},
  [915] = {.lex_state = 10, .external_lex_state = 2},
  [916] = {.lex_state = 10, .external_lex_state = 2},
  [917] = {.lex_state = 10, .external_lex_state = 2},
  [918] = {.lex_state = 10, .external_lex_state = 2},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 10, .external_lex_state = 2},
  [921] = {.lex_state = 10, .external_lex_state = 2},
  [922] = {.lex_state = 10, .external_lex_state = 2},
  [923] = {.lex_state = 10, .external_lex_state = 2},
  [924] = {.lex_state = 10},
  [925] = {.lex_state = 10, .external_lex_state = 2},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 10, .external_lex_state = 2},
  [928] = {.lex_state = 10, .external_lex_state = 2},
  [929] = {.lex_state = 10, .external_lex_state = 2},
  [930] = {.lex_state = 10, .external_lex_state = 2},
  [931] = {.lex_state = 10, .external_lex_state = 2},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 10, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 10, .external_lex_state = 2},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10, .external_lex_state = 2},
  [943] = {.lex_state = 10, .external_lex_state = 2},
  [944] = {.lex_state = 10, .external_lex_state = 2},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10, .external_lex_state = 2},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10, .external_lex_state = 2},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 10, .external_lex_state = 2},
  [958] = {.lex_state = 10, .external_lex_state = 2},
  [959] = {.lex_state = 10, .external_lex_state = 2},
  [960] = {.lex_state = 10, .external_lex_state = 2},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10, .external_lex_state = 2},
  [965] = {.lex_state = 10, .external_lex_state = 2},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 10, .external_lex_state = 2},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 10, .external_lex_state = 2},
  [970] = {.lex_state = 10, .external_lex_state = 2},
  [971] = {.lex_state = 10, .external_lex_state = 2},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 12},
  [974] = {.lex_state = 12},
  [975] = {.lex_state = 10},
  [976] = {.lex_state = 12, .external_lex_state = 2},
  [977] = {.lex_state = 12},
  [978] = {.lex_state = 12},
  [979] = {.lex_state = 12},
  [980] = {.lex_state = 10, .external_lex_state = 2},
  [981] = {.lex_state = 12},
  [982] = {.lex_state = 12},
  [983] = {.lex_state = 12},
  [984] = {.lex_state = 12},
  [985] = {.lex_state = 10, .external_lex_state = 2},
  [986] = {.lex_state = 12},
  [987] = {.lex_state = 10, .external_lex_state = 2},
  [988] = {.lex_state = 12},
  [989] = {.lex_state = 12},
  [990] = {.lex_state = 12},
  [991] = {.lex_state = 10, .external_lex_state = 2},
  [992] = {.lex_state = 12},
  [993] = {.lex_state = 10, .external_lex_state = 2},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 12},
  [996] = {.lex_state = 12},
  [997] = {.lex_state = 12},
  [998] = {.lex_state = 12},
  [999] = {.lex_state = 12},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 10, .external_lex_state = 2},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 10, .external_lex_state = 2},
  [1006] = {.lex_state = 12, .external_lex_state = 2},
  [1007] = {.lex_state = 12, .external_lex_state = 2},
  [1008] = {.lex_state = 12, .external_lex_state = 2},
  [1009] = {.lex_state = 12, .external_lex_state = 2},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12, .external_lex_state = 2},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 12},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12, .external_lex_state = 2},
  [1044] = {.lex_state = 12},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 17},
  [1047] = {.lex_state = 12, .external_lex_state = 2},
  [1048] = {.lex_state = 12, .external_lex_state = 2},
  [1049] = {.lex_state = 12, .external_lex_state = 2},
  [1050] = {.lex_state = 12, .external_lex_state = 2},
  [1051] = {.lex_state = 12, .external_lex_state = 2},
  [1052] = {.lex_state = 12},
  [1053] = {.lex_state = 12, .external_lex_state = 2},
  [1054] = {.lex_state = 12, .external_lex_state = 2},
  [1055] = {.lex_state = 12, .external_lex_state = 2},
  [1056] = {.lex_state = 12, .external_lex_state = 2},
  [1057] = {.lex_state = 12, .external_lex_state = 2},
  [1058] = {.lex_state = 12, .external_lex_state = 2},
  [1059] = {.lex_state = 12},
  [1060] = {.lex_state = 12, .external_lex_state = 2},
  [1061] = {.lex_state = 12, .external_lex_state = 2},
  [1062] = {.lex_state = 12, .external_lex_state = 2},
  [1063] = {.lex_state = 12, .external_lex_state = 2},
  [1064] = {.lex_state = 12, .external_lex_state = 2},
  [1065] = {.lex_state = 12, .external_lex_state = 2},
  [1066] = {.lex_state = 12, .external_lex_state = 2},
  [1067] = {.lex_state = 12, .external_lex_state = 2},
  [1068] = {.lex_state = 12},
  [1069] = {.lex_state = 12},
  [1070] = {.lex_state = 12},
  [1071] = {.lex_state = 12, .external_lex_state = 2},
  [1072] = {.lex_state = 12},
  [1073] = {.lex_state = 12},
  [1074] = {.lex_state = 12},
  [1075] = {.lex_state = 12},
  [1076] = {.lex_state = 12},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12},
  [1079] = {.lex_state = 12},
  [1080] = {.lex_state = 12},
  [1081] = {.lex_state = 12},
  [1082] = {.lex_state = 12},
  [1083] = {.lex_state = 12},
  [1084] = {.lex_state = 12},
  [1085] = {.lex_state = 12},
  [1086] = {.lex_state = 12},
  [1087] = {.lex_state = 12},
  [1088] = {.lex_state = 12},
  [1089] = {.lex_state = 12},
  [1090] = {.lex_state = 12},
  [1091] = {.lex_state = 12},
  [1092] = {.lex_state = 12},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12},
  [1096] = {.lex_state = 12},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12},
  [1107] = {.lex_state = 12, .external_lex_state = 2},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12},
  [1136] = {.lex_state = 12},
  [1137] = {.lex_state = 12},
  [1138] = {.lex_state = 12},
  [1139] = {.lex_state = 12},
  [1140] = {.lex_state = 12},
  [1141] = {.lex_state = 12},
  [1142] = {.lex_state = 12},
  [1143] = {.lex_state = 12},
  [1144] = {.lex_state = 12},
  [1145] = {.lex_state = 12},
  [1146] = {.lex_state = 12},
  [1147] = {.lex_state = 12},
  [1148] = {.lex_state = 12},
  [1149] = {.lex_state = 12},
  [1150] = {.lex_state = 12},
  [1151] = {.lex_state = 12},
  [1152] = {.lex_state = 12},
  [1153] = {.lex_state = 12},
  [1154] = {.lex_state = 12},
  [1155] = {.lex_state = 12},
  [1156] = {.lex_state = 12},
  [1157] = {.lex_state = 12},
  [1158] = {.lex_state = 12},
  [1159] = {.lex_state = 12},
  [1160] = {.lex_state = 12},
  [1161] = {.lex_state = 12},
  [1162] = {.lex_state = 12},
  [1163] = {.lex_state = 12},
  [1164] = {.lex_state = 12},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12},
  [1167] = {.lex_state = 12},
  [1168] = {.lex_state = 12},
  [1169] = {.lex_state = 12},
  [1170] = {.lex_state = 12},
  [1171] = {.lex_state = 12},
  [1172] = {.lex_state = 12},
  [1173] = {.lex_state = 12},
  [1174] = {.lex_state = 12},
  [1175] = {.lex_state = 12},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12, .external_lex_state = 2},
  [1178] = {.lex_state = 12, .external_lex_state = 2},
  [1179] = {.lex_state = 12, .external_lex_state = 2},
  [1180] = {.lex_state = 12},
  [1181] = {.lex_state = 12, .external_lex_state = 2},
  [1182] = {.lex_state = 12, .external_lex_state = 2},
  [1183] = {.lex_state = 12},
  [1184] = {.lex_state = 12},
  [1185] = {.lex_state = 12},
  [1186] = {.lex_state = 12},
  [1187] = {.lex_state = 12},
  [1188] = {.lex_state = 12, .external_lex_state = 2},
  [1189] = {.lex_state = 12},
  [1190] = {.lex_state = 12, .external_lex_state = 2},
  [1191] = {.lex_state = 12, .external_lex_state = 2},
  [1192] = {.lex_state = 12, .external_lex_state = 2},
  [1193] = {.lex_state = 12, .external_lex_state = 2},
  [1194] = {.lex_state = 12},
  [1195] = {.lex_state = 12, .external_lex_state = 2},
  [1196] = {.lex_state = 12, .external_lex_state = 2},
  [1197] = {.lex_state = 12, .external_lex_state = 2},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12},
  [1200] = {.lex_state = 12, .external_lex_state = 2},
  [1201] = {.lex_state = 12},
  [1202] = {.lex_state = 12},
  [1203] = {.lex_state = 12},
  [1204] = {.lex_state = 16},
  [1205] = {.lex_state = 12},
  [1206] = {.lex_state = 16},
  [1207] = {.lex_state = 12},
  [1208] = {.lex_state = 12},
  [1209] = {.lex_state = 12},
  [1210] = {.lex_state = 12},
  [1211] = {.lex_state = 12},
  [1212] = {.lex_state = 12},
  [1213] = {.lex_state = 12},
  [1214] = {.lex_state = 12},
  [1215] = {.lex_state = 12},
  [1216] = {.lex_state = 16},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 12},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 16},
  [1222] = {.lex_state = 16},
  [1223] = {.lex_state = 16},
  [1224] = {.lex_state = 16},
  [1225] = {.lex_state = 12},
  [1226] = {.lex_state = 12},
  [1227] = {.lex_state = 12},
  [1228] = {.lex_state = 12},
  [1229] = {.lex_state = 12},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 12},
  [1232] = {.lex_state = 12},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12},
  [1240] = {.lex_state = 12},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 12},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 12},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 16},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 16},
  [1285] = {.lex_state = 16},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 16},
  [1288] = {.lex_state = 16},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 16},
  [1295] = {.lex_state = 16},
  [1296] = {.lex_state = 16},
  [1297] = {.lex_state = 16},
  [1298] = {.lex_state = 16},
  [1299] = {.lex_state = 12},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 63},
  [1309] = {.lex_state = 63},
  [1310] = {.lex_state = 63},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 63},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 16},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 16},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 63},
  [1323] = {.lex_state = 63},
  [1324] = {.lex_state = 16},
  [1325] = {.lex_state = 16},
  [1326] = {.lex_state = 63},
  [1327] = {.lex_state = 16},
  [1328] = {.lex_state = 63},
  [1329] = {.lex_state = 63},
  [1330] = {.lex_state = 63},
  [1331] = {.lex_state = 63},
  [1332] = {.lex_state = 63},
  [1333] = {.lex_state = 63},
  [1334] = {.lex_state = 63},
  [1335] = {.lex_state = 15},
  [1336] = {.lex_state = 63},
  [1337] = {.lex_state = 3, .external_lex_state = 3},
  [1338] = {.lex_state = 63},
  [1339] = {.lex_state = 63},
  [1340] = {.lex_state = 63},
  [1341] = {.lex_state = 63},
  [1342] = {.lex_state = 63},
  [1343] = {.lex_state = 63},
  [1344] = {.lex_state = 63},
  [1345] = {.lex_state = 14},
  [1346] = {.lex_state = 63},
  [1347] = {.lex_state = 63},
  [1348] = {.lex_state = 3, .external_lex_state = 3},
  [1349] = {.lex_state = 3, .external_lex_state = 3},
  [1350] = {.lex_state = 3, .external_lex_state = 3},
  [1351] = {.lex_state = 3, .external_lex_state = 4},
  [1352] = {.lex_state = 3, .external_lex_state = 3},
  [1353] = {.lex_state = 16},
  [1354] = {.lex_state = 8, .external_lex_state = 5},
  [1355] = {.lex_state = 16},
  [1356] = {.lex_state = 16},
  [1357] = {.lex_state = 8, .external_lex_state = 5},
  [1358] = {.lex_state = 8, .external_lex_state = 5},
  [1359] = {.lex_state = 8, .external_lex_state = 6},
  [1360] = {.lex_state = 8, .external_lex_state = 6},
  [1361] = {.lex_state = 16},
  [1362] = {.lex_state = 8, .external_lex_state = 6},
  [1363] = {.lex_state = 16},
  [1364] = {.lex_state = 16},
  [1365] = {.lex_state = 8, .external_lex_state = 6},
  [1366] = {.lex_state = 63},
  [1367] = {.lex_state = 16},
  [1368] = {.lex_state = 8, .external_lex_state = 6},
  [1369] = {.lex_state = 8, .external_lex_state = 5},
  [1370] = {.lex_state = 63},
  [1371] = {.lex_state = 16},
  [1372] = {.lex_state = 8, .external_lex_state = 5},
  [1373] = {.lex_state = 16},
  [1374] = {.lex_state = 16},
  [1375] = {.lex_state = 16},
  [1376] = {.lex_state = 16},
  [1377] = {.lex_state = 16},
  [1378] = {.lex_state = 63},
  [1379] = {.lex_state = 63},
  [1380] = {.lex_state = 16},
  [1381] = {.lex_state = 8, .external_lex_state = 4},
  [1382] = {.lex_state = 16},
  [1383] = {.lex_state = 16},
  [1384] = {.lex_state = 16},
  [1385] = {.lex_state = 63},
  [1386] = {.lex_state = 16},
  [1387] = {.lex_state = 16},
  [1388] = {.lex_state = 16},
  [1389] = {.lex_state = 16},
  [1390] = {.lex_state = 16},
  [1391] = {.lex_state = 16},
  [1392] = {.lex_state = 16},
  [1393] = {.lex_state = 16},
  [1394] = {.lex_state = 63},
  [1395] = {.lex_state = 17},
  [1396] = {.lex_state = 16},
  [1397] = {.lex_state = 16},
  [1398] = {.lex_state = 16},
  [1399] = {.lex_state = 16},
  [1400] = {.lex_state = 16},
  [1401] = {.lex_state = 16},
  [1402] = {.lex_state = 63},
  [1403] = {.lex_state = 63},
  [1404] = {.lex_state = 16},
  [1405] = {.lex_state = 16},
  [1406] = {.lex_state = 63},
  [1407] = {.lex_state = 63},
  [1408] = {.lex_state = 63},
  [1409] = {.lex_state = 63},
  [1410] = {.lex_state = 63},
  [1411] = {.lex_state = 63},
  [1412] = {.lex_state = 63},
  [1413] = {.lex_state = 16},
  [1414] = {.lex_state = 63},
  [1415] = {.lex_state = 63},
  [1416] = {.lex_state = 63},
  [1417] = {.lex_state = 63},
  [1418] = {.lex_state = 16},
  [1419] = {.lex_state = 63},
  [1420] = {.lex_state = 63},
  [1421] = {.lex_state = 63},
  [1422] = {.lex_state = 63},
  [1423] = {.lex_state = 63},
  [1424] = {.lex_state = 63},
  [1425] = {.lex_state = 16},
  [1426] = {.lex_state = 63},
  [1427] = {.lex_state = 63},
  [1428] = {.lex_state = 63},
  [1429] = {.lex_state = 63},
  [1430] = {.lex_state = 63},
  [1431] = {.lex_state = 63},
  [1432] = {.lex_state = 63},
  [1433] = {.lex_state = 63},
  [1434] = {.lex_state = 63},
  [1435] = {.lex_state = 63},
  [1436] = {.lex_state = 63},
  [1437] = {.lex_state = 63},
  [1438] = {.lex_state = 63},
  [1439] = {.lex_state = 63},
  [1440] = {.lex_state = 63},
  [1441] = {.lex_state = 63},
  [1442] = {.lex_state = 63},
  [1443] = {.lex_state = 14},
  [1444] = {.lex_state = 17},
  [1445] = {.lex_state = 17},
  [1446] = {.lex_state = 17},
  [1447] = {.lex_state = 63},
  [1448] = {.lex_state = 14},
  [1449] = {.lex_state = 63},
  [1450] = {.lex_state = 17},
  [1451] = {.lex_state = 63},
  [1452] = {.lex_state = 63},
  [1453] = {.lex_state = 63},
  [1454] = {.lex_state = 63},
  [1455] = {.lex_state = 63},
  [1456] = {.lex_state = 17},
  [1457] = {.lex_state = 17},
  [1458] = {.lex_state = 63},
  [1459] = {.lex_state = 63},
  [1460] = {.lex_state = 63},
  [1461] = {.lex_state = 63},
  [1462] = {.lex_state = 63},
  [1463] = {.lex_state = 3, .external_lex_state = 7},
  [1464] = {.lex_state = 63},
  [1465] = {.lex_state = 63},
  [1466] = {.lex_state = 63},
  [1467] = {.lex_state = 3, .external_lex_state = 7},
  [1468] = {.lex_state = 17},
  [1469] = {.lex_state = 63},
  [1470] = {.lex_state = 63},
  [1471] = {.lex_state = 63},
  [1472] = {.lex_state = 63},
  [1473] = {.lex_state = 63},
  [1474] = {.lex_state = 17},
  [1475] = {.lex_state = 8, .external_lex_state = 8},
  [1476] = {.lex_state = 17},
  [1477] = {.lex_state = 8, .external_lex_state = 9},
  [1478] = {.lex_state = 63},
  [1479] = {.lex_state = 63, .external_lex_state = 2},
  [1480] = {.lex_state = 63},
  [1481] = {.lex_state = 63, .external_lex_state = 2},
  [1482] = {.lex_state = 63, .external_lex_state = 2},
  [1483] = {.lex_state = 63, .external_lex_state = 2},
  [1484] = {.lex_state = 63, .external_lex_state = 2},
  [1485] = {.lex_state = 8, .external_lex_state = 9},
  [1486] = {.lex_state = 8, .external_lex_state = 8},
  [1487] = {.lex_state = 63, .external_lex_state = 2},
  [1488] = {.lex_state = 63, .external_lex_state = 2},
  [1489] = {.lex_state = 63, .external_lex_state = 2},
  [1490] = {.lex_state = 63},
  [1491] = {.lex_state = 63},
  [1492] = {.lex_state = 63},
  [1493] = {.lex_state = 63},
  [1494] = {.lex_state = 63},
  [1495] = {.lex_state = 63},
  [1496] = {.lex_state = 63},
  [1497] = {.lex_state = 63},
  [1498] = {.lex_state = 63},
  [1499] = {.lex_state = 63},
  [1500] = {.lex_state = 63},
  [1501] = {.lex_state = 63},
  [1502] = {.lex_state = 63},
  [1503] = {.lex_state = 63},
  [1504] = {.lex_state = 63},
  [1505] = {.lex_state = 63},
  [1506] = {.lex_state = 63, .external_lex_state = 2},
  [1507] = {.lex_state = 63},
  [1508] = {.lex_state = 63},
  [1509] = {.lex_state = 63, .external_lex_state = 2},
  [1510] = {.lex_state = 10},
  [1511] = {.lex_state = 63},
  [1512] = {.lex_state = 63},
  [1513] = {.lex_state = 14},
  [1514] = {.lex_state = 63, .external_lex_state = 2},
  [1515] = {.lex_state = 63, .external_lex_state = 2},
  [1516] = {.lex_state = 63, .external_lex_state = 2},
  [1517] = {.lex_state = 63, .external_lex_state = 2},
  [1518] = {.lex_state = 63, .external_lex_state = 2},
  [1519] = {.lex_state = 63, .external_lex_state = 2},
  [1520] = {.lex_state = 63},
  [1521] = {.lex_state = 63},
  [1522] = {.lex_state = 63, .external_lex_state = 2},
  [1523] = {.lex_state = 10},
  [1524] = {.lex_state = 63},
  [1525] = {.lex_state = 63},
  [1526] = {.lex_state = 63},
  [1527] = {.lex_state = 63},
  [1528] = {.lex_state = 63, .external_lex_state = 2},
  [1529] = {.lex_state = 63},
  [1530] = {.lex_state = 63},
  [1531] = {.lex_state = 63},
  [1532] = {.lex_state = 63},
  [1533] = {.lex_state = 63, .external_lex_state = 2},
  [1534] = {.lex_state = 3, .external_lex_state = 3},
  [1535] = {.lex_state = 63},
  [1536] = {.lex_state = 63, .external_lex_state = 2},
  [1537] = {.lex_state = 63, .external_lex_state = 2},
  [1538] = {.lex_state = 63},
  [1539] = {.lex_state = 63},
  [1540] = {.lex_state = 63, .external_lex_state = 2},
  [1541] = {.lex_state = 3, .external_lex_state = 3},
  [1542] = {.lex_state = 3, .external_lex_state = 3},
  [1543] = {.lex_state = 3, .external_lex_state = 3},
  [1544] = {.lex_state = 10},
  [1545] = {.lex_state = 63, .external_lex_state = 2},
  [1546] = {.lex_state = 3, .external_lex_state = 3},
  [1547] = {.lex_state = 63, .external_lex_state = 2},
  [1548] = {.lex_state = 3, .external_lex_state = 3},
  [1549] = {.lex_state = 3, .external_lex_state = 3},
  [1550] = {.lex_state = 63},
  [1551] = {.lex_state = 63},
  [1552] = {.lex_state = 17},
  [1553] = {.lex_state = 3, .external_lex_state = 3},
  [1554] = {.lex_state = 63, .external_lex_state = 2},
  [1555] = {.lex_state = 63, .external_lex_state = 2},
  [1556] = {.lex_state = 63, .external_lex_state = 2},
  [1557] = {.lex_state = 63, .external_lex_state = 2},
  [1558] = {.lex_state = 63},
  [1559] = {.lex_state = 63},
  [1560] = {.lex_state = 63},
  [1561] = {.lex_state = 63},
  [1562] = {.lex_state = 63},
  [1563] = {.lex_state = 63},
  [1564] = {.lex_state = 63},
  [1565] = {.lex_state = 18},
  [1566] = {.lex_state = 63},
  [1567] = {.lex_state = 63},
  [1568] = {.lex_state = 63},
  [1569] = {.lex_state = 8, .external_lex_state = 5},
  [1570] = {.lex_state = 63},
  [1571] = {.lex_state = 63},
  [1572] = {.lex_state = 18},
  [1573] = {.lex_state = 63},
  [1574] = {.lex_state = 18},
  [1575] = {.lex_state = 63},
  [1576] = {.lex_state = 63},
  [1577] = {.lex_state = 8, .external_lex_state = 5},
  [1578] = {.lex_state = 63},
  [1579] = {.lex_state = 8, .external_lex_state = 6},
  [1580] = {.lex_state = 8, .external_lex_state = 6},
  [1581] = {.lex_state = 63},
  [1582] = {.lex_state = 63},
  [1583] = {.lex_state = 8, .external_lex_state = 5},
  [1584] = {.lex_state = 63},
  [1585] = {.lex_state = 63},
  [1586] = {.lex_state = 8, .external_lex_state = 6},
  [1587] = {.lex_state = 8, .external_lex_state = 6},
  [1588] = {.lex_state = 63},
  [1589] = {.lex_state = 63},
  [1590] = {.lex_state = 63},
  [1591] = {.lex_state = 14},
  [1592] = {.lex_state = 63},
  [1593] = {.lex_state = 63},
  [1594] = {.lex_state = 63},
  [1595] = {.lex_state = 63},
  [1596] = {.lex_state = 63},
  [1597] = {.lex_state = 8, .external_lex_state = 6},
  [1598] = {.lex_state = 63},
  [1599] = {.lex_state = 63},
  [1600] = {.lex_state = 63},
  [1601] = {.lex_state = 63},
  [1602] = {.lex_state = 63},
  [1603] = {.lex_state = 63},
  [1604] = {.lex_state = 63},
  [1605] = {.lex_state = 63},
  [1606] = {.lex_state = 63},
  [1607] = {.lex_state = 63},
  [1608] = {.lex_state = 63},
  [1609] = {.lex_state = 63},
  [1610] = {.lex_state = 63},
  [1611] = {.lex_state = 63},
  [1612] = {.lex_state = 63},
  [1613] = {.lex_state = 63},
  [1614] = {.lex_state = 63},
  [1615] = {.lex_state = 63},
  [1616] = {.lex_state = 63},
  [1617] = {.lex_state = 63},
  [1618] = {.lex_state = 8, .external_lex_state = 5},
  [1619] = {.lex_state = 63},
  [1620] = {.lex_state = 63},
  [1621] = {.lex_state = 63},
  [1622] = {.lex_state = 63},
  [1623] = {.lex_state = 63},
  [1624] = {.lex_state = 63},
  [1625] = {.lex_state = 18},
  [1626] = {.lex_state = 8, .external_lex_state = 6},
  [1627] = {.lex_state = 63},
  [1628] = {.lex_state = 63},
  [1629] = {.lex_state = 63},
  [1630] = {.lex_state = 63},
  [1631] = {.lex_state = 8, .external_lex_state = 6},
  [1632] = {.lex_state = 18},
  [1633] = {.lex_state = 8, .external_lex_state = 5},
  [1634] = {.lex_state = 63},
  [1635] = {.lex_state = 63},
  [1636] = {.lex_state = 63},
  [1637] = {.lex_state = 63},
  [1638] = {.lex_state = 8, .external_lex_state = 5},
  [1639] = {.lex_state = 8, .external_lex_state = 5},
  [1640] = {.lex_state = 8, .external_lex_state = 5},
  [1641] = {.lex_state = 63},
  [1642] = {.lex_state = 8, .external_lex_state = 6},
  [1643] = {.lex_state = 63},
  [1644] = {.lex_state = 63, .external_lex_state = 2},
  [1645] = {.lex_state = 63},
  [1646] = {.lex_state = 63, .external_lex_state = 2},
  [1647] = {.lex_state = 16},
  [1648] = {.lex_state = 16},
  [1649] = {.lex_state = 63, .external_lex_state = 2},
  [1650] = {.lex_state = 63},
  [1651] = {.lex_state = 16},
  [1652] = {.lex_state = 63, .external_lex_state = 2},
  [1653] = {.lex_state = 63, .external_lex_state = 2},
  [1654] = {.lex_state = 63, .external_lex_state = 2},
  [1655] = {.lex_state = 63},
  [1656] = {.lex_state = 16},
  [1657] = {.lex_state = 63},
  [1658] = {.lex_state = 63},
  [1659] = {.lex_state = 16},
  [1660] = {.lex_state = 63, .external_lex_state = 2},
  [1661] = {.lex_state = 63, .external_lex_state = 2},
  [1662] = {.lex_state = 16},
  [1663] = {.lex_state = 63},
  [1664] = {.lex_state = 63},
  [1665] = {.lex_state = 63, .external_lex_state = 2},
  [1666] = {.lex_state = 63},
  [1667] = {.lex_state = 16},
  [1668] = {.lex_state = 63, .external_lex_state = 2},
  [1669] = {.lex_state = 16},
  [1670] = {.lex_state = 63, .external_lex_state = 2},
  [1671] = {.lex_state = 16},
  [1672] = {.lex_state = 16},
  [1673] = {.lex_state = 63},
  [1674] = {.lex_state = 63, .external_lex_state = 2},
  [1675] = {.lex_state = 63, .external_lex_state = 2},
  [1676] = {.lex_state = 63},
  [1677] = {.lex_state = 14},
  [1678] = {.lex_state = 63},
  [1679] = {.lex_state = 63},
  [1680] = {.lex_state = 63},
  [1681] = {.lex_state = 63, .external_lex_state = 2},
  [1682] = {.lex_state = 63},
  [1683] = {.lex_state = 63, .external_lex_state = 2},
  [1684] = {.lex_state = 63, .external_lex_state = 2},
  [1685] = {.lex_state = 16},
  [1686] = {.lex_state = 63, .external_lex_state = 2},
  [1687] = {.lex_state = 63, .external_lex_state = 2},
  [1688] = {.lex_state = 63},
  [1689] = {.lex_state = 16},
  [1690] = {.lex_state = 63, .external_lex_state = 2},
  [1691] = {.lex_state = 63, .external_lex_state = 2},
  [1692] = {.lex_state = 63, .external_lex_state = 2},
  [1693] = {.lex_state = 63},
  [1694] = {.lex_state = 63},
  [1695] = {.lex_state = 63, .external_lex_state = 2},
  [1696] = {.lex_state = 63},
  [1697] = {.lex_state = 63, .external_lex_state = 2},
  [1698] = {.lex_state = 63, .external_lex_state = 2},
  [1699] = {.lex_state = 63},
  [1700] = {.lex_state = 63},
  [1701] = {.lex_state = 16},
  [1702] = {.lex_state = 63},
  [1703] = {.lex_state = 63},
  [1704] = {.lex_state = 16},
  [1705] = {.lex_state = 63, .external_lex_state = 2},
  [1706] = {.lex_state = 63, .external_lex_state = 2},
  [1707] = {.lex_state = 63, .external_lex_state = 2},
  [1708] = {.lex_state = 63, .external_lex_state = 2},
  [1709] = {.lex_state = 63, .external_lex_state = 2},
  [1710] = {.lex_state = 63, .external_lex_state = 2},
  [1711] = {.lex_state = 63, .external_lex_state = 2},
  [1712] = {.lex_state = 63, .external_lex_state = 2},
  [1713] = {.lex_state = 63, .external_lex_state = 2},
  [1714] = {.lex_state = 63, .external_lex_state = 2},
  [1715] = {.lex_state = 63, .external_lex_state = 2},
  [1716] = {.lex_state = 63, .external_lex_state = 2},
  [1717] = {.lex_state = 63},
  [1718] = {.lex_state = 14},
  [1719] = {.lex_state = 14},
  [1720] = {.lex_state = 63, .external_lex_state = 2},
  [1721] = {.lex_state = 63, .external_lex_state = 2},
  [1722] = {.lex_state = 63, .external_lex_state = 2},
  [1723] = {.lex_state = 63},
  [1724] = {.lex_state = 63},
  [1725] = {.lex_state = 63},
  [1726] = {.lex_state = 63, .external_lex_state = 2},
  [1727] = {.lex_state = 63, .external_lex_state = 2},
  [1728] = {.lex_state = 63, .external_lex_state = 2},
  [1729] = {.lex_state = 63, .external_lex_state = 2},
  [1730] = {.lex_state = 63, .external_lex_state = 2},
  [1731] = {.lex_state = 16},
  [1732] = {.lex_state = 63},
  [1733] = {.lex_state = 63},
  [1734] = {.lex_state = 63},
  [1735] = {.lex_state = 63},
  [1736] = {.lex_state = 14},
  [1737] = {.lex_state = 63},
  [1738] = {.lex_state = 63, .external_lex_state = 2},
  [1739] = {.lex_state = 16},
  [1740] = {.lex_state = 63},
  [1741] = {.lex_state = 63, .external_lex_state = 2},
  [1742] = {.lex_state = 63, .external_lex_state = 2},
  [1743] = {.lex_state = 16},
  [1744] = {.lex_state = 14},
  [1745] = {.lex_state = 63, .external_lex_state = 2},
  [1746] = {.lex_state = 63, .external_lex_state = 2},
  [1747] = {.lex_state = 63, .external_lex_state = 2},
  [1748] = {.lex_state = 16},
  [1749] = {.lex_state = 63, .external_lex_state = 2},
  [1750] = {.lex_state = 63},
  [1751] = {.lex_state = 63, .external_lex_state = 2},
  [1752] = {.lex_state = 63, .external_lex_state = 2},
  [1753] = {.lex_state = 14},
  [1754] = {.lex_state = 63, .external_lex_state = 2},
  [1755] = {.lex_state = 16},
  [1756] = {.lex_state = 14},
  [1757] = {.lex_state = 63, .external_lex_state = 2},
  [1758] = {.lex_state = 63},
  [1759] = {.lex_state = 63, .external_lex_state = 2},
  [1760] = {.lex_state = 63},
  [1761] = {.lex_state = 63},
  [1762] = {.lex_state = 63, .external_lex_state = 2},
  [1763] = {.lex_state = 14},
  [1764] = {.lex_state = 63, .external_lex_state = 2},
  [1765] = {.lex_state = 63},
  [1766] = {.lex_state = 63},
  [1767] = {.lex_state = 63},
  [1768] = {.lex_state = 16},
  [1769] = {.lex_state = 63, .external_lex_state = 2},
  [1770] = {.lex_state = 63},
  [1771] = {.lex_state = 63},
  [1772] = {.lex_state = 3, .external_lex_state = 10},
  [1773] = {.lex_state = 63},
  [1774] = {.lex_state = 63},
  [1775] = {.lex_state = 14},
  [1776] = {.lex_state = 63},
  [1777] = {.lex_state = 63},
  [1778] = {.lex_state = 3, .external_lex_state = 10},
  [1779] = {.lex_state = 18},
  [1780] = {.lex_state = 63},
  [1781] = {.lex_state = 63, .external_lex_state = 2},
  [1782] = {.lex_state = 63},
  [1783] = {.lex_state = 63},
  [1784] = {.lex_state = 63},
  [1785] = {.lex_state = 63},
  [1786] = {.lex_state = 63},
  [1787] = {.lex_state = 3, .external_lex_state = 10},
  [1788] = {.lex_state = 63},
  [1789] = {.lex_state = 63},
  [1790] = {.lex_state = 63},
  [1791] = {.lex_state = 63, .external_lex_state = 2},
  [1792] = {.lex_state = 63},
  [1793] = {.lex_state = 63},
  [1794] = {.lex_state = 63},
  [1795] = {.lex_state = 63, .external_lex_state = 2},
  [1796] = {.lex_state = 63},
  [1797] = {.lex_state = 63},
  [1798] = {.lex_state = 63},
  [1799] = {.lex_state = 63, .external_lex_state = 2},
  [1800] = {.lex_state = 63},
  [1801] = {.lex_state = 63},
  [1802] = {.lex_state = 63},
  [1803] = {.lex_state = 63},
  [1804] = {.lex_state = 63},
  [1805] = {.lex_state = 63},
  [1806] = {.lex_state = 63, .external_lex_state = 2},
  [1807] = {.lex_state = 63},
  [1808] = {.lex_state = 63},
  [1809] = {.lex_state = 63, .external_lex_state = 2},
  [1810] = {.lex_state = 63, .external_lex_state = 2},
  [1811] = {.lex_state = 63, .external_lex_state = 2},
  [1812] = {.lex_state = 63},
  [1813] = {.lex_state = 63, .external_lex_state = 2},
  [1814] = {.lex_state = 63, .external_lex_state = 2},
  [1815] = {.lex_state = 63},
  [1816] = {.lex_state = 63, .external_lex_state = 2},
  [1817] = {.lex_state = 63},
  [1818] = {.lex_state = 63},
  [1819] = {.lex_state = 63},
  [1820] = {.lex_state = 63, .external_lex_state = 2},
  [1821] = {.lex_state = 63, .external_lex_state = 2},
  [1822] = {.lex_state = 63},
  [1823] = {.lex_state = 63},
  [1824] = {.lex_state = 63},
  [1825] = {.lex_state = 63, .external_lex_state = 2},
  [1826] = {.lex_state = 63},
  [1827] = {.lex_state = 63},
  [1828] = {.lex_state = 63, .external_lex_state = 2},
  [1829] = {.lex_state = 63},
  [1830] = {.lex_state = 63},
  [1831] = {.lex_state = 63},
  [1832] = {.lex_state = 63},
  [1833] = {.lex_state = 63},
  [1834] = {.lex_state = 63},
  [1835] = {.lex_state = 14},
  [1836] = {.lex_state = 63},
  [1837] = {.lex_state = 63},
  [1838] = {.lex_state = 63},
  [1839] = {.lex_state = 63},
  [1840] = {.lex_state = 63},
  [1841] = {.lex_state = 63},
  [1842] = {.lex_state = 63},
  [1843] = {.lex_state = 63, .external_lex_state = 2},
  [1844] = {.lex_state = 63},
  [1845] = {.lex_state = 14},
  [1846] = {.lex_state = 63},
  [1847] = {.lex_state = 63},
  [1848] = {.lex_state = 3, .external_lex_state = 11},
  [1849] = {.lex_state = 63},
  [1850] = {.lex_state = 63},
  [1851] = {.lex_state = 63},
  [1852] = {.lex_state = 18},
  [1853] = {.lex_state = 3, .external_lex_state = 10},
  [1854] = {.lex_state = 63},
  [1855] = {.lex_state = 63},
  [1856] = {.lex_state = 63},
  [1857] = {.lex_state = 63},
  [1858] = {.lex_state = 63},
  [1859] = {.lex_state = 63, .external_lex_state = 2},
  [1860] = {.lex_state = 63, .external_lex_state = 2},
  [1861] = {.lex_state = 63},
  [1862] = {.lex_state = 63},
  [1863] = {.lex_state = 63},
  [1864] = {.lex_state = 63},
  [1865] = {.lex_state = 63},
  [1866] = {.lex_state = 63},
  [1867] = {.lex_state = 63},
  [1868] = {.lex_state = 3, .external_lex_state = 11},
  [1869] = {.lex_state = 63},
  [1870] = {.lex_state = 63, .external_lex_state = 2},
  [1871] = {.lex_state = 63},
  [1872] = {.lex_state = 63},
  [1873] = {.lex_state = 63},
  [1874] = {.lex_state = 63},
  [1875] = {.lex_state = 63},
  [1876] = {.lex_state = 63},
  [1877] = {.lex_state = 63},
  [1878] = {.lex_state = 63},
  [1879] = {.lex_state = 63},
  [1880] = {.lex_state = 63},
  [1881] = {.lex_state = 63},
  [1882] = {.lex_state = 63},
  [1883] = {.lex_state = 63},
  [1884] = {.lex_state = 63},
  [1885] = {.lex_state = 63},
  [1886] = {.lex_state = 63},
  [1887] = {.lex_state = 63},
  [1888] = {.lex_state = 63},
  [1889] = {.lex_state = 63},
  [1890] = {.lex_state = 63, .external_lex_state = 2},
  [1891] = {.lex_state = 3, .external_lex_state = 10},
  [1892] = {.lex_state = 63},
  [1893] = {.lex_state = 3, .external_lex_state = 10},
  [1894] = {.lex_state = 63},
  [1895] = {.lex_state = 3, .external_lex_state = 10},
  [1896] = {.lex_state = 63},
  [1897] = {.lex_state = 63},
  [1898] = {.lex_state = 63},
  [1899] = {.lex_state = 63, .external_lex_state = 2},
  [1900] = {.lex_state = 63},
  [1901] = {.lex_state = 63},
  [1902] = {.lex_state = 63, .external_lex_state = 2},
  [1903] = {.lex_state = 63, .external_lex_state = 2},
  [1904] = {.lex_state = 63},
  [1905] = {.lex_state = 63},
  [1906] = {.lex_state = 63},
  [1907] = {.lex_state = 63, .external_lex_state = 2},
  [1908] = {.lex_state = 63},
  [1909] = {.lex_state = 63},
  [1910] = {.lex_state = 63, .external_lex_state = 2},
  [1911] = {.lex_state = 63},
  [1912] = {.lex_state = 63},
  [1913] = {.lex_state = 63, .external_lex_state = 2},
  [1914] = {.lex_state = 63, .external_lex_state = 2},
  [1915] = {.lex_state = 63},
  [1916] = {.lex_state = 63},
  [1917] = {.lex_state = 63},
  [1918] = {.lex_state = 63},
  [1919] = {.lex_state = 63, .external_lex_state = 2},
  [1920] = {.lex_state = 63},
  [1921] = {.lex_state = 63},
  [1922] = {.lex_state = 63, .external_lex_state = 2},
  [1923] = {.lex_state = 63, .external_lex_state = 2},
  [1924] = {.lex_state = 63},
  [1925] = {.lex_state = 63},
  [1926] = {.lex_state = 63},
  [1927] = {.lex_state = 63, .external_lex_state = 12},
  [1928] = {.lex_state = 63},
  [1929] = {.lex_state = 63},
  [1930] = {.lex_state = 63, .external_lex_state = 2},
  [1931] = {.lex_state = 63, .external_lex_state = 2},
  [1932] = {.lex_state = 63},
  [1933] = {.lex_state = 63},
  [1934] = {.lex_state = 63, .external_lex_state = 2},
  [1935] = {.lex_state = 63},
  [1936] = {.lex_state = 63, .external_lex_state = 2},
  [1937] = {.lex_state = 63},
  [1938] = {.lex_state = 63},
  [1939] = {.lex_state = 63, .external_lex_state = 2},
  [1940] = {.lex_state = 63},
  [1941] = {.lex_state = 63},
  [1942] = {.lex_state = 63},
  [1943] = {.lex_state = 63, .external_lex_state = 2},
  [1944] = {.lex_state = 63},
  [1945] = {.lex_state = 63, .external_lex_state = 2},
  [1946] = {.lex_state = 63},
  [1947] = {.lex_state = 63},
  [1948] = {.lex_state = 63},
  [1949] = {.lex_state = 63},
  [1950] = {.lex_state = 63},
  [1951] = {.lex_state = 63},
  [1952] = {.lex_state = 14},
  [1953] = {.lex_state = 63},
  [1954] = {.lex_state = 63},
  [1955] = {.lex_state = 63},
  [1956] = {.lex_state = 63},
  [1957] = {.lex_state = 63},
  [1958] = {.lex_state = 63},
  [1959] = {.lex_state = 63},
  [1960] = {.lex_state = 63},
  [1961] = {.lex_state = 63, .external_lex_state = 2},
  [1962] = {.lex_state = 63},
  [1963] = {.lex_state = 14},
  [1964] = {.lex_state = 63},
  [1965] = {.lex_state = 63},
  [1966] = {.lex_state = 63, .external_lex_state = 2},
  [1967] = {.lex_state = 63},
  [1968] = {.lex_state = 63},
  [1969] = {.lex_state = 63, .external_lex_state = 2},
  [1970] = {.lex_state = 63},
  [1971] = {.lex_state = 63},
  [1972] = {.lex_state = 63},
  [1973] = {.lex_state = 63},
  [1974] = {.lex_state = 63},
  [1975] = {.lex_state = 63, .external_lex_state = 2},
  [1976] = {.lex_state = 63},
  [1977] = {.lex_state = 63, .external_lex_state = 2},
  [1978] = {.lex_state = 63},
  [1979] = {.lex_state = 63, .external_lex_state = 2},
  [1980] = {.lex_state = 63, .external_lex_state = 2},
  [1981] = {.lex_state = 63, .external_lex_state = 2},
  [1982] = {.lex_state = 63},
  [1983] = {.lex_state = 63},
  [1984] = {.lex_state = 63},
  [1985] = {.lex_state = 63},
  [1986] = {.lex_state = 63},
  [1987] = {.lex_state = 63},
  [1988] = {.lex_state = 63, .external_lex_state = 2},
  [1989] = {.lex_state = 63},
  [1990] = {.lex_state = 63},
  [1991] = {.lex_state = 63},
  [1992] = {.lex_state = 63},
  [1993] = {.lex_state = 63, .external_lex_state = 2},
  [1994] = {.lex_state = 63},
  [1995] = {.lex_state = 63},
  [1996] = {.lex_state = 63, .external_lex_state = 2},
  [1997] = {.lex_state = 63},
  [1998] = {.lex_state = 63},
  [1999] = {.lex_state = 63, .external_lex_state = 2},
  [2000] = {.lex_state = 63},
  [2001] = {.lex_state = 63, .external_lex_state = 2},
  [2002] = {.lex_state = 63, .external_lex_state = 2},
  [2003] = {.lex_state = 63},
  [2004] = {.lex_state = 63, .external_lex_state = 2},
  [2005] = {.lex_state = 63},
  [2006] = {.lex_state = 63},
  [2007] = {.lex_state = 63, .external_lex_state = 2},
  [2008] = {.lex_state = 63},
  [2009] = {.lex_state = 63},
  [2010] = {.lex_state = 63},
  [2011] = {.lex_state = 63},
  [2012] = {.lex_state = 63},
  [2013] = {.lex_state = 63},
  [2014] = {.lex_state = 63},
  [2015] = {.lex_state = 63},
  [2016] = {.lex_state = 63, .external_lex_state = 2},
  [2017] = {.lex_state = 63},
  [2018] = {.lex_state = 63, .external_lex_state = 2},
  [2019] = {.lex_state = 63, .external_lex_state = 2},
  [2020] = {.lex_state = 63},
  [2021] = {.lex_state = 63},
  [2022] = {.lex_state = 63},
  [2023] = {.lex_state = 63},
  [2024] = {.lex_state = 63},
  [2025] = {.lex_state = 63},
  [2026] = {.lex_state = 63},
  [2027] = {.lex_state = 63, .external_lex_state = 2},
  [2028] = {.lex_state = 63},
  [2029] = {.lex_state = 63},
  [2030] = {.lex_state = 63},
  [2031] = {.lex_state = 63, .external_lex_state = 2},
  [2032] = {.lex_state = 63},
  [2033] = {.lex_state = 63, .external_lex_state = 2},
  [2034] = {.lex_state = 63},
  [2035] = {.lex_state = 63, .external_lex_state = 2},
  [2036] = {.lex_state = 63, .external_lex_state = 2},
  [2037] = {.lex_state = 63, .external_lex_state = 2},
  [2038] = {.lex_state = 63},
  [2039] = {.lex_state = 63, .external_lex_state = 2},
  [2040] = {.lex_state = 63},
  [2041] = {.lex_state = 63},
  [2042] = {.lex_state = 63, .external_lex_state = 2},
  [2043] = {.lex_state = 63},
  [2044] = {.lex_state = 63, .external_lex_state = 2},
  [2045] = {.lex_state = 63},
  [2046] = {.lex_state = 3, .external_lex_state = 10},
  [2047] = {.lex_state = 63},
  [2048] = {.lex_state = 63},
  [2049] = {.lex_state = 63},
  [2050] = {.lex_state = 63},
  [2051] = {.lex_state = 63},
  [2052] = {.lex_state = 63, .external_lex_state = 2},
  [2053] = {.lex_state = 63},
  [2054] = {.lex_state = 63},
  [2055] = {.lex_state = 63},
  [2056] = {.lex_state = 63},
  [2057] = {.lex_state = 63, .external_lex_state = 2},
  [2058] = {.lex_state = 63},
  [2059] = {.lex_state = 63},
  [2060] = {.lex_state = 63},
  [2061] = {.lex_state = 63},
  [2062] = {.lex_state = 63},
  [2063] = {.lex_state = 63},
  [2064] = {.lex_state = 63},
  [2065] = {.lex_state = 63},
  [2066] = {.lex_state = 63},
  [2067] = {.lex_state = 63},
  [2068] = {.lex_state = 63},
  [2069] = {.lex_state = 63, .external_lex_state = 2},
  [2070] = {.lex_state = 63},
  [2071] = {.lex_state = 63},
  [2072] = {.lex_state = 63},
  [2073] = {.lex_state = 63},
  [2074] = {.lex_state = 63, .external_lex_state = 2},
  [2075] = {.lex_state = 63},
  [2076] = {.lex_state = 63},
  [2077] = {.lex_state = 63},
  [2078] = {.lex_state = 63},
  [2079] = {.lex_state = 63},
  [2080] = {.lex_state = 63, .external_lex_state = 2},
  [2081] = {.lex_state = 63, .external_lex_state = 2},
  [2082] = {.lex_state = 63, .external_lex_state = 2},
  [2083] = {.lex_state = 63, .external_lex_state = 2},
  [2084] = {.lex_state = 63},
  [2085] = {.lex_state = 63},
  [2086] = {.lex_state = 63},
  [2087] = {.lex_state = 63},
  [2088] = {.lex_state = 63},
  [2089] = {.lex_state = 63, .external_lex_state = 2},
  [2090] = {.lex_state = 63, .external_lex_state = 2},
  [2091] = {.lex_state = 63, .external_lex_state = 2},
  [2092] = {.lex_state = 63},
  [2093] = {.lex_state = 63, .external_lex_state = 2},
  [2094] = {.lex_state = 3, .external_lex_state = 10},
  [2095] = {.lex_state = 63},
  [2096] = {.lex_state = 3, .external_lex_state = 10},
  [2097] = {.lex_state = 63, .external_lex_state = 2},
  [2098] = {.lex_state = 63},
  [2099] = {.lex_state = 63, .external_lex_state = 2},
  [2100] = {.lex_state = 63},
  [2101] = {.lex_state = 63, .external_lex_state = 2},
  [2102] = {.lex_state = 63, .external_lex_state = 2},
  [2103] = {.lex_state = 63, .external_lex_state = 2},
  [2104] = {.lex_state = 63},
  [2105] = {.lex_state = 63},
  [2106] = {.lex_state = 63},
  [2107] = {.lex_state = 63, .external_lex_state = 2},
  [2108] = {.lex_state = 63, .external_lex_state = 2},
  [2109] = {.lex_state = 63},
  [2110] = {.lex_state = 63},
  [2111] = {.lex_state = 63, .external_lex_state = 2},
  [2112] = {.lex_state = 63},
  [2113] = {.lex_state = 63},
  [2114] = {.lex_state = 63},
  [2115] = {.lex_state = 63, .external_lex_state = 2},
  [2116] = {.lex_state = 63},
  [2117] = {.lex_state = 63},
  [2118] = {.lex_state = 63},
  [2119] = {.lex_state = 63, .external_lex_state = 2},
  [2120] = {.lex_state = 63},
  [2121] = {.lex_state = 63},
  [2122] = {.lex_state = 63},
  [2123] = {.lex_state = 63, .external_lex_state = 12},
  [2124] = {.lex_state = 63},
  [2125] = {.lex_state = 63},
  [2126] = {.lex_state = 63, .external_lex_state = 2},
  [2127] = {.lex_state = 63},
  [2128] = {.lex_state = 63},
  [2129] = {.lex_state = 63},
  [2130] = {.lex_state = 63},
  [2131] = {.lex_state = 63, .external_lex_state = 2},
  [2132] = {.lex_state = 63},
  [2133] = {.lex_state = 63},
  [2134] = {.lex_state = 63},
  [2135] = {.lex_state = 63, .external_lex_state = 2},
  [2136] = {.lex_state = 63},
  [2137] = {.lex_state = 63},
  [2138] = {.lex_state = 63},
  [2139] = {.lex_state = 63, .external_lex_state = 2},
  [2140] = {.lex_state = 63},
  [2141] = {.lex_state = 63},
  [2142] = {.lex_state = 63, .external_lex_state = 2},
  [2143] = {.lex_state = 63},
  [2144] = {.lex_state = 63},
  [2145] = {.lex_state = 63},
  [2146] = {.lex_state = 63},
  [2147] = {.lex_state = 63},
  [2148] = {.lex_state = 63},
  [2149] = {.lex_state = 63},
  [2150] = {.lex_state = 63},
  [2151] = {.lex_state = 63},
  [2152] = {.lex_state = 63},
  [2153] = {.lex_state = 63},
  [2154] = {.lex_state = 63},
  [2155] = {.lex_state = 63, .external_lex_state = 2},
  [2156] = {.lex_state = 63},
  [2157] = {.lex_state = 63, .external_lex_state = 2},
  [2158] = {.lex_state = 63},
  [2159] = {.lex_state = 63},
  [2160] = {.lex_state = 63},
  [2161] = {.lex_state = 63},
  [2162] = {.lex_state = 63},
  [2163] = {.lex_state = 63},
  [2164] = {.lex_state = 63},
  [2165] = {.lex_state = 63},
  [2166] = {.lex_state = 63},
  [2167] = {.lex_state = 63},
  [2168] = {.lex_state = 63},
  [2169] = {.lex_state = 63},
  [2170] = {.lex_state = 63},
  [2171] = {.lex_state = 63},
  [2172] = {.lex_state = 63},
  [2173] = {.lex_state = 63, .external_lex_state = 2},
  [2174] = {.lex_state = 63},
  [2175] = {.lex_state = 63},
  [2176] = {.lex_state = 63, .external_lex_state = 2},
  [2177] = {.lex_state = 63, .external_lex_state = 2},
  [2178] = {.lex_state = 14},
  [2179] = {.lex_state = 63},
  [2180] = {.lex_state = 63},
  [2181] = {.lex_state = 63},
  [2182] = {.lex_state = 63},
  [2183] = {.lex_state = 63},
  [2184] = {.lex_state = 63},
  [2185] = {.lex_state = 63, .external_lex_state = 2},
  [2186] = {.lex_state = 63, .external_lex_state = 2},
  [2187] = {.lex_state = 63},
  [2188] = {.lex_state = 63},
  [2189] = {.lex_state = 63},
  [2190] = {.lex_state = 63},
  [2191] = {.lex_state = 63, .external_lex_state = 2},
  [2192] = {.lex_state = 63},
  [2193] = {.lex_state = 63, .external_lex_state = 2},
  [2194] = {.lex_state = 63},
  [2195] = {.lex_state = 63},
  [2196] = {.lex_state = 63},
  [2197] = {.lex_state = 63},
  [2198] = {.lex_state = 63},
  [2199] = {.lex_state = 63},
  [2200] = {.lex_state = 63},
  [2201] = {.lex_state = 63},
  [2202] = {.lex_state = 63},
  [2203] = {.lex_state = 14},
  [2204] = {.lex_state = 63, .external_lex_state = 2},
  [2205] = {.lex_state = 63, .external_lex_state = 2},
  [2206] = {.lex_state = 63},
  [2207] = {.lex_state = 63, .external_lex_state = 2},
  [2208] = {.lex_state = 63},
  [2209] = {.lex_state = 63},
  [2210] = {.lex_state = 63},
  [2211] = {.lex_state = 63},
  [2212] = {.lex_state = 63},
  [2213] = {.lex_state = 63},
  [2214] = {.lex_state = 63},
  [2215] = {.lex_state = 63},
  [2216] = {.lex_state = 63},
  [2217] = {.lex_state = 63},
  [2218] = {.lex_state = 63},
  [2219] = {.lex_state = 63},
  [2220] = {.lex_state = 63},
  [2221] = {.lex_state = 63},
  [2222] = {.lex_state = 63},
  [2223] = {.lex_state = 63},
  [2224] = {.lex_state = 63, .external_lex_state = 2},
  [2225] = {.lex_state = 63},
  [2226] = {.lex_state = 63},
  [2227] = {.lex_state = 63},
  [2228] = {.lex_state = 63},
  [2229] = {.lex_state = 63, .external_lex_state = 2},
  [2230] = {.lex_state = 63},
  [2231] = {.lex_state = 63},
  [2232] = {.lex_state = 63},
  [2233] = {.lex_state = 63},
  [2234] = {.lex_state = 63},
  [2235] = {.lex_state = 63},
  [2236] = {.lex_state = 63},
  [2237] = {.lex_state = 63},
  [2238] = {.lex_state = 63},
  [2239] = {.lex_state = 63},
  [2240] = {.lex_state = 63},
  [2241] = {.lex_state = 63},
  [2242] = {.lex_state = 63},
  [2243] = {.lex_state = 63},
  [2244] = {.lex_state = 63},
  [2245] = {.lex_state = 63},
  [2246] = {.lex_state = 63},
  [2247] = {.lex_state = 63},
  [2248] = {.lex_state = 63, .external_lex_state = 2},
  [2249] = {.lex_state = 63},
  [2250] = {.lex_state = 63},
  [2251] = {.lex_state = 63},
  [2252] = {.lex_state = 63},
  [2253] = {.lex_state = 63},
  [2254] = {.lex_state = 63},
  [2255] = {.lex_state = 63},
  [2256] = {.lex_state = 63},
  [2257] = {.lex_state = 63},
  [2258] = {.lex_state = 63},
  [2259] = {.lex_state = 3, .external_lex_state = 10},
  [2260] = {.lex_state = 3, .external_lex_state = 10},
  [2261] = {.lex_state = 63},
  [2262] = {.lex_state = 63},
  [2263] = {.lex_state = 63},
  [2264] = {.lex_state = 63},
  [2265] = {.lex_state = 63, .external_lex_state = 2},
  [2266] = {.lex_state = 63, .external_lex_state = 2},
  [2267] = {.lex_state = 63},
  [2268] = {.lex_state = 63},
  [2269] = {.lex_state = 63},
  [2270] = {.lex_state = 63},
  [2271] = {.lex_state = 63},
  [2272] = {.lex_state = 63},
  [2273] = {.lex_state = 63},
  [2274] = {.lex_state = 63},
  [2275] = {.lex_state = 63, .external_lex_state = 2},
  [2276] = {.lex_state = 63},
  [2277] = {.lex_state = 63},
  [2278] = {.lex_state = 63},
  [2279] = {.lex_state = 63},
  [2280] = {.lex_state = 63},
  [2281] = {.lex_state = 63},
  [2282] = {.lex_state = 63},
  [2283] = {.lex_state = 63},
  [2284] = {.lex_state = 63},
  [2285] = {.lex_state = 63},
  [2286] = {.lex_state = 3, .external_lex_state = 10},
  [2287] = {.lex_state = 63},
  [2288] = {.lex_state = 63},
  [2289] = {.lex_state = 63},
  [2290] = {.lex_state = 63},
  [2291] = {.lex_state = 63},
  [2292] = {.lex_state = 63},
  [2293] = {.lex_state = 63},
  [2294] = {.lex_state = 63},
  [2295] = {.lex_state = 3, .external_lex_state = 10},
  [2296] = {.lex_state = 63},
  [2297] = {.lex_state = 3, .external_lex_state = 10},
  [2298] = {.lex_state = 63},
  [2299] = {.lex_state = 63},
  [2300] = {.lex_state = 63},
  [2301] = {.lex_state = 63},
  [2302] = {.lex_state = 63},
  [2303] = {.lex_state = 63, .external_lex_state = 2},
  [2304] = {.lex_state = 63},
  [2305] = {.lex_state = 63},
  [2306] = {.lex_state = 63},
  [2307] = {.lex_state = 63},
  [2308] = {.lex_state = 63},
  [2309] = {.lex_state = 63},
  [2310] = {.lex_state = 63},
  [2311] = {.lex_state = 63},
  [2312] = {.lex_state = 63},
  [2313] = {.lex_state = 63},
  [2314] = {.lex_state = 63},
  [2315] = {.lex_state = 63},
  [2316] = {.lex_state = 63},
  [2317] = {.lex_state = 63},
  [2318] = {.lex_state = 63},
  [2319] = {.lex_state = 63},
  [2320] = {.lex_state = 63},
  [2321] = {.lex_state = 63},
  [2322] = {.lex_state = 63},
  [2323] = {.lex_state = 63},
  [2324] = {.lex_state = 63},
  [2325] = {.lex_state = 63},
  [2326] = {.lex_state = 63},
  [2327] = {.lex_state = 63},
  [2328] = {.lex_state = 63},
  [2329] = {.lex_state = 63},
  [2330] = {.lex_state = 63},
  [2331] = {.lex_state = 63},
  [2332] = {.lex_state = 63},
  [2333] = {.lex_state = 63},
  [2334] = {.lex_state = 63},
  [2335] = {.lex_state = 63},
  [2336] = {.lex_state = 63},
  [2337] = {.lex_state = 63},
  [2338] = {.lex_state = 63},
  [2339] = {.lex_state = 63},
  [2340] = {.lex_state = 63},
  [2341] = {.lex_state = 63},
  [2342] = {.lex_state = 63},
  [2343] = {.lex_state = 63},
  [2344] = {.lex_state = 63},
  [2345] = {.lex_state = 63},
  [2346] = {.lex_state = 63},
  [2347] = {.lex_state = 63},
  [2348] = {.lex_state = 63},
  [2349] = {.lex_state = 63},
  [2350] = {.lex_state = 63},
  [2351] = {.lex_state = 63},
  [2352] = {.lex_state = 63},
  [2353] = {.lex_state = 3, .external_lex_state = 10},
  [2354] = {.lex_state = 63},
  [2355] = {.lex_state = 63},
  [2356] = {.lex_state = 3, .external_lex_state = 10},
  [2357] = {.lex_state = 63},
  [2358] = {.lex_state = 63},
  [2359] = {.lex_state = 63},
  [2360] = {.lex_state = 63},
  [2361] = {.lex_state = 63},
  [2362] = {.lex_state = 63},
  [2363] = {.lex_state = 63},
  [2364] = {.lex_state = 63},
  [2365] = {.lex_state = 63},
  [2366] = {.lex_state = 63},
  [2367] = {.lex_state = 63},
  [2368] = {.lex_state = 63},
  [2369] = {.lex_state = 63},
  [2370] = {.lex_state = 63},
  [2371] = {.lex_state = 63},
  [2372] = {.lex_state = 63},
  [2373] = {.lex_state = 63},
  [2374] = {.lex_state = 63},
  [2375] = {.lex_state = 63},
  [2376] = {.lex_state = 63},
  [2377] = {.lex_state = 63},
  [2378] = {.lex_state = 63},
  [2379] = {.lex_state = 63},
  [2380] = {.lex_state = 63},
  [2381] = {.lex_state = 63},
  [2382] = {.lex_state = 63},
  [2383] = {.lex_state = 63},
  [2384] = {.lex_state = 63},
  [2385] = {.lex_state = 63},
  [2386] = {.lex_state = 63},
  [2387] = {.lex_state = 63},
  [2388] = {.lex_state = 63},
  [2389] = {.lex_state = 63},
  [2390] = {.lex_state = 63},
  [2391] = {.lex_state = 63},
  [2392] = {.lex_state = 63},
  [2393] = {.lex_state = 63},
  [2394] = {.lex_state = 3, .external_lex_state = 10},
  [2395] = {.lex_state = 63},
  [2396] = {.lex_state = 63},
  [2397] = {.lex_state = 63},
  [2398] = {.lex_state = 63},
  [2399] = {.lex_state = 63},
  [2400] = {.lex_state = 63},
  [2401] = {.lex_state = 63},
  [2402] = {.lex_state = 63},
  [2403] = {.lex_state = 63},
  [2404] = {.lex_state = 63},
  [2405] = {.lex_state = 63},
  [2406] = {.lex_state = 63, .external_lex_state = 2},
  [2407] = {.lex_state = 3, .external_lex_state = 10},
  [2408] = {.lex_state = 63},
  [2409] = {.lex_state = 63},
  [2410] = {.lex_state = 63, .external_lex_state = 13},
  [2411] = {.lex_state = 3, .external_lex_state = 10},
  [2412] = {.lex_state = 63},
  [2413] = {.lex_state = 63},
  [2414] = {.lex_state = 63},
  [2415] = {.lex_state = 63},
  [2416] = {.lex_state = 63},
  [2417] = {.lex_state = 63},
  [2418] = {.lex_state = 63},
  [2419] = {.lex_state = 63},
  [2420] = {.lex_state = 63, .external_lex_state = 10},
  [2421] = {.lex_state = 63},
  [2422] = {.lex_state = 63},
  [2423] = {.lex_state = 63},
  [2424] = {.lex_state = 63},
  [2425] = {.lex_state = 63},
  [2426] = {.lex_state = 63},
  [2427] = {.lex_state = 63},
  [2428] = {.lex_state = 63},
  [2429] = {.lex_state = 63},
  [2430] = {.lex_state = 63},
  [2431] = {.lex_state = 63},
  [2432] = {.lex_state = 63},
  [2433] = {.lex_state = 63, .external_lex_state = 10},
  [2434] = {.lex_state = 63},
  [2435] = {.lex_state = 63},
  [2436] = {.lex_state = 63},
  [2437] = {.lex_state = 63, .external_lex_state = 10},
  [2438] = {.lex_state = 63},
  [2439] = {.lex_state = 63},
  [2440] = {.lex_state = 10},
  [2441] = {.lex_state = 63},
  [2442] = {.lex_state = 63},
  [2443] = {.lex_state = 63},
  [2444] = {.lex_state = 63},
  [2445] = {.lex_state = 63},
  [2446] = {.lex_state = 63},
  [2447] = {.lex_state = 63},
  [2448] = {.lex_state = 63, .external_lex_state = 12},
  [2449] = {.lex_state = 63},
  [2450] = {.lex_state = 63},
  [2451] = {.lex_state = 63},
  [2452] = {.lex_state = 63},
  [2453] = {.lex_state = 63, .external_lex_state = 12},
  [2454] = {.lex_state = 63},
  [2455] = {.lex_state = 63},
  [2456] = {.lex_state = 63},
  [2457] = {.lex_state = 63},
  [2458] = {.lex_state = 63, .external_lex_state = 10},
  [2459] = {.lex_state = 63},
  [2460] = {.lex_state = 63},
  [2461] = {.lex_state = 63},
  [2462] = {.lex_state = 63},
  [2463] = {.lex_state = 63},
  [2464] = {.lex_state = 63},
  [2465] = {.lex_state = 63},
  [2466] = {.lex_state = 63},
  [2467] = {.lex_state = 63},
  [2468] = {.lex_state = 63},
  [2469] = {.lex_state = 63},
  [2470] = {.lex_state = 63},
  [2471] = {.lex_state = 63, .external_lex_state = 10},
  [2472] = {.lex_state = 63},
  [2473] = {.lex_state = 63},
  [2474] = {.lex_state = 63},
  [2475] = {.lex_state = 63},
  [2476] = {.lex_state = 63},
  [2477] = {.lex_state = 63},
  [2478] = {.lex_state = 63},
  [2479] = {.lex_state = 63},
  [2480] = {.lex_state = 63},
  [2481] = {.lex_state = 63},
  [2482] = {.lex_state = 63},
  [2483] = {.lex_state = 63},
  [2484] = {.lex_state = 63},
  [2485] = {.lex_state = 63},
  [2486] = {.lex_state = 63},
  [2487] = {.lex_state = 63},
  [2488] = {.lex_state = 63},
  [2489] = {.lex_state = 63},
  [2490] = {.lex_state = 63},
  [2491] = {.lex_state = 63},
  [2492] = {.lex_state = 63},
  [2493] = {.lex_state = 63},
  [2494] = {.lex_state = 63},
  [2495] = {.lex_state = 63},
  [2496] = {.lex_state = 63},
  [2497] = {.lex_state = 63},
  [2498] = {.lex_state = 63},
  [2499] = {.lex_state = 63},
  [2500] = {.lex_state = 63},
  [2501] = {.lex_state = 63},
  [2502] = {.lex_state = 63},
  [2503] = {.lex_state = 63},
  [2504] = {.lex_state = 63},
  [2505] = {.lex_state = 63, .external_lex_state = 12},
  [2506] = {.lex_state = 63},
  [2507] = {.lex_state = 63},
  [2508] = {.lex_state = 63},
  [2509] = {.lex_state = 63},
  [2510] = {.lex_state = 63},
  [2511] = {.lex_state = 63},
  [2512] = {.lex_state = 63},
  [2513] = {.lex_state = 63},
  [2514] = {.lex_state = 63},
  [2515] = {.lex_state = 63},
  [2516] = {.lex_state = 63},
  [2517] = {.lex_state = 63},
  [2518] = {.lex_state = 63},
  [2519] = {.lex_state = 63},
  [2520] = {.lex_state = 63},
  [2521] = {.lex_state = 63},
  [2522] = {.lex_state = 63},
  [2523] = {.lex_state = 63},
  [2524] = {.lex_state = 63},
  [2525] = {.lex_state = 63},
  [2526] = {.lex_state = 63, .external_lex_state = 10},
  [2527] = {.lex_state = 63},
  [2528] = {.lex_state = 63},
  [2529] = {.lex_state = 63},
  [2530] = {.lex_state = 63},
  [2531] = {.lex_state = 63},
  [2532] = {.lex_state = 63},
  [2533] = {.lex_state = 63},
  [2534] = {.lex_state = 63},
  [2535] = {.lex_state = 63},
  [2536] = {.lex_state = 63},
  [2537] = {.lex_state = 63},
  [2538] = {.lex_state = 63},
  [2539] = {.lex_state = 63},
  [2540] = {.lex_state = 63},
  [2541] = {.lex_state = 63},
  [2542] = {.lex_state = 63},
  [2543] = {.lex_state = 63},
  [2544] = {.lex_state = 63},
  [2545] = {.lex_state = 63, .external_lex_state = 10},
  [2546] = {.lex_state = 63},
  [2547] = {.lex_state = 63},
  [2548] = {.lex_state = 63},
  [2549] = {.lex_state = 63},
  [2550] = {.lex_state = 63},
  [2551] = {.lex_state = 63},
  [2552] = {.lex_state = 63, .external_lex_state = 10},
  [2553] = {.lex_state = 63},
  [2554] = {.lex_state = 63},
  [2555] = {.lex_state = 63, .external_lex_state = 10},
  [2556] = {.lex_state = 63},
  [2557] = {.lex_state = 63},
  [2558] = {.lex_state = 63},
  [2559] = {.lex_state = 63},
  [2560] = {.lex_state = 63},
  [2561] = {.lex_state = 63},
  [2562] = {.lex_state = 63},
  [2563] = {.lex_state = 63},
  [2564] = {.lex_state = 63},
  [2565] = {.lex_state = 63},
  [2566] = {.lex_state = 63},
  [2567] = {.lex_state = 63},
  [2568] = {.lex_state = 63},
  [2569] = {.lex_state = 63},
  [2570] = {.lex_state = 63},
  [2571] = {.lex_state = 63},
  [2572] = {.lex_state = 63},
  [2573] = {.lex_state = 63},
  [2574] = {.lex_state = 63},
  [2575] = {.lex_state = 63, .external_lex_state = 12},
  [2576] = {.lex_state = 63},
  [2577] = {.lex_state = 63},
  [2578] = {.lex_state = 63},
  [2579] = {.lex_state = 63},
  [2580] = {.lex_state = 63},
  [2581] = {.lex_state = 63},
  [2582] = {.lex_state = 63, .external_lex_state = 10},
  [2583] = {.lex_state = 63},
  [2584] = {.lex_state = 63},
  [2585] = {.lex_state = 10},
  [2586] = {.lex_state = 63},
  [2587] = {.lex_state = 63},
  [2588] = {.lex_state = 63},
  [2589] = {.lex_state = 63},
  [2590] = {.lex_state = 63},
  [2591] = {.lex_state = 63},
  [2592] = {.lex_state = 63},
  [2593] = {.lex_state = 63},
  [2594] = {.lex_state = 63},
  [2595] = {.lex_state = 63},
  [2596] = {.lex_state = 63},
  [2597] = {.lex_state = 63},
  [2598] = {.lex_state = 63},
  [2599] = {.lex_state = 63},
  [2600] = {.lex_state = 63},
  [2601] = {.lex_state = 63},
  [2602] = {.lex_state = 63},
  [2603] = {.lex_state = 63},
  [2604] = {.lex_state = 63},
  [2605] = {.lex_state = 63},
  [2606] = {.lex_state = 63},
  [2607] = {.lex_state = 63},
  [2608] = {.lex_state = 63},
  [2609] = {.lex_state = 63},
  [2610] = {.lex_state = 63},
  [2611] = {.lex_state = 63},
  [2612] = {.lex_state = 63},
  [2613] = {.lex_state = 63},
  [2614] = {.lex_state = 63},
  [2615] = {.lex_state = 63},
  [2616] = {.lex_state = 63},
  [2617] = {.lex_state = 63},
  [2618] = {.lex_state = 63},
  [2619] = {.lex_state = 63},
  [2620] = {.lex_state = 63},
  [2621] = {.lex_state = 63},
  [2622] = {.lex_state = 63},
  [2623] = {.lex_state = 63},
  [2624] = {.lex_state = 63},
  [2625] = {.lex_state = 63},
  [2626] = {.lex_state = 63},
  [2627] = {.lex_state = 63},
  [2628] = {.lex_state = 63},
  [2629] = {.lex_state = 63},
  [2630] = {.lex_state = 63},
  [2631] = {.lex_state = 63},
  [2632] = {.lex_state = 63},
  [2633] = {.lex_state = 63},
  [2634] = {.lex_state = 63},
  [2635] = {.lex_state = 63},
  [2636] = {.lex_state = 63},
  [2637] = {.lex_state = 63},
  [2638] = {.lex_state = 63},
  [2639] = {.lex_state = 63},
  [2640] = {.lex_state = 63},
  [2641] = {.lex_state = 63},
  [2642] = {.lex_state = 63},
  [2643] = {.lex_state = 63},
  [2644] = {.lex_state = 63},
  [2645] = {.lex_state = 63},
  [2646] = {.lex_state = 63},
  [2647] = {.lex_state = 63},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2521),
    [sym_statement] = STATE(52),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(52),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(9),
    [sym_php_tag] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_name] = ACTIONS(139),
    [anon_sym_QMARK_GT] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(157),
    [aux_sym__namespace_use_type_token2] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [anon_sym_RBRACE] = ACTIONS(137),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_enum_case_token1] = ACTIONS(178),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(216),
    [aux_sym_declare_statement_token2] = ACTIONS(178),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(240),
    [aux_sym_while_statement_token2] = ACTIONS(178),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(246),
    [aux_sym_for_statement_token2] = ACTIONS(178),
    [aux_sym_foreach_statement_token1] = ACTIONS(249),
    [aux_sym_foreach_statement_token2] = ACTIONS(178),
    [aux_sym_if_statement_token1] = ACTIONS(252),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_match_default_expression_token1] = ACTIONS(178),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [aux_sym_switch_block_token1] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(330),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(332),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(332),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(332),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_statement] = STATE(5),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(334),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(336),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(336),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(336),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(338),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(340),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(340),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_statement] = STATE(3),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(342),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(344),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(344),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_colon_block] = STATE(2587),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(495),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(346),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(348),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(346),
  },
  [8] = {
    [sym_statement] = STATE(8),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(139),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(157),
    [aux_sym__namespace_use_type_token2] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(350),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(353),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(359),
    [aux_sym_if_statement_token1] = ACTIONS(362),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_else_if_clause_token1] = ACTIONS(178),
    [aux_sym_else_clause_token1] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_statement] = STATE(11),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token2] = ACTIONS(375),
    [aux_sym_else_if_clause_token1] = ACTIONS(375),
    [aux_sym_else_clause_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_statement] = STATE(8),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token2] = ACTIONS(377),
    [aux_sym_else_if_clause_token1] = ACTIONS(377),
    [aux_sym_else_clause_token1] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_statement] = STATE(2106),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_colon_block] = STATE(2572),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(1874),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(348),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(381),
  },
  [13] = {
    [sym_statement] = STATE(2106),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_colon_block] = STATE(2572),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(1874),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(348),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(381),
  },
  [14] = {
    [sym_statement] = STATE(10),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(375),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_colon_block] = STATE(2587),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(495),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(346),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(348),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(346),
  },
  [16] = {
    [sym_statement] = STATE(490),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(491),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(445),
  },
  [17] = {
    [sym_statement] = STATE(2079),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2076),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(449),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(451),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [18] = {
    [sym_statement] = STATE(547),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(548),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(453),
  },
  [19] = {
    [sym_statement] = STATE(560),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(561),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(457),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [20] = {
    [sym_statement] = STATE(563),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(570),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(461),
  },
  [21] = {
    [sym_statement] = STATE(476),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(497),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [22] = {
    [sym_statement] = STATE(2159),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2159),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(469),
  },
  [23] = {
    [sym_statement] = STATE(2175),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2174),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [24] = {
    [sym_statement] = STATE(2125),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2124),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [25] = {
    [sym_statement] = STATE(2120),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2116),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [26] = {
    [sym_statement] = STATE(2114),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2112),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(485),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [27] = {
    [sym_statement] = STATE(36),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(36),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [ts_builtin_sym_end] = ACTIONS(489),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(491),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_statement] = STATE(2079),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2076),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(449),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(451),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [29] = {
    [sym_statement] = STATE(2067),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2061),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(493),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(495),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [30] = {
    [sym_statement] = STATE(2114),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2112),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(485),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [31] = {
    [sym_statement] = STATE(2060),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2058),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [32] = {
    [sym_statement] = STATE(2032),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2030),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(501),
  },
  [33] = {
    [sym_statement] = STATE(486),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(487),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [34] = {
    [sym_statement] = STATE(480),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(481),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [35] = {
    [sym_statement] = STATE(490),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(491),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(445),
  },
  [36] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [ts_builtin_sym_end] = ACTIONS(513),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(515),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_statement] = STATE(2067),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2061),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(493),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(495),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [38] = {
    [sym_statement] = STATE(486),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(487),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [39] = {
    [sym_statement] = STATE(504),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(538),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(517),
  },
  [40] = {
    [sym_statement] = STATE(554),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(554),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(521),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(523),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [41] = {
    [sym_statement] = STATE(504),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(538),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(517),
  },
  [42] = {
    [sym_statement] = STATE(547),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(548),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(453),
  },
  [43] = {
    [sym_statement] = STATE(2175),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2174),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [44] = {
    [sym_statement] = STATE(560),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(561),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(457),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [45] = {
    [sym_statement] = STATE(563),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(570),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(461),
  },
  [46] = {
    [sym_statement] = STATE(2060),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2058),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [47] = {
    [sym_statement] = STATE(554),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(554),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(521),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(523),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [48] = {
    [sym_statement] = STATE(2032),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2030),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(501),
  },
  [49] = {
    [sym_statement] = STATE(2125),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2124),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [50] = {
    [sym_statement] = STATE(480),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(481),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [51] = {
    [sym_statement] = STATE(2120),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2116),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [52] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [ts_builtin_sym_end] = ACTIONS(489),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(491),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_statement] = STATE(476),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(497),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [54] = {
    [sym_statement] = STATE(2159),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(2159),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(469),
  },
  [55] = {
    [sym_statement] = STATE(1954),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_colon_block] = STATE(2532),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(525),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(348),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(527),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_statement] = STATE(521),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_colon_block] = STATE(2469),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(348),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(529),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(531),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_statement] = STATE(61),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(535),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_statement] = STATE(73),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(73),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(537),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_statement] = STATE(74),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(74),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_statement] = STATE(81),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(81),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(541),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_statement] = STATE(59),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(543),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(545),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(547),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_statement] = STATE(67),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(67),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(549),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_statement] = STATE(66),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(551),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(553),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_statement] = STATE(70),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(555),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(557),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(561),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_statement] = STATE(444),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_colon_block] = STATE(1564),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(563),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_statement] = STATE(521),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_colon_block] = STATE(2469),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(348),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_statement] = STATE(1596),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_colon_block] = STATE(1582),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(525),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(563),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(565),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_statement] = STATE(86),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(86),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(567),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_statement] = STATE(72),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(569),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(571),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_statement] = STATE(87),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(87),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(573),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_statement] = STATE(56),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(575),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_statement] = STATE(78),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(78),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(577),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(579),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(581),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(583),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_statement] = STATE(58),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(58),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(585),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_statement] = STATE(90),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(90),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(587),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(589),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_statement] = STATE(445),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_colon_block] = STATE(1564),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(563),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_statement] = STATE(1954),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_colon_block] = STATE(2532),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(525),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(348),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_statement] = STATE(1624),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_colon_block] = STATE(1582),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(525),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(563),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(591),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(593),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_statement] = STATE(85),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(85),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(595),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_statement] = STATE(94),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(94),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(597),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(599),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_statement] = STATE(95),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(95),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(601),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_statement] = STATE(101),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(101),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(603),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(605),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(607),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(609),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_statement] = STATE(98),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(98),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(611),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_statement] = STATE(108),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(108),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(613),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_statement] = STATE(102),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(102),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(615),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_statement] = STATE(103),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(103),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(617),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(619),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_statement] = STATE(2169),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(525),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_statement] = STATE(525),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_statement] = STATE(1875),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(525),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_statement] = STATE(555),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_statement] = STATE(525),
    [sym_empty_statement] = STATE(556),
    [sym_function_static_declaration] = STATE(556),
    [sym_global_declaration] = STATE(556),
    [sym_namespace_definition] = STATE(556),
    [sym_namespace_use_declaration] = STATE(556),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(556),
    [sym_interface_declaration] = STATE(556),
    [sym_enum_declaration] = STATE(556),
    [sym_class_declaration] = STATE(556),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(556),
    [sym__const_declaration] = STATE(567),
    [sym__modifier] = STATE(1332),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(556),
    [sym__function_definition_header] = STATE(2317),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(556),
    [sym_exit_statement] = STATE(556),
    [sym_unset_statement] = STATE(556),
    [sym_declare_statement] = STATE(556),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(556),
    [sym_goto_statement] = STATE(556),
    [sym_continue_statement] = STATE(556),
    [sym_break_statement] = STATE(556),
    [sym_return_statement] = STATE(556),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(556),
    [sym_do_statement] = STATE(556),
    [sym_for_statement] = STATE(556),
    [sym_foreach_statement] = STATE(556),
    [sym_if_statement] = STATE(556),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(556),
    [sym_compound_statement] = STATE(556),
    [sym_named_label_statement] = STATE(556),
    [sym_expression_statement] = STATE(556),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1332),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(365),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(369),
    [aux_sym_foreach_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_statement] = STATE(2508),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(525),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_statement] = STATE(1875),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(525),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_statement] = STATE(2431),
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(1333),
    [sym_abstract_modifier] = STATE(1333),
    [sym_readonly_modifier] = STATE(1333),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1333),
    [sym_static_modifier] = STATE(1423),
    [sym_visibility_modifier] = STATE(1333),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2332),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_echo_statement] = STATE(2127),
    [sym_exit_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_literal] = STATE(1060),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1060),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1061),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(1333),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(525),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [aux_sym_class_declaration_token1] = ACTIONS(401),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(403),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1032),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(990),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(623),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_yield_expression_token2] = ACTIONS(679),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1121),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym_variadic_unpacking] = STATE(1117),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_by_ref] = STATE(1117),
    [sym_yield_expression] = STATE(1061),
    [sym_array_element_initializer] = STATE(1122),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(691),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_yield_expression_token2] = ACTIONS(695),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(623),
  },
  [119] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1111),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(990),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(703),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(623),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_yield_expression_token2] = ACTIONS(717),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(990),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(623),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_yield_expression_token2] = ACTIONS(747),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_cast_type] = STATE(2524),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_cast_type] = STATE(2524),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_cast_type] = STATE(2472),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_cast_type] = STATE(2439),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_cast_type] = STATE(2478),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_cast_type] = STATE(2549),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_cast_type] = STATE(2481),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_cast_type] = STATE(2457),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_cast_type] = STATE(2557),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_cast_type] = STATE(2603),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_cast_type] = STATE(2563),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2065),
    [sym__array_destructing_element] = STATE(2066),
    [sym_function_call_expression] = STATE(662),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(677),
    [sym__dereferencable_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2380),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1991),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym__array_destructing_repeat1] = STATE(2071),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(763),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(765),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2065),
    [sym__array_destructing_element] = STATE(2066),
    [sym_function_call_expression] = STATE(662),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(677),
    [sym__dereferencable_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2380),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1991),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym__array_destructing_repeat1] = STATE(2071),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(763),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(767),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2065),
    [sym__array_destructing_element] = STATE(2066),
    [sym_function_call_expression] = STATE(662),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(677),
    [sym__dereferencable_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2380),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1991),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym__array_destructing_repeat1] = STATE(2071),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(763),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(769),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_variadic_placeholder] = STATE(2586),
    [sym_argument] = STATE(2179),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(781),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(785),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_variadic_placeholder] = STATE(2620),
    [sym_argument] = STATE(2202),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(799),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(785),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2065),
    [sym__array_destructing_element] = STATE(2066),
    [sym_function_call_expression] = STATE(662),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(677),
    [sym__dereferencable_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2380),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1991),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym__array_destructing_repeat1] = STATE(2071),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(763),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(801),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_variadic_placeholder] = STATE(2633),
    [sym_argument] = STATE(2172),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(803),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(785),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_variadic_placeholder] = STATE(2429),
    [sym_argument] = STATE(2051),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(805),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(785),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_variadic_placeholder] = STATE(2556),
    [sym_argument] = STATE(2150),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(807),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(785),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_variadic_placeholder] = STATE(2618),
    [sym_argument] = STATE(2199),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(809),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(785),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2065),
    [sym__array_destructing_element] = STATE(2066),
    [sym_function_call_expression] = STATE(662),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(677),
    [sym__dereferencable_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(677),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2380),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2068),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym__array_destructing_repeat1] = STATE(2071),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(811),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(813),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_argument] = STATE(2413),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(815),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_argument] = STATE(2413),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(817),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_argument] = STATE(2413),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(819),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_argument] = STATE(2413),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(821),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_argument] = STATE(2413),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(823),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_argument] = STATE(2413),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(825),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_argument] = STATE(2413),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(827),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_argument] = STATE(2413),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(829),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_argument] = STATE(2413),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(831),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_argument] = STATE(2413),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(833),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_argument] = STATE(2413),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(835),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_argument] = STATE(2413),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(837),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2005),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(839),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(841),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1991),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(843),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(845),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2021),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(847),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(849),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2068),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(853),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_argument] = STATE(2413),
    [sym__argument_name] = STATE(180),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2243),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(775),
    [aux_sym_namespace_definition_token1] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(787),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(789),
    [aux_sym_match_expression_token1] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(793),
    [anon_sym_parent] = ACTIONS(793),
    [aux_sym__argument_name_token1] = ACTIONS(795),
    [aux_sym__argument_name_token2] = ACTIONS(797),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1958),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(855),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1958),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(857),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1958),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(859),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2479),
    [sym_match_conditional_expression] = STATE(2109),
    [sym_match_default_expression] = STATE(2109),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(861),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(863),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1958),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(867),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1958),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(869),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2479),
    [sym_match_conditional_expression] = STATE(2078),
    [sym_match_default_expression] = STATE(2078),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(871),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(873),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1958),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(875),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1958),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(877),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1958),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(879),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1958),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(675),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(675),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(675),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(675),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2065),
    [sym__array_destructing_element] = STATE(2279),
    [sym_function_call_expression] = STATE(665),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym__variable_subscript_expression] = STATE(678),
    [sym__dereferencable_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(665),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2279),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(881),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(885),
    [anon_sym_RBRACK] = ACTIONS(881),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(675),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(675),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(675),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(675),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2065),
    [sym__array_destructing_element] = STATE(2279),
    [sym_function_call_expression] = STATE(665),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym__variable_subscript_expression] = STATE(678),
    [sym__dereferencable_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(665),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2279),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(881),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(885),
    [anon_sym_RBRACK] = ACTIONS(887),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2479),
    [sym_match_conditional_expression] = STATE(2306),
    [sym_match_default_expression] = STATE(2306),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(890),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(994),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(994),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1958),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2479),
    [sym_match_conditional_expression] = STATE(2306),
    [sym_match_default_expression] = STATE(2306),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(1837),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(651),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(651),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(651),
    [sym_nullsafe_member_call_expression] = STATE(651),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(651),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(651),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(1918),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym__list_destructing_repeat1] = STATE(1917),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(894),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_RPAREN] = ACTIONS(896),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2479),
    [sym_match_conditional_expression] = STATE(2306),
    [sym_match_default_expression] = STATE(2306),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2479),
    [sym_match_conditional_expression] = STATE(2306),
    [sym_match_default_expression] = STATE(2306),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(900),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(675),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(675),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(675),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(675),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2065),
    [sym__array_destructing_element] = STATE(2279),
    [sym_function_call_expression] = STATE(665),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym__variable_subscript_expression] = STATE(678),
    [sym__dereferencable_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(665),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2279),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(881),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(885),
    [anon_sym_RBRACK] = ACTIONS(902),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2250),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1551),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(773),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_foreach_pair] = STATE(2466),
    [sym__foreach_value] = STATE(2466),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2368),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2466),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2479),
    [sym_match_conditional_expression] = STATE(2306),
    [sym_match_default_expression] = STATE(2306),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_foreach_pair] = STATE(2591),
    [sym__foreach_value] = STATE(2591),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2368),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2591),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(674),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(674),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(674),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(674),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2000),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(668),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(668),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(668),
    [sym_nullsafe_member_call_expression] = STATE(668),
    [sym__variable_subscript_expression] = STATE(676),
    [sym__dereferencable_subscript_expression] = STATE(668),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(676),
    [sym__callable_variable] = STATE(668),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2369),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(905),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_RPAREN] = ACTIONS(905),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_foreach_pair] = STATE(2516),
    [sym__foreach_value] = STATE(2516),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2368),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2516),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_foreach_pair] = STATE(2494),
    [sym__foreach_value] = STATE(2494),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2368),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2494),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(493),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(907),
  },
  [188] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2642),
    [sym_sequence_expression] = STATE(2642),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(909),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2487),
    [sym_sequence_expression] = STATE(2487),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(911),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2598),
    [sym_sequence_expression] = STATE(2598),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(913),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2502),
    [sym_sequence_expression] = STATE(2502),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(915),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(1974),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(917),
  },
  [193] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2484),
    [sym_sequence_expression] = STATE(2484),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(919),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(1971),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(921),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [195] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2569),
    [sym_sequence_expression] = STATE(2569),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(923),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2470),
    [sym_sequence_expression] = STATE(2470),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(925),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2468),
    [sym_sequence_expression] = STATE(2468),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(927),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2467),
    [sym_sequence_expression] = STATE(2467),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(929),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2463),
    [sym_sequence_expression] = STATE(2463),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(931),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2550),
    [sym_sequence_expression] = STATE(2550),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(933),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(502),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(935),
  },
  [202] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1193),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(511),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(937),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(937),
  },
  [203] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2546),
    [sym_sequence_expression] = STATE(2546),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(939),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2537),
    [sym_sequence_expression] = STATE(2537),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(941),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2535),
    [sym_sequence_expression] = STATE(2535),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(943),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [sym__semicolon] = STATE(1972),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(945),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(945),
  },
  [207] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2580),
    [sym_sequence_expression] = STATE(2580),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2588),
    [sym_sequence_expression] = STATE(2588),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(949),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2464),
    [sym_sequence_expression] = STATE(2464),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(951),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2614),
    [sym_sequence_expression] = STATE(2614),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(953),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2592),
    [sym_sequence_expression] = STATE(2592),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(955),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2514),
    [sym_sequence_expression] = STATE(2514),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(957),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2593),
    [sym_sequence_expression] = STATE(2593),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(959),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2635),
    [sym_sequence_expression] = STATE(2635),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(961),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2632),
    [sym_sequence_expression] = STATE(2632),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2544),
    [sym_sequence_expression] = STATE(2544),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(965),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__foreach_value] = STATE(2599),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2368),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2599),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2454),
    [sym_sequence_expression] = STATE(2454),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(967),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2610),
    [sym_sequence_expression] = STATE(2610),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(969),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2595),
    [sym_sequence_expression] = STATE(2595),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(971),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__expressions] = STATE(2551),
    [sym_sequence_expression] = STATE(2551),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(973),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2252),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(687),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(687),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(687),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(687),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(1959),
    [sym_function_call_expression] = STATE(672),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym__variable_subscript_expression] = STATE(682),
    [sym__dereferencable_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(682),
    [sym__callable_variable] = STATE(672),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2338),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(996),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym__expressions] = STATE(1979),
    [sym_sequence_expression] = STATE(1979),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1017),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(996),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(996),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_variadic_unpacking] = STATE(2415),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1152),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(996),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(761),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym__expressions] = STATE(2019),
    [sym_sequence_expression] = STATE(2019),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1152),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(996),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1107),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_by_ref] = STATE(1119),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [anon_sym_AMP] = ACTIONS(977),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(979),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1156),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(983),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(989),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_sequence_expression] = STATE(2373),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(993),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1139),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(995),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_sequence_expression] = STATE(2224),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1135),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_RPAREN] = ACTIONS(999),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(1001),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(1003),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1028),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(1005),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_sequence_expression] = STATE(2373),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(1007),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(1011),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(1013),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(1017),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_EQ_GT] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_EQ_GT] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1049),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [anon_sym_AMP] = ACTIONS(1023),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1033),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1154),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1124),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1127),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1126),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1045),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1047),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1134),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1063),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1110),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1050),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1038),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1108),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1105),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1098),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1094),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1093),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1077),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1071),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1042),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1037),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1013),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1027),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1026),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1144),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1025),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1024),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1023),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1022),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1019),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1018),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1016),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1014),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1044),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(981),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1012),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1011),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(995),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1021),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1010),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1029),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(981),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1109),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1052),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1141),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1095),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1092),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1091),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1168),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1030),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1031),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1087),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1140),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1085),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1146),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1150),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1015),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1041),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1036),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1043),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1159),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1020),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1081),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1034),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(995),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1151),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1079),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1153),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1158),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1136),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1074),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1163),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(995),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(981),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1040),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1149),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1069),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1157),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1174),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1156),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1148),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1135),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1147),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1143),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1142),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1138),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1102),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1129),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1128),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1137),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1172),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1155),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1120),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1104),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1100),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(629),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(629),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(629),
    [sym_nullsafe_member_call_expression] = STATE(629),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(629),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1166),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(663),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(663),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_match_expression] = STATE(1061),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(1064),
    [sym_unary_op_expression] = STATE(1064),
    [sym_error_suppression_expression] = STATE(1061),
    [sym_clone_expression] = STATE(1064),
    [sym_primary_expression] = STATE(1064),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1064),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1061),
    [sym_reference_assignment_expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_augmented_assignment_expression] = STATE(1061),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(623),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(623),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(623),
    [sym_nullsafe_member_call_expression] = STATE(623),
    [sym__variable_subscript_expression] = STATE(658),
    [sym__dereferencable_subscript_expression] = STATE(623),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(658),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(636),
    [sym_yield_expression] = STATE(1061),
    [sym_binary_expression] = STATE(1061),
    [sym_include_expression] = STATE(1061),
    [sym_include_once_expression] = STATE(1061),
    [sym_require_expression] = STATE(1061),
    [sym_require_once_expression] = STATE(1061),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(998),
    [sym_unary_op_expression] = STATE(998),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(998),
    [sym_primary_expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(998),
    [sym_cast_variable] = STATE(624),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(624),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_list_literal] = STATE(2491),
    [sym__list_destructing] = STATE(2325),
    [sym__array_destructing] = STATE(2325),
    [sym_function_call_expression] = STATE(615),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(615),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__unary_expression] = STATE(974),
    [sym_unary_op_expression] = STATE(974),
    [sym_error_suppression_expression] = STATE(974),
    [sym_clone_expression] = STATE(974),
    [sym_primary_expression] = STATE(974),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(974),
    [sym_cast_variable] = STATE(612),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(612),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(612),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(612),
    [sym_function_call_expression] = STATE(601),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym__variable_subscript_expression] = STATE(611),
    [sym__dereferencable_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(611),
    [sym__callable_variable] = STATE(601),
    [sym_variable_name] = STATE(594),
    [sym_include_expression] = STATE(974),
    [sym_include_once_expression] = STATE(974),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__unary_expression] = STATE(974),
    [sym_unary_op_expression] = STATE(974),
    [sym_error_suppression_expression] = STATE(974),
    [sym_clone_expression] = STATE(974),
    [sym_primary_expression] = STATE(974),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(974),
    [sym_cast_variable] = STATE(612),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(612),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(612),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(612),
    [sym_function_call_expression] = STATE(601),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym__variable_subscript_expression] = STATE(611),
    [sym__dereferencable_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(611),
    [sym__callable_variable] = STATE(601),
    [sym_variable_name] = STATE(594),
    [sym_include_expression] = STATE(974),
    [sym_include_once_expression] = STATE(974),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1578),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym__unary_expression] = STATE(1062),
    [sym_unary_op_expression] = STATE(1062),
    [sym_error_suppression_expression] = STATE(1062),
    [sym_clone_expression] = STATE(1062),
    [sym_primary_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1062),
    [sym_cast_variable] = STATE(652),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(652),
    [sym__variable_nullsafe_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(652),
    [sym__variable_scoped_property_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(652),
    [sym_function_call_expression] = STATE(625),
    [sym__callable_expression] = STATE(2326),
    [sym_scoped_call_expression] = STATE(625),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2504),
    [sym_member_call_expression] = STATE(625),
    [sym_nullsafe_member_call_expression] = STATE(625),
    [sym__variable_subscript_expression] = STATE(653),
    [sym__dereferencable_subscript_expression] = STATE(625),
    [sym__dereferencable_expression] = STATE(1855),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(636),
    [sym__simple_variable] = STATE(636),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(625),
    [sym_variable_name] = STATE(636),
    [sym_include_expression] = STATE(1062),
    [sym_include_once_expression] = STATE(1062),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__unary_expression] = STATE(974),
    [sym_unary_op_expression] = STATE(974),
    [sym_error_suppression_expression] = STATE(974),
    [sym_clone_expression] = STATE(974),
    [sym_primary_expression] = STATE(974),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(974),
    [sym_cast_variable] = STATE(612),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(612),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(612),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(612),
    [sym_function_call_expression] = STATE(601),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym__variable_subscript_expression] = STATE(611),
    [sym__dereferencable_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(611),
    [sym__callable_variable] = STATE(601),
    [sym_variable_name] = STATE(594),
    [sym_include_expression] = STATE(974),
    [sym_include_once_expression] = STATE(974),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1568),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym__unary_expression] = STATE(974),
    [sym_unary_op_expression] = STATE(974),
    [sym_error_suppression_expression] = STATE(974),
    [sym_clone_expression] = STATE(974),
    [sym_primary_expression] = STATE(974),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_expression] = STATE(974),
    [sym_cast_variable] = STATE(670),
    [sym__variable_member_access_expression] = STATE(589),
    [sym_member_access_expression] = STATE(670),
    [sym__variable_nullsafe_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(670),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(670),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2488),
    [sym_relative_scope] = STATE(2488),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1862),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(594),
    [sym__simple_variable] = STATE(594),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(645),
    [sym_variable_name] = STATE(594),
    [sym_include_expression] = STATE(974),
    [sym_include_once_expression] = STATE(974),
    [sym__reserved_identifier] = STATE(1568),
    [sym__identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_catch_clause] = STATE(442),
    [sym_finally_clause] = STATE(442),
    [aux_sym_try_statement_repeat1] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_name] = ACTIONS(1031),
    [anon_sym_QMARK_GT] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1031),
    [aux_sym_global_declaration_token1] = ACTIONS(1031),
    [aux_sym_namespace_definition_token1] = ACTIONS(1031),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1031),
    [anon_sym_BSLASH] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [aux_sym_trait_declaration_token1] = ACTIONS(1031),
    [aux_sym_interface_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_case_token1] = ACTIONS(1031),
    [aux_sym_class_declaration_token1] = ACTIONS(1031),
    [aux_sym_final_modifier_token1] = ACTIONS(1031),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1031),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1031),
    [sym_var_modifier] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1031),
    [aux_sym_cast_type_token1] = ACTIONS(1031),
    [aux_sym_echo_statement_token1] = ACTIONS(1031),
    [aux_sym_exit_statement_token1] = ACTIONS(1031),
    [anon_sym_unset] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_declare_statement_token2] = ACTIONS(1031),
    [sym_float] = ACTIONS(1031),
    [aux_sym_try_statement_token1] = ACTIONS(1031),
    [aux_sym_catch_clause_token1] = ACTIONS(1033),
    [aux_sym_finally_clause_token1] = ACTIONS(1035),
    [aux_sym_goto_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [sym_integer] = ACTIONS(1031),
    [aux_sym_return_statement_token1] = ACTIONS(1031),
    [aux_sym_throw_expression_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token2] = ACTIONS(1031),
    [aux_sym_do_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token2] = ACTIONS(1031),
    [aux_sym_foreach_statement_token1] = ACTIONS(1031),
    [aux_sym_foreach_statement_token2] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token2] = ACTIONS(1031),
    [aux_sym_else_if_clause_token1] = ACTIONS(1031),
    [aux_sym_else_clause_token1] = ACTIONS(1031),
    [aux_sym_match_expression_token1] = ACTIONS(1031),
    [aux_sym_match_default_expression_token1] = ACTIONS(1031),
    [aux_sym_switch_statement_token1] = ACTIONS(1031),
    [aux_sym_switch_block_token1] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1029),
    [aux_sym_clone_expression_token1] = ACTIONS(1031),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1031),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [aux_sym__list_destructing_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(1031),
    [anon_sym_parent] = ACTIONS(1031),
    [aux_sym__argument_name_token1] = ACTIONS(1031),
    [aux_sym__argument_name_token2] = ACTIONS(1031),
    [anon_sym_POUND_LBRACK] = ACTIONS(1029),
    [aux_sym_encapsed_string_token1] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [aux_sym_string_token1] = ACTIONS(1029),
    [anon_sym_SQUOTE] = ACTIONS(1029),
    [anon_sym_LT_LT_LT] = ACTIONS(1029),
    [anon_sym_BQUOTE] = ACTIONS(1029),
    [anon_sym_DOLLAR] = ACTIONS(1029),
    [aux_sym_yield_expression_token1] = ACTIONS(1031),
    [aux_sym_include_expression_token1] = ACTIONS(1031),
    [aux_sym_include_once_expression_token1] = ACTIONS(1031),
    [aux_sym_require_expression_token1] = ACTIONS(1031),
    [aux_sym_require_once_expression_token1] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_catch_clause] = STATE(442),
    [sym_finally_clause] = STATE(442),
    [aux_sym_try_statement_repeat1] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_name] = ACTIONS(1039),
    [anon_sym_QMARK_GT] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1039),
    [aux_sym_global_declaration_token1] = ACTIONS(1039),
    [aux_sym_namespace_definition_token1] = ACTIONS(1039),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1039),
    [anon_sym_BSLASH] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [aux_sym_trait_declaration_token1] = ACTIONS(1039),
    [aux_sym_interface_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_case_token1] = ACTIONS(1039),
    [aux_sym_class_declaration_token1] = ACTIONS(1039),
    [aux_sym_final_modifier_token1] = ACTIONS(1039),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1039),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1039),
    [sym_var_modifier] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1039),
    [aux_sym_cast_type_token1] = ACTIONS(1039),
    [aux_sym_echo_statement_token1] = ACTIONS(1039),
    [aux_sym_exit_statement_token1] = ACTIONS(1039),
    [anon_sym_unset] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_declare_statement_token2] = ACTIONS(1039),
    [sym_float] = ACTIONS(1039),
    [aux_sym_try_statement_token1] = ACTIONS(1039),
    [aux_sym_catch_clause_token1] = ACTIONS(1041),
    [aux_sym_finally_clause_token1] = ACTIONS(1044),
    [aux_sym_goto_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [sym_integer] = ACTIONS(1039),
    [aux_sym_return_statement_token1] = ACTIONS(1039),
    [aux_sym_throw_expression_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token2] = ACTIONS(1039),
    [aux_sym_do_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token2] = ACTIONS(1039),
    [aux_sym_foreach_statement_token1] = ACTIONS(1039),
    [aux_sym_foreach_statement_token2] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token2] = ACTIONS(1039),
    [aux_sym_else_if_clause_token1] = ACTIONS(1039),
    [aux_sym_else_clause_token1] = ACTIONS(1039),
    [aux_sym_match_expression_token1] = ACTIONS(1039),
    [aux_sym_match_default_expression_token1] = ACTIONS(1039),
    [aux_sym_switch_statement_token1] = ACTIONS(1039),
    [aux_sym_switch_block_token1] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [aux_sym_clone_expression_token1] = ACTIONS(1039),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1039),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1037),
    [aux_sym__list_destructing_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_self] = ACTIONS(1039),
    [anon_sym_parent] = ACTIONS(1039),
    [aux_sym__argument_name_token1] = ACTIONS(1039),
    [aux_sym__argument_name_token2] = ACTIONS(1039),
    [anon_sym_POUND_LBRACK] = ACTIONS(1037),
    [aux_sym_encapsed_string_token1] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [anon_sym_LT_LT_LT] = ACTIONS(1037),
    [anon_sym_BQUOTE] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1037),
    [aux_sym_yield_expression_token1] = ACTIONS(1039),
    [aux_sym_include_expression_token1] = ACTIONS(1039),
    [aux_sym_include_once_expression_token1] = ACTIONS(1039),
    [aux_sym_require_expression_token1] = ACTIONS(1039),
    [aux_sym_require_once_expression_token1] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_else_if_clause] = STATE(507),
    [sym_else_clause] = STATE(524),
    [aux_sym_if_statement_repeat1] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1047),
    [sym_name] = ACTIONS(1049),
    [anon_sym_QMARK_GT] = ACTIONS(1047),
    [anon_sym_SEMI] = ACTIONS(1047),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1049),
    [aux_sym_global_declaration_token1] = ACTIONS(1049),
    [aux_sym_namespace_definition_token1] = ACTIONS(1049),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1049),
    [anon_sym_BSLASH] = ACTIONS(1047),
    [anon_sym_LBRACE] = ACTIONS(1047),
    [anon_sym_RBRACE] = ACTIONS(1047),
    [aux_sym_trait_declaration_token1] = ACTIONS(1049),
    [aux_sym_interface_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_case_token1] = ACTIONS(1049),
    [aux_sym_class_declaration_token1] = ACTIONS(1049),
    [aux_sym_final_modifier_token1] = ACTIONS(1049),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1049),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1049),
    [sym_var_modifier] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1047),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1049),
    [aux_sym_cast_type_token1] = ACTIONS(1049),
    [aux_sym_echo_statement_token1] = ACTIONS(1049),
    [aux_sym_exit_statement_token1] = ACTIONS(1049),
    [anon_sym_unset] = ACTIONS(1049),
    [aux_sym_declare_statement_token1] = ACTIONS(1049),
    [aux_sym_declare_statement_token2] = ACTIONS(1049),
    [sym_float] = ACTIONS(1049),
    [aux_sym_try_statement_token1] = ACTIONS(1049),
    [aux_sym_goto_statement_token1] = ACTIONS(1049),
    [aux_sym_continue_statement_token1] = ACTIONS(1049),
    [aux_sym_break_statement_token1] = ACTIONS(1049),
    [sym_integer] = ACTIONS(1049),
    [aux_sym_return_statement_token1] = ACTIONS(1049),
    [aux_sym_throw_expression_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token2] = ACTIONS(1049),
    [aux_sym_do_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token2] = ACTIONS(1049),
    [aux_sym_foreach_statement_token1] = ACTIONS(1049),
    [aux_sym_foreach_statement_token2] = ACTIONS(1049),
    [aux_sym_if_statement_token1] = ACTIONS(1049),
    [aux_sym_if_statement_token2] = ACTIONS(1049),
    [aux_sym_else_if_clause_token1] = ACTIONS(1051),
    [aux_sym_else_clause_token1] = ACTIONS(1054),
    [aux_sym_match_expression_token1] = ACTIONS(1049),
    [aux_sym_match_default_expression_token1] = ACTIONS(1049),
    [aux_sym_switch_statement_token1] = ACTIONS(1049),
    [aux_sym_switch_block_token1] = ACTIONS(1049),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_AT] = ACTIONS(1047),
    [aux_sym_clone_expression_token1] = ACTIONS(1049),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1049),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1049),
    [anon_sym_DASH_DASH] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1047),
    [aux_sym__list_destructing_token1] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1047),
    [anon_sym_self] = ACTIONS(1049),
    [anon_sym_parent] = ACTIONS(1049),
    [aux_sym__argument_name_token1] = ACTIONS(1049),
    [aux_sym__argument_name_token2] = ACTIONS(1049),
    [anon_sym_POUND_LBRACK] = ACTIONS(1047),
    [aux_sym_encapsed_string_token1] = ACTIONS(1047),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_string_token1] = ACTIONS(1047),
    [anon_sym_SQUOTE] = ACTIONS(1047),
    [anon_sym_LT_LT_LT] = ACTIONS(1047),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1047),
    [aux_sym_yield_expression_token1] = ACTIONS(1049),
    [aux_sym_include_expression_token1] = ACTIONS(1049),
    [aux_sym_include_once_expression_token1] = ACTIONS(1049),
    [aux_sym_require_expression_token1] = ACTIONS(1049),
    [aux_sym_require_once_expression_token1] = ACTIONS(1049),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_else_if_clause] = STATE(507),
    [sym_else_clause] = STATE(506),
    [aux_sym_if_statement_repeat1] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(1057),
    [sym_name] = ACTIONS(1059),
    [anon_sym_QMARK_GT] = ACTIONS(1057),
    [anon_sym_SEMI] = ACTIONS(1057),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1059),
    [aux_sym_global_declaration_token1] = ACTIONS(1059),
    [aux_sym_namespace_definition_token1] = ACTIONS(1059),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1059),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1059),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1059),
    [anon_sym_BSLASH] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [aux_sym_trait_declaration_token1] = ACTIONS(1059),
    [aux_sym_interface_declaration_token1] = ACTIONS(1059),
    [aux_sym_enum_declaration_token1] = ACTIONS(1059),
    [aux_sym_enum_case_token1] = ACTIONS(1059),
    [aux_sym_class_declaration_token1] = ACTIONS(1059),
    [aux_sym_final_modifier_token1] = ACTIONS(1059),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1059),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1059),
    [sym_var_modifier] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(1057),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1059),
    [aux_sym_cast_type_token1] = ACTIONS(1059),
    [aux_sym_echo_statement_token1] = ACTIONS(1059),
    [aux_sym_exit_statement_token1] = ACTIONS(1059),
    [anon_sym_unset] = ACTIONS(1059),
    [aux_sym_declare_statement_token1] = ACTIONS(1059),
    [aux_sym_declare_statement_token2] = ACTIONS(1059),
    [sym_float] = ACTIONS(1059),
    [aux_sym_try_statement_token1] = ACTIONS(1059),
    [aux_sym_goto_statement_token1] = ACTIONS(1059),
    [aux_sym_continue_statement_token1] = ACTIONS(1059),
    [aux_sym_break_statement_token1] = ACTIONS(1059),
    [sym_integer] = ACTIONS(1059),
    [aux_sym_return_statement_token1] = ACTIONS(1059),
    [aux_sym_throw_expression_token1] = ACTIONS(1059),
    [aux_sym_while_statement_token1] = ACTIONS(1059),
    [aux_sym_while_statement_token2] = ACTIONS(1059),
    [aux_sym_do_statement_token1] = ACTIONS(1059),
    [aux_sym_for_statement_token1] = ACTIONS(1059),
    [aux_sym_for_statement_token2] = ACTIONS(1059),
    [aux_sym_foreach_statement_token1] = ACTIONS(1059),
    [aux_sym_foreach_statement_token2] = ACTIONS(1059),
    [aux_sym_if_statement_token1] = ACTIONS(1059),
    [aux_sym_if_statement_token2] = ACTIONS(1059),
    [aux_sym_else_if_clause_token1] = ACTIONS(1061),
    [aux_sym_else_clause_token1] = ACTIONS(1064),
    [aux_sym_match_expression_token1] = ACTIONS(1059),
    [aux_sym_match_default_expression_token1] = ACTIONS(1059),
    [aux_sym_switch_statement_token1] = ACTIONS(1059),
    [aux_sym_switch_block_token1] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(1059),
    [anon_sym_TILDE] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(1057),
    [anon_sym_AT] = ACTIONS(1057),
    [aux_sym_clone_expression_token1] = ACTIONS(1059),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1059),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1059),
    [anon_sym_DASH_DASH] = ACTIONS(1057),
    [anon_sym_PLUS_PLUS] = ACTIONS(1057),
    [aux_sym__list_destructing_token1] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_self] = ACTIONS(1059),
    [anon_sym_parent] = ACTIONS(1059),
    [aux_sym__argument_name_token1] = ACTIONS(1059),
    [aux_sym__argument_name_token2] = ACTIONS(1059),
    [anon_sym_POUND_LBRACK] = ACTIONS(1057),
    [aux_sym_encapsed_string_token1] = ACTIONS(1057),
    [anon_sym_DQUOTE] = ACTIONS(1057),
    [aux_sym_string_token1] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1057),
    [anon_sym_LT_LT_LT] = ACTIONS(1057),
    [anon_sym_BQUOTE] = ACTIONS(1057),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [aux_sym_yield_expression_token1] = ACTIONS(1059),
    [aux_sym_include_expression_token1] = ACTIONS(1059),
    [aux_sym_include_once_expression_token1] = ACTIONS(1059),
    [aux_sym_require_expression_token1] = ACTIONS(1059),
    [aux_sym_require_once_expression_token1] = ACTIONS(1059),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_else_if_clause] = STATE(507),
    [sym_else_clause] = STATE(506),
    [aux_sym_if_statement_repeat1] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1057),
    [sym_name] = ACTIONS(1059),
    [anon_sym_QMARK_GT] = ACTIONS(1057),
    [anon_sym_SEMI] = ACTIONS(1057),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1059),
    [aux_sym_global_declaration_token1] = ACTIONS(1059),
    [aux_sym_namespace_definition_token1] = ACTIONS(1059),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1059),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1059),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1059),
    [anon_sym_BSLASH] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [aux_sym_trait_declaration_token1] = ACTIONS(1059),
    [aux_sym_interface_declaration_token1] = ACTIONS(1059),
    [aux_sym_enum_declaration_token1] = ACTIONS(1059),
    [aux_sym_enum_case_token1] = ACTIONS(1059),
    [aux_sym_class_declaration_token1] = ACTIONS(1059),
    [aux_sym_final_modifier_token1] = ACTIONS(1059),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1059),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1059),
    [sym_var_modifier] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(1057),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1059),
    [aux_sym_cast_type_token1] = ACTIONS(1059),
    [aux_sym_echo_statement_token1] = ACTIONS(1059),
    [aux_sym_exit_statement_token1] = ACTIONS(1059),
    [anon_sym_unset] = ACTIONS(1059),
    [aux_sym_declare_statement_token1] = ACTIONS(1059),
    [aux_sym_declare_statement_token2] = ACTIONS(1059),
    [sym_float] = ACTIONS(1059),
    [aux_sym_try_statement_token1] = ACTIONS(1059),
    [aux_sym_goto_statement_token1] = ACTIONS(1059),
    [aux_sym_continue_statement_token1] = ACTIONS(1059),
    [aux_sym_break_statement_token1] = ACTIONS(1059),
    [sym_integer] = ACTIONS(1059),
    [aux_sym_return_statement_token1] = ACTIONS(1059),
    [aux_sym_throw_expression_token1] = ACTIONS(1059),
    [aux_sym_while_statement_token1] = ACTIONS(1059),
    [aux_sym_while_statement_token2] = ACTIONS(1059),
    [aux_sym_do_statement_token1] = ACTIONS(1059),
    [aux_sym_for_statement_token1] = ACTIONS(1059),
    [aux_sym_for_statement_token2] = ACTIONS(1059),
    [aux_sym_foreach_statement_token1] = ACTIONS(1059),
    [aux_sym_foreach_statement_token2] = ACTIONS(1059),
    [aux_sym_if_statement_token1] = ACTIONS(1059),
    [aux_sym_if_statement_token2] = ACTIONS(1059),
    [aux_sym_else_if_clause_token1] = ACTIONS(1067),
    [aux_sym_else_clause_token1] = ACTIONS(1069),
    [aux_sym_match_expression_token1] = ACTIONS(1059),
    [aux_sym_match_default_expression_token1] = ACTIONS(1059),
    [aux_sym_switch_statement_token1] = ACTIONS(1059),
    [aux_sym_switch_block_token1] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(1059),
    [anon_sym_TILDE] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(1057),
    [anon_sym_AT] = ACTIONS(1057),
    [aux_sym_clone_expression_token1] = ACTIONS(1059),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1059),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1059),
    [anon_sym_DASH_DASH] = ACTIONS(1057),
    [anon_sym_PLUS_PLUS] = ACTIONS(1057),
    [aux_sym__list_destructing_token1] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_self] = ACTIONS(1059),
    [anon_sym_parent] = ACTIONS(1059),
    [aux_sym__argument_name_token1] = ACTIONS(1059),
    [aux_sym__argument_name_token2] = ACTIONS(1059),
    [anon_sym_POUND_LBRACK] = ACTIONS(1057),
    [aux_sym_encapsed_string_token1] = ACTIONS(1057),
    [anon_sym_DQUOTE] = ACTIONS(1057),
    [aux_sym_string_token1] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1057),
    [anon_sym_LT_LT_LT] = ACTIONS(1057),
    [anon_sym_BQUOTE] = ACTIONS(1057),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [aux_sym_yield_expression_token1] = ACTIONS(1059),
    [aux_sym_include_expression_token1] = ACTIONS(1059),
    [aux_sym_include_once_expression_token1] = ACTIONS(1059),
    [aux_sym_require_expression_token1] = ACTIONS(1059),
    [aux_sym_require_once_expression_token1] = ACTIONS(1059),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_else_if_clause] = STATE(507),
    [sym_else_clause] = STATE(524),
    [aux_sym_if_statement_repeat1] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1047),
    [sym_name] = ACTIONS(1049),
    [anon_sym_QMARK_GT] = ACTIONS(1047),
    [anon_sym_SEMI] = ACTIONS(1047),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1049),
    [aux_sym_global_declaration_token1] = ACTIONS(1049),
    [aux_sym_namespace_definition_token1] = ACTIONS(1049),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1049),
    [anon_sym_BSLASH] = ACTIONS(1047),
    [anon_sym_LBRACE] = ACTIONS(1047),
    [anon_sym_RBRACE] = ACTIONS(1047),
    [aux_sym_trait_declaration_token1] = ACTIONS(1049),
    [aux_sym_interface_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_case_token1] = ACTIONS(1049),
    [aux_sym_class_declaration_token1] = ACTIONS(1049),
    [aux_sym_final_modifier_token1] = ACTIONS(1049),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1049),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1049),
    [sym_var_modifier] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1047),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1049),
    [aux_sym_cast_type_token1] = ACTIONS(1049),
    [aux_sym_echo_statement_token1] = ACTIONS(1049),
    [aux_sym_exit_statement_token1] = ACTIONS(1049),
    [anon_sym_unset] = ACTIONS(1049),
    [aux_sym_declare_statement_token1] = ACTIONS(1049),
    [aux_sym_declare_statement_token2] = ACTIONS(1049),
    [sym_float] = ACTIONS(1049),
    [aux_sym_try_statement_token1] = ACTIONS(1049),
    [aux_sym_goto_statement_token1] = ACTIONS(1049),
    [aux_sym_continue_statement_token1] = ACTIONS(1049),
    [aux_sym_break_statement_token1] = ACTIONS(1049),
    [sym_integer] = ACTIONS(1049),
    [aux_sym_return_statement_token1] = ACTIONS(1049),
    [aux_sym_throw_expression_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token2] = ACTIONS(1049),
    [aux_sym_do_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token2] = ACTIONS(1049),
    [aux_sym_foreach_statement_token1] = ACTIONS(1049),
    [aux_sym_foreach_statement_token2] = ACTIONS(1049),
    [aux_sym_if_statement_token1] = ACTIONS(1049),
    [aux_sym_if_statement_token2] = ACTIONS(1049),
    [aux_sym_else_if_clause_token1] = ACTIONS(1067),
    [aux_sym_else_clause_token1] = ACTIONS(1069),
    [aux_sym_match_expression_token1] = ACTIONS(1049),
    [aux_sym_match_default_expression_token1] = ACTIONS(1049),
    [aux_sym_switch_statement_token1] = ACTIONS(1049),
    [aux_sym_switch_block_token1] = ACTIONS(1049),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_AT] = ACTIONS(1047),
    [aux_sym_clone_expression_token1] = ACTIONS(1049),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1049),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1049),
    [anon_sym_DASH_DASH] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1047),
    [aux_sym__list_destructing_token1] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1047),
    [anon_sym_self] = ACTIONS(1049),
    [anon_sym_parent] = ACTIONS(1049),
    [aux_sym__argument_name_token1] = ACTIONS(1049),
    [aux_sym__argument_name_token2] = ACTIONS(1049),
    [anon_sym_POUND_LBRACK] = ACTIONS(1047),
    [aux_sym_encapsed_string_token1] = ACTIONS(1047),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_string_token1] = ACTIONS(1047),
    [anon_sym_SQUOTE] = ACTIONS(1047),
    [anon_sym_LT_LT_LT] = ACTIONS(1047),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1047),
    [aux_sym_yield_expression_token1] = ACTIONS(1049),
    [aux_sym_include_expression_token1] = ACTIONS(1049),
    [aux_sym_include_once_expression_token1] = ACTIONS(1049),
    [aux_sym_require_expression_token1] = ACTIONS(1049),
    [aux_sym_require_once_expression_token1] = ACTIONS(1049),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(1071),
    [sym_name] = ACTIONS(1073),
    [anon_sym_QMARK_GT] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(1071),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1073),
    [aux_sym_global_declaration_token1] = ACTIONS(1073),
    [aux_sym_namespace_definition_token1] = ACTIONS(1073),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1073),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1073),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1073),
    [anon_sym_BSLASH] = ACTIONS(1071),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [aux_sym_trait_declaration_token1] = ACTIONS(1073),
    [aux_sym_interface_declaration_token1] = ACTIONS(1073),
    [aux_sym_enum_declaration_token1] = ACTIONS(1073),
    [aux_sym_enum_case_token1] = ACTIONS(1073),
    [aux_sym_class_declaration_token1] = ACTIONS(1073),
    [aux_sym_final_modifier_token1] = ACTIONS(1073),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1073),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1073),
    [sym_var_modifier] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1073),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1073),
    [aux_sym_cast_type_token1] = ACTIONS(1073),
    [aux_sym_echo_statement_token1] = ACTIONS(1073),
    [aux_sym_exit_statement_token1] = ACTIONS(1073),
    [anon_sym_unset] = ACTIONS(1073),
    [aux_sym_declare_statement_token1] = ACTIONS(1073),
    [aux_sym_declare_statement_token2] = ACTIONS(1073),
    [sym_float] = ACTIONS(1073),
    [aux_sym_try_statement_token1] = ACTIONS(1073),
    [aux_sym_catch_clause_token1] = ACTIONS(1073),
    [aux_sym_finally_clause_token1] = ACTIONS(1073),
    [aux_sym_goto_statement_token1] = ACTIONS(1073),
    [aux_sym_continue_statement_token1] = ACTIONS(1073),
    [aux_sym_break_statement_token1] = ACTIONS(1073),
    [sym_integer] = ACTIONS(1073),
    [aux_sym_return_statement_token1] = ACTIONS(1073),
    [aux_sym_throw_expression_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token2] = ACTIONS(1073),
    [aux_sym_do_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token2] = ACTIONS(1073),
    [aux_sym_foreach_statement_token1] = ACTIONS(1073),
    [aux_sym_foreach_statement_token2] = ACTIONS(1073),
    [aux_sym_if_statement_token1] = ACTIONS(1073),
    [aux_sym_if_statement_token2] = ACTIONS(1073),
    [aux_sym_else_if_clause_token1] = ACTIONS(1073),
    [aux_sym_else_clause_token1] = ACTIONS(1073),
    [aux_sym_match_expression_token1] = ACTIONS(1073),
    [aux_sym_match_default_expression_token1] = ACTIONS(1073),
    [aux_sym_switch_statement_token1] = ACTIONS(1073),
    [aux_sym_switch_block_token1] = ACTIONS(1073),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(1071),
    [aux_sym_clone_expression_token1] = ACTIONS(1073),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1073),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1073),
    [anon_sym_DASH_DASH] = ACTIONS(1071),
    [anon_sym_PLUS_PLUS] = ACTIONS(1071),
    [aux_sym__list_destructing_token1] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1071),
    [anon_sym_self] = ACTIONS(1073),
    [anon_sym_parent] = ACTIONS(1073),
    [aux_sym__argument_name_token1] = ACTIONS(1073),
    [aux_sym__argument_name_token2] = ACTIONS(1073),
    [anon_sym_POUND_LBRACK] = ACTIONS(1071),
    [aux_sym_encapsed_string_token1] = ACTIONS(1071),
    [anon_sym_DQUOTE] = ACTIONS(1071),
    [aux_sym_string_token1] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [anon_sym_LT_LT_LT] = ACTIONS(1071),
    [anon_sym_BQUOTE] = ACTIONS(1071),
    [anon_sym_DOLLAR] = ACTIONS(1071),
    [aux_sym_yield_expression_token1] = ACTIONS(1073),
    [aux_sym_include_expression_token1] = ACTIONS(1073),
    [aux_sym_include_once_expression_token1] = ACTIONS(1073),
    [aux_sym_require_expression_token1] = ACTIONS(1073),
    [aux_sym_require_once_expression_token1] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_else_if_clause] = STATE(507),
    [aux_sym_if_statement_repeat1] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1075),
    [sym_name] = ACTIONS(1077),
    [anon_sym_QMARK_GT] = ACTIONS(1075),
    [anon_sym_SEMI] = ACTIONS(1075),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1077),
    [aux_sym_global_declaration_token1] = ACTIONS(1077),
    [aux_sym_namespace_definition_token1] = ACTIONS(1077),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1077),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1077),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1077),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_RBRACE] = ACTIONS(1075),
    [aux_sym_trait_declaration_token1] = ACTIONS(1077),
    [aux_sym_interface_declaration_token1] = ACTIONS(1077),
    [aux_sym_enum_declaration_token1] = ACTIONS(1077),
    [aux_sym_enum_case_token1] = ACTIONS(1077),
    [aux_sym_class_declaration_token1] = ACTIONS(1077),
    [aux_sym_final_modifier_token1] = ACTIONS(1077),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1077),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1077),
    [sym_var_modifier] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1077),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1077),
    [aux_sym_cast_type_token1] = ACTIONS(1077),
    [aux_sym_echo_statement_token1] = ACTIONS(1077),
    [aux_sym_exit_statement_token1] = ACTIONS(1077),
    [anon_sym_unset] = ACTIONS(1077),
    [aux_sym_declare_statement_token1] = ACTIONS(1077),
    [aux_sym_declare_statement_token2] = ACTIONS(1077),
    [sym_float] = ACTIONS(1077),
    [aux_sym_try_statement_token1] = ACTIONS(1077),
    [aux_sym_goto_statement_token1] = ACTIONS(1077),
    [aux_sym_continue_statement_token1] = ACTIONS(1077),
    [aux_sym_break_statement_token1] = ACTIONS(1077),
    [sym_integer] = ACTIONS(1077),
    [aux_sym_return_statement_token1] = ACTIONS(1077),
    [aux_sym_throw_expression_token1] = ACTIONS(1077),
    [aux_sym_while_statement_token1] = ACTIONS(1077),
    [aux_sym_while_statement_token2] = ACTIONS(1077),
    [aux_sym_do_statement_token1] = ACTIONS(1077),
    [aux_sym_for_statement_token1] = ACTIONS(1077),
    [aux_sym_for_statement_token2] = ACTIONS(1077),
    [aux_sym_foreach_statement_token1] = ACTIONS(1077),
    [aux_sym_foreach_statement_token2] = ACTIONS(1077),
    [aux_sym_if_statement_token1] = ACTIONS(1077),
    [aux_sym_if_statement_token2] = ACTIONS(1077),
    [aux_sym_else_if_clause_token1] = ACTIONS(1079),
    [aux_sym_else_clause_token1] = ACTIONS(1077),
    [aux_sym_match_expression_token1] = ACTIONS(1077),
    [aux_sym_match_default_expression_token1] = ACTIONS(1077),
    [aux_sym_switch_statement_token1] = ACTIONS(1077),
    [aux_sym_switch_block_token1] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [aux_sym_clone_expression_token1] = ACTIONS(1077),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1077),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1077),
    [anon_sym_DASH_DASH] = ACTIONS(1075),
    [anon_sym_PLUS_PLUS] = ACTIONS(1075),
    [aux_sym__list_destructing_token1] = ACTIONS(1077),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_self] = ACTIONS(1077),
    [anon_sym_parent] = ACTIONS(1077),
    [aux_sym__argument_name_token1] = ACTIONS(1077),
    [aux_sym__argument_name_token2] = ACTIONS(1077),
    [anon_sym_POUND_LBRACK] = ACTIONS(1075),
    [aux_sym_encapsed_string_token1] = ACTIONS(1075),
    [anon_sym_DQUOTE] = ACTIONS(1075),
    [aux_sym_string_token1] = ACTIONS(1075),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_LT_LT_LT] = ACTIONS(1075),
    [anon_sym_BQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [aux_sym_yield_expression_token1] = ACTIONS(1077),
    [aux_sym_include_expression_token1] = ACTIONS(1077),
    [aux_sym_include_once_expression_token1] = ACTIONS(1077),
    [aux_sym_require_expression_token1] = ACTIONS(1077),
    [aux_sym_require_once_expression_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(1082),
    [sym_name] = ACTIONS(1084),
    [anon_sym_QMARK_GT] = ACTIONS(1082),
    [anon_sym_SEMI] = ACTIONS(1082),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1084),
    [aux_sym_global_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_definition_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1084),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1084),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym_trait_declaration_token1] = ACTIONS(1084),
    [aux_sym_interface_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_case_token1] = ACTIONS(1084),
    [aux_sym_class_declaration_token1] = ACTIONS(1084),
    [aux_sym_final_modifier_token1] = ACTIONS(1084),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1084),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1084),
    [sym_var_modifier] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1082),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1084),
    [aux_sym_cast_type_token1] = ACTIONS(1084),
    [aux_sym_echo_statement_token1] = ACTIONS(1084),
    [aux_sym_exit_statement_token1] = ACTIONS(1084),
    [anon_sym_unset] = ACTIONS(1084),
    [aux_sym_declare_statement_token1] = ACTIONS(1084),
    [aux_sym_declare_statement_token2] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [aux_sym_try_statement_token1] = ACTIONS(1084),
    [aux_sym_catch_clause_token1] = ACTIONS(1084),
    [aux_sym_finally_clause_token1] = ACTIONS(1084),
    [aux_sym_goto_statement_token1] = ACTIONS(1084),
    [aux_sym_continue_statement_token1] = ACTIONS(1084),
    [aux_sym_break_statement_token1] = ACTIONS(1084),
    [sym_integer] = ACTIONS(1084),
    [aux_sym_return_statement_token1] = ACTIONS(1084),
    [aux_sym_throw_expression_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token2] = ACTIONS(1084),
    [aux_sym_do_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token2] = ACTIONS(1084),
    [aux_sym_foreach_statement_token1] = ACTIONS(1084),
    [aux_sym_foreach_statement_token2] = ACTIONS(1084),
    [aux_sym_if_statement_token1] = ACTIONS(1084),
    [aux_sym_if_statement_token2] = ACTIONS(1084),
    [aux_sym_else_if_clause_token1] = ACTIONS(1084),
    [aux_sym_else_clause_token1] = ACTIONS(1084),
    [aux_sym_match_expression_token1] = ACTIONS(1084),
    [aux_sym_match_default_expression_token1] = ACTIONS(1084),
    [aux_sym_switch_statement_token1] = ACTIONS(1084),
    [aux_sym_switch_block_token1] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1082),
    [anon_sym_BANG] = ACTIONS(1082),
    [anon_sym_AT] = ACTIONS(1082),
    [aux_sym_clone_expression_token1] = ACTIONS(1084),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1084),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1084),
    [anon_sym_DASH_DASH] = ACTIONS(1082),
    [anon_sym_PLUS_PLUS] = ACTIONS(1082),
    [aux_sym__list_destructing_token1] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_self] = ACTIONS(1084),
    [anon_sym_parent] = ACTIONS(1084),
    [aux_sym__argument_name_token1] = ACTIONS(1084),
    [aux_sym__argument_name_token2] = ACTIONS(1084),
    [anon_sym_POUND_LBRACK] = ACTIONS(1082),
    [aux_sym_encapsed_string_token1] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1082),
    [aux_sym_string_token1] = ACTIONS(1082),
    [anon_sym_SQUOTE] = ACTIONS(1082),
    [anon_sym_LT_LT_LT] = ACTIONS(1082),
    [anon_sym_BQUOTE] = ACTIONS(1082),
    [anon_sym_DOLLAR] = ACTIONS(1082),
    [aux_sym_yield_expression_token1] = ACTIONS(1084),
    [aux_sym_include_expression_token1] = ACTIONS(1084),
    [aux_sym_include_once_expression_token1] = ACTIONS(1084),
    [aux_sym_require_expression_token1] = ACTIONS(1084),
    [aux_sym_require_once_expression_token1] = ACTIONS(1084),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(1086),
    [sym_name] = ACTIONS(1088),
    [anon_sym_QMARK_GT] = ACTIONS(1086),
    [anon_sym_SEMI] = ACTIONS(1086),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1088),
    [aux_sym_global_declaration_token1] = ACTIONS(1088),
    [aux_sym_namespace_definition_token1] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1088),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1088),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1088),
    [anon_sym_BSLASH] = ACTIONS(1086),
    [anon_sym_LBRACE] = ACTIONS(1086),
    [anon_sym_RBRACE] = ACTIONS(1086),
    [aux_sym_trait_declaration_token1] = ACTIONS(1088),
    [aux_sym_interface_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_case_token1] = ACTIONS(1088),
    [aux_sym_class_declaration_token1] = ACTIONS(1088),
    [aux_sym_final_modifier_token1] = ACTIONS(1088),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1088),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1088),
    [sym_var_modifier] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1088),
    [anon_sym_LPAREN] = ACTIONS(1086),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1088),
    [aux_sym_cast_type_token1] = ACTIONS(1088),
    [aux_sym_echo_statement_token1] = ACTIONS(1088),
    [aux_sym_exit_statement_token1] = ACTIONS(1088),
    [anon_sym_unset] = ACTIONS(1088),
    [aux_sym_declare_statement_token1] = ACTIONS(1088),
    [aux_sym_declare_statement_token2] = ACTIONS(1088),
    [sym_float] = ACTIONS(1088),
    [aux_sym_try_statement_token1] = ACTIONS(1088),
    [aux_sym_catch_clause_token1] = ACTIONS(1088),
    [aux_sym_finally_clause_token1] = ACTIONS(1088),
    [aux_sym_goto_statement_token1] = ACTIONS(1088),
    [aux_sym_continue_statement_token1] = ACTIONS(1088),
    [aux_sym_break_statement_token1] = ACTIONS(1088),
    [sym_integer] = ACTIONS(1088),
    [aux_sym_return_statement_token1] = ACTIONS(1088),
    [aux_sym_throw_expression_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token2] = ACTIONS(1088),
    [aux_sym_do_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token2] = ACTIONS(1088),
    [aux_sym_foreach_statement_token1] = ACTIONS(1088),
    [aux_sym_foreach_statement_token2] = ACTIONS(1088),
    [aux_sym_if_statement_token1] = ACTIONS(1088),
    [aux_sym_if_statement_token2] = ACTIONS(1088),
    [aux_sym_else_if_clause_token1] = ACTIONS(1088),
    [aux_sym_else_clause_token1] = ACTIONS(1088),
    [aux_sym_match_expression_token1] = ACTIONS(1088),
    [aux_sym_match_default_expression_token1] = ACTIONS(1088),
    [aux_sym_switch_statement_token1] = ACTIONS(1088),
    [aux_sym_switch_block_token1] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1088),
    [anon_sym_DASH] = ACTIONS(1088),
    [anon_sym_TILDE] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(1086),
    [aux_sym_clone_expression_token1] = ACTIONS(1088),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1088),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1088),
    [anon_sym_DASH_DASH] = ACTIONS(1086),
    [anon_sym_PLUS_PLUS] = ACTIONS(1086),
    [aux_sym__list_destructing_token1] = ACTIONS(1088),
    [anon_sym_LBRACK] = ACTIONS(1086),
    [anon_sym_self] = ACTIONS(1088),
    [anon_sym_parent] = ACTIONS(1088),
    [aux_sym__argument_name_token1] = ACTIONS(1088),
    [aux_sym__argument_name_token2] = ACTIONS(1088),
    [anon_sym_POUND_LBRACK] = ACTIONS(1086),
    [aux_sym_encapsed_string_token1] = ACTIONS(1086),
    [anon_sym_DQUOTE] = ACTIONS(1086),
    [aux_sym_string_token1] = ACTIONS(1086),
    [anon_sym_SQUOTE] = ACTIONS(1086),
    [anon_sym_LT_LT_LT] = ACTIONS(1086),
    [anon_sym_BQUOTE] = ACTIONS(1086),
    [anon_sym_DOLLAR] = ACTIONS(1086),
    [aux_sym_yield_expression_token1] = ACTIONS(1088),
    [aux_sym_include_expression_token1] = ACTIONS(1088),
    [aux_sym_include_once_expression_token1] = ACTIONS(1088),
    [aux_sym_require_expression_token1] = ACTIONS(1088),
    [aux_sym_require_once_expression_token1] = ACTIONS(1088),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(1090),
    [sym_name] = ACTIONS(1092),
    [anon_sym_QMARK_GT] = ACTIONS(1090),
    [anon_sym_SEMI] = ACTIONS(1090),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1092),
    [aux_sym_global_declaration_token1] = ACTIONS(1092),
    [aux_sym_namespace_definition_token1] = ACTIONS(1092),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1092),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1092),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1092),
    [anon_sym_BSLASH] = ACTIONS(1090),
    [anon_sym_LBRACE] = ACTIONS(1090),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [aux_sym_trait_declaration_token1] = ACTIONS(1092),
    [aux_sym_interface_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_case_token1] = ACTIONS(1092),
    [aux_sym_class_declaration_token1] = ACTIONS(1092),
    [aux_sym_final_modifier_token1] = ACTIONS(1092),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1092),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1092),
    [sym_var_modifier] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1092),
    [anon_sym_LPAREN] = ACTIONS(1090),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1092),
    [aux_sym_cast_type_token1] = ACTIONS(1092),
    [aux_sym_echo_statement_token1] = ACTIONS(1092),
    [aux_sym_exit_statement_token1] = ACTIONS(1092),
    [anon_sym_unset] = ACTIONS(1092),
    [aux_sym_declare_statement_token1] = ACTIONS(1092),
    [aux_sym_declare_statement_token2] = ACTIONS(1092),
    [sym_float] = ACTIONS(1092),
    [aux_sym_try_statement_token1] = ACTIONS(1092),
    [aux_sym_catch_clause_token1] = ACTIONS(1092),
    [aux_sym_finally_clause_token1] = ACTIONS(1092),
    [aux_sym_goto_statement_token1] = ACTIONS(1092),
    [aux_sym_continue_statement_token1] = ACTIONS(1092),
    [aux_sym_break_statement_token1] = ACTIONS(1092),
    [sym_integer] = ACTIONS(1092),
    [aux_sym_return_statement_token1] = ACTIONS(1092),
    [aux_sym_throw_expression_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token2] = ACTIONS(1092),
    [aux_sym_do_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token2] = ACTIONS(1092),
    [aux_sym_foreach_statement_token1] = ACTIONS(1092),
    [aux_sym_foreach_statement_token2] = ACTIONS(1092),
    [aux_sym_if_statement_token1] = ACTIONS(1092),
    [aux_sym_if_statement_token2] = ACTIONS(1092),
    [aux_sym_else_if_clause_token1] = ACTIONS(1092),
    [aux_sym_else_clause_token1] = ACTIONS(1092),
    [aux_sym_match_expression_token1] = ACTIONS(1092),
    [aux_sym_match_default_expression_token1] = ACTIONS(1092),
    [aux_sym_switch_statement_token1] = ACTIONS(1092),
    [aux_sym_switch_block_token1] = ACTIONS(1092),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1090),
    [anon_sym_BANG] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(1090),
    [aux_sym_clone_expression_token1] = ACTIONS(1092),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1092),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1090),
    [anon_sym_PLUS_PLUS] = ACTIONS(1090),
    [aux_sym__list_destructing_token1] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(1090),
    [anon_sym_self] = ACTIONS(1092),
    [anon_sym_parent] = ACTIONS(1092),
    [aux_sym__argument_name_token1] = ACTIONS(1092),
    [aux_sym__argument_name_token2] = ACTIONS(1092),
    [anon_sym_POUND_LBRACK] = ACTIONS(1090),
    [aux_sym_encapsed_string_token1] = ACTIONS(1090),
    [anon_sym_DQUOTE] = ACTIONS(1090),
    [aux_sym_string_token1] = ACTIONS(1090),
    [anon_sym_SQUOTE] = ACTIONS(1090),
    [anon_sym_LT_LT_LT] = ACTIONS(1090),
    [anon_sym_BQUOTE] = ACTIONS(1090),
    [anon_sym_DOLLAR] = ACTIONS(1090),
    [aux_sym_yield_expression_token1] = ACTIONS(1092),
    [aux_sym_include_expression_token1] = ACTIONS(1092),
    [aux_sym_include_once_expression_token1] = ACTIONS(1092),
    [aux_sym_require_expression_token1] = ACTIONS(1092),
    [aux_sym_require_once_expression_token1] = ACTIONS(1092),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1094),
    [sym_name] = ACTIONS(1096),
    [anon_sym_QMARK_GT] = ACTIONS(1094),
    [anon_sym_SEMI] = ACTIONS(1094),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1096),
    [aux_sym_global_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_definition_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1096),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1096),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1096),
    [anon_sym_BSLASH] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [aux_sym_trait_declaration_token1] = ACTIONS(1096),
    [aux_sym_interface_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_case_token1] = ACTIONS(1096),
    [aux_sym_class_declaration_token1] = ACTIONS(1096),
    [aux_sym_final_modifier_token1] = ACTIONS(1096),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1096),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1096),
    [sym_var_modifier] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1096),
    [anon_sym_LPAREN] = ACTIONS(1094),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1096),
    [aux_sym_cast_type_token1] = ACTIONS(1096),
    [aux_sym_echo_statement_token1] = ACTIONS(1096),
    [aux_sym_exit_statement_token1] = ACTIONS(1096),
    [anon_sym_unset] = ACTIONS(1096),
    [aux_sym_declare_statement_token1] = ACTIONS(1096),
    [aux_sym_declare_statement_token2] = ACTIONS(1096),
    [sym_float] = ACTIONS(1096),
    [aux_sym_try_statement_token1] = ACTIONS(1096),
    [aux_sym_catch_clause_token1] = ACTIONS(1096),
    [aux_sym_finally_clause_token1] = ACTIONS(1096),
    [aux_sym_goto_statement_token1] = ACTIONS(1096),
    [aux_sym_continue_statement_token1] = ACTIONS(1096),
    [aux_sym_break_statement_token1] = ACTIONS(1096),
    [sym_integer] = ACTIONS(1096),
    [aux_sym_return_statement_token1] = ACTIONS(1096),
    [aux_sym_throw_expression_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token2] = ACTIONS(1096),
    [aux_sym_do_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token2] = ACTIONS(1096),
    [aux_sym_foreach_statement_token1] = ACTIONS(1096),
    [aux_sym_foreach_statement_token2] = ACTIONS(1096),
    [aux_sym_if_statement_token1] = ACTIONS(1096),
    [aux_sym_if_statement_token2] = ACTIONS(1096),
    [aux_sym_else_if_clause_token1] = ACTIONS(1096),
    [aux_sym_else_clause_token1] = ACTIONS(1096),
    [aux_sym_match_expression_token1] = ACTIONS(1096),
    [aux_sym_match_default_expression_token1] = ACTIONS(1096),
    [aux_sym_switch_statement_token1] = ACTIONS(1096),
    [aux_sym_switch_block_token1] = ACTIONS(1096),
    [anon_sym_PLUS] = ACTIONS(1096),
    [anon_sym_DASH] = ACTIONS(1096),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1094),
    [aux_sym_clone_expression_token1] = ACTIONS(1096),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1096),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [aux_sym__list_destructing_token1] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [anon_sym_self] = ACTIONS(1096),
    [anon_sym_parent] = ACTIONS(1096),
    [aux_sym__argument_name_token1] = ACTIONS(1096),
    [aux_sym__argument_name_token2] = ACTIONS(1096),
    [anon_sym_POUND_LBRACK] = ACTIONS(1094),
    [aux_sym_encapsed_string_token1] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [aux_sym_string_token1] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1094),
    [anon_sym_LT_LT_LT] = ACTIONS(1094),
    [anon_sym_BQUOTE] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [aux_sym_yield_expression_token1] = ACTIONS(1096),
    [aux_sym_include_expression_token1] = ACTIONS(1096),
    [aux_sym_include_once_expression_token1] = ACTIONS(1096),
    [aux_sym_require_expression_token1] = ACTIONS(1096),
    [aux_sym_require_once_expression_token1] = ACTIONS(1096),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1098),
    [sym_name] = ACTIONS(1100),
    [anon_sym_QMARK_GT] = ACTIONS(1098),
    [anon_sym_SEMI] = ACTIONS(1098),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1100),
    [aux_sym_global_declaration_token1] = ACTIONS(1100),
    [aux_sym_namespace_definition_token1] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1100),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1100),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1100),
    [anon_sym_BSLASH] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [aux_sym_trait_declaration_token1] = ACTIONS(1100),
    [aux_sym_interface_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_case_token1] = ACTIONS(1100),
    [aux_sym_class_declaration_token1] = ACTIONS(1100),
    [aux_sym_final_modifier_token1] = ACTIONS(1100),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1100),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1100),
    [sym_var_modifier] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1100),
    [anon_sym_LPAREN] = ACTIONS(1098),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1100),
    [aux_sym_cast_type_token1] = ACTIONS(1100),
    [aux_sym_echo_statement_token1] = ACTIONS(1100),
    [aux_sym_exit_statement_token1] = ACTIONS(1100),
    [anon_sym_unset] = ACTIONS(1100),
    [aux_sym_declare_statement_token1] = ACTIONS(1100),
    [aux_sym_declare_statement_token2] = ACTIONS(1100),
    [sym_float] = ACTIONS(1100),
    [aux_sym_try_statement_token1] = ACTIONS(1100),
    [aux_sym_goto_statement_token1] = ACTIONS(1100),
    [aux_sym_continue_statement_token1] = ACTIONS(1100),
    [aux_sym_break_statement_token1] = ACTIONS(1100),
    [sym_integer] = ACTIONS(1100),
    [aux_sym_return_statement_token1] = ACTIONS(1100),
    [aux_sym_throw_expression_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token2] = ACTIONS(1100),
    [aux_sym_do_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token2] = ACTIONS(1100),
    [aux_sym_foreach_statement_token1] = ACTIONS(1100),
    [aux_sym_foreach_statement_token2] = ACTIONS(1100),
    [aux_sym_if_statement_token1] = ACTIONS(1100),
    [aux_sym_if_statement_token2] = ACTIONS(1100),
    [aux_sym_else_if_clause_token1] = ACTIONS(1100),
    [aux_sym_else_clause_token1] = ACTIONS(1100),
    [aux_sym_match_expression_token1] = ACTIONS(1100),
    [aux_sym_match_default_expression_token1] = ACTIONS(1100),
    [aux_sym_switch_statement_token1] = ACTIONS(1100),
    [aux_sym_switch_block_token1] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1098),
    [aux_sym_clone_expression_token1] = ACTIONS(1100),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1100),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1100),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [anon_sym_PLUS_PLUS] = ACTIONS(1098),
    [aux_sym__list_destructing_token1] = ACTIONS(1100),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_self] = ACTIONS(1100),
    [anon_sym_parent] = ACTIONS(1100),
    [aux_sym__argument_name_token1] = ACTIONS(1100),
    [aux_sym__argument_name_token2] = ACTIONS(1100),
    [anon_sym_POUND_LBRACK] = ACTIONS(1098),
    [aux_sym_encapsed_string_token1] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [aux_sym_string_token1] = ACTIONS(1098),
    [anon_sym_SQUOTE] = ACTIONS(1098),
    [anon_sym_LT_LT_LT] = ACTIONS(1098),
    [anon_sym_BQUOTE] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1098),
    [aux_sym_yield_expression_token1] = ACTIONS(1100),
    [aux_sym_include_expression_token1] = ACTIONS(1100),
    [aux_sym_include_once_expression_token1] = ACTIONS(1100),
    [aux_sym_require_expression_token1] = ACTIONS(1100),
    [aux_sym_require_once_expression_token1] = ACTIONS(1100),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_name] = ACTIONS(1104),
    [anon_sym_QMARK_GT] = ACTIONS(1102),
    [anon_sym_SEMI] = ACTIONS(1102),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1104),
    [aux_sym_global_declaration_token1] = ACTIONS(1104),
    [aux_sym_namespace_definition_token1] = ACTIONS(1104),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1104),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1104),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1104),
    [anon_sym_BSLASH] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [aux_sym_trait_declaration_token1] = ACTIONS(1104),
    [aux_sym_interface_declaration_token1] = ACTIONS(1104),
    [aux_sym_enum_declaration_token1] = ACTIONS(1104),
    [aux_sym_enum_case_token1] = ACTIONS(1104),
    [aux_sym_class_declaration_token1] = ACTIONS(1104),
    [aux_sym_final_modifier_token1] = ACTIONS(1104),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1104),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1104),
    [sym_var_modifier] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1104),
    [aux_sym_cast_type_token1] = ACTIONS(1104),
    [aux_sym_echo_statement_token1] = ACTIONS(1104),
    [aux_sym_exit_statement_token1] = ACTIONS(1104),
    [anon_sym_unset] = ACTIONS(1104),
    [aux_sym_declare_statement_token1] = ACTIONS(1104),
    [aux_sym_declare_statement_token2] = ACTIONS(1104),
    [sym_float] = ACTIONS(1104),
    [aux_sym_try_statement_token1] = ACTIONS(1104),
    [aux_sym_goto_statement_token1] = ACTIONS(1104),
    [aux_sym_continue_statement_token1] = ACTIONS(1104),
    [aux_sym_break_statement_token1] = ACTIONS(1104),
    [sym_integer] = ACTIONS(1104),
    [aux_sym_return_statement_token1] = ACTIONS(1104),
    [aux_sym_throw_expression_token1] = ACTIONS(1104),
    [aux_sym_while_statement_token1] = ACTIONS(1104),
    [aux_sym_while_statement_token2] = ACTIONS(1104),
    [aux_sym_do_statement_token1] = ACTIONS(1104),
    [aux_sym_for_statement_token1] = ACTIONS(1104),
    [aux_sym_for_statement_token2] = ACTIONS(1104),
    [aux_sym_foreach_statement_token1] = ACTIONS(1104),
    [aux_sym_foreach_statement_token2] = ACTIONS(1104),
    [aux_sym_if_statement_token1] = ACTIONS(1104),
    [aux_sym_if_statement_token2] = ACTIONS(1104),
    [aux_sym_else_if_clause_token1] = ACTIONS(1104),
    [aux_sym_else_clause_token1] = ACTIONS(1104),
    [aux_sym_match_expression_token1] = ACTIONS(1104),
    [aux_sym_match_default_expression_token1] = ACTIONS(1104),
    [aux_sym_switch_statement_token1] = ACTIONS(1104),
    [aux_sym_switch_block_token1] = ACTIONS(1104),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1102),
    [anon_sym_AT] = ACTIONS(1102),
    [aux_sym_clone_expression_token1] = ACTIONS(1104),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1104),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1104),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [aux_sym__list_destructing_token1] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_self] = ACTIONS(1104),
    [anon_sym_parent] = ACTIONS(1104),
    [aux_sym__argument_name_token1] = ACTIONS(1104),
    [aux_sym__argument_name_token2] = ACTIONS(1104),
    [anon_sym_POUND_LBRACK] = ACTIONS(1102),
    [aux_sym_encapsed_string_token1] = ACTIONS(1102),
    [anon_sym_DQUOTE] = ACTIONS(1102),
    [aux_sym_string_token1] = ACTIONS(1102),
    [anon_sym_SQUOTE] = ACTIONS(1102),
    [anon_sym_LT_LT_LT] = ACTIONS(1102),
    [anon_sym_BQUOTE] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1102),
    [aux_sym_yield_expression_token1] = ACTIONS(1104),
    [aux_sym_include_expression_token1] = ACTIONS(1104),
    [aux_sym_include_once_expression_token1] = ACTIONS(1104),
    [aux_sym_require_expression_token1] = ACTIONS(1104),
    [aux_sym_require_once_expression_token1] = ACTIONS(1104),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_name] = ACTIONS(1108),
    [anon_sym_QMARK_GT] = ACTIONS(1106),
    [anon_sym_SEMI] = ACTIONS(1106),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1108),
    [aux_sym_global_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_definition_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1108),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1108),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1108),
    [anon_sym_BSLASH] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [aux_sym_trait_declaration_token1] = ACTIONS(1108),
    [aux_sym_interface_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_case_token1] = ACTIONS(1108),
    [aux_sym_class_declaration_token1] = ACTIONS(1108),
    [aux_sym_final_modifier_token1] = ACTIONS(1108),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1108),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1108),
    [sym_var_modifier] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1108),
    [aux_sym_cast_type_token1] = ACTIONS(1108),
    [aux_sym_echo_statement_token1] = ACTIONS(1108),
    [aux_sym_exit_statement_token1] = ACTIONS(1108),
    [anon_sym_unset] = ACTIONS(1108),
    [aux_sym_declare_statement_token1] = ACTIONS(1108),
    [aux_sym_declare_statement_token2] = ACTIONS(1108),
    [sym_float] = ACTIONS(1108),
    [aux_sym_try_statement_token1] = ACTIONS(1108),
    [aux_sym_goto_statement_token1] = ACTIONS(1108),
    [aux_sym_continue_statement_token1] = ACTIONS(1108),
    [aux_sym_break_statement_token1] = ACTIONS(1108),
    [sym_integer] = ACTIONS(1108),
    [aux_sym_return_statement_token1] = ACTIONS(1108),
    [aux_sym_throw_expression_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token2] = ACTIONS(1108),
    [aux_sym_do_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token2] = ACTIONS(1108),
    [aux_sym_foreach_statement_token1] = ACTIONS(1108),
    [aux_sym_foreach_statement_token2] = ACTIONS(1108),
    [aux_sym_if_statement_token1] = ACTIONS(1108),
    [aux_sym_if_statement_token2] = ACTIONS(1108),
    [aux_sym_else_if_clause_token1] = ACTIONS(1108),
    [aux_sym_else_clause_token1] = ACTIONS(1108),
    [aux_sym_match_expression_token1] = ACTIONS(1108),
    [aux_sym_match_default_expression_token1] = ACTIONS(1108),
    [aux_sym_switch_statement_token1] = ACTIONS(1108),
    [aux_sym_switch_block_token1] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_AT] = ACTIONS(1106),
    [aux_sym_clone_expression_token1] = ACTIONS(1108),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1108),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1108),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [aux_sym__list_destructing_token1] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_self] = ACTIONS(1108),
    [anon_sym_parent] = ACTIONS(1108),
    [aux_sym__argument_name_token1] = ACTIONS(1108),
    [aux_sym__argument_name_token2] = ACTIONS(1108),
    [anon_sym_POUND_LBRACK] = ACTIONS(1106),
    [aux_sym_encapsed_string_token1] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [aux_sym_string_token1] = ACTIONS(1106),
    [anon_sym_SQUOTE] = ACTIONS(1106),
    [anon_sym_LT_LT_LT] = ACTIONS(1106),
    [anon_sym_BQUOTE] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1106),
    [aux_sym_yield_expression_token1] = ACTIONS(1108),
    [aux_sym_include_expression_token1] = ACTIONS(1108),
    [aux_sym_include_once_expression_token1] = ACTIONS(1108),
    [aux_sym_require_expression_token1] = ACTIONS(1108),
    [aux_sym_require_once_expression_token1] = ACTIONS(1108),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_name] = ACTIONS(1112),
    [anon_sym_QMARK_GT] = ACTIONS(1110),
    [anon_sym_SEMI] = ACTIONS(1110),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1112),
    [aux_sym_global_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_definition_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1112),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1112),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [aux_sym_trait_declaration_token1] = ACTIONS(1112),
    [aux_sym_interface_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_case_token1] = ACTIONS(1112),
    [aux_sym_class_declaration_token1] = ACTIONS(1112),
    [aux_sym_final_modifier_token1] = ACTIONS(1112),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1112),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1112),
    [sym_var_modifier] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1112),
    [aux_sym_cast_type_token1] = ACTIONS(1112),
    [aux_sym_echo_statement_token1] = ACTIONS(1112),
    [aux_sym_exit_statement_token1] = ACTIONS(1112),
    [anon_sym_unset] = ACTIONS(1112),
    [aux_sym_declare_statement_token1] = ACTIONS(1112),
    [aux_sym_declare_statement_token2] = ACTIONS(1112),
    [sym_float] = ACTIONS(1112),
    [aux_sym_try_statement_token1] = ACTIONS(1112),
    [aux_sym_goto_statement_token1] = ACTIONS(1112),
    [aux_sym_continue_statement_token1] = ACTIONS(1112),
    [aux_sym_break_statement_token1] = ACTIONS(1112),
    [sym_integer] = ACTIONS(1112),
    [aux_sym_return_statement_token1] = ACTIONS(1112),
    [aux_sym_throw_expression_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token2] = ACTIONS(1112),
    [aux_sym_do_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token2] = ACTIONS(1112),
    [aux_sym_foreach_statement_token1] = ACTIONS(1112),
    [aux_sym_foreach_statement_token2] = ACTIONS(1112),
    [aux_sym_if_statement_token1] = ACTIONS(1112),
    [aux_sym_if_statement_token2] = ACTIONS(1112),
    [aux_sym_else_if_clause_token1] = ACTIONS(1112),
    [aux_sym_else_clause_token1] = ACTIONS(1112),
    [aux_sym_match_expression_token1] = ACTIONS(1112),
    [aux_sym_match_default_expression_token1] = ACTIONS(1112),
    [aux_sym_switch_statement_token1] = ACTIONS(1112),
    [aux_sym_switch_block_token1] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_AT] = ACTIONS(1110),
    [aux_sym_clone_expression_token1] = ACTIONS(1112),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1112),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [aux_sym__list_destructing_token1] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_self] = ACTIONS(1112),
    [anon_sym_parent] = ACTIONS(1112),
    [aux_sym__argument_name_token1] = ACTIONS(1112),
    [aux_sym__argument_name_token2] = ACTIONS(1112),
    [anon_sym_POUND_LBRACK] = ACTIONS(1110),
    [aux_sym_encapsed_string_token1] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [aux_sym_string_token1] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1110),
    [anon_sym_LT_LT_LT] = ACTIONS(1110),
    [anon_sym_BQUOTE] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [aux_sym_yield_expression_token1] = ACTIONS(1112),
    [aux_sym_include_expression_token1] = ACTIONS(1112),
    [aux_sym_include_once_expression_token1] = ACTIONS(1112),
    [aux_sym_require_expression_token1] = ACTIONS(1112),
    [aux_sym_require_once_expression_token1] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_name] = ACTIONS(1116),
    [anon_sym_QMARK_GT] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1116),
    [aux_sym_global_declaration_token1] = ACTIONS(1116),
    [aux_sym_namespace_definition_token1] = ACTIONS(1116),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1116),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1116),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1116),
    [anon_sym_BSLASH] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [aux_sym_trait_declaration_token1] = ACTIONS(1116),
    [aux_sym_interface_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_case_token1] = ACTIONS(1116),
    [aux_sym_class_declaration_token1] = ACTIONS(1116),
    [aux_sym_final_modifier_token1] = ACTIONS(1116),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1116),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1116),
    [sym_var_modifier] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1116),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1116),
    [aux_sym_cast_type_token1] = ACTIONS(1116),
    [aux_sym_echo_statement_token1] = ACTIONS(1116),
    [aux_sym_exit_statement_token1] = ACTIONS(1116),
    [anon_sym_unset] = ACTIONS(1116),
    [aux_sym_declare_statement_token1] = ACTIONS(1116),
    [aux_sym_declare_statement_token2] = ACTIONS(1116),
    [sym_float] = ACTIONS(1116),
    [aux_sym_try_statement_token1] = ACTIONS(1116),
    [aux_sym_goto_statement_token1] = ACTIONS(1116),
    [aux_sym_continue_statement_token1] = ACTIONS(1116),
    [aux_sym_break_statement_token1] = ACTIONS(1116),
    [sym_integer] = ACTIONS(1116),
    [aux_sym_return_statement_token1] = ACTIONS(1116),
    [aux_sym_throw_expression_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token2] = ACTIONS(1116),
    [aux_sym_do_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token2] = ACTIONS(1116),
    [aux_sym_foreach_statement_token1] = ACTIONS(1116),
    [aux_sym_foreach_statement_token2] = ACTIONS(1116),
    [aux_sym_if_statement_token1] = ACTIONS(1116),
    [aux_sym_if_statement_token2] = ACTIONS(1116),
    [aux_sym_else_if_clause_token1] = ACTIONS(1116),
    [aux_sym_else_clause_token1] = ACTIONS(1116),
    [aux_sym_match_expression_token1] = ACTIONS(1116),
    [aux_sym_match_default_expression_token1] = ACTIONS(1116),
    [aux_sym_switch_statement_token1] = ACTIONS(1116),
    [aux_sym_switch_block_token1] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1114),
    [aux_sym_clone_expression_token1] = ACTIONS(1116),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1116),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [aux_sym__list_destructing_token1] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1114),
    [anon_sym_self] = ACTIONS(1116),
    [anon_sym_parent] = ACTIONS(1116),
    [aux_sym__argument_name_token1] = ACTIONS(1116),
    [aux_sym__argument_name_token2] = ACTIONS(1116),
    [anon_sym_POUND_LBRACK] = ACTIONS(1114),
    [aux_sym_encapsed_string_token1] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [aux_sym_string_token1] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_LT_LT_LT] = ACTIONS(1114),
    [anon_sym_BQUOTE] = ACTIONS(1114),
    [anon_sym_DOLLAR] = ACTIONS(1114),
    [aux_sym_yield_expression_token1] = ACTIONS(1116),
    [aux_sym_include_expression_token1] = ACTIONS(1116),
    [aux_sym_include_once_expression_token1] = ACTIONS(1116),
    [aux_sym_require_expression_token1] = ACTIONS(1116),
    [aux_sym_require_once_expression_token1] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_name] = ACTIONS(1120),
    [anon_sym_QMARK_GT] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1120),
    [aux_sym_global_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_definition_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1120),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1120),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1120),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [aux_sym_trait_declaration_token1] = ACTIONS(1120),
    [aux_sym_interface_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_case_token1] = ACTIONS(1120),
    [aux_sym_class_declaration_token1] = ACTIONS(1120),
    [aux_sym_final_modifier_token1] = ACTIONS(1120),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1120),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1120),
    [sym_var_modifier] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(1118),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1120),
    [aux_sym_cast_type_token1] = ACTIONS(1120),
    [aux_sym_echo_statement_token1] = ACTIONS(1120),
    [aux_sym_exit_statement_token1] = ACTIONS(1120),
    [anon_sym_unset] = ACTIONS(1120),
    [aux_sym_declare_statement_token1] = ACTIONS(1120),
    [aux_sym_declare_statement_token2] = ACTIONS(1120),
    [sym_float] = ACTIONS(1120),
    [aux_sym_try_statement_token1] = ACTIONS(1120),
    [aux_sym_goto_statement_token1] = ACTIONS(1120),
    [aux_sym_continue_statement_token1] = ACTIONS(1120),
    [aux_sym_break_statement_token1] = ACTIONS(1120),
    [sym_integer] = ACTIONS(1120),
    [aux_sym_return_statement_token1] = ACTIONS(1120),
    [aux_sym_throw_expression_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token2] = ACTIONS(1120),
    [aux_sym_do_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token2] = ACTIONS(1120),
    [aux_sym_foreach_statement_token1] = ACTIONS(1120),
    [aux_sym_foreach_statement_token2] = ACTIONS(1120),
    [aux_sym_if_statement_token1] = ACTIONS(1120),
    [aux_sym_if_statement_token2] = ACTIONS(1120),
    [aux_sym_else_if_clause_token1] = ACTIONS(1120),
    [aux_sym_else_clause_token1] = ACTIONS(1120),
    [aux_sym_match_expression_token1] = ACTIONS(1120),
    [aux_sym_match_default_expression_token1] = ACTIONS(1120),
    [aux_sym_switch_statement_token1] = ACTIONS(1120),
    [aux_sym_switch_block_token1] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_AT] = ACTIONS(1118),
    [aux_sym_clone_expression_token1] = ACTIONS(1120),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1120),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [aux_sym__list_destructing_token1] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_self] = ACTIONS(1120),
    [anon_sym_parent] = ACTIONS(1120),
    [aux_sym__argument_name_token1] = ACTIONS(1120),
    [aux_sym__argument_name_token2] = ACTIONS(1120),
    [anon_sym_POUND_LBRACK] = ACTIONS(1118),
    [aux_sym_encapsed_string_token1] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [aux_sym_string_token1] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_LT_LT_LT] = ACTIONS(1118),
    [anon_sym_BQUOTE] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [aux_sym_yield_expression_token1] = ACTIONS(1120),
    [aux_sym_include_expression_token1] = ACTIONS(1120),
    [aux_sym_include_once_expression_token1] = ACTIONS(1120),
    [aux_sym_require_expression_token1] = ACTIONS(1120),
    [aux_sym_require_once_expression_token1] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_name] = ACTIONS(1124),
    [anon_sym_QMARK_GT] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1122),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1124),
    [aux_sym_global_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_definition_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1124),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1124),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1124),
    [anon_sym_BSLASH] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [aux_sym_trait_declaration_token1] = ACTIONS(1124),
    [aux_sym_interface_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_case_token1] = ACTIONS(1124),
    [aux_sym_class_declaration_token1] = ACTIONS(1124),
    [aux_sym_final_modifier_token1] = ACTIONS(1124),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1124),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1124),
    [sym_var_modifier] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1124),
    [aux_sym_cast_type_token1] = ACTIONS(1124),
    [aux_sym_echo_statement_token1] = ACTIONS(1124),
    [aux_sym_exit_statement_token1] = ACTIONS(1124),
    [anon_sym_unset] = ACTIONS(1124),
    [aux_sym_declare_statement_token1] = ACTIONS(1124),
    [aux_sym_declare_statement_token2] = ACTIONS(1124),
    [sym_float] = ACTIONS(1124),
    [aux_sym_try_statement_token1] = ACTIONS(1124),
    [aux_sym_goto_statement_token1] = ACTIONS(1124),
    [aux_sym_continue_statement_token1] = ACTIONS(1124),
    [aux_sym_break_statement_token1] = ACTIONS(1124),
    [sym_integer] = ACTIONS(1124),
    [aux_sym_return_statement_token1] = ACTIONS(1124),
    [aux_sym_throw_expression_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token2] = ACTIONS(1124),
    [aux_sym_do_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token2] = ACTIONS(1124),
    [aux_sym_foreach_statement_token1] = ACTIONS(1124),
    [aux_sym_foreach_statement_token2] = ACTIONS(1124),
    [aux_sym_if_statement_token1] = ACTIONS(1124),
    [aux_sym_if_statement_token2] = ACTIONS(1124),
    [aux_sym_else_if_clause_token1] = ACTIONS(1124),
    [aux_sym_else_clause_token1] = ACTIONS(1124),
    [aux_sym_match_expression_token1] = ACTIONS(1124),
    [aux_sym_match_default_expression_token1] = ACTIONS(1124),
    [aux_sym_switch_statement_token1] = ACTIONS(1124),
    [aux_sym_switch_block_token1] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1122),
    [aux_sym_clone_expression_token1] = ACTIONS(1124),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1124),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1124),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [aux_sym__list_destructing_token1] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_self] = ACTIONS(1124),
    [anon_sym_parent] = ACTIONS(1124),
    [aux_sym__argument_name_token1] = ACTIONS(1124),
    [aux_sym__argument_name_token2] = ACTIONS(1124),
    [anon_sym_POUND_LBRACK] = ACTIONS(1122),
    [aux_sym_encapsed_string_token1] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [aux_sym_string_token1] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [anon_sym_LT_LT_LT] = ACTIONS(1122),
    [anon_sym_BQUOTE] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1122),
    [aux_sym_yield_expression_token1] = ACTIONS(1124),
    [aux_sym_include_expression_token1] = ACTIONS(1124),
    [aux_sym_include_once_expression_token1] = ACTIONS(1124),
    [aux_sym_require_expression_token1] = ACTIONS(1124),
    [aux_sym_require_once_expression_token1] = ACTIONS(1124),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_name] = ACTIONS(1128),
    [anon_sym_QMARK_GT] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1126),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1128),
    [aux_sym_global_declaration_token1] = ACTIONS(1128),
    [aux_sym_namespace_definition_token1] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1128),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1128),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1128),
    [anon_sym_BSLASH] = ACTIONS(1126),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [aux_sym_trait_declaration_token1] = ACTIONS(1128),
    [aux_sym_interface_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_case_token1] = ACTIONS(1128),
    [aux_sym_class_declaration_token1] = ACTIONS(1128),
    [aux_sym_final_modifier_token1] = ACTIONS(1128),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1128),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1128),
    [sym_var_modifier] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(1126),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1128),
    [aux_sym_cast_type_token1] = ACTIONS(1128),
    [aux_sym_echo_statement_token1] = ACTIONS(1128),
    [aux_sym_exit_statement_token1] = ACTIONS(1128),
    [anon_sym_unset] = ACTIONS(1128),
    [aux_sym_declare_statement_token1] = ACTIONS(1128),
    [aux_sym_declare_statement_token2] = ACTIONS(1128),
    [sym_float] = ACTIONS(1128),
    [aux_sym_try_statement_token1] = ACTIONS(1128),
    [aux_sym_goto_statement_token1] = ACTIONS(1128),
    [aux_sym_continue_statement_token1] = ACTIONS(1128),
    [aux_sym_break_statement_token1] = ACTIONS(1128),
    [sym_integer] = ACTIONS(1128),
    [aux_sym_return_statement_token1] = ACTIONS(1128),
    [aux_sym_throw_expression_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token2] = ACTIONS(1128),
    [aux_sym_do_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token2] = ACTIONS(1128),
    [aux_sym_foreach_statement_token1] = ACTIONS(1128),
    [aux_sym_foreach_statement_token2] = ACTIONS(1128),
    [aux_sym_if_statement_token1] = ACTIONS(1128),
    [aux_sym_if_statement_token2] = ACTIONS(1128),
    [aux_sym_else_if_clause_token1] = ACTIONS(1128),
    [aux_sym_else_clause_token1] = ACTIONS(1128),
    [aux_sym_match_expression_token1] = ACTIONS(1128),
    [aux_sym_match_default_expression_token1] = ACTIONS(1128),
    [aux_sym_switch_statement_token1] = ACTIONS(1128),
    [aux_sym_switch_block_token1] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_AT] = ACTIONS(1126),
    [aux_sym_clone_expression_token1] = ACTIONS(1128),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1128),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [aux_sym__list_destructing_token1] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_self] = ACTIONS(1128),
    [anon_sym_parent] = ACTIONS(1128),
    [aux_sym__argument_name_token1] = ACTIONS(1128),
    [aux_sym__argument_name_token2] = ACTIONS(1128),
    [anon_sym_POUND_LBRACK] = ACTIONS(1126),
    [aux_sym_encapsed_string_token1] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [aux_sym_string_token1] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [anon_sym_LT_LT_LT] = ACTIONS(1126),
    [anon_sym_BQUOTE] = ACTIONS(1126),
    [anon_sym_DOLLAR] = ACTIONS(1126),
    [aux_sym_yield_expression_token1] = ACTIONS(1128),
    [aux_sym_include_expression_token1] = ACTIONS(1128),
    [aux_sym_include_once_expression_token1] = ACTIONS(1128),
    [aux_sym_require_expression_token1] = ACTIONS(1128),
    [aux_sym_require_once_expression_token1] = ACTIONS(1128),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_name] = ACTIONS(1132),
    [anon_sym_QMARK_GT] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1132),
    [aux_sym_global_declaration_token1] = ACTIONS(1132),
    [aux_sym_namespace_definition_token1] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1132),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1132),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1132),
    [anon_sym_BSLASH] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [aux_sym_trait_declaration_token1] = ACTIONS(1132),
    [aux_sym_interface_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_case_token1] = ACTIONS(1132),
    [aux_sym_class_declaration_token1] = ACTIONS(1132),
    [aux_sym_final_modifier_token1] = ACTIONS(1132),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1132),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1132),
    [sym_var_modifier] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1132),
    [aux_sym_cast_type_token1] = ACTIONS(1132),
    [aux_sym_echo_statement_token1] = ACTIONS(1132),
    [aux_sym_exit_statement_token1] = ACTIONS(1132),
    [anon_sym_unset] = ACTIONS(1132),
    [aux_sym_declare_statement_token1] = ACTIONS(1132),
    [aux_sym_declare_statement_token2] = ACTIONS(1132),
    [sym_float] = ACTIONS(1132),
    [aux_sym_try_statement_token1] = ACTIONS(1132),
    [aux_sym_goto_statement_token1] = ACTIONS(1132),
    [aux_sym_continue_statement_token1] = ACTIONS(1132),
    [aux_sym_break_statement_token1] = ACTIONS(1132),
    [sym_integer] = ACTIONS(1132),
    [aux_sym_return_statement_token1] = ACTIONS(1132),
    [aux_sym_throw_expression_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token2] = ACTIONS(1132),
    [aux_sym_do_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token2] = ACTIONS(1132),
    [aux_sym_foreach_statement_token1] = ACTIONS(1132),
    [aux_sym_foreach_statement_token2] = ACTIONS(1132),
    [aux_sym_if_statement_token1] = ACTIONS(1132),
    [aux_sym_if_statement_token2] = ACTIONS(1132),
    [aux_sym_else_if_clause_token1] = ACTIONS(1132),
    [aux_sym_else_clause_token1] = ACTIONS(1132),
    [aux_sym_match_expression_token1] = ACTIONS(1132),
    [aux_sym_match_default_expression_token1] = ACTIONS(1132),
    [aux_sym_switch_statement_token1] = ACTIONS(1132),
    [aux_sym_switch_block_token1] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_AT] = ACTIONS(1130),
    [aux_sym_clone_expression_token1] = ACTIONS(1132),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1132),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [aux_sym__list_destructing_token1] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_self] = ACTIONS(1132),
    [anon_sym_parent] = ACTIONS(1132),
    [aux_sym__argument_name_token1] = ACTIONS(1132),
    [aux_sym__argument_name_token2] = ACTIONS(1132),
    [anon_sym_POUND_LBRACK] = ACTIONS(1130),
    [aux_sym_encapsed_string_token1] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [aux_sym_string_token1] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [anon_sym_LT_LT_LT] = ACTIONS(1130),
    [anon_sym_BQUOTE] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [aux_sym_yield_expression_token1] = ACTIONS(1132),
    [aux_sym_include_expression_token1] = ACTIONS(1132),
    [aux_sym_include_once_expression_token1] = ACTIONS(1132),
    [aux_sym_require_expression_token1] = ACTIONS(1132),
    [aux_sym_require_once_expression_token1] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_name] = ACTIONS(1136),
    [anon_sym_QMARK_GT] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1136),
    [aux_sym_global_declaration_token1] = ACTIONS(1136),
    [aux_sym_namespace_definition_token1] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1136),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1136),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1136),
    [anon_sym_BSLASH] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [aux_sym_trait_declaration_token1] = ACTIONS(1136),
    [aux_sym_interface_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_case_token1] = ACTIONS(1136),
    [aux_sym_class_declaration_token1] = ACTIONS(1136),
    [aux_sym_final_modifier_token1] = ACTIONS(1136),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1136),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1136),
    [sym_var_modifier] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1136),
    [aux_sym_cast_type_token1] = ACTIONS(1136),
    [aux_sym_echo_statement_token1] = ACTIONS(1136),
    [aux_sym_exit_statement_token1] = ACTIONS(1136),
    [anon_sym_unset] = ACTIONS(1136),
    [aux_sym_declare_statement_token1] = ACTIONS(1136),
    [aux_sym_declare_statement_token2] = ACTIONS(1136),
    [sym_float] = ACTIONS(1136),
    [aux_sym_try_statement_token1] = ACTIONS(1136),
    [aux_sym_goto_statement_token1] = ACTIONS(1136),
    [aux_sym_continue_statement_token1] = ACTIONS(1136),
    [aux_sym_break_statement_token1] = ACTIONS(1136),
    [sym_integer] = ACTIONS(1136),
    [aux_sym_return_statement_token1] = ACTIONS(1136),
    [aux_sym_throw_expression_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token2] = ACTIONS(1136),
    [aux_sym_do_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token2] = ACTIONS(1136),
    [aux_sym_foreach_statement_token1] = ACTIONS(1136),
    [aux_sym_foreach_statement_token2] = ACTIONS(1136),
    [aux_sym_if_statement_token1] = ACTIONS(1136),
    [aux_sym_if_statement_token2] = ACTIONS(1136),
    [aux_sym_else_if_clause_token1] = ACTIONS(1136),
    [aux_sym_else_clause_token1] = ACTIONS(1136),
    [aux_sym_match_expression_token1] = ACTIONS(1136),
    [aux_sym_match_default_expression_token1] = ACTIONS(1136),
    [aux_sym_switch_statement_token1] = ACTIONS(1136),
    [aux_sym_switch_block_token1] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1134),
    [aux_sym_clone_expression_token1] = ACTIONS(1136),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1136),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [aux_sym__list_destructing_token1] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_self] = ACTIONS(1136),
    [anon_sym_parent] = ACTIONS(1136),
    [aux_sym__argument_name_token1] = ACTIONS(1136),
    [aux_sym__argument_name_token2] = ACTIONS(1136),
    [anon_sym_POUND_LBRACK] = ACTIONS(1134),
    [aux_sym_encapsed_string_token1] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [aux_sym_string_token1] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_LT_LT_LT] = ACTIONS(1134),
    [anon_sym_BQUOTE] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1134),
    [aux_sym_yield_expression_token1] = ACTIONS(1136),
    [aux_sym_include_expression_token1] = ACTIONS(1136),
    [aux_sym_include_once_expression_token1] = ACTIONS(1136),
    [aux_sym_require_expression_token1] = ACTIONS(1136),
    [aux_sym_require_once_expression_token1] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_name] = ACTIONS(1140),
    [anon_sym_QMARK_GT] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1140),
    [aux_sym_global_declaration_token1] = ACTIONS(1140),
    [aux_sym_namespace_definition_token1] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1140),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1140),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1140),
    [anon_sym_BSLASH] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [aux_sym_trait_declaration_token1] = ACTIONS(1140),
    [aux_sym_interface_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_case_token1] = ACTIONS(1140),
    [aux_sym_class_declaration_token1] = ACTIONS(1140),
    [aux_sym_final_modifier_token1] = ACTIONS(1140),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1140),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1140),
    [sym_var_modifier] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1140),
    [aux_sym_echo_statement_token1] = ACTIONS(1140),
    [aux_sym_exit_statement_token1] = ACTIONS(1140),
    [anon_sym_unset] = ACTIONS(1140),
    [aux_sym_declare_statement_token1] = ACTIONS(1140),
    [aux_sym_declare_statement_token2] = ACTIONS(1140),
    [sym_float] = ACTIONS(1140),
    [aux_sym_try_statement_token1] = ACTIONS(1140),
    [aux_sym_goto_statement_token1] = ACTIONS(1140),
    [aux_sym_continue_statement_token1] = ACTIONS(1140),
    [aux_sym_break_statement_token1] = ACTIONS(1140),
    [sym_integer] = ACTIONS(1140),
    [aux_sym_return_statement_token1] = ACTIONS(1140),
    [aux_sym_throw_expression_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token2] = ACTIONS(1140),
    [aux_sym_do_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token2] = ACTIONS(1140),
    [aux_sym_foreach_statement_token1] = ACTIONS(1140),
    [aux_sym_foreach_statement_token2] = ACTIONS(1140),
    [aux_sym_if_statement_token1] = ACTIONS(1140),
    [aux_sym_if_statement_token2] = ACTIONS(1140),
    [aux_sym_else_if_clause_token1] = ACTIONS(1140),
    [aux_sym_else_clause_token1] = ACTIONS(1140),
    [aux_sym_match_expression_token1] = ACTIONS(1140),
    [aux_sym_match_default_expression_token1] = ACTIONS(1140),
    [aux_sym_switch_statement_token1] = ACTIONS(1140),
    [aux_sym_switch_block_token1] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1138),
    [aux_sym_clone_expression_token1] = ACTIONS(1140),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1140),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [aux_sym__list_destructing_token1] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_self] = ACTIONS(1140),
    [anon_sym_parent] = ACTIONS(1140),
    [aux_sym__argument_name_token1] = ACTIONS(1140),
    [aux_sym__argument_name_token2] = ACTIONS(1140),
    [anon_sym_POUND_LBRACK] = ACTIONS(1138),
    [aux_sym_encapsed_string_token1] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [aux_sym_string_token1] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_LT_LT_LT] = ACTIONS(1138),
    [anon_sym_BQUOTE] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1138),
    [aux_sym_yield_expression_token1] = ACTIONS(1140),
    [aux_sym_include_expression_token1] = ACTIONS(1140),
    [aux_sym_include_once_expression_token1] = ACTIONS(1140),
    [aux_sym_require_expression_token1] = ACTIONS(1140),
    [aux_sym_require_once_expression_token1] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_name] = ACTIONS(1144),
    [anon_sym_QMARK_GT] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1144),
    [aux_sym_global_declaration_token1] = ACTIONS(1144),
    [aux_sym_namespace_definition_token1] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1144),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1144),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1144),
    [anon_sym_BSLASH] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [aux_sym_trait_declaration_token1] = ACTIONS(1144),
    [aux_sym_interface_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_case_token1] = ACTIONS(1144),
    [aux_sym_class_declaration_token1] = ACTIONS(1144),
    [aux_sym_final_modifier_token1] = ACTIONS(1144),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1144),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1144),
    [sym_var_modifier] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1144),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1144),
    [aux_sym_echo_statement_token1] = ACTIONS(1144),
    [aux_sym_exit_statement_token1] = ACTIONS(1144),
    [anon_sym_unset] = ACTIONS(1144),
    [aux_sym_declare_statement_token1] = ACTIONS(1144),
    [aux_sym_declare_statement_token2] = ACTIONS(1144),
    [sym_float] = ACTIONS(1144),
    [aux_sym_try_statement_token1] = ACTIONS(1144),
    [aux_sym_goto_statement_token1] = ACTIONS(1144),
    [aux_sym_continue_statement_token1] = ACTIONS(1144),
    [aux_sym_break_statement_token1] = ACTIONS(1144),
    [sym_integer] = ACTIONS(1144),
    [aux_sym_return_statement_token1] = ACTIONS(1144),
    [aux_sym_throw_expression_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token2] = ACTIONS(1144),
    [aux_sym_do_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token2] = ACTIONS(1144),
    [aux_sym_foreach_statement_token1] = ACTIONS(1144),
    [aux_sym_foreach_statement_token2] = ACTIONS(1144),
    [aux_sym_if_statement_token1] = ACTIONS(1144),
    [aux_sym_if_statement_token2] = ACTIONS(1144),
    [aux_sym_else_if_clause_token1] = ACTIONS(1144),
    [aux_sym_else_clause_token1] = ACTIONS(1144),
    [aux_sym_match_expression_token1] = ACTIONS(1144),
    [aux_sym_match_default_expression_token1] = ACTIONS(1144),
    [aux_sym_switch_statement_token1] = ACTIONS(1144),
    [aux_sym_switch_block_token1] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1142),
    [aux_sym_clone_expression_token1] = ACTIONS(1144),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1144),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [aux_sym__list_destructing_token1] = ACTIONS(1144),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_self] = ACTIONS(1144),
    [anon_sym_parent] = ACTIONS(1144),
    [aux_sym__argument_name_token1] = ACTIONS(1144),
    [aux_sym__argument_name_token2] = ACTIONS(1144),
    [anon_sym_POUND_LBRACK] = ACTIONS(1142),
    [aux_sym_encapsed_string_token1] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [aux_sym_string_token1] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_LT_LT_LT] = ACTIONS(1142),
    [anon_sym_BQUOTE] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1142),
    [aux_sym_yield_expression_token1] = ACTIONS(1144),
    [aux_sym_include_expression_token1] = ACTIONS(1144),
    [aux_sym_include_once_expression_token1] = ACTIONS(1144),
    [aux_sym_require_expression_token1] = ACTIONS(1144),
    [aux_sym_require_once_expression_token1] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_name] = ACTIONS(1148),
    [anon_sym_QMARK_GT] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1148),
    [aux_sym_global_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_definition_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1148),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1148),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1148),
    [anon_sym_BSLASH] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [aux_sym_trait_declaration_token1] = ACTIONS(1148),
    [aux_sym_interface_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_case_token1] = ACTIONS(1148),
    [aux_sym_class_declaration_token1] = ACTIONS(1148),
    [aux_sym_final_modifier_token1] = ACTIONS(1148),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1148),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1148),
    [sym_var_modifier] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1148),
    [aux_sym_cast_type_token1] = ACTIONS(1148),
    [aux_sym_echo_statement_token1] = ACTIONS(1148),
    [aux_sym_exit_statement_token1] = ACTIONS(1148),
    [anon_sym_unset] = ACTIONS(1148),
    [aux_sym_declare_statement_token1] = ACTIONS(1148),
    [aux_sym_declare_statement_token2] = ACTIONS(1148),
    [sym_float] = ACTIONS(1148),
    [aux_sym_try_statement_token1] = ACTIONS(1148),
    [aux_sym_goto_statement_token1] = ACTIONS(1148),
    [aux_sym_continue_statement_token1] = ACTIONS(1148),
    [aux_sym_break_statement_token1] = ACTIONS(1148),
    [sym_integer] = ACTIONS(1148),
    [aux_sym_return_statement_token1] = ACTIONS(1148),
    [aux_sym_throw_expression_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token2] = ACTIONS(1148),
    [aux_sym_do_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token2] = ACTIONS(1148),
    [aux_sym_foreach_statement_token1] = ACTIONS(1148),
    [aux_sym_foreach_statement_token2] = ACTIONS(1148),
    [aux_sym_if_statement_token1] = ACTIONS(1148),
    [aux_sym_if_statement_token2] = ACTIONS(1148),
    [aux_sym_else_if_clause_token1] = ACTIONS(1148),
    [aux_sym_else_clause_token1] = ACTIONS(1148),
    [aux_sym_match_expression_token1] = ACTIONS(1148),
    [aux_sym_match_default_expression_token1] = ACTIONS(1148),
    [aux_sym_switch_statement_token1] = ACTIONS(1148),
    [aux_sym_switch_block_token1] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [aux_sym_clone_expression_token1] = ACTIONS(1148),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1148),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [aux_sym__list_destructing_token1] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_self] = ACTIONS(1148),
    [anon_sym_parent] = ACTIONS(1148),
    [aux_sym__argument_name_token1] = ACTIONS(1148),
    [aux_sym__argument_name_token2] = ACTIONS(1148),
    [anon_sym_POUND_LBRACK] = ACTIONS(1146),
    [aux_sym_encapsed_string_token1] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [aux_sym_string_token1] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_LT_LT_LT] = ACTIONS(1146),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [aux_sym_yield_expression_token1] = ACTIONS(1148),
    [aux_sym_include_expression_token1] = ACTIONS(1148),
    [aux_sym_include_once_expression_token1] = ACTIONS(1148),
    [aux_sym_require_expression_token1] = ACTIONS(1148),
    [aux_sym_require_once_expression_token1] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_name] = ACTIONS(1152),
    [anon_sym_QMARK_GT] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1152),
    [aux_sym_global_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_definition_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1152),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1152),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1152),
    [anon_sym_BSLASH] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [aux_sym_trait_declaration_token1] = ACTIONS(1152),
    [aux_sym_interface_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_case_token1] = ACTIONS(1152),
    [aux_sym_class_declaration_token1] = ACTIONS(1152),
    [aux_sym_final_modifier_token1] = ACTIONS(1152),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1152),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1152),
    [sym_var_modifier] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1152),
    [anon_sym_LPAREN] = ACTIONS(1150),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1152),
    [aux_sym_cast_type_token1] = ACTIONS(1152),
    [aux_sym_echo_statement_token1] = ACTIONS(1152),
    [aux_sym_exit_statement_token1] = ACTIONS(1152),
    [anon_sym_unset] = ACTIONS(1152),
    [aux_sym_declare_statement_token1] = ACTIONS(1152),
    [aux_sym_declare_statement_token2] = ACTIONS(1152),
    [sym_float] = ACTIONS(1152),
    [aux_sym_try_statement_token1] = ACTIONS(1152),
    [aux_sym_goto_statement_token1] = ACTIONS(1152),
    [aux_sym_continue_statement_token1] = ACTIONS(1152),
    [aux_sym_break_statement_token1] = ACTIONS(1152),
    [sym_integer] = ACTIONS(1152),
    [aux_sym_return_statement_token1] = ACTIONS(1152),
    [aux_sym_throw_expression_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token2] = ACTIONS(1152),
    [aux_sym_do_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token2] = ACTIONS(1152),
    [aux_sym_foreach_statement_token1] = ACTIONS(1152),
    [aux_sym_foreach_statement_token2] = ACTIONS(1152),
    [aux_sym_if_statement_token1] = ACTIONS(1152),
    [aux_sym_if_statement_token2] = ACTIONS(1152),
    [aux_sym_else_if_clause_token1] = ACTIONS(1152),
    [aux_sym_else_clause_token1] = ACTIONS(1152),
    [aux_sym_match_expression_token1] = ACTIONS(1152),
    [aux_sym_match_default_expression_token1] = ACTIONS(1152),
    [aux_sym_switch_statement_token1] = ACTIONS(1152),
    [aux_sym_switch_block_token1] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(1150),
    [aux_sym_clone_expression_token1] = ACTIONS(1152),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1152),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [aux_sym__list_destructing_token1] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_self] = ACTIONS(1152),
    [anon_sym_parent] = ACTIONS(1152),
    [aux_sym__argument_name_token1] = ACTIONS(1152),
    [aux_sym__argument_name_token2] = ACTIONS(1152),
    [anon_sym_POUND_LBRACK] = ACTIONS(1150),
    [aux_sym_encapsed_string_token1] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [aux_sym_string_token1] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_LT_LT_LT] = ACTIONS(1150),
    [anon_sym_BQUOTE] = ACTIONS(1150),
    [anon_sym_DOLLAR] = ACTIONS(1150),
    [aux_sym_yield_expression_token1] = ACTIONS(1152),
    [aux_sym_include_expression_token1] = ACTIONS(1152),
    [aux_sym_include_once_expression_token1] = ACTIONS(1152),
    [aux_sym_require_expression_token1] = ACTIONS(1152),
    [aux_sym_require_once_expression_token1] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_name] = ACTIONS(1156),
    [anon_sym_QMARK_GT] = ACTIONS(1154),
    [anon_sym_SEMI] = ACTIONS(1154),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1156),
    [aux_sym_global_declaration_token1] = ACTIONS(1156),
    [aux_sym_namespace_definition_token1] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1156),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1156),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1156),
    [anon_sym_BSLASH] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [aux_sym_trait_declaration_token1] = ACTIONS(1156),
    [aux_sym_interface_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_case_token1] = ACTIONS(1156),
    [aux_sym_class_declaration_token1] = ACTIONS(1156),
    [aux_sym_final_modifier_token1] = ACTIONS(1156),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1156),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1156),
    [sym_var_modifier] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1156),
    [anon_sym_LPAREN] = ACTIONS(1154),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1156),
    [aux_sym_cast_type_token1] = ACTIONS(1156),
    [aux_sym_echo_statement_token1] = ACTIONS(1156),
    [aux_sym_exit_statement_token1] = ACTIONS(1156),
    [anon_sym_unset] = ACTIONS(1156),
    [aux_sym_declare_statement_token1] = ACTIONS(1156),
    [aux_sym_declare_statement_token2] = ACTIONS(1156),
    [sym_float] = ACTIONS(1156),
    [aux_sym_try_statement_token1] = ACTIONS(1156),
    [aux_sym_goto_statement_token1] = ACTIONS(1156),
    [aux_sym_continue_statement_token1] = ACTIONS(1156),
    [aux_sym_break_statement_token1] = ACTIONS(1156),
    [sym_integer] = ACTIONS(1156),
    [aux_sym_return_statement_token1] = ACTIONS(1156),
    [aux_sym_throw_expression_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token2] = ACTIONS(1156),
    [aux_sym_do_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token2] = ACTIONS(1156),
    [aux_sym_foreach_statement_token1] = ACTIONS(1156),
    [aux_sym_foreach_statement_token2] = ACTIONS(1156),
    [aux_sym_if_statement_token1] = ACTIONS(1156),
    [aux_sym_if_statement_token2] = ACTIONS(1156),
    [aux_sym_else_if_clause_token1] = ACTIONS(1156),
    [aux_sym_else_clause_token1] = ACTIONS(1156),
    [aux_sym_match_expression_token1] = ACTIONS(1156),
    [aux_sym_match_default_expression_token1] = ACTIONS(1156),
    [aux_sym_switch_statement_token1] = ACTIONS(1156),
    [aux_sym_switch_block_token1] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_AT] = ACTIONS(1154),
    [aux_sym_clone_expression_token1] = ACTIONS(1156),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1156),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [aux_sym__list_destructing_token1] = ACTIONS(1156),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_self] = ACTIONS(1156),
    [anon_sym_parent] = ACTIONS(1156),
    [aux_sym__argument_name_token1] = ACTIONS(1156),
    [aux_sym__argument_name_token2] = ACTIONS(1156),
    [anon_sym_POUND_LBRACK] = ACTIONS(1154),
    [aux_sym_encapsed_string_token1] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [aux_sym_string_token1] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [anon_sym_LT_LT_LT] = ACTIONS(1154),
    [anon_sym_BQUOTE] = ACTIONS(1154),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [aux_sym_yield_expression_token1] = ACTIONS(1156),
    [aux_sym_include_expression_token1] = ACTIONS(1156),
    [aux_sym_include_once_expression_token1] = ACTIONS(1156),
    [aux_sym_require_expression_token1] = ACTIONS(1156),
    [aux_sym_require_once_expression_token1] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1158),
    [sym_name] = ACTIONS(1160),
    [anon_sym_QMARK_GT] = ACTIONS(1158),
    [anon_sym_SEMI] = ACTIONS(1158),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1160),
    [aux_sym_global_declaration_token1] = ACTIONS(1160),
    [aux_sym_namespace_definition_token1] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1160),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1160),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1160),
    [anon_sym_BSLASH] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [aux_sym_trait_declaration_token1] = ACTIONS(1160),
    [aux_sym_interface_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_case_token1] = ACTIONS(1160),
    [aux_sym_class_declaration_token1] = ACTIONS(1160),
    [aux_sym_final_modifier_token1] = ACTIONS(1160),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1160),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1160),
    [sym_var_modifier] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(1158),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1160),
    [aux_sym_cast_type_token1] = ACTIONS(1160),
    [aux_sym_echo_statement_token1] = ACTIONS(1160),
    [aux_sym_exit_statement_token1] = ACTIONS(1160),
    [anon_sym_unset] = ACTIONS(1160),
    [aux_sym_declare_statement_token1] = ACTIONS(1160),
    [aux_sym_declare_statement_token2] = ACTIONS(1160),
    [sym_float] = ACTIONS(1160),
    [aux_sym_try_statement_token1] = ACTIONS(1160),
    [aux_sym_goto_statement_token1] = ACTIONS(1160),
    [aux_sym_continue_statement_token1] = ACTIONS(1160),
    [aux_sym_break_statement_token1] = ACTIONS(1160),
    [sym_integer] = ACTIONS(1160),
    [aux_sym_return_statement_token1] = ACTIONS(1160),
    [aux_sym_throw_expression_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token2] = ACTIONS(1160),
    [aux_sym_do_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token2] = ACTIONS(1160),
    [aux_sym_foreach_statement_token1] = ACTIONS(1160),
    [aux_sym_foreach_statement_token2] = ACTIONS(1160),
    [aux_sym_if_statement_token1] = ACTIONS(1160),
    [aux_sym_if_statement_token2] = ACTIONS(1160),
    [aux_sym_else_if_clause_token1] = ACTIONS(1160),
    [aux_sym_else_clause_token1] = ACTIONS(1160),
    [aux_sym_match_expression_token1] = ACTIONS(1160),
    [aux_sym_match_default_expression_token1] = ACTIONS(1160),
    [aux_sym_switch_statement_token1] = ACTIONS(1160),
    [aux_sym_switch_block_token1] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_AT] = ACTIONS(1158),
    [aux_sym_clone_expression_token1] = ACTIONS(1160),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1160),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [aux_sym__list_destructing_token1] = ACTIONS(1160),
    [anon_sym_LBRACK] = ACTIONS(1158),
    [anon_sym_self] = ACTIONS(1160),
    [anon_sym_parent] = ACTIONS(1160),
    [aux_sym__argument_name_token1] = ACTIONS(1160),
    [aux_sym__argument_name_token2] = ACTIONS(1160),
    [anon_sym_POUND_LBRACK] = ACTIONS(1158),
    [aux_sym_encapsed_string_token1] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [aux_sym_string_token1] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [anon_sym_LT_LT_LT] = ACTIONS(1158),
    [anon_sym_BQUOTE] = ACTIONS(1158),
    [anon_sym_DOLLAR] = ACTIONS(1158),
    [aux_sym_yield_expression_token1] = ACTIONS(1160),
    [aux_sym_include_expression_token1] = ACTIONS(1160),
    [aux_sym_include_once_expression_token1] = ACTIONS(1160),
    [aux_sym_require_expression_token1] = ACTIONS(1160),
    [aux_sym_require_once_expression_token1] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1162),
    [sym_name] = ACTIONS(1164),
    [anon_sym_QMARK_GT] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1162),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1164),
    [aux_sym_global_declaration_token1] = ACTIONS(1164),
    [aux_sym_namespace_definition_token1] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1164),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1164),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1164),
    [anon_sym_BSLASH] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [aux_sym_trait_declaration_token1] = ACTIONS(1164),
    [aux_sym_interface_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_case_token1] = ACTIONS(1164),
    [aux_sym_class_declaration_token1] = ACTIONS(1164),
    [aux_sym_final_modifier_token1] = ACTIONS(1164),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1164),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1164),
    [sym_var_modifier] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1164),
    [anon_sym_LPAREN] = ACTIONS(1162),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1164),
    [aux_sym_echo_statement_token1] = ACTIONS(1164),
    [aux_sym_exit_statement_token1] = ACTIONS(1164),
    [anon_sym_unset] = ACTIONS(1164),
    [aux_sym_declare_statement_token1] = ACTIONS(1164),
    [aux_sym_declare_statement_token2] = ACTIONS(1164),
    [sym_float] = ACTIONS(1164),
    [aux_sym_try_statement_token1] = ACTIONS(1164),
    [aux_sym_goto_statement_token1] = ACTIONS(1164),
    [aux_sym_continue_statement_token1] = ACTIONS(1164),
    [aux_sym_break_statement_token1] = ACTIONS(1164),
    [sym_integer] = ACTIONS(1164),
    [aux_sym_return_statement_token1] = ACTIONS(1164),
    [aux_sym_throw_expression_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token2] = ACTIONS(1164),
    [aux_sym_do_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token2] = ACTIONS(1164),
    [aux_sym_foreach_statement_token1] = ACTIONS(1164),
    [aux_sym_foreach_statement_token2] = ACTIONS(1164),
    [aux_sym_if_statement_token1] = ACTIONS(1164),
    [aux_sym_if_statement_token2] = ACTIONS(1164),
    [aux_sym_else_if_clause_token1] = ACTIONS(1164),
    [aux_sym_else_clause_token1] = ACTIONS(1164),
    [aux_sym_match_expression_token1] = ACTIONS(1164),
    [aux_sym_match_default_expression_token1] = ACTIONS(1164),
    [aux_sym_switch_statement_token1] = ACTIONS(1164),
    [aux_sym_switch_block_token1] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_AT] = ACTIONS(1162),
    [aux_sym_clone_expression_token1] = ACTIONS(1164),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1164),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [aux_sym__list_destructing_token1] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(1164),
    [anon_sym_parent] = ACTIONS(1164),
    [aux_sym__argument_name_token1] = ACTIONS(1164),
    [aux_sym__argument_name_token2] = ACTIONS(1164),
    [anon_sym_POUND_LBRACK] = ACTIONS(1162),
    [aux_sym_encapsed_string_token1] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [aux_sym_string_token1] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [anon_sym_LT_LT_LT] = ACTIONS(1162),
    [anon_sym_BQUOTE] = ACTIONS(1162),
    [anon_sym_DOLLAR] = ACTIONS(1162),
    [aux_sym_yield_expression_token1] = ACTIONS(1164),
    [aux_sym_include_expression_token1] = ACTIONS(1164),
    [aux_sym_include_once_expression_token1] = ACTIONS(1164),
    [aux_sym_require_expression_token1] = ACTIONS(1164),
    [aux_sym_require_once_expression_token1] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym_name] = ACTIONS(1168),
    [anon_sym_QMARK_GT] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1168),
    [aux_sym_global_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_definition_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1168),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1168),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1168),
    [anon_sym_BSLASH] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [aux_sym_trait_declaration_token1] = ACTIONS(1168),
    [aux_sym_interface_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_case_token1] = ACTIONS(1168),
    [aux_sym_class_declaration_token1] = ACTIONS(1168),
    [aux_sym_final_modifier_token1] = ACTIONS(1168),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1168),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1168),
    [sym_var_modifier] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1168),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1168),
    [aux_sym_echo_statement_token1] = ACTIONS(1168),
    [aux_sym_exit_statement_token1] = ACTIONS(1168),
    [anon_sym_unset] = ACTIONS(1168),
    [aux_sym_declare_statement_token1] = ACTIONS(1168),
    [aux_sym_declare_statement_token2] = ACTIONS(1168),
    [sym_float] = ACTIONS(1168),
    [aux_sym_try_statement_token1] = ACTIONS(1168),
    [aux_sym_goto_statement_token1] = ACTIONS(1168),
    [aux_sym_continue_statement_token1] = ACTIONS(1168),
    [aux_sym_break_statement_token1] = ACTIONS(1168),
    [sym_integer] = ACTIONS(1168),
    [aux_sym_return_statement_token1] = ACTIONS(1168),
    [aux_sym_throw_expression_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token2] = ACTIONS(1168),
    [aux_sym_do_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token2] = ACTIONS(1168),
    [aux_sym_foreach_statement_token1] = ACTIONS(1168),
    [aux_sym_foreach_statement_token2] = ACTIONS(1168),
    [aux_sym_if_statement_token1] = ACTIONS(1168),
    [aux_sym_if_statement_token2] = ACTIONS(1168),
    [aux_sym_else_if_clause_token1] = ACTIONS(1168),
    [aux_sym_else_clause_token1] = ACTIONS(1168),
    [aux_sym_match_expression_token1] = ACTIONS(1168),
    [aux_sym_match_default_expression_token1] = ACTIONS(1168),
    [aux_sym_switch_statement_token1] = ACTIONS(1168),
    [aux_sym_switch_block_token1] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(1166),
    [aux_sym_clone_expression_token1] = ACTIONS(1168),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1168),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [aux_sym__list_destructing_token1] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_self] = ACTIONS(1168),
    [anon_sym_parent] = ACTIONS(1168),
    [aux_sym__argument_name_token1] = ACTIONS(1168),
    [aux_sym__argument_name_token2] = ACTIONS(1168),
    [anon_sym_POUND_LBRACK] = ACTIONS(1166),
    [aux_sym_encapsed_string_token1] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [aux_sym_string_token1] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_LT_LT_LT] = ACTIONS(1166),
    [anon_sym_BQUOTE] = ACTIONS(1166),
    [anon_sym_DOLLAR] = ACTIONS(1166),
    [aux_sym_yield_expression_token1] = ACTIONS(1168),
    [aux_sym_include_expression_token1] = ACTIONS(1168),
    [aux_sym_include_once_expression_token1] = ACTIONS(1168),
    [aux_sym_require_expression_token1] = ACTIONS(1168),
    [aux_sym_require_once_expression_token1] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_name] = ACTIONS(1172),
    [anon_sym_QMARK_GT] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1172),
    [aux_sym_global_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_definition_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1172),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1172),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1172),
    [anon_sym_BSLASH] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [aux_sym_trait_declaration_token1] = ACTIONS(1172),
    [aux_sym_interface_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_case_token1] = ACTIONS(1172),
    [aux_sym_class_declaration_token1] = ACTIONS(1172),
    [aux_sym_final_modifier_token1] = ACTIONS(1172),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1172),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1172),
    [sym_var_modifier] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1172),
    [anon_sym_LPAREN] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1172),
    [aux_sym_cast_type_token1] = ACTIONS(1172),
    [aux_sym_echo_statement_token1] = ACTIONS(1172),
    [aux_sym_exit_statement_token1] = ACTIONS(1172),
    [anon_sym_unset] = ACTIONS(1172),
    [aux_sym_declare_statement_token1] = ACTIONS(1172),
    [aux_sym_declare_statement_token2] = ACTIONS(1172),
    [sym_float] = ACTIONS(1172),
    [aux_sym_try_statement_token1] = ACTIONS(1172),
    [aux_sym_goto_statement_token1] = ACTIONS(1172),
    [aux_sym_continue_statement_token1] = ACTIONS(1172),
    [aux_sym_break_statement_token1] = ACTIONS(1172),
    [sym_integer] = ACTIONS(1172),
    [aux_sym_return_statement_token1] = ACTIONS(1172),
    [aux_sym_throw_expression_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token2] = ACTIONS(1172),
    [aux_sym_do_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token2] = ACTIONS(1172),
    [aux_sym_foreach_statement_token1] = ACTIONS(1172),
    [aux_sym_foreach_statement_token2] = ACTIONS(1172),
    [aux_sym_if_statement_token1] = ACTIONS(1172),
    [aux_sym_if_statement_token2] = ACTIONS(1172),
    [aux_sym_else_if_clause_token1] = ACTIONS(1172),
    [aux_sym_else_clause_token1] = ACTIONS(1172),
    [aux_sym_match_expression_token1] = ACTIONS(1172),
    [aux_sym_match_default_expression_token1] = ACTIONS(1172),
    [aux_sym_switch_statement_token1] = ACTIONS(1172),
    [aux_sym_switch_block_token1] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1170),
    [aux_sym_clone_expression_token1] = ACTIONS(1172),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1172),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [aux_sym__list_destructing_token1] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1170),
    [anon_sym_self] = ACTIONS(1172),
    [anon_sym_parent] = ACTIONS(1172),
    [aux_sym__argument_name_token1] = ACTIONS(1172),
    [aux_sym__argument_name_token2] = ACTIONS(1172),
    [anon_sym_POUND_LBRACK] = ACTIONS(1170),
    [aux_sym_encapsed_string_token1] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [aux_sym_string_token1] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_LT_LT_LT] = ACTIONS(1170),
    [anon_sym_BQUOTE] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1170),
    [aux_sym_yield_expression_token1] = ACTIONS(1172),
    [aux_sym_include_expression_token1] = ACTIONS(1172),
    [aux_sym_include_once_expression_token1] = ACTIONS(1172),
    [aux_sym_require_expression_token1] = ACTIONS(1172),
    [aux_sym_require_once_expression_token1] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1174),
    [sym_name] = ACTIONS(1176),
    [anon_sym_QMARK_GT] = ACTIONS(1174),
    [anon_sym_SEMI] = ACTIONS(1174),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1176),
    [aux_sym_global_declaration_token1] = ACTIONS(1176),
    [aux_sym_namespace_definition_token1] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1176),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1176),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1176),
    [anon_sym_BSLASH] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [aux_sym_trait_declaration_token1] = ACTIONS(1176),
    [aux_sym_interface_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_case_token1] = ACTIONS(1176),
    [aux_sym_class_declaration_token1] = ACTIONS(1176),
    [aux_sym_final_modifier_token1] = ACTIONS(1176),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1176),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1176),
    [sym_var_modifier] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1176),
    [anon_sym_LPAREN] = ACTIONS(1174),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1176),
    [aux_sym_echo_statement_token1] = ACTIONS(1176),
    [aux_sym_exit_statement_token1] = ACTIONS(1176),
    [anon_sym_unset] = ACTIONS(1176),
    [aux_sym_declare_statement_token1] = ACTIONS(1176),
    [aux_sym_declare_statement_token2] = ACTIONS(1176),
    [sym_float] = ACTIONS(1176),
    [aux_sym_try_statement_token1] = ACTIONS(1176),
    [aux_sym_goto_statement_token1] = ACTIONS(1176),
    [aux_sym_continue_statement_token1] = ACTIONS(1176),
    [aux_sym_break_statement_token1] = ACTIONS(1176),
    [sym_integer] = ACTIONS(1176),
    [aux_sym_return_statement_token1] = ACTIONS(1176),
    [aux_sym_throw_expression_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token2] = ACTIONS(1176),
    [aux_sym_do_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token2] = ACTIONS(1176),
    [aux_sym_foreach_statement_token1] = ACTIONS(1176),
    [aux_sym_foreach_statement_token2] = ACTIONS(1176),
    [aux_sym_if_statement_token1] = ACTIONS(1176),
    [aux_sym_if_statement_token2] = ACTIONS(1176),
    [aux_sym_else_if_clause_token1] = ACTIONS(1176),
    [aux_sym_else_clause_token1] = ACTIONS(1176),
    [aux_sym_match_expression_token1] = ACTIONS(1176),
    [aux_sym_match_default_expression_token1] = ACTIONS(1176),
    [aux_sym_switch_statement_token1] = ACTIONS(1176),
    [aux_sym_switch_block_token1] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1174),
    [aux_sym_clone_expression_token1] = ACTIONS(1176),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1176),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [aux_sym__list_destructing_token1] = ACTIONS(1176),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(1176),
    [anon_sym_parent] = ACTIONS(1176),
    [aux_sym__argument_name_token1] = ACTIONS(1176),
    [aux_sym__argument_name_token2] = ACTIONS(1176),
    [anon_sym_POUND_LBRACK] = ACTIONS(1174),
    [aux_sym_encapsed_string_token1] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1174),
    [aux_sym_string_token1] = ACTIONS(1174),
    [anon_sym_SQUOTE] = ACTIONS(1174),
    [anon_sym_LT_LT_LT] = ACTIONS(1174),
    [anon_sym_BQUOTE] = ACTIONS(1174),
    [anon_sym_DOLLAR] = ACTIONS(1174),
    [aux_sym_yield_expression_token1] = ACTIONS(1176),
    [aux_sym_include_expression_token1] = ACTIONS(1176),
    [aux_sym_include_once_expression_token1] = ACTIONS(1176),
    [aux_sym_require_expression_token1] = ACTIONS(1176),
    [aux_sym_require_once_expression_token1] = ACTIONS(1176),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_name] = ACTIONS(1180),
    [anon_sym_QMARK_GT] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1180),
    [aux_sym_global_declaration_token1] = ACTIONS(1180),
    [aux_sym_namespace_definition_token1] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1180),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1180),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1180),
    [anon_sym_BSLASH] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [aux_sym_trait_declaration_token1] = ACTIONS(1180),
    [aux_sym_interface_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_case_token1] = ACTIONS(1180),
    [aux_sym_class_declaration_token1] = ACTIONS(1180),
    [aux_sym_final_modifier_token1] = ACTIONS(1180),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1180),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1180),
    [sym_var_modifier] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1180),
    [aux_sym_echo_statement_token1] = ACTIONS(1180),
    [aux_sym_exit_statement_token1] = ACTIONS(1180),
    [anon_sym_unset] = ACTIONS(1180),
    [aux_sym_declare_statement_token1] = ACTIONS(1180),
    [aux_sym_declare_statement_token2] = ACTIONS(1180),
    [sym_float] = ACTIONS(1180),
    [aux_sym_try_statement_token1] = ACTIONS(1180),
    [aux_sym_goto_statement_token1] = ACTIONS(1180),
    [aux_sym_continue_statement_token1] = ACTIONS(1180),
    [aux_sym_break_statement_token1] = ACTIONS(1180),
    [sym_integer] = ACTIONS(1180),
    [aux_sym_return_statement_token1] = ACTIONS(1180),
    [aux_sym_throw_expression_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token2] = ACTIONS(1180),
    [aux_sym_do_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token2] = ACTIONS(1180),
    [aux_sym_foreach_statement_token1] = ACTIONS(1180),
    [aux_sym_foreach_statement_token2] = ACTIONS(1180),
    [aux_sym_if_statement_token1] = ACTIONS(1180),
    [aux_sym_if_statement_token2] = ACTIONS(1180),
    [aux_sym_else_if_clause_token1] = ACTIONS(1180),
    [aux_sym_else_clause_token1] = ACTIONS(1180),
    [aux_sym_match_expression_token1] = ACTIONS(1180),
    [aux_sym_match_default_expression_token1] = ACTIONS(1180),
    [aux_sym_switch_statement_token1] = ACTIONS(1180),
    [aux_sym_switch_block_token1] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(1178),
    [aux_sym_clone_expression_token1] = ACTIONS(1180),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1180),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [aux_sym__list_destructing_token1] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_self] = ACTIONS(1180),
    [anon_sym_parent] = ACTIONS(1180),
    [aux_sym__argument_name_token1] = ACTIONS(1180),
    [aux_sym__argument_name_token2] = ACTIONS(1180),
    [anon_sym_POUND_LBRACK] = ACTIONS(1178),
    [aux_sym_encapsed_string_token1] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [aux_sym_string_token1] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [anon_sym_LT_LT_LT] = ACTIONS(1178),
    [anon_sym_BQUOTE] = ACTIONS(1178),
    [anon_sym_DOLLAR] = ACTIONS(1178),
    [aux_sym_yield_expression_token1] = ACTIONS(1180),
    [aux_sym_include_expression_token1] = ACTIONS(1180),
    [aux_sym_include_once_expression_token1] = ACTIONS(1180),
    [aux_sym_require_expression_token1] = ACTIONS(1180),
    [aux_sym_require_once_expression_token1] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1082),
    [sym_name] = ACTIONS(1084),
    [anon_sym_QMARK_GT] = ACTIONS(1082),
    [anon_sym_SEMI] = ACTIONS(1082),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1084),
    [aux_sym_global_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_definition_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1084),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1084),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym_trait_declaration_token1] = ACTIONS(1084),
    [aux_sym_interface_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_case_token1] = ACTIONS(1084),
    [aux_sym_class_declaration_token1] = ACTIONS(1084),
    [aux_sym_final_modifier_token1] = ACTIONS(1084),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1084),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1084),
    [sym_var_modifier] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1082),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1084),
    [aux_sym_cast_type_token1] = ACTIONS(1084),
    [aux_sym_echo_statement_token1] = ACTIONS(1084),
    [aux_sym_exit_statement_token1] = ACTIONS(1084),
    [anon_sym_unset] = ACTIONS(1084),
    [aux_sym_declare_statement_token1] = ACTIONS(1084),
    [aux_sym_declare_statement_token2] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [aux_sym_try_statement_token1] = ACTIONS(1084),
    [aux_sym_goto_statement_token1] = ACTIONS(1084),
    [aux_sym_continue_statement_token1] = ACTIONS(1084),
    [aux_sym_break_statement_token1] = ACTIONS(1084),
    [sym_integer] = ACTIONS(1084),
    [aux_sym_return_statement_token1] = ACTIONS(1084),
    [aux_sym_throw_expression_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token2] = ACTIONS(1084),
    [aux_sym_do_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token2] = ACTIONS(1084),
    [aux_sym_foreach_statement_token1] = ACTIONS(1084),
    [aux_sym_foreach_statement_token2] = ACTIONS(1084),
    [aux_sym_if_statement_token1] = ACTIONS(1084),
    [aux_sym_if_statement_token2] = ACTIONS(1084),
    [aux_sym_else_if_clause_token1] = ACTIONS(1084),
    [aux_sym_else_clause_token1] = ACTIONS(1084),
    [aux_sym_match_expression_token1] = ACTIONS(1084),
    [aux_sym_match_default_expression_token1] = ACTIONS(1084),
    [aux_sym_switch_statement_token1] = ACTIONS(1084),
    [aux_sym_switch_block_token1] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1082),
    [anon_sym_BANG] = ACTIONS(1082),
    [anon_sym_AT] = ACTIONS(1082),
    [aux_sym_clone_expression_token1] = ACTIONS(1084),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1084),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1084),
    [anon_sym_DASH_DASH] = ACTIONS(1082),
    [anon_sym_PLUS_PLUS] = ACTIONS(1082),
    [aux_sym__list_destructing_token1] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_self] = ACTIONS(1084),
    [anon_sym_parent] = ACTIONS(1084),
    [aux_sym__argument_name_token1] = ACTIONS(1084),
    [aux_sym__argument_name_token2] = ACTIONS(1084),
    [anon_sym_POUND_LBRACK] = ACTIONS(1082),
    [aux_sym_encapsed_string_token1] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1082),
    [aux_sym_string_token1] = ACTIONS(1082),
    [anon_sym_SQUOTE] = ACTIONS(1082),
    [anon_sym_LT_LT_LT] = ACTIONS(1082),
    [anon_sym_BQUOTE] = ACTIONS(1082),
    [anon_sym_DOLLAR] = ACTIONS(1082),
    [aux_sym_yield_expression_token1] = ACTIONS(1084),
    [aux_sym_include_expression_token1] = ACTIONS(1084),
    [aux_sym_include_once_expression_token1] = ACTIONS(1084),
    [aux_sym_require_expression_token1] = ACTIONS(1084),
    [aux_sym_require_once_expression_token1] = ACTIONS(1084),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_name] = ACTIONS(1184),
    [anon_sym_QMARK_GT] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1182),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1184),
    [aux_sym_global_declaration_token1] = ACTIONS(1184),
    [aux_sym_namespace_definition_token1] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1184),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1184),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1184),
    [anon_sym_BSLASH] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [aux_sym_trait_declaration_token1] = ACTIONS(1184),
    [aux_sym_interface_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_case_token1] = ACTIONS(1184),
    [aux_sym_class_declaration_token1] = ACTIONS(1184),
    [aux_sym_final_modifier_token1] = ACTIONS(1184),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1184),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1184),
    [sym_var_modifier] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1184),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1184),
    [aux_sym_echo_statement_token1] = ACTIONS(1184),
    [aux_sym_exit_statement_token1] = ACTIONS(1184),
    [anon_sym_unset] = ACTIONS(1184),
    [aux_sym_declare_statement_token1] = ACTIONS(1184),
    [aux_sym_declare_statement_token2] = ACTIONS(1184),
    [sym_float] = ACTIONS(1184),
    [aux_sym_try_statement_token1] = ACTIONS(1184),
    [aux_sym_goto_statement_token1] = ACTIONS(1184),
    [aux_sym_continue_statement_token1] = ACTIONS(1184),
    [aux_sym_break_statement_token1] = ACTIONS(1184),
    [sym_integer] = ACTIONS(1184),
    [aux_sym_return_statement_token1] = ACTIONS(1184),
    [aux_sym_throw_expression_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token2] = ACTIONS(1184),
    [aux_sym_do_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token2] = ACTIONS(1184),
    [aux_sym_foreach_statement_token1] = ACTIONS(1184),
    [aux_sym_foreach_statement_token2] = ACTIONS(1184),
    [aux_sym_if_statement_token1] = ACTIONS(1184),
    [aux_sym_if_statement_token2] = ACTIONS(1184),
    [aux_sym_else_if_clause_token1] = ACTIONS(1184),
    [aux_sym_else_clause_token1] = ACTIONS(1184),
    [aux_sym_match_expression_token1] = ACTIONS(1184),
    [aux_sym_match_default_expression_token1] = ACTIONS(1184),
    [aux_sym_switch_statement_token1] = ACTIONS(1184),
    [aux_sym_switch_block_token1] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [aux_sym_clone_expression_token1] = ACTIONS(1184),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1184),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [aux_sym__list_destructing_token1] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_self] = ACTIONS(1184),
    [anon_sym_parent] = ACTIONS(1184),
    [aux_sym__argument_name_token1] = ACTIONS(1184),
    [aux_sym__argument_name_token2] = ACTIONS(1184),
    [anon_sym_POUND_LBRACK] = ACTIONS(1182),
    [aux_sym_encapsed_string_token1] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [aux_sym_string_token1] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [anon_sym_LT_LT_LT] = ACTIONS(1182),
    [anon_sym_BQUOTE] = ACTIONS(1182),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [aux_sym_yield_expression_token1] = ACTIONS(1184),
    [aux_sym_include_expression_token1] = ACTIONS(1184),
    [aux_sym_include_once_expression_token1] = ACTIONS(1184),
    [aux_sym_require_expression_token1] = ACTIONS(1184),
    [aux_sym_require_once_expression_token1] = ACTIONS(1184),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1186),
    [sym_name] = ACTIONS(1188),
    [anon_sym_QMARK_GT] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1186),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1188),
    [aux_sym_global_declaration_token1] = ACTIONS(1188),
    [aux_sym_namespace_definition_token1] = ACTIONS(1188),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1188),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1188),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1188),
    [anon_sym_BSLASH] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [aux_sym_trait_declaration_token1] = ACTIONS(1188),
    [aux_sym_interface_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_case_token1] = ACTIONS(1188),
    [aux_sym_class_declaration_token1] = ACTIONS(1188),
    [aux_sym_final_modifier_token1] = ACTIONS(1188),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1188),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1188),
    [sym_var_modifier] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1188),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1188),
    [aux_sym_echo_statement_token1] = ACTIONS(1188),
    [aux_sym_exit_statement_token1] = ACTIONS(1188),
    [anon_sym_unset] = ACTIONS(1188),
    [aux_sym_declare_statement_token1] = ACTIONS(1188),
    [aux_sym_declare_statement_token2] = ACTIONS(1188),
    [sym_float] = ACTIONS(1188),
    [aux_sym_try_statement_token1] = ACTIONS(1188),
    [aux_sym_goto_statement_token1] = ACTIONS(1188),
    [aux_sym_continue_statement_token1] = ACTIONS(1188),
    [aux_sym_break_statement_token1] = ACTIONS(1188),
    [sym_integer] = ACTIONS(1188),
    [aux_sym_return_statement_token1] = ACTIONS(1188),
    [aux_sym_throw_expression_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token2] = ACTIONS(1188),
    [aux_sym_do_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token2] = ACTIONS(1188),
    [aux_sym_foreach_statement_token1] = ACTIONS(1188),
    [aux_sym_foreach_statement_token2] = ACTIONS(1188),
    [aux_sym_if_statement_token1] = ACTIONS(1188),
    [aux_sym_if_statement_token2] = ACTIONS(1188),
    [aux_sym_else_if_clause_token1] = ACTIONS(1188),
    [aux_sym_else_clause_token1] = ACTIONS(1188),
    [aux_sym_match_expression_token1] = ACTIONS(1188),
    [aux_sym_match_default_expression_token1] = ACTIONS(1188),
    [aux_sym_switch_statement_token1] = ACTIONS(1188),
    [aux_sym_switch_block_token1] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1186),
    [aux_sym_clone_expression_token1] = ACTIONS(1188),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1188),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [aux_sym__list_destructing_token1] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_self] = ACTIONS(1188),
    [anon_sym_parent] = ACTIONS(1188),
    [aux_sym__argument_name_token1] = ACTIONS(1188),
    [aux_sym__argument_name_token2] = ACTIONS(1188),
    [anon_sym_POUND_LBRACK] = ACTIONS(1186),
    [aux_sym_encapsed_string_token1] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1186),
    [aux_sym_string_token1] = ACTIONS(1186),
    [anon_sym_SQUOTE] = ACTIONS(1186),
    [anon_sym_LT_LT_LT] = ACTIONS(1186),
    [anon_sym_BQUOTE] = ACTIONS(1186),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [aux_sym_yield_expression_token1] = ACTIONS(1188),
    [aux_sym_include_expression_token1] = ACTIONS(1188),
    [aux_sym_include_once_expression_token1] = ACTIONS(1188),
    [aux_sym_require_expression_token1] = ACTIONS(1188),
    [aux_sym_require_once_expression_token1] = ACTIONS(1188),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_name] = ACTIONS(1192),
    [anon_sym_QMARK_GT] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1190),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1192),
    [aux_sym_global_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_definition_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1192),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1192),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1192),
    [anon_sym_BSLASH] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [aux_sym_trait_declaration_token1] = ACTIONS(1192),
    [aux_sym_interface_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_case_token1] = ACTIONS(1192),
    [aux_sym_class_declaration_token1] = ACTIONS(1192),
    [aux_sym_final_modifier_token1] = ACTIONS(1192),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1192),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1192),
    [sym_var_modifier] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1192),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1192),
    [aux_sym_echo_statement_token1] = ACTIONS(1192),
    [aux_sym_exit_statement_token1] = ACTIONS(1192),
    [anon_sym_unset] = ACTIONS(1192),
    [aux_sym_declare_statement_token1] = ACTIONS(1192),
    [aux_sym_declare_statement_token2] = ACTIONS(1192),
    [sym_float] = ACTIONS(1192),
    [aux_sym_try_statement_token1] = ACTIONS(1192),
    [aux_sym_goto_statement_token1] = ACTIONS(1192),
    [aux_sym_continue_statement_token1] = ACTIONS(1192),
    [aux_sym_break_statement_token1] = ACTIONS(1192),
    [sym_integer] = ACTIONS(1192),
    [aux_sym_return_statement_token1] = ACTIONS(1192),
    [aux_sym_throw_expression_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token2] = ACTIONS(1192),
    [aux_sym_do_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token2] = ACTIONS(1192),
    [aux_sym_foreach_statement_token1] = ACTIONS(1192),
    [aux_sym_foreach_statement_token2] = ACTIONS(1192),
    [aux_sym_if_statement_token1] = ACTIONS(1192),
    [aux_sym_if_statement_token2] = ACTIONS(1192),
    [aux_sym_else_if_clause_token1] = ACTIONS(1192),
    [aux_sym_else_clause_token1] = ACTIONS(1192),
    [aux_sym_match_expression_token1] = ACTIONS(1192),
    [aux_sym_match_default_expression_token1] = ACTIONS(1192),
    [aux_sym_switch_statement_token1] = ACTIONS(1192),
    [aux_sym_switch_block_token1] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [aux_sym_clone_expression_token1] = ACTIONS(1192),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1192),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [aux_sym__list_destructing_token1] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_self] = ACTIONS(1192),
    [anon_sym_parent] = ACTIONS(1192),
    [aux_sym__argument_name_token1] = ACTIONS(1192),
    [aux_sym__argument_name_token2] = ACTIONS(1192),
    [anon_sym_POUND_LBRACK] = ACTIONS(1190),
    [aux_sym_encapsed_string_token1] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [aux_sym_string_token1] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [anon_sym_LT_LT_LT] = ACTIONS(1190),
    [anon_sym_BQUOTE] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [aux_sym_yield_expression_token1] = ACTIONS(1192),
    [aux_sym_include_expression_token1] = ACTIONS(1192),
    [aux_sym_include_once_expression_token1] = ACTIONS(1192),
    [aux_sym_require_expression_token1] = ACTIONS(1192),
    [aux_sym_require_once_expression_token1] = ACTIONS(1192),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1071),
    [sym_name] = ACTIONS(1073),
    [anon_sym_QMARK_GT] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(1071),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1073),
    [aux_sym_global_declaration_token1] = ACTIONS(1073),
    [aux_sym_namespace_definition_token1] = ACTIONS(1073),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1073),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1073),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1073),
    [anon_sym_BSLASH] = ACTIONS(1071),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [aux_sym_trait_declaration_token1] = ACTIONS(1073),
    [aux_sym_interface_declaration_token1] = ACTIONS(1073),
    [aux_sym_enum_declaration_token1] = ACTIONS(1073),
    [aux_sym_enum_case_token1] = ACTIONS(1073),
    [aux_sym_class_declaration_token1] = ACTIONS(1073),
    [aux_sym_final_modifier_token1] = ACTIONS(1073),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1073),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1073),
    [sym_var_modifier] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1073),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1073),
    [aux_sym_cast_type_token1] = ACTIONS(1073),
    [aux_sym_echo_statement_token1] = ACTIONS(1073),
    [aux_sym_exit_statement_token1] = ACTIONS(1073),
    [anon_sym_unset] = ACTIONS(1073),
    [aux_sym_declare_statement_token1] = ACTIONS(1073),
    [aux_sym_declare_statement_token2] = ACTIONS(1073),
    [sym_float] = ACTIONS(1073),
    [aux_sym_try_statement_token1] = ACTIONS(1073),
    [aux_sym_goto_statement_token1] = ACTIONS(1073),
    [aux_sym_continue_statement_token1] = ACTIONS(1073),
    [aux_sym_break_statement_token1] = ACTIONS(1073),
    [sym_integer] = ACTIONS(1073),
    [aux_sym_return_statement_token1] = ACTIONS(1073),
    [aux_sym_throw_expression_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token2] = ACTIONS(1073),
    [aux_sym_do_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token2] = ACTIONS(1073),
    [aux_sym_foreach_statement_token1] = ACTIONS(1073),
    [aux_sym_foreach_statement_token2] = ACTIONS(1073),
    [aux_sym_if_statement_token1] = ACTIONS(1073),
    [aux_sym_if_statement_token2] = ACTIONS(1073),
    [aux_sym_else_if_clause_token1] = ACTIONS(1073),
    [aux_sym_else_clause_token1] = ACTIONS(1073),
    [aux_sym_match_expression_token1] = ACTIONS(1073),
    [aux_sym_match_default_expression_token1] = ACTIONS(1073),
    [aux_sym_switch_statement_token1] = ACTIONS(1073),
    [aux_sym_switch_block_token1] = ACTIONS(1073),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(1071),
    [aux_sym_clone_expression_token1] = ACTIONS(1073),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1073),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1073),
    [anon_sym_DASH_DASH] = ACTIONS(1071),
    [anon_sym_PLUS_PLUS] = ACTIONS(1071),
    [aux_sym__list_destructing_token1] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1071),
    [anon_sym_self] = ACTIONS(1073),
    [anon_sym_parent] = ACTIONS(1073),
    [aux_sym__argument_name_token1] = ACTIONS(1073),
    [aux_sym__argument_name_token2] = ACTIONS(1073),
    [anon_sym_POUND_LBRACK] = ACTIONS(1071),
    [aux_sym_encapsed_string_token1] = ACTIONS(1071),
    [anon_sym_DQUOTE] = ACTIONS(1071),
    [aux_sym_string_token1] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [anon_sym_LT_LT_LT] = ACTIONS(1071),
    [anon_sym_BQUOTE] = ACTIONS(1071),
    [anon_sym_DOLLAR] = ACTIONS(1071),
    [aux_sym_yield_expression_token1] = ACTIONS(1073),
    [aux_sym_include_expression_token1] = ACTIONS(1073),
    [aux_sym_include_once_expression_token1] = ACTIONS(1073),
    [aux_sym_require_expression_token1] = ACTIONS(1073),
    [aux_sym_require_once_expression_token1] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_name] = ACTIONS(1196),
    [anon_sym_QMARK_GT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1196),
    [aux_sym_global_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_definition_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1196),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1196),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1196),
    [anon_sym_BSLASH] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [aux_sym_trait_declaration_token1] = ACTIONS(1196),
    [aux_sym_interface_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_case_token1] = ACTIONS(1196),
    [aux_sym_class_declaration_token1] = ACTIONS(1196),
    [aux_sym_final_modifier_token1] = ACTIONS(1196),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1196),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1196),
    [sym_var_modifier] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1196),
    [aux_sym_echo_statement_token1] = ACTIONS(1196),
    [aux_sym_exit_statement_token1] = ACTIONS(1196),
    [anon_sym_unset] = ACTIONS(1196),
    [aux_sym_declare_statement_token1] = ACTIONS(1196),
    [aux_sym_declare_statement_token2] = ACTIONS(1196),
    [sym_float] = ACTIONS(1196),
    [aux_sym_try_statement_token1] = ACTIONS(1196),
    [aux_sym_goto_statement_token1] = ACTIONS(1196),
    [aux_sym_continue_statement_token1] = ACTIONS(1196),
    [aux_sym_break_statement_token1] = ACTIONS(1196),
    [sym_integer] = ACTIONS(1196),
    [aux_sym_return_statement_token1] = ACTIONS(1196),
    [aux_sym_throw_expression_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token2] = ACTIONS(1196),
    [aux_sym_do_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token2] = ACTIONS(1196),
    [aux_sym_foreach_statement_token1] = ACTIONS(1196),
    [aux_sym_foreach_statement_token2] = ACTIONS(1196),
    [aux_sym_if_statement_token1] = ACTIONS(1196),
    [aux_sym_if_statement_token2] = ACTIONS(1196),
    [aux_sym_else_if_clause_token1] = ACTIONS(1196),
    [aux_sym_else_clause_token1] = ACTIONS(1196),
    [aux_sym_match_expression_token1] = ACTIONS(1196),
    [aux_sym_match_default_expression_token1] = ACTIONS(1196),
    [aux_sym_switch_statement_token1] = ACTIONS(1196),
    [aux_sym_switch_block_token1] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [aux_sym_clone_expression_token1] = ACTIONS(1196),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1196),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [aux_sym__list_destructing_token1] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_self] = ACTIONS(1196),
    [anon_sym_parent] = ACTIONS(1196),
    [aux_sym__argument_name_token1] = ACTIONS(1196),
    [aux_sym__argument_name_token2] = ACTIONS(1196),
    [anon_sym_POUND_LBRACK] = ACTIONS(1194),
    [aux_sym_encapsed_string_token1] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [aux_sym_string_token1] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [anon_sym_LT_LT_LT] = ACTIONS(1194),
    [anon_sym_BQUOTE] = ACTIONS(1194),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [aux_sym_yield_expression_token1] = ACTIONS(1196),
    [aux_sym_include_expression_token1] = ACTIONS(1196),
    [aux_sym_include_once_expression_token1] = ACTIONS(1196),
    [aux_sym_require_expression_token1] = ACTIONS(1196),
    [aux_sym_require_once_expression_token1] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1198),
    [sym_name] = ACTIONS(1200),
    [anon_sym_QMARK_GT] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1200),
    [aux_sym_global_declaration_token1] = ACTIONS(1200),
    [aux_sym_namespace_definition_token1] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1200),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1200),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1200),
    [anon_sym_BSLASH] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [aux_sym_trait_declaration_token1] = ACTIONS(1200),
    [aux_sym_interface_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_case_token1] = ACTIONS(1200),
    [aux_sym_class_declaration_token1] = ACTIONS(1200),
    [aux_sym_final_modifier_token1] = ACTIONS(1200),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1200),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1200),
    [sym_var_modifier] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1200),
    [aux_sym_cast_type_token1] = ACTIONS(1200),
    [aux_sym_echo_statement_token1] = ACTIONS(1200),
    [aux_sym_exit_statement_token1] = ACTIONS(1200),
    [anon_sym_unset] = ACTIONS(1200),
    [aux_sym_declare_statement_token1] = ACTIONS(1200),
    [aux_sym_declare_statement_token2] = ACTIONS(1200),
    [sym_float] = ACTIONS(1200),
    [aux_sym_try_statement_token1] = ACTIONS(1200),
    [aux_sym_goto_statement_token1] = ACTIONS(1200),
    [aux_sym_continue_statement_token1] = ACTIONS(1200),
    [aux_sym_break_statement_token1] = ACTIONS(1200),
    [sym_integer] = ACTIONS(1200),
    [aux_sym_return_statement_token1] = ACTIONS(1200),
    [aux_sym_throw_expression_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token2] = ACTIONS(1200),
    [aux_sym_do_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token2] = ACTIONS(1200),
    [aux_sym_foreach_statement_token1] = ACTIONS(1200),
    [aux_sym_foreach_statement_token2] = ACTIONS(1200),
    [aux_sym_if_statement_token1] = ACTIONS(1200),
    [aux_sym_if_statement_token2] = ACTIONS(1200),
    [aux_sym_else_if_clause_token1] = ACTIONS(1200),
    [aux_sym_else_clause_token1] = ACTIONS(1200),
    [aux_sym_match_expression_token1] = ACTIONS(1200),
    [aux_sym_match_default_expression_token1] = ACTIONS(1200),
    [aux_sym_switch_statement_token1] = ACTIONS(1200),
    [aux_sym_switch_block_token1] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [aux_sym_clone_expression_token1] = ACTIONS(1200),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1200),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [aux_sym__list_destructing_token1] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_self] = ACTIONS(1200),
    [anon_sym_parent] = ACTIONS(1200),
    [aux_sym__argument_name_token1] = ACTIONS(1200),
    [aux_sym__argument_name_token2] = ACTIONS(1200),
    [anon_sym_POUND_LBRACK] = ACTIONS(1198),
    [aux_sym_encapsed_string_token1] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [aux_sym_string_token1] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_LT_LT_LT] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [aux_sym_yield_expression_token1] = ACTIONS(1200),
    [aux_sym_include_expression_token1] = ACTIONS(1200),
    [aux_sym_include_once_expression_token1] = ACTIONS(1200),
    [aux_sym_require_expression_token1] = ACTIONS(1200),
    [aux_sym_require_once_expression_token1] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_name] = ACTIONS(1204),
    [anon_sym_QMARK_GT] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1204),
    [aux_sym_global_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_definition_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1204),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1204),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1204),
    [anon_sym_BSLASH] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [aux_sym_trait_declaration_token1] = ACTIONS(1204),
    [aux_sym_interface_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_case_token1] = ACTIONS(1204),
    [aux_sym_class_declaration_token1] = ACTIONS(1204),
    [aux_sym_final_modifier_token1] = ACTIONS(1204),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1204),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1204),
    [sym_var_modifier] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1204),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1204),
    [aux_sym_cast_type_token1] = ACTIONS(1204),
    [aux_sym_echo_statement_token1] = ACTIONS(1204),
    [aux_sym_exit_statement_token1] = ACTIONS(1204),
    [anon_sym_unset] = ACTIONS(1204),
    [aux_sym_declare_statement_token1] = ACTIONS(1204),
    [aux_sym_declare_statement_token2] = ACTIONS(1204),
    [sym_float] = ACTIONS(1204),
    [aux_sym_try_statement_token1] = ACTIONS(1204),
    [aux_sym_goto_statement_token1] = ACTIONS(1204),
    [aux_sym_continue_statement_token1] = ACTIONS(1204),
    [aux_sym_break_statement_token1] = ACTIONS(1204),
    [sym_integer] = ACTIONS(1204),
    [aux_sym_return_statement_token1] = ACTIONS(1204),
    [aux_sym_throw_expression_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token2] = ACTIONS(1204),
    [aux_sym_do_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token2] = ACTIONS(1204),
    [aux_sym_foreach_statement_token1] = ACTIONS(1204),
    [aux_sym_foreach_statement_token2] = ACTIONS(1204),
    [aux_sym_if_statement_token1] = ACTIONS(1204),
    [aux_sym_if_statement_token2] = ACTIONS(1204),
    [aux_sym_else_if_clause_token1] = ACTIONS(1204),
    [aux_sym_else_clause_token1] = ACTIONS(1204),
    [aux_sym_match_expression_token1] = ACTIONS(1204),
    [aux_sym_match_default_expression_token1] = ACTIONS(1204),
    [aux_sym_switch_statement_token1] = ACTIONS(1204),
    [aux_sym_switch_block_token1] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [aux_sym_clone_expression_token1] = ACTIONS(1204),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1204),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [aux_sym__list_destructing_token1] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_self] = ACTIONS(1204),
    [anon_sym_parent] = ACTIONS(1204),
    [aux_sym__argument_name_token1] = ACTIONS(1204),
    [aux_sym__argument_name_token2] = ACTIONS(1204),
    [anon_sym_POUND_LBRACK] = ACTIONS(1202),
    [aux_sym_encapsed_string_token1] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [aux_sym_string_token1] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_LT_LT_LT] = ACTIONS(1202),
    [anon_sym_BQUOTE] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [aux_sym_yield_expression_token1] = ACTIONS(1204),
    [aux_sym_include_expression_token1] = ACTIONS(1204),
    [aux_sym_include_once_expression_token1] = ACTIONS(1204),
    [aux_sym_require_expression_token1] = ACTIONS(1204),
    [aux_sym_require_once_expression_token1] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_name] = ACTIONS(1208),
    [anon_sym_QMARK_GT] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1208),
    [aux_sym_global_declaration_token1] = ACTIONS(1208),
    [aux_sym_namespace_definition_token1] = ACTIONS(1208),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1208),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1208),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1208),
    [anon_sym_BSLASH] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [aux_sym_trait_declaration_token1] = ACTIONS(1208),
    [aux_sym_interface_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_case_token1] = ACTIONS(1208),
    [aux_sym_class_declaration_token1] = ACTIONS(1208),
    [aux_sym_final_modifier_token1] = ACTIONS(1208),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1208),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1208),
    [sym_var_modifier] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1208),
    [aux_sym_echo_statement_token1] = ACTIONS(1208),
    [aux_sym_exit_statement_token1] = ACTIONS(1208),
    [anon_sym_unset] = ACTIONS(1208),
    [aux_sym_declare_statement_token1] = ACTIONS(1208),
    [aux_sym_declare_statement_token2] = ACTIONS(1208),
    [sym_float] = ACTIONS(1208),
    [aux_sym_try_statement_token1] = ACTIONS(1208),
    [aux_sym_goto_statement_token1] = ACTIONS(1208),
    [aux_sym_continue_statement_token1] = ACTIONS(1208),
    [aux_sym_break_statement_token1] = ACTIONS(1208),
    [sym_integer] = ACTIONS(1208),
    [aux_sym_return_statement_token1] = ACTIONS(1208),
    [aux_sym_throw_expression_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token2] = ACTIONS(1208),
    [aux_sym_do_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token2] = ACTIONS(1208),
    [aux_sym_foreach_statement_token1] = ACTIONS(1208),
    [aux_sym_foreach_statement_token2] = ACTIONS(1208),
    [aux_sym_if_statement_token1] = ACTIONS(1208),
    [aux_sym_if_statement_token2] = ACTIONS(1208),
    [aux_sym_else_if_clause_token1] = ACTIONS(1208),
    [aux_sym_else_clause_token1] = ACTIONS(1208),
    [aux_sym_match_expression_token1] = ACTIONS(1208),
    [aux_sym_match_default_expression_token1] = ACTIONS(1208),
    [aux_sym_switch_statement_token1] = ACTIONS(1208),
    [aux_sym_switch_block_token1] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1206),
    [aux_sym_clone_expression_token1] = ACTIONS(1208),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1208),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [aux_sym__list_destructing_token1] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_self] = ACTIONS(1208),
    [anon_sym_parent] = ACTIONS(1208),
    [aux_sym__argument_name_token1] = ACTIONS(1208),
    [aux_sym__argument_name_token2] = ACTIONS(1208),
    [anon_sym_POUND_LBRACK] = ACTIONS(1206),
    [aux_sym_encapsed_string_token1] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [aux_sym_string_token1] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_LT_LT_LT] = ACTIONS(1206),
    [anon_sym_BQUOTE] = ACTIONS(1206),
    [anon_sym_DOLLAR] = ACTIONS(1206),
    [aux_sym_yield_expression_token1] = ACTIONS(1208),
    [aux_sym_include_expression_token1] = ACTIONS(1208),
    [aux_sym_include_once_expression_token1] = ACTIONS(1208),
    [aux_sym_require_expression_token1] = ACTIONS(1208),
    [aux_sym_require_once_expression_token1] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_name] = ACTIONS(1212),
    [anon_sym_QMARK_GT] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1212),
    [aux_sym_global_declaration_token1] = ACTIONS(1212),
    [aux_sym_namespace_definition_token1] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1212),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1212),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1212),
    [anon_sym_BSLASH] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [aux_sym_trait_declaration_token1] = ACTIONS(1212),
    [aux_sym_interface_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_case_token1] = ACTIONS(1212),
    [aux_sym_class_declaration_token1] = ACTIONS(1212),
    [aux_sym_final_modifier_token1] = ACTIONS(1212),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1212),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1212),
    [sym_var_modifier] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1212),
    [anon_sym_LPAREN] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1212),
    [aux_sym_echo_statement_token1] = ACTIONS(1212),
    [aux_sym_exit_statement_token1] = ACTIONS(1212),
    [anon_sym_unset] = ACTIONS(1212),
    [aux_sym_declare_statement_token1] = ACTIONS(1212),
    [aux_sym_declare_statement_token2] = ACTIONS(1212),
    [sym_float] = ACTIONS(1212),
    [aux_sym_try_statement_token1] = ACTIONS(1212),
    [aux_sym_goto_statement_token1] = ACTIONS(1212),
    [aux_sym_continue_statement_token1] = ACTIONS(1212),
    [aux_sym_break_statement_token1] = ACTIONS(1212),
    [sym_integer] = ACTIONS(1212),
    [aux_sym_return_statement_token1] = ACTIONS(1212),
    [aux_sym_throw_expression_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token2] = ACTIONS(1212),
    [aux_sym_do_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token2] = ACTIONS(1212),
    [aux_sym_foreach_statement_token1] = ACTIONS(1212),
    [aux_sym_foreach_statement_token2] = ACTIONS(1212),
    [aux_sym_if_statement_token1] = ACTIONS(1212),
    [aux_sym_if_statement_token2] = ACTIONS(1212),
    [aux_sym_else_if_clause_token1] = ACTIONS(1212),
    [aux_sym_else_clause_token1] = ACTIONS(1212),
    [aux_sym_match_expression_token1] = ACTIONS(1212),
    [aux_sym_match_default_expression_token1] = ACTIONS(1212),
    [aux_sym_switch_statement_token1] = ACTIONS(1212),
    [aux_sym_switch_block_token1] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [aux_sym_clone_expression_token1] = ACTIONS(1212),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1212),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [aux_sym__list_destructing_token1] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1210),
    [anon_sym_self] = ACTIONS(1212),
    [anon_sym_parent] = ACTIONS(1212),
    [aux_sym__argument_name_token1] = ACTIONS(1212),
    [aux_sym__argument_name_token2] = ACTIONS(1212),
    [anon_sym_POUND_LBRACK] = ACTIONS(1210),
    [aux_sym_encapsed_string_token1] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [aux_sym_string_token1] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1210),
    [anon_sym_BQUOTE] = ACTIONS(1210),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [aux_sym_yield_expression_token1] = ACTIONS(1212),
    [aux_sym_include_expression_token1] = ACTIONS(1212),
    [aux_sym_include_once_expression_token1] = ACTIONS(1212),
    [aux_sym_require_expression_token1] = ACTIONS(1212),
    [aux_sym_require_once_expression_token1] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_name] = ACTIONS(1216),
    [anon_sym_QMARK_GT] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1216),
    [aux_sym_global_declaration_token1] = ACTIONS(1216),
    [aux_sym_namespace_definition_token1] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1216),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1216),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1216),
    [anon_sym_BSLASH] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [aux_sym_trait_declaration_token1] = ACTIONS(1216),
    [aux_sym_interface_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_case_token1] = ACTIONS(1216),
    [aux_sym_class_declaration_token1] = ACTIONS(1216),
    [aux_sym_final_modifier_token1] = ACTIONS(1216),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1216),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1216),
    [sym_var_modifier] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1216),
    [aux_sym_echo_statement_token1] = ACTIONS(1216),
    [aux_sym_exit_statement_token1] = ACTIONS(1216),
    [anon_sym_unset] = ACTIONS(1216),
    [aux_sym_declare_statement_token1] = ACTIONS(1216),
    [aux_sym_declare_statement_token2] = ACTIONS(1216),
    [sym_float] = ACTIONS(1216),
    [aux_sym_try_statement_token1] = ACTIONS(1216),
    [aux_sym_goto_statement_token1] = ACTIONS(1216),
    [aux_sym_continue_statement_token1] = ACTIONS(1216),
    [aux_sym_break_statement_token1] = ACTIONS(1216),
    [sym_integer] = ACTIONS(1216),
    [aux_sym_return_statement_token1] = ACTIONS(1216),
    [aux_sym_throw_expression_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token2] = ACTIONS(1216),
    [aux_sym_do_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token2] = ACTIONS(1216),
    [aux_sym_foreach_statement_token1] = ACTIONS(1216),
    [aux_sym_foreach_statement_token2] = ACTIONS(1216),
    [aux_sym_if_statement_token1] = ACTIONS(1216),
    [aux_sym_if_statement_token2] = ACTIONS(1216),
    [aux_sym_else_if_clause_token1] = ACTIONS(1216),
    [aux_sym_else_clause_token1] = ACTIONS(1216),
    [aux_sym_match_expression_token1] = ACTIONS(1216),
    [aux_sym_match_default_expression_token1] = ACTIONS(1216),
    [aux_sym_switch_statement_token1] = ACTIONS(1216),
    [aux_sym_switch_block_token1] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [aux_sym_clone_expression_token1] = ACTIONS(1216),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1216),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [aux_sym__list_destructing_token1] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_self] = ACTIONS(1216),
    [anon_sym_parent] = ACTIONS(1216),
    [aux_sym__argument_name_token1] = ACTIONS(1216),
    [aux_sym__argument_name_token2] = ACTIONS(1216),
    [anon_sym_POUND_LBRACK] = ACTIONS(1214),
    [aux_sym_encapsed_string_token1] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [aux_sym_string_token1] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_LT_LT_LT] = ACTIONS(1214),
    [anon_sym_BQUOTE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [aux_sym_yield_expression_token1] = ACTIONS(1216),
    [aux_sym_include_expression_token1] = ACTIONS(1216),
    [aux_sym_include_once_expression_token1] = ACTIONS(1216),
    [aux_sym_require_expression_token1] = ACTIONS(1216),
    [aux_sym_require_once_expression_token1] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_name] = ACTIONS(1220),
    [anon_sym_QMARK_GT] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1220),
    [aux_sym_global_declaration_token1] = ACTIONS(1220),
    [aux_sym_namespace_definition_token1] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1220),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1220),
    [anon_sym_BSLASH] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [aux_sym_trait_declaration_token1] = ACTIONS(1220),
    [aux_sym_interface_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_case_token1] = ACTIONS(1220),
    [aux_sym_class_declaration_token1] = ACTIONS(1220),
    [aux_sym_final_modifier_token1] = ACTIONS(1220),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1220),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1220),
    [sym_var_modifier] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1220),
    [anon_sym_LPAREN] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1220),
    [aux_sym_echo_statement_token1] = ACTIONS(1220),
    [aux_sym_exit_statement_token1] = ACTIONS(1220),
    [anon_sym_unset] = ACTIONS(1220),
    [aux_sym_declare_statement_token1] = ACTIONS(1220),
    [aux_sym_declare_statement_token2] = ACTIONS(1220),
    [sym_float] = ACTIONS(1220),
    [aux_sym_try_statement_token1] = ACTIONS(1220),
    [aux_sym_goto_statement_token1] = ACTIONS(1220),
    [aux_sym_continue_statement_token1] = ACTIONS(1220),
    [aux_sym_break_statement_token1] = ACTIONS(1220),
    [sym_integer] = ACTIONS(1220),
    [aux_sym_return_statement_token1] = ACTIONS(1220),
    [aux_sym_throw_expression_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token2] = ACTIONS(1220),
    [aux_sym_do_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token2] = ACTIONS(1220),
    [aux_sym_foreach_statement_token1] = ACTIONS(1220),
    [aux_sym_foreach_statement_token2] = ACTIONS(1220),
    [aux_sym_if_statement_token1] = ACTIONS(1220),
    [aux_sym_if_statement_token2] = ACTIONS(1220),
    [aux_sym_else_if_clause_token1] = ACTIONS(1220),
    [aux_sym_else_clause_token1] = ACTIONS(1220),
    [aux_sym_match_expression_token1] = ACTIONS(1220),
    [aux_sym_match_default_expression_token1] = ACTIONS(1220),
    [aux_sym_switch_statement_token1] = ACTIONS(1220),
    [aux_sym_switch_block_token1] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [aux_sym_clone_expression_token1] = ACTIONS(1220),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1220),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [aux_sym__list_destructing_token1] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(1218),
    [anon_sym_self] = ACTIONS(1220),
    [anon_sym_parent] = ACTIONS(1220),
    [aux_sym__argument_name_token1] = ACTIONS(1220),
    [aux_sym__argument_name_token2] = ACTIONS(1220),
    [anon_sym_POUND_LBRACK] = ACTIONS(1218),
    [aux_sym_encapsed_string_token1] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [aux_sym_string_token1] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_LT_LT_LT] = ACTIONS(1218),
    [anon_sym_BQUOTE] = ACTIONS(1218),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [aux_sym_yield_expression_token1] = ACTIONS(1220),
    [aux_sym_include_expression_token1] = ACTIONS(1220),
    [aux_sym_include_once_expression_token1] = ACTIONS(1220),
    [aux_sym_require_expression_token1] = ACTIONS(1220),
    [aux_sym_require_once_expression_token1] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_name] = ACTIONS(1224),
    [anon_sym_QMARK_GT] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1224),
    [aux_sym_global_declaration_token1] = ACTIONS(1224),
    [aux_sym_namespace_definition_token1] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1224),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1224),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1224),
    [anon_sym_BSLASH] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [aux_sym_trait_declaration_token1] = ACTIONS(1224),
    [aux_sym_interface_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_case_token1] = ACTIONS(1224),
    [aux_sym_class_declaration_token1] = ACTIONS(1224),
    [aux_sym_final_modifier_token1] = ACTIONS(1224),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1224),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1224),
    [sym_var_modifier] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1224),
    [aux_sym_echo_statement_token1] = ACTIONS(1224),
    [aux_sym_exit_statement_token1] = ACTIONS(1224),
    [anon_sym_unset] = ACTIONS(1224),
    [aux_sym_declare_statement_token1] = ACTIONS(1224),
    [aux_sym_declare_statement_token2] = ACTIONS(1224),
    [sym_float] = ACTIONS(1224),
    [aux_sym_try_statement_token1] = ACTIONS(1224),
    [aux_sym_goto_statement_token1] = ACTIONS(1224),
    [aux_sym_continue_statement_token1] = ACTIONS(1224),
    [aux_sym_break_statement_token1] = ACTIONS(1224),
    [sym_integer] = ACTIONS(1224),
    [aux_sym_return_statement_token1] = ACTIONS(1224),
    [aux_sym_throw_expression_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token2] = ACTIONS(1224),
    [aux_sym_do_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token2] = ACTIONS(1224),
    [aux_sym_foreach_statement_token1] = ACTIONS(1224),
    [aux_sym_foreach_statement_token2] = ACTIONS(1224),
    [aux_sym_if_statement_token1] = ACTIONS(1224),
    [aux_sym_if_statement_token2] = ACTIONS(1224),
    [aux_sym_else_if_clause_token1] = ACTIONS(1224),
    [aux_sym_else_clause_token1] = ACTIONS(1224),
    [aux_sym_match_expression_token1] = ACTIONS(1224),
    [aux_sym_match_default_expression_token1] = ACTIONS(1224),
    [aux_sym_switch_statement_token1] = ACTIONS(1224),
    [aux_sym_switch_block_token1] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1222),
    [aux_sym_clone_expression_token1] = ACTIONS(1224),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1224),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [aux_sym__list_destructing_token1] = ACTIONS(1224),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_self] = ACTIONS(1224),
    [anon_sym_parent] = ACTIONS(1224),
    [aux_sym__argument_name_token1] = ACTIONS(1224),
    [aux_sym__argument_name_token2] = ACTIONS(1224),
    [anon_sym_POUND_LBRACK] = ACTIONS(1222),
    [aux_sym_encapsed_string_token1] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [aux_sym_string_token1] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_LT_LT_LT] = ACTIONS(1222),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1222),
    [aux_sym_yield_expression_token1] = ACTIONS(1224),
    [aux_sym_include_expression_token1] = ACTIONS(1224),
    [aux_sym_include_once_expression_token1] = ACTIONS(1224),
    [aux_sym_require_expression_token1] = ACTIONS(1224),
    [aux_sym_require_once_expression_token1] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_name] = ACTIONS(1228),
    [anon_sym_QMARK_GT] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1228),
    [aux_sym_global_declaration_token1] = ACTIONS(1228),
    [aux_sym_namespace_definition_token1] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1228),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1228),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1228),
    [anon_sym_BSLASH] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [aux_sym_trait_declaration_token1] = ACTIONS(1228),
    [aux_sym_interface_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_case_token1] = ACTIONS(1228),
    [aux_sym_class_declaration_token1] = ACTIONS(1228),
    [aux_sym_final_modifier_token1] = ACTIONS(1228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1228),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1228),
    [sym_var_modifier] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1228),
    [aux_sym_echo_statement_token1] = ACTIONS(1228),
    [aux_sym_exit_statement_token1] = ACTIONS(1228),
    [anon_sym_unset] = ACTIONS(1228),
    [aux_sym_declare_statement_token1] = ACTIONS(1228),
    [aux_sym_declare_statement_token2] = ACTIONS(1228),
    [sym_float] = ACTIONS(1228),
    [aux_sym_try_statement_token1] = ACTIONS(1228),
    [aux_sym_goto_statement_token1] = ACTIONS(1228),
    [aux_sym_continue_statement_token1] = ACTIONS(1228),
    [aux_sym_break_statement_token1] = ACTIONS(1228),
    [sym_integer] = ACTIONS(1228),
    [aux_sym_return_statement_token1] = ACTIONS(1228),
    [aux_sym_throw_expression_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token2] = ACTIONS(1228),
    [aux_sym_do_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token2] = ACTIONS(1228),
    [aux_sym_foreach_statement_token1] = ACTIONS(1228),
    [aux_sym_foreach_statement_token2] = ACTIONS(1228),
    [aux_sym_if_statement_token1] = ACTIONS(1228),
    [aux_sym_if_statement_token2] = ACTIONS(1228),
    [aux_sym_else_if_clause_token1] = ACTIONS(1228),
    [aux_sym_else_clause_token1] = ACTIONS(1228),
    [aux_sym_match_expression_token1] = ACTIONS(1228),
    [aux_sym_match_default_expression_token1] = ACTIONS(1228),
    [aux_sym_switch_statement_token1] = ACTIONS(1228),
    [aux_sym_switch_block_token1] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1226),
    [aux_sym_clone_expression_token1] = ACTIONS(1228),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1228),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [aux_sym__list_destructing_token1] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_self] = ACTIONS(1228),
    [anon_sym_parent] = ACTIONS(1228),
    [aux_sym__argument_name_token1] = ACTIONS(1228),
    [aux_sym__argument_name_token2] = ACTIONS(1228),
    [anon_sym_POUND_LBRACK] = ACTIONS(1226),
    [aux_sym_encapsed_string_token1] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [aux_sym_string_token1] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_LT_LT_LT] = ACTIONS(1226),
    [anon_sym_BQUOTE] = ACTIONS(1226),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [aux_sym_yield_expression_token1] = ACTIONS(1228),
    [aux_sym_include_expression_token1] = ACTIONS(1228),
    [aux_sym_include_once_expression_token1] = ACTIONS(1228),
    [aux_sym_require_expression_token1] = ACTIONS(1228),
    [aux_sym_require_once_expression_token1] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_name] = ACTIONS(1232),
    [anon_sym_QMARK_GT] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1232),
    [aux_sym_global_declaration_token1] = ACTIONS(1232),
    [aux_sym_namespace_definition_token1] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1232),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1232),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1232),
    [anon_sym_BSLASH] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [aux_sym_trait_declaration_token1] = ACTIONS(1232),
    [aux_sym_interface_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_case_token1] = ACTIONS(1232),
    [aux_sym_class_declaration_token1] = ACTIONS(1232),
    [aux_sym_final_modifier_token1] = ACTIONS(1232),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1232),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1232),
    [sym_var_modifier] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1232),
    [aux_sym_echo_statement_token1] = ACTIONS(1232),
    [aux_sym_exit_statement_token1] = ACTIONS(1232),
    [anon_sym_unset] = ACTIONS(1232),
    [aux_sym_declare_statement_token1] = ACTIONS(1232),
    [aux_sym_declare_statement_token2] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [aux_sym_try_statement_token1] = ACTIONS(1232),
    [aux_sym_goto_statement_token1] = ACTIONS(1232),
    [aux_sym_continue_statement_token1] = ACTIONS(1232),
    [aux_sym_break_statement_token1] = ACTIONS(1232),
    [sym_integer] = ACTIONS(1232),
    [aux_sym_return_statement_token1] = ACTIONS(1232),
    [aux_sym_throw_expression_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token2] = ACTIONS(1232),
    [aux_sym_do_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token2] = ACTIONS(1232),
    [aux_sym_foreach_statement_token1] = ACTIONS(1232),
    [aux_sym_foreach_statement_token2] = ACTIONS(1232),
    [aux_sym_if_statement_token1] = ACTIONS(1232),
    [aux_sym_if_statement_token2] = ACTIONS(1232),
    [aux_sym_else_if_clause_token1] = ACTIONS(1232),
    [aux_sym_else_clause_token1] = ACTIONS(1232),
    [aux_sym_match_expression_token1] = ACTIONS(1232),
    [aux_sym_match_default_expression_token1] = ACTIONS(1232),
    [aux_sym_switch_statement_token1] = ACTIONS(1232),
    [aux_sym_switch_block_token1] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_AT] = ACTIONS(1230),
    [aux_sym_clone_expression_token1] = ACTIONS(1232),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1232),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [aux_sym__list_destructing_token1] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_self] = ACTIONS(1232),
    [anon_sym_parent] = ACTIONS(1232),
    [aux_sym__argument_name_token1] = ACTIONS(1232),
    [aux_sym__argument_name_token2] = ACTIONS(1232),
    [anon_sym_POUND_LBRACK] = ACTIONS(1230),
    [aux_sym_encapsed_string_token1] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [aux_sym_string_token1] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_LT_LT_LT] = ACTIONS(1230),
    [anon_sym_BQUOTE] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1230),
    [aux_sym_yield_expression_token1] = ACTIONS(1232),
    [aux_sym_include_expression_token1] = ACTIONS(1232),
    [aux_sym_include_once_expression_token1] = ACTIONS(1232),
    [aux_sym_require_expression_token1] = ACTIONS(1232),
    [aux_sym_require_once_expression_token1] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_name] = ACTIONS(1236),
    [anon_sym_QMARK_GT] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1236),
    [aux_sym_global_declaration_token1] = ACTIONS(1236),
    [aux_sym_namespace_definition_token1] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1236),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1236),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1236),
    [anon_sym_BSLASH] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [aux_sym_trait_declaration_token1] = ACTIONS(1236),
    [aux_sym_interface_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_case_token1] = ACTIONS(1236),
    [aux_sym_class_declaration_token1] = ACTIONS(1236),
    [aux_sym_final_modifier_token1] = ACTIONS(1236),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1236),
    [sym_var_modifier] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1236),
    [aux_sym_echo_statement_token1] = ACTIONS(1236),
    [aux_sym_exit_statement_token1] = ACTIONS(1236),
    [anon_sym_unset] = ACTIONS(1236),
    [aux_sym_declare_statement_token1] = ACTIONS(1236),
    [aux_sym_declare_statement_token2] = ACTIONS(1236),
    [sym_float] = ACTIONS(1236),
    [aux_sym_try_statement_token1] = ACTIONS(1236),
    [aux_sym_goto_statement_token1] = ACTIONS(1236),
    [aux_sym_continue_statement_token1] = ACTIONS(1236),
    [aux_sym_break_statement_token1] = ACTIONS(1236),
    [sym_integer] = ACTIONS(1236),
    [aux_sym_return_statement_token1] = ACTIONS(1236),
    [aux_sym_throw_expression_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token2] = ACTIONS(1236),
    [aux_sym_do_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token2] = ACTIONS(1236),
    [aux_sym_foreach_statement_token1] = ACTIONS(1236),
    [aux_sym_foreach_statement_token2] = ACTIONS(1236),
    [aux_sym_if_statement_token1] = ACTIONS(1236),
    [aux_sym_if_statement_token2] = ACTIONS(1236),
    [aux_sym_else_if_clause_token1] = ACTIONS(1236),
    [aux_sym_else_clause_token1] = ACTIONS(1236),
    [aux_sym_match_expression_token1] = ACTIONS(1236),
    [aux_sym_match_default_expression_token1] = ACTIONS(1236),
    [aux_sym_switch_statement_token1] = ACTIONS(1236),
    [aux_sym_switch_block_token1] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_AT] = ACTIONS(1234),
    [aux_sym_clone_expression_token1] = ACTIONS(1236),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1236),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [aux_sym__list_destructing_token1] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1234),
    [anon_sym_self] = ACTIONS(1236),
    [anon_sym_parent] = ACTIONS(1236),
    [aux_sym__argument_name_token1] = ACTIONS(1236),
    [aux_sym__argument_name_token2] = ACTIONS(1236),
    [anon_sym_POUND_LBRACK] = ACTIONS(1234),
    [aux_sym_encapsed_string_token1] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [aux_sym_string_token1] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_LT_LT_LT] = ACTIONS(1234),
    [anon_sym_BQUOTE] = ACTIONS(1234),
    [anon_sym_DOLLAR] = ACTIONS(1234),
    [aux_sym_yield_expression_token1] = ACTIONS(1236),
    [aux_sym_include_expression_token1] = ACTIONS(1236),
    [aux_sym_include_once_expression_token1] = ACTIONS(1236),
    [aux_sym_require_expression_token1] = ACTIONS(1236),
    [aux_sym_require_once_expression_token1] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_name] = ACTIONS(1240),
    [anon_sym_QMARK_GT] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1240),
    [aux_sym_global_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_definition_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1240),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1240),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1240),
    [anon_sym_BSLASH] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [aux_sym_trait_declaration_token1] = ACTIONS(1240),
    [aux_sym_interface_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_case_token1] = ACTIONS(1240),
    [aux_sym_class_declaration_token1] = ACTIONS(1240),
    [aux_sym_final_modifier_token1] = ACTIONS(1240),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1240),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1240),
    [sym_var_modifier] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1240),
    [aux_sym_echo_statement_token1] = ACTIONS(1240),
    [aux_sym_exit_statement_token1] = ACTIONS(1240),
    [anon_sym_unset] = ACTIONS(1240),
    [aux_sym_declare_statement_token1] = ACTIONS(1240),
    [aux_sym_declare_statement_token2] = ACTIONS(1240),
    [sym_float] = ACTIONS(1240),
    [aux_sym_try_statement_token1] = ACTIONS(1240),
    [aux_sym_goto_statement_token1] = ACTIONS(1240),
    [aux_sym_continue_statement_token1] = ACTIONS(1240),
    [aux_sym_break_statement_token1] = ACTIONS(1240),
    [sym_integer] = ACTIONS(1240),
    [aux_sym_return_statement_token1] = ACTIONS(1240),
    [aux_sym_throw_expression_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token2] = ACTIONS(1240),
    [aux_sym_do_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token2] = ACTIONS(1240),
    [aux_sym_foreach_statement_token1] = ACTIONS(1240),
    [aux_sym_foreach_statement_token2] = ACTIONS(1240),
    [aux_sym_if_statement_token1] = ACTIONS(1240),
    [aux_sym_if_statement_token2] = ACTIONS(1240),
    [aux_sym_else_if_clause_token1] = ACTIONS(1240),
    [aux_sym_else_clause_token1] = ACTIONS(1240),
    [aux_sym_match_expression_token1] = ACTIONS(1240),
    [aux_sym_match_default_expression_token1] = ACTIONS(1240),
    [aux_sym_switch_statement_token1] = ACTIONS(1240),
    [aux_sym_switch_block_token1] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [aux_sym_clone_expression_token1] = ACTIONS(1240),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1240),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [aux_sym__list_destructing_token1] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1238),
    [anon_sym_self] = ACTIONS(1240),
    [anon_sym_parent] = ACTIONS(1240),
    [aux_sym__argument_name_token1] = ACTIONS(1240),
    [aux_sym__argument_name_token2] = ACTIONS(1240),
    [anon_sym_POUND_LBRACK] = ACTIONS(1238),
    [aux_sym_encapsed_string_token1] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [aux_sym_string_token1] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1238),
    [anon_sym_BQUOTE] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [aux_sym_yield_expression_token1] = ACTIONS(1240),
    [aux_sym_include_expression_token1] = ACTIONS(1240),
    [aux_sym_include_once_expression_token1] = ACTIONS(1240),
    [aux_sym_require_expression_token1] = ACTIONS(1240),
    [aux_sym_require_once_expression_token1] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_name] = ACTIONS(1244),
    [anon_sym_QMARK_GT] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1244),
    [aux_sym_global_declaration_token1] = ACTIONS(1244),
    [aux_sym_namespace_definition_token1] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1244),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1244),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1244),
    [anon_sym_BSLASH] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [aux_sym_trait_declaration_token1] = ACTIONS(1244),
    [aux_sym_interface_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_case_token1] = ACTIONS(1244),
    [aux_sym_class_declaration_token1] = ACTIONS(1244),
    [aux_sym_final_modifier_token1] = ACTIONS(1244),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1244),
    [sym_var_modifier] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1244),
    [aux_sym_echo_statement_token1] = ACTIONS(1244),
    [aux_sym_exit_statement_token1] = ACTIONS(1244),
    [anon_sym_unset] = ACTIONS(1244),
    [aux_sym_declare_statement_token1] = ACTIONS(1244),
    [aux_sym_declare_statement_token2] = ACTIONS(1244),
    [sym_float] = ACTIONS(1244),
    [aux_sym_try_statement_token1] = ACTIONS(1244),
    [aux_sym_goto_statement_token1] = ACTIONS(1244),
    [aux_sym_continue_statement_token1] = ACTIONS(1244),
    [aux_sym_break_statement_token1] = ACTIONS(1244),
    [sym_integer] = ACTIONS(1244),
    [aux_sym_return_statement_token1] = ACTIONS(1244),
    [aux_sym_throw_expression_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token2] = ACTIONS(1244),
    [aux_sym_do_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token2] = ACTIONS(1244),
    [aux_sym_foreach_statement_token1] = ACTIONS(1244),
    [aux_sym_foreach_statement_token2] = ACTIONS(1244),
    [aux_sym_if_statement_token1] = ACTIONS(1244),
    [aux_sym_if_statement_token2] = ACTIONS(1244),
    [aux_sym_else_if_clause_token1] = ACTIONS(1244),
    [aux_sym_else_clause_token1] = ACTIONS(1244),
    [aux_sym_match_expression_token1] = ACTIONS(1244),
    [aux_sym_match_default_expression_token1] = ACTIONS(1244),
    [aux_sym_switch_statement_token1] = ACTIONS(1244),
    [aux_sym_switch_block_token1] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(1242),
    [aux_sym_clone_expression_token1] = ACTIONS(1244),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1244),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [aux_sym__list_destructing_token1] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_self] = ACTIONS(1244),
    [anon_sym_parent] = ACTIONS(1244),
    [aux_sym__argument_name_token1] = ACTIONS(1244),
    [aux_sym__argument_name_token2] = ACTIONS(1244),
    [anon_sym_POUND_LBRACK] = ACTIONS(1242),
    [aux_sym_encapsed_string_token1] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [aux_sym_string_token1] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1242),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1242),
    [aux_sym_yield_expression_token1] = ACTIONS(1244),
    [aux_sym_include_expression_token1] = ACTIONS(1244),
    [aux_sym_include_once_expression_token1] = ACTIONS(1244),
    [aux_sym_require_expression_token1] = ACTIONS(1244),
    [aux_sym_require_once_expression_token1] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1246),
    [sym_name] = ACTIONS(1248),
    [anon_sym_QMARK_GT] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1248),
    [aux_sym_global_declaration_token1] = ACTIONS(1248),
    [aux_sym_namespace_definition_token1] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1248),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1248),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1248),
    [anon_sym_BSLASH] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [aux_sym_trait_declaration_token1] = ACTIONS(1248),
    [aux_sym_interface_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_case_token1] = ACTIONS(1248),
    [aux_sym_class_declaration_token1] = ACTIONS(1248),
    [aux_sym_final_modifier_token1] = ACTIONS(1248),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1248),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1248),
    [sym_var_modifier] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1248),
    [aux_sym_echo_statement_token1] = ACTIONS(1248),
    [aux_sym_exit_statement_token1] = ACTIONS(1248),
    [anon_sym_unset] = ACTIONS(1248),
    [aux_sym_declare_statement_token1] = ACTIONS(1248),
    [aux_sym_declare_statement_token2] = ACTIONS(1248),
    [sym_float] = ACTIONS(1248),
    [aux_sym_try_statement_token1] = ACTIONS(1248),
    [aux_sym_goto_statement_token1] = ACTIONS(1248),
    [aux_sym_continue_statement_token1] = ACTIONS(1248),
    [aux_sym_break_statement_token1] = ACTIONS(1248),
    [sym_integer] = ACTIONS(1248),
    [aux_sym_return_statement_token1] = ACTIONS(1248),
    [aux_sym_throw_expression_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token2] = ACTIONS(1248),
    [aux_sym_do_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token2] = ACTIONS(1248),
    [aux_sym_foreach_statement_token1] = ACTIONS(1248),
    [aux_sym_foreach_statement_token2] = ACTIONS(1248),
    [aux_sym_if_statement_token1] = ACTIONS(1248),
    [aux_sym_if_statement_token2] = ACTIONS(1248),
    [aux_sym_else_if_clause_token1] = ACTIONS(1248),
    [aux_sym_else_clause_token1] = ACTIONS(1248),
    [aux_sym_match_expression_token1] = ACTIONS(1248),
    [aux_sym_match_default_expression_token1] = ACTIONS(1248),
    [aux_sym_switch_statement_token1] = ACTIONS(1248),
    [aux_sym_switch_block_token1] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1246),
    [aux_sym_clone_expression_token1] = ACTIONS(1248),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1248),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [aux_sym__list_destructing_token1] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(1248),
    [anon_sym_parent] = ACTIONS(1248),
    [aux_sym__argument_name_token1] = ACTIONS(1248),
    [aux_sym__argument_name_token2] = ACTIONS(1248),
    [anon_sym_POUND_LBRACK] = ACTIONS(1246),
    [aux_sym_encapsed_string_token1] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [aux_sym_string_token1] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_LT_LT_LT] = ACTIONS(1246),
    [anon_sym_BQUOTE] = ACTIONS(1246),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [aux_sym_yield_expression_token1] = ACTIONS(1248),
    [aux_sym_include_expression_token1] = ACTIONS(1248),
    [aux_sym_include_once_expression_token1] = ACTIONS(1248),
    [aux_sym_require_expression_token1] = ACTIONS(1248),
    [aux_sym_require_once_expression_token1] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_name] = ACTIONS(1252),
    [anon_sym_QMARK_GT] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1252),
    [aux_sym_global_declaration_token1] = ACTIONS(1252),
    [aux_sym_namespace_definition_token1] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1252),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1252),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1252),
    [anon_sym_BSLASH] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [aux_sym_trait_declaration_token1] = ACTIONS(1252),
    [aux_sym_interface_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_case_token1] = ACTIONS(1252),
    [aux_sym_class_declaration_token1] = ACTIONS(1252),
    [aux_sym_final_modifier_token1] = ACTIONS(1252),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1252),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1252),
    [sym_var_modifier] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1252),
    [aux_sym_echo_statement_token1] = ACTIONS(1252),
    [aux_sym_exit_statement_token1] = ACTIONS(1252),
    [anon_sym_unset] = ACTIONS(1252),
    [aux_sym_declare_statement_token1] = ACTIONS(1252),
    [aux_sym_declare_statement_token2] = ACTIONS(1252),
    [sym_float] = ACTIONS(1252),
    [aux_sym_try_statement_token1] = ACTIONS(1252),
    [aux_sym_goto_statement_token1] = ACTIONS(1252),
    [aux_sym_continue_statement_token1] = ACTIONS(1252),
    [aux_sym_break_statement_token1] = ACTIONS(1252),
    [sym_integer] = ACTIONS(1252),
    [aux_sym_return_statement_token1] = ACTIONS(1252),
    [aux_sym_throw_expression_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token2] = ACTIONS(1252),
    [aux_sym_do_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token2] = ACTIONS(1252),
    [aux_sym_foreach_statement_token1] = ACTIONS(1252),
    [aux_sym_foreach_statement_token2] = ACTIONS(1252),
    [aux_sym_if_statement_token1] = ACTIONS(1252),
    [aux_sym_if_statement_token2] = ACTIONS(1252),
    [aux_sym_else_if_clause_token1] = ACTIONS(1252),
    [aux_sym_else_clause_token1] = ACTIONS(1252),
    [aux_sym_match_expression_token1] = ACTIONS(1252),
    [aux_sym_match_default_expression_token1] = ACTIONS(1252),
    [aux_sym_switch_statement_token1] = ACTIONS(1252),
    [aux_sym_switch_block_token1] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [aux_sym_clone_expression_token1] = ACTIONS(1252),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1252),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [aux_sym__list_destructing_token1] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_self] = ACTIONS(1252),
    [anon_sym_parent] = ACTIONS(1252),
    [aux_sym__argument_name_token1] = ACTIONS(1252),
    [aux_sym__argument_name_token2] = ACTIONS(1252),
    [anon_sym_POUND_LBRACK] = ACTIONS(1250),
    [aux_sym_encapsed_string_token1] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [aux_sym_string_token1] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_LT_LT_LT] = ACTIONS(1250),
    [anon_sym_BQUOTE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [aux_sym_yield_expression_token1] = ACTIONS(1252),
    [aux_sym_include_expression_token1] = ACTIONS(1252),
    [aux_sym_include_once_expression_token1] = ACTIONS(1252),
    [aux_sym_require_expression_token1] = ACTIONS(1252),
    [aux_sym_require_once_expression_token1] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_name] = ACTIONS(1256),
    [anon_sym_QMARK_GT] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1256),
    [aux_sym_global_declaration_token1] = ACTIONS(1256),
    [aux_sym_namespace_definition_token1] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1256),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1256),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1256),
    [anon_sym_BSLASH] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [aux_sym_trait_declaration_token1] = ACTIONS(1256),
    [aux_sym_interface_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_case_token1] = ACTIONS(1256),
    [aux_sym_class_declaration_token1] = ACTIONS(1256),
    [aux_sym_final_modifier_token1] = ACTIONS(1256),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1256),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1256),
    [sym_var_modifier] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1256),
    [aux_sym_echo_statement_token1] = ACTIONS(1256),
    [aux_sym_exit_statement_token1] = ACTIONS(1256),
    [anon_sym_unset] = ACTIONS(1256),
    [aux_sym_declare_statement_token1] = ACTIONS(1256),
    [aux_sym_declare_statement_token2] = ACTIONS(1256),
    [sym_float] = ACTIONS(1256),
    [aux_sym_try_statement_token1] = ACTIONS(1256),
    [aux_sym_goto_statement_token1] = ACTIONS(1256),
    [aux_sym_continue_statement_token1] = ACTIONS(1256),
    [aux_sym_break_statement_token1] = ACTIONS(1256),
    [sym_integer] = ACTIONS(1256),
    [aux_sym_return_statement_token1] = ACTIONS(1256),
    [aux_sym_throw_expression_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token2] = ACTIONS(1256),
    [aux_sym_do_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token2] = ACTIONS(1256),
    [aux_sym_foreach_statement_token1] = ACTIONS(1256),
    [aux_sym_foreach_statement_token2] = ACTIONS(1256),
    [aux_sym_if_statement_token1] = ACTIONS(1256),
    [aux_sym_if_statement_token2] = ACTIONS(1256),
    [aux_sym_else_if_clause_token1] = ACTIONS(1256),
    [aux_sym_else_clause_token1] = ACTIONS(1256),
    [aux_sym_match_expression_token1] = ACTIONS(1256),
    [aux_sym_match_default_expression_token1] = ACTIONS(1256),
    [aux_sym_switch_statement_token1] = ACTIONS(1256),
    [aux_sym_switch_block_token1] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [aux_sym_clone_expression_token1] = ACTIONS(1256),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1256),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [aux_sym__list_destructing_token1] = ACTIONS(1256),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_self] = ACTIONS(1256),
    [anon_sym_parent] = ACTIONS(1256),
    [aux_sym__argument_name_token1] = ACTIONS(1256),
    [aux_sym__argument_name_token2] = ACTIONS(1256),
    [anon_sym_POUND_LBRACK] = ACTIONS(1254),
    [aux_sym_encapsed_string_token1] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [aux_sym_string_token1] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_LT_LT_LT] = ACTIONS(1254),
    [anon_sym_BQUOTE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [aux_sym_yield_expression_token1] = ACTIONS(1256),
    [aux_sym_include_expression_token1] = ACTIONS(1256),
    [aux_sym_include_once_expression_token1] = ACTIONS(1256),
    [aux_sym_require_expression_token1] = ACTIONS(1256),
    [aux_sym_require_once_expression_token1] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_name] = ACTIONS(1260),
    [anon_sym_QMARK_GT] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1260),
    [aux_sym_global_declaration_token1] = ACTIONS(1260),
    [aux_sym_namespace_definition_token1] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1260),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1260),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1260),
    [anon_sym_BSLASH] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [aux_sym_trait_declaration_token1] = ACTIONS(1260),
    [aux_sym_interface_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_case_token1] = ACTIONS(1260),
    [aux_sym_class_declaration_token1] = ACTIONS(1260),
    [aux_sym_final_modifier_token1] = ACTIONS(1260),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1260),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1260),
    [sym_var_modifier] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1260),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1260),
    [aux_sym_echo_statement_token1] = ACTIONS(1260),
    [aux_sym_exit_statement_token1] = ACTIONS(1260),
    [anon_sym_unset] = ACTIONS(1260),
    [aux_sym_declare_statement_token1] = ACTIONS(1260),
    [aux_sym_declare_statement_token2] = ACTIONS(1260),
    [sym_float] = ACTIONS(1260),
    [aux_sym_try_statement_token1] = ACTIONS(1260),
    [aux_sym_goto_statement_token1] = ACTIONS(1260),
    [aux_sym_continue_statement_token1] = ACTIONS(1260),
    [aux_sym_break_statement_token1] = ACTIONS(1260),
    [sym_integer] = ACTIONS(1260),
    [aux_sym_return_statement_token1] = ACTIONS(1260),
    [aux_sym_throw_expression_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token2] = ACTIONS(1260),
    [aux_sym_do_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token2] = ACTIONS(1260),
    [aux_sym_foreach_statement_token1] = ACTIONS(1260),
    [aux_sym_foreach_statement_token2] = ACTIONS(1260),
    [aux_sym_if_statement_token1] = ACTIONS(1260),
    [aux_sym_if_statement_token2] = ACTIONS(1260),
    [aux_sym_else_if_clause_token1] = ACTIONS(1260),
    [aux_sym_else_clause_token1] = ACTIONS(1260),
    [aux_sym_match_expression_token1] = ACTIONS(1260),
    [aux_sym_match_default_expression_token1] = ACTIONS(1260),
    [aux_sym_switch_statement_token1] = ACTIONS(1260),
    [aux_sym_switch_block_token1] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_AT] = ACTIONS(1258),
    [aux_sym_clone_expression_token1] = ACTIONS(1260),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1260),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [aux_sym__list_destructing_token1] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(1258),
    [anon_sym_self] = ACTIONS(1260),
    [anon_sym_parent] = ACTIONS(1260),
    [aux_sym__argument_name_token1] = ACTIONS(1260),
    [aux_sym__argument_name_token2] = ACTIONS(1260),
    [anon_sym_POUND_LBRACK] = ACTIONS(1258),
    [aux_sym_encapsed_string_token1] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [aux_sym_string_token1] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_LT_LT_LT] = ACTIONS(1258),
    [anon_sym_BQUOTE] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1258),
    [aux_sym_yield_expression_token1] = ACTIONS(1260),
    [aux_sym_include_expression_token1] = ACTIONS(1260),
    [aux_sym_include_once_expression_token1] = ACTIONS(1260),
    [aux_sym_require_expression_token1] = ACTIONS(1260),
    [aux_sym_require_once_expression_token1] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_name] = ACTIONS(1264),
    [anon_sym_QMARK_GT] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1264),
    [aux_sym_global_declaration_token1] = ACTIONS(1264),
    [aux_sym_namespace_definition_token1] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1264),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1264),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1264),
    [anon_sym_BSLASH] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [aux_sym_trait_declaration_token1] = ACTIONS(1264),
    [aux_sym_interface_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_case_token1] = ACTIONS(1264),
    [aux_sym_class_declaration_token1] = ACTIONS(1264),
    [aux_sym_final_modifier_token1] = ACTIONS(1264),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1264),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1264),
    [sym_var_modifier] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1264),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1264),
    [aux_sym_echo_statement_token1] = ACTIONS(1264),
    [aux_sym_exit_statement_token1] = ACTIONS(1264),
    [anon_sym_unset] = ACTIONS(1264),
    [aux_sym_declare_statement_token1] = ACTIONS(1264),
    [aux_sym_declare_statement_token2] = ACTIONS(1264),
    [sym_float] = ACTIONS(1264),
    [aux_sym_try_statement_token1] = ACTIONS(1264),
    [aux_sym_goto_statement_token1] = ACTIONS(1264),
    [aux_sym_continue_statement_token1] = ACTIONS(1264),
    [aux_sym_break_statement_token1] = ACTIONS(1264),
    [sym_integer] = ACTIONS(1264),
    [aux_sym_return_statement_token1] = ACTIONS(1264),
    [aux_sym_throw_expression_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token2] = ACTIONS(1264),
    [aux_sym_do_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token2] = ACTIONS(1264),
    [aux_sym_foreach_statement_token1] = ACTIONS(1264),
    [aux_sym_foreach_statement_token2] = ACTIONS(1264),
    [aux_sym_if_statement_token1] = ACTIONS(1264),
    [aux_sym_if_statement_token2] = ACTIONS(1264),
    [aux_sym_else_if_clause_token1] = ACTIONS(1264),
    [aux_sym_else_clause_token1] = ACTIONS(1264),
    [aux_sym_match_expression_token1] = ACTIONS(1264),
    [aux_sym_match_default_expression_token1] = ACTIONS(1264),
    [aux_sym_switch_statement_token1] = ACTIONS(1264),
    [aux_sym_switch_block_token1] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_AT] = ACTIONS(1262),
    [aux_sym_clone_expression_token1] = ACTIONS(1264),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1264),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [aux_sym__list_destructing_token1] = ACTIONS(1264),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_self] = ACTIONS(1264),
    [anon_sym_parent] = ACTIONS(1264),
    [aux_sym__argument_name_token1] = ACTIONS(1264),
    [aux_sym__argument_name_token2] = ACTIONS(1264),
    [anon_sym_POUND_LBRACK] = ACTIONS(1262),
    [aux_sym_encapsed_string_token1] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [aux_sym_string_token1] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_LT_LT_LT] = ACTIONS(1262),
    [anon_sym_BQUOTE] = ACTIONS(1262),
    [anon_sym_DOLLAR] = ACTIONS(1262),
    [aux_sym_yield_expression_token1] = ACTIONS(1264),
    [aux_sym_include_expression_token1] = ACTIONS(1264),
    [aux_sym_include_once_expression_token1] = ACTIONS(1264),
    [aux_sym_require_expression_token1] = ACTIONS(1264),
    [aux_sym_require_once_expression_token1] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_name] = ACTIONS(1268),
    [anon_sym_QMARK_GT] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1268),
    [aux_sym_global_declaration_token1] = ACTIONS(1268),
    [aux_sym_namespace_definition_token1] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1268),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1268),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1268),
    [anon_sym_BSLASH] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [aux_sym_trait_declaration_token1] = ACTIONS(1268),
    [aux_sym_interface_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_case_token1] = ACTIONS(1268),
    [aux_sym_class_declaration_token1] = ACTIONS(1268),
    [aux_sym_final_modifier_token1] = ACTIONS(1268),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1268),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1268),
    [sym_var_modifier] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1268),
    [anon_sym_LPAREN] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1268),
    [aux_sym_echo_statement_token1] = ACTIONS(1268),
    [aux_sym_exit_statement_token1] = ACTIONS(1268),
    [anon_sym_unset] = ACTIONS(1268),
    [aux_sym_declare_statement_token1] = ACTIONS(1268),
    [aux_sym_declare_statement_token2] = ACTIONS(1268),
    [sym_float] = ACTIONS(1268),
    [aux_sym_try_statement_token1] = ACTIONS(1268),
    [aux_sym_goto_statement_token1] = ACTIONS(1268),
    [aux_sym_continue_statement_token1] = ACTIONS(1268),
    [aux_sym_break_statement_token1] = ACTIONS(1268),
    [sym_integer] = ACTIONS(1268),
    [aux_sym_return_statement_token1] = ACTIONS(1268),
    [aux_sym_throw_expression_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token2] = ACTIONS(1268),
    [aux_sym_do_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token2] = ACTIONS(1268),
    [aux_sym_foreach_statement_token1] = ACTIONS(1268),
    [aux_sym_foreach_statement_token2] = ACTIONS(1268),
    [aux_sym_if_statement_token1] = ACTIONS(1268),
    [aux_sym_if_statement_token2] = ACTIONS(1268),
    [aux_sym_else_if_clause_token1] = ACTIONS(1268),
    [aux_sym_else_clause_token1] = ACTIONS(1268),
    [aux_sym_match_expression_token1] = ACTIONS(1268),
    [aux_sym_match_default_expression_token1] = ACTIONS(1268),
    [aux_sym_switch_statement_token1] = ACTIONS(1268),
    [aux_sym_switch_block_token1] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1266),
    [aux_sym_clone_expression_token1] = ACTIONS(1268),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1268),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [aux_sym__list_destructing_token1] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1266),
    [anon_sym_self] = ACTIONS(1268),
    [anon_sym_parent] = ACTIONS(1268),
    [aux_sym__argument_name_token1] = ACTIONS(1268),
    [aux_sym__argument_name_token2] = ACTIONS(1268),
    [anon_sym_POUND_LBRACK] = ACTIONS(1266),
    [aux_sym_encapsed_string_token1] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [aux_sym_string_token1] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1266),
    [anon_sym_BQUOTE] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1266),
    [aux_sym_yield_expression_token1] = ACTIONS(1268),
    [aux_sym_include_expression_token1] = ACTIONS(1268),
    [aux_sym_include_once_expression_token1] = ACTIONS(1268),
    [aux_sym_require_expression_token1] = ACTIONS(1268),
    [aux_sym_require_once_expression_token1] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_name] = ACTIONS(1272),
    [anon_sym_QMARK_GT] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1272),
    [aux_sym_global_declaration_token1] = ACTIONS(1272),
    [aux_sym_namespace_definition_token1] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1272),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1272),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1272),
    [anon_sym_BSLASH] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [aux_sym_trait_declaration_token1] = ACTIONS(1272),
    [aux_sym_interface_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_case_token1] = ACTIONS(1272),
    [aux_sym_class_declaration_token1] = ACTIONS(1272),
    [aux_sym_final_modifier_token1] = ACTIONS(1272),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1272),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1272),
    [sym_var_modifier] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1272),
    [aux_sym_echo_statement_token1] = ACTIONS(1272),
    [aux_sym_exit_statement_token1] = ACTIONS(1272),
    [anon_sym_unset] = ACTIONS(1272),
    [aux_sym_declare_statement_token1] = ACTIONS(1272),
    [aux_sym_declare_statement_token2] = ACTIONS(1272),
    [sym_float] = ACTIONS(1272),
    [aux_sym_try_statement_token1] = ACTIONS(1272),
    [aux_sym_goto_statement_token1] = ACTIONS(1272),
    [aux_sym_continue_statement_token1] = ACTIONS(1272),
    [aux_sym_break_statement_token1] = ACTIONS(1272),
    [sym_integer] = ACTIONS(1272),
    [aux_sym_return_statement_token1] = ACTIONS(1272),
    [aux_sym_throw_expression_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token2] = ACTIONS(1272),
    [aux_sym_do_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token2] = ACTIONS(1272),
    [aux_sym_foreach_statement_token1] = ACTIONS(1272),
    [aux_sym_foreach_statement_token2] = ACTIONS(1272),
    [aux_sym_if_statement_token1] = ACTIONS(1272),
    [aux_sym_if_statement_token2] = ACTIONS(1272),
    [aux_sym_else_if_clause_token1] = ACTIONS(1272),
    [aux_sym_else_clause_token1] = ACTIONS(1272),
    [aux_sym_match_expression_token1] = ACTIONS(1272),
    [aux_sym_match_default_expression_token1] = ACTIONS(1272),
    [aux_sym_switch_statement_token1] = ACTIONS(1272),
    [aux_sym_switch_block_token1] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_AT] = ACTIONS(1270),
    [aux_sym_clone_expression_token1] = ACTIONS(1272),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1272),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [aux_sym__list_destructing_token1] = ACTIONS(1272),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_self] = ACTIONS(1272),
    [anon_sym_parent] = ACTIONS(1272),
    [aux_sym__argument_name_token1] = ACTIONS(1272),
    [aux_sym__argument_name_token2] = ACTIONS(1272),
    [anon_sym_POUND_LBRACK] = ACTIONS(1270),
    [aux_sym_encapsed_string_token1] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [aux_sym_string_token1] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_LT_LT_LT] = ACTIONS(1270),
    [anon_sym_BQUOTE] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1270),
    [aux_sym_yield_expression_token1] = ACTIONS(1272),
    [aux_sym_include_expression_token1] = ACTIONS(1272),
    [aux_sym_include_once_expression_token1] = ACTIONS(1272),
    [aux_sym_require_expression_token1] = ACTIONS(1272),
    [aux_sym_require_once_expression_token1] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_name] = ACTIONS(1276),
    [anon_sym_QMARK_GT] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1276),
    [aux_sym_global_declaration_token1] = ACTIONS(1276),
    [aux_sym_namespace_definition_token1] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1276),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1276),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1276),
    [anon_sym_BSLASH] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [aux_sym_trait_declaration_token1] = ACTIONS(1276),
    [aux_sym_interface_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_case_token1] = ACTIONS(1276),
    [aux_sym_class_declaration_token1] = ACTIONS(1276),
    [aux_sym_final_modifier_token1] = ACTIONS(1276),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1276),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1276),
    [sym_var_modifier] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1276),
    [aux_sym_echo_statement_token1] = ACTIONS(1276),
    [aux_sym_exit_statement_token1] = ACTIONS(1276),
    [anon_sym_unset] = ACTIONS(1276),
    [aux_sym_declare_statement_token1] = ACTIONS(1276),
    [aux_sym_declare_statement_token2] = ACTIONS(1276),
    [sym_float] = ACTIONS(1276),
    [aux_sym_try_statement_token1] = ACTIONS(1276),
    [aux_sym_goto_statement_token1] = ACTIONS(1276),
    [aux_sym_continue_statement_token1] = ACTIONS(1276),
    [aux_sym_break_statement_token1] = ACTIONS(1276),
    [sym_integer] = ACTIONS(1276),
    [aux_sym_return_statement_token1] = ACTIONS(1276),
    [aux_sym_throw_expression_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token2] = ACTIONS(1276),
    [aux_sym_do_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token2] = ACTIONS(1276),
    [aux_sym_foreach_statement_token1] = ACTIONS(1276),
    [aux_sym_foreach_statement_token2] = ACTIONS(1276),
    [aux_sym_if_statement_token1] = ACTIONS(1276),
    [aux_sym_if_statement_token2] = ACTIONS(1276),
    [aux_sym_else_if_clause_token1] = ACTIONS(1276),
    [aux_sym_else_clause_token1] = ACTIONS(1276),
    [aux_sym_match_expression_token1] = ACTIONS(1276),
    [aux_sym_match_default_expression_token1] = ACTIONS(1276),
    [aux_sym_switch_statement_token1] = ACTIONS(1276),
    [aux_sym_switch_block_token1] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(1274),
    [aux_sym_clone_expression_token1] = ACTIONS(1276),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1276),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [aux_sym__list_destructing_token1] = ACTIONS(1276),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_self] = ACTIONS(1276),
    [anon_sym_parent] = ACTIONS(1276),
    [aux_sym__argument_name_token1] = ACTIONS(1276),
    [aux_sym__argument_name_token2] = ACTIONS(1276),
    [anon_sym_POUND_LBRACK] = ACTIONS(1274),
    [aux_sym_encapsed_string_token1] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [aux_sym_string_token1] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_LT_LT_LT] = ACTIONS(1274),
    [anon_sym_BQUOTE] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1274),
    [aux_sym_yield_expression_token1] = ACTIONS(1276),
    [aux_sym_include_expression_token1] = ACTIONS(1276),
    [aux_sym_include_once_expression_token1] = ACTIONS(1276),
    [aux_sym_require_expression_token1] = ACTIONS(1276),
    [aux_sym_require_once_expression_token1] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_name] = ACTIONS(1280),
    [anon_sym_QMARK_GT] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1280),
    [aux_sym_global_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_definition_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1280),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1280),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1280),
    [anon_sym_BSLASH] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [aux_sym_trait_declaration_token1] = ACTIONS(1280),
    [aux_sym_interface_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_case_token1] = ACTIONS(1280),
    [aux_sym_class_declaration_token1] = ACTIONS(1280),
    [aux_sym_final_modifier_token1] = ACTIONS(1280),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1280),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1280),
    [sym_var_modifier] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1280),
    [aux_sym_echo_statement_token1] = ACTIONS(1280),
    [aux_sym_exit_statement_token1] = ACTIONS(1280),
    [anon_sym_unset] = ACTIONS(1280),
    [aux_sym_declare_statement_token1] = ACTIONS(1280),
    [aux_sym_declare_statement_token2] = ACTIONS(1280),
    [sym_float] = ACTIONS(1280),
    [aux_sym_try_statement_token1] = ACTIONS(1280),
    [aux_sym_goto_statement_token1] = ACTIONS(1280),
    [aux_sym_continue_statement_token1] = ACTIONS(1280),
    [aux_sym_break_statement_token1] = ACTIONS(1280),
    [sym_integer] = ACTIONS(1280),
    [aux_sym_return_statement_token1] = ACTIONS(1280),
    [aux_sym_throw_expression_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token2] = ACTIONS(1280),
    [aux_sym_do_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token2] = ACTIONS(1280),
    [aux_sym_foreach_statement_token1] = ACTIONS(1280),
    [aux_sym_foreach_statement_token2] = ACTIONS(1280),
    [aux_sym_if_statement_token1] = ACTIONS(1280),
    [aux_sym_if_statement_token2] = ACTIONS(1280),
    [aux_sym_else_if_clause_token1] = ACTIONS(1280),
    [aux_sym_else_clause_token1] = ACTIONS(1280),
    [aux_sym_match_expression_token1] = ACTIONS(1280),
    [aux_sym_match_default_expression_token1] = ACTIONS(1280),
    [aux_sym_switch_statement_token1] = ACTIONS(1280),
    [aux_sym_switch_block_token1] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_AT] = ACTIONS(1278),
    [aux_sym_clone_expression_token1] = ACTIONS(1280),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1280),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [aux_sym__list_destructing_token1] = ACTIONS(1280),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_self] = ACTIONS(1280),
    [anon_sym_parent] = ACTIONS(1280),
    [aux_sym__argument_name_token1] = ACTIONS(1280),
    [aux_sym__argument_name_token2] = ACTIONS(1280),
    [anon_sym_POUND_LBRACK] = ACTIONS(1278),
    [aux_sym_encapsed_string_token1] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [aux_sym_string_token1] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1278),
    [anon_sym_BQUOTE] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1278),
    [aux_sym_yield_expression_token1] = ACTIONS(1280),
    [aux_sym_include_expression_token1] = ACTIONS(1280),
    [aux_sym_include_once_expression_token1] = ACTIONS(1280),
    [aux_sym_require_expression_token1] = ACTIONS(1280),
    [aux_sym_require_once_expression_token1] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_name] = ACTIONS(1284),
    [anon_sym_QMARK_GT] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1284),
    [aux_sym_global_declaration_token1] = ACTIONS(1284),
    [aux_sym_namespace_definition_token1] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1284),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1284),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1284),
    [anon_sym_BSLASH] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [aux_sym_trait_declaration_token1] = ACTIONS(1284),
    [aux_sym_interface_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_case_token1] = ACTIONS(1284),
    [aux_sym_class_declaration_token1] = ACTIONS(1284),
    [aux_sym_final_modifier_token1] = ACTIONS(1284),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1284),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1284),
    [sym_var_modifier] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1284),
    [aux_sym_echo_statement_token1] = ACTIONS(1284),
    [aux_sym_exit_statement_token1] = ACTIONS(1284),
    [anon_sym_unset] = ACTIONS(1284),
    [aux_sym_declare_statement_token1] = ACTIONS(1284),
    [aux_sym_declare_statement_token2] = ACTIONS(1284),
    [sym_float] = ACTIONS(1284),
    [aux_sym_try_statement_token1] = ACTIONS(1284),
    [aux_sym_goto_statement_token1] = ACTIONS(1284),
    [aux_sym_continue_statement_token1] = ACTIONS(1284),
    [aux_sym_break_statement_token1] = ACTIONS(1284),
    [sym_integer] = ACTIONS(1284),
    [aux_sym_return_statement_token1] = ACTIONS(1284),
    [aux_sym_throw_expression_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token2] = ACTIONS(1284),
    [aux_sym_do_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token2] = ACTIONS(1284),
    [aux_sym_foreach_statement_token1] = ACTIONS(1284),
    [aux_sym_foreach_statement_token2] = ACTIONS(1284),
    [aux_sym_if_statement_token1] = ACTIONS(1284),
    [aux_sym_if_statement_token2] = ACTIONS(1284),
    [aux_sym_else_if_clause_token1] = ACTIONS(1284),
    [aux_sym_else_clause_token1] = ACTIONS(1284),
    [aux_sym_match_expression_token1] = ACTIONS(1284),
    [aux_sym_match_default_expression_token1] = ACTIONS(1284),
    [aux_sym_switch_statement_token1] = ACTIONS(1284),
    [aux_sym_switch_block_token1] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_AT] = ACTIONS(1282),
    [aux_sym_clone_expression_token1] = ACTIONS(1284),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1284),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [aux_sym__list_destructing_token1] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_self] = ACTIONS(1284),
    [anon_sym_parent] = ACTIONS(1284),
    [aux_sym__argument_name_token1] = ACTIONS(1284),
    [aux_sym__argument_name_token2] = ACTIONS(1284),
    [anon_sym_POUND_LBRACK] = ACTIONS(1282),
    [aux_sym_encapsed_string_token1] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [aux_sym_string_token1] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_LT_LT_LT] = ACTIONS(1282),
    [anon_sym_BQUOTE] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [aux_sym_yield_expression_token1] = ACTIONS(1284),
    [aux_sym_include_expression_token1] = ACTIONS(1284),
    [aux_sym_include_once_expression_token1] = ACTIONS(1284),
    [aux_sym_require_expression_token1] = ACTIONS(1284),
    [aux_sym_require_once_expression_token1] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_name] = ACTIONS(1288),
    [anon_sym_QMARK_GT] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1288),
    [aux_sym_global_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_definition_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1288),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1288),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1288),
    [anon_sym_BSLASH] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [aux_sym_trait_declaration_token1] = ACTIONS(1288),
    [aux_sym_interface_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_case_token1] = ACTIONS(1288),
    [aux_sym_class_declaration_token1] = ACTIONS(1288),
    [aux_sym_final_modifier_token1] = ACTIONS(1288),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1288),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1288),
    [sym_var_modifier] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1288),
    [aux_sym_echo_statement_token1] = ACTIONS(1288),
    [aux_sym_exit_statement_token1] = ACTIONS(1288),
    [anon_sym_unset] = ACTIONS(1288),
    [aux_sym_declare_statement_token1] = ACTIONS(1288),
    [aux_sym_declare_statement_token2] = ACTIONS(1288),
    [sym_float] = ACTIONS(1288),
    [aux_sym_try_statement_token1] = ACTIONS(1288),
    [aux_sym_goto_statement_token1] = ACTIONS(1288),
    [aux_sym_continue_statement_token1] = ACTIONS(1288),
    [aux_sym_break_statement_token1] = ACTIONS(1288),
    [sym_integer] = ACTIONS(1288),
    [aux_sym_return_statement_token1] = ACTIONS(1288),
    [aux_sym_throw_expression_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token2] = ACTIONS(1288),
    [aux_sym_do_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token2] = ACTIONS(1288),
    [aux_sym_foreach_statement_token1] = ACTIONS(1288),
    [aux_sym_foreach_statement_token2] = ACTIONS(1288),
    [aux_sym_if_statement_token1] = ACTIONS(1288),
    [aux_sym_if_statement_token2] = ACTIONS(1288),
    [aux_sym_else_if_clause_token1] = ACTIONS(1288),
    [aux_sym_else_clause_token1] = ACTIONS(1288),
    [aux_sym_match_expression_token1] = ACTIONS(1288),
    [aux_sym_match_default_expression_token1] = ACTIONS(1288),
    [aux_sym_switch_statement_token1] = ACTIONS(1288),
    [aux_sym_switch_block_token1] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_AT] = ACTIONS(1286),
    [aux_sym_clone_expression_token1] = ACTIONS(1288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1288),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [aux_sym__list_destructing_token1] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_self] = ACTIONS(1288),
    [anon_sym_parent] = ACTIONS(1288),
    [aux_sym__argument_name_token1] = ACTIONS(1288),
    [aux_sym__argument_name_token2] = ACTIONS(1288),
    [anon_sym_POUND_LBRACK] = ACTIONS(1286),
    [aux_sym_encapsed_string_token1] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [aux_sym_string_token1] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1286),
    [anon_sym_BQUOTE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1286),
    [aux_sym_yield_expression_token1] = ACTIONS(1288),
    [aux_sym_include_expression_token1] = ACTIONS(1288),
    [aux_sym_include_once_expression_token1] = ACTIONS(1288),
    [aux_sym_require_expression_token1] = ACTIONS(1288),
    [aux_sym_require_once_expression_token1] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_name] = ACTIONS(1292),
    [anon_sym_QMARK_GT] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1292),
    [aux_sym_global_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_definition_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1292),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1292),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1292),
    [anon_sym_BSLASH] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [aux_sym_trait_declaration_token1] = ACTIONS(1292),
    [aux_sym_interface_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_case_token1] = ACTIONS(1292),
    [aux_sym_class_declaration_token1] = ACTIONS(1292),
    [aux_sym_final_modifier_token1] = ACTIONS(1292),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1292),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1292),
    [sym_var_modifier] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1292),
    [aux_sym_echo_statement_token1] = ACTIONS(1292),
    [aux_sym_exit_statement_token1] = ACTIONS(1292),
    [anon_sym_unset] = ACTIONS(1292),
    [aux_sym_declare_statement_token1] = ACTIONS(1292),
    [aux_sym_declare_statement_token2] = ACTIONS(1292),
    [sym_float] = ACTIONS(1292),
    [aux_sym_try_statement_token1] = ACTIONS(1292),
    [aux_sym_goto_statement_token1] = ACTIONS(1292),
    [aux_sym_continue_statement_token1] = ACTIONS(1292),
    [aux_sym_break_statement_token1] = ACTIONS(1292),
    [sym_integer] = ACTIONS(1292),
    [aux_sym_return_statement_token1] = ACTIONS(1292),
    [aux_sym_throw_expression_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token2] = ACTIONS(1292),
    [aux_sym_do_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token2] = ACTIONS(1292),
    [aux_sym_foreach_statement_token1] = ACTIONS(1292),
    [aux_sym_foreach_statement_token2] = ACTIONS(1292),
    [aux_sym_if_statement_token1] = ACTIONS(1292),
    [aux_sym_if_statement_token2] = ACTIONS(1292),
    [aux_sym_else_if_clause_token1] = ACTIONS(1292),
    [aux_sym_else_clause_token1] = ACTIONS(1292),
    [aux_sym_match_expression_token1] = ACTIONS(1292),
    [aux_sym_match_default_expression_token1] = ACTIONS(1292),
    [aux_sym_switch_statement_token1] = ACTIONS(1292),
    [aux_sym_switch_block_token1] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_AT] = ACTIONS(1290),
    [aux_sym_clone_expression_token1] = ACTIONS(1292),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1292),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [aux_sym__list_destructing_token1] = ACTIONS(1292),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_self] = ACTIONS(1292),
    [anon_sym_parent] = ACTIONS(1292),
    [aux_sym__argument_name_token1] = ACTIONS(1292),
    [aux_sym__argument_name_token2] = ACTIONS(1292),
    [anon_sym_POUND_LBRACK] = ACTIONS(1290),
    [aux_sym_encapsed_string_token1] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [aux_sym_string_token1] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1290),
    [anon_sym_BQUOTE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1290),
    [aux_sym_yield_expression_token1] = ACTIONS(1292),
    [aux_sym_include_expression_token1] = ACTIONS(1292),
    [aux_sym_include_once_expression_token1] = ACTIONS(1292),
    [aux_sym_require_expression_token1] = ACTIONS(1292),
    [aux_sym_require_once_expression_token1] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_name] = ACTIONS(1296),
    [anon_sym_QMARK_GT] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1296),
    [aux_sym_global_declaration_token1] = ACTIONS(1296),
    [aux_sym_namespace_definition_token1] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1296),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1296),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1296),
    [anon_sym_BSLASH] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [aux_sym_trait_declaration_token1] = ACTIONS(1296),
    [aux_sym_interface_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_case_token1] = ACTIONS(1296),
    [aux_sym_class_declaration_token1] = ACTIONS(1296),
    [aux_sym_final_modifier_token1] = ACTIONS(1296),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1296),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1296),
    [sym_var_modifier] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1296),
    [aux_sym_echo_statement_token1] = ACTIONS(1296),
    [aux_sym_exit_statement_token1] = ACTIONS(1296),
    [anon_sym_unset] = ACTIONS(1296),
    [aux_sym_declare_statement_token1] = ACTIONS(1296),
    [aux_sym_declare_statement_token2] = ACTIONS(1296),
    [sym_float] = ACTIONS(1296),
    [aux_sym_try_statement_token1] = ACTIONS(1296),
    [aux_sym_goto_statement_token1] = ACTIONS(1296),
    [aux_sym_continue_statement_token1] = ACTIONS(1296),
    [aux_sym_break_statement_token1] = ACTIONS(1296),
    [sym_integer] = ACTIONS(1296),
    [aux_sym_return_statement_token1] = ACTIONS(1296),
    [aux_sym_throw_expression_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token2] = ACTIONS(1296),
    [aux_sym_do_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token2] = ACTIONS(1296),
    [aux_sym_foreach_statement_token1] = ACTIONS(1296),
    [aux_sym_foreach_statement_token2] = ACTIONS(1296),
    [aux_sym_if_statement_token1] = ACTIONS(1296),
    [aux_sym_if_statement_token2] = ACTIONS(1296),
    [aux_sym_else_if_clause_token1] = ACTIONS(1296),
    [aux_sym_else_clause_token1] = ACTIONS(1296),
    [aux_sym_match_expression_token1] = ACTIONS(1296),
    [aux_sym_match_default_expression_token1] = ACTIONS(1296),
    [aux_sym_switch_statement_token1] = ACTIONS(1296),
    [aux_sym_switch_block_token1] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_AT] = ACTIONS(1294),
    [aux_sym_clone_expression_token1] = ACTIONS(1296),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1296),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [aux_sym__list_destructing_token1] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_self] = ACTIONS(1296),
    [anon_sym_parent] = ACTIONS(1296),
    [aux_sym__argument_name_token1] = ACTIONS(1296),
    [aux_sym__argument_name_token2] = ACTIONS(1296),
    [anon_sym_POUND_LBRACK] = ACTIONS(1294),
    [aux_sym_encapsed_string_token1] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [aux_sym_string_token1] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_LT_LT_LT] = ACTIONS(1294),
    [anon_sym_BQUOTE] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1294),
    [aux_sym_yield_expression_token1] = ACTIONS(1296),
    [aux_sym_include_expression_token1] = ACTIONS(1296),
    [aux_sym_include_once_expression_token1] = ACTIONS(1296),
    [aux_sym_require_expression_token1] = ACTIONS(1296),
    [aux_sym_require_once_expression_token1] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_name] = ACTIONS(1300),
    [anon_sym_QMARK_GT] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1300),
    [aux_sym_global_declaration_token1] = ACTIONS(1300),
    [aux_sym_namespace_definition_token1] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1300),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1300),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1300),
    [anon_sym_BSLASH] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [aux_sym_trait_declaration_token1] = ACTIONS(1300),
    [aux_sym_interface_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_case_token1] = ACTIONS(1300),
    [aux_sym_class_declaration_token1] = ACTIONS(1300),
    [aux_sym_final_modifier_token1] = ACTIONS(1300),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1300),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1300),
    [sym_var_modifier] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1300),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1300),
    [aux_sym_echo_statement_token1] = ACTIONS(1300),
    [aux_sym_exit_statement_token1] = ACTIONS(1300),
    [anon_sym_unset] = ACTIONS(1300),
    [aux_sym_declare_statement_token1] = ACTIONS(1300),
    [aux_sym_declare_statement_token2] = ACTIONS(1300),
    [sym_float] = ACTIONS(1300),
    [aux_sym_try_statement_token1] = ACTIONS(1300),
    [aux_sym_goto_statement_token1] = ACTIONS(1300),
    [aux_sym_continue_statement_token1] = ACTIONS(1300),
    [aux_sym_break_statement_token1] = ACTIONS(1300),
    [sym_integer] = ACTIONS(1300),
    [aux_sym_return_statement_token1] = ACTIONS(1300),
    [aux_sym_throw_expression_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token2] = ACTIONS(1300),
    [aux_sym_do_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token2] = ACTIONS(1300),
    [aux_sym_foreach_statement_token1] = ACTIONS(1300),
    [aux_sym_foreach_statement_token2] = ACTIONS(1300),
    [aux_sym_if_statement_token1] = ACTIONS(1300),
    [aux_sym_if_statement_token2] = ACTIONS(1300),
    [aux_sym_else_if_clause_token1] = ACTIONS(1300),
    [aux_sym_else_clause_token1] = ACTIONS(1300),
    [aux_sym_match_expression_token1] = ACTIONS(1300),
    [aux_sym_match_default_expression_token1] = ACTIONS(1300),
    [aux_sym_switch_statement_token1] = ACTIONS(1300),
    [aux_sym_switch_block_token1] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(1298),
    [aux_sym_clone_expression_token1] = ACTIONS(1300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1300),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [aux_sym__list_destructing_token1] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_self] = ACTIONS(1300),
    [anon_sym_parent] = ACTIONS(1300),
    [aux_sym__argument_name_token1] = ACTIONS(1300),
    [aux_sym__argument_name_token2] = ACTIONS(1300),
    [anon_sym_POUND_LBRACK] = ACTIONS(1298),
    [aux_sym_encapsed_string_token1] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [aux_sym_string_token1] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_LT_LT_LT] = ACTIONS(1298),
    [anon_sym_BQUOTE] = ACTIONS(1298),
    [anon_sym_DOLLAR] = ACTIONS(1298),
    [aux_sym_yield_expression_token1] = ACTIONS(1300),
    [aux_sym_include_expression_token1] = ACTIONS(1300),
    [aux_sym_include_once_expression_token1] = ACTIONS(1300),
    [aux_sym_require_expression_token1] = ACTIONS(1300),
    [aux_sym_require_once_expression_token1] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_name] = ACTIONS(1304),
    [anon_sym_QMARK_GT] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1304),
    [aux_sym_global_declaration_token1] = ACTIONS(1304),
    [aux_sym_namespace_definition_token1] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1304),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1304),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1304),
    [anon_sym_BSLASH] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [aux_sym_trait_declaration_token1] = ACTIONS(1304),
    [aux_sym_interface_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_case_token1] = ACTIONS(1304),
    [aux_sym_class_declaration_token1] = ACTIONS(1304),
    [aux_sym_final_modifier_token1] = ACTIONS(1304),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1304),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1304),
    [sym_var_modifier] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1304),
    [aux_sym_echo_statement_token1] = ACTIONS(1304),
    [aux_sym_exit_statement_token1] = ACTIONS(1304),
    [anon_sym_unset] = ACTIONS(1304),
    [aux_sym_declare_statement_token1] = ACTIONS(1304),
    [aux_sym_declare_statement_token2] = ACTIONS(1304),
    [sym_float] = ACTIONS(1304),
    [aux_sym_try_statement_token1] = ACTIONS(1304),
    [aux_sym_goto_statement_token1] = ACTIONS(1304),
    [aux_sym_continue_statement_token1] = ACTIONS(1304),
    [aux_sym_break_statement_token1] = ACTIONS(1304),
    [sym_integer] = ACTIONS(1304),
    [aux_sym_return_statement_token1] = ACTIONS(1304),
    [aux_sym_throw_expression_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token2] = ACTIONS(1304),
    [aux_sym_do_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token2] = ACTIONS(1304),
    [aux_sym_foreach_statement_token1] = ACTIONS(1304),
    [aux_sym_foreach_statement_token2] = ACTIONS(1304),
    [aux_sym_if_statement_token1] = ACTIONS(1304),
    [aux_sym_if_statement_token2] = ACTIONS(1304),
    [aux_sym_else_if_clause_token1] = ACTIONS(1304),
    [aux_sym_else_clause_token1] = ACTIONS(1304),
    [aux_sym_match_expression_token1] = ACTIONS(1304),
    [aux_sym_match_default_expression_token1] = ACTIONS(1304),
    [aux_sym_switch_statement_token1] = ACTIONS(1304),
    [aux_sym_switch_block_token1] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1302),
    [aux_sym_clone_expression_token1] = ACTIONS(1304),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1304),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [aux_sym__list_destructing_token1] = ACTIONS(1304),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_self] = ACTIONS(1304),
    [anon_sym_parent] = ACTIONS(1304),
    [aux_sym__argument_name_token1] = ACTIONS(1304),
    [aux_sym__argument_name_token2] = ACTIONS(1304),
    [anon_sym_POUND_LBRACK] = ACTIONS(1302),
    [aux_sym_encapsed_string_token1] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [aux_sym_string_token1] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_LT_LT_LT] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1302),
    [aux_sym_yield_expression_token1] = ACTIONS(1304),
    [aux_sym_include_expression_token1] = ACTIONS(1304),
    [aux_sym_include_once_expression_token1] = ACTIONS(1304),
    [aux_sym_require_expression_token1] = ACTIONS(1304),
    [aux_sym_require_once_expression_token1] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_name] = ACTIONS(1308),
    [anon_sym_QMARK_GT] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1308),
    [aux_sym_global_declaration_token1] = ACTIONS(1308),
    [aux_sym_namespace_definition_token1] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1308),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1308),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1308),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [aux_sym_trait_declaration_token1] = ACTIONS(1308),
    [aux_sym_interface_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_case_token1] = ACTIONS(1308),
    [aux_sym_class_declaration_token1] = ACTIONS(1308),
    [aux_sym_final_modifier_token1] = ACTIONS(1308),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1308),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1308),
    [sym_var_modifier] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1308),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1308),
    [aux_sym_echo_statement_token1] = ACTIONS(1308),
    [aux_sym_exit_statement_token1] = ACTIONS(1308),
    [anon_sym_unset] = ACTIONS(1308),
    [aux_sym_declare_statement_token1] = ACTIONS(1308),
    [aux_sym_declare_statement_token2] = ACTIONS(1308),
    [sym_float] = ACTIONS(1308),
    [aux_sym_try_statement_token1] = ACTIONS(1308),
    [aux_sym_goto_statement_token1] = ACTIONS(1308),
    [aux_sym_continue_statement_token1] = ACTIONS(1308),
    [aux_sym_break_statement_token1] = ACTIONS(1308),
    [sym_integer] = ACTIONS(1308),
    [aux_sym_return_statement_token1] = ACTIONS(1308),
    [aux_sym_throw_expression_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token2] = ACTIONS(1308),
    [aux_sym_do_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token2] = ACTIONS(1308),
    [aux_sym_foreach_statement_token1] = ACTIONS(1308),
    [aux_sym_foreach_statement_token2] = ACTIONS(1308),
    [aux_sym_if_statement_token1] = ACTIONS(1308),
    [aux_sym_if_statement_token2] = ACTIONS(1308),
    [aux_sym_else_if_clause_token1] = ACTIONS(1308),
    [aux_sym_else_clause_token1] = ACTIONS(1308),
    [aux_sym_match_expression_token1] = ACTIONS(1308),
    [aux_sym_match_default_expression_token1] = ACTIONS(1308),
    [aux_sym_switch_statement_token1] = ACTIONS(1308),
    [aux_sym_switch_block_token1] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1306),
    [aux_sym_clone_expression_token1] = ACTIONS(1308),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1308),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [aux_sym__list_destructing_token1] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_self] = ACTIONS(1308),
    [anon_sym_parent] = ACTIONS(1308),
    [aux_sym__argument_name_token1] = ACTIONS(1308),
    [aux_sym__argument_name_token2] = ACTIONS(1308),
    [anon_sym_POUND_LBRACK] = ACTIONS(1306),
    [aux_sym_encapsed_string_token1] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [aux_sym_string_token1] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_LT_LT_LT] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1306),
    [aux_sym_yield_expression_token1] = ACTIONS(1308),
    [aux_sym_include_expression_token1] = ACTIONS(1308),
    [aux_sym_include_once_expression_token1] = ACTIONS(1308),
    [aux_sym_require_expression_token1] = ACTIONS(1308),
    [aux_sym_require_once_expression_token1] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_name] = ACTIONS(1312),
    [anon_sym_QMARK_GT] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1312),
    [aux_sym_global_declaration_token1] = ACTIONS(1312),
    [aux_sym_namespace_definition_token1] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1312),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1312),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1312),
    [anon_sym_BSLASH] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [aux_sym_trait_declaration_token1] = ACTIONS(1312),
    [aux_sym_interface_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_case_token1] = ACTIONS(1312),
    [aux_sym_class_declaration_token1] = ACTIONS(1312),
    [aux_sym_final_modifier_token1] = ACTIONS(1312),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1312),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1312),
    [sym_var_modifier] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1312),
    [aux_sym_echo_statement_token1] = ACTIONS(1312),
    [aux_sym_exit_statement_token1] = ACTIONS(1312),
    [anon_sym_unset] = ACTIONS(1312),
    [aux_sym_declare_statement_token1] = ACTIONS(1312),
    [aux_sym_declare_statement_token2] = ACTIONS(1312),
    [sym_float] = ACTIONS(1312),
    [aux_sym_try_statement_token1] = ACTIONS(1312),
    [aux_sym_goto_statement_token1] = ACTIONS(1312),
    [aux_sym_continue_statement_token1] = ACTIONS(1312),
    [aux_sym_break_statement_token1] = ACTIONS(1312),
    [sym_integer] = ACTIONS(1312),
    [aux_sym_return_statement_token1] = ACTIONS(1312),
    [aux_sym_throw_expression_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token2] = ACTIONS(1312),
    [aux_sym_do_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token2] = ACTIONS(1312),
    [aux_sym_foreach_statement_token1] = ACTIONS(1312),
    [aux_sym_foreach_statement_token2] = ACTIONS(1312),
    [aux_sym_if_statement_token1] = ACTIONS(1312),
    [aux_sym_if_statement_token2] = ACTIONS(1312),
    [aux_sym_else_if_clause_token1] = ACTIONS(1312),
    [aux_sym_else_clause_token1] = ACTIONS(1312),
    [aux_sym_match_expression_token1] = ACTIONS(1312),
    [aux_sym_match_default_expression_token1] = ACTIONS(1312),
    [aux_sym_switch_statement_token1] = ACTIONS(1312),
    [aux_sym_switch_block_token1] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1310),
    [aux_sym_clone_expression_token1] = ACTIONS(1312),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1312),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [aux_sym__list_destructing_token1] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1310),
    [anon_sym_self] = ACTIONS(1312),
    [anon_sym_parent] = ACTIONS(1312),
    [aux_sym__argument_name_token1] = ACTIONS(1312),
    [aux_sym__argument_name_token2] = ACTIONS(1312),
    [anon_sym_POUND_LBRACK] = ACTIONS(1310),
    [aux_sym_encapsed_string_token1] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [aux_sym_string_token1] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_LT_LT_LT] = ACTIONS(1310),
    [anon_sym_BQUOTE] = ACTIONS(1310),
    [anon_sym_DOLLAR] = ACTIONS(1310),
    [aux_sym_yield_expression_token1] = ACTIONS(1312),
    [aux_sym_include_expression_token1] = ACTIONS(1312),
    [aux_sym_include_once_expression_token1] = ACTIONS(1312),
    [aux_sym_require_expression_token1] = ACTIONS(1312),
    [aux_sym_require_once_expression_token1] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_name] = ACTIONS(1316),
    [anon_sym_QMARK_GT] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1316),
    [aux_sym_global_declaration_token1] = ACTIONS(1316),
    [aux_sym_namespace_definition_token1] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1316),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1316),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1316),
    [anon_sym_BSLASH] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [aux_sym_trait_declaration_token1] = ACTIONS(1316),
    [aux_sym_interface_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_case_token1] = ACTIONS(1316),
    [aux_sym_class_declaration_token1] = ACTIONS(1316),
    [aux_sym_final_modifier_token1] = ACTIONS(1316),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1316),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1316),
    [sym_var_modifier] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1316),
    [anon_sym_LPAREN] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1316),
    [aux_sym_echo_statement_token1] = ACTIONS(1316),
    [aux_sym_exit_statement_token1] = ACTIONS(1316),
    [anon_sym_unset] = ACTIONS(1316),
    [aux_sym_declare_statement_token1] = ACTIONS(1316),
    [aux_sym_declare_statement_token2] = ACTIONS(1316),
    [sym_float] = ACTIONS(1316),
    [aux_sym_try_statement_token1] = ACTIONS(1316),
    [aux_sym_goto_statement_token1] = ACTIONS(1316),
    [aux_sym_continue_statement_token1] = ACTIONS(1316),
    [aux_sym_break_statement_token1] = ACTIONS(1316),
    [sym_integer] = ACTIONS(1316),
    [aux_sym_return_statement_token1] = ACTIONS(1316),
    [aux_sym_throw_expression_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token2] = ACTIONS(1316),
    [aux_sym_do_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token2] = ACTIONS(1316),
    [aux_sym_foreach_statement_token1] = ACTIONS(1316),
    [aux_sym_foreach_statement_token2] = ACTIONS(1316),
    [aux_sym_if_statement_token1] = ACTIONS(1316),
    [aux_sym_if_statement_token2] = ACTIONS(1316),
    [aux_sym_else_if_clause_token1] = ACTIONS(1316),
    [aux_sym_else_clause_token1] = ACTIONS(1316),
    [aux_sym_match_expression_token1] = ACTIONS(1316),
    [aux_sym_match_default_expression_token1] = ACTIONS(1316),
    [aux_sym_switch_statement_token1] = ACTIONS(1316),
    [aux_sym_switch_block_token1] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1314),
    [aux_sym_clone_expression_token1] = ACTIONS(1316),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1316),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [aux_sym__list_destructing_token1] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1314),
    [anon_sym_self] = ACTIONS(1316),
    [anon_sym_parent] = ACTIONS(1316),
    [aux_sym__argument_name_token1] = ACTIONS(1316),
    [aux_sym__argument_name_token2] = ACTIONS(1316),
    [anon_sym_POUND_LBRACK] = ACTIONS(1314),
    [aux_sym_encapsed_string_token1] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [aux_sym_string_token1] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_LT_LT_LT] = ACTIONS(1314),
    [anon_sym_BQUOTE] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1314),
    [aux_sym_yield_expression_token1] = ACTIONS(1316),
    [aux_sym_include_expression_token1] = ACTIONS(1316),
    [aux_sym_include_once_expression_token1] = ACTIONS(1316),
    [aux_sym_require_expression_token1] = ACTIONS(1316),
    [aux_sym_require_once_expression_token1] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_name] = ACTIONS(1320),
    [anon_sym_QMARK_GT] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1320),
    [aux_sym_global_declaration_token1] = ACTIONS(1320),
    [aux_sym_namespace_definition_token1] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1320),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1320),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1320),
    [anon_sym_BSLASH] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [aux_sym_trait_declaration_token1] = ACTIONS(1320),
    [aux_sym_interface_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_case_token1] = ACTIONS(1320),
    [aux_sym_class_declaration_token1] = ACTIONS(1320),
    [aux_sym_final_modifier_token1] = ACTIONS(1320),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1320),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1320),
    [sym_var_modifier] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1320),
    [aux_sym_echo_statement_token1] = ACTIONS(1320),
    [aux_sym_exit_statement_token1] = ACTIONS(1320),
    [anon_sym_unset] = ACTIONS(1320),
    [aux_sym_declare_statement_token1] = ACTIONS(1320),
    [aux_sym_declare_statement_token2] = ACTIONS(1320),
    [sym_float] = ACTIONS(1320),
    [aux_sym_try_statement_token1] = ACTIONS(1320),
    [aux_sym_goto_statement_token1] = ACTIONS(1320),
    [aux_sym_continue_statement_token1] = ACTIONS(1320),
    [aux_sym_break_statement_token1] = ACTIONS(1320),
    [sym_integer] = ACTIONS(1320),
    [aux_sym_return_statement_token1] = ACTIONS(1320),
    [aux_sym_throw_expression_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token2] = ACTIONS(1320),
    [aux_sym_do_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token2] = ACTIONS(1320),
    [aux_sym_foreach_statement_token1] = ACTIONS(1320),
    [aux_sym_foreach_statement_token2] = ACTIONS(1320),
    [aux_sym_if_statement_token1] = ACTIONS(1320),
    [aux_sym_if_statement_token2] = ACTIONS(1320),
    [aux_sym_else_if_clause_token1] = ACTIONS(1320),
    [aux_sym_else_clause_token1] = ACTIONS(1320),
    [aux_sym_match_expression_token1] = ACTIONS(1320),
    [aux_sym_match_default_expression_token1] = ACTIONS(1320),
    [aux_sym_switch_statement_token1] = ACTIONS(1320),
    [aux_sym_switch_block_token1] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [aux_sym_clone_expression_token1] = ACTIONS(1320),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1320),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [aux_sym__list_destructing_token1] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1318),
    [anon_sym_self] = ACTIONS(1320),
    [anon_sym_parent] = ACTIONS(1320),
    [aux_sym__argument_name_token1] = ACTIONS(1320),
    [aux_sym__argument_name_token2] = ACTIONS(1320),
    [anon_sym_POUND_LBRACK] = ACTIONS(1318),
    [aux_sym_encapsed_string_token1] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [aux_sym_string_token1] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_LT_LT_LT] = ACTIONS(1318),
    [anon_sym_BQUOTE] = ACTIONS(1318),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [aux_sym_yield_expression_token1] = ACTIONS(1320),
    [aux_sym_include_expression_token1] = ACTIONS(1320),
    [aux_sym_include_once_expression_token1] = ACTIONS(1320),
    [aux_sym_require_expression_token1] = ACTIONS(1320),
    [aux_sym_require_once_expression_token1] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_name] = ACTIONS(1324),
    [anon_sym_QMARK_GT] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1324),
    [aux_sym_global_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_definition_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1324),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1324),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1324),
    [anon_sym_BSLASH] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [aux_sym_trait_declaration_token1] = ACTIONS(1324),
    [aux_sym_interface_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_case_token1] = ACTIONS(1324),
    [aux_sym_class_declaration_token1] = ACTIONS(1324),
    [aux_sym_final_modifier_token1] = ACTIONS(1324),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1324),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1324),
    [sym_var_modifier] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1324),
    [aux_sym_echo_statement_token1] = ACTIONS(1324),
    [aux_sym_exit_statement_token1] = ACTIONS(1324),
    [anon_sym_unset] = ACTIONS(1324),
    [aux_sym_declare_statement_token1] = ACTIONS(1324),
    [aux_sym_declare_statement_token2] = ACTIONS(1324),
    [sym_float] = ACTIONS(1324),
    [aux_sym_try_statement_token1] = ACTIONS(1324),
    [aux_sym_goto_statement_token1] = ACTIONS(1324),
    [aux_sym_continue_statement_token1] = ACTIONS(1324),
    [aux_sym_break_statement_token1] = ACTIONS(1324),
    [sym_integer] = ACTIONS(1324),
    [aux_sym_return_statement_token1] = ACTIONS(1324),
    [aux_sym_throw_expression_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token2] = ACTIONS(1324),
    [aux_sym_do_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token2] = ACTIONS(1324),
    [aux_sym_foreach_statement_token1] = ACTIONS(1324),
    [aux_sym_foreach_statement_token2] = ACTIONS(1324),
    [aux_sym_if_statement_token1] = ACTIONS(1324),
    [aux_sym_if_statement_token2] = ACTIONS(1324),
    [aux_sym_else_if_clause_token1] = ACTIONS(1324),
    [aux_sym_else_clause_token1] = ACTIONS(1324),
    [aux_sym_match_expression_token1] = ACTIONS(1324),
    [aux_sym_match_default_expression_token1] = ACTIONS(1324),
    [aux_sym_switch_statement_token1] = ACTIONS(1324),
    [aux_sym_switch_block_token1] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [aux_sym_clone_expression_token1] = ACTIONS(1324),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1324),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [aux_sym__list_destructing_token1] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_self] = ACTIONS(1324),
    [anon_sym_parent] = ACTIONS(1324),
    [aux_sym__argument_name_token1] = ACTIONS(1324),
    [aux_sym__argument_name_token2] = ACTIONS(1324),
    [anon_sym_POUND_LBRACK] = ACTIONS(1322),
    [aux_sym_encapsed_string_token1] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [aux_sym_string_token1] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_LT_LT_LT] = ACTIONS(1322),
    [anon_sym_BQUOTE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [aux_sym_yield_expression_token1] = ACTIONS(1324),
    [aux_sym_include_expression_token1] = ACTIONS(1324),
    [aux_sym_include_once_expression_token1] = ACTIONS(1324),
    [aux_sym_require_expression_token1] = ACTIONS(1324),
    [aux_sym_require_once_expression_token1] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_name] = ACTIONS(1328),
    [anon_sym_QMARK_GT] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1328),
    [aux_sym_global_declaration_token1] = ACTIONS(1328),
    [aux_sym_namespace_definition_token1] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1328),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1328),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1328),
    [anon_sym_BSLASH] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [aux_sym_trait_declaration_token1] = ACTIONS(1328),
    [aux_sym_interface_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_case_token1] = ACTIONS(1328),
    [aux_sym_class_declaration_token1] = ACTIONS(1328),
    [aux_sym_final_modifier_token1] = ACTIONS(1328),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1328),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1328),
    [sym_var_modifier] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1328),
    [aux_sym_echo_statement_token1] = ACTIONS(1328),
    [aux_sym_exit_statement_token1] = ACTIONS(1328),
    [anon_sym_unset] = ACTIONS(1328),
    [aux_sym_declare_statement_token1] = ACTIONS(1328),
    [aux_sym_declare_statement_token2] = ACTIONS(1328),
    [sym_float] = ACTIONS(1328),
    [aux_sym_try_statement_token1] = ACTIONS(1328),
    [aux_sym_goto_statement_token1] = ACTIONS(1328),
    [aux_sym_continue_statement_token1] = ACTIONS(1328),
    [aux_sym_break_statement_token1] = ACTIONS(1328),
    [sym_integer] = ACTIONS(1328),
    [aux_sym_return_statement_token1] = ACTIONS(1328),
    [aux_sym_throw_expression_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token2] = ACTIONS(1328),
    [aux_sym_do_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token2] = ACTIONS(1328),
    [aux_sym_foreach_statement_token1] = ACTIONS(1328),
    [aux_sym_foreach_statement_token2] = ACTIONS(1328),
    [aux_sym_if_statement_token1] = ACTIONS(1328),
    [aux_sym_if_statement_token2] = ACTIONS(1328),
    [aux_sym_else_if_clause_token1] = ACTIONS(1328),
    [aux_sym_else_clause_token1] = ACTIONS(1328),
    [aux_sym_match_expression_token1] = ACTIONS(1328),
    [aux_sym_match_default_expression_token1] = ACTIONS(1328),
    [aux_sym_switch_statement_token1] = ACTIONS(1328),
    [aux_sym_switch_block_token1] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1326),
    [aux_sym_clone_expression_token1] = ACTIONS(1328),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1328),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [aux_sym__list_destructing_token1] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_self] = ACTIONS(1328),
    [anon_sym_parent] = ACTIONS(1328),
    [aux_sym__argument_name_token1] = ACTIONS(1328),
    [aux_sym__argument_name_token2] = ACTIONS(1328),
    [anon_sym_POUND_LBRACK] = ACTIONS(1326),
    [aux_sym_encapsed_string_token1] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [aux_sym_string_token1] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_LT_LT_LT] = ACTIONS(1326),
    [anon_sym_BQUOTE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1326),
    [aux_sym_yield_expression_token1] = ACTIONS(1328),
    [aux_sym_include_expression_token1] = ACTIONS(1328),
    [aux_sym_include_once_expression_token1] = ACTIONS(1328),
    [aux_sym_require_expression_token1] = ACTIONS(1328),
    [aux_sym_require_once_expression_token1] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_name] = ACTIONS(1332),
    [anon_sym_QMARK_GT] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1332),
    [aux_sym_global_declaration_token1] = ACTIONS(1332),
    [aux_sym_namespace_definition_token1] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1332),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1332),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1332),
    [anon_sym_BSLASH] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [aux_sym_trait_declaration_token1] = ACTIONS(1332),
    [aux_sym_interface_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_case_token1] = ACTIONS(1332),
    [aux_sym_class_declaration_token1] = ACTIONS(1332),
    [aux_sym_final_modifier_token1] = ACTIONS(1332),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1332),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1332),
    [sym_var_modifier] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1332),
    [aux_sym_echo_statement_token1] = ACTIONS(1332),
    [aux_sym_exit_statement_token1] = ACTIONS(1332),
    [anon_sym_unset] = ACTIONS(1332),
    [aux_sym_declare_statement_token1] = ACTIONS(1332),
    [aux_sym_declare_statement_token2] = ACTIONS(1332),
    [sym_float] = ACTIONS(1332),
    [aux_sym_try_statement_token1] = ACTIONS(1332),
    [aux_sym_goto_statement_token1] = ACTIONS(1332),
    [aux_sym_continue_statement_token1] = ACTIONS(1332),
    [aux_sym_break_statement_token1] = ACTIONS(1332),
    [sym_integer] = ACTIONS(1332),
    [aux_sym_return_statement_token1] = ACTIONS(1332),
    [aux_sym_throw_expression_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token2] = ACTIONS(1332),
    [aux_sym_do_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token2] = ACTIONS(1332),
    [aux_sym_foreach_statement_token1] = ACTIONS(1332),
    [aux_sym_foreach_statement_token2] = ACTIONS(1332),
    [aux_sym_if_statement_token1] = ACTIONS(1332),
    [aux_sym_if_statement_token2] = ACTIONS(1332),
    [aux_sym_else_if_clause_token1] = ACTIONS(1332),
    [aux_sym_else_clause_token1] = ACTIONS(1332),
    [aux_sym_match_expression_token1] = ACTIONS(1332),
    [aux_sym_match_default_expression_token1] = ACTIONS(1332),
    [aux_sym_switch_statement_token1] = ACTIONS(1332),
    [aux_sym_switch_block_token1] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_AT] = ACTIONS(1330),
    [aux_sym_clone_expression_token1] = ACTIONS(1332),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1332),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [aux_sym__list_destructing_token1] = ACTIONS(1332),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_self] = ACTIONS(1332),
    [anon_sym_parent] = ACTIONS(1332),
    [aux_sym__argument_name_token1] = ACTIONS(1332),
    [aux_sym__argument_name_token2] = ACTIONS(1332),
    [anon_sym_POUND_LBRACK] = ACTIONS(1330),
    [aux_sym_encapsed_string_token1] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [aux_sym_string_token1] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_LT_LT_LT] = ACTIONS(1330),
    [anon_sym_BQUOTE] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1330),
    [aux_sym_yield_expression_token1] = ACTIONS(1332),
    [aux_sym_include_expression_token1] = ACTIONS(1332),
    [aux_sym_include_once_expression_token1] = ACTIONS(1332),
    [aux_sym_require_expression_token1] = ACTIONS(1332),
    [aux_sym_require_once_expression_token1] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_name] = ACTIONS(1336),
    [anon_sym_QMARK_GT] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1336),
    [aux_sym_global_declaration_token1] = ACTIONS(1336),
    [aux_sym_namespace_definition_token1] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1336),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1336),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1336),
    [anon_sym_BSLASH] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [aux_sym_trait_declaration_token1] = ACTIONS(1336),
    [aux_sym_interface_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_case_token1] = ACTIONS(1336),
    [aux_sym_class_declaration_token1] = ACTIONS(1336),
    [aux_sym_final_modifier_token1] = ACTIONS(1336),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1336),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1336),
    [sym_var_modifier] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1336),
    [aux_sym_echo_statement_token1] = ACTIONS(1336),
    [aux_sym_exit_statement_token1] = ACTIONS(1336),
    [anon_sym_unset] = ACTIONS(1336),
    [aux_sym_declare_statement_token1] = ACTIONS(1336),
    [aux_sym_declare_statement_token2] = ACTIONS(1336),
    [sym_float] = ACTIONS(1336),
    [aux_sym_try_statement_token1] = ACTIONS(1336),
    [aux_sym_goto_statement_token1] = ACTIONS(1336),
    [aux_sym_continue_statement_token1] = ACTIONS(1336),
    [aux_sym_break_statement_token1] = ACTIONS(1336),
    [sym_integer] = ACTIONS(1336),
    [aux_sym_return_statement_token1] = ACTIONS(1336),
    [aux_sym_throw_expression_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token2] = ACTIONS(1336),
    [aux_sym_do_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token2] = ACTIONS(1336),
    [aux_sym_foreach_statement_token1] = ACTIONS(1336),
    [aux_sym_foreach_statement_token2] = ACTIONS(1336),
    [aux_sym_if_statement_token1] = ACTIONS(1336),
    [aux_sym_if_statement_token2] = ACTIONS(1336),
    [aux_sym_else_if_clause_token1] = ACTIONS(1336),
    [aux_sym_else_clause_token1] = ACTIONS(1336),
    [aux_sym_match_expression_token1] = ACTIONS(1336),
    [aux_sym_match_default_expression_token1] = ACTIONS(1336),
    [aux_sym_switch_statement_token1] = ACTIONS(1336),
    [aux_sym_switch_block_token1] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1334),
    [aux_sym_clone_expression_token1] = ACTIONS(1336),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1336),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [aux_sym__list_destructing_token1] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_self] = ACTIONS(1336),
    [anon_sym_parent] = ACTIONS(1336),
    [aux_sym__argument_name_token1] = ACTIONS(1336),
    [aux_sym__argument_name_token2] = ACTIONS(1336),
    [anon_sym_POUND_LBRACK] = ACTIONS(1334),
    [aux_sym_encapsed_string_token1] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [aux_sym_string_token1] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_LT_LT_LT] = ACTIONS(1334),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1334),
    [aux_sym_yield_expression_token1] = ACTIONS(1336),
    [aux_sym_include_expression_token1] = ACTIONS(1336),
    [aux_sym_include_once_expression_token1] = ACTIONS(1336),
    [aux_sym_require_expression_token1] = ACTIONS(1336),
    [aux_sym_require_once_expression_token1] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_name] = ACTIONS(1340),
    [anon_sym_QMARK_GT] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1340),
    [aux_sym_global_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_definition_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1340),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1340),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1340),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [aux_sym_trait_declaration_token1] = ACTIONS(1340),
    [aux_sym_interface_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_case_token1] = ACTIONS(1340),
    [aux_sym_class_declaration_token1] = ACTIONS(1340),
    [aux_sym_final_modifier_token1] = ACTIONS(1340),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1340),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1340),
    [sym_var_modifier] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1340),
    [aux_sym_echo_statement_token1] = ACTIONS(1340),
    [aux_sym_exit_statement_token1] = ACTIONS(1340),
    [anon_sym_unset] = ACTIONS(1340),
    [aux_sym_declare_statement_token1] = ACTIONS(1340),
    [aux_sym_declare_statement_token2] = ACTIONS(1340),
    [sym_float] = ACTIONS(1340),
    [aux_sym_try_statement_token1] = ACTIONS(1340),
    [aux_sym_goto_statement_token1] = ACTIONS(1340),
    [aux_sym_continue_statement_token1] = ACTIONS(1340),
    [aux_sym_break_statement_token1] = ACTIONS(1340),
    [sym_integer] = ACTIONS(1340),
    [aux_sym_return_statement_token1] = ACTIONS(1340),
    [aux_sym_throw_expression_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token2] = ACTIONS(1340),
    [aux_sym_do_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token2] = ACTIONS(1340),
    [aux_sym_foreach_statement_token1] = ACTIONS(1340),
    [aux_sym_foreach_statement_token2] = ACTIONS(1340),
    [aux_sym_if_statement_token1] = ACTIONS(1340),
    [aux_sym_if_statement_token2] = ACTIONS(1340),
    [aux_sym_else_if_clause_token1] = ACTIONS(1340),
    [aux_sym_else_clause_token1] = ACTIONS(1340),
    [aux_sym_match_expression_token1] = ACTIONS(1340),
    [aux_sym_match_default_expression_token1] = ACTIONS(1340),
    [aux_sym_switch_statement_token1] = ACTIONS(1340),
    [aux_sym_switch_block_token1] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1338),
    [aux_sym_clone_expression_token1] = ACTIONS(1340),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1340),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [aux_sym__list_destructing_token1] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_self] = ACTIONS(1340),
    [anon_sym_parent] = ACTIONS(1340),
    [aux_sym__argument_name_token1] = ACTIONS(1340),
    [aux_sym__argument_name_token2] = ACTIONS(1340),
    [anon_sym_POUND_LBRACK] = ACTIONS(1338),
    [aux_sym_encapsed_string_token1] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [aux_sym_string_token1] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_LT_LT_LT] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [aux_sym_yield_expression_token1] = ACTIONS(1340),
    [aux_sym_include_expression_token1] = ACTIONS(1340),
    [aux_sym_include_once_expression_token1] = ACTIONS(1340),
    [aux_sym_require_expression_token1] = ACTIONS(1340),
    [aux_sym_require_once_expression_token1] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_name] = ACTIONS(1344),
    [anon_sym_QMARK_GT] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1344),
    [aux_sym_global_declaration_token1] = ACTIONS(1344),
    [aux_sym_namespace_definition_token1] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1344),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1344),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1344),
    [anon_sym_BSLASH] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [aux_sym_trait_declaration_token1] = ACTIONS(1344),
    [aux_sym_interface_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_case_token1] = ACTIONS(1344),
    [aux_sym_class_declaration_token1] = ACTIONS(1344),
    [aux_sym_final_modifier_token1] = ACTIONS(1344),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1344),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1344),
    [sym_var_modifier] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1344),
    [aux_sym_echo_statement_token1] = ACTIONS(1344),
    [aux_sym_exit_statement_token1] = ACTIONS(1344),
    [anon_sym_unset] = ACTIONS(1344),
    [aux_sym_declare_statement_token1] = ACTIONS(1344),
    [aux_sym_declare_statement_token2] = ACTIONS(1344),
    [sym_float] = ACTIONS(1344),
    [aux_sym_try_statement_token1] = ACTIONS(1344),
    [aux_sym_goto_statement_token1] = ACTIONS(1344),
    [aux_sym_continue_statement_token1] = ACTIONS(1344),
    [aux_sym_break_statement_token1] = ACTIONS(1344),
    [sym_integer] = ACTIONS(1344),
    [aux_sym_return_statement_token1] = ACTIONS(1344),
    [aux_sym_throw_expression_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token2] = ACTIONS(1344),
    [aux_sym_do_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token2] = ACTIONS(1344),
    [aux_sym_foreach_statement_token1] = ACTIONS(1344),
    [aux_sym_foreach_statement_token2] = ACTIONS(1344),
    [aux_sym_if_statement_token1] = ACTIONS(1344),
    [aux_sym_if_statement_token2] = ACTIONS(1344),
    [aux_sym_else_if_clause_token1] = ACTIONS(1344),
    [aux_sym_else_clause_token1] = ACTIONS(1344),
    [aux_sym_match_expression_token1] = ACTIONS(1344),
    [aux_sym_match_default_expression_token1] = ACTIONS(1344),
    [aux_sym_switch_statement_token1] = ACTIONS(1344),
    [aux_sym_switch_block_token1] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [aux_sym_clone_expression_token1] = ACTIONS(1344),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1344),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [aux_sym__list_destructing_token1] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [anon_sym_self] = ACTIONS(1344),
    [anon_sym_parent] = ACTIONS(1344),
    [aux_sym__argument_name_token1] = ACTIONS(1344),
    [aux_sym__argument_name_token2] = ACTIONS(1344),
    [anon_sym_POUND_LBRACK] = ACTIONS(1342),
    [aux_sym_encapsed_string_token1] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [aux_sym_string_token1] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_LT_LT_LT] = ACTIONS(1342),
    [anon_sym_BQUOTE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [aux_sym_yield_expression_token1] = ACTIONS(1344),
    [aux_sym_include_expression_token1] = ACTIONS(1344),
    [aux_sym_include_once_expression_token1] = ACTIONS(1344),
    [aux_sym_require_expression_token1] = ACTIONS(1344),
    [aux_sym_require_once_expression_token1] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_name] = ACTIONS(1348),
    [anon_sym_QMARK_GT] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1348),
    [aux_sym_global_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_definition_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1348),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1348),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [aux_sym_trait_declaration_token1] = ACTIONS(1348),
    [aux_sym_interface_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_case_token1] = ACTIONS(1348),
    [aux_sym_class_declaration_token1] = ACTIONS(1348),
    [aux_sym_final_modifier_token1] = ACTIONS(1348),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1348),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1348),
    [sym_var_modifier] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1348),
    [aux_sym_echo_statement_token1] = ACTIONS(1348),
    [aux_sym_exit_statement_token1] = ACTIONS(1348),
    [anon_sym_unset] = ACTIONS(1348),
    [aux_sym_declare_statement_token1] = ACTIONS(1348),
    [aux_sym_declare_statement_token2] = ACTIONS(1348),
    [sym_float] = ACTIONS(1348),
    [aux_sym_try_statement_token1] = ACTIONS(1348),
    [aux_sym_goto_statement_token1] = ACTIONS(1348),
    [aux_sym_continue_statement_token1] = ACTIONS(1348),
    [aux_sym_break_statement_token1] = ACTIONS(1348),
    [sym_integer] = ACTIONS(1348),
    [aux_sym_return_statement_token1] = ACTIONS(1348),
    [aux_sym_throw_expression_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token2] = ACTIONS(1348),
    [aux_sym_do_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token2] = ACTIONS(1348),
    [aux_sym_foreach_statement_token1] = ACTIONS(1348),
    [aux_sym_foreach_statement_token2] = ACTIONS(1348),
    [aux_sym_if_statement_token1] = ACTIONS(1348),
    [aux_sym_if_statement_token2] = ACTIONS(1348),
    [aux_sym_else_if_clause_token1] = ACTIONS(1348),
    [aux_sym_else_clause_token1] = ACTIONS(1348),
    [aux_sym_match_expression_token1] = ACTIONS(1348),
    [aux_sym_match_default_expression_token1] = ACTIONS(1348),
    [aux_sym_switch_statement_token1] = ACTIONS(1348),
    [aux_sym_switch_block_token1] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [aux_sym_clone_expression_token1] = ACTIONS(1348),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1348),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [aux_sym__list_destructing_token1] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_self] = ACTIONS(1348),
    [anon_sym_parent] = ACTIONS(1348),
    [aux_sym__argument_name_token1] = ACTIONS(1348),
    [aux_sym__argument_name_token2] = ACTIONS(1348),
    [anon_sym_POUND_LBRACK] = ACTIONS(1346),
    [aux_sym_encapsed_string_token1] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [aux_sym_string_token1] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_LT_LT_LT] = ACTIONS(1346),
    [anon_sym_BQUOTE] = ACTIONS(1346),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [aux_sym_yield_expression_token1] = ACTIONS(1348),
    [aux_sym_include_expression_token1] = ACTIONS(1348),
    [aux_sym_include_once_expression_token1] = ACTIONS(1348),
    [aux_sym_require_expression_token1] = ACTIONS(1348),
    [aux_sym_require_once_expression_token1] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_name] = ACTIONS(1352),
    [anon_sym_QMARK_GT] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1352),
    [aux_sym_global_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_definition_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1352),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1352),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1352),
    [anon_sym_BSLASH] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [aux_sym_trait_declaration_token1] = ACTIONS(1352),
    [aux_sym_interface_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_case_token1] = ACTIONS(1352),
    [aux_sym_class_declaration_token1] = ACTIONS(1352),
    [aux_sym_final_modifier_token1] = ACTIONS(1352),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1352),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1352),
    [sym_var_modifier] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1352),
    [aux_sym_echo_statement_token1] = ACTIONS(1352),
    [aux_sym_exit_statement_token1] = ACTIONS(1352),
    [anon_sym_unset] = ACTIONS(1352),
    [aux_sym_declare_statement_token1] = ACTIONS(1352),
    [aux_sym_declare_statement_token2] = ACTIONS(1352),
    [sym_float] = ACTIONS(1352),
    [aux_sym_try_statement_token1] = ACTIONS(1352),
    [aux_sym_goto_statement_token1] = ACTIONS(1352),
    [aux_sym_continue_statement_token1] = ACTIONS(1352),
    [aux_sym_break_statement_token1] = ACTIONS(1352),
    [sym_integer] = ACTIONS(1352),
    [aux_sym_return_statement_token1] = ACTIONS(1352),
    [aux_sym_throw_expression_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token2] = ACTIONS(1352),
    [aux_sym_do_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token2] = ACTIONS(1352),
    [aux_sym_foreach_statement_token1] = ACTIONS(1352),
    [aux_sym_foreach_statement_token2] = ACTIONS(1352),
    [aux_sym_if_statement_token1] = ACTIONS(1352),
    [aux_sym_if_statement_token2] = ACTIONS(1352),
    [aux_sym_else_if_clause_token1] = ACTIONS(1352),
    [aux_sym_else_clause_token1] = ACTIONS(1352),
    [aux_sym_match_expression_token1] = ACTIONS(1352),
    [aux_sym_match_default_expression_token1] = ACTIONS(1352),
    [aux_sym_switch_statement_token1] = ACTIONS(1352),
    [aux_sym_switch_block_token1] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [aux_sym_clone_expression_token1] = ACTIONS(1352),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1352),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [aux_sym__list_destructing_token1] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_self] = ACTIONS(1352),
    [anon_sym_parent] = ACTIONS(1352),
    [aux_sym__argument_name_token1] = ACTIONS(1352),
    [aux_sym__argument_name_token2] = ACTIONS(1352),
    [anon_sym_POUND_LBRACK] = ACTIONS(1350),
    [aux_sym_encapsed_string_token1] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [aux_sym_string_token1] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_LT_LT_LT] = ACTIONS(1350),
    [anon_sym_BQUOTE] = ACTIONS(1350),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [aux_sym_yield_expression_token1] = ACTIONS(1352),
    [aux_sym_include_expression_token1] = ACTIONS(1352),
    [aux_sym_include_once_expression_token1] = ACTIONS(1352),
    [aux_sym_require_expression_token1] = ACTIONS(1352),
    [aux_sym_require_once_expression_token1] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_name] = ACTIONS(1356),
    [anon_sym_QMARK_GT] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1356),
    [aux_sym_global_declaration_token1] = ACTIONS(1356),
    [aux_sym_namespace_definition_token1] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1356),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1356),
    [anon_sym_BSLASH] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [aux_sym_trait_declaration_token1] = ACTIONS(1356),
    [aux_sym_interface_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_case_token1] = ACTIONS(1356),
    [aux_sym_class_declaration_token1] = ACTIONS(1356),
    [aux_sym_final_modifier_token1] = ACTIONS(1356),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1356),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1356),
    [sym_var_modifier] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1356),
    [aux_sym_cast_type_token1] = ACTIONS(1356),
    [aux_sym_echo_statement_token1] = ACTIONS(1356),
    [aux_sym_exit_statement_token1] = ACTIONS(1356),
    [anon_sym_unset] = ACTIONS(1356),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [aux_sym_declare_statement_token2] = ACTIONS(1356),
    [sym_float] = ACTIONS(1356),
    [aux_sym_try_statement_token1] = ACTIONS(1356),
    [aux_sym_goto_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [sym_integer] = ACTIONS(1356),
    [aux_sym_return_statement_token1] = ACTIONS(1356),
    [aux_sym_throw_expression_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token2] = ACTIONS(1356),
    [aux_sym_do_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token2] = ACTIONS(1356),
    [aux_sym_foreach_statement_token1] = ACTIONS(1356),
    [aux_sym_foreach_statement_token2] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token2] = ACTIONS(1356),
    [aux_sym_else_if_clause_token1] = ACTIONS(1356),
    [aux_sym_else_clause_token1] = ACTIONS(1356),
    [aux_sym_match_expression_token1] = ACTIONS(1356),
    [aux_sym_match_default_expression_token1] = ACTIONS(1356),
    [aux_sym_switch_statement_token1] = ACTIONS(1356),
    [aux_sym_switch_block_token1] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [aux_sym_clone_expression_token1] = ACTIONS(1356),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1356),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [aux_sym__list_destructing_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_self] = ACTIONS(1356),
    [anon_sym_parent] = ACTIONS(1356),
    [aux_sym__argument_name_token1] = ACTIONS(1356),
    [aux_sym__argument_name_token2] = ACTIONS(1356),
    [anon_sym_POUND_LBRACK] = ACTIONS(1354),
    [aux_sym_encapsed_string_token1] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [aux_sym_string_token1] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_LT_LT_LT] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [aux_sym_yield_expression_token1] = ACTIONS(1356),
    [aux_sym_include_expression_token1] = ACTIONS(1356),
    [aux_sym_include_once_expression_token1] = ACTIONS(1356),
    [aux_sym_require_expression_token1] = ACTIONS(1356),
    [aux_sym_require_once_expression_token1] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_name] = ACTIONS(1360),
    [anon_sym_QMARK_GT] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1360),
    [aux_sym_global_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_definition_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1360),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1360),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1360),
    [anon_sym_BSLASH] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [aux_sym_trait_declaration_token1] = ACTIONS(1360),
    [aux_sym_interface_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_case_token1] = ACTIONS(1360),
    [aux_sym_class_declaration_token1] = ACTIONS(1360),
    [aux_sym_final_modifier_token1] = ACTIONS(1360),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1360),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1360),
    [sym_var_modifier] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1358),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1360),
    [aux_sym_echo_statement_token1] = ACTIONS(1360),
    [aux_sym_exit_statement_token1] = ACTIONS(1360),
    [anon_sym_unset] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_declare_statement_token2] = ACTIONS(1360),
    [sym_float] = ACTIONS(1360),
    [aux_sym_try_statement_token1] = ACTIONS(1360),
    [aux_sym_goto_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [sym_integer] = ACTIONS(1360),
    [aux_sym_return_statement_token1] = ACTIONS(1360),
    [aux_sym_throw_expression_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token2] = ACTIONS(1360),
    [aux_sym_do_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token2] = ACTIONS(1360),
    [aux_sym_foreach_statement_token1] = ACTIONS(1360),
    [aux_sym_foreach_statement_token2] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token2] = ACTIONS(1360),
    [aux_sym_else_if_clause_token1] = ACTIONS(1360),
    [aux_sym_else_clause_token1] = ACTIONS(1360),
    [aux_sym_match_expression_token1] = ACTIONS(1360),
    [aux_sym_match_default_expression_token1] = ACTIONS(1360),
    [aux_sym_switch_statement_token1] = ACTIONS(1360),
    [aux_sym_switch_block_token1] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [aux_sym_clone_expression_token1] = ACTIONS(1360),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1360),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [aux_sym__list_destructing_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [anon_sym_self] = ACTIONS(1360),
    [anon_sym_parent] = ACTIONS(1360),
    [aux_sym__argument_name_token1] = ACTIONS(1360),
    [aux_sym__argument_name_token2] = ACTIONS(1360),
    [anon_sym_POUND_LBRACK] = ACTIONS(1358),
    [aux_sym_encapsed_string_token1] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [aux_sym_string_token1] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_LT_LT_LT] = ACTIONS(1358),
    [anon_sym_BQUOTE] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [aux_sym_yield_expression_token1] = ACTIONS(1360),
    [aux_sym_include_expression_token1] = ACTIONS(1360),
    [aux_sym_include_once_expression_token1] = ACTIONS(1360),
    [aux_sym_require_expression_token1] = ACTIONS(1360),
    [aux_sym_require_once_expression_token1] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_name] = ACTIONS(1364),
    [anon_sym_QMARK_GT] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1364),
    [aux_sym_global_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_definition_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1364),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1364),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [aux_sym_trait_declaration_token1] = ACTIONS(1364),
    [aux_sym_interface_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_case_token1] = ACTIONS(1364),
    [aux_sym_class_declaration_token1] = ACTIONS(1364),
    [aux_sym_final_modifier_token1] = ACTIONS(1364),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1364),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1364),
    [sym_var_modifier] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1364),
    [aux_sym_echo_statement_token1] = ACTIONS(1364),
    [aux_sym_exit_statement_token1] = ACTIONS(1364),
    [anon_sym_unset] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_declare_statement_token2] = ACTIONS(1364),
    [sym_float] = ACTIONS(1364),
    [aux_sym_try_statement_token1] = ACTIONS(1364),
    [aux_sym_goto_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [sym_integer] = ACTIONS(1364),
    [aux_sym_return_statement_token1] = ACTIONS(1364),
    [aux_sym_throw_expression_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token2] = ACTIONS(1364),
    [aux_sym_do_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token2] = ACTIONS(1364),
    [aux_sym_foreach_statement_token1] = ACTIONS(1364),
    [aux_sym_foreach_statement_token2] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token2] = ACTIONS(1364),
    [aux_sym_else_if_clause_token1] = ACTIONS(1364),
    [aux_sym_else_clause_token1] = ACTIONS(1364),
    [aux_sym_match_expression_token1] = ACTIONS(1364),
    [aux_sym_match_default_expression_token1] = ACTIONS(1364),
    [aux_sym_switch_statement_token1] = ACTIONS(1364),
    [aux_sym_switch_block_token1] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [aux_sym_clone_expression_token1] = ACTIONS(1364),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1364),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [aux_sym__list_destructing_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_self] = ACTIONS(1364),
    [anon_sym_parent] = ACTIONS(1364),
    [aux_sym__argument_name_token1] = ACTIONS(1364),
    [aux_sym__argument_name_token2] = ACTIONS(1364),
    [anon_sym_POUND_LBRACK] = ACTIONS(1362),
    [aux_sym_encapsed_string_token1] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [aux_sym_string_token1] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_LT_LT_LT] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [aux_sym_yield_expression_token1] = ACTIONS(1364),
    [aux_sym_include_expression_token1] = ACTIONS(1364),
    [aux_sym_include_once_expression_token1] = ACTIONS(1364),
    [aux_sym_require_expression_token1] = ACTIONS(1364),
    [aux_sym_require_once_expression_token1] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_name] = ACTIONS(1368),
    [anon_sym_QMARK_GT] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1368),
    [aux_sym_global_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_definition_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1368),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1368),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1368),
    [anon_sym_BSLASH] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [aux_sym_trait_declaration_token1] = ACTIONS(1368),
    [aux_sym_interface_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_case_token1] = ACTIONS(1368),
    [aux_sym_class_declaration_token1] = ACTIONS(1368),
    [aux_sym_final_modifier_token1] = ACTIONS(1368),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1368),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1368),
    [sym_var_modifier] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1368),
    [anon_sym_LPAREN] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1368),
    [aux_sym_cast_type_token1] = ACTIONS(1368),
    [aux_sym_echo_statement_token1] = ACTIONS(1368),
    [aux_sym_exit_statement_token1] = ACTIONS(1368),
    [anon_sym_unset] = ACTIONS(1368),
    [aux_sym_declare_statement_token1] = ACTIONS(1368),
    [aux_sym_declare_statement_token2] = ACTIONS(1368),
    [sym_float] = ACTIONS(1368),
    [aux_sym_try_statement_token1] = ACTIONS(1368),
    [aux_sym_goto_statement_token1] = ACTIONS(1368),
    [aux_sym_continue_statement_token1] = ACTIONS(1368),
    [aux_sym_break_statement_token1] = ACTIONS(1368),
    [sym_integer] = ACTIONS(1368),
    [aux_sym_return_statement_token1] = ACTIONS(1368),
    [aux_sym_throw_expression_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token2] = ACTIONS(1368),
    [aux_sym_do_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token2] = ACTIONS(1368),
    [aux_sym_foreach_statement_token1] = ACTIONS(1368),
    [aux_sym_foreach_statement_token2] = ACTIONS(1368),
    [aux_sym_if_statement_token1] = ACTIONS(1368),
    [aux_sym_if_statement_token2] = ACTIONS(1368),
    [aux_sym_else_if_clause_token1] = ACTIONS(1368),
    [aux_sym_else_clause_token1] = ACTIONS(1368),
    [aux_sym_match_expression_token1] = ACTIONS(1368),
    [aux_sym_match_default_expression_token1] = ACTIONS(1368),
    [aux_sym_switch_statement_token1] = ACTIONS(1368),
    [aux_sym_switch_block_token1] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [aux_sym_clone_expression_token1] = ACTIONS(1368),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1368),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [aux_sym__list_destructing_token1] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_self] = ACTIONS(1368),
    [anon_sym_parent] = ACTIONS(1368),
    [aux_sym__argument_name_token1] = ACTIONS(1368),
    [aux_sym__argument_name_token2] = ACTIONS(1368),
    [anon_sym_POUND_LBRACK] = ACTIONS(1366),
    [aux_sym_encapsed_string_token1] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [aux_sym_string_token1] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_LT_LT_LT] = ACTIONS(1366),
    [anon_sym_BQUOTE] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [aux_sym_yield_expression_token1] = ACTIONS(1368),
    [aux_sym_include_expression_token1] = ACTIONS(1368),
    [aux_sym_include_once_expression_token1] = ACTIONS(1368),
    [aux_sym_require_expression_token1] = ACTIONS(1368),
    [aux_sym_require_once_expression_token1] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_name] = ACTIONS(1372),
    [anon_sym_QMARK_GT] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1372),
    [aux_sym_global_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_definition_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1372),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1372),
    [anon_sym_BSLASH] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [aux_sym_trait_declaration_token1] = ACTIONS(1372),
    [aux_sym_interface_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_case_token1] = ACTIONS(1372),
    [aux_sym_class_declaration_token1] = ACTIONS(1372),
    [aux_sym_final_modifier_token1] = ACTIONS(1372),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1372),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1372),
    [sym_var_modifier] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1372),
    [aux_sym_echo_statement_token1] = ACTIONS(1372),
    [aux_sym_exit_statement_token1] = ACTIONS(1372),
    [anon_sym_unset] = ACTIONS(1372),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [aux_sym_declare_statement_token2] = ACTIONS(1372),
    [sym_float] = ACTIONS(1372),
    [aux_sym_try_statement_token1] = ACTIONS(1372),
    [aux_sym_goto_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [sym_integer] = ACTIONS(1372),
    [aux_sym_return_statement_token1] = ACTIONS(1372),
    [aux_sym_throw_expression_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token2] = ACTIONS(1372),
    [aux_sym_do_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token2] = ACTIONS(1372),
    [aux_sym_foreach_statement_token1] = ACTIONS(1372),
    [aux_sym_foreach_statement_token2] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token2] = ACTIONS(1372),
    [aux_sym_else_if_clause_token1] = ACTIONS(1372),
    [aux_sym_else_clause_token1] = ACTIONS(1372),
    [aux_sym_match_expression_token1] = ACTIONS(1372),
    [aux_sym_match_default_expression_token1] = ACTIONS(1372),
    [aux_sym_switch_statement_token1] = ACTIONS(1372),
    [aux_sym_switch_block_token1] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [aux_sym_clone_expression_token1] = ACTIONS(1372),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1372),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [aux_sym__list_destructing_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_self] = ACTIONS(1372),
    [anon_sym_parent] = ACTIONS(1372),
    [aux_sym__argument_name_token1] = ACTIONS(1372),
    [aux_sym__argument_name_token2] = ACTIONS(1372),
    [anon_sym_POUND_LBRACK] = ACTIONS(1370),
    [aux_sym_encapsed_string_token1] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [aux_sym_string_token1] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_LT_LT_LT] = ACTIONS(1370),
    [anon_sym_BQUOTE] = ACTIONS(1370),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [aux_sym_yield_expression_token1] = ACTIONS(1372),
    [aux_sym_include_expression_token1] = ACTIONS(1372),
    [aux_sym_include_once_expression_token1] = ACTIONS(1372),
    [aux_sym_require_expression_token1] = ACTIONS(1372),
    [aux_sym_require_once_expression_token1] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_name] = ACTIONS(1376),
    [anon_sym_QMARK_GT] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1376),
    [aux_sym_global_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_definition_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1376),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1376),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1376),
    [anon_sym_BSLASH] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [aux_sym_trait_declaration_token1] = ACTIONS(1376),
    [aux_sym_interface_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_case_token1] = ACTIONS(1376),
    [aux_sym_class_declaration_token1] = ACTIONS(1376),
    [aux_sym_final_modifier_token1] = ACTIONS(1376),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1376),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1376),
    [sym_var_modifier] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1376),
    [aux_sym_cast_type_token1] = ACTIONS(1376),
    [aux_sym_echo_statement_token1] = ACTIONS(1376),
    [aux_sym_exit_statement_token1] = ACTIONS(1376),
    [anon_sym_unset] = ACTIONS(1376),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [aux_sym_declare_statement_token2] = ACTIONS(1376),
    [sym_float] = ACTIONS(1376),
    [aux_sym_try_statement_token1] = ACTIONS(1376),
    [aux_sym_goto_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [sym_integer] = ACTIONS(1376),
    [aux_sym_return_statement_token1] = ACTIONS(1376),
    [aux_sym_throw_expression_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token2] = ACTIONS(1376),
    [aux_sym_do_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token2] = ACTIONS(1376),
    [aux_sym_foreach_statement_token1] = ACTIONS(1376),
    [aux_sym_foreach_statement_token2] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token2] = ACTIONS(1376),
    [aux_sym_else_if_clause_token1] = ACTIONS(1376),
    [aux_sym_else_clause_token1] = ACTIONS(1376),
    [aux_sym_match_expression_token1] = ACTIONS(1376),
    [aux_sym_match_default_expression_token1] = ACTIONS(1376),
    [aux_sym_switch_statement_token1] = ACTIONS(1376),
    [aux_sym_switch_block_token1] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [aux_sym_clone_expression_token1] = ACTIONS(1376),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1376),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [aux_sym__list_destructing_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_self] = ACTIONS(1376),
    [anon_sym_parent] = ACTIONS(1376),
    [aux_sym__argument_name_token1] = ACTIONS(1376),
    [aux_sym__argument_name_token2] = ACTIONS(1376),
    [anon_sym_POUND_LBRACK] = ACTIONS(1374),
    [aux_sym_encapsed_string_token1] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [aux_sym_string_token1] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_LT_LT_LT] = ACTIONS(1374),
    [anon_sym_BQUOTE] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [aux_sym_yield_expression_token1] = ACTIONS(1376),
    [aux_sym_include_expression_token1] = ACTIONS(1376),
    [aux_sym_include_once_expression_token1] = ACTIONS(1376),
    [aux_sym_require_expression_token1] = ACTIONS(1376),
    [aux_sym_require_once_expression_token1] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_name] = ACTIONS(1380),
    [anon_sym_QMARK_GT] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1380),
    [aux_sym_global_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_definition_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1380),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1380),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1380),
    [anon_sym_BSLASH] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [aux_sym_trait_declaration_token1] = ACTIONS(1380),
    [aux_sym_interface_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_case_token1] = ACTIONS(1380),
    [aux_sym_class_declaration_token1] = ACTIONS(1380),
    [aux_sym_final_modifier_token1] = ACTIONS(1380),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1380),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1380),
    [sym_var_modifier] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1380),
    [aux_sym_cast_type_token1] = ACTIONS(1380),
    [aux_sym_echo_statement_token1] = ACTIONS(1380),
    [aux_sym_exit_statement_token1] = ACTIONS(1380),
    [anon_sym_unset] = ACTIONS(1380),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [aux_sym_declare_statement_token2] = ACTIONS(1380),
    [sym_float] = ACTIONS(1380),
    [aux_sym_try_statement_token1] = ACTIONS(1380),
    [aux_sym_goto_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [sym_integer] = ACTIONS(1380),
    [aux_sym_return_statement_token1] = ACTIONS(1380),
    [aux_sym_throw_expression_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token2] = ACTIONS(1380),
    [aux_sym_do_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token2] = ACTIONS(1380),
    [aux_sym_foreach_statement_token1] = ACTIONS(1380),
    [aux_sym_foreach_statement_token2] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token2] = ACTIONS(1380),
    [aux_sym_else_if_clause_token1] = ACTIONS(1380),
    [aux_sym_else_clause_token1] = ACTIONS(1380),
    [aux_sym_match_expression_token1] = ACTIONS(1380),
    [aux_sym_match_default_expression_token1] = ACTIONS(1380),
    [aux_sym_switch_statement_token1] = ACTIONS(1380),
    [aux_sym_switch_block_token1] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [aux_sym_clone_expression_token1] = ACTIONS(1380),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1380),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [aux_sym__list_destructing_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_self] = ACTIONS(1380),
    [anon_sym_parent] = ACTIONS(1380),
    [aux_sym__argument_name_token1] = ACTIONS(1380),
    [aux_sym__argument_name_token2] = ACTIONS(1380),
    [anon_sym_POUND_LBRACK] = ACTIONS(1378),
    [aux_sym_encapsed_string_token1] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [aux_sym_string_token1] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_LT_LT_LT] = ACTIONS(1378),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [aux_sym_yield_expression_token1] = ACTIONS(1380),
    [aux_sym_include_expression_token1] = ACTIONS(1380),
    [aux_sym_include_once_expression_token1] = ACTIONS(1380),
    [aux_sym_require_expression_token1] = ACTIONS(1380),
    [aux_sym_require_once_expression_token1] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_name] = ACTIONS(1384),
    [anon_sym_QMARK_GT] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1384),
    [aux_sym_global_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_definition_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1384),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1384),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1384),
    [anon_sym_BSLASH] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [aux_sym_trait_declaration_token1] = ACTIONS(1384),
    [aux_sym_interface_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_case_token1] = ACTIONS(1384),
    [aux_sym_class_declaration_token1] = ACTIONS(1384),
    [aux_sym_final_modifier_token1] = ACTIONS(1384),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1384),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1384),
    [sym_var_modifier] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1384),
    [aux_sym_echo_statement_token1] = ACTIONS(1384),
    [aux_sym_exit_statement_token1] = ACTIONS(1384),
    [anon_sym_unset] = ACTIONS(1384),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [aux_sym_declare_statement_token2] = ACTIONS(1384),
    [sym_float] = ACTIONS(1384),
    [aux_sym_try_statement_token1] = ACTIONS(1384),
    [aux_sym_goto_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [sym_integer] = ACTIONS(1384),
    [aux_sym_return_statement_token1] = ACTIONS(1384),
    [aux_sym_throw_expression_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token2] = ACTIONS(1384),
    [aux_sym_do_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token2] = ACTIONS(1384),
    [aux_sym_foreach_statement_token1] = ACTIONS(1384),
    [aux_sym_foreach_statement_token2] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token2] = ACTIONS(1384),
    [aux_sym_else_if_clause_token1] = ACTIONS(1384),
    [aux_sym_else_clause_token1] = ACTIONS(1384),
    [aux_sym_match_expression_token1] = ACTIONS(1384),
    [aux_sym_match_default_expression_token1] = ACTIONS(1384),
    [aux_sym_switch_statement_token1] = ACTIONS(1384),
    [aux_sym_switch_block_token1] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_AT] = ACTIONS(1382),
    [aux_sym_clone_expression_token1] = ACTIONS(1384),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1384),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [aux_sym__list_destructing_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_self] = ACTIONS(1384),
    [anon_sym_parent] = ACTIONS(1384),
    [aux_sym__argument_name_token1] = ACTIONS(1384),
    [aux_sym__argument_name_token2] = ACTIONS(1384),
    [anon_sym_POUND_LBRACK] = ACTIONS(1382),
    [aux_sym_encapsed_string_token1] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [aux_sym_string_token1] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_LT_LT_LT] = ACTIONS(1382),
    [anon_sym_BQUOTE] = ACTIONS(1382),
    [anon_sym_DOLLAR] = ACTIONS(1382),
    [aux_sym_yield_expression_token1] = ACTIONS(1384),
    [aux_sym_include_expression_token1] = ACTIONS(1384),
    [aux_sym_include_once_expression_token1] = ACTIONS(1384),
    [aux_sym_require_expression_token1] = ACTIONS(1384),
    [aux_sym_require_once_expression_token1] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_name] = ACTIONS(1388),
    [anon_sym_QMARK_GT] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1388),
    [aux_sym_global_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_definition_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1388),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1388),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1388),
    [anon_sym_BSLASH] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [aux_sym_trait_declaration_token1] = ACTIONS(1388),
    [aux_sym_interface_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_case_token1] = ACTIONS(1388),
    [aux_sym_class_declaration_token1] = ACTIONS(1388),
    [aux_sym_final_modifier_token1] = ACTIONS(1388),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1388),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1388),
    [sym_var_modifier] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1388),
    [aux_sym_cast_type_token1] = ACTIONS(1388),
    [aux_sym_echo_statement_token1] = ACTIONS(1388),
    [aux_sym_exit_statement_token1] = ACTIONS(1388),
    [anon_sym_unset] = ACTIONS(1388),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [aux_sym_declare_statement_token2] = ACTIONS(1388),
    [sym_float] = ACTIONS(1388),
    [aux_sym_try_statement_token1] = ACTIONS(1388),
    [aux_sym_goto_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [sym_integer] = ACTIONS(1388),
    [aux_sym_return_statement_token1] = ACTIONS(1388),
    [aux_sym_throw_expression_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token2] = ACTIONS(1388),
    [aux_sym_do_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token2] = ACTIONS(1388),
    [aux_sym_foreach_statement_token1] = ACTIONS(1388),
    [aux_sym_foreach_statement_token2] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token2] = ACTIONS(1388),
    [aux_sym_else_if_clause_token1] = ACTIONS(1388),
    [aux_sym_else_clause_token1] = ACTIONS(1388),
    [aux_sym_match_expression_token1] = ACTIONS(1388),
    [aux_sym_match_default_expression_token1] = ACTIONS(1388),
    [aux_sym_switch_statement_token1] = ACTIONS(1388),
    [aux_sym_switch_block_token1] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_AT] = ACTIONS(1386),
    [aux_sym_clone_expression_token1] = ACTIONS(1388),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1388),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [aux_sym__list_destructing_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_self] = ACTIONS(1388),
    [anon_sym_parent] = ACTIONS(1388),
    [aux_sym__argument_name_token1] = ACTIONS(1388),
    [aux_sym__argument_name_token2] = ACTIONS(1388),
    [anon_sym_POUND_LBRACK] = ACTIONS(1386),
    [aux_sym_encapsed_string_token1] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [aux_sym_string_token1] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_LT_LT_LT] = ACTIONS(1386),
    [anon_sym_BQUOTE] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1386),
    [aux_sym_yield_expression_token1] = ACTIONS(1388),
    [aux_sym_include_expression_token1] = ACTIONS(1388),
    [aux_sym_include_once_expression_token1] = ACTIONS(1388),
    [aux_sym_require_expression_token1] = ACTIONS(1388),
    [aux_sym_require_once_expression_token1] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_name] = ACTIONS(1392),
    [anon_sym_QMARK_GT] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1392),
    [aux_sym_global_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_definition_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1392),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1392),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1392),
    [anon_sym_BSLASH] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [aux_sym_trait_declaration_token1] = ACTIONS(1392),
    [aux_sym_interface_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_case_token1] = ACTIONS(1392),
    [aux_sym_class_declaration_token1] = ACTIONS(1392),
    [aux_sym_final_modifier_token1] = ACTIONS(1392),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1392),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1392),
    [sym_var_modifier] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1392),
    [aux_sym_cast_type_token1] = ACTIONS(1392),
    [aux_sym_echo_statement_token1] = ACTIONS(1392),
    [aux_sym_exit_statement_token1] = ACTIONS(1392),
    [anon_sym_unset] = ACTIONS(1392),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [aux_sym_declare_statement_token2] = ACTIONS(1392),
    [sym_float] = ACTIONS(1392),
    [aux_sym_try_statement_token1] = ACTIONS(1392),
    [aux_sym_goto_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [sym_integer] = ACTIONS(1392),
    [aux_sym_return_statement_token1] = ACTIONS(1392),
    [aux_sym_throw_expression_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token2] = ACTIONS(1392),
    [aux_sym_do_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token2] = ACTIONS(1392),
    [aux_sym_foreach_statement_token1] = ACTIONS(1392),
    [aux_sym_foreach_statement_token2] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token2] = ACTIONS(1392),
    [aux_sym_else_if_clause_token1] = ACTIONS(1392),
    [aux_sym_else_clause_token1] = ACTIONS(1392),
    [aux_sym_match_expression_token1] = ACTIONS(1392),
    [aux_sym_match_default_expression_token1] = ACTIONS(1392),
    [aux_sym_switch_statement_token1] = ACTIONS(1392),
    [aux_sym_switch_block_token1] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1390),
    [aux_sym_clone_expression_token1] = ACTIONS(1392),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1392),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [aux_sym__list_destructing_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_self] = ACTIONS(1392),
    [anon_sym_parent] = ACTIONS(1392),
    [aux_sym__argument_name_token1] = ACTIONS(1392),
    [aux_sym__argument_name_token2] = ACTIONS(1392),
    [anon_sym_POUND_LBRACK] = ACTIONS(1390),
    [aux_sym_encapsed_string_token1] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [aux_sym_string_token1] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_LT_LT_LT] = ACTIONS(1390),
    [anon_sym_BQUOTE] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [aux_sym_yield_expression_token1] = ACTIONS(1392),
    [aux_sym_include_expression_token1] = ACTIONS(1392),
    [aux_sym_include_once_expression_token1] = ACTIONS(1392),
    [aux_sym_require_expression_token1] = ACTIONS(1392),
    [aux_sym_require_once_expression_token1] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_name] = ACTIONS(1396),
    [anon_sym_QMARK_GT] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1396),
    [aux_sym_global_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_definition_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1396),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1396),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1396),
    [anon_sym_BSLASH] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [aux_sym_trait_declaration_token1] = ACTIONS(1396),
    [aux_sym_interface_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_case_token1] = ACTIONS(1396),
    [aux_sym_class_declaration_token1] = ACTIONS(1396),
    [aux_sym_final_modifier_token1] = ACTIONS(1396),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1396),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1396),
    [sym_var_modifier] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1396),
    [aux_sym_cast_type_token1] = ACTIONS(1396),
    [aux_sym_echo_statement_token1] = ACTIONS(1396),
    [aux_sym_exit_statement_token1] = ACTIONS(1396),
    [anon_sym_unset] = ACTIONS(1396),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [aux_sym_declare_statement_token2] = ACTIONS(1396),
    [sym_float] = ACTIONS(1396),
    [aux_sym_try_statement_token1] = ACTIONS(1396),
    [aux_sym_goto_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [sym_integer] = ACTIONS(1396),
    [aux_sym_return_statement_token1] = ACTIONS(1396),
    [aux_sym_throw_expression_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token2] = ACTIONS(1396),
    [aux_sym_do_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token2] = ACTIONS(1396),
    [aux_sym_foreach_statement_token1] = ACTIONS(1396),
    [aux_sym_foreach_statement_token2] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token2] = ACTIONS(1396),
    [aux_sym_else_if_clause_token1] = ACTIONS(1396),
    [aux_sym_else_clause_token1] = ACTIONS(1396),
    [aux_sym_match_expression_token1] = ACTIONS(1396),
    [aux_sym_match_default_expression_token1] = ACTIONS(1396),
    [aux_sym_switch_statement_token1] = ACTIONS(1396),
    [aux_sym_switch_block_token1] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1394),
    [aux_sym_clone_expression_token1] = ACTIONS(1396),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1396),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [aux_sym__list_destructing_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_self] = ACTIONS(1396),
    [anon_sym_parent] = ACTIONS(1396),
    [aux_sym__argument_name_token1] = ACTIONS(1396),
    [aux_sym__argument_name_token2] = ACTIONS(1396),
    [anon_sym_POUND_LBRACK] = ACTIONS(1394),
    [aux_sym_encapsed_string_token1] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [aux_sym_string_token1] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_LT_LT_LT] = ACTIONS(1394),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1394),
    [aux_sym_yield_expression_token1] = ACTIONS(1396),
    [aux_sym_include_expression_token1] = ACTIONS(1396),
    [aux_sym_include_once_expression_token1] = ACTIONS(1396),
    [aux_sym_require_expression_token1] = ACTIONS(1396),
    [aux_sym_require_once_expression_token1] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_name] = ACTIONS(1400),
    [anon_sym_QMARK_GT] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1400),
    [aux_sym_global_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_definition_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1400),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1400),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1400),
    [anon_sym_BSLASH] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [aux_sym_trait_declaration_token1] = ACTIONS(1400),
    [aux_sym_interface_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_case_token1] = ACTIONS(1400),
    [aux_sym_class_declaration_token1] = ACTIONS(1400),
    [aux_sym_final_modifier_token1] = ACTIONS(1400),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1400),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1400),
    [sym_var_modifier] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1400),
    [aux_sym_echo_statement_token1] = ACTIONS(1400),
    [aux_sym_exit_statement_token1] = ACTIONS(1400),
    [anon_sym_unset] = ACTIONS(1400),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [aux_sym_declare_statement_token2] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [aux_sym_try_statement_token1] = ACTIONS(1400),
    [aux_sym_goto_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [sym_integer] = ACTIONS(1400),
    [aux_sym_return_statement_token1] = ACTIONS(1400),
    [aux_sym_throw_expression_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token2] = ACTIONS(1400),
    [aux_sym_do_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token2] = ACTIONS(1400),
    [aux_sym_foreach_statement_token1] = ACTIONS(1400),
    [aux_sym_foreach_statement_token2] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token2] = ACTIONS(1400),
    [aux_sym_else_if_clause_token1] = ACTIONS(1400),
    [aux_sym_else_clause_token1] = ACTIONS(1400),
    [aux_sym_match_expression_token1] = ACTIONS(1400),
    [aux_sym_match_default_expression_token1] = ACTIONS(1400),
    [aux_sym_switch_statement_token1] = ACTIONS(1400),
    [aux_sym_switch_block_token1] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1398),
    [aux_sym_clone_expression_token1] = ACTIONS(1400),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1400),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [aux_sym__list_destructing_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_self] = ACTIONS(1400),
    [anon_sym_parent] = ACTIONS(1400),
    [aux_sym__argument_name_token1] = ACTIONS(1400),
    [aux_sym__argument_name_token2] = ACTIONS(1400),
    [anon_sym_POUND_LBRACK] = ACTIONS(1398),
    [aux_sym_encapsed_string_token1] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [aux_sym_string_token1] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_LT_LT_LT] = ACTIONS(1398),
    [anon_sym_BQUOTE] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1398),
    [aux_sym_yield_expression_token1] = ACTIONS(1400),
    [aux_sym_include_expression_token1] = ACTIONS(1400),
    [aux_sym_include_once_expression_token1] = ACTIONS(1400),
    [aux_sym_require_expression_token1] = ACTIONS(1400),
    [aux_sym_require_once_expression_token1] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_name] = ACTIONS(1404),
    [anon_sym_QMARK_GT] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1404),
    [aux_sym_global_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_definition_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1404),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1404),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1404),
    [anon_sym_BSLASH] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [aux_sym_trait_declaration_token1] = ACTIONS(1404),
    [aux_sym_interface_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_case_token1] = ACTIONS(1404),
    [aux_sym_class_declaration_token1] = ACTIONS(1404),
    [aux_sym_final_modifier_token1] = ACTIONS(1404),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1404),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1404),
    [sym_var_modifier] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1404),
    [aux_sym_echo_statement_token1] = ACTIONS(1404),
    [aux_sym_exit_statement_token1] = ACTIONS(1404),
    [anon_sym_unset] = ACTIONS(1404),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [aux_sym_declare_statement_token2] = ACTIONS(1404),
    [sym_float] = ACTIONS(1404),
    [aux_sym_try_statement_token1] = ACTIONS(1404),
    [aux_sym_goto_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [sym_integer] = ACTIONS(1404),
    [aux_sym_return_statement_token1] = ACTIONS(1404),
    [aux_sym_throw_expression_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token2] = ACTIONS(1404),
    [aux_sym_do_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token2] = ACTIONS(1404),
    [aux_sym_foreach_statement_token1] = ACTIONS(1404),
    [aux_sym_foreach_statement_token2] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token2] = ACTIONS(1404),
    [aux_sym_else_if_clause_token1] = ACTIONS(1404),
    [aux_sym_else_clause_token1] = ACTIONS(1404),
    [aux_sym_match_expression_token1] = ACTIONS(1404),
    [aux_sym_match_default_expression_token1] = ACTIONS(1404),
    [aux_sym_switch_statement_token1] = ACTIONS(1404),
    [aux_sym_switch_block_token1] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_AT] = ACTIONS(1402),
    [aux_sym_clone_expression_token1] = ACTIONS(1404),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1404),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [aux_sym__list_destructing_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(1404),
    [anon_sym_parent] = ACTIONS(1404),
    [aux_sym__argument_name_token1] = ACTIONS(1404),
    [aux_sym__argument_name_token2] = ACTIONS(1404),
    [anon_sym_POUND_LBRACK] = ACTIONS(1402),
    [aux_sym_encapsed_string_token1] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [aux_sym_string_token1] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [anon_sym_LT_LT_LT] = ACTIONS(1402),
    [anon_sym_BQUOTE] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1402),
    [aux_sym_yield_expression_token1] = ACTIONS(1404),
    [aux_sym_include_expression_token1] = ACTIONS(1404),
    [aux_sym_include_once_expression_token1] = ACTIONS(1404),
    [aux_sym_require_expression_token1] = ACTIONS(1404),
    [aux_sym_require_once_expression_token1] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym_name] = ACTIONS(1408),
    [anon_sym_QMARK_GT] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1408),
    [aux_sym_global_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_definition_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1408),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1408),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1408),
    [anon_sym_BSLASH] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [aux_sym_trait_declaration_token1] = ACTIONS(1408),
    [aux_sym_interface_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_case_token1] = ACTIONS(1408),
    [aux_sym_class_declaration_token1] = ACTIONS(1408),
    [aux_sym_final_modifier_token1] = ACTIONS(1408),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1408),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1408),
    [sym_var_modifier] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1408),
    [aux_sym_cast_type_token1] = ACTIONS(1408),
    [aux_sym_echo_statement_token1] = ACTIONS(1408),
    [aux_sym_exit_statement_token1] = ACTIONS(1408),
    [anon_sym_unset] = ACTIONS(1408),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [aux_sym_declare_statement_token2] = ACTIONS(1408),
    [sym_float] = ACTIONS(1408),
    [aux_sym_try_statement_token1] = ACTIONS(1408),
    [aux_sym_goto_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [sym_integer] = ACTIONS(1408),
    [aux_sym_return_statement_token1] = ACTIONS(1408),
    [aux_sym_throw_expression_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token2] = ACTIONS(1408),
    [aux_sym_do_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token2] = ACTIONS(1408),
    [aux_sym_foreach_statement_token1] = ACTIONS(1408),
    [aux_sym_foreach_statement_token2] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token2] = ACTIONS(1408),
    [aux_sym_else_if_clause_token1] = ACTIONS(1408),
    [aux_sym_else_clause_token1] = ACTIONS(1408),
    [aux_sym_match_expression_token1] = ACTIONS(1408),
    [aux_sym_match_default_expression_token1] = ACTIONS(1408),
    [aux_sym_switch_statement_token1] = ACTIONS(1408),
    [aux_sym_switch_block_token1] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1406),
    [aux_sym_clone_expression_token1] = ACTIONS(1408),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1408),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [aux_sym__list_destructing_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_self] = ACTIONS(1408),
    [anon_sym_parent] = ACTIONS(1408),
    [aux_sym__argument_name_token1] = ACTIONS(1408),
    [aux_sym__argument_name_token2] = ACTIONS(1408),
    [anon_sym_POUND_LBRACK] = ACTIONS(1406),
    [aux_sym_encapsed_string_token1] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [aux_sym_string_token1] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [anon_sym_LT_LT_LT] = ACTIONS(1406),
    [anon_sym_BQUOTE] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [aux_sym_yield_expression_token1] = ACTIONS(1408),
    [aux_sym_include_expression_token1] = ACTIONS(1408),
    [aux_sym_include_once_expression_token1] = ACTIONS(1408),
    [aux_sym_require_expression_token1] = ACTIONS(1408),
    [aux_sym_require_once_expression_token1] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_name] = ACTIONS(1412),
    [anon_sym_QMARK_GT] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1412),
    [aux_sym_global_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_definition_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1412),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1412),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1412),
    [anon_sym_BSLASH] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [aux_sym_trait_declaration_token1] = ACTIONS(1412),
    [aux_sym_interface_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_case_token1] = ACTIONS(1412),
    [aux_sym_class_declaration_token1] = ACTIONS(1412),
    [aux_sym_final_modifier_token1] = ACTIONS(1412),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1412),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1412),
    [sym_var_modifier] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1412),
    [aux_sym_cast_type_token1] = ACTIONS(1412),
    [aux_sym_echo_statement_token1] = ACTIONS(1412),
    [aux_sym_exit_statement_token1] = ACTIONS(1412),
    [anon_sym_unset] = ACTIONS(1412),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [aux_sym_declare_statement_token2] = ACTIONS(1412),
    [sym_float] = ACTIONS(1412),
    [aux_sym_try_statement_token1] = ACTIONS(1412),
    [aux_sym_goto_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [sym_integer] = ACTIONS(1412),
    [aux_sym_return_statement_token1] = ACTIONS(1412),
    [aux_sym_throw_expression_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token2] = ACTIONS(1412),
    [aux_sym_do_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token2] = ACTIONS(1412),
    [aux_sym_foreach_statement_token1] = ACTIONS(1412),
    [aux_sym_foreach_statement_token2] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token2] = ACTIONS(1412),
    [aux_sym_else_if_clause_token1] = ACTIONS(1412),
    [aux_sym_else_clause_token1] = ACTIONS(1412),
    [aux_sym_match_expression_token1] = ACTIONS(1412),
    [aux_sym_match_default_expression_token1] = ACTIONS(1412),
    [aux_sym_switch_statement_token1] = ACTIONS(1412),
    [aux_sym_switch_block_token1] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1410),
    [aux_sym_clone_expression_token1] = ACTIONS(1412),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1412),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [aux_sym__list_destructing_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_self] = ACTIONS(1412),
    [anon_sym_parent] = ACTIONS(1412),
    [aux_sym__argument_name_token1] = ACTIONS(1412),
    [aux_sym__argument_name_token2] = ACTIONS(1412),
    [anon_sym_POUND_LBRACK] = ACTIONS(1410),
    [aux_sym_encapsed_string_token1] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [aux_sym_string_token1] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_LT_LT_LT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1410),
    [aux_sym_yield_expression_token1] = ACTIONS(1412),
    [aux_sym_include_expression_token1] = ACTIONS(1412),
    [aux_sym_include_once_expression_token1] = ACTIONS(1412),
    [aux_sym_require_expression_token1] = ACTIONS(1412),
    [aux_sym_require_once_expression_token1] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_name] = ACTIONS(1416),
    [anon_sym_QMARK_GT] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1416),
    [aux_sym_global_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_definition_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1416),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1416),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1416),
    [anon_sym_BSLASH] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [aux_sym_trait_declaration_token1] = ACTIONS(1416),
    [aux_sym_interface_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_case_token1] = ACTIONS(1416),
    [aux_sym_class_declaration_token1] = ACTIONS(1416),
    [aux_sym_final_modifier_token1] = ACTIONS(1416),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1416),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1416),
    [sym_var_modifier] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1416),
    [aux_sym_cast_type_token1] = ACTIONS(1416),
    [aux_sym_echo_statement_token1] = ACTIONS(1416),
    [aux_sym_exit_statement_token1] = ACTIONS(1416),
    [anon_sym_unset] = ACTIONS(1416),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [aux_sym_declare_statement_token2] = ACTIONS(1416),
    [sym_float] = ACTIONS(1416),
    [aux_sym_try_statement_token1] = ACTIONS(1416),
    [aux_sym_goto_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [sym_integer] = ACTIONS(1416),
    [aux_sym_return_statement_token1] = ACTIONS(1416),
    [aux_sym_throw_expression_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token2] = ACTIONS(1416),
    [aux_sym_do_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token2] = ACTIONS(1416),
    [aux_sym_foreach_statement_token1] = ACTIONS(1416),
    [aux_sym_foreach_statement_token2] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token2] = ACTIONS(1416),
    [aux_sym_else_if_clause_token1] = ACTIONS(1416),
    [aux_sym_else_clause_token1] = ACTIONS(1416),
    [aux_sym_match_expression_token1] = ACTIONS(1416),
    [aux_sym_match_default_expression_token1] = ACTIONS(1416),
    [aux_sym_switch_statement_token1] = ACTIONS(1416),
    [aux_sym_switch_block_token1] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1414),
    [aux_sym_clone_expression_token1] = ACTIONS(1416),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1416),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [aux_sym__list_destructing_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_self] = ACTIONS(1416),
    [anon_sym_parent] = ACTIONS(1416),
    [aux_sym__argument_name_token1] = ACTIONS(1416),
    [aux_sym__argument_name_token2] = ACTIONS(1416),
    [anon_sym_POUND_LBRACK] = ACTIONS(1414),
    [aux_sym_encapsed_string_token1] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [aux_sym_string_token1] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_LT_LT_LT] = ACTIONS(1414),
    [anon_sym_BQUOTE] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [aux_sym_yield_expression_token1] = ACTIONS(1416),
    [aux_sym_include_expression_token1] = ACTIONS(1416),
    [aux_sym_include_once_expression_token1] = ACTIONS(1416),
    [aux_sym_require_expression_token1] = ACTIONS(1416),
    [aux_sym_require_once_expression_token1] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_name] = ACTIONS(1420),
    [anon_sym_QMARK_GT] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1420),
    [aux_sym_global_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_definition_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1420),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1420),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1420),
    [anon_sym_BSLASH] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [aux_sym_trait_declaration_token1] = ACTIONS(1420),
    [aux_sym_interface_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_case_token1] = ACTIONS(1420),
    [aux_sym_class_declaration_token1] = ACTIONS(1420),
    [aux_sym_final_modifier_token1] = ACTIONS(1420),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1420),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1420),
    [sym_var_modifier] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1420),
    [aux_sym_cast_type_token1] = ACTIONS(1420),
    [aux_sym_echo_statement_token1] = ACTIONS(1420),
    [aux_sym_exit_statement_token1] = ACTIONS(1420),
    [anon_sym_unset] = ACTIONS(1420),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [aux_sym_declare_statement_token2] = ACTIONS(1420),
    [sym_float] = ACTIONS(1420),
    [aux_sym_try_statement_token1] = ACTIONS(1420),
    [aux_sym_goto_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [sym_integer] = ACTIONS(1420),
    [aux_sym_return_statement_token1] = ACTIONS(1420),
    [aux_sym_throw_expression_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token2] = ACTIONS(1420),
    [aux_sym_do_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token2] = ACTIONS(1420),
    [aux_sym_foreach_statement_token1] = ACTIONS(1420),
    [aux_sym_foreach_statement_token2] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token2] = ACTIONS(1420),
    [aux_sym_else_if_clause_token1] = ACTIONS(1420),
    [aux_sym_else_clause_token1] = ACTIONS(1420),
    [aux_sym_match_expression_token1] = ACTIONS(1420),
    [aux_sym_match_default_expression_token1] = ACTIONS(1420),
    [aux_sym_switch_statement_token1] = ACTIONS(1420),
    [aux_sym_switch_block_token1] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1418),
    [aux_sym_clone_expression_token1] = ACTIONS(1420),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1420),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [aux_sym__list_destructing_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_self] = ACTIONS(1420),
    [anon_sym_parent] = ACTIONS(1420),
    [aux_sym__argument_name_token1] = ACTIONS(1420),
    [aux_sym__argument_name_token2] = ACTIONS(1420),
    [anon_sym_POUND_LBRACK] = ACTIONS(1418),
    [aux_sym_encapsed_string_token1] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [aux_sym_string_token1] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_LT_LT_LT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1418),
    [aux_sym_yield_expression_token1] = ACTIONS(1420),
    [aux_sym_include_expression_token1] = ACTIONS(1420),
    [aux_sym_include_once_expression_token1] = ACTIONS(1420),
    [aux_sym_require_expression_token1] = ACTIONS(1420),
    [aux_sym_require_once_expression_token1] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_name] = ACTIONS(1424),
    [anon_sym_QMARK_GT] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1424),
    [aux_sym_global_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_definition_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1424),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1424),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1424),
    [anon_sym_BSLASH] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [aux_sym_trait_declaration_token1] = ACTIONS(1424),
    [aux_sym_interface_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_case_token1] = ACTIONS(1424),
    [aux_sym_class_declaration_token1] = ACTIONS(1424),
    [aux_sym_final_modifier_token1] = ACTIONS(1424),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1424),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1424),
    [sym_var_modifier] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1424),
    [aux_sym_cast_type_token1] = ACTIONS(1424),
    [aux_sym_echo_statement_token1] = ACTIONS(1424),
    [aux_sym_exit_statement_token1] = ACTIONS(1424),
    [anon_sym_unset] = ACTIONS(1424),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [aux_sym_declare_statement_token2] = ACTIONS(1424),
    [sym_float] = ACTIONS(1424),
    [aux_sym_try_statement_token1] = ACTIONS(1424),
    [aux_sym_goto_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [sym_integer] = ACTIONS(1424),
    [aux_sym_return_statement_token1] = ACTIONS(1424),
    [aux_sym_throw_expression_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token2] = ACTIONS(1424),
    [aux_sym_do_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token2] = ACTIONS(1424),
    [aux_sym_foreach_statement_token1] = ACTIONS(1424),
    [aux_sym_foreach_statement_token2] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token2] = ACTIONS(1424),
    [aux_sym_else_if_clause_token1] = ACTIONS(1424),
    [aux_sym_else_clause_token1] = ACTIONS(1424),
    [aux_sym_match_expression_token1] = ACTIONS(1424),
    [aux_sym_match_default_expression_token1] = ACTIONS(1424),
    [aux_sym_switch_statement_token1] = ACTIONS(1424),
    [aux_sym_switch_block_token1] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1422),
    [aux_sym_clone_expression_token1] = ACTIONS(1424),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1424),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [aux_sym__list_destructing_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_self] = ACTIONS(1424),
    [anon_sym_parent] = ACTIONS(1424),
    [aux_sym__argument_name_token1] = ACTIONS(1424),
    [aux_sym__argument_name_token2] = ACTIONS(1424),
    [anon_sym_POUND_LBRACK] = ACTIONS(1422),
    [aux_sym_encapsed_string_token1] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_LT_LT_LT] = ACTIONS(1422),
    [anon_sym_BQUOTE] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1422),
    [aux_sym_yield_expression_token1] = ACTIONS(1424),
    [aux_sym_include_expression_token1] = ACTIONS(1424),
    [aux_sym_include_once_expression_token1] = ACTIONS(1424),
    [aux_sym_require_expression_token1] = ACTIONS(1424),
    [aux_sym_require_once_expression_token1] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_name] = ACTIONS(1428),
    [anon_sym_QMARK_GT] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1428),
    [aux_sym_global_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_definition_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1428),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1428),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1428),
    [anon_sym_BSLASH] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [aux_sym_trait_declaration_token1] = ACTIONS(1428),
    [aux_sym_interface_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_case_token1] = ACTIONS(1428),
    [aux_sym_class_declaration_token1] = ACTIONS(1428),
    [aux_sym_final_modifier_token1] = ACTIONS(1428),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1428),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1428),
    [sym_var_modifier] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1428),
    [aux_sym_cast_type_token1] = ACTIONS(1428),
    [aux_sym_echo_statement_token1] = ACTIONS(1428),
    [aux_sym_exit_statement_token1] = ACTIONS(1428),
    [anon_sym_unset] = ACTIONS(1428),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [aux_sym_declare_statement_token2] = ACTIONS(1428),
    [sym_float] = ACTIONS(1428),
    [aux_sym_try_statement_token1] = ACTIONS(1428),
    [aux_sym_goto_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [sym_integer] = ACTIONS(1428),
    [aux_sym_return_statement_token1] = ACTIONS(1428),
    [aux_sym_throw_expression_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token2] = ACTIONS(1428),
    [aux_sym_do_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token2] = ACTIONS(1428),
    [aux_sym_foreach_statement_token1] = ACTIONS(1428),
    [aux_sym_foreach_statement_token2] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token2] = ACTIONS(1428),
    [aux_sym_else_if_clause_token1] = ACTIONS(1428),
    [aux_sym_else_clause_token1] = ACTIONS(1428),
    [aux_sym_match_expression_token1] = ACTIONS(1428),
    [aux_sym_match_default_expression_token1] = ACTIONS(1428),
    [aux_sym_switch_statement_token1] = ACTIONS(1428),
    [aux_sym_switch_block_token1] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(1426),
    [aux_sym_clone_expression_token1] = ACTIONS(1428),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1428),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [aux_sym__list_destructing_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_self] = ACTIONS(1428),
    [anon_sym_parent] = ACTIONS(1428),
    [aux_sym__argument_name_token1] = ACTIONS(1428),
    [aux_sym__argument_name_token2] = ACTIONS(1428),
    [anon_sym_POUND_LBRACK] = ACTIONS(1426),
    [aux_sym_encapsed_string_token1] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [aux_sym_string_token1] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_LT_LT_LT] = ACTIONS(1426),
    [anon_sym_BQUOTE] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1426),
    [aux_sym_yield_expression_token1] = ACTIONS(1428),
    [aux_sym_include_expression_token1] = ACTIONS(1428),
    [aux_sym_include_once_expression_token1] = ACTIONS(1428),
    [aux_sym_require_expression_token1] = ACTIONS(1428),
    [aux_sym_require_once_expression_token1] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_name] = ACTIONS(1432),
    [anon_sym_QMARK_GT] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1432),
    [aux_sym_global_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_definition_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1432),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1432),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1432),
    [anon_sym_BSLASH] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [aux_sym_trait_declaration_token1] = ACTIONS(1432),
    [aux_sym_interface_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_case_token1] = ACTIONS(1432),
    [aux_sym_class_declaration_token1] = ACTIONS(1432),
    [aux_sym_final_modifier_token1] = ACTIONS(1432),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1432),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1432),
    [sym_var_modifier] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1432),
    [aux_sym_echo_statement_token1] = ACTIONS(1432),
    [aux_sym_exit_statement_token1] = ACTIONS(1432),
    [anon_sym_unset] = ACTIONS(1432),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [aux_sym_declare_statement_token2] = ACTIONS(1432),
    [sym_float] = ACTIONS(1432),
    [aux_sym_try_statement_token1] = ACTIONS(1432),
    [aux_sym_goto_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [sym_integer] = ACTIONS(1432),
    [aux_sym_return_statement_token1] = ACTIONS(1432),
    [aux_sym_throw_expression_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token2] = ACTIONS(1432),
    [aux_sym_do_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token2] = ACTIONS(1432),
    [aux_sym_foreach_statement_token1] = ACTIONS(1432),
    [aux_sym_foreach_statement_token2] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token2] = ACTIONS(1432),
    [aux_sym_else_if_clause_token1] = ACTIONS(1432),
    [aux_sym_else_clause_token1] = ACTIONS(1432),
    [aux_sym_match_expression_token1] = ACTIONS(1432),
    [aux_sym_match_default_expression_token1] = ACTIONS(1432),
    [aux_sym_switch_statement_token1] = ACTIONS(1432),
    [aux_sym_switch_block_token1] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1430),
    [aux_sym_clone_expression_token1] = ACTIONS(1432),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1432),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [aux_sym__list_destructing_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_self] = ACTIONS(1432),
    [anon_sym_parent] = ACTIONS(1432),
    [aux_sym__argument_name_token1] = ACTIONS(1432),
    [aux_sym__argument_name_token2] = ACTIONS(1432),
    [anon_sym_POUND_LBRACK] = ACTIONS(1430),
    [aux_sym_encapsed_string_token1] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [aux_sym_string_token1] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_LT_LT_LT] = ACTIONS(1430),
    [anon_sym_BQUOTE] = ACTIONS(1430),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [aux_sym_yield_expression_token1] = ACTIONS(1432),
    [aux_sym_include_expression_token1] = ACTIONS(1432),
    [aux_sym_include_once_expression_token1] = ACTIONS(1432),
    [aux_sym_require_expression_token1] = ACTIONS(1432),
    [aux_sym_require_once_expression_token1] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_name] = ACTIONS(1436),
    [anon_sym_QMARK_GT] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1436),
    [aux_sym_global_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_definition_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1436),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1436),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1436),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [aux_sym_trait_declaration_token1] = ACTIONS(1436),
    [aux_sym_interface_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_case_token1] = ACTIONS(1436),
    [aux_sym_class_declaration_token1] = ACTIONS(1436),
    [aux_sym_final_modifier_token1] = ACTIONS(1436),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1436),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1436),
    [sym_var_modifier] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1436),
    [aux_sym_echo_statement_token1] = ACTIONS(1436),
    [aux_sym_exit_statement_token1] = ACTIONS(1436),
    [anon_sym_unset] = ACTIONS(1436),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [aux_sym_declare_statement_token2] = ACTIONS(1436),
    [sym_float] = ACTIONS(1436),
    [aux_sym_try_statement_token1] = ACTIONS(1436),
    [aux_sym_goto_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [sym_integer] = ACTIONS(1436),
    [aux_sym_return_statement_token1] = ACTIONS(1436),
    [aux_sym_throw_expression_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token2] = ACTIONS(1436),
    [aux_sym_do_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token2] = ACTIONS(1436),
    [aux_sym_foreach_statement_token1] = ACTIONS(1436),
    [aux_sym_foreach_statement_token2] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token2] = ACTIONS(1436),
    [aux_sym_else_if_clause_token1] = ACTIONS(1436),
    [aux_sym_else_clause_token1] = ACTIONS(1436),
    [aux_sym_match_expression_token1] = ACTIONS(1436),
    [aux_sym_match_default_expression_token1] = ACTIONS(1436),
    [aux_sym_switch_statement_token1] = ACTIONS(1436),
    [aux_sym_switch_block_token1] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1434),
    [aux_sym_clone_expression_token1] = ACTIONS(1436),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1436),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [aux_sym__list_destructing_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_self] = ACTIONS(1436),
    [anon_sym_parent] = ACTIONS(1436),
    [aux_sym__argument_name_token1] = ACTIONS(1436),
    [aux_sym__argument_name_token2] = ACTIONS(1436),
    [anon_sym_POUND_LBRACK] = ACTIONS(1434),
    [aux_sym_encapsed_string_token1] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [aux_sym_string_token1] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_LT_LT_LT] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [aux_sym_yield_expression_token1] = ACTIONS(1436),
    [aux_sym_include_expression_token1] = ACTIONS(1436),
    [aux_sym_include_once_expression_token1] = ACTIONS(1436),
    [aux_sym_require_expression_token1] = ACTIONS(1436),
    [aux_sym_require_once_expression_token1] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym_name] = ACTIONS(1440),
    [anon_sym_QMARK_GT] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1440),
    [aux_sym_global_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_definition_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1440),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1440),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [aux_sym_trait_declaration_token1] = ACTIONS(1440),
    [aux_sym_interface_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_case_token1] = ACTIONS(1440),
    [aux_sym_class_declaration_token1] = ACTIONS(1440),
    [aux_sym_final_modifier_token1] = ACTIONS(1440),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1440),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1440),
    [sym_var_modifier] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1440),
    [aux_sym_cast_type_token1] = ACTIONS(1440),
    [aux_sym_echo_statement_token1] = ACTIONS(1440),
    [aux_sym_exit_statement_token1] = ACTIONS(1440),
    [anon_sym_unset] = ACTIONS(1440),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [aux_sym_declare_statement_token2] = ACTIONS(1440),
    [sym_float] = ACTIONS(1440),
    [aux_sym_try_statement_token1] = ACTIONS(1440),
    [aux_sym_goto_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [sym_integer] = ACTIONS(1440),
    [aux_sym_return_statement_token1] = ACTIONS(1440),
    [aux_sym_throw_expression_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token2] = ACTIONS(1440),
    [aux_sym_do_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token2] = ACTIONS(1440),
    [aux_sym_foreach_statement_token1] = ACTIONS(1440),
    [aux_sym_foreach_statement_token2] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token2] = ACTIONS(1440),
    [aux_sym_else_if_clause_token1] = ACTIONS(1440),
    [aux_sym_else_clause_token1] = ACTIONS(1440),
    [aux_sym_match_expression_token1] = ACTIONS(1440),
    [aux_sym_match_default_expression_token1] = ACTIONS(1440),
    [aux_sym_switch_statement_token1] = ACTIONS(1440),
    [aux_sym_switch_block_token1] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [aux_sym_clone_expression_token1] = ACTIONS(1440),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1440),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [aux_sym__list_destructing_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_self] = ACTIONS(1440),
    [anon_sym_parent] = ACTIONS(1440),
    [aux_sym__argument_name_token1] = ACTIONS(1440),
    [aux_sym__argument_name_token2] = ACTIONS(1440),
    [anon_sym_POUND_LBRACK] = ACTIONS(1438),
    [aux_sym_encapsed_string_token1] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [aux_sym_string_token1] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_LT_LT_LT] = ACTIONS(1438),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [aux_sym_yield_expression_token1] = ACTIONS(1440),
    [aux_sym_include_expression_token1] = ACTIONS(1440),
    [aux_sym_include_once_expression_token1] = ACTIONS(1440),
    [aux_sym_require_expression_token1] = ACTIONS(1440),
    [aux_sym_require_once_expression_token1] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_name] = ACTIONS(1444),
    [anon_sym_QMARK_GT] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1444),
    [aux_sym_global_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_definition_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1444),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1444),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1444),
    [anon_sym_BSLASH] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [aux_sym_trait_declaration_token1] = ACTIONS(1444),
    [aux_sym_interface_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_case_token1] = ACTIONS(1444),
    [aux_sym_class_declaration_token1] = ACTIONS(1444),
    [aux_sym_final_modifier_token1] = ACTIONS(1444),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1444),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1444),
    [sym_var_modifier] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1444),
    [aux_sym_cast_type_token1] = ACTIONS(1444),
    [aux_sym_echo_statement_token1] = ACTIONS(1444),
    [aux_sym_exit_statement_token1] = ACTIONS(1444),
    [anon_sym_unset] = ACTIONS(1444),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [aux_sym_declare_statement_token2] = ACTIONS(1444),
    [sym_float] = ACTIONS(1444),
    [aux_sym_try_statement_token1] = ACTIONS(1444),
    [aux_sym_goto_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [sym_integer] = ACTIONS(1444),
    [aux_sym_return_statement_token1] = ACTIONS(1444),
    [aux_sym_throw_expression_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token2] = ACTIONS(1444),
    [aux_sym_do_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token2] = ACTIONS(1444),
    [aux_sym_foreach_statement_token1] = ACTIONS(1444),
    [aux_sym_foreach_statement_token2] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token2] = ACTIONS(1444),
    [aux_sym_else_if_clause_token1] = ACTIONS(1444),
    [aux_sym_else_clause_token1] = ACTIONS(1444),
    [aux_sym_match_expression_token1] = ACTIONS(1444),
    [aux_sym_match_default_expression_token1] = ACTIONS(1444),
    [aux_sym_switch_statement_token1] = ACTIONS(1444),
    [aux_sym_switch_block_token1] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [aux_sym_clone_expression_token1] = ACTIONS(1444),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1444),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [aux_sym__list_destructing_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_self] = ACTIONS(1444),
    [anon_sym_parent] = ACTIONS(1444),
    [aux_sym__argument_name_token1] = ACTIONS(1444),
    [aux_sym__argument_name_token2] = ACTIONS(1444),
    [anon_sym_POUND_LBRACK] = ACTIONS(1442),
    [aux_sym_encapsed_string_token1] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [aux_sym_string_token1] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_LT_LT_LT] = ACTIONS(1442),
    [anon_sym_BQUOTE] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [aux_sym_yield_expression_token1] = ACTIONS(1444),
    [aux_sym_include_expression_token1] = ACTIONS(1444),
    [aux_sym_include_once_expression_token1] = ACTIONS(1444),
    [aux_sym_require_expression_token1] = ACTIONS(1444),
    [aux_sym_require_once_expression_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_name] = ACTIONS(1448),
    [anon_sym_QMARK_GT] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1448),
    [aux_sym_global_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_definition_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1448),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1448),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [aux_sym_trait_declaration_token1] = ACTIONS(1448),
    [aux_sym_interface_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_case_token1] = ACTIONS(1448),
    [aux_sym_class_declaration_token1] = ACTIONS(1448),
    [aux_sym_final_modifier_token1] = ACTIONS(1448),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1448),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1448),
    [sym_var_modifier] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1448),
    [aux_sym_cast_type_token1] = ACTIONS(1448),
    [aux_sym_echo_statement_token1] = ACTIONS(1448),
    [aux_sym_exit_statement_token1] = ACTIONS(1448),
    [anon_sym_unset] = ACTIONS(1448),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [aux_sym_declare_statement_token2] = ACTIONS(1448),
    [sym_float] = ACTIONS(1448),
    [aux_sym_try_statement_token1] = ACTIONS(1448),
    [aux_sym_goto_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [sym_integer] = ACTIONS(1448),
    [aux_sym_return_statement_token1] = ACTIONS(1448),
    [aux_sym_throw_expression_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token2] = ACTIONS(1448),
    [aux_sym_do_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token2] = ACTIONS(1448),
    [aux_sym_foreach_statement_token1] = ACTIONS(1448),
    [aux_sym_foreach_statement_token2] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token2] = ACTIONS(1448),
    [aux_sym_else_if_clause_token1] = ACTIONS(1448),
    [aux_sym_else_clause_token1] = ACTIONS(1448),
    [aux_sym_match_expression_token1] = ACTIONS(1448),
    [aux_sym_match_default_expression_token1] = ACTIONS(1448),
    [aux_sym_switch_statement_token1] = ACTIONS(1448),
    [aux_sym_switch_block_token1] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1446),
    [aux_sym_clone_expression_token1] = ACTIONS(1448),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1448),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [aux_sym__list_destructing_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_self] = ACTIONS(1448),
    [anon_sym_parent] = ACTIONS(1448),
    [aux_sym__argument_name_token1] = ACTIONS(1448),
    [aux_sym__argument_name_token2] = ACTIONS(1448),
    [anon_sym_POUND_LBRACK] = ACTIONS(1446),
    [aux_sym_encapsed_string_token1] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [aux_sym_string_token1] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_LT_LT_LT] = ACTIONS(1446),
    [anon_sym_BQUOTE] = ACTIONS(1446),
    [anon_sym_DOLLAR] = ACTIONS(1446),
    [aux_sym_yield_expression_token1] = ACTIONS(1448),
    [aux_sym_include_expression_token1] = ACTIONS(1448),
    [aux_sym_include_once_expression_token1] = ACTIONS(1448),
    [aux_sym_require_expression_token1] = ACTIONS(1448),
    [aux_sym_require_once_expression_token1] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_name] = ACTIONS(1452),
    [anon_sym_QMARK_GT] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1452),
    [aux_sym_global_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_definition_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1452),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1452),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [aux_sym_trait_declaration_token1] = ACTIONS(1452),
    [aux_sym_interface_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_case_token1] = ACTIONS(1452),
    [aux_sym_class_declaration_token1] = ACTIONS(1452),
    [aux_sym_final_modifier_token1] = ACTIONS(1452),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1452),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1452),
    [sym_var_modifier] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1452),
    [aux_sym_cast_type_token1] = ACTIONS(1452),
    [aux_sym_echo_statement_token1] = ACTIONS(1452),
    [aux_sym_exit_statement_token1] = ACTIONS(1452),
    [anon_sym_unset] = ACTIONS(1452),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [aux_sym_declare_statement_token2] = ACTIONS(1452),
    [sym_float] = ACTIONS(1452),
    [aux_sym_try_statement_token1] = ACTIONS(1452),
    [aux_sym_goto_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [sym_integer] = ACTIONS(1452),
    [aux_sym_return_statement_token1] = ACTIONS(1452),
    [aux_sym_throw_expression_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token2] = ACTIONS(1452),
    [aux_sym_do_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token2] = ACTIONS(1452),
    [aux_sym_foreach_statement_token1] = ACTIONS(1452),
    [aux_sym_foreach_statement_token2] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token2] = ACTIONS(1452),
    [aux_sym_else_if_clause_token1] = ACTIONS(1452),
    [aux_sym_else_clause_token1] = ACTIONS(1452),
    [aux_sym_match_expression_token1] = ACTIONS(1452),
    [aux_sym_match_default_expression_token1] = ACTIONS(1452),
    [aux_sym_switch_statement_token1] = ACTIONS(1452),
    [aux_sym_switch_block_token1] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [aux_sym_clone_expression_token1] = ACTIONS(1452),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1452),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [aux_sym__list_destructing_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_self] = ACTIONS(1452),
    [anon_sym_parent] = ACTIONS(1452),
    [aux_sym__argument_name_token1] = ACTIONS(1452),
    [aux_sym__argument_name_token2] = ACTIONS(1452),
    [anon_sym_POUND_LBRACK] = ACTIONS(1450),
    [aux_sym_encapsed_string_token1] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [aux_sym_string_token1] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_LT_LT_LT] = ACTIONS(1450),
    [anon_sym_BQUOTE] = ACTIONS(1450),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [aux_sym_yield_expression_token1] = ACTIONS(1452),
    [aux_sym_include_expression_token1] = ACTIONS(1452),
    [aux_sym_include_once_expression_token1] = ACTIONS(1452),
    [aux_sym_require_expression_token1] = ACTIONS(1452),
    [aux_sym_require_once_expression_token1] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_name] = ACTIONS(1456),
    [anon_sym_QMARK_GT] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1456),
    [aux_sym_global_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_definition_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1456),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1456),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1456),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [aux_sym_trait_declaration_token1] = ACTIONS(1456),
    [aux_sym_interface_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_case_token1] = ACTIONS(1456),
    [aux_sym_class_declaration_token1] = ACTIONS(1456),
    [aux_sym_final_modifier_token1] = ACTIONS(1456),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1456),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1456),
    [sym_var_modifier] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1456),
    [aux_sym_cast_type_token1] = ACTIONS(1456),
    [aux_sym_echo_statement_token1] = ACTIONS(1456),
    [aux_sym_exit_statement_token1] = ACTIONS(1456),
    [anon_sym_unset] = ACTIONS(1456),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [aux_sym_declare_statement_token2] = ACTIONS(1456),
    [sym_float] = ACTIONS(1456),
    [aux_sym_try_statement_token1] = ACTIONS(1456),
    [aux_sym_goto_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [sym_integer] = ACTIONS(1456),
    [aux_sym_return_statement_token1] = ACTIONS(1456),
    [aux_sym_throw_expression_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token2] = ACTIONS(1456),
    [aux_sym_do_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token2] = ACTIONS(1456),
    [aux_sym_foreach_statement_token1] = ACTIONS(1456),
    [aux_sym_foreach_statement_token2] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token2] = ACTIONS(1456),
    [aux_sym_else_if_clause_token1] = ACTIONS(1456),
    [aux_sym_else_clause_token1] = ACTIONS(1456),
    [aux_sym_match_expression_token1] = ACTIONS(1456),
    [aux_sym_match_default_expression_token1] = ACTIONS(1456),
    [aux_sym_switch_statement_token1] = ACTIONS(1456),
    [aux_sym_switch_block_token1] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [aux_sym_clone_expression_token1] = ACTIONS(1456),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1456),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [aux_sym__list_destructing_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_self] = ACTIONS(1456),
    [anon_sym_parent] = ACTIONS(1456),
    [aux_sym__argument_name_token1] = ACTIONS(1456),
    [aux_sym__argument_name_token2] = ACTIONS(1456),
    [anon_sym_POUND_LBRACK] = ACTIONS(1454),
    [aux_sym_encapsed_string_token1] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [aux_sym_string_token1] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_LT_LT_LT] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [aux_sym_yield_expression_token1] = ACTIONS(1456),
    [aux_sym_include_expression_token1] = ACTIONS(1456),
    [aux_sym_include_once_expression_token1] = ACTIONS(1456),
    [aux_sym_require_expression_token1] = ACTIONS(1456),
    [aux_sym_require_once_expression_token1] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_name] = ACTIONS(1460),
    [anon_sym_QMARK_GT] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1460),
    [aux_sym_global_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_definition_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1460),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1460),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [aux_sym_trait_declaration_token1] = ACTIONS(1460),
    [aux_sym_interface_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_case_token1] = ACTIONS(1460),
    [aux_sym_class_declaration_token1] = ACTIONS(1460),
    [aux_sym_final_modifier_token1] = ACTIONS(1460),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1460),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1460),
    [sym_var_modifier] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1460),
    [aux_sym_cast_type_token1] = ACTIONS(1460),
    [aux_sym_echo_statement_token1] = ACTIONS(1460),
    [aux_sym_exit_statement_token1] = ACTIONS(1460),
    [anon_sym_unset] = ACTIONS(1460),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [aux_sym_declare_statement_token2] = ACTIONS(1460),
    [sym_float] = ACTIONS(1460),
    [aux_sym_try_statement_token1] = ACTIONS(1460),
    [aux_sym_goto_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [sym_integer] = ACTIONS(1460),
    [aux_sym_return_statement_token1] = ACTIONS(1460),
    [aux_sym_throw_expression_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token2] = ACTIONS(1460),
    [aux_sym_do_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token2] = ACTIONS(1460),
    [aux_sym_foreach_statement_token1] = ACTIONS(1460),
    [aux_sym_foreach_statement_token2] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token2] = ACTIONS(1460),
    [aux_sym_else_if_clause_token1] = ACTIONS(1460),
    [aux_sym_else_clause_token1] = ACTIONS(1460),
    [aux_sym_match_expression_token1] = ACTIONS(1460),
    [aux_sym_match_default_expression_token1] = ACTIONS(1460),
    [aux_sym_switch_statement_token1] = ACTIONS(1460),
    [aux_sym_switch_block_token1] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [aux_sym_clone_expression_token1] = ACTIONS(1460),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1460),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [aux_sym__list_destructing_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_self] = ACTIONS(1460),
    [anon_sym_parent] = ACTIONS(1460),
    [aux_sym__argument_name_token1] = ACTIONS(1460),
    [aux_sym__argument_name_token2] = ACTIONS(1460),
    [anon_sym_POUND_LBRACK] = ACTIONS(1458),
    [aux_sym_encapsed_string_token1] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [aux_sym_string_token1] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_LT_LT_LT] = ACTIONS(1458),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [aux_sym_yield_expression_token1] = ACTIONS(1460),
    [aux_sym_include_expression_token1] = ACTIONS(1460),
    [aux_sym_include_once_expression_token1] = ACTIONS(1460),
    [aux_sym_require_expression_token1] = ACTIONS(1460),
    [aux_sym_require_once_expression_token1] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_name] = ACTIONS(1464),
    [anon_sym_QMARK_GT] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1464),
    [aux_sym_global_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_definition_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1464),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1464),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [aux_sym_trait_declaration_token1] = ACTIONS(1464),
    [aux_sym_interface_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_case_token1] = ACTIONS(1464),
    [aux_sym_class_declaration_token1] = ACTIONS(1464),
    [aux_sym_final_modifier_token1] = ACTIONS(1464),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1464),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1464),
    [sym_var_modifier] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1464),
    [aux_sym_cast_type_token1] = ACTIONS(1464),
    [aux_sym_echo_statement_token1] = ACTIONS(1464),
    [aux_sym_exit_statement_token1] = ACTIONS(1464),
    [anon_sym_unset] = ACTIONS(1464),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [aux_sym_declare_statement_token2] = ACTIONS(1464),
    [sym_float] = ACTIONS(1464),
    [aux_sym_try_statement_token1] = ACTIONS(1464),
    [aux_sym_goto_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [sym_integer] = ACTIONS(1464),
    [aux_sym_return_statement_token1] = ACTIONS(1464),
    [aux_sym_throw_expression_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token2] = ACTIONS(1464),
    [aux_sym_do_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token2] = ACTIONS(1464),
    [aux_sym_foreach_statement_token1] = ACTIONS(1464),
    [aux_sym_foreach_statement_token2] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token2] = ACTIONS(1464),
    [aux_sym_else_if_clause_token1] = ACTIONS(1464),
    [aux_sym_else_clause_token1] = ACTIONS(1464),
    [aux_sym_match_expression_token1] = ACTIONS(1464),
    [aux_sym_match_default_expression_token1] = ACTIONS(1464),
    [aux_sym_switch_statement_token1] = ACTIONS(1464),
    [aux_sym_switch_block_token1] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [aux_sym_clone_expression_token1] = ACTIONS(1464),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1464),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [aux_sym__list_destructing_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_self] = ACTIONS(1464),
    [anon_sym_parent] = ACTIONS(1464),
    [aux_sym__argument_name_token1] = ACTIONS(1464),
    [aux_sym__argument_name_token2] = ACTIONS(1464),
    [anon_sym_POUND_LBRACK] = ACTIONS(1462),
    [aux_sym_encapsed_string_token1] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [aux_sym_string_token1] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_LT_LT_LT] = ACTIONS(1462),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [aux_sym_yield_expression_token1] = ACTIONS(1464),
    [aux_sym_include_expression_token1] = ACTIONS(1464),
    [aux_sym_include_once_expression_token1] = ACTIONS(1464),
    [aux_sym_require_expression_token1] = ACTIONS(1464),
    [aux_sym_require_once_expression_token1] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_name] = ACTIONS(1468),
    [anon_sym_QMARK_GT] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1468),
    [aux_sym_global_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_definition_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1468),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1468),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [aux_sym_trait_declaration_token1] = ACTIONS(1468),
    [aux_sym_interface_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_case_token1] = ACTIONS(1468),
    [aux_sym_class_declaration_token1] = ACTIONS(1468),
    [aux_sym_final_modifier_token1] = ACTIONS(1468),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1468),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1468),
    [sym_var_modifier] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1468),
    [aux_sym_cast_type_token1] = ACTIONS(1468),
    [aux_sym_echo_statement_token1] = ACTIONS(1468),
    [aux_sym_exit_statement_token1] = ACTIONS(1468),
    [anon_sym_unset] = ACTIONS(1468),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [aux_sym_declare_statement_token2] = ACTIONS(1468),
    [sym_float] = ACTIONS(1468),
    [aux_sym_try_statement_token1] = ACTIONS(1468),
    [aux_sym_goto_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [sym_integer] = ACTIONS(1468),
    [aux_sym_return_statement_token1] = ACTIONS(1468),
    [aux_sym_throw_expression_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token2] = ACTIONS(1468),
    [aux_sym_do_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token2] = ACTIONS(1468),
    [aux_sym_foreach_statement_token1] = ACTIONS(1468),
    [aux_sym_foreach_statement_token2] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token2] = ACTIONS(1468),
    [aux_sym_else_if_clause_token1] = ACTIONS(1468),
    [aux_sym_else_clause_token1] = ACTIONS(1468),
    [aux_sym_match_expression_token1] = ACTIONS(1468),
    [aux_sym_match_default_expression_token1] = ACTIONS(1468),
    [aux_sym_switch_statement_token1] = ACTIONS(1468),
    [aux_sym_switch_block_token1] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [aux_sym_clone_expression_token1] = ACTIONS(1468),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1468),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [aux_sym__list_destructing_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_self] = ACTIONS(1468),
    [anon_sym_parent] = ACTIONS(1468),
    [aux_sym__argument_name_token1] = ACTIONS(1468),
    [aux_sym__argument_name_token2] = ACTIONS(1468),
    [anon_sym_POUND_LBRACK] = ACTIONS(1466),
    [aux_sym_encapsed_string_token1] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [aux_sym_string_token1] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_LT_LT_LT] = ACTIONS(1466),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [aux_sym_yield_expression_token1] = ACTIONS(1468),
    [aux_sym_include_expression_token1] = ACTIONS(1468),
    [aux_sym_include_once_expression_token1] = ACTIONS(1468),
    [aux_sym_require_expression_token1] = ACTIONS(1468),
    [aux_sym_require_once_expression_token1] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_name] = ACTIONS(1472),
    [anon_sym_QMARK_GT] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1472),
    [aux_sym_global_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_definition_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1472),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1472),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [aux_sym_trait_declaration_token1] = ACTIONS(1472),
    [aux_sym_interface_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_case_token1] = ACTIONS(1472),
    [aux_sym_class_declaration_token1] = ACTIONS(1472),
    [aux_sym_final_modifier_token1] = ACTIONS(1472),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1472),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1472),
    [sym_var_modifier] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1472),
    [aux_sym_cast_type_token1] = ACTIONS(1472),
    [aux_sym_echo_statement_token1] = ACTIONS(1472),
    [aux_sym_exit_statement_token1] = ACTIONS(1472),
    [anon_sym_unset] = ACTIONS(1472),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [aux_sym_declare_statement_token2] = ACTIONS(1472),
    [sym_float] = ACTIONS(1472),
    [aux_sym_try_statement_token1] = ACTIONS(1472),
    [aux_sym_goto_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [sym_integer] = ACTIONS(1472),
    [aux_sym_return_statement_token1] = ACTIONS(1472),
    [aux_sym_throw_expression_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token2] = ACTIONS(1472),
    [aux_sym_do_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token2] = ACTIONS(1472),
    [aux_sym_foreach_statement_token1] = ACTIONS(1472),
    [aux_sym_foreach_statement_token2] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token2] = ACTIONS(1472),
    [aux_sym_else_if_clause_token1] = ACTIONS(1472),
    [aux_sym_else_clause_token1] = ACTIONS(1472),
    [aux_sym_match_expression_token1] = ACTIONS(1472),
    [aux_sym_match_default_expression_token1] = ACTIONS(1472),
    [aux_sym_switch_statement_token1] = ACTIONS(1472),
    [aux_sym_switch_block_token1] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [aux_sym_clone_expression_token1] = ACTIONS(1472),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1472),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [aux_sym__list_destructing_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_self] = ACTIONS(1472),
    [anon_sym_parent] = ACTIONS(1472),
    [aux_sym__argument_name_token1] = ACTIONS(1472),
    [aux_sym__argument_name_token2] = ACTIONS(1472),
    [anon_sym_POUND_LBRACK] = ACTIONS(1470),
    [aux_sym_encapsed_string_token1] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [aux_sym_string_token1] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_LT_LT_LT] = ACTIONS(1470),
    [anon_sym_BQUOTE] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [aux_sym_yield_expression_token1] = ACTIONS(1472),
    [aux_sym_include_expression_token1] = ACTIONS(1472),
    [aux_sym_include_once_expression_token1] = ACTIONS(1472),
    [aux_sym_require_expression_token1] = ACTIONS(1472),
    [aux_sym_require_once_expression_token1] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_name] = ACTIONS(1476),
    [anon_sym_QMARK_GT] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1476),
    [aux_sym_global_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_definition_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1476),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1476),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [aux_sym_trait_declaration_token1] = ACTIONS(1476),
    [aux_sym_interface_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_case_token1] = ACTIONS(1476),
    [aux_sym_class_declaration_token1] = ACTIONS(1476),
    [aux_sym_final_modifier_token1] = ACTIONS(1476),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1476),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1476),
    [sym_var_modifier] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1476),
    [aux_sym_echo_statement_token1] = ACTIONS(1476),
    [aux_sym_exit_statement_token1] = ACTIONS(1476),
    [anon_sym_unset] = ACTIONS(1476),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [aux_sym_declare_statement_token2] = ACTIONS(1476),
    [sym_float] = ACTIONS(1476),
    [aux_sym_try_statement_token1] = ACTIONS(1476),
    [aux_sym_goto_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [sym_integer] = ACTIONS(1476),
    [aux_sym_return_statement_token1] = ACTIONS(1476),
    [aux_sym_throw_expression_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token2] = ACTIONS(1476),
    [aux_sym_do_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token2] = ACTIONS(1476),
    [aux_sym_foreach_statement_token1] = ACTIONS(1476),
    [aux_sym_foreach_statement_token2] = ACTIONS(1476),
    [aux_sym_if_statement_token1] = ACTIONS(1476),
    [aux_sym_if_statement_token2] = ACTIONS(1476),
    [aux_sym_else_if_clause_token1] = ACTIONS(1476),
    [aux_sym_else_clause_token1] = ACTIONS(1476),
    [aux_sym_match_expression_token1] = ACTIONS(1476),
    [aux_sym_match_default_expression_token1] = ACTIONS(1476),
    [aux_sym_switch_statement_token1] = ACTIONS(1476),
    [aux_sym_switch_block_token1] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [aux_sym_clone_expression_token1] = ACTIONS(1476),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1476),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [aux_sym__list_destructing_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_self] = ACTIONS(1476),
    [anon_sym_parent] = ACTIONS(1476),
    [aux_sym__argument_name_token1] = ACTIONS(1476),
    [aux_sym__argument_name_token2] = ACTIONS(1476),
    [anon_sym_POUND_LBRACK] = ACTIONS(1474),
    [aux_sym_encapsed_string_token1] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [aux_sym_string_token1] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_LT_LT_LT] = ACTIONS(1474),
    [anon_sym_BQUOTE] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [aux_sym_yield_expression_token1] = ACTIONS(1476),
    [aux_sym_include_expression_token1] = ACTIONS(1476),
    [aux_sym_include_once_expression_token1] = ACTIONS(1476),
    [aux_sym_require_expression_token1] = ACTIONS(1476),
    [aux_sym_require_once_expression_token1] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_name] = ACTIONS(1480),
    [anon_sym_QMARK_GT] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1480),
    [aux_sym_global_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_definition_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1480),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1480),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [aux_sym_trait_declaration_token1] = ACTIONS(1480),
    [aux_sym_interface_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_case_token1] = ACTIONS(1480),
    [aux_sym_class_declaration_token1] = ACTIONS(1480),
    [aux_sym_final_modifier_token1] = ACTIONS(1480),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1480),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1480),
    [sym_var_modifier] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1480),
    [aux_sym_echo_statement_token1] = ACTIONS(1480),
    [aux_sym_exit_statement_token1] = ACTIONS(1480),
    [anon_sym_unset] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [aux_sym_declare_statement_token2] = ACTIONS(1480),
    [sym_float] = ACTIONS(1480),
    [aux_sym_try_statement_token1] = ACTIONS(1480),
    [aux_sym_goto_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [sym_integer] = ACTIONS(1480),
    [aux_sym_return_statement_token1] = ACTIONS(1480),
    [aux_sym_throw_expression_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token2] = ACTIONS(1480),
    [aux_sym_do_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token2] = ACTIONS(1480),
    [aux_sym_foreach_statement_token1] = ACTIONS(1480),
    [aux_sym_foreach_statement_token2] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token2] = ACTIONS(1480),
    [aux_sym_else_if_clause_token1] = ACTIONS(1480),
    [aux_sym_else_clause_token1] = ACTIONS(1480),
    [aux_sym_match_expression_token1] = ACTIONS(1480),
    [aux_sym_match_default_expression_token1] = ACTIONS(1480),
    [aux_sym_switch_statement_token1] = ACTIONS(1480),
    [aux_sym_switch_block_token1] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [aux_sym_clone_expression_token1] = ACTIONS(1480),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1480),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [aux_sym__list_destructing_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_self] = ACTIONS(1480),
    [anon_sym_parent] = ACTIONS(1480),
    [aux_sym__argument_name_token1] = ACTIONS(1480),
    [aux_sym__argument_name_token2] = ACTIONS(1480),
    [anon_sym_POUND_LBRACK] = ACTIONS(1478),
    [aux_sym_encapsed_string_token1] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [aux_sym_string_token1] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_LT_LT_LT] = ACTIONS(1478),
    [anon_sym_BQUOTE] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [aux_sym_yield_expression_token1] = ACTIONS(1480),
    [aux_sym_include_expression_token1] = ACTIONS(1480),
    [aux_sym_include_once_expression_token1] = ACTIONS(1480),
    [aux_sym_require_expression_token1] = ACTIONS(1480),
    [aux_sym_require_once_expression_token1] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_name] = ACTIONS(1484),
    [anon_sym_QMARK_GT] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1484),
    [aux_sym_global_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_definition_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1484),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1484),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [aux_sym_trait_declaration_token1] = ACTIONS(1484),
    [aux_sym_interface_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_case_token1] = ACTIONS(1484),
    [aux_sym_class_declaration_token1] = ACTIONS(1484),
    [aux_sym_final_modifier_token1] = ACTIONS(1484),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1484),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1484),
    [sym_var_modifier] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1484),
    [aux_sym_cast_type_token1] = ACTIONS(1484),
    [aux_sym_echo_statement_token1] = ACTIONS(1484),
    [aux_sym_exit_statement_token1] = ACTIONS(1484),
    [anon_sym_unset] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [aux_sym_declare_statement_token2] = ACTIONS(1484),
    [sym_float] = ACTIONS(1484),
    [aux_sym_try_statement_token1] = ACTIONS(1484),
    [aux_sym_goto_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [sym_integer] = ACTIONS(1484),
    [aux_sym_return_statement_token1] = ACTIONS(1484),
    [aux_sym_throw_expression_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token2] = ACTIONS(1484),
    [aux_sym_do_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token2] = ACTIONS(1484),
    [aux_sym_foreach_statement_token1] = ACTIONS(1484),
    [aux_sym_foreach_statement_token2] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token2] = ACTIONS(1484),
    [aux_sym_else_if_clause_token1] = ACTIONS(1484),
    [aux_sym_else_clause_token1] = ACTIONS(1484),
    [aux_sym_match_expression_token1] = ACTIONS(1484),
    [aux_sym_match_default_expression_token1] = ACTIONS(1484),
    [aux_sym_switch_statement_token1] = ACTIONS(1484),
    [aux_sym_switch_block_token1] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [aux_sym_clone_expression_token1] = ACTIONS(1484),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1484),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [aux_sym__list_destructing_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_self] = ACTIONS(1484),
    [anon_sym_parent] = ACTIONS(1484),
    [aux_sym__argument_name_token1] = ACTIONS(1484),
    [aux_sym__argument_name_token2] = ACTIONS(1484),
    [anon_sym_POUND_LBRACK] = ACTIONS(1482),
    [aux_sym_encapsed_string_token1] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [aux_sym_string_token1] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_LT_LT_LT] = ACTIONS(1482),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [aux_sym_yield_expression_token1] = ACTIONS(1484),
    [aux_sym_include_expression_token1] = ACTIONS(1484),
    [aux_sym_include_once_expression_token1] = ACTIONS(1484),
    [aux_sym_require_expression_token1] = ACTIONS(1484),
    [aux_sym_require_once_expression_token1] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_name] = ACTIONS(1488),
    [anon_sym_QMARK_GT] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1488),
    [aux_sym_global_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_definition_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1488),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1488),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [aux_sym_trait_declaration_token1] = ACTIONS(1488),
    [aux_sym_interface_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_case_token1] = ACTIONS(1488),
    [aux_sym_class_declaration_token1] = ACTIONS(1488),
    [aux_sym_final_modifier_token1] = ACTIONS(1488),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1488),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1488),
    [sym_var_modifier] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1486),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1488),
    [aux_sym_echo_statement_token1] = ACTIONS(1488),
    [aux_sym_exit_statement_token1] = ACTIONS(1488),
    [anon_sym_unset] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [aux_sym_declare_statement_token2] = ACTIONS(1488),
    [sym_float] = ACTIONS(1488),
    [aux_sym_try_statement_token1] = ACTIONS(1488),
    [aux_sym_goto_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [sym_integer] = ACTIONS(1488),
    [aux_sym_return_statement_token1] = ACTIONS(1488),
    [aux_sym_throw_expression_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token2] = ACTIONS(1488),
    [aux_sym_do_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token2] = ACTIONS(1488),
    [aux_sym_foreach_statement_token1] = ACTIONS(1488),
    [aux_sym_foreach_statement_token2] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token2] = ACTIONS(1488),
    [aux_sym_else_if_clause_token1] = ACTIONS(1488),
    [aux_sym_else_clause_token1] = ACTIONS(1488),
    [aux_sym_match_expression_token1] = ACTIONS(1488),
    [aux_sym_match_default_expression_token1] = ACTIONS(1488),
    [aux_sym_switch_statement_token1] = ACTIONS(1488),
    [aux_sym_switch_block_token1] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [aux_sym_clone_expression_token1] = ACTIONS(1488),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1488),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [aux_sym__list_destructing_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_self] = ACTIONS(1488),
    [anon_sym_parent] = ACTIONS(1488),
    [aux_sym__argument_name_token1] = ACTIONS(1488),
    [aux_sym__argument_name_token2] = ACTIONS(1488),
    [anon_sym_POUND_LBRACK] = ACTIONS(1486),
    [aux_sym_encapsed_string_token1] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [aux_sym_string_token1] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_LT_LT_LT] = ACTIONS(1486),
    [anon_sym_BQUOTE] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [aux_sym_yield_expression_token1] = ACTIONS(1488),
    [aux_sym_include_expression_token1] = ACTIONS(1488),
    [aux_sym_include_once_expression_token1] = ACTIONS(1488),
    [aux_sym_require_expression_token1] = ACTIONS(1488),
    [aux_sym_require_once_expression_token1] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_name] = ACTIONS(1492),
    [anon_sym_QMARK_GT] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1492),
    [aux_sym_global_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_definition_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1492),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1492),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [aux_sym_trait_declaration_token1] = ACTIONS(1492),
    [aux_sym_interface_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_case_token1] = ACTIONS(1492),
    [aux_sym_class_declaration_token1] = ACTIONS(1492),
    [aux_sym_final_modifier_token1] = ACTIONS(1492),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1492),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1492),
    [sym_var_modifier] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1492),
    [aux_sym_cast_type_token1] = ACTIONS(1492),
    [aux_sym_echo_statement_token1] = ACTIONS(1492),
    [aux_sym_exit_statement_token1] = ACTIONS(1492),
    [anon_sym_unset] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [aux_sym_declare_statement_token2] = ACTIONS(1492),
    [sym_float] = ACTIONS(1492),
    [aux_sym_try_statement_token1] = ACTIONS(1492),
    [aux_sym_goto_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [sym_integer] = ACTIONS(1492),
    [aux_sym_return_statement_token1] = ACTIONS(1492),
    [aux_sym_throw_expression_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token2] = ACTIONS(1492),
    [aux_sym_do_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token2] = ACTIONS(1492),
    [aux_sym_foreach_statement_token1] = ACTIONS(1492),
    [aux_sym_foreach_statement_token2] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token2] = ACTIONS(1492),
    [aux_sym_else_if_clause_token1] = ACTIONS(1492),
    [aux_sym_else_clause_token1] = ACTIONS(1492),
    [aux_sym_match_expression_token1] = ACTIONS(1492),
    [aux_sym_match_default_expression_token1] = ACTIONS(1492),
    [aux_sym_switch_statement_token1] = ACTIONS(1492),
    [aux_sym_switch_block_token1] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [aux_sym_clone_expression_token1] = ACTIONS(1492),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1492),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [aux_sym__list_destructing_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_self] = ACTIONS(1492),
    [anon_sym_parent] = ACTIONS(1492),
    [aux_sym__argument_name_token1] = ACTIONS(1492),
    [aux_sym__argument_name_token2] = ACTIONS(1492),
    [anon_sym_POUND_LBRACK] = ACTIONS(1490),
    [aux_sym_encapsed_string_token1] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [aux_sym_string_token1] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_LT_LT_LT] = ACTIONS(1490),
    [anon_sym_BQUOTE] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [aux_sym_yield_expression_token1] = ACTIONS(1492),
    [aux_sym_include_expression_token1] = ACTIONS(1492),
    [aux_sym_include_once_expression_token1] = ACTIONS(1492),
    [aux_sym_require_expression_token1] = ACTIONS(1492),
    [aux_sym_require_once_expression_token1] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_name] = ACTIONS(1496),
    [anon_sym_QMARK_GT] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1496),
    [aux_sym_global_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_definition_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1496),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1496),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [aux_sym_trait_declaration_token1] = ACTIONS(1496),
    [aux_sym_interface_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_case_token1] = ACTIONS(1496),
    [aux_sym_class_declaration_token1] = ACTIONS(1496),
    [aux_sym_final_modifier_token1] = ACTIONS(1496),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1496),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1496),
    [sym_var_modifier] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1496),
    [aux_sym_cast_type_token1] = ACTIONS(1496),
    [aux_sym_echo_statement_token1] = ACTIONS(1496),
    [aux_sym_exit_statement_token1] = ACTIONS(1496),
    [anon_sym_unset] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [aux_sym_declare_statement_token2] = ACTIONS(1496),
    [sym_float] = ACTIONS(1496),
    [aux_sym_try_statement_token1] = ACTIONS(1496),
    [aux_sym_goto_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [sym_integer] = ACTIONS(1496),
    [aux_sym_return_statement_token1] = ACTIONS(1496),
    [aux_sym_throw_expression_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token2] = ACTIONS(1496),
    [aux_sym_do_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token2] = ACTIONS(1496),
    [aux_sym_foreach_statement_token1] = ACTIONS(1496),
    [aux_sym_foreach_statement_token2] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token2] = ACTIONS(1496),
    [aux_sym_else_if_clause_token1] = ACTIONS(1496),
    [aux_sym_else_clause_token1] = ACTIONS(1496),
    [aux_sym_match_expression_token1] = ACTIONS(1496),
    [aux_sym_match_default_expression_token1] = ACTIONS(1496),
    [aux_sym_switch_statement_token1] = ACTIONS(1496),
    [aux_sym_switch_block_token1] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [aux_sym_clone_expression_token1] = ACTIONS(1496),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1496),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [aux_sym__list_destructing_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_self] = ACTIONS(1496),
    [anon_sym_parent] = ACTIONS(1496),
    [aux_sym__argument_name_token1] = ACTIONS(1496),
    [aux_sym__argument_name_token2] = ACTIONS(1496),
    [anon_sym_POUND_LBRACK] = ACTIONS(1494),
    [aux_sym_encapsed_string_token1] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_LT_LT_LT] = ACTIONS(1494),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [aux_sym_yield_expression_token1] = ACTIONS(1496),
    [aux_sym_include_expression_token1] = ACTIONS(1496),
    [aux_sym_include_once_expression_token1] = ACTIONS(1496),
    [aux_sym_require_expression_token1] = ACTIONS(1496),
    [aux_sym_require_once_expression_token1] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1500),
    [aux_sym_global_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_definition_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1500),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1500),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [aux_sym_trait_declaration_token1] = ACTIONS(1500),
    [aux_sym_interface_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_case_token1] = ACTIONS(1500),
    [aux_sym_class_declaration_token1] = ACTIONS(1500),
    [aux_sym_final_modifier_token1] = ACTIONS(1500),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1500),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1500),
    [sym_var_modifier] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1498),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1500),
    [aux_sym_cast_type_token1] = ACTIONS(1500),
    [aux_sym_echo_statement_token1] = ACTIONS(1500),
    [aux_sym_exit_statement_token1] = ACTIONS(1500),
    [anon_sym_unset] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [aux_sym_declare_statement_token2] = ACTIONS(1500),
    [sym_float] = ACTIONS(1500),
    [aux_sym_try_statement_token1] = ACTIONS(1500),
    [aux_sym_goto_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [sym_integer] = ACTIONS(1500),
    [aux_sym_return_statement_token1] = ACTIONS(1500),
    [aux_sym_throw_expression_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token2] = ACTIONS(1500),
    [aux_sym_do_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token2] = ACTIONS(1500),
    [aux_sym_foreach_statement_token1] = ACTIONS(1500),
    [aux_sym_foreach_statement_token2] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token2] = ACTIONS(1500),
    [aux_sym_else_if_clause_token1] = ACTIONS(1500),
    [aux_sym_else_clause_token1] = ACTIONS(1500),
    [aux_sym_match_expression_token1] = ACTIONS(1500),
    [aux_sym_match_default_expression_token1] = ACTIONS(1500),
    [aux_sym_switch_statement_token1] = ACTIONS(1500),
    [aux_sym_switch_block_token1] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [aux_sym_clone_expression_token1] = ACTIONS(1500),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1500),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [aux_sym__list_destructing_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_self] = ACTIONS(1500),
    [anon_sym_parent] = ACTIONS(1500),
    [aux_sym__argument_name_token1] = ACTIONS(1500),
    [aux_sym__argument_name_token2] = ACTIONS(1500),
    [anon_sym_POUND_LBRACK] = ACTIONS(1498),
    [aux_sym_encapsed_string_token1] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [aux_sym_string_token1] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_LT_LT_LT] = ACTIONS(1498),
    [anon_sym_BQUOTE] = ACTIONS(1498),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [aux_sym_yield_expression_token1] = ACTIONS(1500),
    [aux_sym_include_expression_token1] = ACTIONS(1500),
    [aux_sym_include_once_expression_token1] = ACTIONS(1500),
    [aux_sym_require_expression_token1] = ACTIONS(1500),
    [aux_sym_require_once_expression_token1] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [sym_name] = ACTIONS(1504),
    [anon_sym_QMARK_GT] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1504),
    [aux_sym_global_declaration_token1] = ACTIONS(1504),
    [aux_sym_namespace_definition_token1] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1504),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1504),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1504),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [aux_sym_trait_declaration_token1] = ACTIONS(1504),
    [aux_sym_interface_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_case_token1] = ACTIONS(1504),
    [aux_sym_class_declaration_token1] = ACTIONS(1504),
    [aux_sym_final_modifier_token1] = ACTIONS(1504),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1504),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1504),
    [sym_var_modifier] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1504),
    [aux_sym_echo_statement_token1] = ACTIONS(1504),
    [aux_sym_exit_statement_token1] = ACTIONS(1504),
    [anon_sym_unset] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [aux_sym_declare_statement_token2] = ACTIONS(1504),
    [sym_float] = ACTIONS(1504),
    [aux_sym_try_statement_token1] = ACTIONS(1504),
    [aux_sym_goto_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [sym_integer] = ACTIONS(1504),
    [aux_sym_return_statement_token1] = ACTIONS(1504),
    [aux_sym_throw_expression_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token2] = ACTIONS(1504),
    [aux_sym_do_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token2] = ACTIONS(1504),
    [aux_sym_foreach_statement_token1] = ACTIONS(1504),
    [aux_sym_foreach_statement_token2] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token2] = ACTIONS(1504),
    [aux_sym_else_if_clause_token1] = ACTIONS(1504),
    [aux_sym_else_clause_token1] = ACTIONS(1504),
    [aux_sym_match_expression_token1] = ACTIONS(1504),
    [aux_sym_match_default_expression_token1] = ACTIONS(1504),
    [aux_sym_switch_statement_token1] = ACTIONS(1504),
    [aux_sym_switch_block_token1] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [aux_sym_clone_expression_token1] = ACTIONS(1504),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1504),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [aux_sym__list_destructing_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_self] = ACTIONS(1504),
    [anon_sym_parent] = ACTIONS(1504),
    [aux_sym__argument_name_token1] = ACTIONS(1504),
    [aux_sym__argument_name_token2] = ACTIONS(1504),
    [anon_sym_POUND_LBRACK] = ACTIONS(1502),
    [aux_sym_encapsed_string_token1] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [aux_sym_string_token1] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_LT_LT_LT] = ACTIONS(1502),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [aux_sym_yield_expression_token1] = ACTIONS(1504),
    [aux_sym_include_expression_token1] = ACTIONS(1504),
    [aux_sym_include_once_expression_token1] = ACTIONS(1504),
    [aux_sym_require_expression_token1] = ACTIONS(1504),
    [aux_sym_require_once_expression_token1] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [sym_name] = ACTIONS(1508),
    [anon_sym_QMARK_GT] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1508),
    [aux_sym_global_declaration_token1] = ACTIONS(1508),
    [aux_sym_namespace_definition_token1] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1508),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1508),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1508),
    [anon_sym_BSLASH] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [aux_sym_trait_declaration_token1] = ACTIONS(1508),
    [aux_sym_interface_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_case_token1] = ACTIONS(1508),
    [aux_sym_class_declaration_token1] = ACTIONS(1508),
    [aux_sym_final_modifier_token1] = ACTIONS(1508),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1508),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1508),
    [sym_var_modifier] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1508),
    [aux_sym_echo_statement_token1] = ACTIONS(1508),
    [aux_sym_exit_statement_token1] = ACTIONS(1508),
    [anon_sym_unset] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [aux_sym_declare_statement_token2] = ACTIONS(1508),
    [sym_float] = ACTIONS(1508),
    [aux_sym_try_statement_token1] = ACTIONS(1508),
    [aux_sym_goto_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [sym_integer] = ACTIONS(1508),
    [aux_sym_return_statement_token1] = ACTIONS(1508),
    [aux_sym_throw_expression_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token2] = ACTIONS(1508),
    [aux_sym_do_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token2] = ACTIONS(1508),
    [aux_sym_foreach_statement_token1] = ACTIONS(1508),
    [aux_sym_foreach_statement_token2] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token2] = ACTIONS(1508),
    [aux_sym_else_if_clause_token1] = ACTIONS(1508),
    [aux_sym_else_clause_token1] = ACTIONS(1508),
    [aux_sym_match_expression_token1] = ACTIONS(1508),
    [aux_sym_match_default_expression_token1] = ACTIONS(1508),
    [aux_sym_switch_statement_token1] = ACTIONS(1508),
    [aux_sym_switch_block_token1] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1506),
    [aux_sym_clone_expression_token1] = ACTIONS(1508),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1508),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [aux_sym__list_destructing_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1506),
    [anon_sym_self] = ACTIONS(1508),
    [anon_sym_parent] = ACTIONS(1508),
    [aux_sym__argument_name_token1] = ACTIONS(1508),
    [aux_sym__argument_name_token2] = ACTIONS(1508),
    [anon_sym_POUND_LBRACK] = ACTIONS(1506),
    [aux_sym_encapsed_string_token1] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [aux_sym_string_token1] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_LT_LT_LT] = ACTIONS(1506),
    [anon_sym_BQUOTE] = ACTIONS(1506),
    [anon_sym_DOLLAR] = ACTIONS(1506),
    [aux_sym_yield_expression_token1] = ACTIONS(1508),
    [aux_sym_include_expression_token1] = ACTIONS(1508),
    [aux_sym_include_once_expression_token1] = ACTIONS(1508),
    [aux_sym_require_expression_token1] = ACTIONS(1508),
    [aux_sym_require_once_expression_token1] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [sym_name] = ACTIONS(1512),
    [anon_sym_QMARK_GT] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1512),
    [aux_sym_global_declaration_token1] = ACTIONS(1512),
    [aux_sym_namespace_definition_token1] = ACTIONS(1512),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1512),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1512),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1512),
    [anon_sym_BSLASH] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [aux_sym_trait_declaration_token1] = ACTIONS(1512),
    [aux_sym_interface_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_case_token1] = ACTIONS(1512),
    [aux_sym_class_declaration_token1] = ACTIONS(1512),
    [aux_sym_final_modifier_token1] = ACTIONS(1512),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1512),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1512),
    [sym_var_modifier] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1512),
    [aux_sym_echo_statement_token1] = ACTIONS(1512),
    [aux_sym_exit_statement_token1] = ACTIONS(1512),
    [anon_sym_unset] = ACTIONS(1512),
    [aux_sym_declare_statement_token1] = ACTIONS(1512),
    [aux_sym_declare_statement_token2] = ACTIONS(1512),
    [sym_float] = ACTIONS(1512),
    [aux_sym_try_statement_token1] = ACTIONS(1512),
    [aux_sym_goto_statement_token1] = ACTIONS(1512),
    [aux_sym_continue_statement_token1] = ACTIONS(1512),
    [aux_sym_break_statement_token1] = ACTIONS(1512),
    [sym_integer] = ACTIONS(1512),
    [aux_sym_return_statement_token1] = ACTIONS(1512),
    [aux_sym_throw_expression_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token2] = ACTIONS(1512),
    [aux_sym_do_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token2] = ACTIONS(1512),
    [aux_sym_foreach_statement_token1] = ACTIONS(1512),
    [aux_sym_foreach_statement_token2] = ACTIONS(1512),
    [aux_sym_if_statement_token1] = ACTIONS(1512),
    [aux_sym_if_statement_token2] = ACTIONS(1512),
    [aux_sym_else_if_clause_token1] = ACTIONS(1512),
    [aux_sym_else_clause_token1] = ACTIONS(1512),
    [aux_sym_match_expression_token1] = ACTIONS(1512),
    [aux_sym_match_default_expression_token1] = ACTIONS(1512),
    [aux_sym_switch_statement_token1] = ACTIONS(1512),
    [aux_sym_switch_block_token1] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(1510),
    [aux_sym_clone_expression_token1] = ACTIONS(1512),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1512),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [aux_sym__list_destructing_token1] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_self] = ACTIONS(1512),
    [anon_sym_parent] = ACTIONS(1512),
    [aux_sym__argument_name_token1] = ACTIONS(1512),
    [aux_sym__argument_name_token2] = ACTIONS(1512),
    [anon_sym_POUND_LBRACK] = ACTIONS(1510),
    [aux_sym_encapsed_string_token1] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [aux_sym_string_token1] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_LT_LT_LT] = ACTIONS(1510),
    [anon_sym_BQUOTE] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [aux_sym_yield_expression_token1] = ACTIONS(1512),
    [aux_sym_include_expression_token1] = ACTIONS(1512),
    [aux_sym_include_once_expression_token1] = ACTIONS(1512),
    [aux_sym_require_expression_token1] = ACTIONS(1512),
    [aux_sym_require_once_expression_token1] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_name] = ACTIONS(1516),
    [anon_sym_QMARK_GT] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1514),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1516),
    [aux_sym_global_declaration_token1] = ACTIONS(1516),
    [aux_sym_namespace_definition_token1] = ACTIONS(1516),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1516),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1516),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1516),
    [anon_sym_BSLASH] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [aux_sym_trait_declaration_token1] = ACTIONS(1516),
    [aux_sym_interface_declaration_token1] = ACTIONS(1516),
    [aux_sym_enum_declaration_token1] = ACTIONS(1516),
    [aux_sym_enum_case_token1] = ACTIONS(1516),
    [aux_sym_class_declaration_token1] = ACTIONS(1516),
    [aux_sym_final_modifier_token1] = ACTIONS(1516),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1516),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1516),
    [sym_var_modifier] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(1516),
    [aux_sym_echo_statement_token1] = ACTIONS(1516),
    [aux_sym_exit_statement_token1] = ACTIONS(1516),
    [anon_sym_unset] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [aux_sym_declare_statement_token2] = ACTIONS(1516),
    [sym_float] = ACTIONS(1516),
    [aux_sym_try_statement_token1] = ACTIONS(1516),
    [aux_sym_goto_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [sym_integer] = ACTIONS(1516),
    [aux_sym_return_statement_token1] = ACTIONS(1516),
    [aux_sym_throw_expression_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token2] = ACTIONS(1516),
    [aux_sym_do_statement_token1] = ACTIONS(1516),
    [aux_sym_for_statement_token1] = ACTIONS(1516),
    [aux_sym_for_statement_token2] = ACTIONS(1516),
    [aux_sym_foreach_statement_token1] = ACTIONS(1516),
    [aux_sym_foreach_statement_token2] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token2] = ACTIONS(1516),
    [aux_sym_else_if_clause_token1] = ACTIONS(1516),
    [aux_sym_else_clause_token1] = ACTIONS(1516),
    [aux_sym_match_expression_token1] = ACTIONS(1516),
    [aux_sym_match_default_expression_token1] = ACTIONS(1516),
    [aux_sym_switch_statement_token1] = ACTIONS(1516),
    [aux_sym_switch_block_token1] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_AT] = ACTIONS(1514),
    [aux_sym_clone_expression_token1] = ACTIONS(1516),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1516),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [aux_sym__list_destructing_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_self] = ACTIONS(1516),
    [anon_sym_parent] = ACTIONS(1516),
    [aux_sym__argument_name_token1] = ACTIONS(1516),
    [aux_sym__argument_name_token2] = ACTIONS(1516),
    [anon_sym_POUND_LBRACK] = ACTIONS(1514),
    [aux_sym_encapsed_string_token1] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [aux_sym_string_token1] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_LT_LT_LT] = ACTIONS(1514),
    [anon_sym_BQUOTE] = ACTIONS(1514),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [aux_sym_yield_expression_token1] = ACTIONS(1516),
    [aux_sym_include_expression_token1] = ACTIONS(1516),
    [aux_sym_include_once_expression_token1] = ACTIONS(1516),
    [aux_sym_require_expression_token1] = ACTIONS(1516),
    [aux_sym_require_once_expression_token1] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(1518),
    [sym_name] = ACTIONS(1520),
    [anon_sym_QMARK_GT] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1518),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1520),
    [aux_sym_global_declaration_token1] = ACTIONS(1520),
    [aux_sym_namespace_definition_token1] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1520),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1520),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1520),
    [anon_sym_BSLASH] = ACTIONS(1518),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [aux_sym_trait_declaration_token1] = ACTIONS(1520),
    [aux_sym_interface_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_case_token1] = ACTIONS(1520),
    [aux_sym_class_declaration_token1] = ACTIONS(1520),
    [aux_sym_final_modifier_token1] = ACTIONS(1520),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1520),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1520),
    [sym_var_modifier] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1520),
    [aux_sym_cast_type_token1] = ACTIONS(1520),
    [aux_sym_echo_statement_token1] = ACTIONS(1520),
    [aux_sym_exit_statement_token1] = ACTIONS(1520),
    [anon_sym_unset] = ACTIONS(1520),
    [aux_sym_declare_statement_token1] = ACTIONS(1520),
    [aux_sym_declare_statement_token2] = ACTIONS(1520),
    [sym_float] = ACTIONS(1520),
    [aux_sym_try_statement_token1] = ACTIONS(1520),
    [aux_sym_goto_statement_token1] = ACTIONS(1520),
    [aux_sym_continue_statement_token1] = ACTIONS(1520),
    [aux_sym_break_statement_token1] = ACTIONS(1520),
    [sym_integer] = ACTIONS(1520),
    [aux_sym_return_statement_token1] = ACTIONS(1520),
    [aux_sym_throw_expression_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token2] = ACTIONS(1520),
    [aux_sym_do_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token2] = ACTIONS(1520),
    [aux_sym_foreach_statement_token1] = ACTIONS(1520),
    [aux_sym_foreach_statement_token2] = ACTIONS(1520),
    [aux_sym_if_statement_token1] = ACTIONS(1520),
    [aux_sym_if_statement_token2] = ACTIONS(1520),
    [aux_sym_else_if_clause_token1] = ACTIONS(1520),
    [aux_sym_else_clause_token1] = ACTIONS(1520),
    [aux_sym_match_expression_token1] = ACTIONS(1520),
    [aux_sym_match_default_expression_token1] = ACTIONS(1520),
    [aux_sym_switch_statement_token1] = ACTIONS(1520),
    [aux_sym_switch_block_token1] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_AT] = ACTIONS(1518),
    [aux_sym_clone_expression_token1] = ACTIONS(1520),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1520),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [aux_sym__list_destructing_token1] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_self] = ACTIONS(1520),
    [anon_sym_parent] = ACTIONS(1520),
    [aux_sym__argument_name_token1] = ACTIONS(1520),
    [aux_sym__argument_name_token2] = ACTIONS(1520),
    [anon_sym_POUND_LBRACK] = ACTIONS(1518),
    [aux_sym_encapsed_string_token1] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [aux_sym_string_token1] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_LT_LT_LT] = ACTIONS(1518),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [aux_sym_yield_expression_token1] = ACTIONS(1520),
    [aux_sym_include_expression_token1] = ACTIONS(1520),
    [aux_sym_include_once_expression_token1] = ACTIONS(1520),
    [aux_sym_require_expression_token1] = ACTIONS(1520),
    [aux_sym_require_once_expression_token1] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(1522),
    [sym_name] = ACTIONS(1524),
    [anon_sym_QMARK_GT] = ACTIONS(1522),
    [anon_sym_SEMI] = ACTIONS(1522),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1524),
    [aux_sym_global_declaration_token1] = ACTIONS(1524),
    [aux_sym_namespace_definition_token1] = ACTIONS(1524),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1524),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1524),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1524),
    [anon_sym_BSLASH] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [aux_sym_trait_declaration_token1] = ACTIONS(1524),
    [aux_sym_interface_declaration_token1] = ACTIONS(1524),
    [aux_sym_enum_declaration_token1] = ACTIONS(1524),
    [aux_sym_enum_case_token1] = ACTIONS(1524),
    [aux_sym_class_declaration_token1] = ACTIONS(1524),
    [aux_sym_final_modifier_token1] = ACTIONS(1524),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1524),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1524),
    [sym_var_modifier] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1524),
    [aux_sym_cast_type_token1] = ACTIONS(1524),
    [aux_sym_echo_statement_token1] = ACTIONS(1524),
    [aux_sym_exit_statement_token1] = ACTIONS(1524),
    [anon_sym_unset] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1524),
    [aux_sym_declare_statement_token2] = ACTIONS(1524),
    [sym_float] = ACTIONS(1524),
    [aux_sym_try_statement_token1] = ACTIONS(1524),
    [aux_sym_goto_statement_token1] = ACTIONS(1524),
    [aux_sym_continue_statement_token1] = ACTIONS(1524),
    [aux_sym_break_statement_token1] = ACTIONS(1524),
    [sym_integer] = ACTIONS(1524),
    [aux_sym_return_statement_token1] = ACTIONS(1524),
    [aux_sym_throw_expression_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token2] = ACTIONS(1524),
    [aux_sym_do_statement_token1] = ACTIONS(1524),
    [aux_sym_for_statement_token1] = ACTIONS(1524),
    [aux_sym_for_statement_token2] = ACTIONS(1524),
    [aux_sym_foreach_statement_token1] = ACTIONS(1524),
    [aux_sym_foreach_statement_token2] = ACTIONS(1524),
    [aux_sym_if_statement_token1] = ACTIONS(1524),
    [aux_sym_if_statement_token2] = ACTIONS(1524),
    [aux_sym_else_if_clause_token1] = ACTIONS(1524),
    [aux_sym_else_clause_token1] = ACTIONS(1524),
    [aux_sym_match_expression_token1] = ACTIONS(1524),
    [aux_sym_match_default_expression_token1] = ACTIONS(1524),
    [aux_sym_switch_statement_token1] = ACTIONS(1524),
    [aux_sym_switch_block_token1] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_AT] = ACTIONS(1522),
    [aux_sym_clone_expression_token1] = ACTIONS(1524),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1524),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1524),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [aux_sym__list_destructing_token1] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_self] = ACTIONS(1524),
    [anon_sym_parent] = ACTIONS(1524),
    [aux_sym__argument_name_token1] = ACTIONS(1524),
    [aux_sym__argument_name_token2] = ACTIONS(1524),
    [anon_sym_POUND_LBRACK] = ACTIONS(1522),
    [aux_sym_encapsed_string_token1] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1522),
    [aux_sym_string_token1] = ACTIONS(1522),
    [anon_sym_SQUOTE] = ACTIONS(1522),
    [anon_sym_LT_LT_LT] = ACTIONS(1522),
    [anon_sym_BQUOTE] = ACTIONS(1522),
    [anon_sym_DOLLAR] = ACTIONS(1522),
    [aux_sym_yield_expression_token1] = ACTIONS(1524),
    [aux_sym_include_expression_token1] = ACTIONS(1524),
    [aux_sym_include_once_expression_token1] = ACTIONS(1524),
    [aux_sym_require_expression_token1] = ACTIONS(1524),
    [aux_sym_require_once_expression_token1] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(1526),
    [sym_name] = ACTIONS(1528),
    [anon_sym_QMARK_GT] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1526),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1528),
    [aux_sym_global_declaration_token1] = ACTIONS(1528),
    [aux_sym_namespace_definition_token1] = ACTIONS(1528),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1528),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1528),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1528),
    [anon_sym_BSLASH] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [aux_sym_trait_declaration_token1] = ACTIONS(1528),
    [aux_sym_interface_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_case_token1] = ACTIONS(1528),
    [aux_sym_class_declaration_token1] = ACTIONS(1528),
    [aux_sym_final_modifier_token1] = ACTIONS(1528),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1528),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1528),
    [sym_var_modifier] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1528),
    [aux_sym_cast_type_token1] = ACTIONS(1528),
    [aux_sym_echo_statement_token1] = ACTIONS(1528),
    [aux_sym_exit_statement_token1] = ACTIONS(1528),
    [anon_sym_unset] = ACTIONS(1528),
    [aux_sym_declare_statement_token1] = ACTIONS(1528),
    [aux_sym_declare_statement_token2] = ACTIONS(1528),
    [sym_float] = ACTIONS(1528),
    [aux_sym_try_statement_token1] = ACTIONS(1528),
    [aux_sym_goto_statement_token1] = ACTIONS(1528),
    [aux_sym_continue_statement_token1] = ACTIONS(1528),
    [aux_sym_break_statement_token1] = ACTIONS(1528),
    [sym_integer] = ACTIONS(1528),
    [aux_sym_return_statement_token1] = ACTIONS(1528),
    [aux_sym_throw_expression_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token2] = ACTIONS(1528),
    [aux_sym_do_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token2] = ACTIONS(1528),
    [aux_sym_foreach_statement_token1] = ACTIONS(1528),
    [aux_sym_foreach_statement_token2] = ACTIONS(1528),
    [aux_sym_if_statement_token1] = ACTIONS(1528),
    [aux_sym_if_statement_token2] = ACTIONS(1528),
    [aux_sym_else_if_clause_token1] = ACTIONS(1528),
    [aux_sym_else_clause_token1] = ACTIONS(1528),
    [aux_sym_match_expression_token1] = ACTIONS(1528),
    [aux_sym_match_default_expression_token1] = ACTIONS(1528),
    [aux_sym_switch_statement_token1] = ACTIONS(1528),
    [aux_sym_switch_block_token1] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_AT] = ACTIONS(1526),
    [aux_sym_clone_expression_token1] = ACTIONS(1528),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1528),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [aux_sym__list_destructing_token1] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_self] = ACTIONS(1528),
    [anon_sym_parent] = ACTIONS(1528),
    [aux_sym__argument_name_token1] = ACTIONS(1528),
    [aux_sym__argument_name_token2] = ACTIONS(1528),
    [anon_sym_POUND_LBRACK] = ACTIONS(1526),
    [aux_sym_encapsed_string_token1] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [aux_sym_string_token1] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [anon_sym_LT_LT_LT] = ACTIONS(1526),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [aux_sym_yield_expression_token1] = ACTIONS(1528),
    [aux_sym_include_expression_token1] = ACTIONS(1528),
    [aux_sym_include_once_expression_token1] = ACTIONS(1528),
    [aux_sym_require_expression_token1] = ACTIONS(1528),
    [aux_sym_require_once_expression_token1] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [sym_name] = ACTIONS(1532),
    [anon_sym_QMARK_GT] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1532),
    [aux_sym_global_declaration_token1] = ACTIONS(1532),
    [aux_sym_namespace_definition_token1] = ACTIONS(1532),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1532),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1532),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1532),
    [anon_sym_BSLASH] = ACTIONS(1530),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [aux_sym_trait_declaration_token1] = ACTIONS(1532),
    [aux_sym_interface_declaration_token1] = ACTIONS(1532),
    [aux_sym_enum_declaration_token1] = ACTIONS(1532),
    [aux_sym_enum_case_token1] = ACTIONS(1532),
    [aux_sym_class_declaration_token1] = ACTIONS(1532),
    [aux_sym_final_modifier_token1] = ACTIONS(1532),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1532),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1532),
    [sym_var_modifier] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1532),
    [aux_sym_cast_type_token1] = ACTIONS(1532),
    [aux_sym_echo_statement_token1] = ACTIONS(1532),
    [aux_sym_exit_statement_token1] = ACTIONS(1532),
    [anon_sym_unset] = ACTIONS(1532),
    [aux_sym_declare_statement_token1] = ACTIONS(1532),
    [aux_sym_declare_statement_token2] = ACTIONS(1532),
    [sym_float] = ACTIONS(1532),
    [aux_sym_try_statement_token1] = ACTIONS(1532),
    [aux_sym_goto_statement_token1] = ACTIONS(1532),
    [aux_sym_continue_statement_token1] = ACTIONS(1532),
    [aux_sym_break_statement_token1] = ACTIONS(1532),
    [sym_integer] = ACTIONS(1532),
    [aux_sym_return_statement_token1] = ACTIONS(1532),
    [aux_sym_throw_expression_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token2] = ACTIONS(1532),
    [aux_sym_do_statement_token1] = ACTIONS(1532),
    [aux_sym_for_statement_token1] = ACTIONS(1532),
    [aux_sym_for_statement_token2] = ACTIONS(1532),
    [aux_sym_foreach_statement_token1] = ACTIONS(1532),
    [aux_sym_foreach_statement_token2] = ACTIONS(1532),
    [aux_sym_if_statement_token1] = ACTIONS(1532),
    [aux_sym_if_statement_token2] = ACTIONS(1532),
    [aux_sym_else_if_clause_token1] = ACTIONS(1532),
    [aux_sym_else_clause_token1] = ACTIONS(1532),
    [aux_sym_match_expression_token1] = ACTIONS(1532),
    [aux_sym_match_default_expression_token1] = ACTIONS(1532),
    [aux_sym_switch_statement_token1] = ACTIONS(1532),
    [aux_sym_switch_block_token1] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_AT] = ACTIONS(1530),
    [aux_sym_clone_expression_token1] = ACTIONS(1532),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1532),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [aux_sym__list_destructing_token1] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_self] = ACTIONS(1532),
    [anon_sym_parent] = ACTIONS(1532),
    [aux_sym__argument_name_token1] = ACTIONS(1532),
    [aux_sym__argument_name_token2] = ACTIONS(1532),
    [anon_sym_POUND_LBRACK] = ACTIONS(1530),
    [aux_sym_encapsed_string_token1] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1530),
    [aux_sym_string_token1] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1530),
    [anon_sym_LT_LT_LT] = ACTIONS(1530),
    [anon_sym_BQUOTE] = ACTIONS(1530),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [aux_sym_yield_expression_token1] = ACTIONS(1532),
    [aux_sym_include_expression_token1] = ACTIONS(1532),
    [aux_sym_include_once_expression_token1] = ACTIONS(1532),
    [aux_sym_require_expression_token1] = ACTIONS(1532),
    [aux_sym_require_once_expression_token1] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(1534),
    [sym_name] = ACTIONS(1536),
    [anon_sym_QMARK_GT] = ACTIONS(1534),
    [anon_sym_SEMI] = ACTIONS(1534),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1536),
    [aux_sym_global_declaration_token1] = ACTIONS(1536),
    [aux_sym_namespace_definition_token1] = ACTIONS(1536),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1536),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1536),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1536),
    [anon_sym_BSLASH] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [aux_sym_trait_declaration_token1] = ACTIONS(1536),
    [aux_sym_interface_declaration_token1] = ACTIONS(1536),
    [aux_sym_enum_declaration_token1] = ACTIONS(1536),
    [aux_sym_enum_case_token1] = ACTIONS(1536),
    [aux_sym_class_declaration_token1] = ACTIONS(1536),
    [aux_sym_final_modifier_token1] = ACTIONS(1536),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1536),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1536),
    [sym_var_modifier] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1534),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1536),
    [aux_sym_cast_type_token1] = ACTIONS(1536),
    [aux_sym_echo_statement_token1] = ACTIONS(1536),
    [aux_sym_exit_statement_token1] = ACTIONS(1536),
    [anon_sym_unset] = ACTIONS(1536),
    [aux_sym_declare_statement_token1] = ACTIONS(1536),
    [aux_sym_declare_statement_token2] = ACTIONS(1536),
    [sym_float] = ACTIONS(1536),
    [aux_sym_try_statement_token1] = ACTIONS(1536),
    [aux_sym_goto_statement_token1] = ACTIONS(1536),
    [aux_sym_continue_statement_token1] = ACTIONS(1536),
    [aux_sym_break_statement_token1] = ACTIONS(1536),
    [sym_integer] = ACTIONS(1536),
    [aux_sym_return_statement_token1] = ACTIONS(1536),
    [aux_sym_throw_expression_token1] = ACTIONS(1536),
    [aux_sym_while_statement_token1] = ACTIONS(1536),
    [aux_sym_while_statement_token2] = ACTIONS(1536),
    [aux_sym_do_statement_token1] = ACTIONS(1536),
    [aux_sym_for_statement_token1] = ACTIONS(1536),
    [aux_sym_for_statement_token2] = ACTIONS(1536),
    [aux_sym_foreach_statement_token1] = ACTIONS(1536),
    [aux_sym_foreach_statement_token2] = ACTIONS(1536),
    [aux_sym_if_statement_token1] = ACTIONS(1536),
    [aux_sym_if_statement_token2] = ACTIONS(1536),
    [aux_sym_else_if_clause_token1] = ACTIONS(1536),
    [aux_sym_else_clause_token1] = ACTIONS(1536),
    [aux_sym_match_expression_token1] = ACTIONS(1536),
    [aux_sym_match_default_expression_token1] = ACTIONS(1536),
    [aux_sym_switch_statement_token1] = ACTIONS(1536),
    [aux_sym_switch_block_token1] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_AT] = ACTIONS(1534),
    [aux_sym_clone_expression_token1] = ACTIONS(1536),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1536),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [aux_sym__list_destructing_token1] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_self] = ACTIONS(1536),
    [anon_sym_parent] = ACTIONS(1536),
    [aux_sym__argument_name_token1] = ACTIONS(1536),
    [aux_sym__argument_name_token2] = ACTIONS(1536),
    [anon_sym_POUND_LBRACK] = ACTIONS(1534),
    [aux_sym_encapsed_string_token1] = ACTIONS(1534),
    [anon_sym_DQUOTE] = ACTIONS(1534),
    [aux_sym_string_token1] = ACTIONS(1534),
    [anon_sym_SQUOTE] = ACTIONS(1534),
    [anon_sym_LT_LT_LT] = ACTIONS(1534),
    [anon_sym_BQUOTE] = ACTIONS(1534),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [aux_sym_yield_expression_token1] = ACTIONS(1536),
    [aux_sym_include_expression_token1] = ACTIONS(1536),
    [aux_sym_include_once_expression_token1] = ACTIONS(1536),
    [aux_sym_require_expression_token1] = ACTIONS(1536),
    [aux_sym_require_once_expression_token1] = ACTIONS(1536),
    [sym_comment] = ACTIONS(3),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(1538),
    [sym_name] = ACTIONS(1540),
    [anon_sym_QMARK_GT] = ACTIONS(1538),
    [anon_sym_SEMI] = ACTIONS(1538),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1540),
    [aux_sym_global_declaration_token1] = ACTIONS(1540),
    [aux_sym_namespace_definition_token1] = ACTIONS(1540),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1540),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1540),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1540),
    [anon_sym_BSLASH] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [aux_sym_trait_declaration_token1] = ACTIONS(1540),
    [aux_sym_interface_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_case_token1] = ACTIONS(1540),
    [aux_sym_class_declaration_token1] = ACTIONS(1540),
    [aux_sym_final_modifier_token1] = ACTIONS(1540),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1540),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1540),
    [sym_var_modifier] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1540),
    [aux_sym_cast_type_token1] = ACTIONS(1540),
    [aux_sym_echo_statement_token1] = ACTIONS(1540),
    [aux_sym_exit_statement_token1] = ACTIONS(1540),
    [anon_sym_unset] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [aux_sym_declare_statement_token2] = ACTIONS(1540),
    [sym_float] = ACTIONS(1540),
    [aux_sym_try_statement_token1] = ACTIONS(1540),
    [aux_sym_goto_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [sym_integer] = ACTIONS(1540),
    [aux_sym_return_statement_token1] = ACTIONS(1540),
    [aux_sym_throw_expression_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token2] = ACTIONS(1540),
    [aux_sym_do_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token2] = ACTIONS(1540),
    [aux_sym_foreach_statement_token1] = ACTIONS(1540),
    [aux_sym_foreach_statement_token2] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token2] = ACTIONS(1540),
    [aux_sym_else_if_clause_token1] = ACTIONS(1540),
    [aux_sym_else_clause_token1] = ACTIONS(1540),
    [aux_sym_match_expression_token1] = ACTIONS(1540),
    [aux_sym_match_default_expression_token1] = ACTIONS(1540),
    [aux_sym_switch_statement_token1] = ACTIONS(1540),
    [aux_sym_switch_block_token1] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [aux_sym_clone_expression_token1] = ACTIONS(1540),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1540),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [aux_sym__list_destructing_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_self] = ACTIONS(1540),
    [anon_sym_parent] = ACTIONS(1540),
    [aux_sym__argument_name_token1] = ACTIONS(1540),
    [aux_sym__argument_name_token2] = ACTIONS(1540),
    [anon_sym_POUND_LBRACK] = ACTIONS(1538),
    [aux_sym_encapsed_string_token1] = ACTIONS(1538),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1538),
    [anon_sym_LT_LT_LT] = ACTIONS(1538),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [aux_sym_yield_expression_token1] = ACTIONS(1540),
    [aux_sym_include_expression_token1] = ACTIONS(1540),
    [aux_sym_include_once_expression_token1] = ACTIONS(1540),
    [aux_sym_require_expression_token1] = ACTIONS(1540),
    [aux_sym_require_once_expression_token1] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(1542),
    [sym_name] = ACTIONS(1544),
    [anon_sym_QMARK_GT] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1542),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1544),
    [aux_sym_global_declaration_token1] = ACTIONS(1544),
    [aux_sym_namespace_definition_token1] = ACTIONS(1544),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1544),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1544),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1544),
    [anon_sym_BSLASH] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [aux_sym_trait_declaration_token1] = ACTIONS(1544),
    [aux_sym_interface_declaration_token1] = ACTIONS(1544),
    [aux_sym_enum_declaration_token1] = ACTIONS(1544),
    [aux_sym_enum_case_token1] = ACTIONS(1544),
    [aux_sym_class_declaration_token1] = ACTIONS(1544),
    [aux_sym_final_modifier_token1] = ACTIONS(1544),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1544),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1544),
    [sym_var_modifier] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1544),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1544),
    [aux_sym_cast_type_token1] = ACTIONS(1544),
    [aux_sym_echo_statement_token1] = ACTIONS(1544),
    [aux_sym_exit_statement_token1] = ACTIONS(1544),
    [anon_sym_unset] = ACTIONS(1544),
    [aux_sym_declare_statement_token1] = ACTIONS(1544),
    [aux_sym_declare_statement_token2] = ACTIONS(1544),
    [sym_float] = ACTIONS(1544),
    [aux_sym_try_statement_token1] = ACTIONS(1544),
    [aux_sym_goto_statement_token1] = ACTIONS(1544),
    [aux_sym_continue_statement_token1] = ACTIONS(1544),
    [aux_sym_break_statement_token1] = ACTIONS(1544),
    [sym_integer] = ACTIONS(1544),
    [aux_sym_return_statement_token1] = ACTIONS(1544),
    [aux_sym_throw_expression_token1] = ACTIONS(1544),
    [aux_sym_while_statement_token1] = ACTIONS(1544),
    [aux_sym_while_statement_token2] = ACTIONS(1544),
    [aux_sym_do_statement_token1] = ACTIONS(1544),
    [aux_sym_for_statement_token1] = ACTIONS(1544),
    [aux_sym_for_statement_token2] = ACTIONS(1544),
    [aux_sym_foreach_statement_token1] = ACTIONS(1544),
    [aux_sym_foreach_statement_token2] = ACTIONS(1544),
    [aux_sym_if_statement_token1] = ACTIONS(1544),
    [aux_sym_if_statement_token2] = ACTIONS(1544),
    [aux_sym_else_if_clause_token1] = ACTIONS(1544),
    [aux_sym_else_clause_token1] = ACTIONS(1544),
    [aux_sym_match_expression_token1] = ACTIONS(1544),
    [aux_sym_match_default_expression_token1] = ACTIONS(1544),
    [aux_sym_switch_statement_token1] = ACTIONS(1544),
    [aux_sym_switch_block_token1] = ACTIONS(1544),
    [anon_sym_PLUS] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [aux_sym_clone_expression_token1] = ACTIONS(1544),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1544),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1542),
    [aux_sym__list_destructing_token1] = ACTIONS(1544),
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_self] = ACTIONS(1544),
    [anon_sym_parent] = ACTIONS(1544),
    [aux_sym__argument_name_token1] = ACTIONS(1544),
    [aux_sym__argument_name_token2] = ACTIONS(1544),
    [anon_sym_POUND_LBRACK] = ACTIONS(1542),
    [aux_sym_encapsed_string_token1] = ACTIONS(1542),
    [anon_sym_DQUOTE] = ACTIONS(1542),
    [aux_sym_string_token1] = ACTIONS(1542),
    [anon_sym_SQUOTE] = ACTIONS(1542),
    [anon_sym_LT_LT_LT] = ACTIONS(1542),
    [anon_sym_BQUOTE] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [aux_sym_yield_expression_token1] = ACTIONS(1544),
    [aux_sym_include_expression_token1] = ACTIONS(1544),
    [aux_sym_include_once_expression_token1] = ACTIONS(1544),
    [aux_sym_require_expression_token1] = ACTIONS(1544),
    [aux_sym_require_once_expression_token1] = ACTIONS(1544),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(1546),
    [sym_name] = ACTIONS(1548),
    [anon_sym_QMARK_GT] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1546),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1548),
    [aux_sym_global_declaration_token1] = ACTIONS(1548),
    [aux_sym_namespace_definition_token1] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1548),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1548),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1548),
    [anon_sym_BSLASH] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1546),
    [aux_sym_trait_declaration_token1] = ACTIONS(1548),
    [aux_sym_interface_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_case_token1] = ACTIONS(1548),
    [aux_sym_class_declaration_token1] = ACTIONS(1548),
    [aux_sym_final_modifier_token1] = ACTIONS(1548),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1548),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1548),
    [sym_var_modifier] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1546),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1548),
    [aux_sym_cast_type_token1] = ACTIONS(1548),
    [aux_sym_echo_statement_token1] = ACTIONS(1548),
    [aux_sym_exit_statement_token1] = ACTIONS(1548),
    [anon_sym_unset] = ACTIONS(1548),
    [aux_sym_declare_statement_token1] = ACTIONS(1548),
    [aux_sym_declare_statement_token2] = ACTIONS(1548),
    [sym_float] = ACTIONS(1548),
    [aux_sym_try_statement_token1] = ACTIONS(1548),
    [aux_sym_goto_statement_token1] = ACTIONS(1548),
    [aux_sym_continue_statement_token1] = ACTIONS(1548),
    [aux_sym_break_statement_token1] = ACTIONS(1548),
    [sym_integer] = ACTIONS(1548),
    [aux_sym_return_statement_token1] = ACTIONS(1548),
    [aux_sym_throw_expression_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token2] = ACTIONS(1548),
    [aux_sym_do_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token2] = ACTIONS(1548),
    [aux_sym_foreach_statement_token1] = ACTIONS(1548),
    [aux_sym_foreach_statement_token2] = ACTIONS(1548),
    [aux_sym_if_statement_token1] = ACTIONS(1548),
    [aux_sym_if_statement_token2] = ACTIONS(1548),
    [aux_sym_else_if_clause_token1] = ACTIONS(1548),
    [aux_sym_else_clause_token1] = ACTIONS(1548),
    [aux_sym_match_expression_token1] = ACTIONS(1548),
    [aux_sym_match_default_expression_token1] = ACTIONS(1548),
    [aux_sym_switch_statement_token1] = ACTIONS(1548),
    [aux_sym_switch_block_token1] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_AT] = ACTIONS(1546),
    [aux_sym_clone_expression_token1] = ACTIONS(1548),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1548),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1546),
    [aux_sym__list_destructing_token1] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_self] = ACTIONS(1548),
    [anon_sym_parent] = ACTIONS(1548),
    [aux_sym__argument_name_token1] = ACTIONS(1548),
    [aux_sym__argument_name_token2] = ACTIONS(1548),
    [anon_sym_POUND_LBRACK] = ACTIONS(1546),
    [aux_sym_encapsed_string_token1] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [aux_sym_string_token1] = ACTIONS(1546),
    [anon_sym_SQUOTE] = ACTIONS(1546),
    [anon_sym_LT_LT_LT] = ACTIONS(1546),
    [anon_sym_BQUOTE] = ACTIONS(1546),
    [anon_sym_DOLLAR] = ACTIONS(1546),
    [aux_sym_yield_expression_token1] = ACTIONS(1548),
    [aux_sym_include_expression_token1] = ACTIONS(1548),
    [aux_sym_include_once_expression_token1] = ACTIONS(1548),
    [aux_sym_require_expression_token1] = ACTIONS(1548),
    [aux_sym_require_once_expression_token1] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1550),
    [sym_name] = ACTIONS(1552),
    [anon_sym_QMARK_GT] = ACTIONS(1550),
    [anon_sym_SEMI] = ACTIONS(1550),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1552),
    [aux_sym_global_declaration_token1] = ACTIONS(1552),
    [aux_sym_namespace_definition_token1] = ACTIONS(1552),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1552),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1552),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1552),
    [anon_sym_BSLASH] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [aux_sym_trait_declaration_token1] = ACTIONS(1552),
    [aux_sym_interface_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_case_token1] = ACTIONS(1552),
    [aux_sym_class_declaration_token1] = ACTIONS(1552),
    [aux_sym_final_modifier_token1] = ACTIONS(1552),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1552),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1552),
    [sym_var_modifier] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1552),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1552),
    [aux_sym_cast_type_token1] = ACTIONS(1552),
    [aux_sym_echo_statement_token1] = ACTIONS(1552),
    [aux_sym_exit_statement_token1] = ACTIONS(1552),
    [anon_sym_unset] = ACTIONS(1552),
    [aux_sym_declare_statement_token1] = ACTIONS(1552),
    [aux_sym_declare_statement_token2] = ACTIONS(1552),
    [sym_float] = ACTIONS(1552),
    [aux_sym_try_statement_token1] = ACTIONS(1552),
    [aux_sym_goto_statement_token1] = ACTIONS(1552),
    [aux_sym_continue_statement_token1] = ACTIONS(1552),
    [aux_sym_break_statement_token1] = ACTIONS(1552),
    [sym_integer] = ACTIONS(1552),
    [aux_sym_return_statement_token1] = ACTIONS(1552),
    [aux_sym_throw_expression_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token2] = ACTIONS(1552),
    [aux_sym_do_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token2] = ACTIONS(1552),
    [aux_sym_foreach_statement_token1] = ACTIONS(1552),
    [aux_sym_foreach_statement_token2] = ACTIONS(1552),
    [aux_sym_if_statement_token1] = ACTIONS(1552),
    [aux_sym_if_statement_token2] = ACTIONS(1552),
    [aux_sym_else_if_clause_token1] = ACTIONS(1552),
    [aux_sym_else_clause_token1] = ACTIONS(1552),
    [aux_sym_match_expression_token1] = ACTIONS(1552),
    [aux_sym_match_default_expression_token1] = ACTIONS(1552),
    [aux_sym_switch_statement_token1] = ACTIONS(1552),
    [aux_sym_switch_block_token1] = ACTIONS(1552),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [aux_sym_clone_expression_token1] = ACTIONS(1552),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1552),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [aux_sym__list_destructing_token1] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_self] = ACTIONS(1552),
    [anon_sym_parent] = ACTIONS(1552),
    [aux_sym__argument_name_token1] = ACTIONS(1552),
    [aux_sym__argument_name_token2] = ACTIONS(1552),
    [anon_sym_POUND_LBRACK] = ACTIONS(1550),
    [aux_sym_encapsed_string_token1] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1550),
    [aux_sym_string_token1] = ACTIONS(1550),
    [anon_sym_SQUOTE] = ACTIONS(1550),
    [anon_sym_LT_LT_LT] = ACTIONS(1550),
    [anon_sym_BQUOTE] = ACTIONS(1550),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [aux_sym_yield_expression_token1] = ACTIONS(1552),
    [aux_sym_include_expression_token1] = ACTIONS(1552),
    [aux_sym_include_once_expression_token1] = ACTIONS(1552),
    [aux_sym_require_expression_token1] = ACTIONS(1552),
    [aux_sym_require_once_expression_token1] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(1554),
    [sym_name] = ACTIONS(1556),
    [anon_sym_QMARK_GT] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1554),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1556),
    [aux_sym_global_declaration_token1] = ACTIONS(1556),
    [aux_sym_namespace_definition_token1] = ACTIONS(1556),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1556),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1556),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1556),
    [anon_sym_BSLASH] = ACTIONS(1554),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_RBRACE] = ACTIONS(1554),
    [aux_sym_trait_declaration_token1] = ACTIONS(1556),
    [aux_sym_interface_declaration_token1] = ACTIONS(1556),
    [aux_sym_enum_declaration_token1] = ACTIONS(1556),
    [aux_sym_enum_case_token1] = ACTIONS(1556),
    [aux_sym_class_declaration_token1] = ACTIONS(1556),
    [aux_sym_final_modifier_token1] = ACTIONS(1556),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1556),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1556),
    [sym_var_modifier] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1554),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1556),
    [aux_sym_cast_type_token1] = ACTIONS(1556),
    [aux_sym_echo_statement_token1] = ACTIONS(1556),
    [aux_sym_exit_statement_token1] = ACTIONS(1556),
    [anon_sym_unset] = ACTIONS(1556),
    [aux_sym_declare_statement_token1] = ACTIONS(1556),
    [aux_sym_declare_statement_token2] = ACTIONS(1556),
    [sym_float] = ACTIONS(1556),
    [aux_sym_try_statement_token1] = ACTIONS(1556),
    [aux_sym_goto_statement_token1] = ACTIONS(1556),
    [aux_sym_continue_statement_token1] = ACTIONS(1556),
    [aux_sym_break_statement_token1] = ACTIONS(1556),
    [sym_integer] = ACTIONS(1556),
    [aux_sym_return_statement_token1] = ACTIONS(1556),
    [aux_sym_throw_expression_token1] = ACTIONS(1556),
    [aux_sym_while_statement_token1] = ACTIONS(1556),
    [aux_sym_while_statement_token2] = ACTIONS(1556),
    [aux_sym_do_statement_token1] = ACTIONS(1556),
    [aux_sym_for_statement_token1] = ACTIONS(1556),
    [aux_sym_for_statement_token2] = ACTIONS(1556),
    [aux_sym_foreach_statement_token1] = ACTIONS(1556),
    [aux_sym_foreach_statement_token2] = ACTIONS(1556),
    [aux_sym_if_statement_token1] = ACTIONS(1556),
    [aux_sym_if_statement_token2] = ACTIONS(1556),
    [aux_sym_else_if_clause_token1] = ACTIONS(1556),
    [aux_sym_else_clause_token1] = ACTIONS(1556),
    [aux_sym_match_expression_token1] = ACTIONS(1556),
    [aux_sym_match_default_expression_token1] = ACTIONS(1556),
    [aux_sym_switch_statement_token1] = ACTIONS(1556),
    [aux_sym_switch_block_token1] = ACTIONS(1556),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_BANG] = ACTIONS(1554),
    [anon_sym_AT] = ACTIONS(1554),
    [aux_sym_clone_expression_token1] = ACTIONS(1556),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1556),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1556),
    [anon_sym_DASH_DASH] = ACTIONS(1554),
    [anon_sym_PLUS_PLUS] = ACTIONS(1554),
    [aux_sym__list_destructing_token1] = ACTIONS(1556),
    [anon_sym_LBRACK] = ACTIONS(1554),
    [anon_sym_self] = ACTIONS(1556),
    [anon_sym_parent] = ACTIONS(1556),
    [aux_sym__argument_name_token1] = ACTIONS(1556),
    [aux_sym__argument_name_token2] = ACTIONS(1556),
    [anon_sym_POUND_LBRACK] = ACTIONS(1554),
    [aux_sym_encapsed_string_token1] = ACTIONS(1554),
    [anon_sym_DQUOTE] = ACTIONS(1554),
    [aux_sym_string_token1] = ACTIONS(1554),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_LT_LT_LT] = ACTIONS(1554),
    [anon_sym_BQUOTE] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1554),
    [aux_sym_yield_expression_token1] = ACTIONS(1556),
    [aux_sym_include_expression_token1] = ACTIONS(1556),
    [aux_sym_include_once_expression_token1] = ACTIONS(1556),
    [aux_sym_require_expression_token1] = ACTIONS(1556),
    [aux_sym_require_once_expression_token1] = ACTIONS(1556),
    [sym_comment] = ACTIONS(3),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1558),
    [sym_name] = ACTIONS(1560),
    [anon_sym_QMARK_GT] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1558),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1560),
    [aux_sym_global_declaration_token1] = ACTIONS(1560),
    [aux_sym_namespace_definition_token1] = ACTIONS(1560),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1560),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1560),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1560),
    [anon_sym_BSLASH] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1558),
    [anon_sym_RBRACE] = ACTIONS(1558),
    [aux_sym_trait_declaration_token1] = ACTIONS(1560),
    [aux_sym_interface_declaration_token1] = ACTIONS(1560),
    [aux_sym_enum_declaration_token1] = ACTIONS(1560),
    [aux_sym_enum_case_token1] = ACTIONS(1560),
    [aux_sym_class_declaration_token1] = ACTIONS(1560),
    [aux_sym_final_modifier_token1] = ACTIONS(1560),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1560),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1560),
    [sym_var_modifier] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1560),
    [anon_sym_LPAREN] = ACTIONS(1558),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1560),
    [aux_sym_cast_type_token1] = ACTIONS(1560),
    [aux_sym_echo_statement_token1] = ACTIONS(1560),
    [aux_sym_exit_statement_token1] = ACTIONS(1560),
    [anon_sym_unset] = ACTIONS(1560),
    [aux_sym_declare_statement_token1] = ACTIONS(1560),
    [aux_sym_declare_statement_token2] = ACTIONS(1560),
    [sym_float] = ACTIONS(1560),
    [aux_sym_try_statement_token1] = ACTIONS(1560),
    [aux_sym_goto_statement_token1] = ACTIONS(1560),
    [aux_sym_continue_statement_token1] = ACTIONS(1560),
    [aux_sym_break_statement_token1] = ACTIONS(1560),
    [sym_integer] = ACTIONS(1560),
    [aux_sym_return_statement_token1] = ACTIONS(1560),
    [aux_sym_throw_expression_token1] = ACTIONS(1560),
    [aux_sym_while_statement_token1] = ACTIONS(1560),
    [aux_sym_while_statement_token2] = ACTIONS(1560),
    [aux_sym_do_statement_token1] = ACTIONS(1560),
    [aux_sym_for_statement_token1] = ACTIONS(1560),
    [aux_sym_for_statement_token2] = ACTIONS(1560),
    [aux_sym_foreach_statement_token1] = ACTIONS(1560),
    [aux_sym_foreach_statement_token2] = ACTIONS(1560),
    [aux_sym_if_statement_token1] = ACTIONS(1560),
    [aux_sym_if_statement_token2] = ACTIONS(1560),
    [aux_sym_else_if_clause_token1] = ACTIONS(1560),
    [aux_sym_else_clause_token1] = ACTIONS(1560),
    [aux_sym_match_expression_token1] = ACTIONS(1560),
    [aux_sym_match_default_expression_token1] = ACTIONS(1560),
    [aux_sym_switch_statement_token1] = ACTIONS(1560),
    [aux_sym_switch_block_token1] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1558),
    [anon_sym_BANG] = ACTIONS(1558),
    [anon_sym_AT] = ACTIONS(1558),
    [aux_sym_clone_expression_token1] = ACTIONS(1560),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1560),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1558),
    [anon_sym_PLUS_PLUS] = ACTIONS(1558),
    [aux_sym__list_destructing_token1] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1558),
    [anon_sym_self] = ACTIONS(1560),
    [anon_sym_parent] = ACTIONS(1560),
    [aux_sym__argument_name_token1] = ACTIONS(1560),
    [aux_sym__argument_name_token2] = ACTIONS(1560),
    [anon_sym_POUND_LBRACK] = ACTIONS(1558),
    [aux_sym_encapsed_string_token1] = ACTIONS(1558),
    [anon_sym_DQUOTE] = ACTIONS(1558),
    [aux_sym_string_token1] = ACTIONS(1558),
    [anon_sym_SQUOTE] = ACTIONS(1558),
    [anon_sym_LT_LT_LT] = ACTIONS(1558),
    [anon_sym_BQUOTE] = ACTIONS(1558),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [aux_sym_yield_expression_token1] = ACTIONS(1560),
    [aux_sym_include_expression_token1] = ACTIONS(1560),
    [aux_sym_include_once_expression_token1] = ACTIONS(1560),
    [aux_sym_require_expression_token1] = ACTIONS(1560),
    [aux_sym_require_once_expression_token1] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1562),
    [sym_name] = ACTIONS(1564),
    [anon_sym_QMARK_GT] = ACTIONS(1562),
    [anon_sym_SEMI] = ACTIONS(1562),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1564),
    [aux_sym_global_declaration_token1] = ACTIONS(1564),
    [aux_sym_namespace_definition_token1] = ACTIONS(1564),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1564),
    [anon_sym_BSLASH] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1562),
    [anon_sym_RBRACE] = ACTIONS(1562),
    [aux_sym_trait_declaration_token1] = ACTIONS(1564),
    [aux_sym_interface_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_case_token1] = ACTIONS(1564),
    [aux_sym_class_declaration_token1] = ACTIONS(1564),
    [aux_sym_final_modifier_token1] = ACTIONS(1564),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1564),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1564),
    [sym_var_modifier] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1564),
    [anon_sym_LPAREN] = ACTIONS(1562),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1564),
    [aux_sym_echo_statement_token1] = ACTIONS(1564),
    [aux_sym_exit_statement_token1] = ACTIONS(1564),
    [anon_sym_unset] = ACTIONS(1564),
    [aux_sym_declare_statement_token1] = ACTIONS(1564),
    [aux_sym_declare_statement_token2] = ACTIONS(1564),
    [sym_float] = ACTIONS(1564),
    [aux_sym_try_statement_token1] = ACTIONS(1564),
    [aux_sym_goto_statement_token1] = ACTIONS(1564),
    [aux_sym_continue_statement_token1] = ACTIONS(1564),
    [aux_sym_break_statement_token1] = ACTIONS(1564),
    [sym_integer] = ACTIONS(1564),
    [aux_sym_return_statement_token1] = ACTIONS(1564),
    [aux_sym_throw_expression_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token2] = ACTIONS(1564),
    [aux_sym_do_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token2] = ACTIONS(1564),
    [aux_sym_foreach_statement_token1] = ACTIONS(1564),
    [aux_sym_foreach_statement_token2] = ACTIONS(1564),
    [aux_sym_if_statement_token1] = ACTIONS(1564),
    [aux_sym_if_statement_token2] = ACTIONS(1564),
    [aux_sym_else_if_clause_token1] = ACTIONS(1564),
    [aux_sym_else_clause_token1] = ACTIONS(1564),
    [aux_sym_match_expression_token1] = ACTIONS(1564),
    [aux_sym_match_default_expression_token1] = ACTIONS(1564),
    [aux_sym_switch_statement_token1] = ACTIONS(1564),
    [aux_sym_switch_block_token1] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1562),
    [aux_sym_clone_expression_token1] = ACTIONS(1564),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1564),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1562),
    [anon_sym_PLUS_PLUS] = ACTIONS(1562),
    [aux_sym__list_destructing_token1] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_self] = ACTIONS(1564),
    [anon_sym_parent] = ACTIONS(1564),
    [aux_sym__argument_name_token1] = ACTIONS(1564),
    [aux_sym__argument_name_token2] = ACTIONS(1564),
    [anon_sym_POUND_LBRACK] = ACTIONS(1562),
    [aux_sym_encapsed_string_token1] = ACTIONS(1562),
    [anon_sym_DQUOTE] = ACTIONS(1562),
    [aux_sym_string_token1] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1562),
    [anon_sym_LT_LT_LT] = ACTIONS(1562),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [aux_sym_yield_expression_token1] = ACTIONS(1564),
    [aux_sym_include_expression_token1] = ACTIONS(1564),
    [aux_sym_include_once_expression_token1] = ACTIONS(1564),
    [aux_sym_require_expression_token1] = ACTIONS(1564),
    [aux_sym_require_once_expression_token1] = ACTIONS(1564),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1566),
    [sym_name] = ACTIONS(1568),
    [anon_sym_QMARK_GT] = ACTIONS(1566),
    [anon_sym_SEMI] = ACTIONS(1566),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1568),
    [aux_sym_global_declaration_token1] = ACTIONS(1568),
    [aux_sym_namespace_definition_token1] = ACTIONS(1568),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1568),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1568),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1568),
    [anon_sym_BSLASH] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1566),
    [anon_sym_RBRACE] = ACTIONS(1566),
    [aux_sym_trait_declaration_token1] = ACTIONS(1568),
    [aux_sym_interface_declaration_token1] = ACTIONS(1568),
    [aux_sym_enum_declaration_token1] = ACTIONS(1568),
    [aux_sym_enum_case_token1] = ACTIONS(1568),
    [aux_sym_class_declaration_token1] = ACTIONS(1568),
    [aux_sym_final_modifier_token1] = ACTIONS(1568),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1568),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1568),
    [sym_var_modifier] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1568),
    [aux_sym_cast_type_token1] = ACTIONS(1568),
    [aux_sym_echo_statement_token1] = ACTIONS(1568),
    [aux_sym_exit_statement_token1] = ACTIONS(1568),
    [anon_sym_unset] = ACTIONS(1568),
    [aux_sym_declare_statement_token1] = ACTIONS(1568),
    [aux_sym_declare_statement_token2] = ACTIONS(1568),
    [sym_float] = ACTIONS(1568),
    [aux_sym_try_statement_token1] = ACTIONS(1568),
    [aux_sym_goto_statement_token1] = ACTIONS(1568),
    [aux_sym_continue_statement_token1] = ACTIONS(1568),
    [aux_sym_break_statement_token1] = ACTIONS(1568),
    [sym_integer] = ACTIONS(1568),
    [aux_sym_return_statement_token1] = ACTIONS(1568),
    [aux_sym_throw_expression_token1] = ACTIONS(1568),
    [aux_sym_while_statement_token1] = ACTIONS(1568),
    [aux_sym_while_statement_token2] = ACTIONS(1568),
    [aux_sym_do_statement_token1] = ACTIONS(1568),
    [aux_sym_for_statement_token1] = ACTIONS(1568),
    [aux_sym_for_statement_token2] = ACTIONS(1568),
    [aux_sym_foreach_statement_token1] = ACTIONS(1568),
    [aux_sym_foreach_statement_token2] = ACTIONS(1568),
    [aux_sym_if_statement_token1] = ACTIONS(1568),
    [aux_sym_if_statement_token2] = ACTIONS(1568),
    [aux_sym_else_if_clause_token1] = ACTIONS(1568),
    [aux_sym_else_clause_token1] = ACTIONS(1568),
    [aux_sym_match_expression_token1] = ACTIONS(1568),
    [aux_sym_match_default_expression_token1] = ACTIONS(1568),
    [aux_sym_switch_statement_token1] = ACTIONS(1568),
    [aux_sym_switch_block_token1] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [aux_sym_clone_expression_token1] = ACTIONS(1568),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1568),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1566),
    [aux_sym__list_destructing_token1] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_self] = ACTIONS(1568),
    [anon_sym_parent] = ACTIONS(1568),
    [aux_sym__argument_name_token1] = ACTIONS(1568),
    [aux_sym__argument_name_token2] = ACTIONS(1568),
    [anon_sym_POUND_LBRACK] = ACTIONS(1566),
    [aux_sym_encapsed_string_token1] = ACTIONS(1566),
    [anon_sym_DQUOTE] = ACTIONS(1566),
    [aux_sym_string_token1] = ACTIONS(1566),
    [anon_sym_SQUOTE] = ACTIONS(1566),
    [anon_sym_LT_LT_LT] = ACTIONS(1566),
    [anon_sym_BQUOTE] = ACTIONS(1566),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [aux_sym_yield_expression_token1] = ACTIONS(1568),
    [aux_sym_include_expression_token1] = ACTIONS(1568),
    [aux_sym_include_once_expression_token1] = ACTIONS(1568),
    [aux_sym_require_expression_token1] = ACTIONS(1568),
    [aux_sym_require_once_expression_token1] = ACTIONS(1568),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1570),
    [sym_name] = ACTIONS(1572),
    [anon_sym_QMARK_GT] = ACTIONS(1570),
    [anon_sym_SEMI] = ACTIONS(1570),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1572),
    [aux_sym_global_declaration_token1] = ACTIONS(1572),
    [aux_sym_namespace_definition_token1] = ACTIONS(1572),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1572),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1572),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1572),
    [anon_sym_BSLASH] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [aux_sym_trait_declaration_token1] = ACTIONS(1572),
    [aux_sym_interface_declaration_token1] = ACTIONS(1572),
    [aux_sym_enum_declaration_token1] = ACTIONS(1572),
    [aux_sym_enum_case_token1] = ACTIONS(1572),
    [aux_sym_class_declaration_token1] = ACTIONS(1572),
    [aux_sym_final_modifier_token1] = ACTIONS(1572),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1572),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1572),
    [sym_var_modifier] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1570),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1572),
    [aux_sym_cast_type_token1] = ACTIONS(1572),
    [aux_sym_echo_statement_token1] = ACTIONS(1572),
    [aux_sym_exit_statement_token1] = ACTIONS(1572),
    [anon_sym_unset] = ACTIONS(1572),
    [aux_sym_declare_statement_token1] = ACTIONS(1572),
    [aux_sym_declare_statement_token2] = ACTIONS(1572),
    [sym_float] = ACTIONS(1572),
    [aux_sym_try_statement_token1] = ACTIONS(1572),
    [aux_sym_goto_statement_token1] = ACTIONS(1572),
    [aux_sym_continue_statement_token1] = ACTIONS(1572),
    [aux_sym_break_statement_token1] = ACTIONS(1572),
    [sym_integer] = ACTIONS(1572),
    [aux_sym_return_statement_token1] = ACTIONS(1572),
    [aux_sym_throw_expression_token1] = ACTIONS(1572),
    [aux_sym_while_statement_token1] = ACTIONS(1572),
    [aux_sym_while_statement_token2] = ACTIONS(1572),
    [aux_sym_do_statement_token1] = ACTIONS(1572),
    [aux_sym_for_statement_token1] = ACTIONS(1572),
    [aux_sym_for_statement_token2] = ACTIONS(1572),
    [aux_sym_foreach_statement_token1] = ACTIONS(1572),
    [aux_sym_foreach_statement_token2] = ACTIONS(1572),
    [aux_sym_if_statement_token1] = ACTIONS(1572),
    [aux_sym_if_statement_token2] = ACTIONS(1572),
    [aux_sym_else_if_clause_token1] = ACTIONS(1572),
    [aux_sym_else_clause_token1] = ACTIONS(1572),
    [aux_sym_match_expression_token1] = ACTIONS(1572),
    [aux_sym_match_default_expression_token1] = ACTIONS(1572),
    [aux_sym_switch_statement_token1] = ACTIONS(1572),
    [aux_sym_switch_block_token1] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1570),
    [aux_sym_clone_expression_token1] = ACTIONS(1572),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1572),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1570),
    [aux_sym__list_destructing_token1] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_self] = ACTIONS(1572),
    [anon_sym_parent] = ACTIONS(1572),
    [aux_sym__argument_name_token1] = ACTIONS(1572),
    [aux_sym__argument_name_token2] = ACTIONS(1572),
    [anon_sym_POUND_LBRACK] = ACTIONS(1570),
    [aux_sym_encapsed_string_token1] = ACTIONS(1570),
    [anon_sym_DQUOTE] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1570),
    [anon_sym_SQUOTE] = ACTIONS(1570),
    [anon_sym_LT_LT_LT] = ACTIONS(1570),
    [anon_sym_BQUOTE] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [aux_sym_yield_expression_token1] = ACTIONS(1572),
    [aux_sym_include_expression_token1] = ACTIONS(1572),
    [aux_sym_include_once_expression_token1] = ACTIONS(1572),
    [aux_sym_require_expression_token1] = ACTIONS(1572),
    [aux_sym_require_once_expression_token1] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(1574),
    [sym_name] = ACTIONS(1576),
    [anon_sym_QMARK_GT] = ACTIONS(1574),
    [anon_sym_SEMI] = ACTIONS(1574),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1576),
    [aux_sym_global_declaration_token1] = ACTIONS(1576),
    [aux_sym_namespace_definition_token1] = ACTIONS(1576),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1576),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1576),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1576),
    [anon_sym_BSLASH] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [aux_sym_trait_declaration_token1] = ACTIONS(1576),
    [aux_sym_interface_declaration_token1] = ACTIONS(1576),
    [aux_sym_enum_declaration_token1] = ACTIONS(1576),
    [aux_sym_enum_case_token1] = ACTIONS(1576),
    [aux_sym_class_declaration_token1] = ACTIONS(1576),
    [aux_sym_final_modifier_token1] = ACTIONS(1576),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1576),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1576),
    [sym_var_modifier] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1576),
    [aux_sym_cast_type_token1] = ACTIONS(1576),
    [aux_sym_echo_statement_token1] = ACTIONS(1576),
    [aux_sym_exit_statement_token1] = ACTIONS(1576),
    [anon_sym_unset] = ACTIONS(1576),
    [aux_sym_declare_statement_token1] = ACTIONS(1576),
    [aux_sym_declare_statement_token2] = ACTIONS(1576),
    [sym_float] = ACTIONS(1576),
    [aux_sym_try_statement_token1] = ACTIONS(1576),
    [aux_sym_goto_statement_token1] = ACTIONS(1576),
    [aux_sym_continue_statement_token1] = ACTIONS(1576),
    [aux_sym_break_statement_token1] = ACTIONS(1576),
    [sym_integer] = ACTIONS(1576),
    [aux_sym_return_statement_token1] = ACTIONS(1576),
    [aux_sym_throw_expression_token1] = ACTIONS(1576),
    [aux_sym_while_statement_token1] = ACTIONS(1576),
    [aux_sym_while_statement_token2] = ACTIONS(1576),
    [aux_sym_do_statement_token1] = ACTIONS(1576),
    [aux_sym_for_statement_token1] = ACTIONS(1576),
    [aux_sym_for_statement_token2] = ACTIONS(1576),
    [aux_sym_foreach_statement_token1] = ACTIONS(1576),
    [aux_sym_foreach_statement_token2] = ACTIONS(1576),
    [aux_sym_if_statement_token1] = ACTIONS(1576),
    [aux_sym_if_statement_token2] = ACTIONS(1576),
    [aux_sym_else_if_clause_token1] = ACTIONS(1576),
    [aux_sym_else_clause_token1] = ACTIONS(1576),
    [aux_sym_match_expression_token1] = ACTIONS(1576),
    [aux_sym_match_default_expression_token1] = ACTIONS(1576),
    [aux_sym_switch_statement_token1] = ACTIONS(1576),
    [aux_sym_switch_block_token1] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1574),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_AT] = ACTIONS(1574),
    [aux_sym_clone_expression_token1] = ACTIONS(1576),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1576),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [aux_sym__list_destructing_token1] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_self] = ACTIONS(1576),
    [anon_sym_parent] = ACTIONS(1576),
    [aux_sym__argument_name_token1] = ACTIONS(1576),
    [aux_sym__argument_name_token2] = ACTIONS(1576),
    [anon_sym_POUND_LBRACK] = ACTIONS(1574),
    [aux_sym_encapsed_string_token1] = ACTIONS(1574),
    [anon_sym_DQUOTE] = ACTIONS(1574),
    [aux_sym_string_token1] = ACTIONS(1574),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_LT_LT_LT] = ACTIONS(1574),
    [anon_sym_BQUOTE] = ACTIONS(1574),
    [anon_sym_DOLLAR] = ACTIONS(1574),
    [aux_sym_yield_expression_token1] = ACTIONS(1576),
    [aux_sym_include_expression_token1] = ACTIONS(1576),
    [aux_sym_include_once_expression_token1] = ACTIONS(1576),
    [aux_sym_require_expression_token1] = ACTIONS(1576),
    [aux_sym_require_once_expression_token1] = ACTIONS(1576),
    [sym_comment] = ACTIONS(3),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [sym_name] = ACTIONS(1580),
    [anon_sym_QMARK_GT] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1580),
    [aux_sym_global_declaration_token1] = ACTIONS(1580),
    [aux_sym_namespace_definition_token1] = ACTIONS(1580),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1580),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1580),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1580),
    [anon_sym_BSLASH] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [aux_sym_trait_declaration_token1] = ACTIONS(1580),
    [aux_sym_interface_declaration_token1] = ACTIONS(1580),
    [aux_sym_enum_declaration_token1] = ACTIONS(1580),
    [aux_sym_enum_case_token1] = ACTIONS(1580),
    [aux_sym_class_declaration_token1] = ACTIONS(1580),
    [aux_sym_final_modifier_token1] = ACTIONS(1580),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1580),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1580),
    [sym_var_modifier] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1580),
    [aux_sym_cast_type_token1] = ACTIONS(1580),
    [aux_sym_echo_statement_token1] = ACTIONS(1580),
    [aux_sym_exit_statement_token1] = ACTIONS(1580),
    [anon_sym_unset] = ACTIONS(1580),
    [aux_sym_declare_statement_token1] = ACTIONS(1580),
    [aux_sym_declare_statement_token2] = ACTIONS(1580),
    [sym_float] = ACTIONS(1580),
    [aux_sym_try_statement_token1] = ACTIONS(1580),
    [aux_sym_goto_statement_token1] = ACTIONS(1580),
    [aux_sym_continue_statement_token1] = ACTIONS(1580),
    [aux_sym_break_statement_token1] = ACTIONS(1580),
    [sym_integer] = ACTIONS(1580),
    [aux_sym_return_statement_token1] = ACTIONS(1580),
    [aux_sym_throw_expression_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token2] = ACTIONS(1580),
    [aux_sym_do_statement_token1] = ACTIONS(1580),
    [aux_sym_for_statement_token1] = ACTIONS(1580),
    [aux_sym_for_statement_token2] = ACTIONS(1580),
    [aux_sym_foreach_statement_token1] = ACTIONS(1580),
    [aux_sym_foreach_statement_token2] = ACTIONS(1580),
    [aux_sym_if_statement_token1] = ACTIONS(1580),
    [aux_sym_if_statement_token2] = ACTIONS(1580),
    [aux_sym_else_if_clause_token1] = ACTIONS(1580),
    [aux_sym_else_clause_token1] = ACTIONS(1580),
    [aux_sym_match_expression_token1] = ACTIONS(1580),
    [aux_sym_match_default_expression_token1] = ACTIONS(1580),
    [aux_sym_switch_statement_token1] = ACTIONS(1580),
    [aux_sym_switch_block_token1] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1578),
    [anon_sym_AT] = ACTIONS(1578),
    [aux_sym_clone_expression_token1] = ACTIONS(1580),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1580),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1580),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [aux_sym__list_destructing_token1] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_self] = ACTIONS(1580),
    [anon_sym_parent] = ACTIONS(1580),
    [aux_sym__argument_name_token1] = ACTIONS(1580),
    [aux_sym__argument_name_token2] = ACTIONS(1580),
    [anon_sym_POUND_LBRACK] = ACTIONS(1578),
    [aux_sym_encapsed_string_token1] = ACTIONS(1578),
    [anon_sym_DQUOTE] = ACTIONS(1578),
    [aux_sym_string_token1] = ACTIONS(1578),
    [anon_sym_SQUOTE] = ACTIONS(1578),
    [anon_sym_LT_LT_LT] = ACTIONS(1578),
    [anon_sym_BQUOTE] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1578),
    [aux_sym_yield_expression_token1] = ACTIONS(1580),
    [aux_sym_include_expression_token1] = ACTIONS(1580),
    [aux_sym_include_once_expression_token1] = ACTIONS(1580),
    [aux_sym_require_expression_token1] = ACTIONS(1580),
    [aux_sym_require_once_expression_token1] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym_name] = ACTIONS(1584),
    [anon_sym_QMARK_GT] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1584),
    [aux_sym_global_declaration_token1] = ACTIONS(1584),
    [aux_sym_namespace_definition_token1] = ACTIONS(1584),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1584),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1584),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1584),
    [anon_sym_BSLASH] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [aux_sym_trait_declaration_token1] = ACTIONS(1584),
    [aux_sym_interface_declaration_token1] = ACTIONS(1584),
    [aux_sym_enum_declaration_token1] = ACTIONS(1584),
    [aux_sym_enum_case_token1] = ACTIONS(1584),
    [aux_sym_class_declaration_token1] = ACTIONS(1584),
    [aux_sym_final_modifier_token1] = ACTIONS(1584),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1584),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1584),
    [sym_var_modifier] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1584),
    [aux_sym_cast_type_token1] = ACTIONS(1584),
    [aux_sym_echo_statement_token1] = ACTIONS(1584),
    [aux_sym_exit_statement_token1] = ACTIONS(1584),
    [anon_sym_unset] = ACTIONS(1584),
    [aux_sym_declare_statement_token1] = ACTIONS(1584),
    [aux_sym_declare_statement_token2] = ACTIONS(1584),
    [sym_float] = ACTIONS(1584),
    [aux_sym_try_statement_token1] = ACTIONS(1584),
    [aux_sym_goto_statement_token1] = ACTIONS(1584),
    [aux_sym_continue_statement_token1] = ACTIONS(1584),
    [aux_sym_break_statement_token1] = ACTIONS(1584),
    [sym_integer] = ACTIONS(1584),
    [aux_sym_return_statement_token1] = ACTIONS(1584),
    [aux_sym_throw_expression_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token2] = ACTIONS(1584),
    [aux_sym_do_statement_token1] = ACTIONS(1584),
    [aux_sym_for_statement_token1] = ACTIONS(1584),
    [aux_sym_for_statement_token2] = ACTIONS(1584),
    [aux_sym_foreach_statement_token1] = ACTIONS(1584),
    [aux_sym_foreach_statement_token2] = ACTIONS(1584),
    [aux_sym_if_statement_token1] = ACTIONS(1584),
    [aux_sym_if_statement_token2] = ACTIONS(1584),
    [aux_sym_else_if_clause_token1] = ACTIONS(1584),
    [aux_sym_else_clause_token1] = ACTIONS(1584),
    [aux_sym_match_expression_token1] = ACTIONS(1584),
    [aux_sym_match_default_expression_token1] = ACTIONS(1584),
    [aux_sym_switch_statement_token1] = ACTIONS(1584),
    [aux_sym_switch_block_token1] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_BANG] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(1582),
    [aux_sym_clone_expression_token1] = ACTIONS(1584),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1584),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [aux_sym__list_destructing_token1] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_self] = ACTIONS(1584),
    [anon_sym_parent] = ACTIONS(1584),
    [aux_sym__argument_name_token1] = ACTIONS(1584),
    [aux_sym__argument_name_token2] = ACTIONS(1584),
    [anon_sym_POUND_LBRACK] = ACTIONS(1582),
    [aux_sym_encapsed_string_token1] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1582),
    [aux_sym_string_token1] = ACTIONS(1582),
    [anon_sym_SQUOTE] = ACTIONS(1582),
    [anon_sym_LT_LT_LT] = ACTIONS(1582),
    [anon_sym_BQUOTE] = ACTIONS(1582),
    [anon_sym_DOLLAR] = ACTIONS(1582),
    [aux_sym_yield_expression_token1] = ACTIONS(1584),
    [aux_sym_include_expression_token1] = ACTIONS(1584),
    [aux_sym_include_once_expression_token1] = ACTIONS(1584),
    [aux_sym_require_expression_token1] = ACTIONS(1584),
    [aux_sym_require_once_expression_token1] = ACTIONS(1584),
    [sym_comment] = ACTIONS(3),
  },
  [577] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1635),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_variable] = STATE(745),
    [sym__variable_member_access_expression] = STATE(736),
    [sym_member_access_expression] = STATE(745),
    [sym__variable_nullsafe_member_access_expression] = STATE(735),
    [sym_nullsafe_member_access_expression] = STATE(745),
    [sym__variable_scoped_property_access_expression] = STATE(733),
    [sym_scoped_property_access_expression] = STATE(745),
    [sym_function_call_expression] = STATE(711),
    [sym__callable_expression] = STATE(2249),
    [sym_scoped_call_expression] = STATE(711),
    [sym__scope_resolution_qualifier] = STATE(2643),
    [sym_relative_scope] = STATE(2643),
    [sym_member_call_expression] = STATE(711),
    [sym_nullsafe_member_call_expression] = STATE(711),
    [sym__variable_subscript_expression] = STATE(744),
    [sym__dereferencable_subscript_expression] = STATE(711),
    [sym__dereferencable_expression] = STATE(1817),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(723),
    [sym__simple_variable] = STATE(723),
    [sym__new_variable] = STATE(744),
    [sym__callable_variable] = STATE(711),
    [sym_variable_name] = STATE(723),
    [sym__reserved_identifier] = STATE(1635),
    [sym__identifier] = STATE(1635),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1635),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_variable] = STATE(745),
    [sym__variable_member_access_expression] = STATE(736),
    [sym_member_access_expression] = STATE(745),
    [sym__variable_nullsafe_member_access_expression] = STATE(735),
    [sym_nullsafe_member_access_expression] = STATE(745),
    [sym__variable_scoped_property_access_expression] = STATE(733),
    [sym_scoped_property_access_expression] = STATE(745),
    [sym_function_call_expression] = STATE(711),
    [sym__callable_expression] = STATE(2249),
    [sym_scoped_call_expression] = STATE(711),
    [sym__scope_resolution_qualifier] = STATE(2643),
    [sym_relative_scope] = STATE(2643),
    [sym_member_call_expression] = STATE(711),
    [sym_nullsafe_member_call_expression] = STATE(711),
    [sym__variable_subscript_expression] = STATE(744),
    [sym__dereferencable_subscript_expression] = STATE(711),
    [sym__dereferencable_expression] = STATE(1817),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(723),
    [sym__simple_variable] = STATE(723),
    [sym__new_variable] = STATE(744),
    [sym__callable_variable] = STATE(711),
    [sym_variable_name] = STATE(723),
    [sym__reserved_identifier] = STATE(1635),
    [sym__identifier] = STATE(1635),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
  },
  [579] = {
    [sym_qualified_name] = STATE(939),
    [sym__name] = STATE(1637),
    [sym_namespace_name] = STATE(2518),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(1060),
    [sym__anonymous_function_header] = STATE(2319),
    [sym__arrow_function_header] = STATE(2513),
    [sym_arrow_function] = STATE(1060),
    [sym_literal] = STATE(1060),
    [sym_throw_expression] = STATE(1060),
    [sym_primary_expression] = STATE(1103),
    [sym_parenthesized_expression] = STATE(965),
    [sym_class_constant_access_expression] = STATE(980),
    [sym_print_intrinsic] = STATE(1060),
    [sym_object_creation_expression] = STATE(1060),
    [sym__new_non_dereferencable_expression] = STATE(1065),
    [sym__new_dereferencable_expression] = STATE(946),
    [sym_update_expression] = STATE(1060),
    [sym_cast_variable] = STATE(875),
    [sym__variable_member_access_expression] = STATE(886),
    [sym_member_access_expression] = STATE(875),
    [sym__variable_nullsafe_member_access_expression] = STATE(885),
    [sym_nullsafe_member_access_expression] = STATE(875),
    [sym__variable_scoped_property_access_expression] = STATE(871),
    [sym_scoped_property_access_expression] = STATE(875),
    [sym_function_call_expression] = STATE(854),
    [sym__callable_expression] = STATE(2255),
    [sym_scoped_call_expression] = STATE(854),
    [sym__scope_resolution_qualifier] = STATE(2477),
    [sym_relative_scope] = STATE(2477),
    [sym_member_call_expression] = STATE(854),
    [sym_nullsafe_member_call_expression] = STATE(854),
    [sym__variable_subscript_expression] = STATE(879),
    [sym__dereferencable_subscript_expression] = STATE(854),
    [sym__dereferencable_expression] = STATE(1819),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(956),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(952),
    [sym_string] = STATE(952),
    [sym_heredoc] = STATE(952),
    [sym_nowdoc] = STATE(952),
    [sym_shell_command_expression] = STATE(1060),
    [sym_boolean] = STATE(1125),
    [sym_null] = STATE(1125),
    [sym__string] = STATE(952),
    [sym_dynamic_variable_name] = STATE(861),
    [sym__simple_variable] = STATE(861),
    [sym__new_variable] = STATE(879),
    [sym__callable_variable] = STATE(854),
    [sym_variable_name] = STATE(861),
    [sym__reserved_identifier] = STATE(1637),
    [sym__identifier] = STATE(1637),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_comment] = ACTIONS(3),
  },
  [580] = {
    [sym_qualified_name] = STATE(789),
    [sym__name] = STATE(1635),
    [sym_namespace_name] = STATE(2523),
    [sym_static_modifier] = STATE(2387),
    [sym_anonymous_function] = STATE(997),
    [sym__anonymous_function_header] = STATE(2334),
    [sym__arrow_function_header] = STATE(2455),
    [sym_arrow_function] = STATE(997),
    [sym_literal] = STATE(997),
    [sym_throw_expression] = STATE(997),
    [sym_primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(786),
    [sym_class_constant_access_expression] = STATE(834),
    [sym_print_intrinsic] = STATE(997),
    [sym_object_creation_expression] = STATE(997),
    [sym__new_non_dereferencable_expression] = STATE(1000),
    [sym__new_dereferencable_expression] = STATE(784),
    [sym_update_expression] = STATE(997),
    [sym_cast_variable] = STATE(745),
    [sym__variable_member_access_expression] = STATE(736),
    [sym_member_access_expression] = STATE(745),
    [sym__variable_nullsafe_member_access_expression] = STATE(735),
    [sym_nullsafe_member_access_expression] = STATE(745),
    [sym__variable_scoped_property_access_expression] = STATE(733),
    [sym_scoped_property_access_expression] = STATE(745),
    [sym_function_call_expression] = STATE(711),
    [sym__callable_expression] = STATE(2249),
    [sym_scoped_call_expression] = STATE(711),
    [sym__scope_resolution_qualifier] = STATE(2643),
    [sym_relative_scope] = STATE(2643),
    [sym_member_call_expression] = STATE(711),
    [sym_nullsafe_member_call_expression] = STATE(711),
    [sym__variable_subscript_expression] = STATE(744),
    [sym__dereferencable_subscript_expression] = STATE(711),
    [sym__dereferencable_expression] = STATE(1817),
    [sym__dereferencable_scalar] = STATE(1688),
    [sym_array_creation_expression] = STATE(778),
    [sym_attribute_group] = STATE(1316),
    [sym_attribute_list] = STATE(1847),
    [sym_encapsed_string] = STATE(776),
    [sym_string] = STATE(776),
    [sym_heredoc] = STATE(776),
    [sym_nowdoc] = STATE(776),
    [sym_shell_command_expression] = STATE(997),
    [sym_boolean] = STATE(986),
    [sym_null] = STATE(986),
    [sym__string] = STATE(776),
    [sym_dynamic_variable_name] = STATE(723),
    [sym__simple_variable] = STATE(723),
    [sym__new_variable] = STATE(744),
    [sym__callable_variable] = STATE(711),
    [sym_variable_name] = STATE(723),
    [sym__reserved_identifier] = STATE(1635),
    [sym__identifier] = STATE(1635),
    [aux_sym_attribute_list_repeat1] = STATE(1316),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
  },
  [581] = {
    [sym_name] = ACTIONS(1594),
    [anon_sym_SEMI] = ACTIONS(1596),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1594),
    [aux_sym_global_declaration_token1] = ACTIONS(1594),
    [aux_sym_namespace_definition_token1] = ACTIONS(1594),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1594),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1594),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1594),
    [anon_sym_BSLASH] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1596),
    [aux_sym_trait_declaration_token1] = ACTIONS(1594),
    [aux_sym_interface_declaration_token1] = ACTIONS(1594),
    [aux_sym_enum_declaration_token1] = ACTIONS(1594),
    [anon_sym_COLON] = ACTIONS(1596),
    [aux_sym_class_declaration_token1] = ACTIONS(1594),
    [aux_sym_final_modifier_token1] = ACTIONS(1594),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1594),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1594),
    [sym_var_modifier] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1594),
    [aux_sym_cast_type_token1] = ACTIONS(1594),
    [aux_sym_echo_statement_token1] = ACTIONS(1594),
    [aux_sym_exit_statement_token1] = ACTIONS(1594),
    [anon_sym_unset] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1594),
    [sym_float] = ACTIONS(1594),
    [aux_sym_try_statement_token1] = ACTIONS(1594),
    [aux_sym_goto_statement_token1] = ACTIONS(1594),
    [aux_sym_continue_statement_token1] = ACTIONS(1594),
    [aux_sym_break_statement_token1] = ACTIONS(1594),
    [sym_integer] = ACTIONS(1594),
    [aux_sym_return_statement_token1] = ACTIONS(1594),
    [aux_sym_throw_expression_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token1] = ACTIONS(1594),
    [aux_sym_do_statement_token1] = ACTIONS(1594),
    [aux_sym_for_statement_token1] = ACTIONS(1594),
    [aux_sym_foreach_statement_token1] = ACTIONS(1594),
    [aux_sym_if_statement_token1] = ACTIONS(1594),
    [aux_sym_match_expression_token1] = ACTIONS(1594),
    [aux_sym_switch_statement_token1] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_TILDE] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [aux_sym_clone_expression_token1] = ACTIONS(1594),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1594),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1596),
    [aux_sym__list_destructing_token1] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_self] = ACTIONS(1594),
    [anon_sym_parent] = ACTIONS(1594),
    [aux_sym__argument_name_token1] = ACTIONS(1594),
    [aux_sym__argument_name_token2] = ACTIONS(1594),
    [anon_sym_POUND_LBRACK] = ACTIONS(1596),
    [aux_sym_encapsed_string_token1] = ACTIONS(1596),
    [anon_sym_DQUOTE] = ACTIONS(1596),
    [aux_sym_string_token1] = ACTIONS(1596),
    [anon_sym_SQUOTE] = ACTIONS(1596),
    [anon_sym_LT_LT_LT] = ACTIONS(1596),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [aux_sym_yield_expression_token1] = ACTIONS(1594),
    [aux_sym_include_expression_token1] = ACTIONS(1594),
    [aux_sym_include_once_expression_token1] = ACTIONS(1594),
    [aux_sym_require_expression_token1] = ACTIONS(1594),
    [aux_sym_require_once_expression_token1] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [70] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [140] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [210] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [280] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_arguments,
    ACTIONS(1618), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [353] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    STATE(609), 1,
      sym_arguments,
    ACTIONS(1624), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [426] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [494] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [562] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1634), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [630] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1638), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [698] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1642), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [766] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1648), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1646), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [834] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1650), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [904] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1656), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [972] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1040] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1108] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1178] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1246] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1314] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1680), 1,
      anon_sym_EQ,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1392] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1692), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1690), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1460] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1694), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1528] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1596] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1664] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1706), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1732] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1800] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1714), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1868] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1718), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1936] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1722), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2004] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1680), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2079] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1680), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2154] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_LPAREN,
    STATE(632), 1,
      sym_arguments,
    ACTIONS(1624), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2223] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_LPAREN,
    STATE(633), 1,
      sym_arguments,
    ACTIONS(1618), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2292] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2367] = 27,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1732), 1,
      sym_name,
    ACTIONS(1738), 1,
      anon_sym_BSLASH,
    ACTIONS(1741), 1,
      anon_sym_RBRACE,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1749), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1752), 1,
      anon_sym_LBRACK,
    ACTIONS(1761), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1764), 1,
      anon_sym_DOLLAR,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      aux_sym_use_list_repeat1,
    STATE(1575), 1,
      sym_class_constant_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(1755), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1758), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2101), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1735), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1864), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1688), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [2479] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1714), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2543] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1634), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2607] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1638), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2671] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1767), 1,
      sym_name,
    ACTIONS(1769), 1,
      anon_sym_RBRACE,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(616), 1,
      aux_sym_use_list_repeat1,
    STATE(1575), 1,
      sym_class_constant_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2101), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1864), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1688), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [2783] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1642), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2847] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2911] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1775), 1,
      anon_sym_EQ,
    ACTIONS(1777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1779), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2985] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3057] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1680), 1,
      anon_sym_EQ,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3131] = 30,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2147), 1,
      sym_by_ref,
    STATE(2151), 1,
      sym__list_destructing,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1525), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1521), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1490), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [3249] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3313] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3377] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1783), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1785), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3451] = 30,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2333), 1,
      sym__list_destructing,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2352), 1,
      sym_by_ref,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1628), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1630), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1530), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [3569] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1767), 1,
      sym_name,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1787), 1,
      anon_sym_RBRACE,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(620), 1,
      aux_sym_use_list_repeat1,
    STATE(1575), 1,
      sym_class_constant_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2101), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1864), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1688), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [3681] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1718), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3745] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1706), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3809] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3873] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3937] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1650), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4003] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1722), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4067] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4133] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4197] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1648), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1646), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4261] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4325] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4389] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4461] = 29,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2293), 1,
      sym__array_destructing,
    STATE(2300), 1,
      sym_by_ref,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1605), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1529), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [4576] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1680), 1,
      anon_sym_EQ,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1688), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4649] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1789), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1791), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4722] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4785] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4848] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1692), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1690), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4911] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1694), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4974] = 11,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1793), 1,
      anon_sym_RPAREN,
    STATE(1997), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5053] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1680), 1,
      anon_sym_EQ,
    ACTIONS(1777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5124] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1680), 1,
      anon_sym_EQ,
    ACTIONS(1777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1688), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5195] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1656), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5258] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5321] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5384] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5447] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_EQ,
    ACTIONS(1777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1779), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5518] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1785), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5589] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_EQ,
    ACTIONS(1777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1779), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5660] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1785), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5731] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1783), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1785), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5805] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1791), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5875] = 10,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1793), 1,
      anon_sym_RPAREN,
    STATE(1997), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5951] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1798), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6025] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1791), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1676), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6095] = 10,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1793), 1,
      anon_sym_RPAREN,
    STATE(1997), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6171] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6245] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1680), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1688), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6315] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1680), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1688), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6385] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(1802), 1,
      anon_sym_RPAREN,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1615), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1609), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1531), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6494] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1783), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1804), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1785), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6567] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(1807), 1,
      anon_sym_RPAREN,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1615), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1609), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1531), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6676] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6747] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1798), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6818] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6889] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1785), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6960] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1798), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7031] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1785), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7102] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(1809), 1,
      anon_sym_RPAREN,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1615), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1609), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1531), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7211] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(1811), 1,
      anon_sym_RPAREN,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1615), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1609), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1531), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7320] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1804), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1785), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7390] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(1813), 1,
      anon_sym_LPAREN,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(771), 1,
      sym__variable_scoped_property_access_expression,
    STATE(774), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(777), 1,
      sym__variable_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2272), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(828), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1789), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2602), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(770), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(829), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1622), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(750), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7496] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    STATE(733), 1,
      sym__variable_scoped_property_access_expression,
    STATE(735), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(736), 1,
      sym__variable_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2249), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(715), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1817), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2643), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(723), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(718), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1635), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(701), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7602] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(1813), 1,
      anon_sym_LPAREN,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(771), 1,
      sym__variable_scoped_property_access_expression,
    STATE(774), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(777), 1,
      sym__variable_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2272), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(797), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1789), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2602), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(770), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(785), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1622), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(740), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7708] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(1817), 1,
      anon_sym_LPAREN,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    STATE(888), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(906), 1,
      sym__variable_scoped_property_access_expression,
    STATE(942), 1,
      sym__variable_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2219), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(987), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1832), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2597), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(913), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(991), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1643), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(949), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7814] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_EQ,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1804), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1676), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1785), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1678), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7884] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1538), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1550), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1507), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7990] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(1821), 1,
      anon_sym_LPAREN,
    STATE(871), 1,
      sym__variable_scoped_property_access_expression,
    STATE(885), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(886), 1,
      sym__variable_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2255), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(869), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1819), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2566), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(861), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(872), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1637), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(853), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8096] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(1813), 1,
      anon_sym_LPAREN,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(771), 1,
      sym__variable_scoped_property_access_expression,
    STATE(774), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(777), 1,
      sym__variable_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2272), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(835), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1789), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2602), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(770), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(836), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1622), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(783), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8202] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(1817), 1,
      anon_sym_LPAREN,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    STATE(888), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(906), 1,
      sym__variable_scoped_property_access_expression,
    STATE(942), 1,
      sym__variable_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2219), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(993), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1832), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2597), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(913), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(985), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1643), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(969), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8308] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(1817), 1,
      anon_sym_LPAREN,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    STATE(888), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(906), 1,
      sym__variable_scoped_property_access_expression,
    STATE(942), 1,
      sym__variable_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2219), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1005), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1832), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2597), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(913), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1001), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1643), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(964), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8414] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1559), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1560), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1494), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8520] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2320), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1823), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1825), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8584] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(715), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(718), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(701), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8690] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(797), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(785), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(740), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8796] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1781), 1,
      sym_name,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1734), 1,
      sym__new_dereferencable_expression,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1615), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2488), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1568), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1609), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1531), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1688), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8902] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1832), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8960] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1834), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1724), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9020] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN,
    STATE(729), 1,
      sym_arguments,
    ACTIONS(1618), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9079] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9138] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1236), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1234), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9193] = 24,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1840), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1842), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1844), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1848), 1,
      sym_var_modifier,
    ACTIONS(1850), 1,
      anon_sym_LPAREN,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1547), 1,
      sym_property_element,
    STATE(1698), 1,
      sym_variable_name,
    STATE(1714), 1,
      sym__function_definition_header,
    STATE(1929), 1,
      sym_type,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9290] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1564), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1562), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9345] = 24,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1840), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1842), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1844), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1848), 1,
      sym_var_modifier,
    ACTIONS(1850), 1,
      anon_sym_LPAREN,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1557), 1,
      sym_property_element,
    STATE(1698), 1,
      sym_variable_name,
    STATE(1759), 1,
      sym__function_definition_header,
    STATE(1886), 1,
      sym_type,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9442] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN,
    STATE(727), 1,
      sym_arguments,
    ACTIONS(1624), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9501] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9557] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9611] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1834), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1724), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9667] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9721] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9781] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1710), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9835] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9889] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9943] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9999] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10053] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10107] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10163] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10217] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10271] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10325] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1648), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10379] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10435] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10489] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10543] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10597] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1718), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10651] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10705] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10759] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2336), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10819] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LPAREN,
    ACTIONS(1863), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1861), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10874] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10927] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10980] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_LPAREN,
    ACTIONS(1867), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11035] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11088] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11141] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11194] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_LPAREN,
    STATE(748), 1,
      sym_arguments,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11251] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_LPAREN,
    STATE(782), 1,
      sym_arguments,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11308] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11365] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1692), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11418] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11471] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11524] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11581] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11638] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11690] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1877), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11742] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1718), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11794] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11846] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1881), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11902] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1885), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11954] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12006] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12058] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_EQ,
    ACTIONS(1891), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1889), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 29,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12114] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1902), 1,
      anon_sym_DASH_GT,
    ACTIONS(1904), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1898), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12174] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1910), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1908), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12226] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1692), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12278] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12330] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1914), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1912), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12382] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12434] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12486] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12540] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1073), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1071), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12592] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12644] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12696] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12748] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1918), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1916), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12800] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1084), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1082), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12852] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1889), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12904] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12958] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13010] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1922), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1920), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13062] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1926), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1924), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13114] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13166] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1930), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1928), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13218] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1936), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1934), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1932), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13272] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13324] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1936), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13378] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1940), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1938), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13430] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1944), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1942), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13482] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1948), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1946), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13534] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13586] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13642] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1952), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1950), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13698] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13752] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13808] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13860] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(1960), 1,
      anon_sym_COMMA,
    ACTIONS(1962), 1,
      anon_sym_BSLASH,
    ACTIONS(1964), 1,
      anon_sym_LPAREN,
    ACTIONS(1966), 1,
      anon_sym_RPAREN,
    ACTIONS(1968), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1970), 1,
      anon_sym_QMARK,
    ACTIONS(1972), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(1046), 1,
      sym_attribute_list,
    STATE(1194), 1,
      sym_visibility_modifier,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1677), 1,
      sym_type,
    STATE(2168), 1,
      sym_variable_name,
    STATE(2178), 1,
      sym_reference_modifier,
    STATE(2553), 1,
      sym_namespace_name,
    STATE(1294), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2011), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1513), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13954] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14008] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1648), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14060] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1980), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1978), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14112] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1984), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1982), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14164] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1988), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1986), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14216] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1990), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14268] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1996), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14320] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2000), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14372] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14426] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1710), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14478] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2004), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2002), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14530] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14582] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(1962), 1,
      anon_sym_BSLASH,
    ACTIONS(1964), 1,
      anon_sym_LPAREN,
    ACTIONS(1968), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1970), 1,
      anon_sym_QMARK,
    ACTIONS(1972), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(2006), 1,
      anon_sym_COMMA,
    ACTIONS(2008), 1,
      anon_sym_RPAREN,
    STATE(1046), 1,
      sym_attribute_list,
    STATE(1194), 1,
      sym_visibility_modifier,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1677), 1,
      sym_type,
    STATE(2168), 1,
      sym_variable_name,
    STATE(2178), 1,
      sym_reference_modifier,
    STATE(2553), 1,
      sym_namespace_name,
    STATE(1294), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2171), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1513), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [14676] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2012), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14728] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2016), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2014), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14780] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2020), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2018), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14832] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14884] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2024), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2022), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14936] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2028), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2026), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14988] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2032), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15040] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2036), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15092] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2040), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15144] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2044), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15196] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2048), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15248] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2052), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15300] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2056), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15352] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2060), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15404] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2064), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15456] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2068), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15508] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15560] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2072), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2070), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15612] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2076), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15664] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2080), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2078), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15716] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2084), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15768] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2088), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15820] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15872] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15924] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(1962), 1,
      anon_sym_BSLASH,
    ACTIONS(1964), 1,
      anon_sym_LPAREN,
    ACTIONS(1968), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1970), 1,
      anon_sym_QMARK,
    ACTIONS(1972), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(2090), 1,
      anon_sym_RPAREN,
    STATE(1046), 1,
      sym_attribute_list,
    STATE(1194), 1,
      sym_visibility_modifier,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1677), 1,
      sym_type,
    STATE(2168), 1,
      sym_variable_name,
    STATE(2178), 1,
      sym_reference_modifier,
    STATE(2553), 1,
      sym_namespace_name,
    STATE(1294), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2386), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1513), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16015] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(1962), 1,
      anon_sym_BSLASH,
    ACTIONS(1964), 1,
      anon_sym_LPAREN,
    ACTIONS(1968), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1970), 1,
      anon_sym_QMARK,
    ACTIONS(1972), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(2092), 1,
      anon_sym_RPAREN,
    STATE(1046), 1,
      sym_attribute_list,
    STATE(1194), 1,
      sym_visibility_modifier,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1677), 1,
      sym_type,
    STATE(2168), 1,
      sym_variable_name,
    STATE(2178), 1,
      sym_reference_modifier,
    STATE(2553), 1,
      sym_namespace_name,
    STATE(1294), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2386), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1513), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16106] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1881), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16159] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1881), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16212] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2336), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2094), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16267] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2320), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1823), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16322] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 12,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16373] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2320), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1823), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16428] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16481] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16534] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16587] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(1962), 1,
      anon_sym_BSLASH,
    ACTIONS(1964), 1,
      anon_sym_LPAREN,
    ACTIONS(1968), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1970), 1,
      anon_sym_QMARK,
    ACTIONS(1972), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(2096), 1,
      anon_sym_RPAREN,
    STATE(1046), 1,
      sym_attribute_list,
    STATE(1194), 1,
      sym_visibility_modifier,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1677), 1,
      sym_type,
    STATE(2168), 1,
      sym_variable_name,
    STATE(2178), 1,
      sym_reference_modifier,
    STATE(2553), 1,
      sym_namespace_name,
    STATE(1294), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2386), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1513), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16678] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(1962), 1,
      anon_sym_BSLASH,
    ACTIONS(1964), 1,
      anon_sym_LPAREN,
    ACTIONS(1968), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1970), 1,
      anon_sym_QMARK,
    ACTIONS(1972), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(2098), 1,
      anon_sym_RPAREN,
    STATE(1046), 1,
      sym_attribute_list,
    STATE(1194), 1,
      sym_visibility_modifier,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1677), 1,
      sym_type,
    STATE(2168), 1,
      sym_variable_name,
    STATE(2178), 1,
      sym_reference_modifier,
    STATE(2553), 1,
      sym_namespace_name,
    STATE(1294), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2386), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1513), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16769] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      sym_arguments,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16824] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(852), 1,
      sym_arguments,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16879] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(1962), 1,
      anon_sym_BSLASH,
    ACTIONS(1964), 1,
      anon_sym_LPAREN,
    ACTIONS(1968), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1970), 1,
      anon_sym_QMARK,
    ACTIONS(1972), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(1046), 1,
      sym_attribute_list,
    STATE(1194), 1,
      sym_visibility_modifier,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1677), 1,
      sym_type,
    STATE(2168), 1,
      sym_variable_name,
    STATE(2178), 1,
      sym_reference_modifier,
    STATE(2553), 1,
      sym_namespace_name,
    STATE(1294), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2386), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1513), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16967] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1648), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17017] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17067] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(2102), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2104), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2106), 1,
      sym_var_modifier,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    STATE(589), 1,
      sym__variable_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(596), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(756), 1,
      sym_anonymous_class,
    STATE(1338), 1,
      sym_attribute_list,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(2110), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2282), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(2389), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1733), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1339), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [17161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2114), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2112), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [17211] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_RPAREN,
    ACTIONS(1894), 1,
      anon_sym_EQ,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17265] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1710), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17315] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17365] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17415] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2104), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2106), 1,
      sym_var_modifier,
    ACTIONS(2116), 1,
      sym_name,
    ACTIONS(2118), 1,
      anon_sym_BSLASH,
    ACTIONS(2120), 1,
      anon_sym_LPAREN,
    STATE(756), 1,
      sym_anonymous_class,
    STATE(771), 1,
      sym__variable_scoped_property_access_expression,
    STATE(774), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(777), 1,
      sym__variable_member_access_expression,
    STATE(1338), 1,
      sym_attribute_list,
    STATE(2560), 1,
      sym_namespace_name,
    ACTIONS(2110), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(884), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(883), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(755), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1339), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [17509] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1718), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17559] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17609] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17663] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17719] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17769] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17819] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17869] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2336), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17925] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17975] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18025] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18077] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      sym_name,
    ACTIONS(2124), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2126), 1,
      anon_sym_BSLASH,
    ACTIONS(2128), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2130), 1,
      sym_var_modifier,
    ACTIONS(2132), 1,
      anon_sym_LPAREN,
    STATE(888), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(906), 1,
      sym__variable_scoped_property_access_expression,
    STATE(942), 1,
      sym__variable_member_access_expression,
    STATE(950), 1,
      sym_anonymous_class,
    STATE(1340), 1,
      sym_attribute_list,
    STATE(2473), 1,
      sym_namespace_name,
    ACTIONS(2134), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(1007), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1008), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(967), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1343), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [18171] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18223] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18273] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18323] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18373] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18423] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18472] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18523] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18572] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18621] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18672] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_LPAREN,
    STATE(891), 1,
      sym_arguments,
    ACTIONS(1618), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18725] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_LPAREN,
    STATE(890), 1,
      sym_arguments,
    ACTIONS(1624), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18778] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18831] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2138), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [18929] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1692), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18978] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19031] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19080] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19129] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19178] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1898), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19229] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_LPAREN,
    STATE(773), 1,
      sym_arguments,
    ACTIONS(2144), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2142), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19282] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19331] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19380] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_EQ,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19431] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19479] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19527] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1718), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19575] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19623] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1648), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19671] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19719] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19767] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19815] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2084), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19863] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19911] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19959] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20007] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2080), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2078), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20055] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LPAREN,
    ACTIONS(1863), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1861), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20105] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20155] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20203] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2020), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2018), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20251] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(2146), 1,
      anon_sym_COLON,
    STATE(2336), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20307] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20355] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2336), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2094), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20407] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2076), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20455] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20503] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2024), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2022), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20551] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2072), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2070), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20599] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1948), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1946), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20647] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20697] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1944), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1942), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20745] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20793] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2028), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2026), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20841] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2032), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20889] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20937] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2036), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20985] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1692), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21033] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2040), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21081] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1940), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1938), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21129] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21177] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_EQ,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21227] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21275] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21323] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2012), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21371] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2068), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21419] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21467] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2060), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21515] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2056), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21563] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2052), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21611] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2048), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21659] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1710), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21707] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2016), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2014), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21755] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_LPAREN,
    ACTIONS(1867), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21805] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21853] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21901] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21951] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1930), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1928), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21999] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(2148), 1,
      anon_sym_COLON,
    STATE(2336), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22055] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22103] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2004), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2002), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22151] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22199] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2088), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22247] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1952), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1950), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22299] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1914), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1912), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22347] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1926), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1924), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22395] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22447] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1910), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1908), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22495] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1922), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1920), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22543] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1936), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1934), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1932), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22593] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22641] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1236), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1234), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22689] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(2150), 1,
      anon_sym_COLON,
    STATE(2336), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22745] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1936), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22795] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1918), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1916), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22843] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1980), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1978), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22891] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22939] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2044), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22987] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1564), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1562), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23035] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1984), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1982), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23083] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1988), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1986), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23131] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23183] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23235] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1990), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23283] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2154), 1,
      anon_sym_DASH_GT,
    ACTIONS(2156), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(2158), 1,
      anon_sym_LBRACK,
    ACTIONS(1898), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23339] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1996), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23387] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1881), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23439] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2000), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23487] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1877), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23535] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1885), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23583] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23630] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2166), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23677] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_EQ,
    ACTIONS(2168), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 25,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23728] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2320), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1823), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23779] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23826] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23873] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23920] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23969] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24016] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24063] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24110] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24157] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1881), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24206] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1934), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1932), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24253] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24302] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24349] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24396] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24443] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24492] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24539] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1881), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24588] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2216), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2214), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24635] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24682] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2224), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2222), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24729] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24776] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24825] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2230), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24872] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1952), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1950), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24919] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24968] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25015] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2238), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2236), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25062] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25109] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25158] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25204] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_LPAREN,
    STATE(948), 1,
      sym_arguments,
    ACTIONS(2144), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2142), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25253] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1898), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25300] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25345] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25391] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 22,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [25443] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 19,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [25499] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2256), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25581] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2192), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 18,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [25641] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25723] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2192), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [25789] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2222), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25871] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_QMARK,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [25941] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_QMARK,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 12,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [26013] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26095] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 20,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [26149] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 9,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26227] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 8,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [26307] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26383] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26429] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_QMARK,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26505] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 24,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [26555] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26631] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26707] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2296), 1,
      anon_sym_QMARK,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26783] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26859] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2300), 1,
      anon_sym_EQ_GT,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2214), 6,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26943] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2192), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27011] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2304), 1,
      anon_sym_QMARK,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27087] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27131] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27213] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2192), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27277] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27359] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27441] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2312), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27523] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27605] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27687] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27730] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2312), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27811] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [27864] = 18,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(1962), 1,
      anon_sym_BSLASH,
    ACTIONS(1964), 1,
      anon_sym_LPAREN,
    ACTIONS(1970), 1,
      anon_sym_QMARK,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(2368), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1180), 1,
      sym_visibility_modifier,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1744), 1,
      sym_type,
    STATE(1963), 1,
      sym_reference_modifier,
    STATE(1964), 1,
      sym_variable_name,
    STATE(2553), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1513), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [27937] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27982] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28025] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28100] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28175] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28218] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2256), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28299] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28342] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28385] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1073), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1071), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28428] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1084), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1082), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28471] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28514] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [28595] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2402), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2407), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2410), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2413), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2416), 1,
      sym_var_modifier,
    ACTIONS(2419), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2405), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2400), 16,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [28652] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28695] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28738] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2166), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28781] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28856] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2422), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28901] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1952), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1950), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28944] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29019] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29094] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29169] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29244] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29319] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [29400] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29475] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29550] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29595] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [29648] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29699] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2192), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [29762] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [29817] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2192), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29876] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2192), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [29941] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30010] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [30081] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30158] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [30237] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30312] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30357] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30432] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30481] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2192), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30548] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30611] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30692] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30773] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2192), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30840] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30889] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30970] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31051] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31126] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31171] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2230), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31214] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2312), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31295] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31338] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31381] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31424] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31505] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31580] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31661] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2222), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31742] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [31821] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31902] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31979] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2424), 1,
      anon_sym_EQ_GT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2214), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32062] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32105] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32186] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [32237] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [32308] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32351] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2216), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2214), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32394] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2238), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2236), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32437] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2224), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2222), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32480] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32549] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_EQ_GT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2214), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_binary_expression_token1,
  [32632] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32675] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32756] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2192), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [32821] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1934), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1932), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32864] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [32919] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2192), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32978] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33059] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33140] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33221] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2222), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [33302] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33345] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33388] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2256), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33469] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2256), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [33549] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [33611] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33685] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33759] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33833] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 10,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [33903] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33979] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34023] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 18,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [34075] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 6,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [34153] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 20,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34203] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34277] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 17,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [34331] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2192), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 16,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34389] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2192), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34453] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34497] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34571] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2222), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [34651] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2190), 22,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34699] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34767] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34841] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2312), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [34921] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [35001] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2192), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35067] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [35147] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      anon_sym_EQ_GT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2214), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35229] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [35309] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [35389] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [35469] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [35549] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [35629] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35703] = 4,
    ACTIONS(981), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35746] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2232), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35829] = 4,
    ACTIONS(981), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35872] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2401), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2474), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35955] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2236), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36038] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2251), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2478), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36121] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2343), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2480), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36204] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2263), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2482), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36287] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2262), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36370] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2383), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36453] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2488), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [36532] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2490), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36610] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2494), 1,
      anon_sym_COMMA,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36690] = 16,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(1252), 1,
      sym_readonly_modifier,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1794), 1,
      sym_type,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(1645), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1567), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36756] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    STATE(1897), 1,
      sym__semicolon,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36836] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    STATE(523), 1,
      sym__semicolon,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2498), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36916] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2500), 1,
      anon_sym_EQ_GT,
    ACTIONS(2214), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36996] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_LPAREN,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2502), 1,
      sym_name,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1539), 1,
      sym_type,
    STATE(1711), 1,
      sym_const_element,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(2452), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37058] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_LPAREN,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2502), 1,
      sym_name,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1532), 1,
      sym_type,
    STATE(1692), 1,
      sym_const_element,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(2452), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37120] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_LPAREN,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2502), 1,
      sym_name,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1520), 1,
      sym_type,
    STATE(1660), 1,
      sym_const_element,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(2452), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37182] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2504), 1,
      anon_sym_COMMA,
    ACTIONS(2506), 1,
      anon_sym_EQ_GT,
    STATE(2198), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37264] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    STATE(1953), 1,
      sym__semicolon,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2508), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37344] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_LPAREN,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2502), 1,
      sym_name,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1558), 1,
      sym_type,
    STATE(1757), 1,
      sym_const_element,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(2452), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37406] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    STATE(1951), 1,
      sym__semicolon,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2510), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37486] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    STATE(1768), 1,
      sym__semicolon,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2512), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37566] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2514), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37644] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    STATE(516), 1,
      sym__semicolon,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2516), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37724] = 16,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(1280), 1,
      sym_readonly_modifier,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1822), 1,
      sym_type,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(1732), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1567), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37790] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2494), 1,
      anon_sym_COMMA,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37870] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    STATE(517), 1,
      sym__semicolon,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37950] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    STATE(453), 1,
      sym__semicolon,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2522), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38030] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2524), 1,
      anon_sym_EQ_GT,
    ACTIONS(2214), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38110] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2526), 1,
      anon_sym_EQ_GT,
    ACTIONS(2214), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38190] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    ACTIONS(2394), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2396), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2398), 1,
      aux_sym_binary_expression_token4,
    STATE(1950), 1,
      sym__semicolon,
    ACTIONS(2358), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2364), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2528), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38270] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2530), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38347] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2492), 1,
      anon_sym_SEMI,
    ACTIONS(2532), 1,
      anon_sym_COMMA,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38426] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2534), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38503] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2544), 1,
      anon_sym_RBRACE,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2552), 1,
      sym_var_modifier,
    STATE(1326), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__const_declaration,
    STATE(1398), 1,
      sym__class_const_declaration,
    STATE(1687), 1,
      sym__function_definition_header,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1222), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(703), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38574] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2556), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38651] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2552), 1,
      sym_var_modifier,
    ACTIONS(2558), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__const_declaration,
    STATE(1398), 1,
      sym__class_const_declaration,
    STATE(1687), 1,
      sym__function_definition_header,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1224), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(703), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38722] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2560), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38799] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38876] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2564), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38953] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39030] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2568), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39107] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2492), 1,
      anon_sym_RPAREN,
    ACTIONS(2570), 1,
      anon_sym_COMMA,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39186] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2572), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39263] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39340] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39417] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2552), 1,
      sym_var_modifier,
    ACTIONS(2578), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__const_declaration,
    STATE(1398), 1,
      sym__class_const_declaration,
    STATE(1687), 1,
      sym__function_definition_header,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1223), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(703), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39488] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2580), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39565] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2518), 1,
      anon_sym_RPAREN,
    ACTIONS(2570), 1,
      anon_sym_COMMA,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39644] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39721] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2584), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39798] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2552), 1,
      sym_var_modifier,
    ACTIONS(2586), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__const_declaration,
    STATE(1398), 1,
      sym__class_const_declaration,
    STATE(1687), 1,
      sym__function_definition_header,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1204), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(703), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39869] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2591), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2594), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2597), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2600), 1,
      anon_sym_RBRACE,
    ACTIONS(2602), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2605), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2608), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2611), 1,
      sym_var_modifier,
    ACTIONS(2617), 1,
      anon_sym_POUND_LBRACK,
    STATE(1326), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__const_declaration,
    STATE(1398), 1,
      sym__class_const_declaration,
    STATE(1687), 1,
      sym__function_definition_header,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2614), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1222), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(703), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39940] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2552), 1,
      sym_var_modifier,
    ACTIONS(2620), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__const_declaration,
    STATE(1398), 1,
      sym__class_const_declaration,
    STATE(1687), 1,
      sym__function_definition_header,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1222), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(703), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40011] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2552), 1,
      sym_var_modifier,
    ACTIONS(2622), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      sym_attribute_list,
    STATE(1397), 1,
      sym__const_declaration,
    STATE(1398), 1,
      sym__class_const_declaration,
    STATE(1687), 1,
      sym__function_definition_header,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1222), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(703), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40082] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2624), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40159] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2626), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40236] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_EQ_GT,
    ACTIONS(2630), 1,
      anon_sym_RPAREN,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40315] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2518), 1,
      anon_sym_SEMI,
    ACTIONS(2532), 1,
      anon_sym_COMMA,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40394] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2632), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40470] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2634), 1,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40546] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2636), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40622] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2638), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40698] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2640), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40774] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_EQ_GT,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40850] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2644), 1,
      anon_sym_EQ_GT,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40926] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2646), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41002] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2648), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41078] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2650), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41154] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2652), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41230] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2654), 1,
      anon_sym_COLON,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41306] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2656), 1,
      anon_sym_RPAREN,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41382] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2658), 1,
      anon_sym_COLON,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41458] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2660), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41534] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2662), 1,
      anon_sym_RPAREN,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41610] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2664), 1,
      anon_sym_EQ_GT,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41686] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2666), 1,
      anon_sym_RPAREN,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41762] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2668), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41838] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2670), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41914] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41990] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42066] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2676), 1,
      anon_sym_COLON,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42142] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1834), 1,
      sym_type,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(1699), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1567), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [42202] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2678), 1,
      anon_sym_RPAREN,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42278] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2680), 1,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42354] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42430] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2684), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42506] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2686), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42582] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2688), 1,
      anon_sym_COLON,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42658] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2690), 1,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42734] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2692), 1,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42810] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2694), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42886] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2696), 1,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42962] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2698), 1,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43038] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2700), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43114] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2702), 1,
      anon_sym_RPAREN,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43190] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2704), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43266] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2706), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43342] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2630), 1,
      anon_sym_RPAREN,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43418] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2708), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43494] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2710), 1,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43570] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2712), 1,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43646] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2714), 1,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43722] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2716), 1,
      anon_sym_RPAREN,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43798] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43874] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2720), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43950] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2722), 1,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44026] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2724), 1,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44102] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2328), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2340), 1,
      anon_sym_CARET,
    ACTIONS(2348), 1,
      anon_sym_GT_EQ,
    ACTIONS(2352), 1,
      anon_sym_DOT,
    ACTIONS(2356), 1,
      anon_sym_PERCENT,
    ACTIONS(2726), 1,
      anon_sym_RBRACK,
    ACTIONS(2324), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2350), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2354), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2344), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44178] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2728), 1,
      anon_sym_RPAREN,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44254] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1857), 1,
      sym_type,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(1676), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1567), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44314] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2266), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2268), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2270), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2274), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2276), 1,
      anon_sym_CARET,
    ACTIONS(2284), 1,
      anon_sym_GT_EQ,
    ACTIONS(2730), 1,
      anon_sym_RBRACE,
    ACTIONS(2246), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2282), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44390] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      anon_sym_RBRACE,
    ACTIONS(2734), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2736), 1,
      sym_var_modifier,
    STATE(1328), 1,
      sym_attribute_list,
    STATE(1687), 1,
      sym__function_definition_header,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1285), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1336), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44455] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2740), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2738), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44492] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2734), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2736), 1,
      sym_var_modifier,
    ACTIONS(2742), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      sym_attribute_list,
    STATE(1687), 1,
      sym__function_definition_header,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1282), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1336), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44557] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2747), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2750), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2755), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2758), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2761), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2764), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2767), 1,
      sym_var_modifier,
    ACTIONS(2773), 1,
      anon_sym_POUND_LBRACK,
    STATE(1328), 1,
      sym_attribute_list,
    STATE(1687), 1,
      sym__function_definition_header,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2770), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1285), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1336), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44622] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1834), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2776), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44659] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2734), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2736), 1,
      sym_var_modifier,
    ACTIONS(2778), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      sym_attribute_list,
    STATE(1687), 1,
      sym__function_definition_header,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1285), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1336), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44724] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2734), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2736), 1,
      sym_var_modifier,
    ACTIONS(2780), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      sym_attribute_list,
    STATE(1687), 1,
      sym__function_definition_header,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1287), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1336), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44789] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2784), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2782), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44826] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2788), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2786), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44863] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2792), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2790), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44899] = 12,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2794), 1,
      sym_name,
    ACTIONS(2798), 1,
      anon_sym_LPAREN,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    ACTIONS(2802), 1,
      sym_bottom_type,
    STATE(1652), 1,
      sym_qualified_name,
    STATE(2031), 1,
      sym_type,
    STATE(2518), 1,
      sym_namespace_name,
    STATE(1981), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1506), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2796), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44952] = 12,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2804), 1,
      sym_bottom_type,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2349), 1,
      sym_type,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(1476), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 1,
      anon_sym_POUND_LBRACK,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2808), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2806), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2814), 1,
      anon_sym_POUND_LBRACK,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2812), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2810), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2817), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2823), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2821), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2827), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2825), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45172] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1962), 1,
      anon_sym_BSLASH,
    ACTIONS(1970), 1,
      anon_sym_QMARK,
    ACTIONS(2829), 1,
      anon_sym_LPAREN,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2553), 1,
      sym_namespace_name,
    STATE(1468), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45214] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(2629), 1,
      sym_intersection_type,
    STATE(2160), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45256] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2489), 1,
      sym_intersection_type,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(2160), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45298] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2794), 1,
      sym_name,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    STATE(1652), 1,
      sym_qualified_name,
    STATE(2518), 1,
      sym_namespace_name,
    STATE(1816), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2796), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45340] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2829), 1,
      anon_sym_LPAREN,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(1468), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45382] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1962), 1,
      anon_sym_BSLASH,
    ACTIONS(1970), 1,
      anon_sym_QMARK,
    ACTIONS(2829), 1,
      anon_sym_LPAREN,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2553), 1,
      sym_namespace_name,
    STATE(1456), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45424] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2432), 1,
      sym_intersection_type,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(2160), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45466] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2829), 1,
      anon_sym_LPAREN,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(1456), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45508] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym_intersection_type,
    STATE(2160), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45550] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2833), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2835), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2837), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2839), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2841), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2843), 1,
      sym_var_modifier,
    ACTIONS(2845), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1440), 1,
      sym_static_modifier,
    STATE(2253), 1,
      sym__function_definition_header,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1347), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [45606] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2833), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2845), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2847), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2849), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2851), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2853), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2855), 1,
      sym_var_modifier,
    STATE(1440), 1,
      sym_static_modifier,
    STATE(2371), 1,
      sym__function_definition_header,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1342), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [45662] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(2116), 1,
      sym_name,
    ACTIONS(2118), 1,
      anon_sym_BSLASH,
    ACTIONS(2120), 1,
      anon_sym_LPAREN,
    STATE(771), 1,
      sym__variable_scoped_property_access_expression,
    STATE(774), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(777), 1,
      sym__variable_member_access_expression,
    STATE(2560), 1,
      sym_namespace_name,
    STATE(983), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(883), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(755), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
  [45712] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(2581), 1,
      sym_intersection_type,
    STATE(2160), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45754] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2794), 1,
      sym_name,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    ACTIONS(2831), 1,
      anon_sym_LPAREN,
    STATE(1652), 1,
      sym_qualified_name,
    STATE(2518), 1,
      sym_namespace_name,
    STATE(1809), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2796), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45796] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(2122), 1,
      sym_name,
    ACTIONS(2126), 1,
      anon_sym_BSLASH,
    ACTIONS(2132), 1,
      anon_sym_LPAREN,
    STATE(888), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(906), 1,
      sym__variable_scoped_property_access_expression,
    STATE(942), 1,
      sym__variable_member_access_expression,
    STATE(2473), 1,
      sym_namespace_name,
    STATE(1048), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(2134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1008), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(967), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
  [45846] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1962), 1,
      anon_sym_BSLASH,
    ACTIONS(1970), 1,
      anon_sym_QMARK,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2553), 1,
      sym_namespace_name,
    STATE(1457), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45885] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(1450), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2808), 1,
      anon_sym_AMP,
    STATE(1319), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2806), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [45957] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(1457), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45996] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2794), 1,
      sym_name,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    STATE(1652), 1,
      sym_qualified_name,
    STATE(2518), 1,
      sym_namespace_name,
    STATE(1820), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2796), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2812), 1,
      anon_sym_AMP,
    ACTIONS(2857), 1,
      anon_sym_POUND_LBRACK,
    STATE(1319), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2810), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46068] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1962), 1,
      anon_sym_BSLASH,
    ACTIONS(1970), 1,
      anon_sym_QMARK,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2553), 1,
      sym_namespace_name,
    STATE(1450), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46107] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2794), 1,
      sym_name,
    ACTIONS(2800), 1,
      anon_sym_QMARK,
    STATE(1652), 1,
      sym_qualified_name,
    STATE(2518), 1,
      sym_namespace_name,
    STATE(1813), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2796), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46146] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    ACTIONS(2860), 1,
      anon_sym_COLON_COLON,
    STATE(1691), 1,
      sym_static_variable_declaration,
    STATE(1828), 1,
      sym_variable_name,
    ACTIONS(1722), 4,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1834), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [46182] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    ACTIONS(2860), 1,
      anon_sym_COLON_COLON,
    STATE(1741), 1,
      sym_static_variable_declaration,
    STATE(1828), 1,
      sym_variable_name,
    ACTIONS(1722), 4,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1834), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [46218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2827), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2825), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2823), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2821), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46272] = 12,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2862), 1,
      sym_var_modifier,
    STATE(1401), 1,
      sym__const_declaration,
    STATE(1738), 1,
      sym__function_definition_header,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(705), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2817), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46344] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2864), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2866), 1,
      sym_var_modifier,
    STATE(1738), 1,
      sym__function_definition_header,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1334), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46386] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1962), 1,
      anon_sym_BSLASH,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2553), 1,
      sym_namespace_name,
    STATE(1446), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46420] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2523), 1,
      sym_namespace_name,
    STATE(1446), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46454] = 7,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2794), 1,
      sym_name,
    STATE(1652), 1,
      sym_qualified_name,
    STATE(2518), 1,
      sym_namespace_name,
    STATE(1690), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2796), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46488] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2868), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2870), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2872), 1,
      sym_var_modifier,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46527] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2872), 1,
      sym_var_modifier,
    ACTIONS(2874), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2876), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46566] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2872), 1,
      sym_var_modifier,
    STATE(1759), 1,
      sym__function_definition_header,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46605] = 10,
    ACTIONS(641), 1,
      sym_integer,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2878), 1,
      sym_float,
    ACTIONS(2880), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2882), 1,
      aux_sym__argument_name_token2,
    STATE(2554), 1,
      sym_literal,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(986), 7,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym_boolean,
      sym_null,
      sym__string,
  [46644] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2872), 1,
      sym_var_modifier,
    STATE(1714), 1,
      sym__function_definition_header,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46683] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_LBRACE,
    ACTIONS(2888), 1,
      anon_sym_BSLASHu,
    ACTIONS(2890), 1,
      sym__new_line,
    ACTIONS(2893), 1,
      anon_sym_DOLLAR,
    ACTIONS(2895), 1,
      sym_heredoc_end,
    STATE(1348), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1463), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2886), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1349), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [46723] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2897), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2899), 1,
      sym_var_modifier,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46759] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2872), 1,
      sym_var_modifier,
    ACTIONS(2901), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46795] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2903), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2905), 1,
      sym_var_modifier,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1341), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46831] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2872), 1,
      sym_var_modifier,
    ACTIONS(2907), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46867] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2872), 1,
      sym_var_modifier,
    ACTIONS(2909), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46903] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2872), 1,
      sym_var_modifier,
    ACTIONS(2911), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46939] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2872), 1,
      sym_var_modifier,
    ACTIONS(2913), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46975] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2915), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_cast_type_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1741), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [46999] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2868), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2872), 1,
      sym_var_modifier,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47035] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2546), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2872), 1,
      sym_var_modifier,
    ACTIONS(2917), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2554), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1059), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47071] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2919), 1,
      anon_sym_LBRACE,
    ACTIONS(2925), 1,
      anon_sym_BSLASHu,
    ACTIONS(2928), 1,
      sym__new_line,
    ACTIONS(2931), 1,
      anon_sym_DOLLAR,
    ACTIONS(2934), 1,
      sym_heredoc_end,
    STATE(1348), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1463), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2922), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1349), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47111] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_LBRACE,
    ACTIONS(2893), 1,
      anon_sym_DOLLAR,
    ACTIONS(2938), 1,
      anon_sym_BSLASHu,
    STATE(1463), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2936), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2940), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1350), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47146] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_LBRACE,
    ACTIONS(2948), 1,
      anon_sym_BSLASHu,
    ACTIONS(2953), 1,
      anon_sym_DOLLAR,
    STATE(1463), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2945), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2951), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1350), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47181] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_LBRACE,
    ACTIONS(2888), 1,
      anon_sym_BSLASHu,
    ACTIONS(2893), 1,
      anon_sym_DOLLAR,
    ACTIONS(2956), 1,
      sym__new_line,
    STATE(1337), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1463), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2886), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1349), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47218] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_LBRACE,
    ACTIONS(2893), 1,
      anon_sym_DOLLAR,
    ACTIONS(2938), 1,
      anon_sym_BSLASHu,
    STATE(1463), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2934), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(2936), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1350), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2958), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47273] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2960), 1,
      anon_sym_LBRACE,
    ACTIONS(2964), 1,
      anon_sym_BSLASHu,
    ACTIONS(2966), 1,
      anon_sym_DQUOTE,
    ACTIONS(2968), 1,
      anon_sym_DOLLAR,
    STATE(1485), 1,
      sym_variable_name,
    STATE(1569), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2962), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1372), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2972), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47347] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2960), 1,
      anon_sym_LBRACE,
    ACTIONS(2968), 1,
      anon_sym_DOLLAR,
    ACTIONS(2976), 1,
      anon_sym_BSLASHu,
    ACTIONS(2978), 1,
      anon_sym_DQUOTE,
    STATE(1485), 1,
      sym_variable_name,
    STATE(1569), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2974), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1358), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47381] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2960), 1,
      anon_sym_LBRACE,
    ACTIONS(2964), 1,
      anon_sym_BSLASHu,
    ACTIONS(2968), 1,
      anon_sym_DOLLAR,
    ACTIONS(2980), 1,
      anon_sym_DQUOTE,
    STATE(1485), 1,
      sym_variable_name,
    STATE(1569), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2962), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1372), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47415] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2982), 1,
      anon_sym_LBRACE,
    ACTIONS(2988), 1,
      anon_sym_BSLASHu,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      anon_sym_DOLLAR,
    STATE(1486), 1,
      sym_variable_name,
    STATE(1579), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2985), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1359), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47449] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASHu,
    ACTIONS(3002), 1,
      anon_sym_BQUOTE,
    ACTIONS(3004), 1,
      anon_sym_DOLLAR,
    STATE(1486), 1,
      sym_variable_name,
    STATE(1579), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2998), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1359), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3006), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47503] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3004), 1,
      anon_sym_DOLLAR,
    ACTIONS(3010), 1,
      anon_sym_BSLASHu,
    ACTIONS(3012), 1,
      anon_sym_BQUOTE,
    STATE(1486), 1,
      sym_variable_name,
    STATE(1579), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3008), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1368), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3014), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47577] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3004), 1,
      anon_sym_DOLLAR,
    ACTIONS(3020), 1,
      anon_sym_BSLASHu,
    ACTIONS(3022), 1,
      anon_sym_BQUOTE,
    STATE(1486), 1,
      sym_variable_name,
    STATE(1579), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3018), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1360), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47611] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2122), 1,
      sym_name,
    STATE(1747), 1,
      sym_namespace_use_clause,
    STATE(1969), 1,
      sym__namespace_use_group,
    STATE(2483), 1,
      sym_namespace_name,
    ACTIONS(3024), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1821), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [47645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3026), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47665] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASHu,
    ACTIONS(3004), 1,
      anon_sym_DOLLAR,
    ACTIONS(3028), 1,
      anon_sym_BQUOTE,
    STATE(1486), 1,
      sym_variable_name,
    STATE(1579), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2998), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1359), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47699] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2960), 1,
      anon_sym_LBRACE,
    ACTIONS(2968), 1,
      anon_sym_DOLLAR,
    ACTIONS(3032), 1,
      anon_sym_BSLASHu,
    ACTIONS(3034), 1,
      anon_sym_DQUOTE,
    STATE(1485), 1,
      sym_variable_name,
    STATE(1569), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3030), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1354), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47733] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2122), 1,
      sym_name,
    STATE(1754), 1,
      sym_namespace_use_clause,
    STATE(1966), 1,
      sym__namespace_use_group,
    STATE(2483), 1,
      sym_namespace_name,
    ACTIONS(3024), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1821), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [47767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3036), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47787] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3038), 1,
      anon_sym_LBRACE,
    ACTIONS(3044), 1,
      anon_sym_BSLASHu,
    ACTIONS(3047), 1,
      anon_sym_DQUOTE,
    ACTIONS(3049), 1,
      anon_sym_DOLLAR,
    STATE(1485), 1,
      sym_variable_name,
    STATE(1569), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3041), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1372), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3052), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3056), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3058), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47920] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2336), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 11,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [47943] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1781), 1,
      sym_name,
    STATE(2400), 1,
      sym_namespace_use_clause,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(3062), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1984), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [47974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3064), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47993] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3066), 1,
      anon_sym_LBRACE,
    ACTIONS(3070), 1,
      anon_sym_BSLASHu,
    ACTIONS(3072), 1,
      anon_sym_DOLLAR,
    STATE(1463), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3068), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1352), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3074), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3076), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3078), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48081] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1781), 1,
      sym_name,
    STATE(1983), 1,
      sym_namespace_use_clause,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(3062), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1984), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3080), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3082), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3088), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3092), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3094), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48264] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2122), 1,
      sym_name,
    STATE(1934), 1,
      sym_namespace_use_clause,
    STATE(2518), 1,
      sym_namespace_name,
    ACTIONS(3096), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1821), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48295] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2336), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3098), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3100), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [48320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3102), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3106), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3110), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3112), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48434] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3114), 1,
      sym_name,
    ACTIONS(3118), 1,
      anon_sym_LBRACE,
    STATE(918), 1,
      sym__member_name,
    ACTIONS(3116), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(909), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48462] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(587), 1,
      sym__member_name,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(588), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48490] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3126), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_RBRACE,
    STATE(1682), 1,
      sym_attribute_list,
    STATE(1878), 1,
      sym_final_modifier,
    STATE(2623), 1,
      sym_reference_modifier,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1413), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [48526] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3126), 1,
      sym_name,
    ACTIONS(3130), 1,
      anon_sym_RBRACE,
    STATE(1682), 1,
      sym_attribute_list,
    STATE(1878), 1,
      sym_final_modifier,
    STATE(2623), 1,
      sym_reference_modifier,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1425), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [48562] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3132), 1,
      sym_name,
    ACTIONS(3136), 1,
      anon_sym_LBRACE,
    STATE(2235), 1,
      sym__member_name,
    STATE(731), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(902), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [48592] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_AMP,
    ACTIONS(3150), 1,
      anon_sym_PIPE,
    STATE(1452), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1453), 1,
      aux_sym_union_type_repeat1,
    STATE(1472), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3145), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3138), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [48622] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(587), 1,
      sym__member_name,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(588), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48650] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3152), 1,
      sym_name,
    ACTIONS(3154), 1,
      anon_sym_LBRACE,
    STATE(757), 1,
      sym__member_name,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(761), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48678] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3152), 1,
      sym_name,
    ACTIONS(3154), 1,
      anon_sym_LBRACE,
    STATE(758), 1,
      sym__member_name,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(761), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48706] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(3156), 1,
      anon_sym_RBRACK,
    STATE(2335), 1,
      sym_attribute,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1790), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48736] = 8,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3158), 1,
      sym_name,
    ACTIONS(3160), 1,
      anon_sym_LBRACE,
    STATE(2283), 1,
      sym__member_name,
    STATE(901), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3116), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(638), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [48766] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3126), 1,
      sym_name,
    ACTIONS(3162), 1,
      anon_sym_RBRACE,
    STATE(1682), 1,
      sym_attribute_list,
    STATE(1878), 1,
      sym_final_modifier,
    STATE(2623), 1,
      sym_reference_modifier,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1418), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [48802] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3164), 1,
      sym_name,
    ACTIONS(3168), 1,
      anon_sym_LBRACE,
    STATE(613), 1,
      sym__member_name,
    ACTIONS(3166), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(639), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48830] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3164), 1,
      sym_name,
    ACTIONS(3168), 1,
      anon_sym_LBRACE,
    STATE(614), 1,
      sym__member_name,
    ACTIONS(3166), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(639), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48858] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(3170), 1,
      anon_sym_RBRACK,
    STATE(2335), 1,
      sym_attribute,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1790), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48888] = 8,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3132), 1,
      sym_name,
    ACTIONS(3136), 1,
      anon_sym_LBRACE,
    STATE(2230), 1,
      sym__member_name,
    STATE(731), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(863), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [48918] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3172), 1,
      sym_name,
    ACTIONS(3175), 1,
      anon_sym_AMP,
    ACTIONS(3178), 1,
      anon_sym_RBRACE,
    ACTIONS(3180), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(3183), 1,
      anon_sym_POUND_LBRACK,
    STATE(1682), 1,
      sym_attribute_list,
    STATE(1878), 1,
      sym_final_modifier,
    STATE(2623), 1,
      sym_reference_modifier,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1418), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [48954] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3152), 1,
      sym_name,
    ACTIONS(3154), 1,
      anon_sym_LBRACE,
    STATE(739), 1,
      sym__member_name,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(761), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48982] = 7,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3186), 1,
      sym_name,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(700), 1,
      sym__member_name,
    ACTIONS(3188), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(716), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49010] = 7,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3186), 1,
      sym_name,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(706), 1,
      sym__member_name,
    ACTIONS(3188), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(716), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49038] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3132), 1,
      sym_name,
    ACTIONS(3136), 1,
      anon_sym_LBRACE,
    STATE(2281), 1,
      sym__member_name,
    STATE(731), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(762), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49068] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3194), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3196), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3192), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [49090] = 8,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3158), 1,
      sym_name,
    ACTIONS(3160), 1,
      anon_sym_LBRACE,
    STATE(2230), 1,
      sym__member_name,
    STATE(901), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3116), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(863), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49120] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3126), 1,
      sym_name,
    ACTIONS(3198), 1,
      anon_sym_RBRACE,
    STATE(1682), 1,
      sym_attribute_list,
    STATE(1878), 1,
      sym_final_modifier,
    STATE(2623), 1,
      sym_reference_modifier,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1418), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [49156] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(586), 1,
      sym__member_name,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(588), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49184] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3114), 1,
      sym_name,
    ACTIONS(3118), 1,
      anon_sym_LBRACE,
    STATE(920), 1,
      sym__member_name,
    ACTIONS(3116), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(909), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49212] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3114), 1,
      sym_name,
    ACTIONS(3118), 1,
      anon_sym_LBRACE,
    STATE(873), 1,
      sym__member_name,
    ACTIONS(3116), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(909), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49240] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3114), 1,
      sym_name,
    ACTIONS(3118), 1,
      anon_sym_LBRACE,
    STATE(874), 1,
      sym__member_name,
    ACTIONS(3116), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(909), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49268] = 8,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3132), 1,
      sym_name,
    ACTIONS(3136), 1,
      anon_sym_LBRACE,
    STATE(2261), 1,
      sym__member_name,
    STATE(731), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(707), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49298] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(3200), 1,
      anon_sym_RBRACK,
    STATE(2335), 1,
      sym_attribute,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1790), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49328] = 7,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3202), 1,
      sym_name,
    ACTIONS(3206), 1,
      anon_sym_LBRACE,
    STATE(840), 1,
      sym__member_name,
    ACTIONS(3204), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(860), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49356] = 7,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3202), 1,
      sym_name,
    ACTIONS(3206), 1,
      anon_sym_LBRACE,
    STATE(839), 1,
      sym__member_name,
    ACTIONS(3204), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(860), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49384] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(602), 1,
      sym__member_name,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(588), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49412] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(600), 1,
      sym__member_name,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(588), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49440] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(586), 1,
      sym__member_name,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(588), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49468] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1781), 1,
      sym_name,
    ACTIONS(3208), 1,
      anon_sym_RBRACK,
    STATE(2335), 1,
      sym_attribute,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1790), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49498] = 8,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3132), 1,
      sym_name,
    ACTIONS(3136), 1,
      anon_sym_LBRACE,
    STATE(2391), 1,
      sym__member_name,
    STATE(731), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(598), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49528] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3152), 1,
      sym_name,
    ACTIONS(3154), 1,
      anon_sym_LBRACE,
    STATE(738), 1,
      sym__member_name,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(761), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49556] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3210), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3212), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3192), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [49577] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1781), 1,
      sym_name,
    STATE(1992), 1,
      sym_attribute,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1790), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49604] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1781), 1,
      sym_name,
    STATE(2335), 1,
      sym_attribute,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1790), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49631] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3214), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2016), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [49656] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3216), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3218), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49675] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3098), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3100), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49694] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3220), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3222), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49713] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1781), 1,
      sym_name,
    STATE(2073), 1,
      sym_attribute,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1790), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49740] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3224), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2111), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [49765] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3226), 1,
      sym_name,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1491), 1,
      sym_reference_modifier,
    STATE(1696), 1,
      sym_formal_parameters,
    STATE(2346), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49793] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3230), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3232), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [49811] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_COLON,
    ACTIONS(2860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1834), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1722), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [49833] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_AMP,
    STATE(1464), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3234), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3236), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [49855] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3242), 1,
      anon_sym_PIPE,
    STATE(1466), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3238), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3240), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [49877] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2122), 1,
      sym_name,
    STATE(2518), 1,
      sym_namespace_name,
    ACTIONS(2134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1517), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49901] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1781), 1,
      sym_name,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1906), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49925] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3244), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3246), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49943] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3248), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3250), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49961] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3226), 1,
      sym_name,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1498), 1,
      sym_reference_modifier,
    STATE(1723), 1,
      sym_formal_parameters,
    STATE(2346), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49989] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2122), 1,
      sym_name,
    STATE(2640), 1,
      sym_namespace_name,
    ACTIONS(2134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1870), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50013] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1781), 1,
      sym_name,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1896), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50037] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3252), 1,
      anon_sym_PIPE,
    STATE(1461), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3244), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3246), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50059] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1781), 1,
      sym_name,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2213), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3257), 1,
      anon_sym_DASH_GT,
    ACTIONS(3259), 1,
      anon_sym_LBRACK,
    ACTIONS(3263), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    ACTIONS(3255), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3261), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [50107] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_AMP,
    STATE(1464), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3230), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3232), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [50129] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3272), 1,
      anon_sym_PIPE,
    STATE(1461), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3268), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3270), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50151] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3274), 1,
      anon_sym_PIPE,
    STATE(1466), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3248), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3250), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1636), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [50191] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3277), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3280), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50209] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2122), 1,
      sym_name,
    STATE(2518), 1,
      sym_namespace_name,
    ACTIONS(2134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1859), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50233] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2122), 1,
      sym_name,
    STATE(2518), 1,
      sym_namespace_name,
    ACTIONS(2134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1870), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50257] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1781), 1,
      sym_name,
    STATE(2523), 1,
      sym_namespace_name,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1850), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50281] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3272), 1,
      anon_sym_PIPE,
    STATE(1461), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3283), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3285), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50303] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3272), 1,
      anon_sym_PIPE,
    STATE(1465), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3287), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3289), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50325] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3291), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3293), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50343] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_BSLASHu,
    ACTIONS(1634), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [50360] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3295), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3297), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [50377] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_BSLASHu,
    ACTIONS(1634), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [50394] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1834), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1722), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50413] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    STATE(1518), 1,
      sym_formal_parameters,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3299), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1669), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50440] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(1859), 1,
      anon_sym_EQ,
    STATE(2336), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3100), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3098), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [50463] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    STATE(1554), 1,
      sym_formal_parameters,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3307), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1748), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50490] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    STATE(1514), 1,
      sym_formal_parameters,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3309), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1659), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50517] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    STATE(1509), 1,
      sym_formal_parameters,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3311), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1685), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50544] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    STATE(1516), 1,
      sym_formal_parameters,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3313), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1671), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50571] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_BSLASHu,
    ACTIONS(3315), 1,
      anon_sym_DASH_GT,
    ACTIONS(3317), 1,
      anon_sym_LBRACK,
    ACTIONS(3319), 1,
      sym_encapsed_string_chars_after_variable,
    ACTIONS(3261), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [50594] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_BSLASHu,
    ACTIONS(3321), 1,
      anon_sym_DASH_GT,
    ACTIONS(3323), 1,
      anon_sym_LBRACK,
    ACTIONS(3325), 1,
      sym_execution_string_chars_after_variable,
    ACTIONS(3261), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [50617] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    STATE(1536), 1,
      sym_formal_parameters,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3327), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1701), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50644] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    STATE(1519), 1,
      sym_formal_parameters,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3329), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1672), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50671] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    STATE(1515), 1,
      sym_formal_parameters,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3331), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1647), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50698] = 6,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(3333), 1,
      anon_sym_RPAREN,
    STATE(1982), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50720] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    ACTIONS(3335), 1,
      sym_name,
    STATE(1703), 1,
      sym_formal_parameters,
    STATE(2264), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50742] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(3337), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2336), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50762] = 6,
    ACTIONS(1039), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3342), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1037), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1493), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [50784] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(3345), 1,
      anon_sym_COMMA,
    ACTIONS(3347), 1,
      anon_sym_RPAREN,
    STATE(2190), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50806] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(958), 1,
      sym_declaration_list,
    STATE(1619), 1,
      sym_arguments,
    STATE(1797), 1,
      sym_base_clause,
    STATE(2377), 1,
      sym_class_interface_clause,
  [50834] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_COLON,
    ACTIONS(2860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1722), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50852] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(962), 1,
      sym_declaration_list,
    STATE(1617), 1,
      sym_arguments,
    STATE(1846), 1,
      sym_base_clause,
    STATE(2416), 1,
      sym_class_interface_clause,
  [50880] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    ACTIONS(3335), 1,
      sym_name,
    STATE(1680), 1,
      sym_formal_parameters,
    STATE(2264), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50902] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(951), 1,
      sym_declaration_list,
    STATE(1589), 1,
      sym_arguments,
    STATE(1801), 1,
      sym_base_clause,
    STATE(2296), 1,
      sym_class_interface_clause,
  [50930] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_declaration_list,
    STATE(1616), 1,
      sym_arguments,
    STATE(1824), 1,
      sym_base_clause,
    STATE(2313), 1,
      sym_class_interface_clause,
  [50958] = 6,
    ACTIONS(1031), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3357), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3359), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1029), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1493), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [50980] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3361), 1,
      sym_name,
    STATE(1620), 1,
      sym_reference_modifier,
    STATE(2339), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51002] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(791), 1,
      sym_declaration_list,
    STATE(1612), 1,
      sym_arguments,
    STATE(1805), 1,
      sym_base_clause,
    STATE(2370), 1,
      sym_class_interface_clause,
  [51030] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(935), 1,
      sym_declaration_list,
    STATE(1629), 1,
      sym_arguments,
    STATE(1858), 1,
      sym_base_clause,
    STATE(2246), 1,
      sym_class_interface_clause,
  [51058] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(792), 1,
      sym_declaration_list,
    STATE(1607), 1,
      sym_arguments,
    STATE(1807), 1,
      sym_base_clause,
    STATE(2364), 1,
      sym_class_interface_clause,
  [51086] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_AMP,
    ACTIONS(3365), 1,
      anon_sym_PIPE,
    STATE(1681), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1684), 1,
      aux_sym_union_type_repeat1,
    STATE(1749), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3145), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [51110] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(3367), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_RPAREN,
    STATE(2072), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51132] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(772), 1,
      sym_declaration_list,
    STATE(1588), 1,
      sym_arguments,
    STATE(1784), 1,
      sym_base_clause,
    STATE(2395), 1,
      sym_class_interface_clause,
  [51160] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3371), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1667), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51181] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(3375), 1,
      anon_sym_DASH,
    ACTIONS(3373), 2,
      sym_integer,
      sym_name,
    STATE(2627), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [51200] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1859), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51215] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3379), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3382), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3377), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1512), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [51234] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_AMP,
    ACTIONS(3391), 1,
      anon_sym_PIPE,
    STATE(1718), 1,
      aux_sym_union_type_repeat1,
    STATE(1719), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1845), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3145), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [51257] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3393), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1648), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51278] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3395), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1731), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51299] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3397), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1755), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51320] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3401), 1,
      anon_sym_COMMA,
    ACTIONS(3403), 1,
      anon_sym_LBRACE,
    STATE(1556), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3399), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1374), 2,
      sym_use_list,
      sym__semicolon,
  [51341] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3405), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1739), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51362] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3407), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1743), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51383] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3409), 1,
      sym_name,
    STATE(1683), 1,
      sym_const_element,
    STATE(2452), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51402] = 5,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3333), 1,
      anon_sym_RPAREN,
    STATE(1982), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51421] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2336), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3100), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [51438] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(3375), 1,
      anon_sym_DASH,
    ACTIONS(3411), 2,
      sym_integer,
      sym_name,
    STATE(2531), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [51457] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2580), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1859), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51472] = 5,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3333), 1,
      anon_sym_RPAREN,
    STATE(1982), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51491] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3409), 1,
      sym_name,
    STATE(2108), 1,
      sym_const_element,
    STATE(2452), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51510] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1722), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51525] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    ACTIONS(3417), 1,
      anon_sym_LBRACE,
    STATE(1537), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3413), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1386), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51546] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(3419), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51563] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(3421), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51580] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(3423), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51597] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3409), 1,
      sym_name,
    STATE(1728), 1,
      sym_const_element,
    STATE(2452), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51616] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    ACTIONS(3417), 1,
      anon_sym_LBRACE,
    STATE(1751), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3425), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1384), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3427), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2951), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51652] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2556), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1859), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51667] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3429), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1656), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51688] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    ACTIONS(3417), 1,
      anon_sym_LBRACE,
    STATE(1751), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3431), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1389), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51709] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_RPAREN,
    STATE(2072), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51728] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3409), 1,
      sym_name,
    STATE(1742), 1,
      sym_const_element,
    STATE(2452), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51747] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    ACTIONS(3417), 1,
      anon_sym_LBRACE,
    STATE(1555), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3433), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1391), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1638), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3435), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3437), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1710), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51813] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(3375), 1,
      anon_sym_DASH,
    ACTIONS(3439), 2,
      sym_integer,
      sym_name,
    STATE(2465), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [51832] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    ACTIONS(3417), 1,
      anon_sym_LBRACE,
    STATE(1751), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1392), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1634), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51868] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    ACTIONS(3417), 1,
      anon_sym_LBRACE,
    STATE(1533), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3443), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1383), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3447), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3451), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51919] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_RPAREN,
    STATE(2072), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51938] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2530), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1859), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51953] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2140), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2138), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3453), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3455), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51983] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LBRACE,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    STATE(1704), 1,
      sym_compound_statement,
    ACTIONS(3457), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1689), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52004] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    ACTIONS(3417), 1,
      anon_sym_LBRACE,
    STATE(1751), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3459), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1393), 2,
      sym_property_hook_list,
      sym__semicolon,
  [52025] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3401), 1,
      anon_sym_COMMA,
    ACTIONS(3403), 1,
      anon_sym_LBRACE,
    STATE(1668), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3461), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1355), 2,
      sym_use_list,
      sym__semicolon,
  [52046] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    ACTIONS(3417), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3463), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1382), 2,
      sym_property_hook_list,
      sym__semicolon,
  [52067] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3409), 1,
      sym_name,
    STATE(1686), 1,
      sym_const_element,
    STATE(2452), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52086] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_COMMA,
    ACTIONS(3347), 1,
      anon_sym_RPAREN,
    STATE(2190), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52105] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_COMMA,
    ACTIONS(3347), 1,
      anon_sym_RPAREN,
    STATE(2190), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52124] = 7,
    ACTIONS(1047), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3467), 1,
      aux_sym_else_clause_token1,
    STATE(1679), 1,
      aux_sym_if_statement_repeat1,
    STATE(2095), 1,
      sym_else_if_clause,
    STATE(2181), 1,
      sym_else_clause,
  [52146] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3469), 1,
      sym_name,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    ACTIONS(3473), 1,
      anon_sym_DOLLAR,
    STATE(1541), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52164] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_RBRACE,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    STATE(1571), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52182] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3481), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3483), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3485), 1,
      aux_sym_else_clause_token1,
    STATE(1590), 1,
      aux_sym_if_statement_repeat2,
    STATE(2118), 1,
      sym_else_if_clause_2,
    STATE(2512), 1,
      sym_else_clause_2,
  [52204] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3487), 1,
      anon_sym_SQUOTE,
    ACTIONS(3489), 1,
      aux_sym_string_token2,
    ACTIONS(3491), 1,
      aux_sym_string_content_token1,
    STATE(1779), 1,
      aux_sym_string_content_repeat1,
    STATE(1574), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52224] = 5,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3493), 1,
      sym_name,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(591), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52242] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_DOLLAR,
    ACTIONS(3150), 1,
      anon_sym_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP,
    STATE(1453), 1,
      aux_sym_union_type_repeat1,
    STATE(1472), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(2020), 1,
      aux_sym_intersection_type_repeat1,
  [52264] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52280] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_BSLASHu,
    ACTIONS(3455), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52294] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3503), 1,
      aux_sym_switch_block_token1,
    STATE(1512), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52312] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3505), 1,
      anon_sym_RBRACE,
    STATE(1512), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 1,
      aux_sym_string_content_token1,
    ACTIONS(3507), 1,
      anon_sym_SQUOTE,
    ACTIONS(3509), 1,
      aux_sym_string_token2,
    STATE(1779), 1,
      aux_sym_string_content_repeat1,
    STATE(1625), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52350] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(1780), 1,
      sym_base_clause,
    STATE(1932), 1,
      sym_declaration_list,
    STATE(2402), 1,
      sym_class_interface_clause,
  [52372] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 1,
      aux_sym_string_content_token1,
    ACTIONS(3509), 1,
      aux_sym_string_token2,
    ACTIONS(3511), 1,
      anon_sym_SQUOTE,
    STATE(1779), 1,
      aux_sym_string_content_repeat1,
    STATE(1625), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52392] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3337), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3513), 1,
      aux_sym_use_instead_of_clause_token1,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52408] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3515), 1,
      sym_name,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    STATE(926), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52426] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_BSLASHu,
    ACTIONS(3437), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52440] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_LPAREN,
    STATE(621), 1,
      sym_arguments,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52456] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_BSLASHu,
    ACTIONS(3455), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52470] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_BSLASHu,
    ACTIONS(1634), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52484] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(470), 1,
      sym_declaration_list,
    STATE(1792), 1,
      sym_base_clause,
    STATE(2355), 1,
      sym_class_interface_clause,
  [52506] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3483), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3485), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3521), 1,
      aux_sym_if_statement_token2,
    STATE(1598), 1,
      aux_sym_if_statement_repeat2,
    STATE(2118), 1,
      sym_else_if_clause_2,
    STATE(2445), 1,
      sym_else_clause_2,
  [52528] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_BSLASHu,
    ACTIONS(1634), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52542] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3523), 1,
      anon_sym_RBRACE,
    STATE(1599), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52560] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3525), 1,
      aux_sym_switch_block_token1,
    STATE(1606), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52578] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_BSLASHu,
    ACTIONS(3451), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52592] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_BSLASHu,
    ACTIONS(3447), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52606] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(791), 1,
      sym_declaration_list,
    STATE(1805), 1,
      sym_base_clause,
    STATE(2370), 1,
      sym_class_interface_clause,
  [52628] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(958), 1,
      sym_declaration_list,
    STATE(1797), 1,
      sym_base_clause,
    STATE(2377), 1,
      sym_class_interface_clause,
  [52650] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3483), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3485), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3527), 1,
      aux_sym_if_statement_token2,
    STATE(1655), 1,
      aux_sym_if_statement_repeat2,
    STATE(2118), 1,
      sym_else_if_clause_2,
    STATE(2621), 1,
      sym_else_clause_2,
  [52672] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2320), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1825), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [52688] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3529), 1,
      sym_name,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1826), 1,
      sym_named_type,
    STATE(2085), 1,
      sym_type_list,
    STATE(2523), 1,
      sym_namespace_name,
  [52710] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(1812), 1,
      sym_base_clause,
    STATE(2133), 1,
      sym_declaration_list,
    STATE(2347), 1,
      sym_class_interface_clause,
  [52732] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(518), 1,
      sym_declaration_list,
    STATE(1851), 1,
      sym_base_clause,
    STATE(2223), 1,
      sym_class_interface_clause,
  [52754] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(1818), 1,
      sym_base_clause,
    STATE(2136), 1,
      sym_declaration_list,
    STATE(2345), 1,
      sym_class_interface_clause,
  [52776] = 7,
    ACTIONS(1057), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3531), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3534), 1,
      aux_sym_else_clause_token1,
    STATE(1610), 1,
      aux_sym_if_statement_repeat1,
    STATE(2095), 1,
      sym_else_if_clause,
    STATE(2100), 1,
      sym_else_clause,
  [52798] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASHu,
    ACTIONS(1710), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52812] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3483), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3485), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3537), 1,
      aux_sym_if_statement_token2,
    STATE(1655), 1,
      aux_sym_if_statement_repeat2,
    STATE(2118), 1,
      sym_else_if_clause_2,
    STATE(2517), 1,
      sym_else_clause_2,
  [52834] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3539), 1,
      anon_sym_RBRACE,
    STATE(1512), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52852] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3419), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52866] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    ACTIONS(3473), 1,
      anon_sym_DOLLAR,
    ACTIONS(3541), 1,
      sym_name,
    STATE(1541), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52884] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3543), 1,
      aux_sym_switch_block_token1,
    STATE(1570), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52902] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3545), 1,
      sym_name,
    ACTIONS(3547), 1,
      anon_sym_LBRACE,
    ACTIONS(3549), 1,
      anon_sym_DOLLAR,
    STATE(1626), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52920] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_name,
    ACTIONS(3553), 1,
      anon_sym_LBRACE,
    ACTIONS(3555), 1,
      anon_sym_DOLLAR,
    STATE(1638), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52938] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3419), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52952] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3557), 1,
      aux_sym_switch_block_token1,
    STATE(1512), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52970] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_declaration_list,
    STATE(1824), 1,
      sym_base_clause,
    STATE(2313), 1,
      sym_class_interface_clause,
  [52992] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3559), 1,
      sym_name,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    STATE(787), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53010] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3423), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53024] = 7,
    ACTIONS(1047), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3563), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3566), 1,
      aux_sym_else_clause_token1,
    STATE(1679), 1,
      aux_sym_if_statement_repeat1,
    STATE(2095), 1,
      sym_else_if_clause,
    STATE(2181), 1,
      sym_else_clause,
  [53046] = 5,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_name,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(717), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53064] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(802), 1,
      sym_declaration_list,
    STATE(1827), 1,
      sym_base_clause,
    STATE(2316), 1,
      sym_class_interface_clause,
  [53086] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(558), 1,
      sym_declaration_list,
    STATE(1866), 1,
      sym_base_clause,
    STATE(2302), 1,
      sym_class_interface_clause,
  [53108] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(1831), 1,
      sym_base_clause,
    STATE(2194), 1,
      sym_declaration_list,
    STATE(2292), 1,
      sym_class_interface_clause,
  [53130] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3423), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53144] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(813), 1,
      sym_declaration_list,
    STATE(1838), 1,
      sym_base_clause,
    STATE(2285), 1,
      sym_class_interface_clause,
  [53166] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(935), 1,
      sym_declaration_list,
    STATE(1858), 1,
      sym_base_clause,
    STATE(2246), 1,
      sym_class_interface_clause,
  [53188] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3573), 1,
      anon_sym_BSLASHu,
    ACTIONS(3047), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53202] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(927), 1,
      sym_declaration_list,
    STATE(1844), 1,
      sym_base_clause,
    STATE(2242), 1,
      sym_class_interface_clause,
  [53224] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3575), 1,
      sym_name,
    STATE(2215), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2110), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53240] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3529), 1,
      sym_name,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(1826), 1,
      sym_named_type,
    STATE(1947), 1,
      sym_type_list,
    STATE(2523), 1,
      sym_namespace_name,
  [53262] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_LPAREN,
    STATE(766), 1,
      sym_arguments,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53278] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_LBRACE,
    ACTIONS(3549), 1,
      anon_sym_DOLLAR,
    ACTIONS(3577), 1,
      sym_name,
    STATE(1626), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53296] = 7,
    ACTIONS(1057), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3467), 1,
      aux_sym_else_clause_token1,
    STATE(1561), 1,
      aux_sym_if_statement_repeat1,
    STATE(2095), 1,
      sym_else_if_clause,
    STATE(2100), 1,
      sym_else_clause,
  [53318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_SQUOTE,
    ACTIONS(3581), 1,
      aux_sym_string_token2,
    ACTIONS(3584), 1,
      aux_sym_string_content_token1,
    STATE(1779), 1,
      aux_sym_string_content_repeat1,
    STATE(1625), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [53338] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_BSLASHu,
    ACTIONS(1638), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53352] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_declaration_list,
    STATE(1804), 1,
      sym_base_clause,
    STATE(2376), 1,
      sym_class_interface_clause,
  [53374] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3421), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53388] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(932), 1,
      sym_declaration_list,
    STATE(1861), 1,
      sym_base_clause,
    STATE(2323), 1,
      sym_class_interface_clause,
  [53410] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3421), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53424] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3587), 1,
      anon_sym_BSLASHu,
    ACTIONS(2991), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53438] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 1,
      aux_sym_string_content_token1,
    ACTIONS(3589), 1,
      anon_sym_SQUOTE,
    ACTIONS(3591), 1,
      aux_sym_string_token2,
    STATE(1779), 1,
      aux_sym_string_content_repeat1,
    STATE(1572), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [53458] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASHu,
    ACTIONS(1710), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53472] = 5,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3593), 1,
      sym_name,
    ACTIONS(3595), 1,
      anon_sym_LBRACE,
    STATE(865), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53490] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN,
    STATE(728), 1,
      sym_arguments,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53506] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_LBRACE,
    ACTIONS(3555), 1,
      anon_sym_DOLLAR,
    ACTIONS(3597), 1,
      sym_name,
    STATE(1638), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53524] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(867), 1,
      sym_arguments,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53540] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_BSLASHu,
    ACTIONS(1638), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53554] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_BSLASHu,
    ACTIONS(3451), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53568] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_BSLASHu,
    ACTIONS(3447), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53582] = 5,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3599), 1,
      sym_name,
    ACTIONS(3601), 1,
      anon_sym_LBRACE,
    STATE(619), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53600] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_BSLASHu,
    ACTIONS(3437), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53614] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_LPAREN,
    STATE(889), 1,
      sym_arguments,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53630] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3605), 1,
      anon_sym_COLON,
    STATE(2036), 1,
      sym__return_type,
    ACTIONS(3603), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [53645] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3609), 1,
      anon_sym_EQ,
    STATE(2238), 1,
      sym_property_hook_list,
    ACTIONS(3607), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [53662] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3613), 1,
      anon_sym_COMMA,
    STATE(536), 1,
      sym__semicolon,
    STATE(1814), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3611), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3617), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3621), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53705] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3625), 1,
      anon_sym_BSLASH,
    STATE(1674), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3623), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [53720] = 6,
    ACTIONS(981), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1723), 1,
      sym_formal_parameters,
    STATE(2378), 1,
      sym_reference_modifier,
  [53739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1071), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53752] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3100), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [53763] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3629), 1,
      anon_sym_COMMA,
    STATE(546), 1,
      sym__semicolon,
    STATE(1806), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3627), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53780] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3218), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [53791] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3631), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3633), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3636), 1,
      aux_sym_else_clause_token1,
    STATE(1655), 1,
      aux_sym_if_statement_repeat2,
    STATE(2118), 1,
      sym_else_if_clause_2,
  [53810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3638), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3640), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53823] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3642), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3644), 1,
      anon_sym_LBRACE,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    STATE(2014), 1,
      sym_anonymous_function_use_clause,
    STATE(2425), 1,
      sym__return_type,
  [53842] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3642), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(3648), 1,
      anon_sym_LBRACE,
    STATE(1937), 1,
      sym_anonymous_function_use_clause,
    STATE(2533), 1,
      sym__return_type,
  [53861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3650), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3652), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53874] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(473), 1,
      sym__semicolon,
    STATE(1705), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3654), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53891] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(1810), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2140), 1,
      sym__semicolon,
    ACTIONS(3658), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1082), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53921] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3642), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(1885), 1,
      sym_anonymous_function_use_clause,
    STATE(2601), 1,
      sym__return_type,
  [53940] = 6,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3662), 1,
      sym_name,
    ACTIONS(3664), 1,
      anon_sym_BSLASH,
    STATE(471), 1,
      sym_compound_statement,
    STATE(1720), 1,
      sym_namespace_name,
  [53959] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3666), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [53970] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3668), 1,
      anon_sym_LBRACE,
    ACTIONS(3670), 1,
      anon_sym_COLON,
    STATE(484), 1,
      sym_enum_declaration_list,
    STATE(2363), 1,
      sym_class_interface_clause,
  [53989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3674), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54002] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_COMMA,
    STATE(1668), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3676), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3681), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3683), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54030] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(500), 1,
      sym__semicolon,
    STATE(1810), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3685), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3689), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3691), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3693), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54073] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3529), 1,
      sym_name,
    STATE(1445), 1,
      sym_qualified_name,
    STATE(2117), 1,
      sym_named_type,
    STATE(2523), 1,
      sym_namespace_name,
  [54092] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3625), 1,
      anon_sym_BSLASH,
    STATE(1764), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3695), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54107] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(1810), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2050), 1,
      sym__semicolon,
    ACTIONS(3697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54124] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3701), 1,
      anon_sym_EQ,
    STATE(2218), 1,
      sym_property_hook_list,
    ACTIONS(3699), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [54141] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(3703), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1952), 1,
      sym_reference_modifier,
    STATE(1960), 1,
      sym_variable_name,
  [54160] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3707), 1,
      anon_sym_EQ,
    STATE(2221), 1,
      sym_property_hook_list,
    ACTIONS(3705), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [54177] = 6,
    ACTIONS(1075), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1077), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3709), 1,
      aux_sym_else_if_clause_token1,
    STATE(1679), 1,
      aux_sym_if_statement_repeat1,
    STATE(2095), 1,
      sym_else_if_clause,
  [54196] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3642), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(3712), 1,
      anon_sym_LBRACE,
    STATE(1965), 1,
      sym_anonymous_function_use_clause,
    STATE(2480), 1,
      sym__return_type,
  [54215] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_PIPE,
    STATE(1730), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3285), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54230] = 6,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      sym_name,
    STATE(2049), 1,
      sym_final_modifier,
    STATE(2421), 1,
      sym_reference_modifier,
  [54249] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(566), 1,
      sym__semicolon,
    STATE(1769), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3718), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54266] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_PIPE,
    STATE(1726), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3240), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3724), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54294] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(1715), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2047), 1,
      sym__semicolon,
    ACTIONS(3726), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54311] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1361), 1,
      sym_compound_statement,
    STATE(1364), 1,
      sym__semicolon,
    ACTIONS(3728), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54328] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3732), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54354] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3222), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [54365] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3613), 1,
      anon_sym_COMMA,
    STATE(462), 1,
      sym__semicolon,
    STATE(1646), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3734), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54382] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(1727), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2050), 1,
      sym__semicolon,
    ACTIONS(3697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54399] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3736), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3738), 1,
      aux_sym_finally_clause_token1,
    STATE(441), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [54414] = 6,
    ACTIONS(981), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(2017), 1,
      sym_formal_parameters,
    STATE(2405), 1,
      sym_reference_modifier,
  [54433] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3740), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [54444] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3642), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(3742), 1,
      anon_sym_LBRACE,
    STATE(1879), 1,
      sym_anonymous_function_use_clause,
    STATE(2619), 1,
      sym__return_type,
  [54463] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3746), 1,
      anon_sym_COMMA,
    STATE(464), 1,
      sym__semicolon,
    STATE(1712), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3744), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54480] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_EQ,
    ACTIONS(3748), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [54493] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_EQ,
    STATE(2384), 1,
      sym_property_hook_list,
    ACTIONS(3752), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [54510] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3668), 1,
      anon_sym_LBRACE,
    ACTIONS(3756), 1,
      anon_sym_COLON,
    STATE(456), 1,
      sym_enum_declaration_list,
    STATE(2225), 1,
      sym_class_interface_clause,
  [54529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3758), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3760), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54542] = 3,
    ACTIONS(1096), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1094), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54555] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3642), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(3762), 1,
      anon_sym_LBRACE,
    STATE(1944), 1,
      sym_anonymous_function_use_clause,
    STATE(2515), 1,
      sym__return_type,
  [54574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3764), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3766), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54587] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(520), 1,
      sym__semicolon,
    STATE(1810), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3768), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54604] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3629), 1,
      anon_sym_COMMA,
    STATE(1806), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2028), 1,
      sym__semicolon,
    ACTIONS(3770), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54621] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3772), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [54632] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3605), 1,
      anon_sym_COLON,
    STATE(2139), 1,
      sym__return_type,
    ACTIONS(3774), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54647] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3625), 1,
      anon_sym_BSLASH,
    STATE(1762), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3776), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54662] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3746), 1,
      anon_sym_COMMA,
    STATE(1811), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2053), 1,
      sym__semicolon,
    ACTIONS(3778), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54679] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(520), 1,
      sym__semicolon,
    STATE(1745), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3768), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54696] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3746), 1,
      anon_sym_COMMA,
    STATE(540), 1,
      sym__semicolon,
    STATE(1811), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3780), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54713] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_PIPE,
    STATE(1721), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3289), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54728] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1373), 1,
      sym__semicolon,
    STATE(1376), 1,
      sym_compound_statement,
    ACTIONS(3782), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54745] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(1810), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2141), 1,
      sym__semicolon,
    ACTIONS(3784), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54762] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3613), 1,
      anon_sym_COMMA,
    STATE(1814), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2015), 1,
      sym__semicolon,
    ACTIONS(3786), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54779] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3790), 1,
      anon_sym_EQ,
    STATE(2381), 1,
      sym_property_hook_list,
    ACTIONS(3788), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [54796] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3792), 1,
      anon_sym_PIPE,
    STATE(1753), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3240), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [54811] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_PIPE,
    STATE(1763), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3285), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [54826] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(465), 1,
      sym_compound_statement,
    STATE(466), 1,
      sym__semicolon,
    ACTIONS(3796), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54843] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_PIPE,
    STATE(1730), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3270), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54858] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3798), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [54869] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3642), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(3800), 1,
      anon_sym_LBRACE,
    STATE(2163), 1,
      sym_anonymous_function_use_clause,
    STATE(2576), 1,
      sym__return_type,
  [54888] = 3,
    ACTIONS(1088), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1086), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54901] = 6,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3662), 1,
      sym_name,
    ACTIONS(3664), 1,
      anon_sym_BSLASH,
    STATE(1752), 1,
      sym_namespace_name,
    STATE(1986), 1,
      sym_compound_statement,
  [54920] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_PIPE,
    STATE(1726), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3250), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54935] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(1810), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2188), 1,
      sym__semicolon,
    ACTIONS(3805), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54952] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(1661), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2137), 1,
      sym__semicolon,
    ACTIONS(3807), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54969] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_AMP,
    STATE(1729), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3232), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54984] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3812), 1,
      anon_sym_PIPE,
    STATE(1730), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3246), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3817), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55012] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3821), 1,
      anon_sym_EQ,
    STATE(2393), 1,
      sym_property_hook_list,
    ACTIONS(3819), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [55029] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(3823), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3825), 1,
      anon_sym_DASH_GT,
    ACTIONS(3827), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3829), 1,
      anon_sym_LBRACK,
  [55048] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1956), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55061] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3831), 1,
      anon_sym_LBRACE,
    ACTIONS(3833), 1,
      anon_sym_COLON,
    STATE(2130), 1,
      sym_enum_declaration_list,
    STATE(2350), 1,
      sym_class_interface_clause,
  [55080] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_PIPE,
    STATE(1756), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3289), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55095] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3837), 1,
      anon_sym_EQ,
    STATE(2382), 1,
      sym_property_hook_list,
    ACTIONS(3835), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [55112] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1367), 1,
      sym__semicolon,
    STATE(1371), 1,
      sym_compound_statement,
    ACTIONS(3839), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3843), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55142] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3845), 1,
      sym_name,
    STATE(1899), 1,
      sym_visibility_modifier,
    ACTIONS(3847), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55157] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3613), 1,
      anon_sym_COMMA,
    STATE(1716), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1898), 1,
      sym__semicolon,
    ACTIONS(3849), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55174] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(477), 1,
      sym__semicolon,
    STATE(1670), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3851), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3853), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3855), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55204] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(3857), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2203), 1,
      sym_reference_modifier,
    STATE(2208), 1,
      sym_variable_name,
  [55223] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(492), 1,
      sym__semicolon,
    STATE(1810), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3859), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55240] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3746), 1,
      anon_sym_COMMA,
    STATE(1710), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1900), 1,
      sym__semicolon,
    ACTIONS(3861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55257] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3629), 1,
      anon_sym_COMMA,
    STATE(467), 1,
      sym__semicolon,
    STATE(1653), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3863), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3865), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3867), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55287] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_AMP,
    STATE(1729), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3236), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55302] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3871), 1,
      anon_sym_EQ,
    STATE(2404), 1,
      sym_property_hook_list,
    ACTIONS(3869), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [55319] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3875), 1,
      anon_sym_COMMA,
    STATE(1751), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3873), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55334] = 5,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1901), 1,
      sym_compound_statement,
    STATE(1904), 1,
      sym__semicolon,
    ACTIONS(3878), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55351] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_PIPE,
    STATE(1753), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3250), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55366] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3629), 1,
      anon_sym_COMMA,
    STATE(1706), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1908), 1,
      sym__semicolon,
    ACTIONS(3883), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3885), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3887), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55396] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_PIPE,
    STATE(1763), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3270), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55411] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(1675), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1920), 1,
      sym__semicolon,
    ACTIONS(3889), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55428] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3642), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(3891), 1,
      anon_sym_LBRACE,
    STATE(2010), 1,
      sym_anonymous_function_use_clause,
    STATE(2441), 1,
      sym__return_type,
  [55447] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1353), 1,
      sym__semicolon,
    STATE(1363), 1,
      sym_compound_statement,
    ACTIONS(3893), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55464] = 5,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(3895), 1,
      anon_sym_RPAREN,
    STATE(2359), 2,
      sym_variable_name,
      sym_by_ref,
  [55481] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3831), 1,
      anon_sym_LBRACE,
    ACTIONS(3897), 1,
      anon_sym_COLON,
    STATE(1928), 1,
      sym_enum_declaration_list,
    STATE(2403), 1,
      sym_class_interface_clause,
  [55500] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3625), 1,
      anon_sym_BSLASH,
    STATE(1764), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3623), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55515] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3899), 1,
      anon_sym_PIPE,
    STATE(1763), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3246), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55530] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3904), 1,
      anon_sym_BSLASH,
    STATE(1764), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3902), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55545] = 3,
    ACTIONS(1092), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1090), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [55558] = 5,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(3907), 1,
      anon_sym_RPAREN,
    STATE(2359), 2,
      sym_variable_name,
      sym_by_ref,
  [55575] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3357), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3359), 1,
      aux_sym_finally_clause_token1,
    STATE(1501), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [55590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3909), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3911), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55603] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(533), 1,
      sym__semicolon,
    STATE(1810), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3913), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55620] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1940), 1,
      sym_formal_parameters,
    STATE(2216), 1,
      sym_reference_modifier,
  [55636] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2129), 1,
      sym_declaration_list,
    STATE(2351), 1,
      sym_base_clause,
  [55652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3915), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3917), 1,
      sym__new_line,
    ACTIONS(3919), 1,
      sym_heredoc_end,
    STATE(2394), 1,
      sym_heredoc_body,
  [55668] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(1925), 1,
      sym_declaration_list,
    STATE(2408), 1,
      sym_base_clause,
  [55684] = 3,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(597), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [55696] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3921), 1,
      anon_sym_AMP,
    STATE(1775), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3232), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55710] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(2017), 1,
      sym_formal_parameters,
    STATE(2405), 1,
      sym_reference_modifier,
  [55726] = 4,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(2209), 2,
      sym_variable_name,
      sym_by_ref,
  [55740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 1,
      sym__new_line,
    ACTIONS(3924), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3926), 1,
      sym_heredoc_end,
    STATE(2260), 1,
      sym_heredoc_body,
  [55756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3930), 1,
      aux_sym_string_content_token1,
    STATE(1852), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3928), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [55770] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2062), 1,
      sym_declaration_list,
    STATE(2379), 1,
      sym_class_interface_clause,
  [55786] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3873), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [55796] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1663), 1,
      sym_formal_parameters,
    STATE(2245), 1,
      sym_reference_modifier,
  [55812] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1892), 1,
      sym_formal_parameters,
    STATE(2254), 1,
      sym_reference_modifier,
  [55828] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(791), 1,
      sym_declaration_list,
    STATE(2370), 1,
      sym_class_interface_clause,
  [55844] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2422), 1,
      sym_declare_directive,
    ACTIONS(3932), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [55856] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_PIPE,
    STATE(1786), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3934), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [55870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 1,
      sym__new_line,
    ACTIONS(3939), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3941), 1,
      sym_heredoc_end,
    STATE(2353), 1,
      sym_heredoc_body,
  [55886] = 4,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(2359), 2,
      sym_variable_name,
      sym_by_ref,
  [55900] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3943), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3945), 1,
      anon_sym_DASH_GT,
    ACTIONS(3947), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3949), 1,
      anon_sym_LBRACK,
  [55916] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    STATE(2276), 1,
      sym_arguments,
    ACTIONS(3951), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [55930] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3955), 1,
      anon_sym_EQ,
    STATE(1387), 1,
      sym__semicolon,
    ACTIONS(3953), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55944] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(488), 1,
      sym_declaration_list,
    STATE(2301), 1,
      sym_class_interface_clause,
  [55960] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3957), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [55970] = 4,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(1717), 2,
      sym_variable_name,
      sym_by_ref,
  [55984] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3902), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [55994] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3831), 1,
      anon_sym_LBRACE,
    STATE(2149), 1,
      sym_enum_declaration_list,
    STATE(2327), 1,
      sym_class_interface_clause,
  [56010] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(927), 1,
      sym_declaration_list,
    STATE(2242), 1,
      sym_class_interface_clause,
  [56026] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1696), 1,
      sym_formal_parameters,
    STATE(2217), 1,
      sym_reference_modifier,
  [56042] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_LPAREN,
    STATE(1976), 1,
      sym__semicolon,
    ACTIONS(3959), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56056] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3772), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56066] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(958), 1,
      sym_declaration_list,
    STATE(2377), 1,
      sym_class_interface_clause,
  [56082] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3798), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56092] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1746), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56104] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_declaration_list,
    STATE(2414), 1,
      sym_class_interface_clause,
  [56120] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(802), 1,
      sym_declaration_list,
    STATE(2316), 1,
      sym_class_interface_clause,
  [56136] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3965), 1,
      anon_sym_COMMA,
    STATE(1806), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3963), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56150] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_declaration_list,
    STATE(2313), 1,
      sym_class_interface_clause,
  [56166] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3968), 1,
      anon_sym_COMMA,
    STATE(1808), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3676), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56180] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3280), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56190] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    STATE(1810), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3971), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56204] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3978), 1,
      anon_sym_COMMA,
    STATE(1811), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3976), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56218] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2195), 1,
      sym_declaration_list,
    STATE(2294), 1,
      sym_class_interface_clause,
  [56234] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3250), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56244] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3983), 1,
      anon_sym_COMMA,
    STATE(1814), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3981), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56258] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2460), 1,
      sym_declare_directive,
    ACTIONS(3932), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56270] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3246), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56280] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3943), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3986), 1,
      anon_sym_DASH_GT,
    ACTIONS(3988), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3990), 1,
      anon_sym_LBRACK,
  [56296] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2187), 1,
      sym_declaration_list,
    STATE(2291), 1,
      sym_class_interface_clause,
  [56312] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3943), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3992), 1,
      anon_sym_DASH_GT,
    ACTIONS(3994), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3996), 1,
      anon_sym_LBRACK,
  [56328] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3232), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [56338] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4000), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3998), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56350] = 4,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(1678), 2,
      sym_variable_name,
      sym_by_ref,
  [56364] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1658), 1,
      sym_formal_parameters,
    STATE(2220), 1,
      sym_reference_modifier,
  [56380] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(813), 1,
      sym_declaration_list,
    STATE(2285), 1,
      sym_class_interface_clause,
  [56396] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_LPAREN,
    STATE(513), 1,
      sym__semicolon,
    ACTIONS(4002), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56410] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4008), 1,
      anon_sym_PIPE,
    STATE(1856), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4006), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56424] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_declaration_list,
    STATE(2284), 1,
      sym_class_interface_clause,
  [56440] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4012), 1,
      anon_sym_EQ,
    ACTIONS(4010), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56452] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(457), 1,
      sym_declaration_list,
    STATE(2228), 1,
      sym_base_clause,
  [56468] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3831), 1,
      anon_sym_LBRACE,
    STATE(2153), 1,
      sym_enum_declaration_list,
    STATE(2280), 1,
      sym_class_interface_clause,
  [56484] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2143), 1,
      sym_declaration_list,
    STATE(2278), 1,
      sym_class_interface_clause,
  [56500] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3943), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4014), 1,
      anon_sym_DASH_GT,
    ACTIONS(4016), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
  [56516] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1926), 1,
      sym_formal_parameters,
    STATE(2288), 1,
      sym_reference_modifier,
  [56532] = 4,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(1737), 2,
      sym_variable_name,
      sym_by_ref,
  [56546] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1832), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56556] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(765), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56568] = 5,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_EQ,
    ACTIONS(4022), 1,
      anon_sym_RPAREN,
    STATE(1968), 1,
      aux_sym__list_destructing_repeat1,
  [56584] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(819), 1,
      sym_declaration_list,
    STATE(2269), 1,
      sym_class_interface_clause,
  [56600] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3666), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56610] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4024), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [56620] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2459), 1,
      sym_declare_directive,
    ACTIONS(3932), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56632] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4026), 1,
      anon_sym_COMMA,
    STATE(1808), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(4028), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56646] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_EQ,
    STATE(1380), 1,
      sym__semicolon,
    ACTIONS(4030), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56660] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(933), 1,
      sym_declaration_list,
    STATE(2331), 1,
      sym_class_interface_clause,
  [56676] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_AMP,
    STATE(1775), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3236), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56690] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(935), 1,
      sym_declaration_list,
    STATE(2246), 1,
      sym_class_interface_clause,
  [56706] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2845), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4037), 1,
      aux_sym__namespace_use_type_token1,
    STATE(2385), 1,
      sym_static_modifier,
  [56722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4041), 1,
      sym_nowdoc_string,
    STATE(1868), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(4039), 2,
      sym_heredoc_end,
      sym__new_line,
  [56736] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1723), 1,
      sym_formal_parameters,
    STATE(2378), 1,
      sym_reference_modifier,
  [56752] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4026), 1,
      anon_sym_COMMA,
    STATE(1842), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(4043), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56766] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(541), 1,
      sym_declaration_list,
    STATE(2304), 1,
      sym_class_interface_clause,
  [56782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4047), 1,
      aux_sym_string_content_token1,
    STATE(1852), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(4045), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [56796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 1,
      sym__new_line,
    ACTIONS(4050), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4052), 1,
      sym_heredoc_end,
    STATE(2259), 1,
      sym_heredoc_body,
  [56812] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2579), 1,
      sym_declare_directive,
    ACTIONS(3932), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56824] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3943), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4054), 1,
      anon_sym_DASH_GT,
    ACTIONS(4056), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4058), 1,
      anon_sym_LBRACK,
  [56840] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4008), 1,
      anon_sym_PIPE,
    STATE(1786), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4060), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56854] = 4,
    ACTIONS(761), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(1750), 2,
      sym_variable_name,
      sym_by_ref,
  [56868] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(932), 1,
      sym_declaration_list,
    STATE(2323), 1,
      sym_class_interface_clause,
  [56884] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3676), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [56894] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3293), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56904] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(911), 1,
      sym_declaration_list,
    STATE(2237), 1,
      sym_class_interface_clause,
  [56920] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3943), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4062), 1,
      anon_sym_DASH_GT,
    ACTIONS(4064), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4066), 1,
      anon_sym_LBRACK,
  [56936] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_declaration_list,
    STATE(2322), 1,
      sym_base_clause,
  [56952] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3943), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4066), 1,
      anon_sym_LBRACK,
    ACTIONS(4068), 1,
      anon_sym_DASH_GT,
    ACTIONS(4070), 1,
      anon_sym_QMARK_DASH_GT,
  [56968] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3740), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56978] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(501), 1,
      sym_declaration_list,
    STATE(2409), 1,
      sym_class_interface_clause,
  [56994] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3668), 1,
      anon_sym_LBRACE,
    STATE(572), 1,
      sym_enum_declaration_list,
    STATE(2258), 1,
      sym_class_interface_clause,
  [57010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4074), 1,
      sym_nowdoc_string,
    STATE(1868), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(4072), 2,
      sym_heredoc_end,
      sym__new_line,
  [57024] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3668), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_enum_declaration_list,
    STATE(2412), 1,
      sym_class_interface_clause,
  [57040] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4079), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(4077), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [57052] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1931), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [57064] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1697), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [57076] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    STATE(895), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [57088] = 3,
    ACTIONS(1260), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1258), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57099] = 3,
    ACTIONS(1380), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1378), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57110] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4081), 1,
      anon_sym_EQ_GT,
    STATE(2529), 1,
      sym__return_type,
  [57123] = 4,
    ACTIONS(981), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    STATE(2358), 1,
      sym_parenthesized_expression,
  [57136] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(4083), 1,
      sym_name,
    STATE(2436), 1,
      sym_reference_modifier,
  [57149] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4085), 1,
      anon_sym_LBRACE,
    STATE(2522), 1,
      sym__return_type,
  [57162] = 3,
    ACTIONS(1132), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1130), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57173] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(4087), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [57184] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4091), 1,
      anon_sym_EQ_GT,
    STATE(2511), 1,
      sym__return_type,
  [57197] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3895), 1,
      anon_sym_RPAREN,
    ACTIONS(4093), 1,
      anon_sym_COMMA,
    STATE(2092), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [57210] = 3,
    ACTIONS(1128), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1126), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57221] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4095), 1,
      anon_sym_LBRACE,
    STATE(2510), 1,
      sym__return_type,
  [57234] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1540), 1,
      sym_property_element,
    STATE(1698), 1,
      sym_variable_name,
  [57247] = 4,
    ACTIONS(827), 1,
      anon_sym_RPAREN,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4097), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      aux_sym_arguments_repeat1,
  [57260] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4102), 1,
      anon_sym_RPAREN,
    STATE(1888), 1,
      aux_sym_array_creation_expression_repeat1,
  [57273] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1698), 1,
      sym_variable_name,
    STATE(1781), 1,
      sym_property_element,
  [57286] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(551), 1,
      sym__semicolon,
    ACTIONS(4104), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4106), 1,
      sym__new_line,
    ACTIONS(4108), 1,
      sym_heredoc_end,
    STATE(2411), 1,
      sym_nowdoc_body,
  [57310] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4110), 1,
      anon_sym_EQ_GT,
    STATE(2613), 1,
      sym__return_type,
  [57323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 1,
      sym__new_line,
    ACTIONS(4112), 1,
      sym_heredoc_end,
    STATE(2407), 1,
      sym_heredoc_body,
  [57336] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4026), 1,
      anon_sym_COMMA,
    ACTIONS(4114), 1,
      anon_sym_LBRACE,
    STATE(1808), 1,
      aux_sym_base_clause_repeat1,
  [57349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 1,
      sym__new_line,
    ACTIONS(4116), 1,
      sym_heredoc_end,
    STATE(2286), 1,
      sym_heredoc_body,
  [57362] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3676), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [57371] = 3,
    ACTIONS(1372), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1370), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57382] = 3,
    ACTIONS(1136), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1134), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57393] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4118), 1,
      sym_name,
    ACTIONS(4120), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57404] = 3,
    ACTIONS(1144), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1142), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57415] = 3,
    ACTIONS(1148), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1146), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57426] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(568), 1,
      sym__semicolon,
    ACTIONS(4122), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57437] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(472), 1,
      sym__semicolon,
    ACTIONS(4124), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57448] = 3,
    ACTIONS(1152), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1150), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57459] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3156), 1,
      anon_sym_RBRACK,
    ACTIONS(4126), 1,
      anon_sym_COMMA,
    STATE(1956), 1,
      aux_sym_attribute_group_repeat1,
  [57472] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4128), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(4077), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57483] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(565), 1,
      sym__semicolon,
    ACTIONS(4130), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57494] = 3,
    ACTIONS(1156), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1154), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57505] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4132), 1,
      anon_sym_COMMA,
    ACTIONS(4135), 1,
      anon_sym_RBRACK,
    STATE(1909), 1,
      aux_sym__array_destructing_repeat1,
  [57518] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(562), 1,
      sym__semicolon,
    ACTIONS(4137), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57529] = 4,
    ACTIONS(879), 1,
      anon_sym_RBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym_array_creation_expression_repeat1,
  [57542] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_COMMA,
    ACTIONS(4143), 1,
      anon_sym_RBRACK,
    STATE(1909), 1,
      aux_sym__array_destructing_repeat1,
  [57555] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(552), 1,
      sym__semicolon,
    ACTIONS(4145), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57566] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(550), 1,
      sym__semicolon,
    ACTIONS(4147), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57577] = 3,
    ACTIONS(1160), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1158), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57588] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_RPAREN,
    ACTIONS(4149), 1,
      anon_sym_COMMA,
    STATE(1916), 1,
      aux_sym_unset_statement_repeat1,
  [57601] = 4,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_RPAREN,
    STATE(1967), 1,
      aux_sym__list_destructing_repeat1,
  [57614] = 4,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_RPAREN,
    STATE(1997), 1,
      aux_sym__list_destructing_repeat1,
  [57627] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(539), 1,
      sym__semicolon,
    ACTIONS(4152), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57638] = 3,
    ACTIONS(1180), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1178), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57649] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4154), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [57658] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(455), 1,
      sym__semicolon,
    ACTIONS(4156), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57669] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(463), 1,
      sym__semicolon,
    ACTIONS(4158), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57680] = 3,
    ACTIONS(1196), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1194), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57691] = 3,
    ACTIONS(1212), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1210), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57702] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4160), 1,
      anon_sym_EQ_GT,
    STATE(2637), 1,
      sym__return_type,
  [57715] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4162), 1,
      anon_sym_DQUOTE,
    ACTIONS(4164), 1,
      anon_sym_SQUOTE,
    ACTIONS(4166), 1,
      sym_heredoc_start,
  [57728] = 3,
    ACTIONS(1216), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1214), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57739] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1528), 1,
      sym_property_element,
    STATE(1698), 1,
      sym_variable_name,
  [57752] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3981), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [57761] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3976), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [57770] = 3,
    ACTIONS(1220), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1218), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57781] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4168), 1,
      sym_name,
    ACTIONS(4170), 1,
      anon_sym_LBRACE,
    STATE(2275), 1,
      sym_namespace_use_group,
  [57794] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3963), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [57803] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4172), 1,
      anon_sym_EQ_GT,
    STATE(2423), 1,
      sym__return_type,
  [57816] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4174), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [57825] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4176), 1,
      anon_sym_LBRACE,
    STATE(2424), 1,
      sym__return_type,
  [57838] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4180), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4178), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [57849] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(496), 1,
      sym__semicolon,
    ACTIONS(4182), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57860] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4184), 1,
      anon_sym_EQ_GT,
    STATE(2536), 1,
      sym__return_type,
  [57873] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4186), 1,
      anon_sym_COMMA,
    ACTIONS(4189), 1,
      anon_sym_RBRACE,
    STATE(1941), 1,
      aux_sym_match_block_repeat1,
  [57886] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_COMMA,
    ACTIONS(4193), 1,
      anon_sym_RBRACE,
    STATE(2029), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [57899] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2077), 1,
      sym__semicolon,
    ACTIONS(4195), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57910] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4197), 1,
      anon_sym_LBRACE,
    STATE(2430), 1,
      sym__return_type,
  [57923] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(512), 1,
      sym__semicolon,
    ACTIONS(4199), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57934] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4203), 1,
      anon_sym_EQ,
    ACTIONS(4201), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [57945] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(4205), 1,
      anon_sym_RPAREN,
    STATE(2542), 1,
      sym_variable_name,
  [57958] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_RPAREN,
    ACTIONS(4207), 1,
      anon_sym_COMMA,
    STATE(2075), 1,
      aux_sym_formal_parameters_repeat1,
  [57971] = 3,
    ACTIONS(1336), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1334), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57982] = 3,
    ACTIONS(1344), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1342), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57993] = 3,
    ACTIONS(1348), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1346), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58004] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(4209), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2110), 1,
      sym_variable_name,
  [58017] = 3,
    ACTIONS(1100), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1098), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58028] = 3,
    ACTIONS(1364), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1362), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58039] = 3,
    ACTIONS(1184), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1182), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58050] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4211), 1,
      anon_sym_COMMA,
    ACTIONS(4214), 1,
      anon_sym_RBRACK,
    STATE(1956), 1,
      aux_sym_attribute_group_repeat1,
  [58063] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4102), 1,
      anon_sym_RBRACK,
    ACTIONS(4216), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym_array_creation_expression_repeat1,
  [58076] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4102), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [58085] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_EQ,
    ACTIONS(4219), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58096] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4223), 1,
      anon_sym_EQ,
    ACTIONS(4221), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58107] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(454), 1,
      sym__semicolon,
    ACTIONS(4225), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58118] = 3,
    ACTIONS(1480), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1478), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58129] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(4227), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2122), 1,
      sym_variable_name,
  [58142] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4231), 1,
      anon_sym_EQ,
    ACTIONS(4229), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58153] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4233), 1,
      anon_sym_LBRACE,
    STATE(2634), 1,
      sym__return_type,
  [58166] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1915), 1,
      sym__semicolon,
    ACTIONS(4235), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58177] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1800), 1,
      anon_sym_RPAREN,
    ACTIONS(4237), 1,
      anon_sym_COMMA,
    STATE(1967), 1,
      aux_sym__list_destructing_repeat1,
  [58190] = 4,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_RPAREN,
    STATE(1967), 1,
      aux_sym__list_destructing_repeat1,
  [58203] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(468), 1,
      sym__semicolon,
    ACTIONS(4242), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58214] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    STATE(2520), 1,
      sym__return_type,
  [58227] = 3,
    ACTIONS(1288), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1286), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58238] = 3,
    ACTIONS(1252), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1250), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58249] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4244), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [58258] = 3,
    ACTIONS(1324), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1322), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58269] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1949), 1,
      sym__semicolon,
    ACTIONS(4246), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58280] = 3,
    ACTIONS(1332), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1330), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58291] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(576), 1,
      sym__semicolon,
    ACTIONS(4248), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58302] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4250), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [58311] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2026), 1,
      sym__semicolon,
    ACTIONS(4252), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58322] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4254), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58331] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3297), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58340] = 4,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4256), 1,
      anon_sym_RPAREN,
    STATE(1967), 1,
      aux_sym__list_destructing_repeat1,
  [58353] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_COMMA,
    ACTIONS(4258), 1,
      anon_sym_RBRACE,
    STATE(1942), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [58366] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4260), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3998), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58377] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      anon_sym_COLON,
    STATE(1955), 1,
      sym_switch_block,
  [58390] = 3,
    ACTIONS(1172), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1170), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58401] = 3,
    ACTIONS(1396), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1394), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58412] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1987), 1,
      sym__semicolon,
    ACTIONS(4266), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58423] = 3,
    ACTIONS(1400), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1398), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58434] = 3,
    ACTIONS(1416), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1414), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58445] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_COMMA,
    ACTIONS(4270), 1,
      anon_sym_RBRACK,
    STATE(2041), 1,
      aux_sym_array_creation_expression_repeat1,
  [58458] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4272), 1,
      anon_sym_COMMA,
    ACTIONS(4274), 1,
      anon_sym_RBRACK,
    STATE(2043), 1,
      aux_sym_attribute_group_repeat1,
  [58471] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(575), 1,
      sym__semicolon,
    ACTIONS(4276), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58482] = 3,
    ACTIONS(1420), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58493] = 3,
    ACTIONS(1428), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1426), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58504] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(574), 1,
      sym__semicolon,
    ACTIONS(4278), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58515] = 4,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4280), 1,
      anon_sym_RPAREN,
    STATE(1967), 1,
      aux_sym__list_destructing_repeat1,
  [58528] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4282), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [58537] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1989), 1,
      sym__semicolon,
    ACTIONS(4284), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58548] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_EQ,
    ACTIONS(4286), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58559] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(528), 1,
      sym__semicolon,
    ACTIONS(4288), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58570] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1990), 1,
      sym__semicolon,
    ACTIONS(4290), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58581] = 3,
    ACTIONS(1436), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1434), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58592] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1994), 1,
      sym__semicolon,
    ACTIONS(4292), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58603] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_COMMA,
    ACTIONS(4296), 1,
      anon_sym_RPAREN,
    STATE(2214), 1,
      aux_sym_array_creation_expression_repeat1,
  [58616] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4298), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [58625] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(530), 1,
      sym__semicolon,
    ACTIONS(4300), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58636] = 3,
    ACTIONS(1488), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1486), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58647] = 4,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_RPAREN,
    STATE(1967), 1,
      aux_sym__list_destructing_repeat1,
  [58660] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4304), 1,
      anon_sym_LBRACE,
    STATE(2417), 1,
      sym__return_type,
  [58673] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    ACTIONS(4308), 1,
      anon_sym_RPAREN,
    STATE(2064), 1,
      aux_sym_formal_parameters_repeat1,
  [58686] = 3,
    ACTIONS(1384), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1382), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58697] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_COMMA,
    ACTIONS(4313), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym_arguments_repeat1,
  [58710] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4315), 1,
      anon_sym_LBRACE,
    STATE(2622), 1,
      sym__return_type,
  [58723] = 3,
    ACTIONS(1424), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1422), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58734] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1377), 1,
      sym__semicolon,
    ACTIONS(4317), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58745] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4319), 1,
      anon_sym_EQ_GT,
    STATE(2434), 1,
      sym__return_type,
  [58758] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1995), 1,
      sym__semicolon,
    ACTIONS(4321), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58769] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(508), 1,
      sym__semicolon,
    ACTIONS(4323), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58780] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3236), 1,
      anon_sym_DOLLAR,
    ACTIONS(4325), 1,
      anon_sym_AMP,
    STATE(1464), 1,
      aux_sym_intersection_type_repeat1,
  [58793] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4328), 1,
      anon_sym_COMMA,
    ACTIONS(4330), 1,
      anon_sym_RPAREN,
    STATE(2070), 1,
      aux_sym_array_creation_expression_repeat1,
  [58806] = 3,
    ACTIONS(1528), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1526), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58817] = 3,
    ACTIONS(1540), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1538), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58828] = 3,
    ACTIONS(1552), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1550), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58839] = 3,
    ACTIONS(1484), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1482), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58850] = 3,
    ACTIONS(1312), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1310), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58861] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(514), 1,
      sym__semicolon,
    ACTIONS(4332), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58872] = 3,
    ACTIONS(1464), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1462), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58883] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3963), 1,
      anon_sym_RBRACE,
    ACTIONS(4334), 1,
      anon_sym_COMMA,
    STATE(2029), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [58896] = 3,
    ACTIONS(1268), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1266), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58907] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4337), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58916] = 3,
    ACTIONS(1188), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1186), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58927] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2003), 1,
      sym__semicolon,
    ACTIONS(4339), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58938] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4341), 1,
      anon_sym_LBRACE,
    ACTIONS(4343), 1,
      anon_sym_COLON,
    STATE(475), 1,
      sym_switch_block,
  [58951] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1962), 1,
      sym__semicolon,
    ACTIONS(4345), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58962] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4347), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58971] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2008), 1,
      sym__semicolon,
    ACTIONS(4349), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58982] = 3,
    ACTIONS(1328), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1326), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58993] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2022), 1,
      sym__semicolon,
    ACTIONS(4351), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59004] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4353), 1,
      anon_sym_EQ_GT,
    STATE(2646), 1,
      sym__return_type,
  [59017] = 4,
    ACTIONS(875), 1,
      anon_sym_RBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4355), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym_array_creation_expression_repeat1,
  [59030] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2023), 1,
      sym__semicolon,
    ACTIONS(4357), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59041] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3200), 1,
      anon_sym_RBRACK,
    ACTIONS(4359), 1,
      anon_sym_COMMA,
    STATE(1956), 1,
      aux_sym_attribute_group_repeat1,
  [59054] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(543), 1,
      sym__semicolon,
    ACTIONS(4361), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59065] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_EQ_GT,
    ACTIONS(4363), 1,
      anon_sym_COMMA,
    STATE(2045), 1,
      aux_sym_match_condition_list_repeat1,
  [59078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 1,
      sym__new_line,
    ACTIONS(4366), 1,
      sym_heredoc_end,
    STATE(2356), 1,
      sym_heredoc_body,
  [59091] = 3,
    ACTIONS(1544), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1542), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59102] = 3,
    ACTIONS(1584), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1582), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59113] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_AMP,
    ACTIONS(4368), 1,
      sym_name,
    STATE(2475), 1,
      sym_reference_modifier,
  [59126] = 3,
    ACTIONS(1360), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1358), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59137] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4370), 1,
      anon_sym_COMMA,
    ACTIONS(4372), 1,
      anon_sym_RPAREN,
    STATE(2098), 1,
      aux_sym_arguments_repeat1,
  [59150] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2024), 1,
      sym__semicolon,
    ACTIONS(4374), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59161] = 3,
    ACTIONS(1440), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1438), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59172] = 3,
    ACTIONS(1580), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1578), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59183] = 3,
    ACTIONS(1492), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1490), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59194] = 3,
    ACTIONS(1576), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1574), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59205] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2025), 1,
      sym__semicolon,
    ACTIONS(4376), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59216] = 3,
    ACTIONS(1560), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1558), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59227] = 3,
    ACTIONS(1476), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1474), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59238] = 3,
    ACTIONS(1532), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1530), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59249] = 3,
    ACTIONS(1524), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1522), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59260] = 3,
    ACTIONS(1448), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1446), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59271] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4378), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59280] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_RPAREN,
    ACTIONS(4380), 1,
      anon_sym_COMMA,
    STATE(2075), 1,
      aux_sym_formal_parameters_repeat1,
  [59293] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_EQ,
    ACTIONS(4382), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59304] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_COMMA,
    ACTIONS(4384), 1,
      anon_sym_RBRACK,
    STATE(1912), 1,
      aux_sym__array_destructing_repeat1,
  [59317] = 3,
    ACTIONS(1520), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1518), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59328] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_COMMA,
    ACTIONS(4388), 1,
      anon_sym_RBRACK,
    STATE(1911), 1,
      aux_sym_array_creation_expression_repeat1,
  [59341] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2038), 1,
      sym__semicolon,
    ACTIONS(4390), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59352] = 4,
    ACTIONS(877), 1,
      anon_sym_RPAREN,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4392), 1,
      anon_sym_COMMA,
    STATE(1888), 1,
      aux_sym_array_creation_expression_repeat1,
  [59365] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_COMMA,
    ACTIONS(4384), 1,
      anon_sym_RBRACK,
    STATE(1909), 1,
      aux_sym__array_destructing_repeat1,
  [59378] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_RPAREN,
    ACTIONS(4394), 1,
      anon_sym_COMMA,
    STATE(1916), 1,
      aux_sym_unset_statement_repeat1,
  [59391] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    ACTIONS(4398), 1,
      anon_sym_RBRACK,
    STATE(1905), 1,
      aux_sym_attribute_group_repeat1,
  [59404] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(499), 1,
      sym__semicolon,
    ACTIONS(3505), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59415] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_COMMA,
    ACTIONS(4403), 1,
      anon_sym_RPAREN,
    STATE(2075), 1,
      aux_sym_formal_parameters_repeat1,
  [59428] = 3,
    ACTIONS(1472), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1470), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59439] = 3,
    ACTIONS(1392), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1390), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59450] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4407), 1,
      anon_sym_RBRACE,
    STATE(2121), 1,
      aux_sym_match_block_repeat1,
  [59463] = 3,
    ACTIONS(1468), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1466), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59474] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2048), 1,
      sym__semicolon,
    ACTIONS(4409), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59485] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2054), 1,
      sym__semicolon,
    ACTIONS(4411), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59496] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2156), 1,
      sym__semicolon,
    ACTIONS(4413), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59507] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2056), 1,
      sym__semicolon,
    ACTIONS(4415), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59518] = 3,
    ACTIONS(1408), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1406), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59529] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(4417), 1,
      anon_sym_RPAREN,
    STATE(2451), 1,
      sym_variable_name,
  [59542] = 3,
    ACTIONS(1356), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1354), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59553] = 3,
    ACTIONS(1340), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1338), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59564] = 3,
    ACTIONS(1316), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1314), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59575] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2158), 1,
      sym__semicolon,
    ACTIONS(4419), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59586] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(537), 1,
      sym__semicolon,
    ACTIONS(4421), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59597] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2162), 1,
      sym__semicolon,
    ACTIONS(4423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59608] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4425), 1,
      anon_sym_COMMA,
    ACTIONS(4428), 1,
      anon_sym_RPAREN,
    STATE(2092), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [59621] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2166), 1,
      sym__semicolon,
    ACTIONS(4430), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 1,
      sym__new_line,
    ACTIONS(4432), 1,
      sym_heredoc_end,
    STATE(2297), 1,
      sym_heredoc_body,
  [59645] = 3,
    ACTIONS(1308), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1306), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4106), 1,
      sym__new_line,
    ACTIONS(4434), 1,
      sym_heredoc_end,
    STATE(2295), 1,
      sym_nowdoc_body,
  [59669] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(535), 1,
      sym__semicolon,
    ACTIONS(4436), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59680] = 4,
    ACTIONS(815), 1,
      anon_sym_RPAREN,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      aux_sym_arguments_repeat1,
  [59693] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(527), 1,
      sym__semicolon,
    ACTIONS(4440), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59704] = 3,
    ACTIONS(1304), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1302), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59715] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1345), 1,
      sym__semicolon,
    ACTIONS(4442), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59726] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2182), 1,
      sym__semicolon,
    ACTIONS(4444), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59737] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(534), 1,
      sym__semicolon,
    ACTIONS(4446), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59748] = 3,
    ACTIONS(1208), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1206), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59759] = 3,
    ACTIONS(1264), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1262), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59770] = 3,
    ACTIONS(1256), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1254), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59781] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2189), 1,
      sym__semicolon,
    ACTIONS(3539), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59792] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3971), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59801] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4448), 1,
      anon_sym_COMMA,
    ACTIONS(4450), 1,
      anon_sym_RBRACE,
    STATE(2211), 1,
      aux_sym_match_block_repeat1,
  [59814] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4454), 1,
      anon_sym_EQ,
    ACTIONS(4452), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59825] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1388), 1,
      sym__semicolon,
    ACTIONS(4456), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59836] = 3,
    ACTIONS(1244), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1242), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59847] = 3,
    ACTIONS(1548), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1546), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59858] = 3,
    ACTIONS(1240), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1238), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59869] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(519), 1,
      sym__semicolon,
    ACTIONS(4458), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59880] = 3,
    ACTIONS(1228), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1226), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59891] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3934), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59900] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4460), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [59911] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(532), 1,
      sym__semicolon,
    ACTIONS(4464), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59922] = 3,
    ACTIONS(1224), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1222), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59933] = 4,
    ACTIONS(892), 1,
      anon_sym_RBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_COMMA,
    STATE(1941), 1,
      aux_sym_match_block_repeat1,
  [59946] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4470), 1,
      anon_sym_EQ,
    ACTIONS(4468), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59957] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4472), 1,
      anon_sym_DQUOTE,
    ACTIONS(4474), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      sym_heredoc_start,
  [59970] = 3,
    ACTIONS(1204), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59981] = 3,
    ACTIONS(1200), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1198), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59992] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2084), 1,
      sym__semicolon,
    ACTIONS(4478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60003] = 3,
    ACTIONS(1504), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1502), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60014] = 3,
    ACTIONS(1120), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1118), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60025] = 3,
    ACTIONS(1116), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1114), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60036] = 3,
    ACTIONS(1112), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1110), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60047] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2086), 1,
      sym__semicolon,
    ACTIONS(4480), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60058] = 3,
    ACTIONS(1140), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1138), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60069] = 3,
    ACTIONS(1352), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1350), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60080] = 3,
    ACTIONS(1108), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1106), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60091] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(544), 1,
      sym__semicolon,
    ACTIONS(4482), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60102] = 3,
    ACTIONS(1168), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1166), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60113] = 3,
    ACTIONS(1192), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1190), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60124] = 3,
    ACTIONS(1272), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1270), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60135] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4484), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60144] = 3,
    ACTIONS(1280), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1278), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60155] = 3,
    ACTIONS(1412), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1410), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60166] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(545), 1,
      sym__semicolon,
    ACTIONS(4486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60177] = 3,
    ACTIONS(1284), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1282), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60188] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4488), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60197] = 4,
    ACTIONS(833), 1,
      anon_sym_RPAREN,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4490), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      aux_sym_arguments_repeat1,
  [60210] = 3,
    ACTIONS(1292), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1290), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60221] = 4,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3333), 1,
      anon_sym_RPAREN,
    STATE(1982), 1,
      aux_sym__list_destructing_repeat1,
  [60234] = 3,
    ACTIONS(1572), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1570), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60245] = 3,
    ACTIONS(1568), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1566), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60256] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_COMMA,
    ACTIONS(4494), 1,
      anon_sym_RPAREN,
    STATE(2145), 1,
      aux_sym_arguments_repeat1,
  [60269] = 4,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_RPAREN,
    STATE(2009), 1,
      aux_sym__list_destructing_repeat1,
  [60282] = 3,
    ACTIONS(1556), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1554), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60293] = 3,
    ACTIONS(1300), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1298), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60304] = 3,
    ACTIONS(1320), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1318), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60315] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2105), 1,
      sym__semicolon,
    ACTIONS(4498), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60326] = 3,
    ACTIONS(1536), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1534), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60337] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2180), 1,
      sym__semicolon,
    ACTIONS(4500), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60348] = 3,
    ACTIONS(1516), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1514), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60359] = 3,
    ACTIONS(1496), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1494), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60370] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_AMP,
    ACTIONS(4502), 1,
      anon_sym_RPAREN,
    STATE(1452), 1,
      aux_sym_intersection_type_repeat1,
  [60383] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    STATE(2462), 1,
      sym__return_type,
  [60396] = 3,
    ACTIONS(1460), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1458), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60407] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    STATE(2474), 1,
      sym__return_type,
  [60420] = 3,
    ACTIONS(1388), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1386), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60431] = 4,
    ACTIONS(829), 1,
      anon_sym_RPAREN,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4506), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      aux_sym_arguments_repeat1,
  [60444] = 3,
    ACTIONS(1456), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1454), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60455] = 3,
    ACTIONS(1452), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1450), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60466] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_EQ,
    ACTIONS(4508), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60477] = 3,
    ACTIONS(1500), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1498), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60488] = 3,
    ACTIONS(1508), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1506), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60499] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_COMMA,
    ACTIONS(4514), 1,
      anon_sym_RPAREN,
    STATE(1948), 1,
      aux_sym_formal_parameters_repeat1,
  [60512] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_COMMA,
    ACTIONS(4518), 1,
      anon_sym_RPAREN,
    STATE(1887), 1,
      aux_sym_arguments_repeat1,
  [60525] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(529), 1,
      sym__semicolon,
    ACTIONS(4520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60536] = 3,
    ACTIONS(1432), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1430), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60547] = 3,
    ACTIONS(1296), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1294), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60558] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2132), 1,
      sym__semicolon,
    ACTIONS(4522), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60569] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2134), 1,
      sym__semicolon,
    ACTIONS(4524), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60580] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(4526), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1946), 1,
      sym_variable_name,
  [60593] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_COMMA,
    ACTIONS(4530), 1,
      anon_sym_RPAREN,
    STATE(2165), 1,
      aux_sym_arguments_repeat1,
  [60606] = 3,
    ACTIONS(1176), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1174), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60617] = 3,
    ACTIONS(1376), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1374), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60628] = 3,
    ACTIONS(1104), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1102), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60639] = 3,
    ACTIONS(1124), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1122), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60650] = 3,
    ACTIONS(1164), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1162), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60661] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2167), 1,
      sym__semicolon,
    ACTIONS(4532), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60672] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2164), 1,
      sym__semicolon,
    ACTIONS(4534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60683] = 3,
    ACTIONS(1232), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1230), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60694] = 3,
    ACTIONS(1248), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1246), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60705] = 3,
    ACTIONS(1276), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1274), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60716] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_RPAREN,
    ACTIONS(4536), 1,
      anon_sym_COMMA,
    STATE(1916), 1,
      aux_sym_unset_statement_repeat1,
  [60729] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2154), 1,
      sym__semicolon,
    ACTIONS(4538), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60740] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4168), 1,
      sym_name,
    ACTIONS(4170), 1,
      anon_sym_LBRACE,
    STATE(2303), 1,
      sym_namespace_use_group,
  [60753] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(510), 1,
      sym__semicolon,
    ACTIONS(4540), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60764] = 3,
    ACTIONS(1512), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1510), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60775] = 3,
    ACTIONS(1444), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1442), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60786] = 4,
    ACTIONS(821), 1,
      anon_sym_RPAREN,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      aux_sym_arguments_repeat1,
  [60799] = 3,
    ACTIONS(1404), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1402), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60810] = 4,
    ACTIONS(1019), 1,
      anon_sym_EQ_GT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4544), 1,
      anon_sym_COMMA,
    STATE(2045), 1,
      aux_sym_match_condition_list_repeat1,
  [60823] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_COMMA,
    ACTIONS(4548), 1,
      anon_sym_RPAREN,
    STATE(2196), 1,
      aux_sym_arguments_repeat1,
  [60836] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4550), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60845] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1828), 1,
      sym_variable_name,
    STATE(1930), 1,
      sym_static_variable_declaration,
  [60858] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_COMMA,
    ACTIONS(4554), 1,
      anon_sym_RPAREN,
    STATE(2210), 1,
      aux_sym_arguments_repeat1,
  [60871] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    ACTIONS(4556), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1881), 1,
      sym_variable_name,
  [60884] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(559), 1,
      sym__semicolon,
    ACTIONS(4558), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60895] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(564), 1,
      sym__semicolon,
    ACTIONS(4560), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60906] = 3,
    ACTIONS(1368), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1366), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60917] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2788), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [60926] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_EQ,
    ACTIONS(4562), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60937] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4566), 1,
      anon_sym_COMMA,
    ACTIONS(4568), 1,
      anon_sym_RPAREN,
    STATE(1883), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60950] = 4,
    ACTIONS(817), 1,
      anon_sym_RPAREN,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4570), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      aux_sym_arguments_repeat1,
  [60963] = 4,
    ACTIONS(890), 1,
      anon_sym_RBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4572), 1,
      anon_sym_COMMA,
    STATE(1941), 1,
      aux_sym_match_block_repeat1,
  [60976] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4574), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60985] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4026), 1,
      anon_sym_COMMA,
    ACTIONS(4576), 1,
      anon_sym_LBRACE,
    STATE(1894), 1,
      aux_sym_base_clause_repeat1,
  [60998] = 4,
    ACTIONS(857), 1,
      anon_sym_RPAREN,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    STATE(1888), 1,
      aux_sym_array_creation_expression_repeat1,
  [61011] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    STATE(1708), 1,
      sym_formal_parameters,
  [61021] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1935), 1,
      sym_formal_parameters,
  [61031] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1703), 1,
      sym_formal_parameters,
  [61041] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4580), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61049] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_LPAREN,
    STATE(889), 1,
      sym_arguments,
  [61059] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1657), 1,
      sym_formal_parameters,
  [61069] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61077] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3102), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61085] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(541), 1,
      sym_declaration_list,
  [61095] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61103] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_enum_declaration_list,
  [61113] = 3,
    ACTIONS(981), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_LPAREN,
  [61123] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4586), 2,
      anon_sym_string,
      anon_sym_int,
  [61131] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(522), 1,
      sym_declaration_list,
  [61141] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4588), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61149] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(849), 1,
      sym_arguments,
  [61159] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61167] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4592), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61175] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4594), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61183] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(2329), 1,
      sym_variable_name,
  [61193] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_LPAREN,
    STATE(938), 1,
      sym_arguments,
  [61203] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4596), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61211] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_declaration_list,
  [61221] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4598), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61229] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(2240), 1,
      sym_variable_name,
  [61239] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4600), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61247] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(2374), 1,
      sym_variable_name,
  [61257] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_declaration_list,
  [61267] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61275] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4602), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61283] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1758), 1,
      sym_formal_parameters,
  [61293] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(932), 1,
      sym_declaration_list,
  [61303] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_BSLASH,
    STATE(2247), 1,
      aux_sym_namespace_name_repeat1,
  [61313] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4607), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61321] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN,
    STATE(728), 1,
      sym_arguments,
  [61331] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2530), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61339] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4609), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61347] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2556), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61355] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(526), 1,
      sym_compound_statement,
  [61365] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1882), 1,
      sym_formal_parameters,
  [61375] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(867), 1,
      sym_arguments,
  [61385] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(2307), 1,
      sym_variable_name,
  [61395] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_LPAREN,
    STATE(77), 1,
      sym_parenthesized_expression,
  [61405] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_enum_declaration_list,
  [61415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4613), 1,
      sym__new_line,
    ACTIONS(4615), 1,
      sym_heredoc_end,
  [61425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4617), 1,
      sym__new_line,
    ACTIONS(4619), 1,
      sym_heredoc_end,
  [61435] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN,
    STATE(725), 1,
      sym_arguments,
  [61445] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4621), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61453] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4623), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61461] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1970), 1,
      sym_formal_parameters,
  [61471] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4120), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61479] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4625), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61487] = 3,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1693), 1,
      sym_compound_statement,
  [61497] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_LPAREN,
    STATE(57), 1,
      sym_parenthesized_expression,
  [61507] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(823), 1,
      sym_declaration_list,
  [61517] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_LPAREN,
    STATE(76), 1,
      sym_parenthesized_expression,
  [61527] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_LPAREN,
    STATE(91), 1,
      sym_parenthesized_expression,
  [61537] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_LPAREN,
    STATE(766), 1,
      sym_arguments,
  [61547] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    STATE(2396), 1,
      sym_parenthesized_expression,
  [61557] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    STATE(2034), 1,
      sym_parenthesized_expression,
  [61567] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4627), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61575] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4629), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61583] = 3,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1724), 1,
      sym_compound_statement,
  [61593] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2087), 1,
      sym_declaration_list,
  [61603] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4135), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61611] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_LBRACE,
    STATE(2088), 1,
      sym_enum_declaration_list,
  [61621] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_LPAREN,
    STATE(749), 1,
      sym_arguments,
  [61631] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    STATE(773), 1,
      sym_arguments,
  [61641] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_LPAREN,
    STATE(617), 1,
      sym_arguments,
  [61651] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(820), 1,
      sym_declaration_list,
  [61661] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(819), 1,
      sym_declaration_list,
  [61671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4631), 1,
      sym__new_line,
    ACTIONS(4633), 1,
      sym_heredoc_end,
  [61681] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(458), 1,
      sym_declaration_list,
  [61691] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1876), 1,
      sym_formal_parameters,
  [61701] = 3,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1702), 1,
      sym_compound_statement,
  [61711] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4254), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61719] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2138), 1,
      sym_declaration_list,
  [61729] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2143), 1,
      sym_declaration_list,
  [61739] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4219), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61747] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2146), 1,
      sym_declaration_list,
  [61757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4635), 1,
      sym__new_line,
    ACTIONS(4637), 1,
      sym_heredoc_end,
  [61767] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(958), 1,
      sym_declaration_list,
  [61777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4639), 1,
      sym__new_line,
    ACTIONS(4641), 1,
      sym_heredoc_end,
  [61787] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4643), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_compound_statement,
  [61797] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_LPAREN,
    STATE(112), 1,
      sym_parenthesized_expression,
  [61807] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3419), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61815] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(498), 1,
      sym_declaration_list,
  [61825] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(501), 1,
      sym_declaration_list,
  [61835] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4645), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61843] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(503), 1,
      sym_declaration_list,
  [61853] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    STATE(2324), 1,
      sym_parenthesized_expression,
  [61863] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4189), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61871] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4647), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61879] = 3,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1767), 1,
      sym_compound_statement,
  [61889] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_LPAREN,
    STATE(75), 1,
      sym_parenthesized_expression,
  [61899] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    STATE(2358), 1,
      sym_parenthesized_expression,
  [61909] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    STATE(1985), 1,
      sym_parenthesized_expression,
  [61919] = 3,
    ACTIONS(348), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2426), 1,
      sym_colon_block,
  [61929] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(813), 1,
      sym_declaration_list,
  [61939] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_LPAREN,
    STATE(92), 1,
      sym_parenthesized_expression,
  [61949] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_LPAREN,
    STATE(93), 1,
      sym_parenthesized_expression,
  [61959] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_declaration_list,
  [61969] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(460), 1,
      sym_compound_statement,
  [61979] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4643), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_compound_statement,
  [61989] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    STATE(1116), 1,
      sym_compound_statement,
  [61999] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_BSLASH,
    STATE(2247), 1,
      aux_sym_namespace_name_repeat1,
  [62009] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(2366), 1,
      sym_variable_name,
  [62019] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(557), 1,
      sym_declaration_list,
  [62029] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_declaration_list,
  [62039] = 3,
    ACTIONS(563), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1938), 1,
      sym_colon_block,
  [62049] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4020), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [62057] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_LPAREN,
    STATE(621), 1,
      sym_arguments,
  [62067] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_LBRACE,
    STATE(2183), 1,
      sym_enum_declaration_list,
  [62077] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(2233), 1,
      sym_variable_name,
  [62087] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4654), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62095] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(2354), 1,
      sym_variable_name,
  [62105] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(908), 1,
      sym_declaration_list,
  [62115] = 3,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1884), 1,
      sym_compound_statement,
  [62125] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4656), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62133] = 3,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1004), 1,
      sym_compound_statement,
  [62143] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4214), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62151] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2247), 1,
      aux_sym_namespace_name_repeat1,
  [62161] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
  [62171] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4658), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62179] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    STATE(1644), 1,
      sym_formal_parameters,
  [62189] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4661), 2,
      anon_sym_string,
      anon_sym_int,
  [62197] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4663), 1,
      anon_sym_LPAREN,
    STATE(2135), 1,
      sym_parenthesized_expression,
  [62207] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(1924), 1,
      sym_declaration_list,
  [62217] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4665), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62225] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4667), 2,
      anon_sym_string,
      anon_sym_int,
  [62233] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2187), 1,
      sym_declaration_list,
  [62243] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(2161), 1,
      sym_formal_parameters,
  [62253] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2195), 1,
      sym_declaration_list,
  [62263] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_DOLLAR,
    STATE(2231), 1,
      sym_variable_name,
  [62273] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [62281] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_LBRACE,
    STATE(2197), 1,
      sym_enum_declaration_list,
  [62291] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2206), 1,
      sym_declaration_list,
  [62301] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3421), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 1,
      sym__new_line,
    ACTIONS(4671), 1,
      sym_heredoc_end,
  [62319] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4673), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62327] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(488), 1,
      sym_declaration_list,
  [62337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4675), 1,
      sym__new_line,
    ACTIONS(4677), 1,
      sym_heredoc_end,
  [62347] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4643), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_compound_statement,
  [62357] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4679), 1,
      anon_sym_LBRACE,
    STATE(984), 1,
      sym_match_block,
  [62367] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4428), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62375] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4681), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [62383] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4683), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62391] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4685), 2,
      anon_sym_string,
      anon_sym_int,
  [62399] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_LBRACE,
    STATE(549), 1,
      sym_enum_declaration_list,
  [62409] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_declaration_list,
  [62419] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_LPAREN,
    STATE(55), 1,
      sym_parenthesized_expression,
  [62429] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4687), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62437] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_declaration_list,
  [62447] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_RPAREN,
    ACTIONS(4689), 1,
      anon_sym_EQ,
  [62457] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62465] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(802), 1,
      sym_declaration_list,
  [62475] = 3,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2012), 1,
      sym_compound_statement,
  [62485] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_LPAREN,
    ACTIONS(4691), 1,
      anon_sym_RPAREN,
  [62495] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2518), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [62503] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4693), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62511] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_LPAREN,
    STATE(109), 1,
      sym_parenthesized_expression,
  [62521] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_declaration_list,
  [62531] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym_declaration_list,
  [62541] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(1680), 1,
      sym_formal_parameters,
  [62551] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2152), 1,
      sym_declaration_list,
  [62561] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4695), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62569] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4698), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62577] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4700), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62585] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4702), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62593] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4704), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62601] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3210), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3212), 1,
      aux_sym__arrow_function_header_token1,
  [62611] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4403), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62619] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3194), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3196), 1,
      aux_sym__arrow_function_header_token1,
  [62629] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4706), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62637] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_LPAREN,
    ACTIONS(3823), 1,
      anon_sym_COLON_COLON,
  [62647] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2128), 1,
      sym_declaration_list,
  [62657] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN,
    STATE(608), 1,
      sym_arguments,
  [62667] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3108), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62675] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4708), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4710), 1,
      sym__new_line,
    ACTIONS(4712), 1,
      sym_heredoc_end,
  [62693] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(791), 1,
      sym_declaration_list,
  [62703] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_LBRACE,
    STATE(1101), 1,
      sym_match_block,
  [62713] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4174), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62721] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4663), 1,
      anon_sym_LPAREN,
    STATE(2093), 1,
      sym_parenthesized_expression,
  [62731] = 3,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1765), 1,
      sym_compound_statement,
  [62741] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3963), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62749] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4716), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62757] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2062), 1,
      sym_declaration_list,
  [62767] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_LBRACE,
    STATE(2059), 1,
      sym_enum_declaration_list,
  [62777] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4718), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62785] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameters,
  [62795] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4720), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      sym__new_line,
    ACTIONS(4724), 1,
      sym_heredoc_end,
  [62813] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACE,
    STATE(2170), 1,
      sym_declaration_list,
  [62823] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_declaration_list,
  [62833] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4726), 1,
      sym_nowdoc_string,
    STATE(1848), 1,
      aux_sym_nowdoc_body_repeat1,
  [62843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4728), 1,
      sym__new_line,
    ACTIONS(4730), 1,
      sym_heredoc_end,
  [62853] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_enum_declaration_list,
  [62863] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4313), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62871] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(569), 1,
      sym_declaration_list,
  [62881] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2580), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62889] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_declaration_list,
  [62899] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4732), 1,
      anon_sym_LBRACE,
  [62906] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4734), 1,
      sym_name,
  [62913] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4736), 1,
      sym_name,
  [62920] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4738), 1,
      sym_heredoc_end,
  [62927] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4740), 1,
      sym_name,
  [62934] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_RPAREN,
  [62941] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
  [62948] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_LBRACE,
  [62955] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_LBRACE,
  [62962] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4750), 1,
      aux_sym_if_statement_token2,
  [62969] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4270), 1,
      anon_sym_RBRACK,
  [62976] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_RPAREN,
  [62983] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_RPAREN,
  [62990] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_LBRACE,
  [62997] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4754), 1,
      aux_sym_while_statement_token1,
  [63004] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_RPAREN,
  [63011] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4758), 1,
      sym_heredoc_end,
  [63018] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_EQ_GT,
  [63025] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4762), 1,
      sym_name,
  [63032] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4764), 1,
      sym_name,
  [63039] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4766), 1,
      sym_heredoc_end,
  [63046] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_RPAREN,
  [63053] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_RPAREN,
  [63060] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4770), 1,
      anon_sym_SQUOTE2,
  [63067] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
  [63074] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4691), 1,
      anon_sym_RPAREN,
  [63081] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4774), 1,
      sym_name,
  [63088] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4776), 1,
      sym_name,
  [63095] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4778), 1,
      aux_sym_if_statement_token2,
  [63102] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4780), 1,
      sym_name,
  [63109] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4407), 1,
      anon_sym_RBRACE,
  [63116] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4782), 1,
      sym_heredoc_start,
  [63123] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4784), 1,
      sym_name,
  [63130] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_EQ,
  [63137] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_RPAREN,
  [63144] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_EQ,
  [63151] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4792), 1,
      sym_heredoc_start,
  [63158] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_SEMI,
  [63165] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_EQ_GT,
  [63172] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4798), 1,
      anon_sym_EQ,
  [63179] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_RPAREN,
  [63186] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4802), 1,
      sym_heredoc_end,
  [63193] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4804), 1,
      anon_sym_RPAREN,
  [63200] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_RPAREN,
  [63207] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_LPAREN,
  [63214] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
  [63221] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_RPAREN,
  [63228] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_SEMI,
  [63235] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_RBRACK,
  [63242] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4816), 1,
      anon_sym_RPAREN,
  [63249] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_RPAREN,
  [63256] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_RPAREN,
  [63263] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4822), 1,
      aux_sym_while_statement_token2,
  [63270] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_RPAREN,
  [63277] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4826), 1,
      sym_heredoc_end,
  [63284] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4828), 1,
      anon_sym_RPAREN,
  [63291] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4830), 1,
      anon_sym_BSLASH,
  [63298] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
  [63305] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4834), 1,
      sym_name,
  [63312] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4836), 1,
      sym_name,
  [63319] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_COLON_COLON,
  [63326] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_RPAREN,
  [63333] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4842), 1,
      anon_sym_EQ_GT,
  [63340] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_LBRACE,
  [63347] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4846), 1,
      anon_sym_RPAREN,
  [63354] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4848), 1,
      sym_name,
  [63361] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_BSLASH,
  [63368] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4852), 1,
      anon_sym_SEMI,
  [63375] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_RPAREN,
  [63382] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3493), 1,
      sym_name,
  [63389] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_SEMI,
  [63396] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COLON_COLON,
  [63403] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_RPAREN,
  [63410] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_EQ_GT,
  [63417] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_EQ,
  [63424] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4862), 1,
      sym_name,
  [63431] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_name,
  [63438] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_RPAREN,
  [63445] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_EQ_GT,
  [63452] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3599), 1,
      sym_name,
  [63459] = 2,
    ACTIONS(513), 1,
      ts_builtin_sym_end,
    ACTIONS(1602), 1,
      sym_comment,
  [63466] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4870), 1,
      sym_name,
  [63473] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4872), 1,
      sym_name,
  [63480] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4874), 1,
      sym_name,
  [63487] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4876), 1,
      sym_name,
  [63494] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4878), 1,
      anon_sym_SEMI,
  [63501] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4168), 1,
      sym_name,
  [63508] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
  [63515] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4882), 1,
      sym_heredoc_start,
  [63522] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_RBRACE,
  [63529] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4884), 1,
      anon_sym_EQ,
  [63536] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4886), 1,
      aux_sym_while_statement_token1,
  [63543] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_RBRACK,
  [63550] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4890), 1,
      anon_sym_LBRACE,
  [63557] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_EQ_GT,
  [63564] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4894), 1,
      aux_sym_if_statement_token2,
  [63571] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4896), 1,
      anon_sym_EQ_GT,
  [63578] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4898), 1,
      anon_sym_RPAREN,
  [63585] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LBRACE,
  [63592] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_RPAREN,
  [63599] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4904), 1,
      aux_sym_if_statement_token2,
  [63606] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_BSLASH,
  [63613] = 2,
    ACTIONS(489), 1,
      ts_builtin_sym_end,
    ACTIONS(1602), 1,
      sym_comment,
  [63620] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_LBRACE,
  [63627] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4908), 1,
      ts_builtin_sym_end,
  [63634] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4910), 1,
      anon_sym_LBRACE,
  [63641] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_BSLASH,
  [63648] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_RPAREN,
  [63655] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4916), 1,
      sym_integer,
  [63662] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4918), 1,
      sym_heredoc_end,
  [63669] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4388), 1,
      anon_sym_RBRACK,
  [63676] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_LPAREN,
  [63683] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_EQ_GT,
  [63690] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4922), 1,
      sym_name,
  [63697] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_RBRACK,
  [63704] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4926), 1,
      aux_sym_while_statement_token2,
  [63711] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_LBRACE,
  [63718] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4930), 1,
      sym_name,
  [63725] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4932), 1,
      anon_sym_RPAREN,
  [63732] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4934), 1,
      anon_sym_EQ_GT,
  [63739] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_RPAREN,
  [63746] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4938), 1,
      sym_name,
  [63753] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4940), 1,
      sym_name,
  [63760] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4942), 1,
      sym_name,
  [63767] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4944), 1,
      sym_name,
  [63774] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_RPAREN,
  [63781] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4948), 1,
      sym_name,
  [63788] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4950), 1,
      anon_sym_SEMI,
  [63795] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4952), 1,
      sym_heredoc_end,
  [63802] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_RPAREN,
  [63809] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4956), 1,
      anon_sym_EQ_GT,
  [63816] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4958), 1,
      anon_sym_EQ,
  [63823] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_RPAREN,
  [63830] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4962), 1,
      anon_sym_RPAREN,
  [63837] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4964), 1,
      anon_sym_RPAREN,
  [63844] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4966), 1,
      sym_heredoc_end,
  [63851] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4968), 1,
      anon_sym_BSLASH,
  [63858] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
  [63865] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4972), 1,
      sym_heredoc_end,
  [63872] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_RPAREN,
  [63879] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
  [63886] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4976), 1,
      sym_name,
  [63893] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4978), 1,
      sym_name,
  [63900] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4980), 1,
      anon_sym_BSLASH,
  [63907] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4982), 1,
      sym_name,
  [63914] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4984), 1,
      anon_sym_LPAREN,
  [63921] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_RPAREN,
  [63928] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_RPAREN,
  [63935] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4990), 1,
      sym_name,
  [63942] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_COLON_COLON,
  [63949] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4994), 1,
      anon_sym_LPAREN,
  [63956] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4996), 1,
      anon_sym_LPAREN,
  [63963] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4998), 1,
      anon_sym_RPAREN,
  [63970] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5000), 1,
      anon_sym_LPAREN,
  [63977] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5002), 1,
      anon_sym_LPAREN,
  [63984] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5004), 1,
      aux_sym_foreach_statement_token2,
  [63991] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5006), 1,
      sym_name,
  [63998] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5008), 1,
      sym_name,
  [64005] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5010), 1,
      sym_heredoc_start,
  [64012] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5012), 1,
      anon_sym_LBRACE,
  [64019] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5014), 1,
      anon_sym_LPAREN,
  [64026] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5016), 1,
      sym_name,
  [64033] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5018), 1,
      anon_sym_RPAREN,
  [64040] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_SEMI,
  [64047] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_RPAREN,
  [64054] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5024), 1,
      sym_heredoc_end,
  [64061] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5026), 1,
      sym_name,
  [64068] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5028), 1,
      sym_name,
  [64075] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5030), 1,
      anon_sym_SQUOTE2,
  [64082] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4530), 1,
      anon_sym_RPAREN,
  [64089] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5032), 1,
      aux_sym_foreach_statement_token2,
  [64096] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_RPAREN,
  [64103] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5036), 1,
      anon_sym_LPAREN,
  [64110] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
  [64117] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5040), 1,
      anon_sym_RPAREN,
  [64124] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5042), 1,
      anon_sym_RPAREN,
  [64131] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5044), 1,
      anon_sym_RPAREN,
  [64138] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5046), 1,
      sym_name,
  [64145] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5048), 1,
      anon_sym_RPAREN,
  [64152] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_LPAREN,
  [64159] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5052), 1,
      anon_sym_COLON_COLON,
  [64166] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5054), 1,
      anon_sym_RPAREN,
  [64173] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5056), 1,
      anon_sym_RPAREN,
  [64180] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_BSLASH,
  [64187] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5058), 1,
      anon_sym_LBRACE,
  [64194] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5060), 1,
      anon_sym_COLON_COLON,
  [64201] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5062), 1,
      anon_sym_RPAREN,
  [64208] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5064), 1,
      sym_name,
  [64215] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5066), 1,
      sym_name,
  [64222] = 2,
    ACTIONS(981), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
  [64229] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4514), 1,
      anon_sym_RPAREN,
  [64236] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5068), 1,
      anon_sym_LPAREN,
  [64243] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5070), 1,
      sym_name,
  [64250] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5072), 1,
      anon_sym_SEMI,
  [64257] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5074), 1,
      sym_name,
  [64264] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5076), 1,
      ts_builtin_sym_end,
  [64271] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5078), 1,
      anon_sym_EQ_GT,
  [64278] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_SEMI,
  [64285] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5082), 1,
      sym_name,
  [64292] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5084), 1,
      sym_name,
  [64299] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym_name,
  [64306] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_RPAREN,
  [64313] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5088), 1,
      anon_sym_LBRACE,
  [64320] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_RPAREN,
  [64327] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5090), 1,
      aux_sym_if_statement_token2,
  [64334] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5092), 1,
      anon_sym_LBRACE,
  [64341] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5094), 1,
      sym_name,
  [64348] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5096), 1,
      sym_name,
  [64355] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5098), 1,
      sym_name,
  [64362] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5100), 1,
      anon_sym_LPAREN,
  [64369] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5102), 1,
      anon_sym_RBRACK,
  [64376] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5104), 1,
      sym_name,
  [64383] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5106), 1,
      anon_sym_RPAREN,
  [64390] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5108), 1,
      anon_sym_LPAREN,
  [64397] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5110), 1,
      sym_name,
  [64404] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5112), 1,
      anon_sym_SEMI,
  [64411] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4518), 1,
      anon_sym_RPAREN,
  [64418] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_LBRACE,
  [64425] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5116), 1,
      anon_sym_SEMI,
  [64432] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5118), 1,
      anon_sym_LPAREN,
  [64439] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5120), 1,
      anon_sym_EQ_GT,
  [64446] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5122), 1,
      anon_sym_LPAREN,
  [64453] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5124), 1,
      anon_sym_LPAREN,
  [64460] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5126), 1,
      anon_sym_BSLASH,
  [64467] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5128), 1,
      sym_name,
  [64474] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5130), 1,
      anon_sym_SEMI,
  [64481] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_COLON_COLON,
  [64488] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN,
  [64495] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_LPAREN,
  [64502] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5138), 1,
      anon_sym_EQ_GT,
  [64509] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5140), 1,
      anon_sym_LPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(582)] = 0,
  [SMALL_STATE(583)] = 70,
  [SMALL_STATE(584)] = 140,
  [SMALL_STATE(585)] = 210,
  [SMALL_STATE(586)] = 280,
  [SMALL_STATE(587)] = 353,
  [SMALL_STATE(588)] = 426,
  [SMALL_STATE(589)] = 494,
  [SMALL_STATE(590)] = 562,
  [SMALL_STATE(591)] = 630,
  [SMALL_STATE(592)] = 698,
  [SMALL_STATE(593)] = 766,
  [SMALL_STATE(594)] = 834,
  [SMALL_STATE(595)] = 904,
  [SMALL_STATE(596)] = 972,
  [SMALL_STATE(597)] = 1040,
  [SMALL_STATE(598)] = 1108,
  [SMALL_STATE(599)] = 1178,
  [SMALL_STATE(600)] = 1246,
  [SMALL_STATE(601)] = 1314,
  [SMALL_STATE(602)] = 1392,
  [SMALL_STATE(603)] = 1460,
  [SMALL_STATE(604)] = 1528,
  [SMALL_STATE(605)] = 1596,
  [SMALL_STATE(606)] = 1664,
  [SMALL_STATE(607)] = 1732,
  [SMALL_STATE(608)] = 1800,
  [SMALL_STATE(609)] = 1868,
  [SMALL_STATE(610)] = 1936,
  [SMALL_STATE(611)] = 2004,
  [SMALL_STATE(612)] = 2079,
  [SMALL_STATE(613)] = 2154,
  [SMALL_STATE(614)] = 2223,
  [SMALL_STATE(615)] = 2292,
  [SMALL_STATE(616)] = 2367,
  [SMALL_STATE(617)] = 2479,
  [SMALL_STATE(618)] = 2543,
  [SMALL_STATE(619)] = 2607,
  [SMALL_STATE(620)] = 2671,
  [SMALL_STATE(621)] = 2783,
  [SMALL_STATE(622)] = 2847,
  [SMALL_STATE(623)] = 2911,
  [SMALL_STATE(624)] = 2985,
  [SMALL_STATE(625)] = 3057,
  [SMALL_STATE(626)] = 3131,
  [SMALL_STATE(627)] = 3249,
  [SMALL_STATE(628)] = 3313,
  [SMALL_STATE(629)] = 3377,
  [SMALL_STATE(630)] = 3451,
  [SMALL_STATE(631)] = 3569,
  [SMALL_STATE(632)] = 3681,
  [SMALL_STATE(633)] = 3745,
  [SMALL_STATE(634)] = 3809,
  [SMALL_STATE(635)] = 3873,
  [SMALL_STATE(636)] = 3937,
  [SMALL_STATE(637)] = 4003,
  [SMALL_STATE(638)] = 4067,
  [SMALL_STATE(639)] = 4133,
  [SMALL_STATE(640)] = 4197,
  [SMALL_STATE(641)] = 4261,
  [SMALL_STATE(642)] = 4325,
  [SMALL_STATE(643)] = 4389,
  [SMALL_STATE(644)] = 4461,
  [SMALL_STATE(645)] = 4576,
  [SMALL_STATE(646)] = 4649,
  [SMALL_STATE(647)] = 4722,
  [SMALL_STATE(648)] = 4785,
  [SMALL_STATE(649)] = 4848,
  [SMALL_STATE(650)] = 4911,
  [SMALL_STATE(651)] = 4974,
  [SMALL_STATE(652)] = 5053,
  [SMALL_STATE(653)] = 5124,
  [SMALL_STATE(654)] = 5195,
  [SMALL_STATE(655)] = 5258,
  [SMALL_STATE(656)] = 5321,
  [SMALL_STATE(657)] = 5384,
  [SMALL_STATE(658)] = 5447,
  [SMALL_STATE(659)] = 5518,
  [SMALL_STATE(660)] = 5589,
  [SMALL_STATE(661)] = 5660,
  [SMALL_STATE(662)] = 5731,
  [SMALL_STATE(663)] = 5805,
  [SMALL_STATE(664)] = 5875,
  [SMALL_STATE(665)] = 5951,
  [SMALL_STATE(666)] = 6025,
  [SMALL_STATE(667)] = 6095,
  [SMALL_STATE(668)] = 6171,
  [SMALL_STATE(669)] = 6245,
  [SMALL_STATE(670)] = 6315,
  [SMALL_STATE(671)] = 6385,
  [SMALL_STATE(672)] = 6494,
  [SMALL_STATE(673)] = 6567,
  [SMALL_STATE(674)] = 6676,
  [SMALL_STATE(675)] = 6747,
  [SMALL_STATE(676)] = 6818,
  [SMALL_STATE(677)] = 6889,
  [SMALL_STATE(678)] = 6960,
  [SMALL_STATE(679)] = 7031,
  [SMALL_STATE(680)] = 7102,
  [SMALL_STATE(681)] = 7211,
  [SMALL_STATE(682)] = 7320,
  [SMALL_STATE(683)] = 7390,
  [SMALL_STATE(684)] = 7496,
  [SMALL_STATE(685)] = 7602,
  [SMALL_STATE(686)] = 7708,
  [SMALL_STATE(687)] = 7814,
  [SMALL_STATE(688)] = 7884,
  [SMALL_STATE(689)] = 7990,
  [SMALL_STATE(690)] = 8096,
  [SMALL_STATE(691)] = 8202,
  [SMALL_STATE(692)] = 8308,
  [SMALL_STATE(693)] = 8414,
  [SMALL_STATE(694)] = 8520,
  [SMALL_STATE(695)] = 8584,
  [SMALL_STATE(696)] = 8690,
  [SMALL_STATE(697)] = 8796,
  [SMALL_STATE(698)] = 8902,
  [SMALL_STATE(699)] = 8960,
  [SMALL_STATE(700)] = 9020,
  [SMALL_STATE(701)] = 9079,
  [SMALL_STATE(702)] = 9138,
  [SMALL_STATE(703)] = 9193,
  [SMALL_STATE(704)] = 9290,
  [SMALL_STATE(705)] = 9345,
  [SMALL_STATE(706)] = 9442,
  [SMALL_STATE(707)] = 9501,
  [SMALL_STATE(708)] = 9557,
  [SMALL_STATE(709)] = 9611,
  [SMALL_STATE(710)] = 9667,
  [SMALL_STATE(711)] = 9721,
  [SMALL_STATE(712)] = 9781,
  [SMALL_STATE(713)] = 9835,
  [SMALL_STATE(714)] = 9889,
  [SMALL_STATE(715)] = 9943,
  [SMALL_STATE(716)] = 9999,
  [SMALL_STATE(717)] = 10053,
  [SMALL_STATE(718)] = 10107,
  [SMALL_STATE(719)] = 10163,
  [SMALL_STATE(720)] = 10217,
  [SMALL_STATE(721)] = 10271,
  [SMALL_STATE(722)] = 10325,
  [SMALL_STATE(723)] = 10379,
  [SMALL_STATE(724)] = 10435,
  [SMALL_STATE(725)] = 10489,
  [SMALL_STATE(726)] = 10543,
  [SMALL_STATE(727)] = 10597,
  [SMALL_STATE(728)] = 10651,
  [SMALL_STATE(729)] = 10705,
  [SMALL_STATE(730)] = 10759,
  [SMALL_STATE(731)] = 10819,
  [SMALL_STATE(732)] = 10874,
  [SMALL_STATE(733)] = 10927,
  [SMALL_STATE(734)] = 10980,
  [SMALL_STATE(735)] = 11035,
  [SMALL_STATE(736)] = 11088,
  [SMALL_STATE(737)] = 11141,
  [SMALL_STATE(738)] = 11194,
  [SMALL_STATE(739)] = 11251,
  [SMALL_STATE(740)] = 11308,
  [SMALL_STATE(741)] = 11365,
  [SMALL_STATE(742)] = 11418,
  [SMALL_STATE(743)] = 11471,
  [SMALL_STATE(744)] = 11524,
  [SMALL_STATE(745)] = 11581,
  [SMALL_STATE(746)] = 11638,
  [SMALL_STATE(747)] = 11690,
  [SMALL_STATE(748)] = 11742,
  [SMALL_STATE(749)] = 11794,
  [SMALL_STATE(750)] = 11846,
  [SMALL_STATE(751)] = 11902,
  [SMALL_STATE(752)] = 11954,
  [SMALL_STATE(753)] = 12006,
  [SMALL_STATE(754)] = 12058,
  [SMALL_STATE(755)] = 12114,
  [SMALL_STATE(756)] = 12174,
  [SMALL_STATE(757)] = 12226,
  [SMALL_STATE(758)] = 12278,
  [SMALL_STATE(759)] = 12330,
  [SMALL_STATE(760)] = 12382,
  [SMALL_STATE(761)] = 12434,
  [SMALL_STATE(762)] = 12486,
  [SMALL_STATE(763)] = 12540,
  [SMALL_STATE(764)] = 12592,
  [SMALL_STATE(765)] = 12644,
  [SMALL_STATE(766)] = 12696,
  [SMALL_STATE(767)] = 12748,
  [SMALL_STATE(768)] = 12800,
  [SMALL_STATE(769)] = 12852,
  [SMALL_STATE(770)] = 12904,
  [SMALL_STATE(771)] = 12958,
  [SMALL_STATE(772)] = 13010,
  [SMALL_STATE(773)] = 13062,
  [SMALL_STATE(774)] = 13114,
  [SMALL_STATE(775)] = 13166,
  [SMALL_STATE(776)] = 13218,
  [SMALL_STATE(777)] = 13272,
  [SMALL_STATE(778)] = 13324,
  [SMALL_STATE(779)] = 13378,
  [SMALL_STATE(780)] = 13430,
  [SMALL_STATE(781)] = 13482,
  [SMALL_STATE(782)] = 13534,
  [SMALL_STATE(783)] = 13586,
  [SMALL_STATE(784)] = 13642,
  [SMALL_STATE(785)] = 13698,
  [SMALL_STATE(786)] = 13752,
  [SMALL_STATE(787)] = 13808,
  [SMALL_STATE(788)] = 13860,
  [SMALL_STATE(789)] = 13954,
  [SMALL_STATE(790)] = 14008,
  [SMALL_STATE(791)] = 14060,
  [SMALL_STATE(792)] = 14112,
  [SMALL_STATE(793)] = 14164,
  [SMALL_STATE(794)] = 14216,
  [SMALL_STATE(795)] = 14268,
  [SMALL_STATE(796)] = 14320,
  [SMALL_STATE(797)] = 14372,
  [SMALL_STATE(798)] = 14426,
  [SMALL_STATE(799)] = 14478,
  [SMALL_STATE(800)] = 14530,
  [SMALL_STATE(801)] = 14582,
  [SMALL_STATE(802)] = 14676,
  [SMALL_STATE(803)] = 14728,
  [SMALL_STATE(804)] = 14780,
  [SMALL_STATE(805)] = 14832,
  [SMALL_STATE(806)] = 14884,
  [SMALL_STATE(807)] = 14936,
  [SMALL_STATE(808)] = 14988,
  [SMALL_STATE(809)] = 15040,
  [SMALL_STATE(810)] = 15092,
  [SMALL_STATE(811)] = 15144,
  [SMALL_STATE(812)] = 15196,
  [SMALL_STATE(813)] = 15248,
  [SMALL_STATE(814)] = 15300,
  [SMALL_STATE(815)] = 15352,
  [SMALL_STATE(816)] = 15404,
  [SMALL_STATE(817)] = 15456,
  [SMALL_STATE(818)] = 15508,
  [SMALL_STATE(819)] = 15560,
  [SMALL_STATE(820)] = 15612,
  [SMALL_STATE(821)] = 15664,
  [SMALL_STATE(822)] = 15716,
  [SMALL_STATE(823)] = 15768,
  [SMALL_STATE(824)] = 15820,
  [SMALL_STATE(825)] = 15872,
  [SMALL_STATE(826)] = 15924,
  [SMALL_STATE(827)] = 16015,
  [SMALL_STATE(828)] = 16106,
  [SMALL_STATE(829)] = 16159,
  [SMALL_STATE(830)] = 16212,
  [SMALL_STATE(831)] = 16267,
  [SMALL_STATE(832)] = 16322,
  [SMALL_STATE(833)] = 16373,
  [SMALL_STATE(834)] = 16428,
  [SMALL_STATE(835)] = 16481,
  [SMALL_STATE(836)] = 16534,
  [SMALL_STATE(837)] = 16587,
  [SMALL_STATE(838)] = 16678,
  [SMALL_STATE(839)] = 16769,
  [SMALL_STATE(840)] = 16824,
  [SMALL_STATE(841)] = 16879,
  [SMALL_STATE(842)] = 16967,
  [SMALL_STATE(843)] = 17017,
  [SMALL_STATE(844)] = 17067,
  [SMALL_STATE(845)] = 17161,
  [SMALL_STATE(846)] = 17211,
  [SMALL_STATE(847)] = 17265,
  [SMALL_STATE(848)] = 17315,
  [SMALL_STATE(849)] = 17365,
  [SMALL_STATE(850)] = 17415,
  [SMALL_STATE(851)] = 17509,
  [SMALL_STATE(852)] = 17559,
  [SMALL_STATE(853)] = 17609,
  [SMALL_STATE(854)] = 17663,
  [SMALL_STATE(855)] = 17719,
  [SMALL_STATE(856)] = 17769,
  [SMALL_STATE(857)] = 17819,
  [SMALL_STATE(858)] = 17869,
  [SMALL_STATE(859)] = 17925,
  [SMALL_STATE(860)] = 17975,
  [SMALL_STATE(861)] = 18025,
  [SMALL_STATE(862)] = 18077,
  [SMALL_STATE(863)] = 18171,
  [SMALL_STATE(864)] = 18223,
  [SMALL_STATE(865)] = 18273,
  [SMALL_STATE(866)] = 18323,
  [SMALL_STATE(867)] = 18373,
  [SMALL_STATE(868)] = 18423,
  [SMALL_STATE(869)] = 18472,
  [SMALL_STATE(870)] = 18523,
  [SMALL_STATE(871)] = 18572,
  [SMALL_STATE(872)] = 18621,
  [SMALL_STATE(873)] = 18672,
  [SMALL_STATE(874)] = 18725,
  [SMALL_STATE(875)] = 18778,
  [SMALL_STATE(876)] = 18831,
  [SMALL_STATE(877)] = 18880,
  [SMALL_STATE(878)] = 18929,
  [SMALL_STATE(879)] = 18978,
  [SMALL_STATE(880)] = 19031,
  [SMALL_STATE(881)] = 19080,
  [SMALL_STATE(882)] = 19129,
  [SMALL_STATE(883)] = 19178,
  [SMALL_STATE(884)] = 19229,
  [SMALL_STATE(885)] = 19282,
  [SMALL_STATE(886)] = 19331,
  [SMALL_STATE(887)] = 19380,
  [SMALL_STATE(888)] = 19431,
  [SMALL_STATE(889)] = 19479,
  [SMALL_STATE(890)] = 19527,
  [SMALL_STATE(891)] = 19575,
  [SMALL_STATE(892)] = 19623,
  [SMALL_STATE(893)] = 19671,
  [SMALL_STATE(894)] = 19719,
  [SMALL_STATE(895)] = 19767,
  [SMALL_STATE(896)] = 19815,
  [SMALL_STATE(897)] = 19863,
  [SMALL_STATE(898)] = 19911,
  [SMALL_STATE(899)] = 19959,
  [SMALL_STATE(900)] = 20007,
  [SMALL_STATE(901)] = 20055,
  [SMALL_STATE(902)] = 20105,
  [SMALL_STATE(903)] = 20155,
  [SMALL_STATE(904)] = 20203,
  [SMALL_STATE(905)] = 20251,
  [SMALL_STATE(906)] = 20307,
  [SMALL_STATE(907)] = 20355,
  [SMALL_STATE(908)] = 20407,
  [SMALL_STATE(909)] = 20455,
  [SMALL_STATE(910)] = 20503,
  [SMALL_STATE(911)] = 20551,
  [SMALL_STATE(912)] = 20599,
  [SMALL_STATE(913)] = 20647,
  [SMALL_STATE(914)] = 20697,
  [SMALL_STATE(915)] = 20745,
  [SMALL_STATE(916)] = 20793,
  [SMALL_STATE(917)] = 20841,
  [SMALL_STATE(918)] = 20889,
  [SMALL_STATE(919)] = 20937,
  [SMALL_STATE(920)] = 20985,
  [SMALL_STATE(921)] = 21033,
  [SMALL_STATE(922)] = 21081,
  [SMALL_STATE(923)] = 21129,
  [SMALL_STATE(924)] = 21177,
  [SMALL_STATE(925)] = 21227,
  [SMALL_STATE(926)] = 21275,
  [SMALL_STATE(927)] = 21323,
  [SMALL_STATE(928)] = 21371,
  [SMALL_STATE(929)] = 21419,
  [SMALL_STATE(930)] = 21467,
  [SMALL_STATE(931)] = 21515,
  [SMALL_STATE(932)] = 21563,
  [SMALL_STATE(933)] = 21611,
  [SMALL_STATE(934)] = 21659,
  [SMALL_STATE(935)] = 21707,
  [SMALL_STATE(936)] = 21755,
  [SMALL_STATE(937)] = 21805,
  [SMALL_STATE(938)] = 21853,
  [SMALL_STATE(939)] = 21901,
  [SMALL_STATE(940)] = 21951,
  [SMALL_STATE(941)] = 21999,
  [SMALL_STATE(942)] = 22055,
  [SMALL_STATE(943)] = 22103,
  [SMALL_STATE(944)] = 22151,
  [SMALL_STATE(945)] = 22199,
  [SMALL_STATE(946)] = 22247,
  [SMALL_STATE(947)] = 22299,
  [SMALL_STATE(948)] = 22347,
  [SMALL_STATE(949)] = 22395,
  [SMALL_STATE(950)] = 22447,
  [SMALL_STATE(951)] = 22495,
  [SMALL_STATE(952)] = 22543,
  [SMALL_STATE(953)] = 22593,
  [SMALL_STATE(954)] = 22641,
  [SMALL_STATE(955)] = 22689,
  [SMALL_STATE(956)] = 22745,
  [SMALL_STATE(957)] = 22795,
  [SMALL_STATE(958)] = 22843,
  [SMALL_STATE(959)] = 22891,
  [SMALL_STATE(960)] = 22939,
  [SMALL_STATE(961)] = 22987,
  [SMALL_STATE(962)] = 23035,
  [SMALL_STATE(963)] = 23083,
  [SMALL_STATE(964)] = 23131,
  [SMALL_STATE(965)] = 23183,
  [SMALL_STATE(966)] = 23235,
  [SMALL_STATE(967)] = 23283,
  [SMALL_STATE(968)] = 23339,
  [SMALL_STATE(969)] = 23387,
  [SMALL_STATE(970)] = 23439,
  [SMALL_STATE(971)] = 23487,
  [SMALL_STATE(972)] = 23535,
  [SMALL_STATE(973)] = 23583,
  [SMALL_STATE(974)] = 23630,
  [SMALL_STATE(975)] = 23677,
  [SMALL_STATE(976)] = 23728,
  [SMALL_STATE(977)] = 23779,
  [SMALL_STATE(978)] = 23826,
  [SMALL_STATE(979)] = 23873,
  [SMALL_STATE(980)] = 23920,
  [SMALL_STATE(981)] = 23969,
  [SMALL_STATE(982)] = 24016,
  [SMALL_STATE(983)] = 24063,
  [SMALL_STATE(984)] = 24110,
  [SMALL_STATE(985)] = 24157,
  [SMALL_STATE(986)] = 24206,
  [SMALL_STATE(987)] = 24253,
  [SMALL_STATE(988)] = 24302,
  [SMALL_STATE(989)] = 24349,
  [SMALL_STATE(990)] = 24396,
  [SMALL_STATE(991)] = 24443,
  [SMALL_STATE(992)] = 24492,
  [SMALL_STATE(993)] = 24539,
  [SMALL_STATE(994)] = 24588,
  [SMALL_STATE(995)] = 24635,
  [SMALL_STATE(996)] = 24682,
  [SMALL_STATE(997)] = 24729,
  [SMALL_STATE(998)] = 24776,
  [SMALL_STATE(999)] = 24825,
  [SMALL_STATE(1000)] = 24872,
  [SMALL_STATE(1001)] = 24919,
  [SMALL_STATE(1002)] = 24968,
  [SMALL_STATE(1003)] = 25015,
  [SMALL_STATE(1004)] = 25062,
  [SMALL_STATE(1005)] = 25109,
  [SMALL_STATE(1006)] = 25158,
  [SMALL_STATE(1007)] = 25204,
  [SMALL_STATE(1008)] = 25253,
  [SMALL_STATE(1009)] = 25300,
  [SMALL_STATE(1010)] = 25345,
  [SMALL_STATE(1011)] = 25391,
  [SMALL_STATE(1012)] = 25443,
  [SMALL_STATE(1013)] = 25499,
  [SMALL_STATE(1014)] = 25581,
  [SMALL_STATE(1015)] = 25641,
  [SMALL_STATE(1016)] = 25723,
  [SMALL_STATE(1017)] = 25789,
  [SMALL_STATE(1018)] = 25871,
  [SMALL_STATE(1019)] = 25941,
  [SMALL_STATE(1020)] = 26013,
  [SMALL_STATE(1021)] = 26095,
  [SMALL_STATE(1022)] = 26149,
  [SMALL_STATE(1023)] = 26227,
  [SMALL_STATE(1024)] = 26307,
  [SMALL_STATE(1025)] = 26383,
  [SMALL_STATE(1026)] = 26429,
  [SMALL_STATE(1027)] = 26505,
  [SMALL_STATE(1028)] = 26555,
  [SMALL_STATE(1029)] = 26631,
  [SMALL_STATE(1030)] = 26707,
  [SMALL_STATE(1031)] = 26783,
  [SMALL_STATE(1032)] = 26859,
  [SMALL_STATE(1033)] = 26943,
  [SMALL_STATE(1034)] = 27011,
  [SMALL_STATE(1035)] = 27087,
  [SMALL_STATE(1036)] = 27131,
  [SMALL_STATE(1037)] = 27213,
  [SMALL_STATE(1038)] = 27277,
  [SMALL_STATE(1039)] = 27359,
  [SMALL_STATE(1040)] = 27441,
  [SMALL_STATE(1041)] = 27523,
  [SMALL_STATE(1042)] = 27605,
  [SMALL_STATE(1043)] = 27687,
  [SMALL_STATE(1044)] = 27730,
  [SMALL_STATE(1045)] = 27811,
  [SMALL_STATE(1046)] = 27864,
  [SMALL_STATE(1047)] = 27937,
  [SMALL_STATE(1048)] = 27982,
  [SMALL_STATE(1049)] = 28025,
  [SMALL_STATE(1050)] = 28100,
  [SMALL_STATE(1051)] = 28175,
  [SMALL_STATE(1052)] = 28218,
  [SMALL_STATE(1053)] = 28299,
  [SMALL_STATE(1054)] = 28342,
  [SMALL_STATE(1055)] = 28385,
  [SMALL_STATE(1056)] = 28428,
  [SMALL_STATE(1057)] = 28471,
  [SMALL_STATE(1058)] = 28514,
  [SMALL_STATE(1059)] = 28595,
  [SMALL_STATE(1060)] = 28652,
  [SMALL_STATE(1061)] = 28695,
  [SMALL_STATE(1062)] = 28738,
  [SMALL_STATE(1063)] = 28781,
  [SMALL_STATE(1064)] = 28856,
  [SMALL_STATE(1065)] = 28901,
  [SMALL_STATE(1066)] = 28944,
  [SMALL_STATE(1067)] = 29019,
  [SMALL_STATE(1068)] = 29094,
  [SMALL_STATE(1069)] = 29169,
  [SMALL_STATE(1070)] = 29244,
  [SMALL_STATE(1071)] = 29319,
  [SMALL_STATE(1072)] = 29400,
  [SMALL_STATE(1073)] = 29475,
  [SMALL_STATE(1074)] = 29550,
  [SMALL_STATE(1075)] = 29595,
  [SMALL_STATE(1076)] = 29648,
  [SMALL_STATE(1077)] = 29699,
  [SMALL_STATE(1078)] = 29762,
  [SMALL_STATE(1079)] = 29817,
  [SMALL_STATE(1080)] = 29876,
  [SMALL_STATE(1081)] = 29941,
  [SMALL_STATE(1082)] = 30010,
  [SMALL_STATE(1083)] = 30081,
  [SMALL_STATE(1084)] = 30158,
  [SMALL_STATE(1085)] = 30237,
  [SMALL_STATE(1086)] = 30312,
  [SMALL_STATE(1087)] = 30357,
  [SMALL_STATE(1088)] = 30432,
  [SMALL_STATE(1089)] = 30481,
  [SMALL_STATE(1090)] = 30548,
  [SMALL_STATE(1091)] = 30611,
  [SMALL_STATE(1092)] = 30692,
  [SMALL_STATE(1093)] = 30773,
  [SMALL_STATE(1094)] = 30840,
  [SMALL_STATE(1095)] = 30889,
  [SMALL_STATE(1096)] = 30970,
  [SMALL_STATE(1097)] = 31051,
  [SMALL_STATE(1098)] = 31126,
  [SMALL_STATE(1099)] = 31171,
  [SMALL_STATE(1100)] = 31214,
  [SMALL_STATE(1101)] = 31295,
  [SMALL_STATE(1102)] = 31338,
  [SMALL_STATE(1103)] = 31381,
  [SMALL_STATE(1104)] = 31424,
  [SMALL_STATE(1105)] = 31505,
  [SMALL_STATE(1106)] = 31580,
  [SMALL_STATE(1107)] = 31661,
  [SMALL_STATE(1108)] = 31742,
  [SMALL_STATE(1109)] = 31821,
  [SMALL_STATE(1110)] = 31902,
  [SMALL_STATE(1111)] = 31979,
  [SMALL_STATE(1112)] = 32062,
  [SMALL_STATE(1113)] = 32105,
  [SMALL_STATE(1114)] = 32186,
  [SMALL_STATE(1115)] = 32237,
  [SMALL_STATE(1116)] = 32308,
  [SMALL_STATE(1117)] = 32351,
  [SMALL_STATE(1118)] = 32394,
  [SMALL_STATE(1119)] = 32437,
  [SMALL_STATE(1120)] = 32480,
  [SMALL_STATE(1121)] = 32549,
  [SMALL_STATE(1122)] = 32632,
  [SMALL_STATE(1123)] = 32675,
  [SMALL_STATE(1124)] = 32756,
  [SMALL_STATE(1125)] = 32821,
  [SMALL_STATE(1126)] = 32864,
  [SMALL_STATE(1127)] = 32919,
  [SMALL_STATE(1128)] = 32978,
  [SMALL_STATE(1129)] = 33059,
  [SMALL_STATE(1130)] = 33140,
  [SMALL_STATE(1131)] = 33221,
  [SMALL_STATE(1132)] = 33302,
  [SMALL_STATE(1133)] = 33345,
  [SMALL_STATE(1134)] = 33388,
  [SMALL_STATE(1135)] = 33469,
  [SMALL_STATE(1136)] = 33549,
  [SMALL_STATE(1137)] = 33611,
  [SMALL_STATE(1138)] = 33685,
  [SMALL_STATE(1139)] = 33759,
  [SMALL_STATE(1140)] = 33833,
  [SMALL_STATE(1141)] = 33903,
  [SMALL_STATE(1142)] = 33979,
  [SMALL_STATE(1143)] = 34023,
  [SMALL_STATE(1144)] = 34075,
  [SMALL_STATE(1145)] = 34153,
  [SMALL_STATE(1146)] = 34203,
  [SMALL_STATE(1147)] = 34277,
  [SMALL_STATE(1148)] = 34331,
  [SMALL_STATE(1149)] = 34389,
  [SMALL_STATE(1150)] = 34453,
  [SMALL_STATE(1151)] = 34497,
  [SMALL_STATE(1152)] = 34571,
  [SMALL_STATE(1153)] = 34651,
  [SMALL_STATE(1154)] = 34699,
  [SMALL_STATE(1155)] = 34767,
  [SMALL_STATE(1156)] = 34841,
  [SMALL_STATE(1157)] = 34921,
  [SMALL_STATE(1158)] = 35001,
  [SMALL_STATE(1159)] = 35067,
  [SMALL_STATE(1160)] = 35147,
  [SMALL_STATE(1161)] = 35229,
  [SMALL_STATE(1162)] = 35309,
  [SMALL_STATE(1163)] = 35389,
  [SMALL_STATE(1164)] = 35469,
  [SMALL_STATE(1165)] = 35549,
  [SMALL_STATE(1166)] = 35629,
  [SMALL_STATE(1167)] = 35703,
  [SMALL_STATE(1168)] = 35746,
  [SMALL_STATE(1169)] = 35829,
  [SMALL_STATE(1170)] = 35872,
  [SMALL_STATE(1171)] = 35955,
  [SMALL_STATE(1172)] = 36038,
  [SMALL_STATE(1173)] = 36121,
  [SMALL_STATE(1174)] = 36204,
  [SMALL_STATE(1175)] = 36287,
  [SMALL_STATE(1176)] = 36370,
  [SMALL_STATE(1177)] = 36453,
  [SMALL_STATE(1178)] = 36532,
  [SMALL_STATE(1179)] = 36610,
  [SMALL_STATE(1180)] = 36690,
  [SMALL_STATE(1181)] = 36756,
  [SMALL_STATE(1182)] = 36836,
  [SMALL_STATE(1183)] = 36916,
  [SMALL_STATE(1184)] = 36996,
  [SMALL_STATE(1185)] = 37058,
  [SMALL_STATE(1186)] = 37120,
  [SMALL_STATE(1187)] = 37182,
  [SMALL_STATE(1188)] = 37264,
  [SMALL_STATE(1189)] = 37344,
  [SMALL_STATE(1190)] = 37406,
  [SMALL_STATE(1191)] = 37486,
  [SMALL_STATE(1192)] = 37566,
  [SMALL_STATE(1193)] = 37644,
  [SMALL_STATE(1194)] = 37724,
  [SMALL_STATE(1195)] = 37790,
  [SMALL_STATE(1196)] = 37870,
  [SMALL_STATE(1197)] = 37950,
  [SMALL_STATE(1198)] = 38030,
  [SMALL_STATE(1199)] = 38110,
  [SMALL_STATE(1200)] = 38190,
  [SMALL_STATE(1201)] = 38270,
  [SMALL_STATE(1202)] = 38347,
  [SMALL_STATE(1203)] = 38426,
  [SMALL_STATE(1204)] = 38503,
  [SMALL_STATE(1205)] = 38574,
  [SMALL_STATE(1206)] = 38651,
  [SMALL_STATE(1207)] = 38722,
  [SMALL_STATE(1208)] = 38799,
  [SMALL_STATE(1209)] = 38876,
  [SMALL_STATE(1210)] = 38953,
  [SMALL_STATE(1211)] = 39030,
  [SMALL_STATE(1212)] = 39107,
  [SMALL_STATE(1213)] = 39186,
  [SMALL_STATE(1214)] = 39263,
  [SMALL_STATE(1215)] = 39340,
  [SMALL_STATE(1216)] = 39417,
  [SMALL_STATE(1217)] = 39488,
  [SMALL_STATE(1218)] = 39565,
  [SMALL_STATE(1219)] = 39644,
  [SMALL_STATE(1220)] = 39721,
  [SMALL_STATE(1221)] = 39798,
  [SMALL_STATE(1222)] = 39869,
  [SMALL_STATE(1223)] = 39940,
  [SMALL_STATE(1224)] = 40011,
  [SMALL_STATE(1225)] = 40082,
  [SMALL_STATE(1226)] = 40159,
  [SMALL_STATE(1227)] = 40236,
  [SMALL_STATE(1228)] = 40315,
  [SMALL_STATE(1229)] = 40394,
  [SMALL_STATE(1230)] = 40470,
  [SMALL_STATE(1231)] = 40546,
  [SMALL_STATE(1232)] = 40622,
  [SMALL_STATE(1233)] = 40698,
  [SMALL_STATE(1234)] = 40774,
  [SMALL_STATE(1235)] = 40850,
  [SMALL_STATE(1236)] = 40926,
  [SMALL_STATE(1237)] = 41002,
  [SMALL_STATE(1238)] = 41078,
  [SMALL_STATE(1239)] = 41154,
  [SMALL_STATE(1240)] = 41230,
  [SMALL_STATE(1241)] = 41306,
  [SMALL_STATE(1242)] = 41382,
  [SMALL_STATE(1243)] = 41458,
  [SMALL_STATE(1244)] = 41534,
  [SMALL_STATE(1245)] = 41610,
  [SMALL_STATE(1246)] = 41686,
  [SMALL_STATE(1247)] = 41762,
  [SMALL_STATE(1248)] = 41838,
  [SMALL_STATE(1249)] = 41914,
  [SMALL_STATE(1250)] = 41990,
  [SMALL_STATE(1251)] = 42066,
  [SMALL_STATE(1252)] = 42142,
  [SMALL_STATE(1253)] = 42202,
  [SMALL_STATE(1254)] = 42278,
  [SMALL_STATE(1255)] = 42354,
  [SMALL_STATE(1256)] = 42430,
  [SMALL_STATE(1257)] = 42506,
  [SMALL_STATE(1258)] = 42582,
  [SMALL_STATE(1259)] = 42658,
  [SMALL_STATE(1260)] = 42734,
  [SMALL_STATE(1261)] = 42810,
  [SMALL_STATE(1262)] = 42886,
  [SMALL_STATE(1263)] = 42962,
  [SMALL_STATE(1264)] = 43038,
  [SMALL_STATE(1265)] = 43114,
  [SMALL_STATE(1266)] = 43190,
  [SMALL_STATE(1267)] = 43266,
  [SMALL_STATE(1268)] = 43342,
  [SMALL_STATE(1269)] = 43418,
  [SMALL_STATE(1270)] = 43494,
  [SMALL_STATE(1271)] = 43570,
  [SMALL_STATE(1272)] = 43646,
  [SMALL_STATE(1273)] = 43722,
  [SMALL_STATE(1274)] = 43798,
  [SMALL_STATE(1275)] = 43874,
  [SMALL_STATE(1276)] = 43950,
  [SMALL_STATE(1277)] = 44026,
  [SMALL_STATE(1278)] = 44102,
  [SMALL_STATE(1279)] = 44178,
  [SMALL_STATE(1280)] = 44254,
  [SMALL_STATE(1281)] = 44314,
  [SMALL_STATE(1282)] = 44390,
  [SMALL_STATE(1283)] = 44455,
  [SMALL_STATE(1284)] = 44492,
  [SMALL_STATE(1285)] = 44557,
  [SMALL_STATE(1286)] = 44622,
  [SMALL_STATE(1287)] = 44659,
  [SMALL_STATE(1288)] = 44724,
  [SMALL_STATE(1289)] = 44789,
  [SMALL_STATE(1290)] = 44826,
  [SMALL_STATE(1291)] = 44863,
  [SMALL_STATE(1292)] = 44899,
  [SMALL_STATE(1293)] = 44952,
  [SMALL_STATE(1294)] = 45005,
  [SMALL_STATE(1295)] = 45042,
  [SMALL_STATE(1296)] = 45079,
  [SMALL_STATE(1297)] = 45110,
  [SMALL_STATE(1298)] = 45141,
  [SMALL_STATE(1299)] = 45172,
  [SMALL_STATE(1300)] = 45214,
  [SMALL_STATE(1301)] = 45256,
  [SMALL_STATE(1302)] = 45298,
  [SMALL_STATE(1303)] = 45340,
  [SMALL_STATE(1304)] = 45382,
  [SMALL_STATE(1305)] = 45424,
  [SMALL_STATE(1306)] = 45466,
  [SMALL_STATE(1307)] = 45508,
  [SMALL_STATE(1308)] = 45550,
  [SMALL_STATE(1309)] = 45606,
  [SMALL_STATE(1310)] = 45662,
  [SMALL_STATE(1311)] = 45712,
  [SMALL_STATE(1312)] = 45754,
  [SMALL_STATE(1313)] = 45796,
  [SMALL_STATE(1314)] = 45846,
  [SMALL_STATE(1315)] = 45885,
  [SMALL_STATE(1316)] = 45924,
  [SMALL_STATE(1317)] = 45957,
  [SMALL_STATE(1318)] = 45996,
  [SMALL_STATE(1319)] = 46035,
  [SMALL_STATE(1320)] = 46068,
  [SMALL_STATE(1321)] = 46107,
  [SMALL_STATE(1322)] = 46146,
  [SMALL_STATE(1323)] = 46182,
  [SMALL_STATE(1324)] = 46218,
  [SMALL_STATE(1325)] = 46245,
  [SMALL_STATE(1326)] = 46272,
  [SMALL_STATE(1327)] = 46317,
  [SMALL_STATE(1328)] = 46344,
  [SMALL_STATE(1329)] = 46386,
  [SMALL_STATE(1330)] = 46420,
  [SMALL_STATE(1331)] = 46454,
  [SMALL_STATE(1332)] = 46488,
  [SMALL_STATE(1333)] = 46527,
  [SMALL_STATE(1334)] = 46566,
  [SMALL_STATE(1335)] = 46605,
  [SMALL_STATE(1336)] = 46644,
  [SMALL_STATE(1337)] = 46683,
  [SMALL_STATE(1338)] = 46723,
  [SMALL_STATE(1339)] = 46759,
  [SMALL_STATE(1340)] = 46795,
  [SMALL_STATE(1341)] = 46831,
  [SMALL_STATE(1342)] = 46867,
  [SMALL_STATE(1343)] = 46903,
  [SMALL_STATE(1344)] = 46939,
  [SMALL_STATE(1345)] = 46975,
  [SMALL_STATE(1346)] = 46999,
  [SMALL_STATE(1347)] = 47035,
  [SMALL_STATE(1348)] = 47071,
  [SMALL_STATE(1349)] = 47111,
  [SMALL_STATE(1350)] = 47146,
  [SMALL_STATE(1351)] = 47181,
  [SMALL_STATE(1352)] = 47218,
  [SMALL_STATE(1353)] = 47253,
  [SMALL_STATE(1354)] = 47273,
  [SMALL_STATE(1355)] = 47307,
  [SMALL_STATE(1356)] = 47327,
  [SMALL_STATE(1357)] = 47347,
  [SMALL_STATE(1358)] = 47381,
  [SMALL_STATE(1359)] = 47415,
  [SMALL_STATE(1360)] = 47449,
  [SMALL_STATE(1361)] = 47483,
  [SMALL_STATE(1362)] = 47503,
  [SMALL_STATE(1363)] = 47537,
  [SMALL_STATE(1364)] = 47557,
  [SMALL_STATE(1365)] = 47577,
  [SMALL_STATE(1366)] = 47611,
  [SMALL_STATE(1367)] = 47645,
  [SMALL_STATE(1368)] = 47665,
  [SMALL_STATE(1369)] = 47699,
  [SMALL_STATE(1370)] = 47733,
  [SMALL_STATE(1371)] = 47767,
  [SMALL_STATE(1372)] = 47787,
  [SMALL_STATE(1373)] = 47821,
  [SMALL_STATE(1374)] = 47841,
  [SMALL_STATE(1375)] = 47861,
  [SMALL_STATE(1376)] = 47881,
  [SMALL_STATE(1377)] = 47901,
  [SMALL_STATE(1378)] = 47920,
  [SMALL_STATE(1379)] = 47943,
  [SMALL_STATE(1380)] = 47974,
  [SMALL_STATE(1381)] = 47993,
  [SMALL_STATE(1382)] = 48024,
  [SMALL_STATE(1383)] = 48043,
  [SMALL_STATE(1384)] = 48062,
  [SMALL_STATE(1385)] = 48081,
  [SMALL_STATE(1386)] = 48112,
  [SMALL_STATE(1387)] = 48131,
  [SMALL_STATE(1388)] = 48150,
  [SMALL_STATE(1389)] = 48169,
  [SMALL_STATE(1390)] = 48188,
  [SMALL_STATE(1391)] = 48207,
  [SMALL_STATE(1392)] = 48226,
  [SMALL_STATE(1393)] = 48245,
  [SMALL_STATE(1394)] = 48264,
  [SMALL_STATE(1395)] = 48295,
  [SMALL_STATE(1396)] = 48320,
  [SMALL_STATE(1397)] = 48339,
  [SMALL_STATE(1398)] = 48358,
  [SMALL_STATE(1399)] = 48377,
  [SMALL_STATE(1400)] = 48396,
  [SMALL_STATE(1401)] = 48415,
  [SMALL_STATE(1402)] = 48434,
  [SMALL_STATE(1403)] = 48462,
  [SMALL_STATE(1404)] = 48490,
  [SMALL_STATE(1405)] = 48526,
  [SMALL_STATE(1406)] = 48562,
  [SMALL_STATE(1407)] = 48592,
  [SMALL_STATE(1408)] = 48622,
  [SMALL_STATE(1409)] = 48650,
  [SMALL_STATE(1410)] = 48678,
  [SMALL_STATE(1411)] = 48706,
  [SMALL_STATE(1412)] = 48736,
  [SMALL_STATE(1413)] = 48766,
  [SMALL_STATE(1414)] = 48802,
  [SMALL_STATE(1415)] = 48830,
  [SMALL_STATE(1416)] = 48858,
  [SMALL_STATE(1417)] = 48888,
  [SMALL_STATE(1418)] = 48918,
  [SMALL_STATE(1419)] = 48954,
  [SMALL_STATE(1420)] = 48982,
  [SMALL_STATE(1421)] = 49010,
  [SMALL_STATE(1422)] = 49038,
  [SMALL_STATE(1423)] = 49068,
  [SMALL_STATE(1424)] = 49090,
  [SMALL_STATE(1425)] = 49120,
  [SMALL_STATE(1426)] = 49156,
  [SMALL_STATE(1427)] = 49184,
  [SMALL_STATE(1428)] = 49212,
  [SMALL_STATE(1429)] = 49240,
  [SMALL_STATE(1430)] = 49268,
  [SMALL_STATE(1431)] = 49298,
  [SMALL_STATE(1432)] = 49328,
  [SMALL_STATE(1433)] = 49356,
  [SMALL_STATE(1434)] = 49384,
  [SMALL_STATE(1435)] = 49412,
  [SMALL_STATE(1436)] = 49440,
  [SMALL_STATE(1437)] = 49468,
  [SMALL_STATE(1438)] = 49498,
  [SMALL_STATE(1439)] = 49528,
  [SMALL_STATE(1440)] = 49556,
  [SMALL_STATE(1441)] = 49577,
  [SMALL_STATE(1442)] = 49604,
  [SMALL_STATE(1443)] = 49631,
  [SMALL_STATE(1444)] = 49656,
  [SMALL_STATE(1445)] = 49675,
  [SMALL_STATE(1446)] = 49694,
  [SMALL_STATE(1447)] = 49713,
  [SMALL_STATE(1448)] = 49740,
  [SMALL_STATE(1449)] = 49765,
  [SMALL_STATE(1450)] = 49793,
  [SMALL_STATE(1451)] = 49811,
  [SMALL_STATE(1452)] = 49833,
  [SMALL_STATE(1453)] = 49855,
  [SMALL_STATE(1454)] = 49877,
  [SMALL_STATE(1455)] = 49901,
  [SMALL_STATE(1456)] = 49925,
  [SMALL_STATE(1457)] = 49943,
  [SMALL_STATE(1458)] = 49961,
  [SMALL_STATE(1459)] = 49989,
  [SMALL_STATE(1460)] = 50013,
  [SMALL_STATE(1461)] = 50037,
  [SMALL_STATE(1462)] = 50059,
  [SMALL_STATE(1463)] = 50083,
  [SMALL_STATE(1464)] = 50107,
  [SMALL_STATE(1465)] = 50129,
  [SMALL_STATE(1466)] = 50151,
  [SMALL_STATE(1467)] = 50173,
  [SMALL_STATE(1468)] = 50191,
  [SMALL_STATE(1469)] = 50209,
  [SMALL_STATE(1470)] = 50233,
  [SMALL_STATE(1471)] = 50257,
  [SMALL_STATE(1472)] = 50281,
  [SMALL_STATE(1473)] = 50303,
  [SMALL_STATE(1474)] = 50325,
  [SMALL_STATE(1475)] = 50343,
  [SMALL_STATE(1476)] = 50360,
  [SMALL_STATE(1477)] = 50377,
  [SMALL_STATE(1478)] = 50394,
  [SMALL_STATE(1479)] = 50413,
  [SMALL_STATE(1480)] = 50440,
  [SMALL_STATE(1481)] = 50463,
  [SMALL_STATE(1482)] = 50490,
  [SMALL_STATE(1483)] = 50517,
  [SMALL_STATE(1484)] = 50544,
  [SMALL_STATE(1485)] = 50571,
  [SMALL_STATE(1486)] = 50594,
  [SMALL_STATE(1487)] = 50617,
  [SMALL_STATE(1488)] = 50644,
  [SMALL_STATE(1489)] = 50671,
  [SMALL_STATE(1490)] = 50698,
  [SMALL_STATE(1491)] = 50720,
  [SMALL_STATE(1492)] = 50742,
  [SMALL_STATE(1493)] = 50762,
  [SMALL_STATE(1494)] = 50784,
  [SMALL_STATE(1495)] = 50806,
  [SMALL_STATE(1496)] = 50834,
  [SMALL_STATE(1497)] = 50852,
  [SMALL_STATE(1498)] = 50880,
  [SMALL_STATE(1499)] = 50902,
  [SMALL_STATE(1500)] = 50930,
  [SMALL_STATE(1501)] = 50958,
  [SMALL_STATE(1502)] = 50980,
  [SMALL_STATE(1503)] = 51002,
  [SMALL_STATE(1504)] = 51030,
  [SMALL_STATE(1505)] = 51058,
  [SMALL_STATE(1506)] = 51086,
  [SMALL_STATE(1507)] = 51110,
  [SMALL_STATE(1508)] = 51132,
  [SMALL_STATE(1509)] = 51160,
  [SMALL_STATE(1510)] = 51181,
  [SMALL_STATE(1511)] = 51200,
  [SMALL_STATE(1512)] = 51215,
  [SMALL_STATE(1513)] = 51234,
  [SMALL_STATE(1514)] = 51257,
  [SMALL_STATE(1515)] = 51278,
  [SMALL_STATE(1516)] = 51299,
  [SMALL_STATE(1517)] = 51320,
  [SMALL_STATE(1518)] = 51341,
  [SMALL_STATE(1519)] = 51362,
  [SMALL_STATE(1520)] = 51383,
  [SMALL_STATE(1521)] = 51402,
  [SMALL_STATE(1522)] = 51421,
  [SMALL_STATE(1523)] = 51438,
  [SMALL_STATE(1524)] = 51457,
  [SMALL_STATE(1525)] = 51472,
  [SMALL_STATE(1526)] = 51491,
  [SMALL_STATE(1527)] = 51510,
  [SMALL_STATE(1528)] = 51525,
  [SMALL_STATE(1529)] = 51546,
  [SMALL_STATE(1530)] = 51563,
  [SMALL_STATE(1531)] = 51580,
  [SMALL_STATE(1532)] = 51597,
  [SMALL_STATE(1533)] = 51616,
  [SMALL_STATE(1534)] = 51637,
  [SMALL_STATE(1535)] = 51652,
  [SMALL_STATE(1536)] = 51667,
  [SMALL_STATE(1537)] = 51688,
  [SMALL_STATE(1538)] = 51709,
  [SMALL_STATE(1539)] = 51728,
  [SMALL_STATE(1540)] = 51747,
  [SMALL_STATE(1541)] = 51768,
  [SMALL_STATE(1542)] = 51783,
  [SMALL_STATE(1543)] = 51798,
  [SMALL_STATE(1544)] = 51813,
  [SMALL_STATE(1545)] = 51832,
  [SMALL_STATE(1546)] = 51853,
  [SMALL_STATE(1547)] = 51868,
  [SMALL_STATE(1548)] = 51889,
  [SMALL_STATE(1549)] = 51904,
  [SMALL_STATE(1550)] = 51919,
  [SMALL_STATE(1551)] = 51938,
  [SMALL_STATE(1552)] = 51953,
  [SMALL_STATE(1553)] = 51968,
  [SMALL_STATE(1554)] = 51983,
  [SMALL_STATE(1555)] = 52004,
  [SMALL_STATE(1556)] = 52025,
  [SMALL_STATE(1557)] = 52046,
  [SMALL_STATE(1558)] = 52067,
  [SMALL_STATE(1559)] = 52086,
  [SMALL_STATE(1560)] = 52105,
  [SMALL_STATE(1561)] = 52124,
  [SMALL_STATE(1562)] = 52146,
  [SMALL_STATE(1563)] = 52164,
  [SMALL_STATE(1564)] = 52182,
  [SMALL_STATE(1565)] = 52204,
  [SMALL_STATE(1566)] = 52224,
  [SMALL_STATE(1567)] = 52242,
  [SMALL_STATE(1568)] = 52264,
  [SMALL_STATE(1569)] = 52280,
  [SMALL_STATE(1570)] = 52294,
  [SMALL_STATE(1571)] = 52312,
  [SMALL_STATE(1572)] = 52330,
  [SMALL_STATE(1573)] = 52350,
  [SMALL_STATE(1574)] = 52372,
  [SMALL_STATE(1575)] = 52392,
  [SMALL_STATE(1576)] = 52408,
  [SMALL_STATE(1577)] = 52426,
  [SMALL_STATE(1578)] = 52440,
  [SMALL_STATE(1579)] = 52456,
  [SMALL_STATE(1580)] = 52470,
  [SMALL_STATE(1581)] = 52484,
  [SMALL_STATE(1582)] = 52506,
  [SMALL_STATE(1583)] = 52528,
  [SMALL_STATE(1584)] = 52542,
  [SMALL_STATE(1585)] = 52560,
  [SMALL_STATE(1586)] = 52578,
  [SMALL_STATE(1587)] = 52592,
  [SMALL_STATE(1588)] = 52606,
  [SMALL_STATE(1589)] = 52628,
  [SMALL_STATE(1590)] = 52650,
  [SMALL_STATE(1591)] = 52672,
  [SMALL_STATE(1592)] = 52688,
  [SMALL_STATE(1593)] = 52710,
  [SMALL_STATE(1594)] = 52732,
  [SMALL_STATE(1595)] = 52754,
  [SMALL_STATE(1596)] = 52776,
  [SMALL_STATE(1597)] = 52798,
  [SMALL_STATE(1598)] = 52812,
  [SMALL_STATE(1599)] = 52834,
  [SMALL_STATE(1600)] = 52852,
  [SMALL_STATE(1601)] = 52866,
  [SMALL_STATE(1602)] = 52884,
  [SMALL_STATE(1603)] = 52902,
  [SMALL_STATE(1604)] = 52920,
  [SMALL_STATE(1605)] = 52938,
  [SMALL_STATE(1606)] = 52952,
  [SMALL_STATE(1607)] = 52970,
  [SMALL_STATE(1608)] = 52992,
  [SMALL_STATE(1609)] = 53010,
  [SMALL_STATE(1610)] = 53024,
  [SMALL_STATE(1611)] = 53046,
  [SMALL_STATE(1612)] = 53064,
  [SMALL_STATE(1613)] = 53086,
  [SMALL_STATE(1614)] = 53108,
  [SMALL_STATE(1615)] = 53130,
  [SMALL_STATE(1616)] = 53144,
  [SMALL_STATE(1617)] = 53166,
  [SMALL_STATE(1618)] = 53188,
  [SMALL_STATE(1619)] = 53202,
  [SMALL_STATE(1620)] = 53224,
  [SMALL_STATE(1621)] = 53240,
  [SMALL_STATE(1622)] = 53262,
  [SMALL_STATE(1623)] = 53278,
  [SMALL_STATE(1624)] = 53296,
  [SMALL_STATE(1625)] = 53318,
  [SMALL_STATE(1626)] = 53338,
  [SMALL_STATE(1627)] = 53352,
  [SMALL_STATE(1628)] = 53374,
  [SMALL_STATE(1629)] = 53388,
  [SMALL_STATE(1630)] = 53410,
  [SMALL_STATE(1631)] = 53424,
  [SMALL_STATE(1632)] = 53438,
  [SMALL_STATE(1633)] = 53458,
  [SMALL_STATE(1634)] = 53472,
  [SMALL_STATE(1635)] = 53490,
  [SMALL_STATE(1636)] = 53506,
  [SMALL_STATE(1637)] = 53524,
  [SMALL_STATE(1638)] = 53540,
  [SMALL_STATE(1639)] = 53554,
  [SMALL_STATE(1640)] = 53568,
  [SMALL_STATE(1641)] = 53582,
  [SMALL_STATE(1642)] = 53600,
  [SMALL_STATE(1643)] = 53614,
  [SMALL_STATE(1644)] = 53630,
  [SMALL_STATE(1645)] = 53645,
  [SMALL_STATE(1646)] = 53662,
  [SMALL_STATE(1647)] = 53679,
  [SMALL_STATE(1648)] = 53692,
  [SMALL_STATE(1649)] = 53705,
  [SMALL_STATE(1650)] = 53720,
  [SMALL_STATE(1651)] = 53739,
  [SMALL_STATE(1652)] = 53752,
  [SMALL_STATE(1653)] = 53763,
  [SMALL_STATE(1654)] = 53780,
  [SMALL_STATE(1655)] = 53791,
  [SMALL_STATE(1656)] = 53810,
  [SMALL_STATE(1657)] = 53823,
  [SMALL_STATE(1658)] = 53842,
  [SMALL_STATE(1659)] = 53861,
  [SMALL_STATE(1660)] = 53874,
  [SMALL_STATE(1661)] = 53891,
  [SMALL_STATE(1662)] = 53908,
  [SMALL_STATE(1663)] = 53921,
  [SMALL_STATE(1664)] = 53940,
  [SMALL_STATE(1665)] = 53959,
  [SMALL_STATE(1666)] = 53970,
  [SMALL_STATE(1667)] = 53989,
  [SMALL_STATE(1668)] = 54002,
  [SMALL_STATE(1669)] = 54017,
  [SMALL_STATE(1670)] = 54030,
  [SMALL_STATE(1671)] = 54047,
  [SMALL_STATE(1672)] = 54060,
  [SMALL_STATE(1673)] = 54073,
  [SMALL_STATE(1674)] = 54092,
  [SMALL_STATE(1675)] = 54107,
  [SMALL_STATE(1676)] = 54124,
  [SMALL_STATE(1677)] = 54141,
  [SMALL_STATE(1678)] = 54160,
  [SMALL_STATE(1679)] = 54177,
  [SMALL_STATE(1680)] = 54196,
  [SMALL_STATE(1681)] = 54215,
  [SMALL_STATE(1682)] = 54230,
  [SMALL_STATE(1683)] = 54249,
  [SMALL_STATE(1684)] = 54266,
  [SMALL_STATE(1685)] = 54281,
  [SMALL_STATE(1686)] = 54294,
  [SMALL_STATE(1687)] = 54311,
  [SMALL_STATE(1688)] = 54328,
  [SMALL_STATE(1689)] = 54341,
  [SMALL_STATE(1690)] = 54354,
  [SMALL_STATE(1691)] = 54365,
  [SMALL_STATE(1692)] = 54382,
  [SMALL_STATE(1693)] = 54399,
  [SMALL_STATE(1694)] = 54414,
  [SMALL_STATE(1695)] = 54433,
  [SMALL_STATE(1696)] = 54444,
  [SMALL_STATE(1697)] = 54463,
  [SMALL_STATE(1698)] = 54480,
  [SMALL_STATE(1699)] = 54493,
  [SMALL_STATE(1700)] = 54510,
  [SMALL_STATE(1701)] = 54529,
  [SMALL_STATE(1702)] = 54542,
  [SMALL_STATE(1703)] = 54555,
  [SMALL_STATE(1704)] = 54574,
  [SMALL_STATE(1705)] = 54587,
  [SMALL_STATE(1706)] = 54604,
  [SMALL_STATE(1707)] = 54621,
  [SMALL_STATE(1708)] = 54632,
  [SMALL_STATE(1709)] = 54647,
  [SMALL_STATE(1710)] = 54662,
  [SMALL_STATE(1711)] = 54679,
  [SMALL_STATE(1712)] = 54696,
  [SMALL_STATE(1713)] = 54713,
  [SMALL_STATE(1714)] = 54728,
  [SMALL_STATE(1715)] = 54745,
  [SMALL_STATE(1716)] = 54762,
  [SMALL_STATE(1717)] = 54779,
  [SMALL_STATE(1718)] = 54796,
  [SMALL_STATE(1719)] = 54811,
  [SMALL_STATE(1720)] = 54826,
  [SMALL_STATE(1721)] = 54843,
  [SMALL_STATE(1722)] = 54858,
  [SMALL_STATE(1723)] = 54869,
  [SMALL_STATE(1724)] = 54888,
  [SMALL_STATE(1725)] = 54901,
  [SMALL_STATE(1726)] = 54920,
  [SMALL_STATE(1727)] = 54935,
  [SMALL_STATE(1728)] = 54952,
  [SMALL_STATE(1729)] = 54969,
  [SMALL_STATE(1730)] = 54984,
  [SMALL_STATE(1731)] = 54999,
  [SMALL_STATE(1732)] = 55012,
  [SMALL_STATE(1733)] = 55029,
  [SMALL_STATE(1734)] = 55048,
  [SMALL_STATE(1735)] = 55061,
  [SMALL_STATE(1736)] = 55080,
  [SMALL_STATE(1737)] = 55095,
  [SMALL_STATE(1738)] = 55112,
  [SMALL_STATE(1739)] = 55129,
  [SMALL_STATE(1740)] = 55142,
  [SMALL_STATE(1741)] = 55157,
  [SMALL_STATE(1742)] = 55174,
  [SMALL_STATE(1743)] = 55191,
  [SMALL_STATE(1744)] = 55204,
  [SMALL_STATE(1745)] = 55223,
  [SMALL_STATE(1746)] = 55240,
  [SMALL_STATE(1747)] = 55257,
  [SMALL_STATE(1748)] = 55274,
  [SMALL_STATE(1749)] = 55287,
  [SMALL_STATE(1750)] = 55302,
  [SMALL_STATE(1751)] = 55319,
  [SMALL_STATE(1752)] = 55334,
  [SMALL_STATE(1753)] = 55351,
  [SMALL_STATE(1754)] = 55366,
  [SMALL_STATE(1755)] = 55383,
  [SMALL_STATE(1756)] = 55396,
  [SMALL_STATE(1757)] = 55411,
  [SMALL_STATE(1758)] = 55428,
  [SMALL_STATE(1759)] = 55447,
  [SMALL_STATE(1760)] = 55464,
  [SMALL_STATE(1761)] = 55481,
  [SMALL_STATE(1762)] = 55500,
  [SMALL_STATE(1763)] = 55515,
  [SMALL_STATE(1764)] = 55530,
  [SMALL_STATE(1765)] = 55545,
  [SMALL_STATE(1766)] = 55558,
  [SMALL_STATE(1767)] = 55575,
  [SMALL_STATE(1768)] = 55590,
  [SMALL_STATE(1769)] = 55603,
  [SMALL_STATE(1770)] = 55620,
  [SMALL_STATE(1771)] = 55636,
  [SMALL_STATE(1772)] = 55652,
  [SMALL_STATE(1773)] = 55668,
  [SMALL_STATE(1774)] = 55684,
  [SMALL_STATE(1775)] = 55696,
  [SMALL_STATE(1776)] = 55710,
  [SMALL_STATE(1777)] = 55726,
  [SMALL_STATE(1778)] = 55740,
  [SMALL_STATE(1779)] = 55756,
  [SMALL_STATE(1780)] = 55770,
  [SMALL_STATE(1781)] = 55786,
  [SMALL_STATE(1782)] = 55796,
  [SMALL_STATE(1783)] = 55812,
  [SMALL_STATE(1784)] = 55828,
  [SMALL_STATE(1785)] = 55844,
  [SMALL_STATE(1786)] = 55856,
  [SMALL_STATE(1787)] = 55870,
  [SMALL_STATE(1788)] = 55886,
  [SMALL_STATE(1789)] = 55900,
  [SMALL_STATE(1790)] = 55916,
  [SMALL_STATE(1791)] = 55930,
  [SMALL_STATE(1792)] = 55944,
  [SMALL_STATE(1793)] = 55960,
  [SMALL_STATE(1794)] = 55970,
  [SMALL_STATE(1795)] = 55984,
  [SMALL_STATE(1796)] = 55994,
  [SMALL_STATE(1797)] = 56010,
  [SMALL_STATE(1798)] = 56026,
  [SMALL_STATE(1799)] = 56042,
  [SMALL_STATE(1800)] = 56056,
  [SMALL_STATE(1801)] = 56066,
  [SMALL_STATE(1802)] = 56082,
  [SMALL_STATE(1803)] = 56092,
  [SMALL_STATE(1804)] = 56104,
  [SMALL_STATE(1805)] = 56120,
  [SMALL_STATE(1806)] = 56136,
  [SMALL_STATE(1807)] = 56150,
  [SMALL_STATE(1808)] = 56166,
  [SMALL_STATE(1809)] = 56180,
  [SMALL_STATE(1810)] = 56190,
  [SMALL_STATE(1811)] = 56204,
  [SMALL_STATE(1812)] = 56218,
  [SMALL_STATE(1813)] = 56234,
  [SMALL_STATE(1814)] = 56244,
  [SMALL_STATE(1815)] = 56258,
  [SMALL_STATE(1816)] = 56270,
  [SMALL_STATE(1817)] = 56280,
  [SMALL_STATE(1818)] = 56296,
  [SMALL_STATE(1819)] = 56312,
  [SMALL_STATE(1820)] = 56328,
  [SMALL_STATE(1821)] = 56338,
  [SMALL_STATE(1822)] = 56350,
  [SMALL_STATE(1823)] = 56364,
  [SMALL_STATE(1824)] = 56380,
  [SMALL_STATE(1825)] = 56396,
  [SMALL_STATE(1826)] = 56410,
  [SMALL_STATE(1827)] = 56424,
  [SMALL_STATE(1828)] = 56440,
  [SMALL_STATE(1829)] = 56452,
  [SMALL_STATE(1830)] = 56468,
  [SMALL_STATE(1831)] = 56484,
  [SMALL_STATE(1832)] = 56500,
  [SMALL_STATE(1833)] = 56516,
  [SMALL_STATE(1834)] = 56532,
  [SMALL_STATE(1835)] = 56546,
  [SMALL_STATE(1836)] = 56556,
  [SMALL_STATE(1837)] = 56568,
  [SMALL_STATE(1838)] = 56584,
  [SMALL_STATE(1839)] = 56600,
  [SMALL_STATE(1840)] = 56610,
  [SMALL_STATE(1841)] = 56620,
  [SMALL_STATE(1842)] = 56632,
  [SMALL_STATE(1843)] = 56646,
  [SMALL_STATE(1844)] = 56660,
  [SMALL_STATE(1845)] = 56676,
  [SMALL_STATE(1846)] = 56690,
  [SMALL_STATE(1847)] = 56706,
  [SMALL_STATE(1848)] = 56722,
  [SMALL_STATE(1849)] = 56736,
  [SMALL_STATE(1850)] = 56752,
  [SMALL_STATE(1851)] = 56766,
  [SMALL_STATE(1852)] = 56782,
  [SMALL_STATE(1853)] = 56796,
  [SMALL_STATE(1854)] = 56812,
  [SMALL_STATE(1855)] = 56824,
  [SMALL_STATE(1856)] = 56840,
  [SMALL_STATE(1857)] = 56854,
  [SMALL_STATE(1858)] = 56868,
  [SMALL_STATE(1859)] = 56884,
  [SMALL_STATE(1860)] = 56894,
  [SMALL_STATE(1861)] = 56904,
  [SMALL_STATE(1862)] = 56920,
  [SMALL_STATE(1863)] = 56936,
  [SMALL_STATE(1864)] = 56952,
  [SMALL_STATE(1865)] = 56968,
  [SMALL_STATE(1866)] = 56978,
  [SMALL_STATE(1867)] = 56994,
  [SMALL_STATE(1868)] = 57010,
  [SMALL_STATE(1869)] = 57024,
  [SMALL_STATE(1870)] = 57040,
  [SMALL_STATE(1871)] = 57052,
  [SMALL_STATE(1872)] = 57064,
  [SMALL_STATE(1873)] = 57076,
  [SMALL_STATE(1874)] = 57088,
  [SMALL_STATE(1875)] = 57099,
  [SMALL_STATE(1876)] = 57110,
  [SMALL_STATE(1877)] = 57123,
  [SMALL_STATE(1878)] = 57136,
  [SMALL_STATE(1879)] = 57149,
  [SMALL_STATE(1880)] = 57162,
  [SMALL_STATE(1881)] = 57173,
  [SMALL_STATE(1882)] = 57184,
  [SMALL_STATE(1883)] = 57197,
  [SMALL_STATE(1884)] = 57210,
  [SMALL_STATE(1885)] = 57221,
  [SMALL_STATE(1886)] = 57234,
  [SMALL_STATE(1887)] = 57247,
  [SMALL_STATE(1888)] = 57260,
  [SMALL_STATE(1889)] = 57273,
  [SMALL_STATE(1890)] = 57286,
  [SMALL_STATE(1891)] = 57297,
  [SMALL_STATE(1892)] = 57310,
  [SMALL_STATE(1893)] = 57323,
  [SMALL_STATE(1894)] = 57336,
  [SMALL_STATE(1895)] = 57349,
  [SMALL_STATE(1896)] = 57362,
  [SMALL_STATE(1897)] = 57371,
  [SMALL_STATE(1898)] = 57382,
  [SMALL_STATE(1899)] = 57393,
  [SMALL_STATE(1900)] = 57404,
  [SMALL_STATE(1901)] = 57415,
  [SMALL_STATE(1902)] = 57426,
  [SMALL_STATE(1903)] = 57437,
  [SMALL_STATE(1904)] = 57448,
  [SMALL_STATE(1905)] = 57459,
  [SMALL_STATE(1906)] = 57472,
  [SMALL_STATE(1907)] = 57483,
  [SMALL_STATE(1908)] = 57494,
  [SMALL_STATE(1909)] = 57505,
  [SMALL_STATE(1910)] = 57518,
  [SMALL_STATE(1911)] = 57529,
  [SMALL_STATE(1912)] = 57542,
  [SMALL_STATE(1913)] = 57555,
  [SMALL_STATE(1914)] = 57566,
  [SMALL_STATE(1915)] = 57577,
  [SMALL_STATE(1916)] = 57588,
  [SMALL_STATE(1917)] = 57601,
  [SMALL_STATE(1918)] = 57614,
  [SMALL_STATE(1919)] = 57627,
  [SMALL_STATE(1920)] = 57638,
  [SMALL_STATE(1921)] = 57649,
  [SMALL_STATE(1922)] = 57658,
  [SMALL_STATE(1923)] = 57669,
  [SMALL_STATE(1924)] = 57680,
  [SMALL_STATE(1925)] = 57691,
  [SMALL_STATE(1926)] = 57702,
  [SMALL_STATE(1927)] = 57715,
  [SMALL_STATE(1928)] = 57728,
  [SMALL_STATE(1929)] = 57739,
  [SMALL_STATE(1930)] = 57752,
  [SMALL_STATE(1931)] = 57761,
  [SMALL_STATE(1932)] = 57770,
  [SMALL_STATE(1933)] = 57781,
  [SMALL_STATE(1934)] = 57794,
  [SMALL_STATE(1935)] = 57803,
  [SMALL_STATE(1936)] = 57816,
  [SMALL_STATE(1937)] = 57825,
  [SMALL_STATE(1938)] = 57838,
  [SMALL_STATE(1939)] = 57849,
  [SMALL_STATE(1940)] = 57860,
  [SMALL_STATE(1941)] = 57873,
  [SMALL_STATE(1942)] = 57886,
  [SMALL_STATE(1943)] = 57899,
  [SMALL_STATE(1944)] = 57910,
  [SMALL_STATE(1945)] = 57923,
  [SMALL_STATE(1946)] = 57934,
  [SMALL_STATE(1947)] = 57945,
  [SMALL_STATE(1948)] = 57958,
  [SMALL_STATE(1949)] = 57971,
  [SMALL_STATE(1950)] = 57982,
  [SMALL_STATE(1951)] = 57993,
  [SMALL_STATE(1952)] = 58004,
  [SMALL_STATE(1953)] = 58017,
  [SMALL_STATE(1954)] = 58028,
  [SMALL_STATE(1955)] = 58039,
  [SMALL_STATE(1956)] = 58050,
  [SMALL_STATE(1957)] = 58063,
  [SMALL_STATE(1958)] = 58076,
  [SMALL_STATE(1959)] = 58085,
  [SMALL_STATE(1960)] = 58096,
  [SMALL_STATE(1961)] = 58107,
  [SMALL_STATE(1962)] = 58118,
  [SMALL_STATE(1963)] = 58129,
  [SMALL_STATE(1964)] = 58142,
  [SMALL_STATE(1965)] = 58153,
  [SMALL_STATE(1966)] = 58166,
  [SMALL_STATE(1967)] = 58177,
  [SMALL_STATE(1968)] = 58190,
  [SMALL_STATE(1969)] = 58203,
  [SMALL_STATE(1970)] = 58214,
  [SMALL_STATE(1971)] = 58227,
  [SMALL_STATE(1972)] = 58238,
  [SMALL_STATE(1973)] = 58249,
  [SMALL_STATE(1974)] = 58258,
  [SMALL_STATE(1975)] = 58269,
  [SMALL_STATE(1976)] = 58280,
  [SMALL_STATE(1977)] = 58291,
  [SMALL_STATE(1978)] = 58302,
  [SMALL_STATE(1979)] = 58311,
  [SMALL_STATE(1980)] = 58322,
  [SMALL_STATE(1981)] = 58331,
  [SMALL_STATE(1982)] = 58340,
  [SMALL_STATE(1983)] = 58353,
  [SMALL_STATE(1984)] = 58366,
  [SMALL_STATE(1985)] = 58377,
  [SMALL_STATE(1986)] = 58390,
  [SMALL_STATE(1987)] = 58401,
  [SMALL_STATE(1988)] = 58412,
  [SMALL_STATE(1989)] = 58423,
  [SMALL_STATE(1990)] = 58434,
  [SMALL_STATE(1991)] = 58445,
  [SMALL_STATE(1992)] = 58458,
  [SMALL_STATE(1993)] = 58471,
  [SMALL_STATE(1994)] = 58482,
  [SMALL_STATE(1995)] = 58493,
  [SMALL_STATE(1996)] = 58504,
  [SMALL_STATE(1997)] = 58515,
  [SMALL_STATE(1998)] = 58528,
  [SMALL_STATE(1999)] = 58537,
  [SMALL_STATE(2000)] = 58548,
  [SMALL_STATE(2001)] = 58559,
  [SMALL_STATE(2002)] = 58570,
  [SMALL_STATE(2003)] = 58581,
  [SMALL_STATE(2004)] = 58592,
  [SMALL_STATE(2005)] = 58603,
  [SMALL_STATE(2006)] = 58616,
  [SMALL_STATE(2007)] = 58625,
  [SMALL_STATE(2008)] = 58636,
  [SMALL_STATE(2009)] = 58647,
  [SMALL_STATE(2010)] = 58660,
  [SMALL_STATE(2011)] = 58673,
  [SMALL_STATE(2012)] = 58686,
  [SMALL_STATE(2013)] = 58697,
  [SMALL_STATE(2014)] = 58710,
  [SMALL_STATE(2015)] = 58723,
  [SMALL_STATE(2016)] = 58734,
  [SMALL_STATE(2017)] = 58745,
  [SMALL_STATE(2018)] = 58758,
  [SMALL_STATE(2019)] = 58769,
  [SMALL_STATE(2020)] = 58780,
  [SMALL_STATE(2021)] = 58793,
  [SMALL_STATE(2022)] = 58806,
  [SMALL_STATE(2023)] = 58817,
  [SMALL_STATE(2024)] = 58828,
  [SMALL_STATE(2025)] = 58839,
  [SMALL_STATE(2026)] = 58850,
  [SMALL_STATE(2027)] = 58861,
  [SMALL_STATE(2028)] = 58872,
  [SMALL_STATE(2029)] = 58883,
  [SMALL_STATE(2030)] = 58896,
  [SMALL_STATE(2031)] = 58907,
  [SMALL_STATE(2032)] = 58916,
  [SMALL_STATE(2033)] = 58927,
  [SMALL_STATE(2034)] = 58938,
  [SMALL_STATE(2035)] = 58951,
  [SMALL_STATE(2036)] = 58962,
  [SMALL_STATE(2037)] = 58971,
  [SMALL_STATE(2038)] = 58982,
  [SMALL_STATE(2039)] = 58993,
  [SMALL_STATE(2040)] = 59004,
  [SMALL_STATE(2041)] = 59017,
  [SMALL_STATE(2042)] = 59030,
  [SMALL_STATE(2043)] = 59041,
  [SMALL_STATE(2044)] = 59054,
  [SMALL_STATE(2045)] = 59065,
  [SMALL_STATE(2046)] = 59078,
  [SMALL_STATE(2047)] = 59091,
  [SMALL_STATE(2048)] = 59102,
  [SMALL_STATE(2049)] = 59113,
  [SMALL_STATE(2050)] = 59126,
  [SMALL_STATE(2051)] = 59137,
  [SMALL_STATE(2052)] = 59150,
  [SMALL_STATE(2053)] = 59161,
  [SMALL_STATE(2054)] = 59172,
  [SMALL_STATE(2055)] = 59183,
  [SMALL_STATE(2056)] = 59194,
  [SMALL_STATE(2057)] = 59205,
  [SMALL_STATE(2058)] = 59216,
  [SMALL_STATE(2059)] = 59227,
  [SMALL_STATE(2060)] = 59238,
  [SMALL_STATE(2061)] = 59249,
  [SMALL_STATE(2062)] = 59260,
  [SMALL_STATE(2063)] = 59271,
  [SMALL_STATE(2064)] = 59280,
  [SMALL_STATE(2065)] = 59293,
  [SMALL_STATE(2066)] = 59304,
  [SMALL_STATE(2067)] = 59317,
  [SMALL_STATE(2068)] = 59328,
  [SMALL_STATE(2069)] = 59341,
  [SMALL_STATE(2070)] = 59352,
  [SMALL_STATE(2071)] = 59365,
  [SMALL_STATE(2072)] = 59378,
  [SMALL_STATE(2073)] = 59391,
  [SMALL_STATE(2074)] = 59404,
  [SMALL_STATE(2075)] = 59415,
  [SMALL_STATE(2076)] = 59428,
  [SMALL_STATE(2077)] = 59439,
  [SMALL_STATE(2078)] = 59450,
  [SMALL_STATE(2079)] = 59463,
  [SMALL_STATE(2080)] = 59474,
  [SMALL_STATE(2081)] = 59485,
  [SMALL_STATE(2082)] = 59496,
  [SMALL_STATE(2083)] = 59507,
  [SMALL_STATE(2084)] = 59518,
  [SMALL_STATE(2085)] = 59529,
  [SMALL_STATE(2086)] = 59542,
  [SMALL_STATE(2087)] = 59553,
  [SMALL_STATE(2088)] = 59564,
  [SMALL_STATE(2089)] = 59575,
  [SMALL_STATE(2090)] = 59586,
  [SMALL_STATE(2091)] = 59597,
  [SMALL_STATE(2092)] = 59608,
  [SMALL_STATE(2093)] = 59621,
  [SMALL_STATE(2094)] = 59632,
  [SMALL_STATE(2095)] = 59645,
  [SMALL_STATE(2096)] = 59656,
  [SMALL_STATE(2097)] = 59669,
  [SMALL_STATE(2098)] = 59680,
  [SMALL_STATE(2099)] = 59693,
  [SMALL_STATE(2100)] = 59704,
  [SMALL_STATE(2101)] = 59715,
  [SMALL_STATE(2102)] = 59726,
  [SMALL_STATE(2103)] = 59737,
  [SMALL_STATE(2104)] = 59748,
  [SMALL_STATE(2105)] = 59759,
  [SMALL_STATE(2106)] = 59770,
  [SMALL_STATE(2107)] = 59781,
  [SMALL_STATE(2108)] = 59792,
  [SMALL_STATE(2109)] = 59801,
  [SMALL_STATE(2110)] = 59814,
  [SMALL_STATE(2111)] = 59825,
  [SMALL_STATE(2112)] = 59836,
  [SMALL_STATE(2113)] = 59847,
  [SMALL_STATE(2114)] = 59858,
  [SMALL_STATE(2115)] = 59869,
  [SMALL_STATE(2116)] = 59880,
  [SMALL_STATE(2117)] = 59891,
  [SMALL_STATE(2118)] = 59900,
  [SMALL_STATE(2119)] = 59911,
  [SMALL_STATE(2120)] = 59922,
  [SMALL_STATE(2121)] = 59933,
  [SMALL_STATE(2122)] = 59946,
  [SMALL_STATE(2123)] = 59957,
  [SMALL_STATE(2124)] = 59970,
  [SMALL_STATE(2125)] = 59981,
  [SMALL_STATE(2126)] = 59992,
  [SMALL_STATE(2127)] = 60003,
  [SMALL_STATE(2128)] = 60014,
  [SMALL_STATE(2129)] = 60025,
  [SMALL_STATE(2130)] = 60036,
  [SMALL_STATE(2131)] = 60047,
  [SMALL_STATE(2132)] = 60058,
  [SMALL_STATE(2133)] = 60069,
  [SMALL_STATE(2134)] = 60080,
  [SMALL_STATE(2135)] = 60091,
  [SMALL_STATE(2136)] = 60102,
  [SMALL_STATE(2137)] = 60113,
  [SMALL_STATE(2138)] = 60124,
  [SMALL_STATE(2139)] = 60135,
  [SMALL_STATE(2140)] = 60144,
  [SMALL_STATE(2141)] = 60155,
  [SMALL_STATE(2142)] = 60166,
  [SMALL_STATE(2143)] = 60177,
  [SMALL_STATE(2144)] = 60188,
  [SMALL_STATE(2145)] = 60197,
  [SMALL_STATE(2146)] = 60210,
  [SMALL_STATE(2147)] = 60221,
  [SMALL_STATE(2148)] = 60234,
  [SMALL_STATE(2149)] = 60245,
  [SMALL_STATE(2150)] = 60256,
  [SMALL_STATE(2151)] = 60269,
  [SMALL_STATE(2152)] = 60282,
  [SMALL_STATE(2153)] = 60293,
  [SMALL_STATE(2154)] = 60304,
  [SMALL_STATE(2155)] = 60315,
  [SMALL_STATE(2156)] = 60326,
  [SMALL_STATE(2157)] = 60337,
  [SMALL_STATE(2158)] = 60348,
  [SMALL_STATE(2159)] = 60359,
  [SMALL_STATE(2160)] = 60370,
  [SMALL_STATE(2161)] = 60383,
  [SMALL_STATE(2162)] = 60396,
  [SMALL_STATE(2163)] = 60407,
  [SMALL_STATE(2164)] = 60420,
  [SMALL_STATE(2165)] = 60431,
  [SMALL_STATE(2166)] = 60444,
  [SMALL_STATE(2167)] = 60455,
  [SMALL_STATE(2168)] = 60466,
  [SMALL_STATE(2169)] = 60477,
  [SMALL_STATE(2170)] = 60488,
  [SMALL_STATE(2171)] = 60499,
  [SMALL_STATE(2172)] = 60512,
  [SMALL_STATE(2173)] = 60525,
  [SMALL_STATE(2174)] = 60536,
  [SMALL_STATE(2175)] = 60547,
  [SMALL_STATE(2176)] = 60558,
  [SMALL_STATE(2177)] = 60569,
  [SMALL_STATE(2178)] = 60580,
  [SMALL_STATE(2179)] = 60593,
  [SMALL_STATE(2180)] = 60606,
  [SMALL_STATE(2181)] = 60617,
  [SMALL_STATE(2182)] = 60628,
  [SMALL_STATE(2183)] = 60639,
  [SMALL_STATE(2184)] = 60650,
  [SMALL_STATE(2185)] = 60661,
  [SMALL_STATE(2186)] = 60672,
  [SMALL_STATE(2187)] = 60683,
  [SMALL_STATE(2188)] = 60694,
  [SMALL_STATE(2189)] = 60705,
  [SMALL_STATE(2190)] = 60716,
  [SMALL_STATE(2191)] = 60729,
  [SMALL_STATE(2192)] = 60740,
  [SMALL_STATE(2193)] = 60753,
  [SMALL_STATE(2194)] = 60764,
  [SMALL_STATE(2195)] = 60775,
  [SMALL_STATE(2196)] = 60786,
  [SMALL_STATE(2197)] = 60799,
  [SMALL_STATE(2198)] = 60810,
  [SMALL_STATE(2199)] = 60823,
  [SMALL_STATE(2200)] = 60836,
  [SMALL_STATE(2201)] = 60845,
  [SMALL_STATE(2202)] = 60858,
  [SMALL_STATE(2203)] = 60871,
  [SMALL_STATE(2204)] = 60884,
  [SMALL_STATE(2205)] = 60895,
  [SMALL_STATE(2206)] = 60906,
  [SMALL_STATE(2207)] = 60917,
  [SMALL_STATE(2208)] = 60926,
  [SMALL_STATE(2209)] = 60937,
  [SMALL_STATE(2210)] = 60950,
  [SMALL_STATE(2211)] = 60963,
  [SMALL_STATE(2212)] = 60976,
  [SMALL_STATE(2213)] = 60985,
  [SMALL_STATE(2214)] = 60998,
  [SMALL_STATE(2215)] = 61011,
  [SMALL_STATE(2216)] = 61021,
  [SMALL_STATE(2217)] = 61031,
  [SMALL_STATE(2218)] = 61041,
  [SMALL_STATE(2219)] = 61049,
  [SMALL_STATE(2220)] = 61059,
  [SMALL_STATE(2221)] = 61069,
  [SMALL_STATE(2222)] = 61077,
  [SMALL_STATE(2223)] = 61085,
  [SMALL_STATE(2224)] = 61095,
  [SMALL_STATE(2225)] = 61103,
  [SMALL_STATE(2226)] = 61113,
  [SMALL_STATE(2227)] = 61123,
  [SMALL_STATE(2228)] = 61131,
  [SMALL_STATE(2229)] = 61141,
  [SMALL_STATE(2230)] = 61149,
  [SMALL_STATE(2231)] = 61159,
  [SMALL_STATE(2232)] = 61167,
  [SMALL_STATE(2233)] = 61175,
  [SMALL_STATE(2234)] = 61183,
  [SMALL_STATE(2235)] = 61193,
  [SMALL_STATE(2236)] = 61203,
  [SMALL_STATE(2237)] = 61211,
  [SMALL_STATE(2238)] = 61221,
  [SMALL_STATE(2239)] = 61229,
  [SMALL_STATE(2240)] = 61239,
  [SMALL_STATE(2241)] = 61247,
  [SMALL_STATE(2242)] = 61257,
  [SMALL_STATE(2243)] = 61267,
  [SMALL_STATE(2244)] = 61275,
  [SMALL_STATE(2245)] = 61283,
  [SMALL_STATE(2246)] = 61293,
  [SMALL_STATE(2247)] = 61303,
  [SMALL_STATE(2248)] = 61313,
  [SMALL_STATE(2249)] = 61321,
  [SMALL_STATE(2250)] = 61331,
  [SMALL_STATE(2251)] = 61339,
  [SMALL_STATE(2252)] = 61347,
  [SMALL_STATE(2253)] = 61355,
  [SMALL_STATE(2254)] = 61365,
  [SMALL_STATE(2255)] = 61375,
  [SMALL_STATE(2256)] = 61385,
  [SMALL_STATE(2257)] = 61395,
  [SMALL_STATE(2258)] = 61405,
  [SMALL_STATE(2259)] = 61415,
  [SMALL_STATE(2260)] = 61425,
  [SMALL_STATE(2261)] = 61435,
  [SMALL_STATE(2262)] = 61445,
  [SMALL_STATE(2263)] = 61453,
  [SMALL_STATE(2264)] = 61461,
  [SMALL_STATE(2265)] = 61471,
  [SMALL_STATE(2266)] = 61479,
  [SMALL_STATE(2267)] = 61487,
  [SMALL_STATE(2268)] = 61497,
  [SMALL_STATE(2269)] = 61507,
  [SMALL_STATE(2270)] = 61517,
  [SMALL_STATE(2271)] = 61527,
  [SMALL_STATE(2272)] = 61537,
  [SMALL_STATE(2273)] = 61547,
  [SMALL_STATE(2274)] = 61557,
  [SMALL_STATE(2275)] = 61567,
  [SMALL_STATE(2276)] = 61575,
  [SMALL_STATE(2277)] = 61583,
  [SMALL_STATE(2278)] = 61593,
  [SMALL_STATE(2279)] = 61603,
  [SMALL_STATE(2280)] = 61611,
  [SMALL_STATE(2281)] = 61621,
  [SMALL_STATE(2282)] = 61631,
  [SMALL_STATE(2283)] = 61641,
  [SMALL_STATE(2284)] = 61651,
  [SMALL_STATE(2285)] = 61661,
  [SMALL_STATE(2286)] = 61671,
  [SMALL_STATE(2287)] = 61681,
  [SMALL_STATE(2288)] = 61691,
  [SMALL_STATE(2289)] = 61701,
  [SMALL_STATE(2290)] = 61711,
  [SMALL_STATE(2291)] = 61719,
  [SMALL_STATE(2292)] = 61729,
  [SMALL_STATE(2293)] = 61739,
  [SMALL_STATE(2294)] = 61747,
  [SMALL_STATE(2295)] = 61757,
  [SMALL_STATE(2296)] = 61767,
  [SMALL_STATE(2297)] = 61777,
  [SMALL_STATE(2298)] = 61787,
  [SMALL_STATE(2299)] = 61797,
  [SMALL_STATE(2300)] = 61807,
  [SMALL_STATE(2301)] = 61815,
  [SMALL_STATE(2302)] = 61825,
  [SMALL_STATE(2303)] = 61835,
  [SMALL_STATE(2304)] = 61843,
  [SMALL_STATE(2305)] = 61853,
  [SMALL_STATE(2306)] = 61863,
  [SMALL_STATE(2307)] = 61871,
  [SMALL_STATE(2308)] = 61879,
  [SMALL_STATE(2309)] = 61889,
  [SMALL_STATE(2310)] = 61899,
  [SMALL_STATE(2311)] = 61909,
  [SMALL_STATE(2312)] = 61919,
  [SMALL_STATE(2313)] = 61929,
  [SMALL_STATE(2314)] = 61939,
  [SMALL_STATE(2315)] = 61949,
  [SMALL_STATE(2316)] = 61959,
  [SMALL_STATE(2317)] = 61969,
  [SMALL_STATE(2318)] = 61979,
  [SMALL_STATE(2319)] = 61989,
  [SMALL_STATE(2320)] = 61999,
  [SMALL_STATE(2321)] = 62009,
  [SMALL_STATE(2322)] = 62019,
  [SMALL_STATE(2323)] = 62029,
  [SMALL_STATE(2324)] = 62039,
  [SMALL_STATE(2325)] = 62049,
  [SMALL_STATE(2326)] = 62057,
  [SMALL_STATE(2327)] = 62067,
  [SMALL_STATE(2328)] = 62077,
  [SMALL_STATE(2329)] = 62087,
  [SMALL_STATE(2330)] = 62095,
  [SMALL_STATE(2331)] = 62105,
  [SMALL_STATE(2332)] = 62115,
  [SMALL_STATE(2333)] = 62125,
  [SMALL_STATE(2334)] = 62133,
  [SMALL_STATE(2335)] = 62143,
  [SMALL_STATE(2336)] = 62151,
  [SMALL_STATE(2337)] = 62161,
  [SMALL_STATE(2338)] = 62171,
  [SMALL_STATE(2339)] = 62179,
  [SMALL_STATE(2340)] = 62189,
  [SMALL_STATE(2341)] = 62197,
  [SMALL_STATE(2342)] = 62207,
  [SMALL_STATE(2343)] = 62217,
  [SMALL_STATE(2344)] = 62225,
  [SMALL_STATE(2345)] = 62233,
  [SMALL_STATE(2346)] = 62243,
  [SMALL_STATE(2347)] = 62253,
  [SMALL_STATE(2348)] = 62263,
  [SMALL_STATE(2349)] = 62273,
  [SMALL_STATE(2350)] = 62281,
  [SMALL_STATE(2351)] = 62291,
  [SMALL_STATE(2352)] = 62301,
  [SMALL_STATE(2353)] = 62309,
  [SMALL_STATE(2354)] = 62319,
  [SMALL_STATE(2355)] = 62327,
  [SMALL_STATE(2356)] = 62337,
  [SMALL_STATE(2357)] = 62347,
  [SMALL_STATE(2358)] = 62357,
  [SMALL_STATE(2359)] = 62367,
  [SMALL_STATE(2360)] = 62375,
  [SMALL_STATE(2361)] = 62383,
  [SMALL_STATE(2362)] = 62391,
  [SMALL_STATE(2363)] = 62399,
  [SMALL_STATE(2364)] = 62409,
  [SMALL_STATE(2365)] = 62419,
  [SMALL_STATE(2366)] = 62429,
  [SMALL_STATE(2367)] = 62437,
  [SMALL_STATE(2368)] = 62447,
  [SMALL_STATE(2369)] = 62457,
  [SMALL_STATE(2370)] = 62465,
  [SMALL_STATE(2371)] = 62475,
  [SMALL_STATE(2372)] = 62485,
  [SMALL_STATE(2373)] = 62495,
  [SMALL_STATE(2374)] = 62503,
  [SMALL_STATE(2375)] = 62511,
  [SMALL_STATE(2376)] = 62521,
  [SMALL_STATE(2377)] = 62531,
  [SMALL_STATE(2378)] = 62541,
  [SMALL_STATE(2379)] = 62551,
  [SMALL_STATE(2380)] = 62561,
  [SMALL_STATE(2381)] = 62569,
  [SMALL_STATE(2382)] = 62577,
  [SMALL_STATE(2383)] = 62585,
  [SMALL_STATE(2384)] = 62593,
  [SMALL_STATE(2385)] = 62601,
  [SMALL_STATE(2386)] = 62611,
  [SMALL_STATE(2387)] = 62619,
  [SMALL_STATE(2388)] = 62629,
  [SMALL_STATE(2389)] = 62637,
  [SMALL_STATE(2390)] = 62647,
  [SMALL_STATE(2391)] = 62657,
  [SMALL_STATE(2392)] = 62667,
  [SMALL_STATE(2393)] = 62675,
  [SMALL_STATE(2394)] = 62683,
  [SMALL_STATE(2395)] = 62693,
  [SMALL_STATE(2396)] = 62703,
  [SMALL_STATE(2397)] = 62713,
  [SMALL_STATE(2398)] = 62721,
  [SMALL_STATE(2399)] = 62731,
  [SMALL_STATE(2400)] = 62741,
  [SMALL_STATE(2401)] = 62749,
  [SMALL_STATE(2402)] = 62757,
  [SMALL_STATE(2403)] = 62767,
  [SMALL_STATE(2404)] = 62777,
  [SMALL_STATE(2405)] = 62785,
  [SMALL_STATE(2406)] = 62795,
  [SMALL_STATE(2407)] = 62803,
  [SMALL_STATE(2408)] = 62813,
  [SMALL_STATE(2409)] = 62823,
  [SMALL_STATE(2410)] = 62833,
  [SMALL_STATE(2411)] = 62843,
  [SMALL_STATE(2412)] = 62853,
  [SMALL_STATE(2413)] = 62863,
  [SMALL_STATE(2414)] = 62871,
  [SMALL_STATE(2415)] = 62881,
  [SMALL_STATE(2416)] = 62889,
  [SMALL_STATE(2417)] = 62899,
  [SMALL_STATE(2418)] = 62906,
  [SMALL_STATE(2419)] = 62913,
  [SMALL_STATE(2420)] = 62920,
  [SMALL_STATE(2421)] = 62927,
  [SMALL_STATE(2422)] = 62934,
  [SMALL_STATE(2423)] = 62941,
  [SMALL_STATE(2424)] = 62948,
  [SMALL_STATE(2425)] = 62955,
  [SMALL_STATE(2426)] = 62962,
  [SMALL_STATE(2427)] = 62969,
  [SMALL_STATE(2428)] = 62976,
  [SMALL_STATE(2429)] = 62983,
  [SMALL_STATE(2430)] = 62990,
  [SMALL_STATE(2431)] = 62997,
  [SMALL_STATE(2432)] = 63004,
  [SMALL_STATE(2433)] = 63011,
  [SMALL_STATE(2434)] = 63018,
  [SMALL_STATE(2435)] = 63025,
  [SMALL_STATE(2436)] = 63032,
  [SMALL_STATE(2437)] = 63039,
  [SMALL_STATE(2438)] = 63046,
  [SMALL_STATE(2439)] = 63053,
  [SMALL_STATE(2440)] = 63060,
  [SMALL_STATE(2441)] = 63067,
  [SMALL_STATE(2442)] = 63074,
  [SMALL_STATE(2443)] = 63081,
  [SMALL_STATE(2444)] = 63088,
  [SMALL_STATE(2445)] = 63095,
  [SMALL_STATE(2446)] = 63102,
  [SMALL_STATE(2447)] = 63109,
  [SMALL_STATE(2448)] = 63116,
  [SMALL_STATE(2449)] = 63123,
  [SMALL_STATE(2450)] = 63130,
  [SMALL_STATE(2451)] = 63137,
  [SMALL_STATE(2452)] = 63144,
  [SMALL_STATE(2453)] = 63151,
  [SMALL_STATE(2454)] = 63158,
  [SMALL_STATE(2455)] = 63165,
  [SMALL_STATE(2456)] = 63172,
  [SMALL_STATE(2457)] = 63179,
  [SMALL_STATE(2458)] = 63186,
  [SMALL_STATE(2459)] = 63193,
  [SMALL_STATE(2460)] = 63200,
  [SMALL_STATE(2461)] = 63207,
  [SMALL_STATE(2462)] = 63214,
  [SMALL_STATE(2463)] = 63221,
  [SMALL_STATE(2464)] = 63228,
  [SMALL_STATE(2465)] = 63235,
  [SMALL_STATE(2466)] = 63242,
  [SMALL_STATE(2467)] = 63249,
  [SMALL_STATE(2468)] = 63256,
  [SMALL_STATE(2469)] = 63263,
  [SMALL_STATE(2470)] = 63270,
  [SMALL_STATE(2471)] = 63277,
  [SMALL_STATE(2472)] = 63284,
  [SMALL_STATE(2473)] = 63291,
  [SMALL_STATE(2474)] = 63298,
  [SMALL_STATE(2475)] = 63305,
  [SMALL_STATE(2476)] = 63312,
  [SMALL_STATE(2477)] = 63319,
  [SMALL_STATE(2478)] = 63326,
  [SMALL_STATE(2479)] = 63333,
  [SMALL_STATE(2480)] = 63340,
  [SMALL_STATE(2481)] = 63347,
  [SMALL_STATE(2482)] = 63354,
  [SMALL_STATE(2483)] = 63361,
  [SMALL_STATE(2484)] = 63368,
  [SMALL_STATE(2485)] = 63375,
  [SMALL_STATE(2486)] = 63382,
  [SMALL_STATE(2487)] = 63389,
  [SMALL_STATE(2488)] = 63396,
  [SMALL_STATE(2489)] = 63403,
  [SMALL_STATE(2490)] = 63410,
  [SMALL_STATE(2491)] = 63417,
  [SMALL_STATE(2492)] = 63424,
  [SMALL_STATE(2493)] = 63431,
  [SMALL_STATE(2494)] = 63438,
  [SMALL_STATE(2495)] = 63445,
  [SMALL_STATE(2496)] = 63452,
  [SMALL_STATE(2497)] = 63459,
  [SMALL_STATE(2498)] = 63466,
  [SMALL_STATE(2499)] = 63473,
  [SMALL_STATE(2500)] = 63480,
  [SMALL_STATE(2501)] = 63487,
  [SMALL_STATE(2502)] = 63494,
  [SMALL_STATE(2503)] = 63501,
  [SMALL_STATE(2504)] = 63508,
  [SMALL_STATE(2505)] = 63515,
  [SMALL_STATE(2506)] = 63522,
  [SMALL_STATE(2507)] = 63529,
  [SMALL_STATE(2508)] = 63536,
  [SMALL_STATE(2509)] = 63543,
  [SMALL_STATE(2510)] = 63550,
  [SMALL_STATE(2511)] = 63557,
  [SMALL_STATE(2512)] = 63564,
  [SMALL_STATE(2513)] = 63571,
  [SMALL_STATE(2514)] = 63578,
  [SMALL_STATE(2515)] = 63585,
  [SMALL_STATE(2516)] = 63592,
  [SMALL_STATE(2517)] = 63599,
  [SMALL_STATE(2518)] = 63606,
  [SMALL_STATE(2519)] = 63613,
  [SMALL_STATE(2520)] = 63620,
  [SMALL_STATE(2521)] = 63627,
  [SMALL_STATE(2522)] = 63634,
  [SMALL_STATE(2523)] = 63641,
  [SMALL_STATE(2524)] = 63648,
  [SMALL_STATE(2525)] = 63655,
  [SMALL_STATE(2526)] = 63662,
  [SMALL_STATE(2527)] = 63669,
  [SMALL_STATE(2528)] = 63676,
  [SMALL_STATE(2529)] = 63683,
  [SMALL_STATE(2530)] = 63690,
  [SMALL_STATE(2531)] = 63697,
  [SMALL_STATE(2532)] = 63704,
  [SMALL_STATE(2533)] = 63711,
  [SMALL_STATE(2534)] = 63718,
  [SMALL_STATE(2535)] = 63725,
  [SMALL_STATE(2536)] = 63732,
  [SMALL_STATE(2537)] = 63739,
  [SMALL_STATE(2538)] = 63746,
  [SMALL_STATE(2539)] = 63753,
  [SMALL_STATE(2540)] = 63760,
  [SMALL_STATE(2541)] = 63767,
  [SMALL_STATE(2542)] = 63774,
  [SMALL_STATE(2543)] = 63781,
  [SMALL_STATE(2544)] = 63788,
  [SMALL_STATE(2545)] = 63795,
  [SMALL_STATE(2546)] = 63802,
  [SMALL_STATE(2547)] = 63809,
  [SMALL_STATE(2548)] = 63816,
  [SMALL_STATE(2549)] = 63823,
  [SMALL_STATE(2550)] = 63830,
  [SMALL_STATE(2551)] = 63837,
  [SMALL_STATE(2552)] = 63844,
  [SMALL_STATE(2553)] = 63851,
  [SMALL_STATE(2554)] = 63858,
  [SMALL_STATE(2555)] = 63865,
  [SMALL_STATE(2556)] = 63872,
  [SMALL_STATE(2557)] = 63879,
  [SMALL_STATE(2558)] = 63886,
  [SMALL_STATE(2559)] = 63893,
  [SMALL_STATE(2560)] = 63900,
  [SMALL_STATE(2561)] = 63907,
  [SMALL_STATE(2562)] = 63914,
  [SMALL_STATE(2563)] = 63921,
  [SMALL_STATE(2564)] = 63928,
  [SMALL_STATE(2565)] = 63935,
  [SMALL_STATE(2566)] = 63942,
  [SMALL_STATE(2567)] = 63949,
  [SMALL_STATE(2568)] = 63956,
  [SMALL_STATE(2569)] = 63963,
  [SMALL_STATE(2570)] = 63970,
  [SMALL_STATE(2571)] = 63977,
  [SMALL_STATE(2572)] = 63984,
  [SMALL_STATE(2573)] = 63991,
  [SMALL_STATE(2574)] = 63998,
  [SMALL_STATE(2575)] = 64005,
  [SMALL_STATE(2576)] = 64012,
  [SMALL_STATE(2577)] = 64019,
  [SMALL_STATE(2578)] = 64026,
  [SMALL_STATE(2579)] = 64033,
  [SMALL_STATE(2580)] = 64040,
  [SMALL_STATE(2581)] = 64047,
  [SMALL_STATE(2582)] = 64054,
  [SMALL_STATE(2583)] = 64061,
  [SMALL_STATE(2584)] = 64068,
  [SMALL_STATE(2585)] = 64075,
  [SMALL_STATE(2586)] = 64082,
  [SMALL_STATE(2587)] = 64089,
  [SMALL_STATE(2588)] = 64096,
  [SMALL_STATE(2589)] = 64103,
  [SMALL_STATE(2590)] = 64110,
  [SMALL_STATE(2591)] = 64117,
  [SMALL_STATE(2592)] = 64124,
  [SMALL_STATE(2593)] = 64131,
  [SMALL_STATE(2594)] = 64138,
  [SMALL_STATE(2595)] = 64145,
  [SMALL_STATE(2596)] = 64152,
  [SMALL_STATE(2597)] = 64159,
  [SMALL_STATE(2598)] = 64166,
  [SMALL_STATE(2599)] = 64173,
  [SMALL_STATE(2600)] = 64180,
  [SMALL_STATE(2601)] = 64187,
  [SMALL_STATE(2602)] = 64194,
  [SMALL_STATE(2603)] = 64201,
  [SMALL_STATE(2604)] = 64208,
  [SMALL_STATE(2605)] = 64215,
  [SMALL_STATE(2606)] = 64222,
  [SMALL_STATE(2607)] = 64229,
  [SMALL_STATE(2608)] = 64236,
  [SMALL_STATE(2609)] = 64243,
  [SMALL_STATE(2610)] = 64250,
  [SMALL_STATE(2611)] = 64257,
  [SMALL_STATE(2612)] = 64264,
  [SMALL_STATE(2613)] = 64271,
  [SMALL_STATE(2614)] = 64278,
  [SMALL_STATE(2615)] = 64285,
  [SMALL_STATE(2616)] = 64292,
  [SMALL_STATE(2617)] = 64299,
  [SMALL_STATE(2618)] = 64306,
  [SMALL_STATE(2619)] = 64313,
  [SMALL_STATE(2620)] = 64320,
  [SMALL_STATE(2621)] = 64327,
  [SMALL_STATE(2622)] = 64334,
  [SMALL_STATE(2623)] = 64341,
  [SMALL_STATE(2624)] = 64348,
  [SMALL_STATE(2625)] = 64355,
  [SMALL_STATE(2626)] = 64362,
  [SMALL_STATE(2627)] = 64369,
  [SMALL_STATE(2628)] = 64376,
  [SMALL_STATE(2629)] = 64383,
  [SMALL_STATE(2630)] = 64390,
  [SMALL_STATE(2631)] = 64397,
  [SMALL_STATE(2632)] = 64404,
  [SMALL_STATE(2633)] = 64411,
  [SMALL_STATE(2634)] = 64418,
  [SMALL_STATE(2635)] = 64425,
  [SMALL_STATE(2636)] = 64432,
  [SMALL_STATE(2637)] = 64439,
  [SMALL_STATE(2638)] = 64446,
  [SMALL_STATE(2639)] = 64453,
  [SMALL_STATE(2640)] = 64460,
  [SMALL_STATE(2641)] = 64467,
  [SMALL_STATE(2642)] = 64474,
  [SMALL_STATE(2643)] = 64481,
  [SMALL_STATE(2644)] = 64488,
  [SMALL_STATE(2645)] = 64495,
  [SMALL_STATE(2646)] = 64502,
  [SMALL_STATE(2647)] = 64509,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(941),
  [142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(469),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1872),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1664),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1458),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1186),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2628),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(68),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2625),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2624),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2616),
  [178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2615),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1289),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(124),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1776),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2596),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(230),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1825),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2590),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2589),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1125),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2267),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(201),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2270),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(116),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2568),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2271),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2273),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2274),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(356),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(356),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(406),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(579),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(416),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(862),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(691),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2562),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1527),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1133),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1132),
  [297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1369),
  [303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1632),
  [306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1927),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1365),
  [312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1641),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(118),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(408),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 134),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 134),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 134),
  [344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 134),
  [346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2638),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2268),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2645),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2647),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2309),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(940),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(775),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [1021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 6),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 6),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2461),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2357),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(2299),
  [1054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(113),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2299),
  [1064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(113),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95), SHIFT_REPEAT(2299),
  [1082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 186),
  [1088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 186),
  [1090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 163),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 163),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 71),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 71),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 71),
  [1116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 71),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 4, 0, 71),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 4, 0, 71),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 73),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 73),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 202),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 202),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 113),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 113),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 164),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 164),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 114),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 114),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 170),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 170),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 94),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 94),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 113),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 113),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 145),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 145),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 144),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 144),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 51),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 51),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 50),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 50),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 173),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 173),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 169),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 169),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 175),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 175),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 109),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 109),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 94),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 94),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 215),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 215),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 203),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 203),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 109),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 109),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 212),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 212),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 109),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 109),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 51),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 51),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 93),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 93),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 187),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 187),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 170),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 170),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 112),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 112),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 188),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 188),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 208),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 208),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 91),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 91),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 165),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 165),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 167),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 167),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 1, 0, 5),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 1, 0, 5),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 49),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 49),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 3, 0, 16),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 3, 0, 16),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 68),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 68),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 67),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 67),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 68),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 68),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1492),
  [1735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1527),
  [1738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2534),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(131),
  [1746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2528),
  [1749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(844),
  [1752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [1755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1357),
  [1758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1565),
  [1761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2123),
  [1764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1566),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [1795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [1804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2482),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [1856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2482),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 106),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 106),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [1914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [1924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [1926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [1928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_scalar, 1, 0, 0),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 24),
  [1948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 24),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 2),
  [1956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 2),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 0),
  [1978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [1980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [1982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 53),
  [1984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 53),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 57),
  [1992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 57),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 58),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 58),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 59),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 59),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 96),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 96),
  [2014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [2016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [2018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 98),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 98),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 99),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 99),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 100),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 100),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 100),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 100),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 135),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 135),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 139),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 139),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 140),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 140),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 141),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 141),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 140),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 140),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 171),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 171),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 131),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 131),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 172),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 172),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 172),
  [2084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 172),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 7, 0, 193),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 7, 0, 193),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [2094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [2112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 60),
  [2114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 60),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 49),
  [2166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 49),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [2228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 29),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 65),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 65),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 66),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 105),
  [2304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 105),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 28),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [2405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1289),
  [2410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [2416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1059),
  [2419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 150),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 117),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 151),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 176),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 200),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 182),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 181),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 157),
  [2488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 3, 0, 85),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 34),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 62),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 159),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 61),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 155),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 183),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 154),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 132),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 115),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 85),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 125),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 102),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 119),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [2591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1454),
  [2594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1502),
  [2597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1186),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1289),
  [2605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [2611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(703),
  [2614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [2617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [2624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 133),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__foreach_value, 1, 0, 0),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [2744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [2747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1454),
  [2750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1502),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [2758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1289),
  [2761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [2767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [2770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [2773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [2804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [2806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1441),
  [2817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [2890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1381),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [2915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [2919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(423),
  [2922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1349),
  [2925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1349),
  [2928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1381),
  [2931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1562),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(423),
  [2945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1350),
  [2948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1350),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1562),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 162),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [2970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(285),
  [2985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1359),
  [2988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1359),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [2993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1623),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 161),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 89),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 127),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 33),
  [3038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(303),
  [3041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1372),
  [3044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1372),
  [3047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1636),
  [3052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 201),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 16),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 160),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 46),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 81),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 185),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 46),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 126),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 184),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 160),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 184),
  [3096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [3098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 2, 0, 0),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 47),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 3, 0, 0),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 88),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 90),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3138] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3145] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1487),
  [3175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1552),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0),
  [3180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1289),
  [3183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [3186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [3230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1306),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [3261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [3265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1315),
  [3268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1317),
  [3277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [3339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2630),
  [3342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2399),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [3377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(343),
  [3382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2360),
  [3385] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1320),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [3427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [3435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 56),
  [3447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 56),
  [3449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3497] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1315),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2375),
  [3534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(115),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(2375),
  [3566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(115),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [3573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [3584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1779),
  [3587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [3591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 21),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [3607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 83),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [3615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 194),
  [3621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 194),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 95),
  [3633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 95), SHIFT_REPEAT(2305),
  [3636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 95),
  [3638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 177),
  [3640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 177),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [3644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 110),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [3648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 72),
  [3650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [3660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 27),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [3666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [3672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1469),
  [3681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [3687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 77),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [3705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 78),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95), SHIFT_REPEAT(2375),
  [3712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 19),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 6, 0, 211),
  [3732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 6, 0, 211),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [3740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 32),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [3748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 5),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 121),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [3758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 2, 0, 152),
  [3760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 2, 0, 152),
  [3762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 69),
  [3764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 153),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 153),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [3772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 42),
  [3776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [3788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 122),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [3798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 2, 0, 7),
  [3802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [3809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1318),
  [3812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1302),
  [3815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 204),
  [3817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 204),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 38),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 156),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [3865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 116),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1889),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [3880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1314),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [3885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [3891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 63),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [3899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1304),
  [3902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2449),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [3909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1320),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [3934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [3936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1673),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [3943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [3965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1394),
  [3968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1460),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [3973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1526),
  [3976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [3978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [3981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [3983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2201),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [3998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [4010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 5),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [4024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [4028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [4034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1320),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [4039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [4043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [4045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [4047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1852),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [4072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [4074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [4077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 17),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [4081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 69),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 32),
  [4087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 124),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 63),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [4095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 27),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [4102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 27),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [4114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [4120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [4132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(171),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [4149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(697),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [4160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 32),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [4172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 110),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 3, 0, 35),
  [4176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 72),
  [4178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 72),
  [4186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(182),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [4197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 69),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [4201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 37),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [4211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1442),
  [4214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(170),
  [4219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 55),
  [4221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 39),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [4229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 40),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 19),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(184),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [4244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 55),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [4250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [4254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 4, 0, 74),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [4282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [4286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 54),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 138),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [4304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 63),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [4310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(159),
  [4313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 110),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [4319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 7),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1315),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1379),
  [4337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 43),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [4347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 45),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [4353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 19),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(417),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 55),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 10),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [4400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(841),
  [4403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [4425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1788),
  [4428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [4452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 80),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [4460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 50),
  [4462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 50),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 82),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [4484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 87),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [4488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 7),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 5),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [4550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [4562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 84),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 138),
  [4576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 77),
  [4582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 78),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 118),
  [4592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 150),
  [4594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 120),
  [4596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 151),
  [4598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 83),
  [4600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 123),
  [4602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2482),
  [4607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 176),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 181),
  [4623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 182),
  [4625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 4, 0, 75),
  [4629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 7),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [4645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 3, 0, 36),
  [4647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 16),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0), SHIFT(2482),
  [4654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 81),
  [4656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 137),
  [4658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 8, 0, 200),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 79),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 76),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 158),
  [4695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 122),
  [4700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 156),
  [4702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 157),
  [4704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 121),
  [4706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 38),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 117),
  [4718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 116),
  [4720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 142),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 146),
  [4746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 147),
  [4748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 146),
  [4750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 6),
  [4752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 143),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [4760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [4772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 103),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [4832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 44),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [4844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 41),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [4888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 104),
  [4892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 103),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 107),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [4908] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 108),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 107),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [4928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 111),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 111),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [4970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [5012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 20),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [5056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [5058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 64),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [5076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [5078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 64),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [5088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 70),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [5092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 7, 0, 174),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [5114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 86),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [5120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 70),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [5138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 41),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token_heredoc_end] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [12] = {
    [ts_external_token_heredoc_start] = true,
  },
  [13] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_only_external_scanner_create(void);
void tree_sitter_php_only_external_scanner_destroy(void *);
bool tree_sitter_php_only_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_only_external_scanner_serialize(void *, char *);
void tree_sitter_php_only_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php_only(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_only_external_scanner_create,
      tree_sitter_php_only_external_scanner_destroy,
      tree_sitter_php_only_external_scanner_scan,
      tree_sitter_php_only_external_scanner_serialize,
      tree_sitter_php_only_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
